Summary: An X window manager which emulates the look and feel of NEXTSTEP(R).
Summary(ja): NEXTSTEP(R)Υå&եɥޥ͡
Name: AfterStep
Version: 1.8.11
Release: 0vl1
License: GPL
Group: User Interface/Desktops
URL: http://www.afterstep.org/
Source0: ftp://ftp.afterstep.org/stable/AfterStep-%{version}.tar.bz2
Source1: AfterStep-redhat.tar.gz
#for Vine
Source2: AfterStep-vine.tar.gz
Patch0: afterstep-1.8.11-vinemenu.patch
Patch1: AfterStep-1.7.142-guessfont.patch
Prereq: /sbin/ldconfig
BuildPrereq: sgml-tools
Requires: wmconfig >= 0.9.4, xinitrc >= 1.4, AfterStep-APPS
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
The AfterStep window manager combines convenient, useful features 
with the attractive look of the NEXTSTEP(R) interface. NEXTSTEP(R)-style 
features include the the title bar, title buttons, borders, icons and 
menus.  The most prominent addition to the interface is AfterStep's 
Wharf, a customized version of the GoodStuff panel (an fvwm window 
manager bar of application icons).  AfterStep's Wharf is a free-floating 
application loader which can swallow running programs and contain 
folders of more applications.  AfterStep also includes easy to use
'look' files, so you can share your desktop appearance.

You need to install AfterStep if you want to use the AfterStep window
manager.  You should also install AfterStep and try it out if you haven't
decided which X Window System window manager you want to use, or just to
keep your window management options open.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .vinemenu
%patch1 -p1 -b .guessfont
find ./ -type f -perm 000 | xargs -r rm -fv
find ./ -type f -name "*.vinemenu" | xargs -r rm -fv

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share \
	--with-imageloader="display -window root" \
	--with-helpcommand="kterm -e man" \
	--with-desktops=1 \
	--with-deskgeometry=2x3 \
	--disable-availability \
	--enable-makemenusonboot \
	--enable-i18n \
	--with-xpm
make CCFLAGS="$RPM_OPT_FLAGS"
sgml2html doc/afterstep.sgml

%install
rm -rf %{buildroot}
make install install.man DESTDIR=%{buildroot}

# both ASPP contains these files
#rm -f %{buildroot}/usr/X11R6/bin/{sessreg,xpmroot}

# eliminate executable bit in %doc
find TODO/ -type f -perm +111 | xargs chmod -x

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/code doc/languages doc/licences
%doc ChangeLog NEW README README.RedHat TEAM TODO UPGRADE *.html
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/share/afterstep

%changelog
* Sat Mar 02 2002 Toru Sagami <sagami@vinelinux.org> 1.8.11-0vl1
- updated to new stable release 1.8.11

* Wed Jan 30 2002 Toru Sagami <sagami@vinelinux.org> 1.8.10-0vl1
- updated to current stable release 1.8.10
- added patch for menu instead of expanding tar ball
- added more docs

* Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
- 1.8.9-0vl2: eliminate executable bit in %%doc

* Tue Jul 03 2001 <sagami@vinelinux.org>
- 1.8.9-0vl1: updated to 1.8.9
- added patch for re-enable xiterm menu

* Mon May 14 2001 <sagami@vinelinux.org>
- 1.8.8-0vl2: fixed install failure with AfterStep-APPS

* Sat Dec 23 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.8.8-0vl1: Happy Holidays!

* Thu Dec 21 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- updated to 1.8.4-1vl1
- fixed some menu for Vine 2.1+
- changed spec filename AfterStep.spec from AfterStep-vl.spec

* Fri Feb 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.8.0

* Thu Jan 13 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added guessfont patch

* Fri Sep 03 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7.142 and the four patches available integrated

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- optimizations are making it sick

* Sun Apr 11 1999 Preston Brown <pbrown@redhat.com>
- fixed up menus from 5.2 to work with new AfterStep

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.7.90 (bugfix release), now 99 percent GNOME compliant.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- Fixed problem with the Feels menu showing the bacjkground change entries

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5
- requires AfterStep-APPS for the cool dockable applications

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- 1.4.5.3 is out
- wmconfig hacks
- can start AnotherLevel

* Fri Apr 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.5.1
- went through the sources and fixed some of the bugs

* Fri Mar 27 1998 Cristian Gafton <gafton@redhat.com>
- packaged 1.4.4 with a patch to better support BuildRoot.

