%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version	0.82
%define polkit_version          0.92
%define parted_version          1.8.8
%define udev_version            145
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.12
%define sg3_utils_version       1.27

Summary: Disk Management Service
Summary(ja): ディスク管理サービス
Name: DeviceKit-disks
Version: 009
Release: 1%{?_dist_release}
License: GPLv2+
Group: System Environment/Libraries
URL: http://cgit.freedesktop.org/DeviceKit/DeviceKit-disks/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: zlib-devel
BuildRequires: libgudev1-devel >= %{udev_version}
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: sg3_utils-devel >= %{sg3_utils_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: polkit >= %{polkit_version}
Requires: parted >= %{parted_version}
Requires: udev >= %{udev_version}
Requires: mdadm >= %{mdadm_version}
Requires: libatasmart >= %{libatasmart_version}
Requires: zlib
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: xfsprogs
# for mkfs.vfat
Requires: dosfstools
# for mlabel
Requires: mtools
# for mkntfs
# no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Requires: ntfsprogs
%endif

# for /proc/self/mountinfo, only available in 2.6.26 or higher
Conflicts: kernel < 2.6.26

%description
DeviceKit-disks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for DeviceKit-disks
Summary(ja): DeviceKit-disks 用の D-Bus インタフェース定義
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc

%description devel
D-Bus interface definitions for DeviceKit-disks.

%prep
%setup -q

%build
%configure --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.a

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/devkit-disks-bash-completion.sh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules

/lib/udev/devkit-disks-part-id
/lib/udev/devkit-disks-dm-export
/lib/udev/devkit-disks-probe-ata-smart
/sbin/umount.devkit

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/pkgconfig/DeviceKit-disks.pc

%{_datadir}/polkit-1/actions/*.policy

%{_libdir}/polkit-1/extensions/*.so

%{_datadir}/dbus-1/system-services/*.service

%attr(0770,root,root) %dir %{_localstatedir}/run/DeviceKit-disks
%attr(0770,root,root) %dir %{_localstatedir}/lib/DeviceKit-disks

%files devel
%defattr(-,root,root,-)

%{_datadir}/dbus-1/interfaces/*.xml

%dir %{_datadir}/gtk-doc/html/devkit-disks
%{_datadir}/gtk-doc/html/devkit-disks/*

%changelog
* Wed Nov 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 009-1
- new upstream release
- drop obsolete patches

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 007-1
- initial build for Vine Linux

* Tue Oct 13 2009 Matthias Clasen <mclasen@redhat.com> - 007-5%{?dist}
- Give media players better icons

* Mon Oct 05 2009 David Zeuthen <davidz@redhat.com> - 007-4%{?dist}
- Rebuild

* Mon Oct 05 2009 David Zeuthen <davidz@redhat.com> - 007-3%{?dist}
- Rebuild

* Mon Oct 05 2009 David Zeuthen <davidz@redhat.com> - 007-2%{?dist}
- Actually inhibit the daemon (#527091)

* Fri Sep 18 2009 David Zeuthen <davidz@redhat.com> - 007-1%{?dist}
- Update to release 007

* Mon Aug 17 2009 David Zeuthen <davidz@redhat.com> - 006-1%{?dist}
- Update to release 006

* Fri Aug 07 2009 David Zeuthen <davidz@redhat.com> - 005-5%{?dist}
- Update for new libatasmart version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 Matthias Clasen <mclasen@redhat.com> - 005-3.f12
- Rebuild

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 005-2%{?dist}
- Fix BR

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 005-1%{?dist}
- Update to release 005

* Tue May 19 2009 David Zeuthen <davidz@redhat.com> - 004-3%{?dist}
- Avoid checking whether device is ATA SMART capable if the device reports
  removable media (#494932)

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-2%{?dist}
- Rebuild

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-1%{?dist}
- Upstream release 004

* Thu Apr 16 2009 David Zeuthen <davidz@redhat.com> - 004-0.10.20090415git%{?dist}
- Properly detect vfat on whole disk devices (#495876)

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.9.20090415git%{?dist}
- Rebuild

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.8.20090415git%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 004-0.7.20090412git%{?dist}
- New snapshot

* Thu Apr 09 2009 David Zeuthen <davidz@redhat.com> - 004-0.6.20090408git%{?dist}
- use correct dmode for iso9660 mounts (#495018)

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 004-0.5.20090408git%{?dist}
- New snapshot

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.4.20090406git%{?dist}
- Rebuild

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.3.20090406git%{?dist}
- BR libudev-devel

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.2.20090406git%{?dist}
- New snapshot, this time with the right date

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.1.20080406git%{?dist}
- New snapshot

* Fri Mar 27 2009 Matthias Clasen  <mclasen@redhat.com> - 003-9.f11
- Don't require ntfsprogs on ppc, where it doesn't exist

* Wed Mar 25 2009 Matthias Clasen  <mclasen@redhat.com> - 003-8.f11
- Add dependencies to for all the cmdline tools we use (#490670)

* Thu Mar 19 2009 David Zeuthen <davidz@redhat.com> - 003-7%{?dist}
- Make sure dm devices are marked as system-internal (#489397)

* Tue Mar 10 2009 Matthias Clasen <mclasen@redhat.com> - 003-6%{?dist}
- Fix the previous patch

* Fri Mar  6 2009 Matthias Clasen <mclasen@redhat.com> - 003-5%{?dist}
- Handle -- correctly in devkit-disks

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 003-3%{?dist}
- Add --dump option to devkit-disks(1) to help with debugging
- Allow authorized users to unmount /etc/fstab mounts

* Tue Mar 03 2009 David Zeuthen <davidz@redhat.com> - 003-2%{?dist}
- Identify mounts using dev_t, not device files (#488258)

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 003-1%{?dist}
- Update to version 003

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-3.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-2.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Colin Walters <walters@verbum.org> - 002-1.git20080720
- Add dbus permissions patch

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%{?dist}
- Initial packaging
