%define glib2_version           2.22.0
%define dbus_version            1.2
%define dbus_glib_version       0.82
%define polkit_version          0.92
%define parted_version          1.8.8

Summary: Power Management Service
Summary(ja): 電源管理サービス
Name: DeviceKit-power
Version: 013
Release: 1%{?_dist_release}
License: GPLv2+
Group: System Environment/Libraries
URL: http://cgit.freedesktop.org/DeviceKit/DeviceKit-power/
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch10: DeviceKit-power-011-gcc41.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-devel >= %{polkit_version}
BuildRequires: sqlite3-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libgudev1-devel
BuildRequires: libusb-devel

Requires: dbus
Requires: dbus-glib
Requires: glib2
Requires: polkit
Requires: udev
Requires: pm-utils

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package devel
Summary: Headers and libraries for DeviceKit-power
Summary(ja): %{name} の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
%setup -q
%patch10 -p1 -b .gcc41

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO
%{_libdir}/libdevkit-power-gobject*.so.*
%{_sysconfdir}/dbus-1/system.d/*.conf
/lib/udev/rules.d/*.rules
%dir %{_localstatedir}/lib/DeviceKit-power
%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/devkit-power
%{_datadir}/gtk-doc/html/devkit-power/*
%{_libdir}/libdevkit-power-gobject*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/DeviceKit-power/devkit-power-gobject
%{_includedir}/DeviceKit-power/devkit-power-gobject/*.h

%changelog
* Mon Jan 04 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 013-1
- new upstream release

* Wed Nov 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 012-1
- new upstream release

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 011-1
- initial build for Vine Linux

* Mon Sep 14 2009 Richard Hughes  <rhughes@redhat.com> - 011-0.1.20090914git
- Update to todays git snapshot to fix the session exploding when a USB UPS is
  inserted then removed a few times.

* Mon Aug 03 2009 Richard Hughes <richard@hughsie.com> - 010-4
- Continue to poll when we guessed a status value, and only stop when the
  kernel says definitively that we are fully charged.

* Sun Aug 02 2009 Richard Hughes <richard@hughsie.com> - 010-3
- Put the development include files in the devel package not the main package.
- Fixes #515104

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 010-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Richard Hughes <richard@hughsie.com> - 010-1
- Update to 010
- Fixes a few problems with multi-battery laptops
- Port to GUdev and PolicyKit1

* Mon Jul 06 2009 Richard Hughes <richard@hughsie.com> - 009-1
- Update to 009
- Fixes many problems with multi-battery laptops
- Use pm-powersave like HAL used to
- Fix detecting UPS devices
- Add support for recalled laptop batteries

* Tue Jun 16 2009 Richard Hughes  <rhughes@redhat.com> - 009-0.4.20090616git
- Do autoreconf as well due to different values of automake on koji.

* Tue Jun 16 2009 Richard Hughes  <rhughes@redhat.com> - 009-0.3.20090616git
- Do autoconf and automake as the polkit patch is pretty invasive
- Fix up file lists with the new polkit action paths

* Tue Jun 16 2009 Richard Hughes  <rhughes@redhat.com> - 009-0.2.20090616git
- Apply a patch to convert to the PolKit1 API.

* Tue Jun 16 2009 Richard Hughes  <rhughes@redhat.com> - 009-0.1.20090616git
- Update to todays git snapshot to fix reporting issues with empty batteries.

* Mon Jun 01 2009 Richard Hughes <richard@hughsie.com> 008-1
- Update to 008
- Fixes #497563 and #495493

* Wed May 13 2009 Richard Hughes  <rhughes@redhat.com> - 008-0.3.20090513git
- Update to todays git snapshot which should fix some polling issues.
- Fixes #495493

* Thu May 07 2009 Richard Hughes  <rhughes@redhat.com> - 008-0.2.20090507git
- Update to todays git snapshot which has the lid close property.

* Tue Apr 01 2009 Richard Hughes  <rhughes@redhat.com> - 008-0.1.20090401git
- Update to todays git snapshot which works with the new permissive DBus.

* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-2
- Try to fix a compile error with koji and the new gcc.

* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-1
- Update to 007

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 10 2009 Richard Hughes <richard@hughsie.com> 006-1
- Update to 006

* Mon Feb 02 2009 Richard Hughes <richard@hughsie.com> 005-1
- Update to 005

* Fri Jan 23 2009 Richard Hughes <richard@hughsie.com> 004-1
- Update to 004

* Tue Dec 09 2008 Richard Hughes <richard@hughsie.com> 003-1
- Update to 003

* Thu Nov 13 2008 Matthias Clasen <mclasen@redhat.com> 002-1
- Update to 002

* Sat Sep 06 2008 Richard Hughes <richard@hughsie.com> 001-2
- Fix the licence, and some directory ownership issues for the review request

* Tue Sep 02 2008 Richard Hughes <richard@hughsie.com> 001-1
- Initial spec file

