Summary: file & directory maintenance tool for the UNIX based OS
Summary(ja): ファイル & ディレクトリ管理ツール
Name: FD
Version: 3.01
Release: 1%{?_dist_release}
Group: Applications/System
Source: http://hp.vector.co.jp/authors/VA012337/soft/fd/FD-%{version}.tar.gz
Source10: fd2rc.vine
License: LICENSES FOR FDCLONE3 (see %{_docdir}/%{name}-%{version}/LICENSES)
Patch: FD-3.00d-vine.patch
BuildRequires: ncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: fdclone

%description
FDclone is a file & directory maintenance tool for the UNIX
based OS. It is a clone of "FD" for MS-DOS.

You can copy _fdrc or fd2rc.vine as the name of .fd2rc, 
and rewrite fdrc according to your environment.

This package is unregistered and modified version of FD Clone 3.
Original Author does not support this package. 
** DO NOT REPORT BUGS TO ORIGINAL AUTHOR **

%description -l ja
FDclone はMS-DOS 用に作成された『ＦＤ』を模した、
UNIX ベースの OS 汎用のファイル & ディレクトリ管理ツールです。

_fdrc または fd2rc.vine を .fd2rc という名前でコピーし、fdrc を自分の環境に
応じて書き換えて設定します。

このパッケージは FD Clone 3 の未登録で改変されたバージョンです。
オリジナルの原作者はこのパッケージのサポートを行いません。
** 原作者へのバグレポートは行わないでください **

%prep
%setup
%patch -p1 -b .vine

%__cp -a %{SOURCE10} .

%build
%__make 

%install
%__rm -rf   $RPM_BUILD_ROOT
%__mkdir -p $RPM_BUILD_ROOT%{_bindir}
%__mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1

%__make install PREFIX="$RPM_BUILD_ROOT/usr" \
    MANDIR=$RPM_BUILD_ROOT%{_mandir}/ja/man1 \
    EMANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/fd
%{_bindir}/fd-unicd.tbl
%{_bindir}/fdsh
%{_bindir}/fd-dict.tbl
%{_bindir}//fd-cat.*
%{_mandir}/ja/man1/*
%doc FAQ FAQ.eng HISTORY HISTORY.eng Install Install.eng
%doc LICENSES LICENSES.eng README README.eng TECHKNOW TECHKNOW.eng
%doc ToAdmin ToAdmin.eng _fdrc
%doc fd2rc.vine

%changelog
* Sat Aug 11 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.01-1
- new upstream release

* Sat Jun 30 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.00l-1
- new upstream release

* Sat Apr 21 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.00k-1
- new upstream release

* Thu Mar 31 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.00j-2
- updated fd2rc.vine
  - added some Launcher settings:  
    - for files with suffix as .tar.xz, xz
    - for ePub format (.epub), MS OOXML formats (.docx, .xslx, .pptx)
  - added some Archiver settings: 
    - for files with suffix as .tar.xz
    - for ePub format (.epub), MS OOXML formats (.docx, .xslx, .pptx)

* Mon Jan 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.00j-1
- new upstream release

* Sat Aug 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.00i-1
- new upstream release
- added BuildRequires: ncurses-devel

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.00d-2
- added Provides: fdclone
- updated FD-3.00d-vine.patch: no changes fd.h
- added fd2rc.vine
- mentioned fd2rc.vine in %%description and %%description -l ja

* Fri Feb 15 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.00d-1
- new upstream release
- apply new versioning policy 
- spec in utf-8
- added FD-3.00d-vine.patch: updated FD-2.09f-vine.patch
- fixed %%description and %%description -l ja: major version changes from 2 to 3

* Fri Feb 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.09g-0vl1
- source update
- drop FD-2.08c-vine.patch 
- add FD-2.09f-vine.patch included in FD-2.09f-0vl1.src.rpm for Vine Linux 4.2
- add %{_bindir}/fd-dict.tbl to %files

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.08c-0vl1
- fix wrong License.
  - change to FD License from GPL.
- add disclaimer about modified version to %%description.

* Thu Jun 08 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-1vl3
- s/Copyright/License/
- changed Group to Applications/File
- installed man files to %{_mandir}

* Wed Oct 06 2004 FUJIOKA Takeyuki <fuji@ftserve.net> 2.06
- update to 2.06 for Vine-3.0

* Wed Feb 27 2002 FUJIOKA Takeyuki <fujioka@bil.educ.fukushima-u.ac.jp>
- 2.00a-1
- packaged for Vine
- default pager, editor and display mode changed 
