Name:		GConf
Version:	1.0.9
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Base
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/GConf/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org
Requires(post):	 /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	oaf-devel
BuildRequires:	libxml-devel
BuildRequires:	ORBit-devel
BuildRequires:	guile-devel
BuildRequires:	autoconf213

Requires:	glib >= 1.2.0
Requires:	oaf >= 0.3.0
Requires:	gtk+ >= 1.2.0
Requires:	ORBit >= 0.5.0
Requires:	libxml >= 1.8.0

Patch0:		GConf-0.12-config.patch
Patch1:		GConf-1.0.9-exit-timeout.patch
Patch2:		GConf-1.0.9-errormessage.patch
Patch3:		GConf-1.0.9-nodb.patch
Patch4:         GConf-1.0.9-underquoted.patch

Summary:	GNOME Config System.
Summary(ja):	GNOME 設定システム
%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%description -l ja
GConf は、GNOME の設定データベースシステムです。

GNOME は、GNU Network Object Model Environment の略です。ファンシーな
名前ではありますが、GNOME の正体は素晴らしい GUI デスクトップ環境です。
あなたのコンピュータを簡単かつパワフルにし、設定も簡単になります。

%package devel
Summary:	Headers and libraries for GConf development
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	ORBit-devel
Requires:	glib-devel
Requires:	oaf-devel
Requires:	gtk+-devel
PreReq:		/sbin/install-info
Summary(ja): GConf を使って開発するためのヘッダーファイルとライブラリ

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%description devel -l ja
GConf 開発パッケージです。GConf を使って開発するために必要なファ
イルが含まれています。

%prep
%setup -q

%patch0 -p1 -b .config
%patch1 -p1 -b .exit-timeout
%patch2 -p1 -b .errormessage
%patch3 -p1 -b .nodb
%patch4 -p1 -b .underquoted

%build
autoconf-2.13
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/1/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/1/*.la

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/1/*
%config %{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%{_bindir}/gconfd-1
%{_bindir}/gconftool*
%{_libdir}/*.so.*
%{_libdir}/GConf/1/*.so


## /etc/gconf/schemas/desktop.schemas is notably missing;
## it will be shared between versions of GConf, preventing
## simulataneous installation, so maybe should be in 
## a different (minuscule) package.

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gconf/1/gconf/*.h
%{_datadir}/aclocal/*.m4
%{_bindir}/gconf-config*

%changelog
* Sat Aug 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.9-1
- applied new versioning policy
- spec in UTF-8
- removed lib*.la files from devel package

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.9-0vl4
- rebuilt with new toolchain
- added Patch4 from Fedora
  * Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1.0.9-15
  - Fixed underquoted m4 definitions.

* Mon Jul 18 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.0.9-0vl3
- add Japanese summary and description

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.9-0vl2
- rebuild

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.9-0vl1
- merge patches from rawhide package
- do not require db

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.7-0vl2
- Added buildPreReq: db3-devel

* Fri Dec 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.7-0vl1
- New upstream release.
- Removed oaf files in -devel because it is no longer used.
- Added gettext's .po. it was missing.

* Fri Oct 05 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.0.4-0vl1
- update to 1.0.4
- move gconf-config to GConf-devel

* Mon Apr  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.0-0vl2
- Added some build depends.

* Tue Apr  3 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.0-0vl1
- New upstream release.
- Use find_lang macro.

* Wed Mar  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.12-0vl1
- New upstream release.

* Wed Dec 27 2000 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.11-0vl1
- Build for Vine

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
