;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux IIIMECF 設定
;;    Munehiro Yamamoto <munepi@vinelinux.org>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Atok for X の設定
;;  IIIMP 経由で実行します
;; (要 MULE-UCS, IIIMECF)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if (or (equal emacs-ime "iiimecf")
	(equal emacs-ime "IIIMECF")
	(equal emacs-ime "atokx")
        (equal emacs-ime "atokx2")
        (equal emacs-ime "atokx3"))
    (progn
      ;; (setq iiimcf-server-control-hostlist '("localhost"))
      (setq iiimcf-server-control-hostlist
	    (list 
	     (concat "/tmp/.iiim-" (user-login-name) "/:0.0")
	     "localhost"
	     ;; "必要であれば、setq で継ぎ足して、ホストを追加していく。"
	     ))

      ;; (require 'un-define)
      ;; (setq coding-category-utf-8 'utf-8)

      (require 'iiimcf-sc)
      (setq iiimcf-server-control-default-language "ja")
      (setq default-input-method 'iiim-server-control)

      ;; 変換トグルの設定
      (define-key global-map "\C-\\" 'toggle-input-method)
      ;; Shift-Space または 半角/全角 でも起動
      (global-set-key [?\S-\ ] 'toggle-input-method)
      (global-set-key [zenkaku-hankaku] 'toggle-input-method)

      ;; モードライン表示をすっきりと
      ;; (setcar default-mode-line-format "")

      )
  )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(provide 'vine-default-IIIMECF)

;; Local Variables:
;; mode: emacs-lisp
;; End:
