%define samplesname 	dxsamples
%define sver	4.4.0
%define dxdir	%{_libdir}/dx

Name:		OpenDX
Summary:	IBM OpenDX (Data Explorer)

Version:	4.4.4
Release:	0vl1

Source:		http://opendx.npaci.edu/source/dx-%{version}.tar.gz
Source1:	http://opendx.npaci.edu/source/dxsamples-%{sver}.tar.gz
Source2:	icons-dx.tar.bz2
Patch4:		dx-4.2.0-errno.patch.bz2
Patch5:		dx-4.2.0-xkb.patch.bz2
Patch6:		dx-4.3.2-types.patch.bz2

URL:		http://www.opendx.org/
Group:		Applications/Engineering
License:	IBM Public License

BuildRequires:	autoconf
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  freetype2-devel
BuildRequires:	XOrg-gl-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  openMotif-devel
BuildRequires:  libjbig-devel
BuildRequires:  netcdf-devel
%ifnarch ppc
BuildRequires:	hdf-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on a standard interface environments. And its
sophisticated data model provides users with great flexibility in
creating visualizations.

%package devel
Summary:	Development libraries for OpenDX
Summary(ja):	OpenDX γȯѥե
Group:		Development/Libraries
Requires:       OpenDX = %{version}

%description devel
This package contains the header files and includes necessary to for developing
applications with OpenDX.

%prep
%setup -q -n dx-%{version} -a 1
%patch4 -p1 -b .errno
%patch5 -p1 -b .xkb
%patch6 -p1 -b .types
autoconf

%build
CFLAGS="%optflags -O1 -fno-fast-math -fno-exceptions" \
CXXFLAGS="%optflags -O1 -fno-fast-math -fno-exceptions -Wno-deprecated" \
%configure --prefix=%{_libdir} \
           --with-x \
	   --with-magick \
	   --with-netcdf \
           --with-jbig \
           --without-javadx
%__make LIBTOOL=/usr/bin/libtool

(cd %{samplesname}-%{sver}
%configure --prefix=%{_libdir}
%__make LIBTOOL=/usr/bin/libtool) 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir} \
	$RPM_BUILD_ROOT%{_includedir}
%makeinstall prefix=$RPM_BUILD_ROOT%{_libdir} \
	libdir=$RPM_BUILD_ROOT%{dxdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} LIBTOOL=/usr/bin/libtool
ln -sf %{dxdir}/include/dxconfig.h $RPM_BUILD_ROOT%{_includedir}/dxconfig.h
ln -sf %{dxdir}/include/dxl.h $RPM_BUILD_ROOT%{_includedir}/dxl.h
ln -sf %{dxdir}/include/dx $RPM_BUILD_ROOT%{_includedir}/dx
ln -sf %{dxdir}/lib_linux/libDX.a $RPM_BUILD_ROOT%{_libdir}/libDX.a
ln -sf %{dxdir}/lib_linux/libDXcallm.a $RPM_BUILD_ROOT%{_libdir}/libDXcallm.a
ln -sf %{dxdir}/lib_linux/libDXL.a $RPM_BUILD_ROOT%{_libdir}/libDXL.a
ln -sf %{dxdir}/lib_linux/libDXlite.a $RPM_BUILD_ROOT%{_libdir}/libDXlite.a
rm -rf $RPM_BUILD_ROOT%{dxdir}/man
#
(cd $RPM_BUILD_ROOT/%{dxdir}/html
ln -sf allguide.htm index.htm
ln -sf allguide.htm index.html
)
#
(cd %{samplesname}-%{sver}
make install prefix=$RPM_BUILD_ROOT%{_libdir} LIBTOOL=/usr/bin/libtool
)

mkdir -p $RPM_BUILD_ROOT%{dxdir}/lib
install -m 644 ./lib/mdf2c.awk $RPM_BUILD_ROOT%{dxdir}/lib/

# fix dxexec path
mv $RPM_BUILD_ROOT%{_bindir}/dxexec $RPM_BUILD_ROOT%{dxdir}/bin_linux/dxexec
ln -s %{dxdir}/bin_linux/dxexec $RPM_BUILD_ROOT%{_bindir}/dxexec

# remove files not packaged
rm -rf $RPM_BUILD_ROOT%{_libdir}/bin/dx

# icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps \
	 $RPM_BUILD_ROOT%{_datadir}/applications
tar xjf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/pixmaps

# desktop file entry
cat >$RPM_BUILD_ROOT%{_datadir}/applications/opendx.desktop <<EOF
[Desktop Entry]
Name=OpenDX
Comment=IBM OpenDX Visualization Data Explorer
exec=%{_bindir}/dx
Icon=dx.png
Terminal=0
Type=Application
Encoding=UTF-8
Category=Application;Graphics;3DGraphics;Visualization;
EOF

# Clean installed tree
find $RPM_BUILD_ROOT/%_libdir -type f -or -type d | xargs chmod go-w
rm -f $RPM_BUILD_ROOT%{dxdir}/samples/outboard/Makefile_os2 \
	$RPM_BUILD_ROOT%{dxdir}/samples/user/Makefile_os2

rm -f $RPM_BUILD_ROOT/%_libdir/dx/samples/data/externalfilter_alphax
rm -f $RPM_BUILD_ROOT/%_libdir/dx/samples/data/externalfilter_hp700
rm -f $RPM_BUILD_ROOT/%_libdir/dx/samples/data/externalfilter_ibm6000
rm -f $RPM_BUILD_ROOT/%_libdir/dx/samples/data/externalfilter_sgi
rm -f $RPM_BUILD_ROOT/%_libdir/dx/samples/data/externalfilter_solaris

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README
%dir %{dxdir}
%{_bindir}/*
%{_mandir}/*/*
%{dxdir}/bin
%{dxdir}/bin_linux
%{dxdir}/doc
%{dxdir}/fonts
%{dxdir}/help
%{dxdir}/html
%{dxdir}/lib
%{dxdir}/lib_linux/lib*.so.*
%{dxdir}/ui
%{dxdir}/java
%{_datadir}/pixmaps/*
%{_datadir}/applications/opendx.desktop

%files devel
%defattr(-,root,root)
%attr(644,root,root) %{_libdir}/*.a
%doc dxsamples-%{version}/ChangeLog
%{_includedir}/*
%{dxdir}/include
%{dxdir}/samples
%{dxdir}/lib_linux/lib*.a
%{dxdir}/lib_linux/lib*.la
%{dxdir}/lib_linux/lib*.so
%{dxdir}/lib_linux/arch.mak
%{dxdir}/lib/mdf2c.awk

%changelog
* Thu Dec 20 2007 Shu KONNO <owa@bg.wakwak.com> 4.4.4-0vl1
- updated dx to 4.4.4
- updated dxsamples to 4.4.0

* Tue Jun 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-0vl4
- rebuilt with new toolchain

* Thu Jul 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-0vl3
- rebuilt with ImageMagick 6.2.6.3
- changed devel Group to Development/Libraries

* Tue Oct 25 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.3.2-0vl2
- s/jbigkit-devel/libjbig-devel/

* Sat Oct 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.3.2-0vl1
- initial build for Vine Linux based on MDK package.

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.2-11mdk
- rebuilt against new Magick libs

* Mon Jul 11 2005 Giuseppe Ghib<ghibo@mandriva.com> 4.3.2-10mdk
- Rebuilt with gcc 4.0.1.
- Added Patch6 to avoid problems with graphwiz types.h.

* Wed Mar 23 2005 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-9mdk
- Rebuilt against latest ImageMagick.

* Mon Feb 07 2005 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-8mdk
- Rebuilt against latest ImageMagick.

* Thu Jan 20 2005 Frederic Lepied <flepied@mandrakesoft.com> 4.3.2-7mdk
- rebuild to have the correct dependencies

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.3.2-6mdk
- Rebuild with new menu

* Thu Jul 29 2004 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-5mdk
- Merged Gwenole patch: fix deps (from AMD64 4.3.2-1.1mdk version).

* Mon Jul 19 2004 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-4mdk
- Rebuilt under new gcc 3.4.1.

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 4.3.2-3mdk 
- rebuild for new ImageMagick

* Sat Jun 12 2004 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-2mdk
- Rebuilt.

* Thu Dec 18 2003 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.2-1mdk
- Release 4.3.2.

* Thu Nov 06 2003 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.0-4mdk
- Fixed path for dxexec executable, which prevents dx to start properly.

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 4.3.0-3mdk
- BuildRequires.

* Wed Aug 27 2003 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.0-2mdk
- Fixed DIRM distriblint prob.
- Removed unused patches.

* Fri Aug 08 2003 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.3.0-1mdk
- Release 4.3.0.
- Use -O1 for now for gcc 3.3.1.
- Moved samples to devel package.
- Disabled Patch1,2,3,6 as no longer needed.
- Don't use %%make macro on building, otherwise doesn't build.

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 4.2.0-8mdk
- Rebuild

* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.2.0-7mdk
- fix gcc-3.3 build (P6)
- use %%make macro
- fix location of man pages

* Tue Feb 18 2003 Giuseppe Ghib<ghibo@mandrakesoft.cm> 4.2.0-6mdk
- Added Patch2,3 from cvs (report by Nikos Platis).
- Added Patch4,5 for get compiling under latest glibc and XFree86.

* Sat Nov 30 2002 Stefan van der Eijk <stefan@eijk.nu> 4.2.0-5mdk
- BuildRequires
- Remove files not packaged

* Mon Nov 25 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.2.0-4mdk
- Less verbose %%description.

* Fri Nov 22 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.2.0-3mdk
- Rebuilt against latest ImageMagick.

* Mon Nov 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.2.0-2mdk
- Added patch to use stringstreams and not deprecated C++ classes.

* Tue Sep 10 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.2.0-1mdk
- New version: 4.2.0.

* Tue Sep 10 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-12mdk
- Added missed file mdf2c.awk (reported by Nikos Platis).

* Wed Aug 28 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-11mdk
- Rebuilt against latest netcdf-devel package.

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.1.3-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.1.3-9mdk
- Automated rebuild with gcc3.2

* Mon Jun  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.1.3-8mdk
- Use %%make
- Patch1: ISO C++ fixes
- Patch0: Don't include /usr/include in include search path

* Thu Feb 21 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-7mdk
- rebuilt.

* Sat Feb 02 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-6mdk
- rebuilt against HDF 4.1r5.

* Thu Jan 24 2002 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-5mdk
- fixed icons (png).

* Mon Oct 15 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-4mdk
- Rebuilt against latest libpng.

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 4.1.3-3mdk
- BuildRequires:	flex
- Removed BuildRequires:	zlib-devel

* Wed Aug 01 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-2mdk
- added -fno-exceptions to compilation flags (thanks to Randall Hopper).
- forced -O2 due to gcc bug.

* Tue Jun 12 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.3-1mdk
- updated to version 4.1.3.
- cleaned SPEC file.

* Thu Mar 22 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-7mdk
- run aclocal/autoconf only for non ix86 architectures.
- added menu entry.

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 4.1.0-6mdk
- Don't BuildRequires HDF on PPC (HDF doesn't support PPC architecture)
- Use optimizations on PPC

* Fri Mar 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 4.1.0-5mdk
- Prefer arch "linux" to arch "alphax", for alpha.
- Re-generate configure with autoconf for each build.

* Mon Feb 26 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-4mdk
- add netcdf support.

* Sat Feb 24 2001 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-3mdk
- added samples.
- added patches for allowing static building (thanks jloup).
- added mandirs.
- fixed docs.
- split into main and devel package.

* Tue Dec 26 2000 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-2mdk
- added netcdf, hdf, cdf support.

* Mon Oct 09 2000 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-1mdk
- more macros.
- added patch for ImageMagick.

* Sat Oct 07 2000 Giuseppe Ghib<ghibo@mandrakesoft.com> 4.1.0-0.9mdk
- initial release.
