Summary: Simple DirectMedia Layer - Sample Mixer Library
Name:    SDL_mixer
Version: 1.2.12
Release: 2%{?_dist_release}
Source0: http://www.libsdl.org/projects/%{name}/%{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL-devel >= 1.2.10
BuildRequires: flac-devel
BuildRequires: sane
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel
BuildRequires: libmikmod-devel
BuildRequires: audiofile-devel
Requires: libmikmod
Requires: libvorbis
Requires: libogg

%description
Due to popular demand, here is a simple multi-channel audio mixer.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%description -l ja
これはシンプルなマルチチャンネルなオーディオミキサーです。
4チャンネルの16 bit ステレオオーディオ+一般的な MikMod MOD、
Timidity MIDI や SMPEG MP3 ライブラリによって
ミックスされた1チャンネルの音楽をサポートします。

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Due to popular demand, here is a simple multi-channel audio mixer.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%description devel -l ja
これはシンプルなマルチチャンネルなオーディオミキサーです。
4チャンネルの16 bit ステレオオーディオ+一般的な MikMod MOD、
Timidity MIDI や SMPEG MP3 ライブラリによって
ミックスされた1チャンネルの音楽をサポートします。

%prep
%setup -q

%build
%configure --disable-dependency-tracking \
           --disable-static \
           --enable-music-mod
make %{?_smp_mflags} LDFLAGS=-lm

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# installed binary
%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
/bin/sh ./libtool  --mode=install /usr/bin/install -c build/playmus \
$RPM_BUILD_ROOT%{_bindir}
/bin/sh ./libtool  --mode=install /usr/bin/install -c build/playwave \
$RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/playmus
%{_bindir}/playwave
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/SDL

%changelog
* Mon Aug 20 2012 IWAI, Masaharu <iwai@alib.jp> 1.2.12-2
- drop BR: smpeg-devel

* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.12-1
- new upstream release
- change BuildRequires: libmikmod-devel instead of mikmod-devel

* Sat Jun 18 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.2.11-3
- rebuild for Vine Linux
- add BuildRequires: smpeg-devel, mikmod-devel and audiofile-devel
- change configure option to --enable-music-mod
  (--enable-music-libmikmod is obsoleted)

* Tue Dec 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.11-2
- rebuild with rpm-4.8.1

* Sat Sep 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.11-1
- new upstream release
- added BuildRequires: flac-devel
- added Requires: libmikmod
- added configure option
  --disable-dependency-tracking
  --disable-static
  --enable-music-libmikmod
- used make %{?_smp_mflags} LDFLAGS=-lm

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.8-1
- applied new versioning policy
- spec in UTF-8

* Tue Oct 30 2007 Shu KONNO <owa@bg.wakwak.com> 1.2.8-0vl2
- added Requires: smpeg

* Sun Sep 02 2007 Shu KONNO <owa@bg.wakwak.com> 1.2.8-0vl1
- update SDL_mixer to 1.2.8
- dropt BuildPreReq: smpeg-devel
- dropt Requires: smpeg

* Mon Jan 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.7-0vl1
- new upstream release
- added %post and %postun section

* Mon Mar 21 2005 Satoshi MACHINO <machino@vinelinux.org> 1.2.6-0vl2
- fixed included devel package

* Sat Mar 19 2005 Satoshi MACHINO <machino@vinelinux.org> 1.2.6-0vl1
- new upstream release
- enabled music-ogg, music-mp3

* Mon Oct 11 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.5-0vl3
- rebuilt without alsa

* Wed May 05 2004 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl2
- added japanese description
- built by SDL-1.2.7
 
* Sun May 11 2003 Satoshi MACHINO <machino@vinelinux.org> 1.2.5-0vl1
- new upstram version
- used rpmmacros

* Tue Jul 02 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.4-0vl1
- new upstream version.

* Thu Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.3-0vl1
- updated SDL_mixer-1.2.3
- added BuildPreReq

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure
* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

