Summary: Simple DirectMedia Layer - Sample TrueType Font Library
Name: SDL_ttf
Version: 2.0.11
Release: 1%{?_dist_release}
Group: System Environment/Libraries
License: LGPL
Source0: http://www.libsdl.org/projects/SDL_ttf/src/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL-devel >= 1.2.4
BuildRequires: esound-devel
BuildRequires: freetype2-devel
BuildRequires: libXt-devel
BuildRequires: libtool, autoconf, automake

%description
This library allows you to use TrueType fonts to render text in SDL
applications.

%description -l ja
このライブラリはSDLアプリケーションに於て、
TrueTypeフォントを使用してtextをレンダリングするためのライブラリです。

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: SDL-devel

%description devel
This library allows you to use TrueType fonts to render text in SDL
applications.

%description devel -l ja
このライブラリはSDLアプリケーションに於て、
TrueTypeフォントを使用してtextをレンダリングするためのライブラリです。


%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# install binary
#%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
#/bin/sh ./libtool  --mode=install /usr/bin/install -c showfont \
#$RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%doc showfont.c
#%{_bindir}/showfont*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/SDL_ttf.pc
%{_includedir}/SDL/

%changelog
* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0.11-1
- new upstream release

* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 2.0.10-1
- new upstream release
- add pkg-config file in devel package
- remove *.a

* Sat May 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.9-2
- don't include showfont anymore, as it now comes from xorg-x11-xfs-utils

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-1
- applied new versioning policy
- spec in UTF-8
- BuildRequires: libXt-devel instead of XOrg-devel

* Sun Sep 02 2007 Shu KONNO <owa@bg.wakwak.com> 2.0.9-0vl1
- updated SDL_ttf to 2.0.9

* Tue Jan 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.8-0vl1
- new upstream release
- added %post and %postun section

* Mon Mar 21 2005 Satoshi MACHINO <machino@vinelinux.org> 2.0.7-0vl2
- fixed included devel package

* Sat Mar 19 2005 Satoshi MACHINO <machino@vinelinux.org> 2.0.7-0vl1
- new upstream release
	-- dropped patch1 because it ihas been included

* Tue May 04 2004 Satoshi MACHINO <machino@vinelinux.org> 2.0.6-0vl2
- added japanese description
- changed BuildPreReq to XOrg-devel from XFree86-devel
- added freetype2.patch
- built on SDL-1.2.7

* Sun May 11 2003 Satoshi MACHINO <machino@vinelinux.org> 2.0.6-0vl1
- new upstream version
- added automake in BuildPreReq
- used rpmmacros

* Thu Apr 30 2002 Satoshi MACHINO <machino@vinelinux.org> 2.0.5-0vl1
- updated SDL_ttf-2.0.5
- BuildRequires: SDL-devel >= 1.2.4

* Thu Jan 10 2002 akira yamada <akira@vinelinux.org> 2.0.4-0vl1
- new upstream version.

* Sat Oct 27 2001 akira yamada <akira@vinelinux.org> 2.0.3-1vl1
- imported to VineSeed Plus.

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

