Summary: A utility for improving the appearance of text consoles.
Name: SVGATextMode
%define version 1.8
Version: 1.10
Release: 0vl1
Copyright: GPL
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/utils/console/SVGATextMode-%{version}-src.tar.gz 
Patch0: SVGATextMode-1.10-make.patch
Patch1: SVGATextMode-1.9-rh.patch
Patch2: SVGATextMode-1.10-fs.h.patch
Requires: kbd
BuildRoot: %{_tmppath}/SVGATextMode-root
ExclusiveArch: %{ix86}

%description
SVGATextMode is a utility for reprogramming (S)VGA hardware, to improve
the appearance of text consoles. SVGATextMode uses a configuration file 
(the default is /etc/TextConfig) with a syntax similar to X Window 
System's configuration file (Xconfig or XF86Config) to set up textmodes 
with higher resolution, larger font sizes, higher display refresh rates, 
etc.  Theoretically, SVGATextMode can be used to program any text mode 
size, but your results will depend upon your VGA card.

Install SVGATextMode if you want to alter the appearance of your text 
consoles.

%prep
%setup -q -n SVGATextMode-%{version}
%patch0 -p1 -b .make
%patch1 -p1 -b .rh
%patch2 -p1 -b .fs

%build
make dep
make all RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{etc,usr/sbin,%{_mandir}/man{5,8}}
make DESTDIR=%{buildroot} \
     INSTMANDIR=%{buildroot}%{_mandir} \
	 newinstall man-install
install -m 0755 STMmenu %{buildroot}/usr/sbin/stm-menu

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config /etc/TextConfig
%doc README README.FIRST CREDITS COPYING HISTORY TODO Changelog
%doc doc/*
/usr/sbin/*
%{_mandir}/man*/*

%changelog
* Sat Aug 18 2001 Toru Sagami <sagami@vinelinux.org>
- 1.10-0vl1: updated to 1.10

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed
- version 1.9

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for Matrox Millenium AGP

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- ExclusiveArch: i386

* Sun Jan 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.8
- built against glibc; spec file cleanup

* Wed Jul 2 1997 Timo Karjalainen <timok@iki.fi>
- Upgraded to version 1.6

* Fri Jun 13 1997 Timo Karjalainen <timok@iki.fi>
- Config file moved from /usr/etc to /etc
- Some minor changes to specfile

* Wed Jun 4 1997 Ximenes Zalteca <ximenes@null.net>
- Re-Group:'d

* Sun Apr 27 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added %changelog
- added %clean
- added BuildRoot

