Summary: A structured wysiwyg scientific text editor
Name: TeXmacs
Version: 1.0.6
Release: 0vl1
Url: http://www.texmacs.org
Source: ftp://ftp.texmacs.org/pub/TeXmacs/TeXmacs-%{version}-src.tar.gz
Patch0: TeXmacs-1.0.6-maxima-5.11.patch
License: GNU GPL 2.0
Group: Applications/Editors
Requires: tetex guile
Buildrequires: guile-devel freetype2-devel XOrg-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description

GNU TeXmacs is a free wysiwyw (what you see is what you want) editing
platform with special features for scientists. The software aims to provide
a unified and user friendly framework for editing structured documents with
different types of content (text, graphics, mathematics, interactive content,
etc.). The rendering engine uses high-quality typesetting algorithms so as to
produce professionally looking documents, which can either be printed out
or presented from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc.
New presentation styles can be written by the user and new features can be
added to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

TeXmacs runs on all major Unix platforms and Windows. Documents can be
saved in TeXmacs, Xml or Scheme format and printed as Postscript or
Pdf files. Converters exist for TeX/LaTeX and Html/Mathml.

%prep
%setup -q -n TeXmacs-%{version}-src
%patch0 -p1

%build
%configure
%__make TEXMACS

%install
%__make DESTDIR=%{buildroot} install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
%__cp -r -f $GUILE_LOAD_PATH %{buildroot}%{_datadir}/TeXmacs/progs
%__chmod -f 644 %{buildroot}%{_datadir}/TeXmacs/progs/ice-9/*
%__chmod -f 755 %{buildroot}%{_datadir}/TeXmacs/progs/ice-9
%__mkdir -p %{buildroot}/etc/X11/applnk/Applications
%__mkdir -p %{buildroot}/usr/share/application-registry
%__mkdir -p %{buildroot}/usr/share/mime-info
%__mkdir -p %{buildroot}/usr/share/pixmaps
%__cp -f %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.desktop %{buildroot}/etc/X11/applnk/Applications
%__cp -f %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.applications %{buildroot}/usr/share/application-registry
%__cp %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.keys %{buildroot}/usr/share/mime-info
%__cp %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.mime %{buildroot}/usr/share/mime-info
%__cp %{buildroot}%{_datadir}/TeXmacs/misc/pixmaps/TeXmacs.xpm %{buildroot}/usr/share/pixmaps

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs
/etc/X11/applnk/Applications/texmacs.desktop
/usr/share/application-registry/texmacs.applications
/usr/share/mime-info/texmacs.keys
/usr/share/mime-info/texmacs.mime
/usr/share/pixmaps/TeXmacs.xpm

%clean
%__rm -rf %{buildroot}

%changelog
* Sun Apr 22 2007 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0.6-0vl1
- new upstream version
- add patch for maxima-5.11
- update description

* Sat Apr 23 2005 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0.4-0vl1
- New upstream version

* Sat Apr 10 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0.3-0vl1
- New upstream version

* Sat Oct 11 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.2-0vl2
- %%defattr was missing - fixed
- make TEXMACS, not STATIC_TEXMACS

* Fri Sep 26 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0.2-0vl1
- New upstream version

* Thu Aug  7 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0.1.21-0vl1
- New upstream version

* Sat Jun 28 2003   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.1.16 Moved "TeXmacs-%{version}" in root directory to "TeXmacs"

* Mon Jun  2 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 1.0.1-1vl1
- Import from original

* Tue Jul 22 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.0.10 Migrated architecture dependent options to configure.in

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.14 Added -f for chmod

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.11 Extra compilation options reduce size of executable

* Sun Nov 26 2001   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.7 TeXmacs mime types & pixmap

* Thu Jul 5 2001   Joris van der Hoeven & Christophe Merlet
- 0.3.4.3 Further corrections

* Sun Jun 3 2001   Bo Forslund  <bo.forslund@abc.se>
- 0.3.4.3 Some tiny adjustments in the spec
