%define fontname dejavu
%define archivename dejavu-fonts-ttf
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Version: 2.33
Release: 1%{?_dist_release}
Summary: The DejaVu fonts are a font family based on the Vera Fonts
Summary(ja): DejaVu フォントは Vera フォントをベースとしたフォントファミリーです

License: Bitstream Vera and Public Domain
Group: User Interface/X
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/dejavu/
Source: %{archivename}-%{version}.tar.bz2

Requires: TrueType-%{fontname}-sans >= %{version}
Requires: TrueType-%{fontname}-serif >= %{version}
Requires: TrueType-%{fontname}-sans-mono >= %{version}
Requires: TrueType-%{fontname}-doc >= %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Obsoletes: TrueType-DejaVu

%description
The DejaVu fonts are a font family
based on the Vera Fonts (version 1.10).

%description -l ja
DejaVu Fonts は Bitstream Vera Fonts (version 1.10) を
ベースにしたフォントファミリです。

このパッケージは DejaVu フォントのメタパッケージです。
Sans・Serif・Sans-Mono の3書体をインストールします。


%package sans
Summary: DejaVu sans TrueType Fonts
Summary(ja): DejaVu sans True Type フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description sans
This package includes DejaVu sans TrueType fonts.

%description -l ja sans
このパッケージには DejaVu sans フォントが含まれています。

- DejaVuSans-Bold
- DejaVuSans-BoldOblique
- DejaVuSans-ExtraLight
- DejaVuSans-Oblique
- DejaVuSans
- DejaVuSansCondensed-Bold
- DejaVuSansCondensed-BoldOblique
- DejaVuSansCondensed-Oblique
- DejaVuSansCondensed


%package serif
Summary: DejaVu serif TrueType Fonts
Summary(ja): DejaVu serif True Type フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description serif
This package includes DejaVu serif TrueType fonts.

%description -l ja serif
このパッケージには DejaVu serif フォントが含まれています。

- DejaVuSerif-Bold
- DejaVuSerif-BoldItalic
- DejaVuSerif-Italic
- DejaVuSerif
- DejaVuSerifCondensed-Bold
- DejaVuSerifCondensed-BoldItalic
- DejaVuSerifCondensed-Italic
- DejaVuSerifCondensed


%package sans-mono
Summary: DejaVu sans-mono TrueType Fonts
Summary(ja): DejaVu sans-mono True Type フォント
Group: User Interface/X
Requires: TrueType-%{fontname}-doc

%description sans-mono
This package includes DejaVu sans-mono TrueType fonts.

%description -l ja sans-mono
このパッケージには DejaVu sans-mono フォントが含まれています。

- DejaVuSansMono-Bold
- DejaVuSansMono-BoldOblique
- DejaVuSansMono-Oblique
- DejaVuSansMono

%package doc
Summary: DejaVu Font Documents
Summary(ja): DejaVu フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for DejaVu fonts includes enduser
license.

%description -l ja doc
このパッケージには DejaVu フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -n %{archivename}-%{version}
mv ttf/*.ttf .

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%post sans
%__font_install_post %{_fontdir}

%post serif
%__font_install_post %{_fontdir}

%post sans-mono
%__font_install_post %{_fontdir}


%postun sans
%__font_install_postun %{_fontdir}

%postun serif
%__font_install_postun %{_fontdir}

%postun sans-mono
%__font_install_postun %{_fontdir}

%files

%files sans
%{_fontdir}/DejaVuSans*.ttf

%files serif
%{_fontdir}/DejaVuSerif*.ttf

%files sans-mono
%{_fontdir}/DejaVuSansMono*.ttf

%files doc
%doc *.txt
%doc AUTHORS BUGS LICENSE NEWS README


%changelog
* Fri Apr 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.33-1
- new upstream release

* Mon Aug 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.32-1
- new upstream release

* Sat May 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.31-1
- new upstream release
- added Japanase summary, improved summary
- added Requires: TrueType-%{fontname}-doc in TrueType-%{fontname} package

* Tue Sep 1 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.30-1
- new upstream release

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.29-3
- added Obsoletes: TrueType-DejaVu

* Wed Apr 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.29-2
- spec rewrote mostly (compliant to TrueType-IPAfont.spec)
- renamed package name
- splitted sans, serif, sans-mono, and doc packages
- spec in UTF-8

* Thu Mar 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.29-1
- new upstream release

* Sat Jan 10 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28-3
- fixed Summary
- fixed Lisense
- modified description -l ja

* Thu Jan 1 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28-2
- fixed fontdir name

* Wed Dec 31 2008 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.28-1
- initial build for VineSeed
