%define _fontdir %{_datadir}/fonts/TrueType-gnu-freefont

Name:    TrueType-gnu-freefont
Version: 20120503
Release: 1%{?_dist_release}
Summary: Free UCS Outline Fonts by The GNU FreeFont project
Summary(ja): The GNU FreeFont project によるフリーな UCS アウトラインフォント
Group: User Interface/X
License: GPLv3
URL: http://savannah.gnu.org/projects/freefont/
Source:	http://ftp.gnu.org/gnu/freefont/freefont-ttf-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: TrueType-gnu-freefont-serif = %{version}
Requires: TrueType-gnu-freefont-sans = %{version}
Requires: TrueType-gnu-freefont-mono = %{version}
Requires: TrueType-gnu-freefont-doc = %{version}

%description
This package is meta package to install three type GNU Freefonts.

%description -l ja
このパッケージはGNU Freefont のメタパッケージです。
このパッケージでserif・sans・monoの3書体をインストールします。

%package serif
Summary: GNU Freefont serif
Summary(ja): GNU Freefont serif フォント
Group: User Interface/X
Requires: TrueType-gnu-freefont-doc

%description serif
This package includes GNU Freefont serif TrueType fonts.

%description -l ja serif
このパッケージにはGNU Freefont serif フォントが含まれています。

- FreeSerif
- FreeSerifBold
- FreeSerifBoldItalic
- FreeSerifItalic

%package sans
Summary: GNU Freefont sans
Summary(ja): GNU Freefont sans フォント
Group: User Interface/X
Requires: TrueType-gnu-freefont-doc

%description sans
This package includes GNU Freefont sans TrueType fonts.

%description -l ja sans
このパッケージにはGNU Freefont sans フォントが含まれています。

- FreeSans
- FreeSansBold
- FreeSansBoldOblique
- FreeSansOblique

%package mono
Summary: GNU Freefont mono
Summary(ja): GNU Freefont mono フォント
Group: User Interface/X
Requires: TrueType-gnu-freefont-doc

%description mono
This package includes GNU Free mono TrueType fonts.

%description -l ja mono
このパッケージにはGNU Freefont mono フォントが含まれています。

- FreeMono
- FreeMonoBold
- FreeMonoBoldOblique
- FreeMonoOblique

%package doc
Summary: GNU Freefont Documents
Summary(ja): GNU Freefont ドキュメント
Group: User Interface/X

%description doc
This package includes important documents for GNU Freefont
includes enduser license.

%description -l ja doc
このパッケージにはGNU Freefontのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -n freefont-20120503

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%post serif
%__font_install_post %{_fontdir}

%post sans
%__font_install_post %{_fontdir}

%post mono
%__font_install_post %{_fontdir}

%postun serif
%__font_install_postun %{_fontdir}

%postun sans
%__font_install_postun %{_fontdir}

%postun mono
%__font_install_postun %{_fontdir}

%files

%files doc
%doc AUTHORS COPYING CREDITS ChangeLog README

%files serif
%{_fontdir}/FreeSerif*.ttf

%files sans
%{_fontdir}/FreeSans*.ttf

%files mono
%{_fontdir}/FreeMono*.ttf

%changelog
* Tue May 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 20120503-1
- new upstream release

* Mon Nov 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 20100919-1
- new upstream release

* Sun Jun 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 20090104-2
- added Requires: TrueType-gnu-freefont-mono

* Sat May 16 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 20090104-1
- initial release for VineSeed
