# Command macros
%define __mkfontdir     umask 133;%{_x11bindir}/mkfontdir
%define __mkfontscale   umask 133;%{_x11bindir}/mkfontscale
# Use this macro to call fc-cache throughout the specfile.
%define __fccache       umask 133;which fc-cache &> /dev/null && fc-cache

%define version 4.6
%define release 0vl3
%define kochi_subst_date 20030809

%define xfontdir /usr/X11R6/lib/X11/fonts/TrueType

Summary: Free Japanese/English True Type Font (Kochi substitute, Luxi)
Summary(ja): ե꡼ܸ True Type ե(ī/å)
Name: TrueType-kochi-subst
Version: %{version}
Release: %{release}
BuildArch: noarch

PreReq: TrueType-base >= 4.4.1
Requires: TrueType-base >= 4.4.1
Provides: TrueTypeFonts_jp = %{version}

Obsoletes: TrueTypeFonts_jp < 4.1
Obsoletes: TrueType-kochi <= 4.4.1
Provides: TrueType-kochi = %{version}-%{release}

Source: %{name}-%{version}.tgz

# Kochi substitute
Source4: kochi-substitute-%{kochi_subst_date}.tar.bz2

Copyright: distributable
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-root
# Prereq: chkfontpath
Prereq: mktcapdir >= 0.5.4

Distribution: Vine Linux
Vendor: Project Vine

%description
Free Japanese True Type Font (Kochi-Mincho-subst/Kochi-Gothic-subst)

%description -l ja
ե꡼ܸ True Type ե(ī/å)

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -a 4
mv kochi-substitute-%{kochi_subst_date}/* .

%install

mkdir -p $RPM_BUILD_ROOT/%{xfontdir}
mv *.ttfconf *.ttf \
  $RPM_BUILD_ROOT/%{xfontdir}


%post
%{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
  %{_bindir}/vine-update-gnome-font-install
fi
( %__fccache %{xfontdir} ) ||:

%postun
%{_bindir}/mktcapdir %{xfontdir} %{xfontdir}/*.ttfconf
if [ -x %{_bindir}/vine-update-gnome-font-install ]; then
  %{_bindir}/vine-update-gnome-font-install
fi
( %__fccache %{xfontdir} ) ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.ja COPYING Changelog docs/
%{xfontdir}/*

%changelog
* Sat Jan 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 4.6-0vl3
- fix %post/%pre macros 

* Wed Dec 24 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.6-0vl2
- use __fccache macro

* Wed Oct 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.6-0vl1
- new upstream release
- new upstream release
- add "eo=m" to ttfconf to use Windows Unicode encoding

* Fri Jun 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.5-0vl1
- Kochi substitute fonts
- spec file based on TrueType-kochi

* Thu Feb 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 4.4.1-0vl1
- update kochi-gothic to 0.20030118
- modify kochi.ttfconf (use cell for monospace font)

* Mon Nov 04 2002 Shoji Matsumoto <shom@vinelinux.org> 4.4-0vl2
- add kochi-gothic-new

* Sun Oct 06 2002 Shoji Matsumoto <shom@vinelinux.org> 4.4-0vl1
- update to 0.2-20020727
- modiry kochi.ttfconf
- remove chkfontpath

* Sun Mar 31 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3.1-0vl1
- fix %post ( chkfontpath )
- remove chkfontpath from %postun
- update to 0.2-20020326

* Sat Mar 16 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3.1-0vl0
- add postun

* Tue Mar 12 2002 Shoji Matsumoto <shom@vinelinux.org> 4.3-0vl0
- created
- separated from TrueType_jp (to TrueType-base, TrueType-kochi)
- *******************************************************************

* Tue Mar 12 2002 Shoji Matsumoto <shom@vinelinux.org> 4.2-0vl0
- update ricoh.ttfconf, kochi.ttfconf
- add luxi*-2.ttf (bitmap embedded luxi*.ttf)

* Mon Mar 11 2002 Shoji Matsumoto <shom@vinelinux.org> 4.1-0vl0
- Package Name changed to TrueType-kochi (Provides TrueTypeFonts_jp)
- update microsoft.ttfconf, ricoh.ttfconf

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 4.0-0vl2
- fix

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 4.0-0vl1
- upate kochi-*
- update *.ttfconf
- add xf42lux.ttfconf, symlinks to XF42 lux ttfs
- add ricoh.ttfconf for CR

* Mon Dec 03 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl6
- update *.ttfconf
- remove ricoh.ttfconf
- update kochi-*

* Mon Sep 10 2001 SHoji Matsumoto <shom@vinelinux.org> 3.0-0vl4
- fixed bug in kochi.ttfconf

* Mon Sep 10 2001 SHoji Matsumoto <shom@vinelinux.org> 3.0-0vl3
- remove %post process for DynaFonts fonts
  (/usr/share/fonts/TrueType/aliastt-* obsoletes)

* Sat Sep 08 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl2
- remove watanabe, wadalab
- now using mktcapdir

* Mon Jun 04 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl1
- remove times/hevletica iso8859-1 aliases for kochi

* Fri May 18 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0-0vl0
- add kochi-mincho/kochi-gothic
- add Type1 fonts from XFree86-4.0 (temp)
- add -alias-{times,helvetica,monotype} to aliases

* Thu Mar 15 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 2-7
- remove Obsoletes DynaFonts tag.

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 2-6
- build with gcc-2.95.3
- partially used rpmmacros
 
* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- 2-5
- chkfontpath -remove TrueType in %post to get stability

* Tue Feb  1 2000 Jun Nishii <jun@vinelinux.org>
- 2-4
- stop to add path for xfs to get stability

* Mon Jan 24 2000 Jun Nishii <jun@vinelinux.org>
- 2-3
- oops...fix bugs for comment out in FONTS.ALIAS

* Thu Jan 20 2000 Jun Nishii <jun@vinelinux.org>
- 2-2
- bug fix: added symlink for aliastt-...
- added Obsoletes DynaFonts

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- TrueTypeFonts_jp-2-1
- added %defattr
- bzip2 source

* Thu Dec 30 1999 Jun Nishii <jun@vinelinux.org>
- change group

* Fri Dec 10 1999 Jun Nishii <jun@vinelinux.org>
- new fonts.alias

* Mon Nov  8 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 1-4
- added Prereq: chkfontpath tag

* Tue Sep 9 1999 Norihito Ohmori <ohmori@flatout.org>
- change using chkfontpath

* Wed Dec 23 1998 MATSUMOTO Shoji <vine@flatout.org>
- 1-2
- change fonts.dir and fonts.alias
- some symbols defined

