%define fontname ubuntufont
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Ubuntu font family
Summary(ja): Ubuntu フォントファミリ
Version: 0.80
Release: 1%{?_dist_release}
License: Ubuntu Font License 1.0
Group: User Interface/X
URL: http://font.ubuntu.com/

Source0: ubuntu-font-family-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: unzip
Requires: TrueType-%{fontname}-mono
Requires: TrueType-%{fontname}-sans
Requires: TrueType-%{fontname}-doc

Obsoletes: TrueType-%{fontname}-bold
Obsoletes: TrueType-%{fontname}-italic
Obsoletes: TrueType-%{fontname}-regular

%description
The Ubuntu Font Family are a set of matching new libre/open fonts in
development during 2010--2011.

%description -l ja
Ubuntu フォントファミリは2010年から2011年の間に開発された
自由でオープンな新しいフォントのセットです。

%package mono
Summary: Ubuntu font family monospace
Summary(ja): Ubuntu フォントファミリ 等幅
Group: User Interface/X

%description mono
This package includes Ubuntu font family monospace font.

%description -l ja mono
このパッケージには Ubuntu フォントファミリ 等幅フォントが含まれています。

%package sans
Summary: Ubuntu font family sanserif
Summary(ja): Ubuntu フォントファミリ サンセリフ
Group: User Interface/X

%description sans
This package includes Ubuntu font family sanserif fonts.

%description -l ja sans
このパッケージには Ubuntu フォントファミリ サンセリフフォントが含まれています。

%package doc
Summary: Ubuntu font family documents
Summary(ja): Ubuntu フォントファミリドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Ubuntu font family
includes enduser license.

%description -l ja doc
このパッケージには Ubuntu フォントファミリのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T
%{_bindir}/unzip -ojq %{SOURCE0}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post mono
%__font_install_post %{_fontdir}

%post sans
%__font_install_post %{_fontdir}

%postun mono
%__font_install_postun %{_fontdir}

%postun sans
%__font_install_postun %{_fontdir}

%files

%files mono
%{_fontdir}/UbuntuMono*.ttf

%files sans
%{_fontdir}/Ubuntu-*.ttf

%files doc
%doc *.txt

%changelog
* Sat Oct 01 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.80-1
- new upstream release
  - obsoleted bold, italic, regular packages
  - reorganized two packages, -mono and -sans

* Sat Dec 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.70.1-1
- initial build for VineSeed
