%define iversion 20101026

#%%define vinecr 0
#%%if %{vinecr}
#%%define cr_release 1
#%%endif

%define pkg_version 5.2
%define pkg_release 0.%{iversion}%{?_dist_release}

Summary: Vine Linux Online Manual
Summary(ja): Vine Linux オンラインマニュアル
Name: Vine-manual
Version: %{pkg_version}
Release: %{pkg_release}

Source: %{name}-%{iversion}.tar.bz2

License: GFDL
Group: Applications/Documentation
BuildRequires: docbook-style-xsl, docbook-dtds, libxslt, w3m, nkf
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Provides: indexhtml
Obsoletes: indexhtml

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi, inagaki, daisuke

URL: http://vinedocs.sourceforge.jp/

%description
This package contains users manual and how to build rpm.

%description -l ja
このパッケージは、ユーザーズマニュアルとRPMのビルド方法を含んでいます。

%prep
if [ -e $RPM_BUILD_ROOT ] ; then
    [ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
fi

%setup -q -n %{name}-%{iversion}

%build
%{__make} online

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install-online
%{__make} DESTDIR=${RPM_BUILD_ROOT} install-yelp

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_defaultdocdir}/Vine
%{_datadir}/vine/help
%{_datadir}/omf

%changelog
* Tue Oct 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 5.2-0.20101026
- update source

* Thu Sep 16 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2-0.20100916
- update source.
- added omf file for yelp (testing)

* Sat Feb 27 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.0-0.%{iversion}%{?_dist_release}
- update source.

* Sun Nov 29 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.9-2.%{iversion}%{?_dist_release}
- devide users-manual to desktop users guide and cui users guide.

* Sun Jul 12 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.9-1.%{iversion}%{?_dist_release}
- update MakingRPM.

* Tue Sep 09 2008 Shu KONNO <owa@bg.wakwak.com> 4.1-1.20071009vl5
- applied new versioning policy, spec in utf-8

* Tue Oct 09 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20071009
- update accessibility-features.xml
-  add "echo -e '\a'" command for testing beep sound on gnome-terminal
-  add about gnome-font-properties
-  add image gnome-font-properties*.png
- update login.xml
-  add about gdm (automatic login, face browser)
- update making-rpm.xml
-  update about desktop entry file
- update root.xml
-  update about gksu [Vine-doc:00372]
- update using-rpm.xml
-  add trouble shooting (add example of bash functions)
-  update about architecture (remove alpha, sparc)
- update utils.xml
-  update about Emacs (add find-function-C-source-directory on emacs.my.el)
-  update about tgif (add about xfs)
- update vine-gui.xml
-  update about gnome-session-properties
-  update about gnome-terminal (add about chsh)
- fix typo root.xml, utils.xml , %%changelog

* Sun Sep 30 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070930
- update vine-gui.xml
-  update URL (ftp site)

* Sat Sep 29 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070929
- update utils.xml
-  update about vi
-  add <guibutton> tag
- update vine-gui.xml
-  update about gconf-editor
-  update about yelp
-   add about english message (alias eng)
-  update about mtools
- replace vine.css with cvs (change cvs ID)
- update accessibility-features.xml
-  update about nautilus-file-management-properties (<BTS:wishes:23>)
-   update nautilus-file-management-properties*.png
-  add <keycap> tag
- update using-rpm.xml
-  update URL (ftp site)
- add id on tags (<partintro> <sect?> <figure> <example> <table>)
- fix typo about.xml

* Fri Sep 28 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070928
- update login.xml
-  update about kernel boot option
-  fix typo
- update vine-gui.xml
-  update about yelp
-  add about firefox -safe-mode
-  add about openoffice.org sub packages (openoffice.org-graphicfilter ...)
- update utils.xml
-  update about Emacs
- fix typo root.xml,using-rpm.xml

* Thu Sep 27 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070927
- update vine-gui.xml
-  update about gnome-session-properties
-  update splash-screen screen-shot (gnome-splash-screen.png)
-  add about nautilus bookmark
- update accessibility-features.xml
-  update index
- update utils.xml
-  update about Emacs (~/.emacs.my.el and M-x customize-variable)
-  add image emacs-M-x-customize-variable.png
- update root.xml
-  update user name
- update login.xml
-  update about group

* Wed Sep 26 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070926
- update vine-gui.xml
-  add about gnome-session-properties
-   add gnome-session-properties screen-shot (gnome-session-properties-[1-4].png)
-   add splash-screen screen-shot (gnome-splash-screen.png)

* Tue Sep 25 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070925
- update utils.xml
-  update about Emacs

* Fri Sep 21 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070921
- update utils.xml
-  update about Emacs (~/.emacs.my.el and M-x customize)
-  add image emacs-M-x-customize.png

* Thu Sep 20 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070920
- update utils.xml
-  update about Emacs (~/.emacs.my.el and M-x customize)
-  add image emacs-M-x-customize.png

* Wed Sep 19 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070919
- add system-config-securitylevel.png (lost file)
- fix typo in %%changelog
- update vine-gui.xml
-  update about gnome-panel
-  add about nautilus-open-terminal

* Tue Sep 18 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070918
- update using-rpm.xml
-  update about apt-line
- update service.xml
-  add about run-level
- update vine-gui.xml accessibility-features.xml
-  add about gnome-window-properties
-  add image gnome-window-properties.png
- update utils.xml
-  add about sylpheed

* Sat Sep 15 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070915
- update accessibility-features.xml
-  add about gnome-keyboard-properties (swap Control and CapsLock)
- update vine-gui.xml
-  add about gimp sub packages (gimp-help,gimp-print...)
-  update GNOME QandA
-   add about gnome-keyboard-properties (swap Control and CapsLock)
-   add about Typing Break Preferences (screen lock hitoyasumi)

* Fri Sep 14 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070914
- update management.xml
-  add about gnome-mount WARNING message ("/media" directory does not exist)
- update making-rpm.xml (about desktop file)
- update vine-gui.xml
-  update about gnome-panel
-   add image gnome-panel-property.png
-  update GNOME QandA
-   add about gnome-session-save command, launcher(Alt+F2)

* Mon Sep 10 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070910
- update accessibility-features.xml
-  add about GNOME keyboard shortcut

* Wed Sep 05 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070905
- update vine-gui.xml accessibility-features.xml
-  add about GNOME keyboard shortcut (gnome-keybinding-properties command)
- update vine-gui.xml
-  add about window close button
-  add about GIMP User Installation

* Sun Sep 02 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070902
- fix typo pager.xml

* Fri Aug 31 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070831
- update using-rpm.xml
-  add trouble shooting (apt-get can not find package before executing "apt-get update")
-  fix typo 

* Tue Aug 28 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070828
- update root.xml
-  about sudo,sudoers
- update login.xml
-  add about group

* Mon Aug 27 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070827
- update root.xml
-  about sudo,sudoers
- update vine-gui.xml
-  add screenshot of show-desktop-button
- fix typo login.xml, utils.xml

* Sun Aug 26 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070826
- update root.xml
-  add about sudo

* Sat Aug 25 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070825
- update root.xml
-  update users-manual.xml

* Fri Aug 24 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070824
- remove about fvwm2 (vine-gui.xml)

* Thu Aug 23 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070823
- add about root user (root.xml)
- fix typo vine-gui.xml

* Sun Aug 12 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070812
- update using-rpm.xml
-  add trouble shooting (synaptic locks rpm database)

* Thu Aug 02 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070802
- update login.xml
-  about gdmsetup

* Sat Jul 21 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070721
- update vine-gui.xml
-  about GNOME workspace
-  about gnome panel menu icon (GNOME QandA)
- update making-rpm.xml
-  add about desktop-file-validate command

* Wed Jun 27 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070627
- update using-rpm.xml
-  add how to remove APT-CD information (/etc/apt/sources.list , /var/state/apt/cdroms.list)

* Tue Jun 26 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070626
- Fix Vine Linux Version (getinfo.xml,kernel-upgrade.xml,management.xml)
- update making-rpm.xml
-  add about Copyright and Serial (Obsolete tag)

* Mon Jun 25 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070625
- update vine-cups.xml (gnome-cups-manager icon name)
- update accessibility-features.xml
-  add screenshot of big gnome-panel-menu (using gnome-theme "LargePrint")
- update making-rpm.xml
-  update how to use %%{_syssbindir}/install-info in %%{post}

* Sat Jun 16 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070616
- update vine-cups.xml <BTS:vinedocs:205> <BTS:vinedocs:206>
-  add screenshot (replace lost files)
- update update-alternatives.xml

* Thu Jun 14 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070614
- update making-rpm.xml
-  add how to use %%{SOURCE<NUM>}
-  add how to check Requires: and %%files

* Wed Jun 13 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070613
- update accessibility-features.xml
- update vine-gui.xml

* Tue Jun 12 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070612
- update accessibility-features.xml
-   beep-sound
-   mouse (left-handed,icon)
-   mouse-key
-   gnome-theme
-   keyboard (sticky-key,slow-key,bounce-key,toggle-key)
-   nautilus (icon-size,single-click or double-click)
-   add screenshot
- update GNOME QandA (vine-gui.xml)

* Mon Jun 11 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070611
- add about mouse-key (accessibility-features.xml)
- update vine-gui.xml

* Fri Jun 08 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070608
- update accessibility-features.xml
-  add index
- update vine.css (add .keycap)
- update about Emacs add keybind "balance-windows (C-x +)" (utils.xml)
- Fix link (login.xml)

* Wed Jun 06 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070606
- update vine-gui.xml
-  add trouble shooting (logout without mouse)

* Tue Jun 05 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070605
- add accessibility-features.xml
-  update users-manual.xml
- update vine-gui.xml
-  add gnome-panel screen-shot (gnome-config-window-list.png)
- update vine.css (add h5.title)

* Mon Jun 04 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070604
- update vine-gui.xml
-  firefox add-ons and plug-ins
-  add how to customize GNOME (with gconf-editor)
-  update gnome screenshot (gnome.png) 
-  update about Emacsen 
- update ppxp-pppoe.xml (replace WindowMaker with GNOME)
- update utils.xml (about Emacs)

* Fri Jun 01 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070601
- update service.xml
-  add package name (available daemons)

* Fri May 25 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070525
- update making-rpm.xml
-  add how to use update-alternatives

* Wed May 23 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070523
- update service.xml
-  add about difference between condrestart and restart
-  update about run level
- update login.xml
- update using-rpm.xml
-  add trouble shooting (gpg key problem)
- update making-rpm.xml
-  about check after building package

* Tue May 22 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070522
- update using-rpm.xml

* Mon May 21 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070521
- update login.xml
-  add how to change run level using grub menu entry editor
-  update,add grub screenshot
- update using-rpm.xml
-  add trouble shooting (gpg key problem)

* Sun May 20 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070520
- update making-rpm.xml

* Fri May 18 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070518
- update making-rpm.xml
-  add about check after building package

* Wed May 16 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070516
- update making-rpm.xml
-  recommend Requires(pre,post,postun....) instead of PreReq
-  add about %%verify, %%verifyscript

* Tue May 15 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070515
- update making-rpm.xml
-  Fix link

* Mon May 07 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070507
- update making-rpm.xml

* Sat Apr 21 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070421
- update update-alternatives.xml

* Thu Apr 19 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070419
- update update-alternatives.xml

* Wed Apr 18 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070418
- update update-alternatives.xml
- update images of alternatives system (images/alternatives*.png)

* Tue Apr 17 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070417
- update update-alternatives.xml

* Mon Apr 16 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070416
- update update-alternatives.xml

* Sun Apr 15 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070415
- update update-alternatives.xml

* Sat Apr 14 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070414
- Add How to get CUPS log and how to change loglevel (cups.xml) <BTS:vinedocs:204>
- update update-alternatives.xml
- add images of alternatives system (images/alternatives*.png)

* Fri Apr 13 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070413
- update update-alternatives.xml
- Fix link xim.xml <tracking 4>
- Fix link vine-gui.xml <tracking 5>

* Thu Apr 12 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070412
- update update-alternatives.xml

* Wed Apr 10 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070410
- update update-alternatives.xml

* Wed Apr 04 2007 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.1-0vl0.20070404
- Add How to use update-alternatives (update-alternatives.xml)

* Wed Feb 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1-0vl0.20070121
- build for Vine Linux 4.1

* Sun Jan 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1-0vl0.20070121CR
- build for Vine Linux 4.1CR

* Sun Jan 21 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20070121
- update any screenshot.
- update any descriptions for 4.1.

* Thu Nov 30 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061130
- add description about system-config-securitylevel(-tui).

* Tue Nov 28 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061128
- change structure system management.
- Revival of lost file.

* Sat Nov 25 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.1-0vl0.20061125
- remove about murasaki.
- change structure about ppp & pppoe
- Fixed link to website of sylpheed.

* Sat Nov 18 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 4.0-0vl1.20061118
- build for Vine Linux 4.0

* Sat Nov 18 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061118
- Update kernel-upgrade.xml
- Update getinfo.xml

* Fri Nov 17 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061117
- Update Making RPM (update Groups)

* Thu Nov 16 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061116
- Update ppxp-pppoe.xml

* Wed Nov 15 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061115
- Update ppxp-pppoe.xml
- Add How to edit GRUB menu.lst (login.xml)
-  Add screenshot of boot-admin
- Update about GRUB menu.lst (kernel-upgrade.xml)

* Tue Nov 14 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061114
- Add GRUB menu.lst sample (kernel-upgrade.xml)
- Update ppxp-pppoe.xml
- Update about setdm, remove wdm (login.xml) <BTS-315>

* Mon Nov 13 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061113
- Update ppxp-pppoe.xml
-  Add screen shot of tkpppoe

* Sat Nov 11 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061111
- Rename chapter 4 (new name: Internet Access)
-  add PPPoE quickstart (unfinished)
-  rename ppxp-quickstart.xml ppxp-pppoe.xml
-  update users-manual.xml update management.xml

* Fri Nov 10 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061110
- Update about Eratta (management.xml)
- Update about How to mount (management.xml,using-rpm.xml,getinfo.xml)
-  Add screenshot of gnome-volume-properties
- Update kernel-upgrade.xml
- Fix typo

- ToDo replace murasaki to udev and hal (management.xml)

* Thu Nov 09 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061109
- Update about Japanese Input on FrameBuffer console.
- Update kernel-upgrade.xml
- Update using-rpm.xml (correct apt category)
- Update vine-gui.xml (replace mozilla to firefox, add Totem)
- Update getinfo.xml
- Update Making RPM (update Groups)
- Fix typo

* Wed Nov 08 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061108
- Update about kernel option "acpi=force" <BTS-360>
- Update from [Vine-doc:00272]
-  Update about ppxpadduser[lock group] <BTS-135,266>
-  Update about apt-cdrom[mount point,cdrom device] <BTS-279>
- Update Making RPM
-  New page Appendix. B (making-rpm.xml)
- Update vine-gui.xml (replace XMMS to B.M.P.)
- Update spec file (change macro name)

* Sun Nov 05 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.9-0vl0.20061105
- Update screenshot of sylpheed.
- Update about shutdown.

* Thu Oct 26 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061026
- Add URL: http://vinedocs.sourceforge.jp/
- Add pager.xml (update link user-manual.xml xim.xml)
- Update using-rpm.xml getinfo.xml

- Update making-rpm.xml from Making RPM revised (http://vinedocs.sourceforge.jp/)

* Wed Oct 25 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061025
- Update using-rpm.xml

* Sun Oct 22 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061022
- Update using-rpm.xml

* Fri Oct 20 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061020
- add BuildRequires: nkf
- Update using-rpm.xml
- add Patch1 fix WindowMaker URL in vine-gui.xml

* Thu Oct 19 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061019
- Update using-rpm.xml
- rename using-rpm-[234]-1.html using-rpm-[234].html
- add Patch0 fix links in management.xml and package.xml

* Wed Oct 18 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061018
- Update using-rpm.xml

* Tue Oct 17 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061017
- Update using-rpm.xml

* Mon Oct 16 2006 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 3.9-0vl0.20061016
- Update spec file
- Update using-rpm.xml

* Fri Oct 13 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.9-0vl0.20061013
- Replace from vje & canna to SCIM & Anthy.

* Thu Oct 12 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.9-0vl0.20061012
- Update spec file.(from [Vine-doc:00260])
- Update description boot of Vine Linux.
- Remove preface.xml
- Devide getinfo.xml

* Fri Oct 06 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20061006
- Replace screenshot of gdm.
- Update description of boot loader.

* Thu Sep 14 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20060914
- Modify construction of system management.
- Update screenshot.
- Fix figure title.

* Mon Sep 5 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20060905
- Update from [Vine-doc:00238] 
- Replace sndconfig to alsaconf.
- Devide install-guide.

* Tue Feb 14 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20060214
- Update with ja.po of synaptic.

* Fri Feb 10 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20060210
- Update about synaptic.

* Sat Dec 10 2005 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20051210
- Add ToDo.
- Fix some links.
- Fix about legal notice. 

* Tue Dec 06 2005 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 3.9-0vl0.20051206
- Correction according to change of specification of tar

* Sat Dec 25 2004 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 3.1-0vl0.20041225
- Replace indexhtml

