%define __instdir /var/lib/zope/Products
%define __product ExternalEditor
%define version 0.9.3
%define ZopeEdit zopeedit-%{version}

Summary: Zope External Editor.
Summary(ja): Zope外部エディタプロダクト.
Name: Zope-%{__product}
Version: %{version}
Release: 2%{?_dist_release}
License: Zope Public License Version 2.0 (ZPL)
URL: http://plope.com/software/ExternalEditor/
Group: Development/Web Applications
Source0: ExternalEditor-%{version}-src.tgz
Source1: zopeedit-%{version}-src.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: Zope-zserver >= 2.7.0, python >= 2.3
Vendor: Project Vine
Distribution: Vine Linux
Packager: Shu KONNO (owa@bg.wakwak.com)

%description
External editor is a new way to edit through the web. Instead of crappy
textareas and kludgy protocols, External editor lets you use the editor
of your choice directly from your browser.
Once configured you can click on the edit icon in the ZMI and use your
favorite client side applications to edit your Zope objects. Works with
both text and binary data. Works with any browser that supports helper
applications.

%description -l ja
ExternalEditorはWeb透過式の新しい編集方法です.HTMLのうんざりするような
'textarea'や場当たりのプロトコルを使わなくてもいいのです,ExternalEditor
はあなたの選んだエディタをブラウザから直接使用可能にします.
一度設定してしまえば,ZMI上の編集アイコンをクリックするだけで,クライアン
ト側で好きなアプリケーションを使ってZopeオブジェクトを編集できます.文書
とバイナリデータの両方に対応し,ヘルパアプリケーションをサポートしている
どんなブラウザでも動作します.

%package -n python-zopeedit
Summary: Zope External Editor Helper Application.
Summary(ja): ExternalEditorヘルパーアプリケーション.
Group: Development/Tools
Requires: python
Obsoletes: Zope-ExternalEditor-client
%description -n python-zopeedit
The helper application supports several configuration options, each
of which can be triggered in any combination of object meta-type and
content-type.
This allows you to create appropriate behavior for different types
of Zope objects and content. The configuration file is stored in the
file "~/.zope-external-edit".

%description -l ja -n python-zopeedit
ヘルパアプリケーションにはいくつかの設定オプションがあります.オブジェ
クトの'meta-type'や'content-type'をどんな組み合わせにしても,それらの
オプションを発揮させることが可能です.
そのため異なるタイプのZopeオブジェクトやコンテンツに対して,適切な動作
をさせることができます.この設定ファイルは"~/.zope-external-edit"にあり
ます.

%prep
%setup -q -a 1 -c -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{__instdir}
cp -Rdp %{__product} $RPM_BUILD_ROOT%{__instdir}

mkdir -p $RPM_BUILD_ROOT/usr/bin/
install -m 0755 %{ZopeEdit}/zopeedit.py $RPM_BUILD_ROOT/usr/bin/

mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1/
install -m 0755 %{ZopeEdit}/man/* $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, zope, zope)
%dir %{__instdir}/%{__product}
%{__instdir}/%{__product}/*

%files -n python-zopeedit
%defattr(-, root, root)
/usr/bin/zopeedit.py
%doc %{ZopeEdit}/README.txt
%doc %{ZopeEdit}/LICENSE.txt
%doc %{ZopeEdit}/CHANGES.txt
%doc %{ZopeEdit}/INSTALL-UNIX.txt
%{_mandir}/man1/*

%changelog
* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.3-2vl5
- rebuilt with python-2.5.2

* Mon Jun 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.3-1vl5
- applied new versioning policy and spec in utf-8

* Sat Dec 01 2007 Shu KONNO <owa@bg.wakwak.com> 0.9.3-0vl4
- fixed prereq, buildrequires pkgs

* Thu Aug 23 2007 Shu KONNO <owa@bg.wakwak.com> 0.9.3-0vl2
- updated ExternalEditor to 0.9.3
- updated zopeedit to 0.9.3

* Thu Sep 21 2006 Shu KONNO <owa@bg.wakwak.com> 0.9.2-0vl2
- updated ExternalEditor to 0.9.2
- updated zopeedit to 0.9.2

* Thu Oct 20 2005 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.9.1-0vl1
- updated ExternalEditor to 0.9.1
- changed url

* Wed Jul 14 2004 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.8-0vl1
- updated ExternalEditor to 0.8

* Fri Jun 04 2004 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.7.2-0vl1
- updated ExternalEditor to 0.7.2
- moved 'obsoletes:' to the subpackage section

* Sat Apr 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.7-0vl3
- renamed Zope-ExternalEditor-client to python-zopeedit
- rebuild with python-2.3.3-0vl1

* Fri Sep 26 2003 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.7-0vl2
- added 'BuildArch: noarch'

* Sun Apr 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.7-0vl1
- updated ExternalEditor to 0.7
- rebuild with python-2.2

* Tue Feb 11 2003 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.6-0vl1
- updated ExternalEditor to 0.6

* Wed Aug 21 2002 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.5-0vl1
- updated ExternalEditor to 0.5

* Tue Jul 2 2002 Shu KONNO <owa@bg.wakwak.com> Zope-ExternalEditor-0.4.1-0vl1
- created new
