#%define _pyver %(python -c 'import sys;print(sys.version[0:3])')
#%define _python %{_bindir}/python
%define _pyver 2.4
%define _python %{_bindir}/python%{_pyver}

%define zope_user zope
%define zope_home %{_libdir}/%{zope_user}
%define zope_conf %{_sysconfdir}/%{zope_user}
%define software_home %{zope_home}/lib/python
%define instance_home %{_var}/lib/%{zope_user}

%define _http_port 8080
%define _ftp_port 8021
%define _admin admin
%define _password 123
#%define _hotfix Hotfix_20080812
%define _hotfix 0

Summary:  An application server and portal toolkit for building Web sites.
Summary(ja):  アプリケーションサーバおよびウェブサイト構築ツールキット
Name: Zope
Version: 2.11.7
Release: 1%{?_dist_release}
License: ZPL (Zope Public License) 2.1
URL: http://www.zope.org/
Group: Development/Web Applications

Source0: http://www.zope.org/Products/Zope/%{version}/Zope-%{version}-final.tgz
Source1: init.sh
%if %{_hotfix}
Source2: %{_hotfix}.tar.gz
%endif
Prereq: /sbin/chkconfig /usr/sbin/useradd
Buildrequires: chkconfig
Buildrequires: shadow-utils
Buildrequires: python24
Buildrequires: python24-devel
Requires: python24

Vendor: Project Vine
Distribution: Vine Linux
Packager: owa
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Z Object Programming Environment (Zope) is a free, Open Source[tm]
Python-based application server for building high-performance, dynamic
web sites, using a powerful and simple scripting object model and
high-performance, integrated object database.

For a fully functional installation of Zope, install this single huge
package and then the Zope-zserver RPM

%description -l ja
Zオブジェクトプログラミング環境(Zope)はフリーです,オープンソースである
Pythonをベースにした、高性能で動的なWebサイトを構築するためのアプリケー
ションサーバです.強力でしかも単純なスクリプトからなるオブジェクトモデル
と高性能な統合オブジェクトデータベースを使うことができます.

Zope の全機能をインストールするには,この一個の大きなパッケージをインスト
ールし, 次に Zope-zserver RPM をインストールします.

##
## Zope-zserver
##
%package zserver
Summary: Initial Object Database/Standalone HTTP Server
Summary(ja): Zope インスタンス
Group: Development/Web Applications
Requires: Zope
Prereq: /etc/rc.d/init.d

%description zserver
The Zope-zserver package contains the files needed for setting up a
Zope website, including an empty object database. Zope is an application
server and portal toolkit.

Also included is the ZServer, which is a small, standalone web server
written in Python.  The ZServer uses the very fast Medusa technology
and is multithreaded.  This package comes preconfigured to serve
web pages on port %{_http_port} and ftp access on %{_ftp_port}.  The programmer's port
interface comes disabled for security reasons but can be reenabled.

%description -l ja zserver
Zope-zserver パッケージは Zope web サイトをセットアップするのに必要な
ファイルを含んでいます,そこには空のオブジェクトデータベースも含みます.
Zope はアプリケーションサーバであり,Webサイト構築のためのツール集です.

また Python で書かれた小さなスタンドアロン Web サーバである ZServer も
含まれています. ZServer は非常に高速な Medusa の技術を利用し,マルチス
レッド化されています.このパッケージでは Web ページを %{_http_port} ポート, FTP
アクセスを %{_ftp_port} でサービスするようにあらかじめ設定してあります.セキュ
リティ上の理由のため,プログラマ用ポートインタフェースは使用できないよ
うになっていますが,再び利用できるように戻すことが可能です.

初期ユーザは "%{_admin}" パスワードは "%{_password}" に設定されています。
初回の起動直後にこれらは変更すべきです。


%prep
%setup -q -n Zope-%{version}-final

%if %{_hotfix}
%{__tar} -xzf %{SOURCE2}
%endif


%build
rm -rf $RPM_BUILD_ROOT
./configure \
	--with-python=%{_python} \
	--prefix="$RPM_BUILD_ROOT%{zope_home}"

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install


$RPM_BUILD_ROOT%{zope_home}/bin/mkzopeinstance.py \
	--dir $RPM_BUILD_ROOT%{instance_home} \
	--user %{_admin}:%{_password}

install -d $RPM_BUILD_ROOT%{zope_conf}
( cd $RPM_BUILD_ROOT%{instance_home}%{_sysconfdir}
	sed "s|$RPM_BUILD_ROOT||" zope.conf \
	| sed 's|^#.*effective-user chrism$|effective-user %{zope_user}|' \
	| sed 's|\$INSTANCE/log|/var/log/%{zope_user}|' \
	> $RPM_BUILD_ROOT%{zope_conf}/%{zope_user}.conf
	install -m 644 site.zcml $RPM_BUILD_ROOT%{zope_conf}/
)
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{zope_user}
install -d $RPM_BUILD_ROOT/var/log/%{zope_user}

( cd $RPM_BUILD_ROOT%{instance_home}/bin
	mv runzope runzope.old
	sed "s|$RPM_BUILD_ROOT||" runzope.old | \
	sed 's|^CONFIG_FILE.*$|CONFIG_FILE="%{zope_conf}/%{zope_user}.conf"|' > runzope
	rm -f runzope.old
)
( cd $RPM_BUILD_ROOT%{instance_home}/bin
	mv zopectl zopectl.old
	sed "s|$RPM_BUILD_ROOT||" zopectl.old | \
	sed 's|^CONFIG_FILE.*$|CONFIG_FILE="%{zope_conf}/%{zope_user}.conf"|' > zopectl
	rm -f zopectl.old
)

%if %{_hotfix}
install -d $RPM_BUILD_ROOT%{instance_home}/Products/%{_hotfix}
#install -m644 %{_hotfix}/* $RPM_BUILD_ROOT/%{instance_home}/Products/%{_hotfix}/
cp -a %{_hotfix}/* $RPM_BUILD_ROOT/%{instance_home}/Products/%{_hotfix}/
%endif

## remove unused files
rm -f $RPM_BUILD_ROOT%{instance_home}/bin/zopectl.bat


%clean
rm -rf $RPM_BUILD_ROOT


%post
# byte-compile installed Python files
pushd "%{zope_home}" > /dev/null 2>&1
%{_python} "%{zope_home}/bin/compilezpy.py" > /dev/null 2>&1 || :
popd > /dev/null 2>&1

%pre zserver
if [ "$1" = 1 ] ; then
	%{__grep} "%{zope_user}:" /etc/group > /dev/null 2>&1
	if [ $? == 0 ]; then
		/usr/sbin/useradd -M -r -s /bin/bash -d %{instance_home} -g %{zope_user} \
			%{zope_user} > /dev/null 2>&1 || :
	else
		/usr/sbin/useradd -M -r -s /bin/bash -d %{instance_home} \
			%{zope_user} > /dev/null 2>&1 || :
	fi
fi

%post zserver
if [ "$1" = 1 ] ; then
	/sbin/chkconfig --add %{zope_user}
	ln -sf /var/log/%{zope_user} %{instance_home}/log
	/etc/rc.d/init.d/%{zope_user} start
else
	mv %{instance_home}/inituser %{instance_home}/inituser.admin
	/etc/rc.d/init.d/%{zope_user} condrestart
fi

%preun zserver
if [ "$1" = 0 ] ; then
	/etc/rc.d/init.d/%{zope_user} stop > /dev/null 2>&1
	/sbin/chkconfig --del %{zope_user}
	if [ /var/log/%{zope_user} -ef %{instance_home}/log ]; then
		rm -rf %{instance_home}/log
	fi
fi

%postun zserver
if [ "$1" = 0 ] ; then
  /usr/sbin/userdel %{zope_user} > /dev/null 2>&1 || :
fi


%files
%defattr(-, root, root)
%doc %{zope_home}/doc
%{zope_home}/bin
%{zope_home}/lib/python
%{zope_home}/skel

%files zserver
%defattr(-, root, root)
%config %{_sysconfdir}/rc.d/init.d/%{zope_user}
%config(noreplace) %{zope_conf}/%{zope_user}.conf
%{zope_conf}/site.zcml

%defattr(700, %{zope_user}, %{zope_user})
%dir /var/log/%{zope_user}

%defattr(700, %{zope_user}, %{zope_user})
%dir %{instance_home}/
%dir %{instance_home}/bin/
%dir %{instance_home}/Extensions/
%dir %{instance_home}/Products/
%dir %{instance_home}/import/
%config %{instance_home}/bin/runzope
%config %{instance_home}/bin/zopectl
%config %{instance_home}/bin/zopeservice.py

%attr(600, %{zope_user}, %{zope_user})
%{instance_home}/inituser

%defattr(1703, %{zope_user}, %{zope_user})
%dir %{instance_home}/var/

%defattr(-, %{zope_user}, %{zope_user})
%{instance_home}/Products/__init__.py
%{instance_home}/import/Examples.zexp
%{instance_home}/import/ZopeTutorialExamples.zexp

%exclude %{instance_home}/Extensions/README.txt
%exclude %{instance_home}/Products/README.txt
%exclude %{instance_home}/README.txt
%exclude %{instance_home}/bin/runzope.bat
%exclude %{instance_home}/etc/zope.conf
%exclude %{instance_home}/etc/site.zcml
%exclude %{instance_home}/import/README.txt
%exclude %{instance_home}/lib/python/README.txt
%exclude %{instance_home}/log/README.txt
%exclude %{instance_home}/var/README.txt

%if %{_hotfix}
%defattr(-, %{zope_user}, %{zope_user})
%{instance_home}/Products/%{_hotfix}
%endif

%changelog
* Thu Sep  02 2010 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.7-1
- updated zope to 2.11.7-final

* Thu Jan 14 2010 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.6-1
- updated zope to 2.11.6-final

* Thu Dec 24 2009 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.5-1
- updated zope to 2.11.5-final

* Thu Aug 06 2009 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.4-1
- updated zope to 2.11.4-final

* Sun May 03 2009 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.3-1vl5
- updated zope to 2.11.3-final

* Wed Oct 22 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.2-1vl5
- updated zope to 2.11.2-final
- dropt Hotfix_20080812.tar.gz

* Wed Oct 22 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.1-4vl5
- rebuilt with python24
- added BuildRequires: python24
- added Requires: python24

* Wed Aug 13 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.1-3vl5
- added Hotfix_20080812.tar.gz

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.1-2vl5
- rebuilt with python-2.5.2

* Thu Jul 17 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.1-1vl5
- updated zope to 2.11.1-final

* Tue Jul 01 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.11.0-1vl5
- updated zope to 2.11.0-final

* Mon Jun 09 2008 Shu KONNO <owa@bg.wakwak.com> Zope-2.10.6-1vl5
- applied new versioning policy and spec in utf-8
- updated zope to 2.10.6-final

* Sat Dec 01 2007 Shu KONNO <owa@bg.wakwak.com> Zope-2.10.5-0vl2
- fixed prereq, buildrequires pkgs

* Tue Oct 30 2007 Shu KONNO <owa@bg.wakwak.com> Zope-2.10.5-0vl1
- updated zope to 2.10.5-final
- updated Requires python >= 2.4.4

* Thu Aug 23 2007 Shu KONNO <owa@bg.wakwak.com> Zope-2.10.4-0vl1
- updated zope to 2.10.4-final
- updated %%install scripts
- dropped Hotfix_20070320.tgz

* Wed Mar 21 2007 Shu KONNO <owa@bg.wakwak.com> Zope-2.10.2-0vl1
- updated zope to 2.10.2
- added Hotfix_20070320.tgz

* Sat Oct 14 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.5-0vl3
- added japanese summary

* Fri Oct 06 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.5-0vl2
- updated zope to 2.9.5-final

* Thu Jul 20 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.4-0vl1
- updated zope to 2.9.4
- dropped Hotfix_20060705.tar.gz

* Thu Jul 06 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.3-0vl2
- added Hotfix_20060705.tar.gz

* Fri May 12 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.3-0vl1
- updated zope to 2.9.3

* Tue Mar 28 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.2-0vl1
- updated zope to 2.9.2

* Sat Feb 25 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.1-0vl1
- updated zope to 2.9.1
- x86_64 architecture support

* Fri Jan 13 2006 Shu KONNO <owa@bg.wakwak.com> Zope-2.9.0-0vl1
- updated zope to 2.9.0

* Thu Oct 27 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.4-0vl1
- updated zope to 2.8.4-final

* Wed Oct 19 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.3-0vl1
- updated zope to 2.8.3-final

* Thu Oct 13 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.2-0vl1
- updated zope to 2.8.2-final

* Mon Oct 10 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.1-0vl2
- added Hotfix_2005-10-09.tar.gz (security)

* Thu Aug 11 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.1-0vl1
- updated zope to 2.8.1-final

* Sat Jun 11 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.8.0-0vl1
- updated zope to 2.8.0-final

* Sun May 08 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.6-0vl2
- updated init.sh (added condrestart)
- updated spec 'post zserver section'

* Fri Apr 29 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.6-0vl1
- updated zope to 2.7.6-final

* Wed Apr 06 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.5-0vl4
- added Hotfix_20050405.tar.gz

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.5-0vl2
- rebuilded with python 2.4.1

* Sun Mar 20 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.5-0vl1
- updated zope to 2.7.5-final

* Fri Mar 18 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.5-0vl0.c1
- updated zope to 2.7.5-rc1

* Sat Jan 15 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.4-0vl2
- updated zope to 2.7.4-0

* Sat Jan 08 2005 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.4-0vl0.c2
- updated zope to 2.7.4-RC2

* Thu Dec 16 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.4-0vl0.b2
- updated zope to 2.7.4-b2

* Sun Oct 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.3-0vl1
- updated zope to 2.7.3

* Mon Oct 11 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.3-0vl0.2
- updated zope to 2.7.3b2

* Sun Sep 26 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.3-0vl0.1
- updated zope to 2.7.3b1
- droped Hotfix-20040807.tar.gz

* Tue Aug 10 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.2-0vl2
- added Hotfix-20040807.tar.gz

* Wed Jul 21 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.2-0vl1
- updated zope to 2.7.2

* Thu Jul 15 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.1-0vl3
- droped Hotfix_2004-07-13.tar.gz
- added Hotfix_2004-07-14.tar.gz

* Mon Jun 21 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.1-0vl2
- added Hotfix_2004-07-13.tar.gz

* Mon Jun 21 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.1-0vl1
- updated zope to 2.7.1
- added option with '--no-compile' to configure at the %build section
- added to compile at the %post section

* Sat Apr 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.7.0-0vl1
- build with python-2.3.3-0vl1
- added 'Obsoletes: Zope27'

* Tue Mar 02 2004 Shu KONNO <owa@bg.wakwak.com> Zope27-2.7.0-uvl3
- changed init.sh to use zopectl

* Tue Feb 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope27-2.7.0-uvl1
- updated zope to 2.7.0
- rewrited spec file

* Sun Feb 15 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.4-0vl1
- updated zope to 2.6.4

* Fri Jan  9 2004 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.3-0vl1
- updated zope to 2.6.3

* Wed Sep 10 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2-0vl1
- updated zope to 2.6.2

* Fri Aug 29 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b6-0vl1
- updated zope to 2.6.2b6

* Thu Jul 31 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b5-0vl2
- rebuild with python-2.2.3

* Wed Jul 30 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b5-0vl1
- updated zope to 2.6.2b5

* Sat Jul 19 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b4-0vl1
- updated zope to 2.6.2b4

* Sat Jul 12 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b3-0vl1
- updated zope to 2.6.2b3

* Sat May 31 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.2b2-0vl1
- updated zope to 2.6.2b2
- fixed many important bugs

* Sun Apr 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.1-0vl1
- updated zope to 2.6.1
- changed 'Requires: python >= 2.2.2'
- japanese patch below has been included in zope 2.6.1

* Thu Jan 16 2003 Shu KONNO <owa@bg.wakwak.com> Zope-2.6.1b1-0vp1
- updated zope to 2.6.1b1
- added Zope261b.patch (by fukamachi, nakagami, tahara)
- changed option parameter with -Z in startup script
- added command 'umask 077' in startup script
- added option -D in startup script that logout debug infomation
- added 'chown root', 'chmod o+t' script in %%post section
- this is a experimental release!!

* Fri Oct 4 2002 Shu KONNO <owa@bg.wakwak.com> Zope-2.5.1-0vl3
  Security fix for XML-RPC handling (by tahara)

* Fri Jun 21 2002 Shu KONNO <owa@bg.wakwak.com> Zope-2.5.1-0vl2
  added Hotfix_2002-06-14.tgz

* Sat Jun 15 2002 Shu KONNO <owa@bg.wakwak.com> Zope-2.5.1-0vl1
  modified for Vine

* Sat May 18 2002 Adam Manock <abmanock@earthlink.net>
  Completely reworked the spec for Zope 2.5.1
  PCGI is no longer built by default.
  Build now simply wraps up the default "wo_pcgi" build, creating 2 packages.
  (This will make it trivial to upgrade the spec for new Zope versions.)
  Logging via syslog is now turned off by default. See the RPM-README

* Wed Nov 14 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.4.3.

* Sat Nov 10 2001 Jeff Rush <jrush@taupro.com>
  changed args to useradd, to work with Red Hat 7.2.

* Sun Oct 21 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.4.2, removed Hotfix 2001-09-28.

* Thu Oct 18 2001 Jeff Rush <jrush@taupro.com>
  Fixed broken syslogging facility and added Hotfix 2001-09-28.

* Mon Sep 04 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.4.1, removed Hotfix 2001-08-04.

* Mon Aug 15 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.4.0, changed to use python2.1, added Hotfix 2001-08-04.

  Merged in Jun 29 2001 patch from Durval Menezes re support for ZPatterns:
  "No longer removes cPersistence.h from lib/python/ZODB before installing
  (this is needed to compile DynPersist, as part of the ZPatterns
  installation.  Installs ExtensionClass.h into /usr/include/python2.1
  (it too is needed to compile DynPersist, as part of the ZPatterns install)"

  Merged in Jun 12 2001 additions from Jared Kelsey <jared@dolphinsearch.com>
  to make more compatible with future releases of python.

* Mon Aug 14 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.3.3, added Hotfix 2001-08-04.

* Mon May 07 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.3.2, added Hotfix 2001-05-01, revised access
  file permissions (600->640) and ownership (root.root->root.zope)
  to fix the "can't log in" bug under ZServer subpackage.

* Sat Mar 31 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.3.1

* Mon Jan 29 2001 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.3.0; removed obsolete Hotfixes.

* Fri Dec 08 2000 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.2.4; removed obsolete Hotfixes.

* Fri Nov 03 2000 Jeff Rush <jrush@taupro.com>
  fixed misplaced SiteAccess, where dirs in tar moved btw v1 and v2.

* Sun Oct 16 2000 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.2.2; added Hotfixes  2000-10-02 and 2000-10-11.

* Sun Aug 27 2000 Jeff Rush <jrush@taupro.com>
  bumped to zope 2.2.1; removed no-longer-needed Hotfix_2000-08-17

* Tue Aug 22 2000 Jeff Rush <jrush@taupro.com>
- added Hotfix_2000-08-17
- temporarily removed /etc/init.d (RH7.0) until I figure out how
  to support both RH6.x *and* RH7.0 in the same RPM. <sigh>
- removed troublesome/obsolete ComputedAttribute.py

* Sun Jul 16 2000 Jeff Rush <jrush@taupro.com>
- bumped to zope 2.2.0; removed no-longer-needed Hotfix-06_16_2000

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed PreReq to PreReq /etc/init.d
- added Hotfix-06_16_2000
 
* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- moved init script, added condrestart directive
- auto stop/restart service on upgrades

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- fixed so that it's no longer putting files into /home, instead they are
  going into /var/www (FHS compliant).

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- built for 7.0, thanks Jeff!

* Fri Apr 28 2000 Jeff Rush <jrush@taupro.com>
- bumped to zope 2.1.6

* Sun Mar 12 2000 Jeff Rush <jrush@taupro.com>
- added zpasswd.py back in, since my rename to just zpasswd confused some.
  both are now present in the RPM, for all audiences.
- modified the README.RPM re the section about Apache rewrite rules; I
  discussed and removed the trailing slash, the presence of which causes
  Zope to reject attempts to delete objects in the root folder.

* Thu Feb 26 2000 Jeff Rush <jrush@taupro.com>
- 2.1.4-1 Release on Zope.org site
- bumped to zope 2.1.4
- changed Zope-core to provide 'Zope', to satisfy zserver and pcgi subpkgs.

* Fri Jan 14 2000 Tim Powers <timp@redhat.com>
- added Provides lines to Zope-pcgi and Zope-zserver so that addon packages
	such as Squishdot have something useful to require.

* Thu Jan 13 2000 Tim Powers <timp@redhat.com>
- built for Powertools 6.2

* Thu Jan 11 2000 Jeff Rush <jrush@taupro.com>
- bumped to zope 2.1.2
- folded in Jonathan Marsden <jonathan@xc.org> Changes (many below)
- used zpasswd.py to generate initial pw in encrypted form.
- fixed syslog logging in various ways, and re-enabled it, for both
-    ZServer AND pcgi-wrapper.
- fixed /etc/rc.d/init.d/zope to be consistent about pid file.
- fixed /etc/rc.d/init.d/zope to use RH killproc function.
- added 'noreplace' so that Zope database and access file are retained
-    on an RPM upgrade.
- patched PCGI to support syslog logging, and then default to it.
- patched ZServer/Medusa to properly support syslog logging.
- added a user 'zope' and made many zope files/dirs owned by it.
- cleaned up pcgi-wrapper's msg about can't find ZServer, since it is
-    one of the most common errors.  It now explains what it is doing.
- moved all *.{pid,soc} files into /var/run, to cleanly separate ownership
-    issues in /var/zope hierarchy for user 'zope' and user 'nobody'.

* Mon Jan 03 2000 Jeff Rush <jrush@taupro.com>
- bumped to zope 2.1.1
- added to /etc/rc.d/init.d/zope code to correctly kill the process specified
-    in /var/zope/pcgi.pid
- changed permissions on /var/zope/access such that only root can read/write
-    it, to protect the Zope superuser password.

* Sat Nov 29 1999 Jeff Rush <jrush@taupro.com>
- changed ownership on /var/zope/access from nobody.nobody to root.root.

* Sat Nov 20 1999 Jeff Rush <jrush@taupro.com>
- updated to zope 2.1.0beta2
- fixed permissions/ownership on /var/zope/access to be more secure (600).
- removed pypath.patch, as those changes got into the zope distribution.

* Tue Nov 2 1999 Jeff Rush <jrush@taupro.com>
- added accidentally omitted /usr/bin/zpasswd to the RPM output.
- clarified wording re use of zpasswd in README.RPM file.
- added "-u nobody" to both zserver_*.sh files, for clarity of intent;
-    it already ran as nobody by default, but some people worried.

* Wed Oct 27 1999 Jeff Rush <jrush@taupro.com>
- fixed /etc/rc.d/init.d/zope file to *NOT* delete /var/zope/zserver.pid
- fixed /var/zope/Zope.cgi to use PCGI_PUBLISHER=/var/zope/pcgi_nullpublisher.py,
-    so that when the PCGI wrapper can't find ZServer, it won't try to start one
-    and generate bogus error messages, because PCGI doesn't do it right.
- fixed /var/zope/zserver.sh to NOT specify syslog-style logging, since under
-    Red Hat 6.1, the syslog daemon no longer listens to the port we expected.

* Sat Sep 25 1999 Jeff Rush <jrush@taupro.com>
- updated documents ZCMG, ZSQL and ZDTML to Sep 24th 1999 versions
- added empty directories /var/zope/{import,Extensions}
- relocated zope from /usr/lib/python1.5/site-packages/ZopeWorld/
-    to /usr/share/zope/
- added user zope, for better security control

* Fri Sep 17 1999 Jeff Rush <jrush@taupro.com>
- updated sources to minor (security fix) release 2.0.1

* Fri Sep 10 1999 Jeff Rush <jrush@taupro.com>
- heavily reworked spec file for 2.0.0

* Thu Sep 9 1999 Tim Powers <timp@redhat.com>
- updated sources to 2.0.0
- _major_ spec file cleanups
- merged patch from src.rpm authored by Andreas Kostyrka <andreas@mtg.co.at>
- borrowed some things from Andreas Kostyrka's spec file

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed groups

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- chown permissions on some files in /var/local for the pcgi package

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- changed buildroot to be in /var/tmp instead of /tmp
- rebuilt for 6.1

* Mon Jul 21 1999 Jeff Rush <jrush@taupro.com>
- Added in accidently omitted SearchIndex/{Query,Splitter}.so

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- started changelog
- cleaned up spec file
- built for powertools

* Mon Jun 24 1999 Jeff Rush <jrush@taupro.com>
- Updated to 1.10.3

* Mon Jun 23 1999 Jeff Rush <jrush@taupro.com>
- Added /etc/rc.d/init.d/zope and reworked scripts

* Tue Mar 1 1999 Jeff Rush <jrush@taupro.com>
- Updated to 1.10.2

* Wed Jan 29 1999 Jeff Rush <jrush@taupro.com>
- Updated to 1.9.0 Final Release

* Wed Dec 9 1998 Jeff Rush <jrush@taupro.com>
- Original 1.9beta1 Release
