%define instdir /var/lib/Zope2/Products
%define product TinyTablePlus
Summary: TinyTablePlus is a product to manage a small amount of tabular data.
Summary(ja): 小さな表データを操作するZopeプロダクト.
Name: Zope2-%{product}
Version: 0.9
Release: 2%{?_dist_release}
License: Zope Public License (ZPL)
URL: http://www.zope.org/Members/hathawsh/TinyTablePlus
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: Zope2-zserver >= 2.12
Group: Development/Web Applications
Source: TinyTablePlus-0.9.tgz
Patch0: TinyTablePlus-0.9-About.dtml-charset.patch 
Patch1: TinyTablePlus-0.9-Add.dtml-charset.patch
Patch2: TinyTablePlus-0.9-Advanced.dtml-charset.patch
Patch3: TinyTablePlus-0.9-Edit.dtml-charset.patch
Patch4: TinyTablePlus-0.9-View.dtml-charset.patch
Patch5: TinyTablePlus-0.9-ImportExport.py-charset.patch
Patch10: TinyTablePlus-0.9-TinyTablePlus.py-zope28.patch
Patch20: TinyTablePlus-0.9-__init__.py-zope29.patch
Patch21: TinyTablePlus-0.9-version.txt-zope29.patch
Vendor: Project Vine
Distribution: Vine Linux
Packager: owa

%description
TinyTablePlus is a product designed to manage a small amount of tabular
data.  It's intended to fill the gap between a Z Table or an Z SQL Methods
accessed SQL table, which are overkill for many tasks, and folder token
properties, which allow only a single "column".  TinyTablePlus also makes
it possible to look up an item within the list, or to return a subset of
the list rows where columns equal particular values.

%description -l ja
TinyTablePlus は小さな表データを操作する為に設計されたプロダクトです.
これは,大部分の仕事には仕様過剰な Z テーブルや, SQL テーブルにアクセス
できる Z SQL メソッドなどと,ただ一つの項目だけ許可される属性フォルダの
ギャップを埋めることを意図しています. また TinyTablePlus はリストの中
から一つの項目を捜しだすことを可能にし,あるいは項目が特定の値を持つ行
の集合を取りだすことも可能です.


%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch10 -p0
%patch20 -p0
%patch21 -p0


%build
touch lib/python/Products/%{product}/refresh.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{instdir}
cp -Rdp lib/python/Products/%{product} $RPM_BUILD_ROOT%{instdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, Zope2, Zope2)
%{instdir}/%{product}


%changelog
* Sat Dec 11 2010 Shu KONNO <owa@bg.wakwak.com> 0.9-2
- changed package name to Zope2-TinyTablePlus

* Mon Jun 09 2008 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-1vl5
- applied new versioning policy and spec in utf-8

* Thu Aug 23 2007 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl10
- updated Patch3: TinyTablePlus-0.9-Edit.dtml-charset.patch
- added Patch21: TinyTablePlus-0.9-version.txt-zope29.patch

* Mon Apr 02 2007 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl8
- updated TinyTablePlus-0.9-__init__.py-zope29.patch

* Fri Oct 13 2006 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl7
- dropt TinyTablePlus-0.9.patch
- added TinyTablePlus-0.9-About.dtml-charset.patch
- added TinyTablePlus-0.9-Add.dtml-charset.patch
- added TinyTablePlus-0.9-Advanced.dtml-charset.patch
- added TinyTablePlus-0.9-Edit.dtml-charset.patch
- added TinyTablePlus-0.9-View.dtml-charset.patch
- added TinyTablePlus-0.9-ImportExport.py-charset.patch
- added TinyTablePlus-0.9-TinyTablePlus.py-zope28.patch
- added TinyTablePlus-0.9-__init__.py-zope29.patch

* Fri Apr 08 2005 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl6
- droped japanese.patch
- added TinyTablePlus-0.9.patch for zope 2.8

* Tue Jul 27 2004 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl5
- updated japanese.patch
- added refresh.txt

* Sat Apr 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl4
- droped TinyTablePlus.patch
- added japanese.patch
- rebuild with python-2.3.3-0vl1

* Sat Feb 28 2004 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl3
- removed TinyTablePlus-0.9JP003 patch (because it's for euc-jp only)
- added TinyTablePlus.patch (for japanese)

* Fri Sep 26 2003 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl2
- added 'BuildArch: noarch' to rpm options

* Sun Apr 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-TinyTablePlus-0.9-0vl1
- created for Vine Seed

* Fri Aug 16 2002 Shu KONNO <owa@bg.wakwak.com> TinyTablePlus-0.9jp3-0vp1
- changed TinyTablePlus with 0.9JP003.tgz (by koyoshi)

* Thu Jun 27 2002 Shu KONNO <owa@bg.wakwak.com> TinyTablePlus-0.9-0vp1
- included TinyTablePlus-0.9.patch (by cheeseshop, koyoshi)

