Summary: A bootloader which can be started from the SRM console.
Name: aboot
Version: 0.9b
Release: 0vl1
ExclusiveArch: alpha
License: GPL
Group: System Environment/Base
Source: http://aboot.sourceforge.net/tarballs/aboot-%{version}.tar.bz2
URL: http://sourceforge.net/projects/aboot/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The aboot program is the preferred way of booting Linux when using SRM
firmware (the firmware normally used to boot an DEC UNIX). Aboot supports
the creation of bootable block devices and contains a program which can
load Linux kernels from a filesystem which is bootable by SRM.  Aboot
also supports direct booting from various filesystems (ext2, ISO9660,
UFS), booting of executable object files (ELF and ECOFF), booting of
compressed kernels, network booting (using bootp), partition tables in
DEC UNIX format, and interactive booting and default configurations for
SRM consoles that cannot pass long option strings.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
make mandir=%{buildroot}%{_mandir} root=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog* INSTALL README TODO doc/faq
%attr(644, root, root) /boot/bootlx
%{_syssbindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Sat Jun 26 2004 Tomoya TAKA <taka@vinelinux.org> 0.9b-0vl1
- new upstream release
- fix %files
- fix License, URL and Source's URL

* Sat Jul 13 2002 Tomoya TAKA <taka@vinelinux.org> 0.9a-2vl1
- rebuild for Vine Linux
- add all man pages to %%files
- change Copyright: tag to License:
- use rpm macros

* Wed Jan 09 2002 Tom Tromey <tromey@redhat.com> 0.9a-2
- Install man pages correctly.  From Tim Powers.

* Fri Dec 21 2001 Tom Tromey <tromey@redhat.com> 0.9a-1
- Upgaded to version 0.9a (from aboot cvs)
- Removed old patches, all of which have been incorporated into
  the main distribution

* Thu Dec 6 2001 Matt Wilson <msw@redhat.com> 0.7a-3
- include asm-generic/pgtable.h from the kernel source as our
kernel-headers package doesn't contain it.

* Fri Feb  2 2001 Matt Wilson <msw@redhat.com>
- renamed get_option in disk.c to not conflict with 2.4 headers (patch3)

* Fri Jan 26 2001 Matt Wilson <msw@redhat.com>
- added patch from michal@harddata.com to properly mark some isos - #17888
  (patch1)
- added my patch to build against 2.4 kernel headers (patch2)

* Thu Jul 13 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- 0.7a

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- rebuild to get new /usr/share/doc

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- 0.7
- catch gzipped man pages
- use _mandir macros to install man files

* Tue Nov 30 1999 Matt Wilson <msw@redhat.com>
- changed to use ext2 patch based from Ruediger Oertel <ro@suse.de>

* Mon Nov 22 1999 Matt Wilson <msw@redhat.com>
- patched ext2 read code to deal with rev1 filesystems
- added a patch to properly guess IDE cdroms
  (well, sort of)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to allow it to boot on *large* disks

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- patch from Jay Estabrook to make it work with EXT2 filesystems larger
  than 2Gb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for Red HAt 6.0

* Tue Sep 15 1998 Richard Henderson <rth@cygnus.com>
- use aboot.lds for elf, so that the phdr comes out right.
- relax the need to have a compiled kernel installed.
- make sdisklabel take partition sizes in sectors, not kilobytes.

* Thu Aug 20 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- corrected a small but essential error in the ELF patch

* Mon Aug  3 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- added a patch to allow booting of ELF images created with binutils >= 2.9
- compiled against glibc 2.0.94

* Sun May 31 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- made changes needed for glibc2 and 2.1.x kernels

