Summary: A utility for adjusting kernel time variables.
Summary(ja): カーネル時刻変数を調整する為のユーティリティ
Name: adjtimex
Version: 1.29
Release: 1%{?_dist_release}
Exclusiveos: Linux
License: GPL
Group: System Environment/Base
Source: http://ftp.debian.org/debian/pool/main/a/adjtimex/%{name}_%{version}.orig.tar.gz
Patch1: adjtimex-1.13-glibc.patch 
Patch2: adjtimex-1.21-optstring.patch 
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
Adjtimex provides raw access to kernel time variables. On standalone
or intermittently connected machines, root can use adjtimex to correct
for systematic drift. If your machine is connected to the Internet or
is equipped with a precision oscillator or radio clock, you should
instead manage the system clock with the xntpd program. Users can use
adjtimex to view kernel time variables.

%description -l ja
adjtimex はカーネル時刻変数への直接的なアクセスを提供します。
スタンドアロン機や常時インターネットに接続されている訳ではないマシンの場
合、この adjtimex を使ってシステムの時刻のずれを調整することが出来ます。
マシンがインターネットに常時接続されている場合や、オシレータ/ラジオクロッ
クが装備されている場合は、代わりに xntpd プログラムを使ってシステムクロッ
クを調整することが出来ます。一般ユーザは adjtimex を使ってカーネル時刻変
数を見ることが出来ます．


%prep
%setup -q
#%patch1 -p1 -b .glibc
#%patch2 -p1 -b .optstring


%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m755 adjtimex ${RPM_BUILD_ROOT}/sbin/adjtimex
install -m644 adjtimex.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/adjtimex.8


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README COPYING COPYRIGHT
/sbin/adjtimex
%{_mandir}/man8/adjtimex.8*


%changelog
* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.29-1
- updated to 1.29

* Wed Jul 01 2009 Shu KONNO <owa@bg.wakwak.com> 1.27-1
- updated adjtimex to 1.27
- dropt adjtimex-1.13-glibc.patch 
- dropt adjtimex-1.21-optstring.patch 
- spec in utf-8

* Fri May 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.21-1
- source update
- change License from distributable to GPL
- sync to fedora development

* Mon Jul 10 2006 Shu KONNO <owa@bg.wakwak.com> 1.13-4vl3
- added adjtimex-1.13-usage.patch

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.13-4vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.13-4vl1
- based on 1.13-4 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Than Ngo <than@redhat.com> 1.13-3
- don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- 1.13

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.12-2
- rebuild in new enviroment

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.12-1
- 1.12

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Jan 29 2001 Preston Brown <pbrown@redhat.com>
- fix man page for '-t' usage on alpha (#9674)

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 build

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9674

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Fri Jan  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.9.

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- burn y2k wartlet (#8172)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- builds on all architectures
