Summary: Anti-Grain Geometry
Name:    agg
Version: 2.5
Release: 1%{?_dist_release}
Group:   System Environment/Libraries
URL:     http://www.antigrain.com
License: GPL
Source:  http://www.antigrain.com/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: automake, libtool, xorg-x11-devel, freetype2-devel, SDL-devel

Patch0: agg-2.4-depends.patch

%description
A High Quality Rendering Engine for C++

%package devel
Summary: Support files necessary to compile applications with agg
Group: Development/Libraries
Requires: agg = %{version}-%{release}

%description devel
Libraries, headers, and support files necessary to compile applications using agg

%prep
%setup -q
%patch0 -p1 -b .agg-2.4-depends

%build
sh ./autogen.sh --disable-gpc
%configure
make

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc authors copying readme
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libagg.pc
%{_includedir}/agg2
%{_datadir}/aclocal/libagg.m4

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.5-1vl5
- applied new versioning policy
- rebuilt with xorg-x11-devel

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5-0vl1
- initial build for Vine Linux

* Sat Jan 06 2007 Caolan McNamara <caolanm@redhat.com> - 2.5-1
- bump to 2.5

* Fri Nov 10 2006 Caolan McNamara <caolanm@redhat.com> - 2.4-3
- Resolves: rhbz#214970 rebuild with new 2.4 sources

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.4-2.1
- rebuild

* Mon Jul 10 2006 Caolan McNamara <caolanm@redhat.com> - 2.4-2
- rh#198174# add extra links from libs to their runtime requirements

* Wed May 10 2006 Caolan McNamara <caolanm@redhat.com> - 2.4-1
- next version

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> 2.3-4
- add BuildRequires freetype-devel for ft2build.h

* Mon Feb 13 2006 Caolan McNamara <caolanm@redhat.com> - 2.3-3
- BuildRequires

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.3-2.1
- bump again for double-long bug on ppc(64)

* Wed Feb 08 2006 Caolan McNamara <caolanm@redhat.com> - 2.3-2
- rh#180341# BuildRequires

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Nov 23 2005 Caolan McNamara <caolanm@redhat.com> 2.3-1
- initial import
