Summary:	A collection of patience games written in guile scheme
Name:		aisleriot
Version:	3.2.2
Release:	1%{?_dist_release}

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.xz

License:	GFDL,GPLv3,LGPLv3
Group:		Applications/Games
URL:		https://live.gnome.org/Aisleriot

BuildRequires:	gtk3-devel
BuildRequires:	GConf2-devel
BuildRequires:	libtool-ltdl-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libSM-devel
BuildRequires:	guile-devel
BuildRequires:	itstool

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Aisleriot (also known as Solitaire or sol) is a collection of card games
which are easy to play with the aid of a mouse. The rules for the games
have been coded for your pleasure in the GNOME scripting language (Scheme).


%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/aisleriot.schemas >& /dev/null ||:
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/aisleriot.schemas >& /dev/null ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.GFDL COPYING.GPL3 COPYING.LGPL3 NEWS
%{_sysconfdir}/gconf/schemas/aisleriot.schemas
%{_bindir}/sol
%{_libdir}/%{name}/ar-cards-renderer
%{_datadir}/%{name}
%{_datadir}/applications/freecell.desktop
%{_datadir}/applications/sol.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_datadir}/help
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man6/sol.6.gz


%changelog
* Tue Nov 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- initial build for Vine Linux

