Name:           amarokFS
Version:        0.5
Release:        1%{?_dist_release}
Summary:        full screen front-end for Amarok
Summary(ja):	Amarok 用のフルスクリーンフロントエンド
Group:          Applications/Multimedia
# Python integration script is GPLv2+, everything else is LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://www.kde-apps.org/content/show.php?content=52641
Source0:        http://www.kde-apps.org/CONTENT/content-files/52641-amarokFS-%{version}.tar.gz
# Source1 is an Amarok integration script
Source1:        http://www.kde-apps.org/CONTENT/content-files/53125-amarokFS-1.1.amarokscript.tar
Source2:		Vine-amarokFS.desktop
Patch0:         amarokFS-0.5-fedora_paths.patch
Patch1:         amarokFS-0.5-start_amarok.patch
Patch2:         amarokFS-0.5-theme_howto.patch
Patch3:         amarokFS-0.5-theme_prev_button.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  kdelibs-devel desktop-file-utils ImageMagick qt-devel
Requires:       amarok

%description
AmarokFS (Amarok Full Screen) is a full screen front-end for Amarok that provides a simple and nice looking graphical user interface.
It is very suitable for parties and public terminals. The front-end's appearance can be customized using themes.

This package also contains a script that allows AmarokFS to be launched from within Amarok itself.

%description -l ja
AmarokFS (Amarokフルスクリーン)は、シンプルでナイスな GUI を提供する Amarok 用のフルスクリーン・フロント・エンドです。
パーティーや公の端末向けとして非常に適しています。フロント・エンドの外観はテーマを使用する事でカスタマイズ可能です。

このパッケージは、さらに AmarokFS が Amarok 上からのスタートを可能にするスクリプトを含んでいます。

%prep
%setup -q
%patch0 -p1 -b .fedora_paths
%patch1 -p1 -b .start_amarok
%patch2 -p1 -b .theme_howto
%patch3 -p1 -b .theme_prev_button
sed -i 's/Application;//' amarokFS.desktop
sed -i 's/\/usr\/share\/icons\/amarokFS.png/amarokFS/' amarokFS.desktop
chmod a-x amarokFS.png
chmod a-x images/*


%build
qmake
make %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install INSTALL_ROOT=$RPM_BUILD_ROOT

desktop-file-install --vendor="Vine" \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
        amarokFS.desktop
# Install Amarok integration script
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/apps/amarok/scripts
cd $RPM_BUILD_ROOT%{_datadir}/apps/amarok/scripts
tar -xf %{SOURCE1}
# Install a 48x48 icon
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
convert $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/amarokFS.png \
        -sample 48x48 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/amarokFS.png

# Desktop File INSTALL(source2)
%{__install} -D -m 644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/Vine-amarokFS.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc README theme-howto.txt
%{_bindir}/amarokFS
%{_datadir}/amarokFS/*
%{_datadir}/applications/Vine-amarokFS.desktop
%{_datadir}/icons/hicolor/48x48/apps/amarokFS.png
%{_datadir}/icons/hicolor/128x128/apps/amarokFS.png
%{_datadir}/apps/amarok/scripts/amarokFS


%changelog
* Mon Jan 12 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 0.5.4-1
- Rebuild For Vine Seed
- spec in utf-8

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5-4
- fix license tag

* Fri Feb 22 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.5-3
- Changed kdelibs-devel build dependency to kdelibs3-devel (RHBZ #434093)
- Fixed animation of "prev" button in default theme
- Modified "start_amarok" patch to slow down dcop calls to amarok when starting (RHBZ #247712)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-2
- Autorebuild for GCC 4.3

* Thu Mar 29 2007 Francois Aucamp <faucamp@csir.co.za> - 0.5-1
- Update to version 0.5
- Removed "large_cover_images" patch; included upstream
- Removed "config_dialog_layout" patch; included upstream
- Updated "fedora_paths" patch
- Updated "start_amarok" patch
- Updated "theme_howto" patch
- Updated amarok integration script

* Mon Feb 19 2007 Francois Aucamp <faucamp@csir.co.za> - 0.4.2-4
- Created "theme_prev_button" patch to fix default theme's "previous" button
- Fixed file permissions of image files

* Wed Feb 14 2007 Francois Aucamp <faucamp@csir.co.za> - 0.4.2-3
- Added BuildRequires: ImageMagick
- Create and install a 48x48 icon

* Tue Feb 13 2007 Francois Aucamp <faucamp@csir.co.za> - 0.4.2-2
- Added BuildRequires: desktop-file-utils
- Fixed source URLs
- Removed "Application" from .desktop file's "Categories" tag
- Install application icon to correct location
- Added KDE/GTK icon cache update scriptlets
- Cleaned up the application's qmake file a bit

* Sun Feb 11 2007 Francois Aucamp <faucamp@csir.co.za> - 0.4.2-1
- Initial RPM build
- Created "fedora_paths" patch to install files to correct directories in Fedora
- Created "config_dialog_layout" patch to fix the layout of the configuration dialog
- Created "large_cover_images" patch to fix filename resolution issues when displaying large CD cover images
- Created "start_amarok" patch to let AmarokFS start Amarok (upon startup) if it is not already running
- Created "theme_howto" patch to fix errors in the "theme howto" documentation file
- Created amarokFS integration script for Asterisk
