Summary: Vine Linux system installer
Summary(ja): Vine Linux システムインストーラ
Name: anaconda-vine
Version: 11.0.0.14
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://fedoraproject.org/wiki/Anaconda
Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: ppc64
BuildRequires: pump-devel >= 0.8.15, kudzu-devel >= 1.1.0, pciutils-devel
BuildRequires: bzip2-devel, e2fsprogs-devel, python-devel, gtk2-devel,
BuildRequires: rpm-python >= 4.2, newt-devel, rpm-devel, gettext >= 0.11
BuildRequires: module-init-tools, rhpl, rhpxl, booty, libxml2-python, zlib-devel
BuildRequires: bogl-devel >= 0.1.18-9, bogl-bterm >= 0.1.18-9
BuildRequires: elfutils-libelf-devel, beecrypt-devel, zlib-static
BuildRequires: libXt-devel, libXxf86misc-devel
BuildRequires: pciutils-static, device-mapper-devel
Prereq: chkconfig
Requires: rpm-python >= 4.4.2, rhpl >= 0.148.3, parted >= 1.6.25.1
Requires: dbus-python, pyparted

%description
The anaconda package contains the Vine Linux installation program.  
These files are of little use on an already installed system.

%package runtime
Summary: Vine Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false
Requires: netpbm-progs, kudzu
Requires: cdrtools-mkisofs, squashfs-tools
%ifarch %{ix86} x86_64
Requires: dosfstools, syslinux
%endif

%description runtime
The anaconda-runtime package contains parts of the Vine Linux
installer which are needed for installing new systems. These files are
used to build Vine Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
/usr/bin/mini-wm
/usr/sbin/anaconda
%ifarch i386 x86_64
%{_sbindir}/gptsync
%{_sbindir}/showpart
%endif
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%changelog
* Wed Aug 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.14-1
- add BR: pciutils-static, device-mapper-devel
- generate new X configuration on upgrade
- add more upgrade tweaks

* Sat Aug 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.13-1
- fix keymap-override-x86_64

* Fri Jul 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.12-1
- fix recommended swap size iutil.swapSuggestion
  - increase min/max swap size on lower memory case
  - change maximum swap size to "2000 + ramsize"

* Sun Jul 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.11-1
- fix network install

* Sun Jul 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.10-1
- do not write /etc/rpm/platform anymore.

* Fri Jun 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.9-1
- add lowres install mode to syslinux menu.

* Fri Jun 19 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0.0.8-2
- very minor ppc fix (pmac-utils -> powerpc-utils)

* Wed Jun 17 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 11.0.0.8-1
- some ppc fix

* Sat Jun 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.7-1
- add jp106.kbd for syslinux keymap
  - use jp106 keymap by default.
- add open-iscsi and vconfig

* Mon Jun 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.6-1
- use vesamenu in syslinux

* Fri May 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.5-1
- set UTC/LOCAL in /etc/adjtime
- update network.py
  - prefer udev persistent network rules

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.4-1
- fix mdraid
- add DNS setting to ifcfg-* for NetworkManager
- use vesafb on i386 by default
- fix typo in ja.po

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.3-1
- fix x86_64
- add BR: elfutils-libelf-devel, beecrypt-devel, zlib-static
- add BR: libXt-devel, libXxf86misc-devel
- add Requires: cdrtools-mkisofs, squashfs-tools for runtime
- use vesafb on x86_64 by default.

* Sat Apr 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.2-1
- fix messages

* Sat Apr 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.1-1
- for Vine Linux 5 alpha
- merge anaconda-11.x and anaconda-10.x
- skip X configuration steps
- use system-config-display to create xorg.conf
- use bogl for textmode Japanese display

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.91.1-1
- update to 10.1.1.91

* Fri Aug 22 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 10.1.1.46.40-1
- initial Intel Mac support (checked on MacBook4,1 Penryn)

* Fri May 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.39-1
- fix mk-images

* Mon Dec 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.38-0vl1
- fix updkmaps, keymaps-i386

* Wed Dec 12 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.37-0vl1
- update keymap

* Mon Dec 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.36-0vl1
- update ja.po

* Mon Dec 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.35-0vl1
- allow to install on USB/Firewire drives.
- delay on reloading usb-storage

* Mon Dec 10 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.34-0vl1
- minor fix for ppc

* Sat Dec 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.33-0vl1
- add "uselvm" command line option to install on LVM logical volume.

* Thu Nov 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.32-0vl1
- fix Requires:

* Thu Nov 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.31-0vl1
- update module-info for current kernel
- add some Requires: to anaconda-vine-runtime

* Sun Feb  4 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.30-0vl4
- bug fix for OldWorld pmac (it was just a typo - my fault) (<BTS:473>)

* Mon Dec  4 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.30-0vl3
- bug fix for Apple Bootstrap treatments on pmac

* Tue Nov 21 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.30-0vl2
- minor fix to mk-images.ppc (boot.iso for pmac didn't have ramdisk - oh my)

* Fri Nov 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.30-0vl1
- add more LCD panel resolution

* Mon Nov 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.29-0vl1
- support booting from raid1 device.

* Sat Nov 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.28-0vl1
- fix HTTP/FTP install method with text mode installer.
- fix required memory to run stage2.

* Thu Nov 02 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.27-0vl1
- modify timezone.py and iw/timezone_gui.py
  (set UTC as default on PMac)

* Wed Nov 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.26-0vl1
- fix upgrade method.
  - select scim-anthy if kinput2 is installed.
  - select tamago if emacs is installed.

* Sun Oct 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.25-0vl1
- update ja.po

* Sun Oct 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.24-0vl1
- update ja.po
- update upd-instroot

* Sun Oct 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.23-0vl1
- add more LCD panel resolution

* Fri Oct 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.22-0vl1
- update ja.po

* Sat Sep 30 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.21-0vl1
- yet another PPC fixes :)

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.20-0vl1
- make selinux part invisible. (in firewall setup screen)
- add few more html tags to htmlbuffer. (strong, code)

* Tue Sep 19 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.19-0vl1
- fix for OldWorld PowerMacs

* Mon Sep 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.18-0vl1
- add pcmciautils, pcmcia/config to installer.

* Sun Sep 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.17-0vl1
- avoid deprecated warnings
    gnome.canvas -> gnomecanvas
    gtk.idle_add -> gobject.idle_add
    gtk.idle_remove -> gobject.source_remove
- TODO: there are some more deprecated warnings to be fixed

* Sat Sep 16 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.16-0vl1
- more ppc fixes (detect macosx partition and reflect to yaboot.conf, etc.)

* Sat Sep 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.15-0vl1
- fix worng partition type detection. (side effect of ppc changes)
  (<BTS:186>)

* Fri Sep 15 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 10.1.1.46.14-0vl1
- ppc fixes (more fixes were silently made since 10.1.1.46.8-0vl1)
- update upd-instroot (openssl from 0.9.7i to 0.9.7k)

* Thu Sep 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.13-0vl1
- fix bootloader configuration.
- fix bootloader detection in upgrade mode.
- select scim-anthy on upgrade if kinput2 was installed.

* Fri Sep 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.12-0vl1
- fix <BTS:0152>
- workaround fix <BTS:144>

* Thu Sep 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.11-0vl1
- fix bugs
  <BTS:109>,<BTS:118>,<BTS:120>,<BTS:122>,<BTS:128>,<BTS:134>,
  <BTS:137>,<BTS:146>,<BTS:147>

* Sun Sep 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.10-0vl1
- fix bugs
- add reiserfsprogs to instimage <BTS:111>
- fix legacy pcmcia card support in stage1 <BTS:127>

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.9-0vl1
- fix upgradeclass

* Mon Aug 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.8-0vl1
- add new installclasses
  - everything, basesystem

* Sun Aug 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.7-0vl1
- fix upgrade install

* Sun Aug 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.6-0vl1
- fix text mode installer

* Fri Aug 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.5-0vl1
- fix Makefile

* Thu Aug 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.4-0vl1
- fix more
- enable start up runlevel select
- enable xconfig
- change auto partition defaults to normal partitions instead of LVM partitions
- fix gtk2 obsolete code

* Wed Aug 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.3-0vl1
- fix more
- add user account creation (based on progeny's wotrk)

* Sat Aug 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.2-0vl1
- lots of fix for Vine Linux
- disable SELinux

* Fri Aug 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1.46.1-0vl1
- update base version

* Wed Aug 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.4-0vl1
- fix loader2, scripts and more

* Tue Aug 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.3-0vl1
- fix more scripts

* Tue Aug 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.2-0vl1
- fix buildinstall script

* Fri Aug 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.1-0vl1
- fix more

* Tue Aug 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1-0vl1
- initial build.
  - based on RHEL3 installer
