%define _qt4_version %(pkg-config --modversion --silence-errors Qt 2>/dev/null || echo 4.6.3)
%define _qt4_prefix %(pkg-config --variable prefix --silence-errors Qt 2>/dev/null || echo %{_libdir}/qt-%{qt4_ver})
%define _qt4_libdir %(pkg-config --variable libdir --silence-errors Qt 2>/dev/null || echo %{_qt4_prefix}/lib)
%define _qt4_headerdir %(pkg-config --variable headerdir --silence-errors Qt 2>/dev/null || echo %{_qt4_prefix}/include)


%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 4.2.4
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: GPLv2+
URL: http://www.aquamaniac.de/aqbanking/

Source: http://download.sourceforge.net/aqbanking/%{name}-%{version}.tar.gz

Patch2: aqbanking-4.2.4-pkgconfig.patch
Patch3: aqbanking-2.1.0-conflict.patch
# upstreamable, omit inadvertant(?) qt3 linkage q4banking -- Rex
Patch4: aqbanking-4.2.4-q4banking_remove_qt3.patch 

BuildRoot: %{_tmppath}/%{name}-%{version}-root
# qbanking
BuildRequires: qt-devel
BuildRequires: qt4-devel
BuildRequires: gwenhywfar-devel >= 3.10.0
BuildRequires: gmp-devel
BuildRequires: gettext
BuildRequires: libtool
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: aqhbci <= 1.0.3
Obsoletes: g2banking < 3.7.2-1
Obsoletes: python-aqbanking

%description 
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Development headers for Aqbanking
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# for %{_datadir}/aclocal
Requires: automake
Obsoletes: aqhbci-devel <= 1.0.3
Obsoletes: g2banking-devel < %{version}

%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%package -n qbanking
Summary: Qt3 bindings for Aqbanking
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: aqhbci-qt-tools <= 1.0.3
Obsoletes: kbanking < %{version}

%description -n qbanking
This package contains the qbanking KDE bindings for the Aqbanking
online banking library.

%package -n qbanking-devel
Summary: Development headers for qbanking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: qbanking = %{version}-%{release}
Requires: pkgconfig
Requires: qt-devel
Obsoletes: kbanking-devel < 3.7.2-1

%description -n qbanking-devel
This package contains qbanking-config and header files for writing and
compiling programs using the qbanking bindings for Aqbanking.

%package -n q4banking
Summary: Qt4 bindings for Aqbanking
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4 >= %{_qt4_version}

%description -n q4banking
%{summary}.

%package -n q4banking-devel
Summary: Development files for q4banking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: q4banking = %{version}-%{release}
Requires: qt4-devel

%description -n q4banking-devel
%{summary}.

%package -n python-%{name}
Summary: Python bindings for Aqbanking
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
This package contains python bindings for Aqbanking.

%prep
%setup -q
%patch2 -p1 -b .pkgconfig
%patch3 -p1 -b .conflict
%patch4 -p1 -b .q4banking_remove_qt3

# hack to nuke rpaths, slighly less ugly than using overriding LIBTOOL below
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
[ -z "$QTDIR" ] && . /etc/profile.d/qt.sh

%configure \
    --disable-static \
    --with-frontends="qbanking q4banking" \
    --enable-qt4 \
    --with-qt4-includes=%{_qt4_headerdir} \
    --with-qt4-libs=%{_qt4_libdir} \
    --with-qt4-moc=%{_qt4_prefix}/bin/moc \
    --with-qt4-uic=%{_qt4_prefix}/bin/uic

# not smp_mflags safe
# override LIBTOOL to quash rpath
make 
#make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
#make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;
find $RPM_BUILD_ROOT -name *.a -exec rm -f {} \;

cd tutorials
make clean
rm -rf .deps
rm -f Makefile*
cd ..

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_datadir}/doc/{aqbanking,aqhbci} $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}
cp AUTHORS README COPYING ChangeLog NEWS $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

%find_lang %{name}

# Fix multilib errors. (#602879)
sed -i 's|** Created:.*|** Created |g' $RPM_BUILD_ROOT/%{_includedir}/q4banking/*.ui.h


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n qbanking -p /sbin/ldconfig

%postun -n qbanking -p /sbin/ldconfig

%post -n q4banking -p /sbin/ldconfig

%postun -n q4banking -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}
%{_libdir}/libaq*.so.*
%dir %{_libdir}/aqbanking
%dir %{_libdir}/aqbanking/plugins/
%dir %{_libdir}/aqbanking/plugins/*/
%dir %{_libdir}/aqbanking/plugins/*/debugger/
%dir %{_libdir}/aqbanking/plugins/*/debugger/*/
%dir %{_libdir}/aqbanking/plugins/*/frontends/
%{_libdir}/aqbanking/plugins/*/bankinfo/
%{_libdir}/aqbanking/plugins/*/imexporters/
%{_libdir}/aqbanking/plugins/*/providers/
%{_libdir}/gwenhywfar/plugins/*/dbio/*
%dir %{_datadir}/aqbanking
%dir %{_datadir}/aqbanking/frontends
%{_datadir}/aqbanking/backends/
%{_datadir}/aqbanking/bankinfo/
%{_datadir}/aqbanking/imexporters/
%{_bindir}/aqbanking-cli
%{_bindir}/aqhbci-tool4

%files devel
%defattr(-,root,root)
%doc doc/0[12]* tutorials
%{_bindir}/hbcixml3
%{_bindir}/aqbanking-config
%{_libdir}/libaq*.so
%{_includedir}/aq*/
%{_libdir}/pkgconfig/aqbanking.pc
%{_datadir}/aclocal/aqbanking.m4

%files -n qbanking
%defattr(-,root,root)
%{_bindir}/qb-help8
%{_libdir}/libqbanking.so.*
%{_libdir}/aqbanking/plugins/*/debugger/aqhbci/aqhbci-qt3-debug
%{_libdir}/aqbanking/plugins/*/debugger/aqhbci/qt_debug.xml
%{_libdir}/aqbanking/plugins/*/frontends/qbanking
%{_libdir}/aqbanking/plugins/*/wizards/qt3*
%{_datadir}/aqbanking/i18n
%{_datadir}/aqbanking/frontends/qbanking/

%files -n qbanking-devel
%defattr(-,root,root)
%{_includedir}/qbanking/
%{_libdir}/libqbanking.so

%files -n q4banking
%defattr(-,root,root)
%{_bindir}/q4b-help1
%{_libdir}/aqbanking/plugins/*/debugger/aqhbci/aqhbci-qt4-debug
%{_libdir}/aqbanking/plugins/*/debugger/aqhbci/qt4_debug.xml
%{_libdir}/aqbanking/plugins/*/frontends/q4banking
%{_libdir}/aqbanking/plugins/*/wizards/qt4*
%{_datadir}/aqbanking/frontends/q4banking/
%{_libdir}/libq4banking.so.1*

%files -n q4banking-devel
%defattr(-,root,root)
%{_includedir}/q4banking/
%{_libdir}/libq4banking.so

#%files -n python-%{name}
#%defattr(-,root,root)
#%{python_sitelib}/%{name}

%changelog
* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 4.2.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Sep 13 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.4-1
- update to 4.2.4
- added q4banking subpackage
- obsoletes python-aqbanking subpackage

* Sat Oct 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7.1-1
- update to 3.7.2
- obsolete the no-longer-existing g2banking/kbanking packages

* Mon Jan 21 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.3-0vl1
- update to 2.3.3

* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.3.2-2vl1
- modify and build for VineSeed

* Wed Aug 29 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-2
- Rebuild for selinux ppc32 issue.
- fix build with current glibc/headers

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Wed Jul 11 2007 Bill Nottingham <notting@redhat.com> - 2.3.2-1
- update to 2.3.2

* Mon Jun 25 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-3
- fix some build bogosity

* Wed Jun 20 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-2
- add a dist tag

* Mon Mar 19 2007 Bill Nottingham <notting@redhat.com> - 2.2.9-1
- update to 2.2.9

* Wed Jan 17 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-14
- fix docdir, obsoletes for aqhbci-devel, and %%clean

* Tue Jan 16 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-13
- fix docs
- add PyXML buildreq

* Mon Jan 15 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-12
- fix missing %%defattrs
- fix %%excludes
- other cleanups from review
- use %%{_python_sitelib}
- require automake
- twiddle aqhbci obsoletes

* Sat Jan 13 2007 Bill Nottingham <notting@redhat.com> - 2.1.0-11
- split into a variety of packages

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 2.1.0-10
- rebuild for python 2.5

* Thu Sep  7 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-9
- rebuild for fixed debuginfo (#205248)

* Fri Sep  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-8
- fix multilib conficts (#205204)

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-4
- rebuild against latest libofx

* Tue Aug  1 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-3
- reenable visibility

* Fri Jul 14 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-2
- port *-config to pkgconfig
- don't use -fvisibility=hidden

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.1.0-1.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 2.1.0-1
- update to 2.1.0

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-5
- buildreq autoconf, libtool

* Tue May 30 2006 Bill Nottingham <notting@redhat.com> - 1.8.1beta-4
- add gettext buildreq (#193348)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Karsten Hopp <karsten@redhat.de> 1.8.1beta-3
- buildrequire libofx-devel instead of libofx (pulls in libofx)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.8.1beta-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 22 2006 Bill Nottingham <notting@redhat.com> 1.8.1beta-2
- add an obsolete (#178554)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.4beta-1
- initial packaging, adopt upstream specfile
