%define      version 2.6.1
%define      release 7%{?_dist_release}

Summary:     An ncurses-based audio mixer.
Summary(ja): ncurses ベースのオーディオミキサ
Name:        aumix
Version:     %{version}
Release:     %{release}
License:     GPL
Group:       Applications/Multimedia
Source:      http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.gz
Source10:    aumixrc.default
Patch0:      aumix-2.6.1-interactive_c.patch
Requires:    initscripts >= 4.42
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
Obsoletes:   aumix-X11

%description
Aumix is a tty-based, interactive method of controlling a sound card 
mixer. It lets you adjust the input levels from the CD, microphone,
and board synthesizers, as well as the output volume. Aumix can 
adjust audio mixers from the command line, from a script, or 
interactively at the console or terminal with an
ncurses-based interface.

Install aumix if you need to control an audio mixer.  If you want to use
Aumix's GUI, you'll need to install ncurses and gpm for mouse support.

%description -l ja
Aumix は tty ベースでインタラクティブにサウンドカードのミキシングを操作
するプログラムです．これを使うことにより CD，マイクロフォン，オンボード
シンセサイザの入力レベルを調節することが出来ますし，出力レベルに関しても
操作することが出来ます．
Aumix によるオーディオミキサの操作は，コマンドライン，スクリプト，コンソール
ターミナル上の ncurses ベースのインタフェースを用いた対話形式等，様々な
方法で行うことが出来ます．

%prep
%setup -q
%patch0 -p0 -b .interactive_c

%build
%configure --prefix=/ --with-alsa \
	--without-ncurses --without-gtk \
	--without-gpm
make
mv src/aumix ./aumix-minimal
make distclean
%configure --with-alsa \
	--without-gtk \
        --without-gpm
make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
make prefix=${RPM_BUILD_ROOT}/usr install -C po
mkdir -p ${RPM_BUILD_ROOT}/bin
install -c -m755 aumix-minimal ${RPM_BUILD_ROOT}/bin
strip -R .comment \
	${RPM_BUILD_ROOT}/bin/aumix-minimal \
	${RPM_BUILD_ROOT}/usr/bin/aumix

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}
install -m644 %{SOURCE10} ${RPM_BUILD_ROOT}%{_sysconfdir}/.aumixrc

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README TODO NEWS ChangeLog
/bin/aumix-minimal
%config(noreplace) %{_sysconfdir}/.aumixrc
%{_bindir}/aumix
%{_mandir}/man1/aumix.*
%{_datadir}/aumix
%{_datadir}/locale/*/*/aumix.mo

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 2.6.1-7
- rebuilt with rpm-4.8.1-3

* Sun Jul 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-6
- drop X11 version
  - remove X11 subpackage
  - add Obsoletes: aumix-X11

* Sat May 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-5
- rebuild without gpm
  - add --without-gpm to configure option

* Fri May 29 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.6.1-4vl5
- rebuilt with gpm-1.20.6

* Wed Sep 10 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.1-3vl5
- applied new versioning policy, spec in utf-8
- added aumix-2.6.1-interactive_c.patch

* Wed Oct 18 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.6.1-2vl6
- modified SOURCE10 (100% volume is too lousy on some environment)

* Wed Sep 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-2vl5
- use /etc/.aumixrc for default setting instead of /etc/aumixrc

* Wed Sep 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-2vl4
- use License: instead of Copyright:
- new upstream source
- add default aumixrc

* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.6.1-2vl3
- rebuilt for VineSeed (with new %%{mandir} definition)
- added Japanese summary and description

* Sat Dec 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.6.1-2vl2
- rebuilt with ncurses >= 5.0 (and with gpm rebuilt with ncurses5)

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 2.6.1-2vl1
- build on Vine Linux with gcc-2.95.3


* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- make desktop entry a config file
- 2.6.1
- the nogtk patch has been rolled into the main distro, removed.

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- FHS stuff

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- make desktop link point to correct binary (#11413)

* Wed Apr 13 2000 Bill Nottingham <notting@redhat.com>
- 2.6

* Wed Mar 29 2000 Bill Nottingham <notting@redhat.com>
- 2.5

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3
- rebuild with current libncurses
- fix up and re-enable aumix-X11, and move it to a separate package
- add a .desktop file for aumix-X11

* Mon Mar 13 2000 Bill Nottingham <notting@redhat.com>
- update to 2.2

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Mon Dec 20 1999 Bill Nottingham <notting@redhat.com>
- update to 1.30.1

* Mon Nov 29 1999 Bill Nottingham <notting@redhat.com>
- update to 1.28

* Thu Nov  4 1999 Bill Nottingham <notting@redhat.com>
- update to 1.26

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- update to 1.23.1

* Mon Oct  4 1999 Bill Nottingham <notting@redhat.com>
- update to 1.23

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- oops, fix regular aumix

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- add stripped down version in /bin
- kill sound.init (in initscripts now)

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Jun 23 1999 Bill Nottingham <notting@redhat.com>
- move initscript from rhsound to here. Woohoo - we got rid of a package! ;)

* Tue Jun 22 1999 Bill Nottingham <notting@redhat.com>
- 1.22.1

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- 1.22

* Sat May 21 1999 Bill Nottingham <notting@redhat.com>
- 1.18.4

* Thu May 06 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.3

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.

