%define version 1.6.1
%define release 2%{?_dist_release}

Summary: LDAP authentication module for Apache
Name: auth_ldap
Group: Applications/System
License: Apache Software License
Version: %{version}
Release: %{release}
Source: http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.gz
Url: http://www.rudedog.org/auth_ldap/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: apache-devel
# is need BR:apache?
BuildRequires: apache
BuildRequires: openldap-devel
Requires: apache
Obsoletes: mod_auth_ldap

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --with-apxs=%{_sbindir}/apxs --with-ldap-sdk=openldap
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 auth_ldap.so $RPM_BUILD_ROOT%{_libdir}/apache/mod_auth_ldap.so

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/apache/mod_auth_ldap.so
%doc *.html PROBLEMS

%changelog
* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-2
- rebuilt with openldap-2.4.16

* Sat Aug 30 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.1-1vl5
- applied new versioning policy
- changed library path to %%{_libdir}/apache

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-0vl1
- updated to 1.6.1
- rebuilt with new toolchains
- s/Copyright/License/

* Sun Jan 27 2002 Satoshi MACHINO <machino@vinelinux.org> 1.6.0-3vl1
- updated to 1.6.0
- add apache-devel as a BuildPrereq (uses apxs)
- change the package name to auth_ldap
- add openldap-devel as a build prereq
- changed Group and Copyright

* Sun Nov 19 2000 Satoshi MACHINO <machino@vinelinux.org> 1.4.3-1vl1
- build on Vine Linux
- build with gcc-2.95.3

* Fri Sep  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rename to mod_auth_ldap
- move to the same group as other web server modules
- patch to build in new environment

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.4.3

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add openldap-devel as a build prereq

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.4.2

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against Apache with EAPI (release 2)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
