Version:    5.9.9
Release:    2%{?_dist_release}

Summary:    AutoGen - The Automated Program Generator
Name:       autogen
URL:        http://www.gnu.org/software/autogen/     	
License:    GPL2
Group:      Development/Tools
Source:     ftp://ftp.gnu.org/gnu/autogen/rel%{version}/autogen-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: yasumichi

%description
AutoGen is a tool designed for generating program files that contain
repetitive text with varied substitutions.  Its goal is to simplify the
maintenance of programs that contain large amounts of repetitious text.
This is especially valuable if there are several blocks of such text
that must be kept synchronized in parallel tables.

Some parts are released under different licensing:

libopts LGPL  This is a tear-off, redistributable option processing library
autofsm BSD   This is a template for producing finite state machine programs

The Copyright itself is privately held by Bruce Korb.

%prep
%setup -q
chmod -R +rw *

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

if [ `id -u` -eq 0 ] && egrep -q ^nobody /etc/passwd
then
    echo "switching to user nobody to run 'make check'"
    chown -R nobody . ; su -c "umask 002; make check || touch FAIL" nobody
else
    make check
fi
[ -f FAIL ] && exit 1

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# IF we have a valid file list OR the build root is _the_ root,
# THEN skip the file list generation.
#
if test \( -f autogen-filelist \
        -a -s autogen-filelist \) \
        -o ${#RPM_BUILD_ROOT} -le 1
then : ; else
  ( cd ${RPM_BUILD_ROOT}
    rm -f usr/share/info/dir
    find . -type f | grep -v 'usr/share/doc'
  ) | sed -e 's@^\./@/@' \
          -e'/usr\/share\/info/s,$,.gz,' \
          -e'/usr\/share\/man/s,$,.gz,' \
    | sort \
    > autogen-filelist
fi

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/autogen.info.gz

%preun
/sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/autogen.info.gz

%postun -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f autogen-filelist
%defattr(-,root,root)
%doc AUTHORS TODO COPYING NEWS NOTES THANKS README VERSION
%{_libdir}/libguileopts.so
%{_libdir}/libguileopts.so.0
%{_libdir}/libopts.so
%{_libdir}/libopts.so.25

%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 5.9.9-2
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Nov 03 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.9-1
- new upstream release.
- build with guile-1.8.7
- add Vendor, Distribution and Packager.

* Tue Jan 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 5.9.7-1
- new upstream release
- build with guile-1.8.6
- correct spec tag (Vendor -> URL)

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.4-3vl5
- use macro for Release

* Sat May 10 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.4-2vl5
- rebuild with guile-1.6.7-5vl5

* Fri May 09 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.4-1vl5
- apply new virsioning policy.
- remove *.la

* Sat Jan 05 2008 Shu KONNO <owa@bg.wakwak.com> 5.9.4-0vl1
- updated to last stable release

* Thu Jan 03 2008 Shu KONNO <owa@bg.wakwak.com> 5.8.7-5vl2
- added %%{_libdir}/lib*.so* in %%files

* Sun Dec 17 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.8.7-5vl1
- build for VineSeed 
* Sat Oct 14 2006 Bruce Korb <bkorb@veritas.com> Regenerated
* Fri Dec 31 2004 Bruce Korb <bkorb@gnu.org> Restored the file list
* Wed Oct 27 2004 Ed Swierk <eswierk@users.sf.net> fixed up for Fedora
* Tue Dec 16 2003 Richard Zidlicky <rz@linux-m68k.org> 5.5.7pre5-5
- fix %%doc
- add post/pre scriptlets
- change default prefix
* Sat Mar 15 2003 Bruce Korb <bkorb@gnu.org>
- Rework as a template to automatically produce a properly configured RPM
* Fri Aug 9 2002 Bruce Korb <bkorb@gnu.org>
- Pull stuff from Thomas Steudten's version of this file
