%define name	baobab
%define version	2.4.2
%define release	1%{?_dist_release}

Summary:	A graphical disk usage analyzer
Summary(ja): 	グラフィカルなハードディスク使用量の分析ツール
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.gz
Patch1:		baobab-2.4.2-fix-encoding.patch
Patch2:		baobab-2.4.2-ja.po.patch
License:	GPL
Group:		User Interface/Desktops
URL:		http://www.marzocca.net/linux/baobab.html

Requires:	gtk2 >= 2.6.0
Requires:	libgtop2 >= 2.10.0, libgnomeui >= 2.0.0
Requires:	libgnomecanvas >= 2.10.2, gnome-vfs2 >= 2.6.0
Requires:	libglade2 >= 2.5.1, GConf2
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	libgtop2-devel >= 2.10.0, libgnomeui-devel >= 2.0.0
BuildRequires:	libgnomecanvas-devel >= 2.10.2, gnome-vfs2-devel >= 2.6.0
BuildRequires:	libglade2-devel >= 2.5.1, GConf2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
A graphical tool to analyse disk usage in local and remote filesystems.

Baobab is able to scan either specific directories (local or remote) or
the whole filesystem, in order to give the user a graphical tree repre-
sentation including each directory size or percentage in the branch.
It also includes a complete file-search functionality and auto-detects
in real-time any changes made to your home directory as far as any 
mounted/unmounted device.

%description -l ja
ローカル及びリモートファイルシステムの、ハードディスク使用量をグラフィ
カルに分析するツールです。

Baobab は、各ディレクトリのサイズと使用量をグラフィカルに表示する為に、
指定したディレクトリ（ローカルまたはリモート）やファイルシステム全体を
スキャンできます。また完全なファイル検索機能や、ホームディレクトリへの
変更をリアルタイムに自動で検出する機能も含んでいます。


%prep

%setup -q
%patch1 -p1 -b .fix-encoding
%patch2 -p1 -b .updated

%build
%configure
%__make


%install
%__rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

# remove unnecessary files
%__rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/icons/hicolor/icon-theme.cache


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/baobab.schemas > /dev/null


%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/baobab.schemas >/dev/null;


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/baobab
%{_datadir}/applications/baobab.desktop
%{_datadir}/baobab
%{_datadir}/icons/hicolor/48x48/apps/baobab.png
%{_sysconfdir}/gconf/schemas/baobab.schemas
%{_mandir}/man1/baobab.1*

%changelog
* Sat Sep 06 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.2-1vl5
- applied new versioning policy, spec in utf-8

* Fri Jan 26 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.2-0vl2
- add patch1; workaround to fix non utf-8 character encoding.
- add patch2 to update ja.po.
- coorrectly handle gconf scheme at post & preun.

* Sun Sep 24 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.2-0vl1
- initial build for Vine Linux
