%define	first_version	4.2
%define	second_version	0.8

# Basic Information
Name:		bashdb
Version:	%{first_version}.%{second_version}
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Development/Tools
URL:		http://bashdb.sourceforge.net/
Source0:	%{name}-%{first_version}-%{second_version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	a gdb-like debugger for Bash
Summary(ja):	Bash 用の gdb ライクなデバッガー

# Dependency
Requires:	bash
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
bashdb is a bash script to which arranges for another bash script to be debugged.

The debugger has a similar command interface as gdb.


%description -l ja
bashdb は、デバッグしたい他の bash スクリプトを準備するための bash スクリプトです。

このデバッガーは、gdb とよく似たコマンドインターフェースを備えています。

%prep
%setup -q -n %{name}-%{first_version}-%{second_version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/bashdb.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/bashdb.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/bashdb.1*
%{_infodir}/bashdb.info*
%{_datadir}/bashdb
%{_bindir}/bashdb

%changelog
* Sat Oct 15 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.2.0.8-1
- initial build for Vine Linux
