Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Summary(ja): GNU bc (計算言語) と dc (計算機)
Name: bc
Version: 1.06.95
Release: 1%{?_dist_release}
License: GPL
URL: 	http://www.gnu.org/software/bc/
Group:  Applications/Edutainment
Source: ftp://alpha.gnu.org/gnu/bc/bc-%{version}.tar.bz2
Patch1: bc-1.06-dc_ibase.patch
Patch2: bc-1.06.95-memleak.patch
Patch3: bc-1.06.95-matlib.patch

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-%{version}-root
BuildRequires: readline-devel, flex, bison, texinfo

%description
The bc package includes bc and dc. Bc is an arbitrary precision
numeric processing arithmetic language. Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%description -l ja
bc パッケージには bc と dc が含まれています．
bc は任意精度の計算言語です．dc はスタックを用いた対話型計算機で，
テキストモードの計算機として使うことが出来ます．

数を使った処理を行いたい場合，テキストモードの計算機を使いたい場合は
この bc パッケージをインストールして下さい．


%prep
%setup -q
%patch1 -p1 -b .dc_ibase
%patch2 -p1 -b .memleak
%patch3 -p1 -b .matlib

%build
%configure --with-readline
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/bc.info %{_infodir}/dir --entry="* bc: (bc).                      The GNU calculator language." || :
/sbin/install-info %{_infodir}/dc.info %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."|| :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/bc.info %{_infodir}/dir --entry="* bc: (bc).                      The GNU calculator language." || :
  /sbin/install-info --delete %{_infodir}/dc.info %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator." || :
fi


%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB FAQ AUTHORS NEWS README
%{_bindir}/bc
%{_bindir}/dc
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.06.95-1
- update to upstream alpha.
- update fedora patches
- add BR: bison, texinfo

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.06-20
- spec in utf-8

* Sun Sep 10 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.06-19
- added Patch5 and 6 from Fedora
  * Wed Aug 22 2007 Zdenek Prikryl <zprikryl@redhat.com> 1.06-28
  - fixed incorrect processing of decimal separator
  * Thu Jul 26 2007 Zdenek Prikryl <zprikryl@redhat.com> 1.06-27
  - Added library string.h to remove warnings.
- applied new versioning policy
 
* Sun Sep 10 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.06-18vl3
- change Group to Applications/Edutainment. <BTS:VineLinux:163>
 
* Sun Mar 19 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.06-18vl2
- rebuild with readline-5.1

* Sat Sep 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.06-18vl1
- added Patch3 from Fedora 
  * Thu Aug 14 2003 Thomas Woerner <twoerner@redhat.com> 1.06-15
  - fixed incorrect capitalization in bc info page (#89851)

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.06-10vl2
- rebuild with readline-4.3

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.06-10vl1
- based on 1.06-10vl1 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsr <teg@redhat.com> 1.06-8
- Rebuild

* Mon Feb  4 2002 Trond Eivind Glomsr <teg@redhat.com> 1.06-7
- s/Copyright/License/
- The %%doc file AUTHOR should be AUTHORS

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Sep  9 2001 Phil Knirsch <phil@redhat.de> 1.06-5
- Fixed a variable initialization problem in load.c which broke badly on S390.

* Fri May 11 2001 Preston Brown <pbrown@redhat.com> 1.06-4
- use mktemp, not the pid shell variable, in rpm scriptlets

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.06-3
- rebuild with new readline
- Add patch to fix compilation with recent readline versions

* Fri Dec 01 2000 Trond Eivind Glomsr <teg@redhat.com>
- Add COPYING, COPYING.LIB, FAQ, AUTHORS, NEWS, README

* Sun Nov 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to bc 1.06

* Fri Jul 21 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 06 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%makeinstall, %%configure, %%{_mandir}, %%{_infodir}
  and %%{_tmppath}  

* Wed May 10 2000 Trond Eivind Glomsr <teg@redhat.com>
- added URL
- let build system handle man page gzipping

* Thu Apr 06 2000 Trond Eivind Glomsr <teg@redhat.com>
- fixed bug 7145 (long commands -> coredump) 
- removed explicit stripping, it does this by itself anyway
- gzipped man-pages

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new readline (4.1)

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new readline (4.0)
- fix Source URL
- some spec file cleanups

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
