%define       emacsver 20.4
%define       version 8.0
%define       release 2%{?_dist_release}
Name:         bitmap-mule
Version:      %{version}
Release:      %{release}
License:      GPL2
Group:        Applications/Editors/Emacs
Source0:      ftp://ftp.jpl.org/pub/elisp/bitmap/bitmap-mule-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildArch:    noarch
Requires:     xorg-x11-libs, faces, faces-xface
Summary:      Display Bitmaps like X-Face on FSF Emacs
Summary(ja):  Emacs 上で X-Face などの bitmap を表示するツール

Vendor: Project Vine
Distribution: Vine Linux

%description
bitmap-mule is a package to use bitmap in MULE or Emacs/mule.
After installation, please don't forget to add the following lines
to your .emacs file:

(if window-system
    (progn
      (require 'bitmap)
      (mapcar (lambda (fontset)
                (set-fontset-font
                  fontset 'bitmap
                  "-etl-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0"))
              (fontset-list))))

(setq wl-highlight-x-face-function
   'x-face-mule-x-face-decode-message-header)


%description -l ja

bitmap-mule は MULE や Emacs/mule 上で bitmap を扱うパッケージです.
インストール後に以下の記述を .emacs に追加して下さい.

(if window-system
    (progn
      (require 'bitmap)
      (mapcar (lambda (fontset)
                (set-fontset-font
                  fontset 'bitmap
                  "-etl-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0"))
              (fontset-list))))

(setq wl-highlight-x-face-function
   'x-face-mule-x-face-decode-message-header)


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%setup


%build
make EMACS=emacs


%install
make EMACS=emacs \
     PREFIX=${RPM_BUILD_ROOT}/usr \
     install

bdftopcf -o etl8x16-bitmap.pcf etl8x16-bitmap.bdf
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/X11/fonts/misc
install -m 644 etl8x16-bitmap.pcf \
    ${RPM_BUILD_ROOT}%{_datadir}/X11/fonts/misc/.


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
(cd %{_datadir}/X11/fonts/misc; %{_bindir}/mkfontdir)


%postun
(cd %{_datadir}/X11/fonts/misc; %{_bindir}/mkfontdir)


%triggerin -- XFree86
(cd %{_datadir}/X11/fonts/misc; %{_bindir}/mkfontdir)


%files 
%defattr(-,root,root)
%doc ChangeLog NEWS README.en
%{_datadir}/X11/fonts/misc/etl8x16-bitmap.pcf
%{_datadir}/emacs/site-lisp/bitmap

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 8.0-2vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.0-1vl2
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- s/Copyright/License/

* Thu Mar 28 2002 Jun Nishii <jun@vinelinux.org> 8.0-1vl1
- fix description

* Tue Dec  7 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 8.0-1
 - first rpm package
