Name:		bluez-gnome
Version:	1.8
Release:	3%{?_dist_release}
Summary:	Bluetooth pairing and control applet
Summary(ja): Bluetooth ペアリングとコントロールのアプレット

Group:		Applications/System
License:	GPLv2+
URL:		http://www.bluez.org/
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz

Patch0:		bluetooth-sendto-ods-svn.patch
# http://thread.gmane.org/gmane.linux.bluez.kernel/535
Patch1:		0001-Fix-PS3-BD-remote-pairing.patch
#----------------------------------------------------------------------------

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#----------------------------------------------------------------------------
BuildRequires: dbus-devel >= 1.0
BuildRequires: gtk2-devel >= 2.10
BuildRequires: GConf2-devel, libnotify-devel
BuildRequires: dbus-glib-devel, perl-XML-Parser, intltool
BuildRequires: desktop-file-utils, gettext
BuildRequires: hal-devel

# virtual package
Provides:	dbus-bluez-pin-helper

Obsoletes:	bluez-pin
ExcludeArch:	s390 s390x

Requires:	gvfs  >= 0.99.1
#### Gnome より引用
# GVFS とはユーザ空間の仮想ファイルシステムであり、SFTP や FTP、DAV、SMB、
# ObexFTP といった各種プロトコルのバックエンドを持ちます。GVFS は従来の 
# GNOME-VFS に置き換わるものです。
# ※現在(2008年)のところ GNOME-VFS は廃止する方向で検討されており、GNOME 
# アプリケーションの開発者は今後このフレームワーク(gnome-vfs)を利用しない
# ようにして下さい。

# Requires:	gvfs-obexftp (fedora)
Requires:	obex-data-server
# obex-data-server Requires: openobex-devel

Requires(post): shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils

#----------------------------------------------------------------------------
%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%description -l ja
bluez-gnome パッケージは Bluetooth のヘルパー アプレットです。
GNOME デスクトップにBlutooth ペアリングのための機能を提供します。
※訳注 :基本的にアプレットとして使用しますがメニューからも使えます

#----------------------------------------------------------------------------
%package analyzer
Summary: Bluetooth protocol analyzer
Summary(ja): Bluetooth プロトコルアナライザ
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.

%description analyzer -l ja
bluez-gnome パッケージには Bluetooth ヘルパーアプレットと
GNOME デスクトップ環境の為のツールが含まれています。

このパッケージは Bluetooth プロトコルアナライザです。


#----------------------------------------------------------------------------
%prep
%setup -q


%patch0 -p1 -b .ods-svn
%patch1 -p1 -b .ps3-bd

%build
%configure --disable-mime-update --disable-desktop-update \
           --disable-icon-update
make %{?_smp_mflags}

#----------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/ $RPM_BUILD_ROOT%{_datadir}/gnome/

desktop-file-install --vendor=""				\
	--add-category=X-GNOME-NetworkSettings			\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-properties.desktop

desktop-file-install --vendor=""				\
	--remove-category=Application				\
	--remove-category=Utility				\
	--add-category=GTK					\
	--add-category=System					\
	--delete-original					\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
        $RPM_BUILD_ROOT%{_datadir}/applications/bluetooth-analyzer.desktop

%find_lang bluetooth-manager

%clean
rm -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------------
%post
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule					\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
update-mime-database %{_datadir}/mime >/dev/null

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas		\
	>& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >/dev/null
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

#----------------------------------------------------------------------------
%files -f bluetooth-manager.lang
%defattr(-,root,root,-)
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-sendto
%{_bindir}/bluetooth-wizard
%{_bindir}/bluetooth-browse
%config %{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/bluetooth-applet.1.gz
%{_mandir}/man1/bluetooth-properties.1.gz
%{_mandir}/man1/bluetooth-wizard.1.gz
%{_mandir}/man1/bluetooth-sendto.1.gz
%{_mandir}/man1/bluetooth-browse.1.gz
%doc README COPYING AUTHORS ChangeLog


%files analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_bindir}/bluetooth-analyzer
%{_datadir}/man/man1/bluetooth-analyzer.1.gz

#----------------------------------------------------------------------------
# Maintainers: babasaki@mindgear.org
#
#----------------------------------------------------------------------------
%changelog
* Fri Oct 24  2008 Seiichirou Babasaki 1.8-3
- Update to 1.8 (VineSeed)
- added "# Maintainers: " comments.
- changed UTF-8 encode at bluez-gnome.vs.spec
- FedoraCore - LOGS
-- 1.8-2
-- Add patch to make the PS3 BD remote work
-- 1.8-1
-- Update to 1.8 and update obex-data-server patch
-- 1.7-2
-- Remove the X-GNOME-NetworkSettings category from the
   preferences' desktop file, it makes the prefs show up in
   two places in the menus (#465180)
-- Update to 1.7
-- Update to 1.6
-- 1.5-2
-- Add another patch for Bluetooth sendto support for BlueZ 4.x
-- Update to 1.5
-- 1.4-4
-- Update bluetooth-sendto to the BlueZ 4.x API, and obex-data-server
   SVN APIs
-- Tidy up specfile, fix source URL
-- 1.4-3
-- Add missing files to the list
-- 1.4-2
-- Remove obsolete patch
-- 1.4-1
-- 1.3-1
-- Update to 1.3 (from 0.28)
- updated specfile

* Fri Jun 13 2008 Seiichirou Babasaki 0.28-1
- Update to 0.28
- Updated specfile

* Fri Jun 13 2008 Seiichirou Babasaki 0.26-1
- Update to 0.26
- Updated specfile
- LOGS - 0.24-2
- Fix crasher when removing the default adapter
- LOGS - 0.23-2
- Add dependency on a gvfs with ObexFTP support
- LOGS - 0.21-2
- Update the patch to hide the "Class of device" selection widget,
  avoids a crasher on startup with unstable releases of gnome-session
- LOGS - 0.18-2
- Add patch to make the search button work
- LOGS - 0.17-2
- Update the patch to remove the class setting
- LOGS - 0.17-1
- Update new sendto patch
- LOGS - 0.16-2
- Re-add the sendto patch, we don't want the old stuff
- LOGS - 0.15-3
- Add requires on obex-data-server for bluetooth-sendto
- LOGS - 0.15-2
- Add patch to update the sendto binary
- LOGS - 0.15-1
- Add patch to remove the useless hardware type selection

* Wed Jan 16 2008 Seiichirou Babasaki 0.15-1vl1
- Import bluez-gnome - Packager: Babasaki
- Updated specfile
- Update to 0.15

#----------------------------------------------------------------------------
* Tue Oct 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.14-9
- Rebuild against new dbus-glib

* Wed Oct 10 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-8
- Require gnome-vfs2-obexftp, so that the functionality works
  as expected (#326231)

* Sat Oct 06 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-7
- Provide virtual dbus-bluez-pin-helper for bluez-utils to use
  (#212421)

* Wed Oct 03 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-6
- Fix location of the autostart desktop file (#316101)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-5
- Don't allow class of the device to be changed if HAL is being
  used (#244261)

* Thu Sep 20 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-4
- Only show and start the bluez-gnome bits in GNOME (#258721)

* Tue Sep 18 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-3
- Split out the analyzer so it's not installed by default
- Don't prefix the properties .desktop with fedora for no reason

* Fri Aug 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-2
- Remove the obex BR, we're not using it yet
- Build with HAL support

* Wed Aug 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-1
- Update to 0.14

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.13-3
- Rebuild for build ID

* Thu Aug  9 2007  Matthias Clasen <mclasen@redhat.com> - 0.13-2
- Move the analyzer to a better place in the menus
- Use desktop-file-install for all desktop files
- Update the license field

* Wed Aug 01 2007 - Bastien Nocera <bnocera@redhat.com> - 0.13-1
- Update to 0.13

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.12-1
- Update to 0.12

* Tue Jul 31 2007 - Bastien Nocera <bnocera@redhat.com> - 0.11-1
- Update to 0.11

* Sun Jul 29 2007 Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10
- Add the analyser's desktop file

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> - 0.9-1
- Update to 0.9

* Sat Jul 07 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-2
- Only install and uninstall our own schema file (#247330)

* Thu Jun 14 2007 Bastien Nocera <bnocera@redhat.com> - 0.8-1
- Update to 0.8
- Punt outdated patches
- Add man pages, and translations
- Add GConf and desktop file updating scriplets

* Wed Jan 24 2007 Matthias Clasen <mclasen@redhat.com> 0.6-2
- Add X-GNOME-NetworkSettings to desktop file categories
- Use desktop-file-install
 
* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build

