Summary: Boot Splash Utility
Summary(ja): ブートスプラッシュユーティリティ
Name: bootsplash
Version: 3.2
Release: 2%{?_dist_release}
Source:%{name}-%{version}.tar.bz2
Source1: splash.sh
Source2: bootsplash.sysconfig
Source10: bootsplash-theme-Vine.tar.bz2
Patch10: bootsplash-3.2-static.patch
Patch20: bootsplash-3.2-link-lcms.patch
License: GPL
Group: System Environment/Libraries
URL: http://bootsplash.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kernel >= 2.6
Requires: initscripts >= 8.80
Requires: mkinitrd >= 5.1.19.6
BuildRequires: libmng-static, libjpeg-static, zlib-static, freetype2-static


%description
This is Bootsplash control program with Vine/Swsusp themes.

%description -l ja
このパッケージにはブートスプラッシュ制御プログラムと
Vine の起動とソフトウエアサスペンドのテーマが含まれています。


%prep
%setup
%patch10 -p1 -b .static
%patch20 -p1 -b .lcms

%build
pushd Utilities
make clean
make LIB=%{_lib}
make LIB=%{_lib} fbmngplay.static fbtruetype.static
popd


%install
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
pushd Utilities
install splash fbresolution fbtruetype.static fbmngplay.static $RPM_BUILD_ROOT/sbin/
popd
install %{SOURCE1} $RPM_BUILD_ROOT/sbin/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bootsplash/themes
tar xzvf %{SOURCE10} -C $RPM_BUILD_ROOT%{_sysconfdir}/bootsplash/themes
ln -sf Vine $RPM_BUILD_ROOT%{_sysconfdir}/bootsplash/themes/current
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/bootsplash

%clean
[ -n $RPM_BUILD_ROOT -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog Documentation Scripts
%attr(0755,root,root) /sbin/*
%dir %{_sysconfdir}/bootsplash
%dir %{_sysconfdir}/bootsplash/themes
%{_sysconfdir}/bootsplash/themes/*
%config(noreplace) %{_sysconfdir}/sysconfig/bootsplash


%changelog
* Fri Apr 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-2
- rebuild to add sign..

* Thu Apr 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-1
- spec in utf-8
- update Vine theme
- add BuildRequires: -static instead of -devel

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.2-0vl8
- change Group to System Environment/Libraries. <BTS:VineLinux:163>

* Wed Aug 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.2-0vl7
- add LIB=%%{_lib} option to make

* Mon Jun 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl6
- link liblcms for fbmngplay

* Thu May 12 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2-0vl5
- "make clean" before make

* Wed May 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl4
- update splash.sh to clear splash screen in shutdown mode.

* Tue May 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl3
- update Aluminum theme to add 640x480,1400x1050,1600x1200 

* Mon May 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl2
- update splash.sh to show booting message in silent mode
- update Aluminum theme to change text_color

* Mon May 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl1
- new upstream source
- add Aluminum as default theme

* Thu Sep 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl2
- add %{_sysconfdir}/sysconfig/bootsplash
- add Requires: initscripts >= 6.51-0vl18

* Sun May 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- change name to bootsplash
- modified Vine/Swsusp themes
- add splash.sh wrapper script

* Sat May 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.1-0vl1
- initial build for Vine Linux
- add Vine Linux Theme and Swsuspend Theme
