Summary: simple python bootloader config lib
Summary(ja): シンプルな python 用ブートローダ設定ライブラリ
Name: booty
Version: 0.44.4
Release: 7%{?_dist_release}
License: LGPL
Source0: %{name}-%{version}.tar.bz2
Patch10: %{name}-0.44.4-vine.patch
Patch50: %{name}-0.44.4-pmac.patch2
Patch60: %{name}-0.44.4-grub-copyfiles.patch
Patch70: %{name}-0.44.4-noedd.patch
Patch80: %{name}-0.44.4-new-grub.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: rhpl
%ifarch %{ix86} x86_64
Requires: grub >= 0.97-4vl6
%endif
%ifarch ppc ppc64
Requires: yaboot >= 1.3.13
%endif
BuildRequires: python-devel

%description
Small python library for use with bootloader configuration by anaconda
and up2date.

%description -l ja
anaconda で利用されるブートローダを設定する python ライブラリ。


%prep
%setup -q
%patch10 -p1 -b .vine
%patch50 -p1 -b .pmac
%patch60 -p1 -b .grub-copyfiles
%patch70 -p1 -b .noedd

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/lib/booty

%changelog
* Tue Jun  7 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-7
- fix Requres (grub available only on ix86/x86_64 archs: yaboot on ppc instead)

* Sat May 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-6
- update vine patch
  - add "quiet" to boot cmdline
- add patch80 to use with grub-fedora

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.44.4-5
- rebuilt with rpm-4.8.1-3

* Fri Apr 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-4
- update vine patch
  - add "splash=silent" for bootsplash option.

* Sun Mar 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-3
- update vine patch
  - use "resume=" for TOI parameter instead of "resume2="

* Tue Mar 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-2
- add Patch70 to remove edd code.

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 0.44.4-1vl5
- applied new versioning policy, spec in utf-8

* Tue Jan 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-0vl16
- update Patch50
  - use vmlinux/vmlinux.old style labels also on ppc (yaboot.conf)

* Mon Nov 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl15
- add Patch60
  - support booting from raid1 device.

* Fri Nov 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl14
- update Patch10
  - fix installing bootloader on raid disks.

* Fri Nov 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl13
- update Patch10
  - disable vesafb on i81x/Rage system.
  - use vga=0x301 when "lowres" is specified.

* Mon Oct 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl12
- update Patch10

* Tue Oct 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-0vl11
- fixed patch50 (minor typo fix)

* Sat Oct 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl10
- fix patch10 (<BTS:239>)

* Thu Sep 28 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-0vl9
- fixed patch50 for ppc to fix boot= line

* Thu Sep 14 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-0vl8
- modified patch50 for ppc
  - better-looking yaboot.conf
  - fix duplicate entries in boot= line on ppc (taken from 0.78-1)
  - set device= line, using /sbin/ofpath
  - set macosx= line (see bootloader.py in anaconda)

* Tue Sep 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl7
- update Patch10 to force-create device.map in installer.

* Sat Sep 09 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.44.4-0vl6
- added patch50 for ppc

* Sun Sep 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl5
- update Patch10 to merge with patch20
- check if swap device is available or not. (<BTS:0128>)

* Fri Sep 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl4
- do not add fd0 entry to grub device.map.

* Tue Aug 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl3
- update vine patch to fix resume2 parameter

* Sun Aug 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl2
- update vine patch to fix default grub menu.lst
- add Patch20 to use menu.lst for grub config file instead of grub.conf

* Tue Aug 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.44.4-0vl1
- initial build for Vine Linux

* Wed Apr 19 2006 Peter Jones <pjones@redhat.com> - 0.44.4-1
- Add "console=tty0" when using a serial console (#171810)

* Tue Aug 11 2005 Peter Jones <pjones@redhat.com> - 0.44.3-1
- Fix bootloader setup on non-RAID pSeries (and maybe other ppc as well?)

* Wed Jul 13 2005 Peter Jones <pjones@redhat.com> - 0.44.2-1
- typo fix

* Wed Jul 13 2005 Peter Jones <pjones@redhat.com> - 0.44.1-1
- support RAID1 /boot on ppc.

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 0.44-1
- don't include /dev/ in the console name (#134336)
- fix installing boot loader to partition with RAID1 /boot (#127557)

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 0.43-1
- preserve some more consoles (#131301)
- add magicboot for Power Mac (from <pnasrat@redhat.com>)

* Tue Aug 10 2004 Jeremy Katz <katzj@redhat.com> - 0.42-1
- don't write the unencrypted password to lilo.conf.anaconda if
  we're not using lilo (#129280)

* Tue Aug  3 2004 Jeremy Katz <katzj@redhat.com> - 0.41-1
- don't duplicate boot loader arguments (#128492)

* Mon Jul 12 2004 Jeremy Katz <katzj@redhat.com> - 0.40-1
- another tweak to the timeout

* Mon Jun 28 2004 Jeremy Katz <katzj@redhat.com> - 0.39-1
- tweak timeouts to be shorter
- use hiddenmenu by default with grub

* Wed Jun  9 2004 Jeremy Katz <katzj@redhat.com>
- quote appended args (#114174)

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> 
- compile fix for newer versions of gcc from Jeff Law

* Thu May  6 2004 Jeremy Katz <katzj@redhat.com> - 0.38-1
- remove ide-scsi from bootloader config on upgrade (#116622)

* Thu May  6 2004 Jeremy Katz <katzj@redhat.com> - 0.37-1
- clean up the xfs fix (#122606)
- altix boxes need relocatable (#120851)

* Fri Apr 30 2004 Jeremy Katz <katzj@redhat.com> - 0.36-1
- some xfs fixes (#117968)

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 0.35-1
- allow booting windows from grub on x86_64 (#121005)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> - 0.34-1
- use vmlinuz for ppc now

* Mon Dec  1 2003 Jeremy Katz <katzj@redhat.com> 0.33-1
- no ide-scsi with 2.6

* Fri Nov 28 2003 Jeremy Katz <katzj@redhat.com> 
- add buildrequires (#111150)

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 0.32-1
- rebuild for python 2.3

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 
- modernize label for other OS (#71565)

* Fri Aug 15 2003 Jeremy Katz <katzj@redhat.com> 0.31.1-1
- preserve video= (#102370)

* Fri Aug  1 2003 Jeremy Katz <katzj@redhat.com> 0.31-1
- write out noauto in chandev.conf if we have chandev args (#101381)

* Fri Jul 25 2003 Jeremy Katz <katzj@redhat.com> 
- only include message= or splashimage if the file exists (#99301)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 
- support yaboot passwords (#100618)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 0.30-1
- pass through acpi= boot arguments

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.2-1
- read product name from /tmp/product/.buildstamp if it exists

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.1-1
- yaboot: really fix kernel/initrd path

* Wed Jul  9 2003 Jeremy Katz <katzj@redhat.com> 0.29-1
- yaboot: quotes around append
- yaboot: nonvram for pSeries
- yaboot: fix partition=
- yaboot: fix kernel path

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 0.28.1-1
- fix a typo (#98691)

* Thu Jul  3 2003 Jeremy Katz <katzj@redhat.com> 0.28-1
- write our own yaboot.conf to work better with lvm/raid (#98308)
- ensure the iSeries cmdline gets blanked

* Fri Jun 20 2003 Jeremy Katz <katzj@redhat.com> 0.27-1
- handle /boot as a separate partition on pSeries nicely
- setup /etc/elilo.conf symlink on ia64

* Wed Jun 18 2003 Jeremy Katz <katzj@redhat.com> 0.26.1-1
- remove efi boot entries based on product name, not just hardcoding 
  Red Hat Linux (#97653)

* Sun Jun  1 2003 Jeremy Katz <katzj@redhat.com> 0.26-1
- write kernel to side B on iSeries as well (#91038)

* Mon May 12 2003 Jeremy Katz <katzj@redhat.com> 0.25.9-1
- if there's not an old default on lilo upgrade, we don't need to 
  delete it (#88582)

* Fri May  2 2003 Jeremy Katz <katzj@redhat.com> 0.25.8-1
- really get the PReP partition writing right for iSeries

* Thu May  1 2003 Jeremy Katz <katzj@redhat.com> 0.25.7-1
- use root=LABEL= on s/390

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.6-1
- iSeries tweak to get the kernel written to the PReP partition

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.5-1
- yabootconfig moved to /sbin

* Tue Apr 29 2003 Jeremy Katz <katzj@redhat.com> 0.25.4-1
- tweaks to handle chandev now that it's in /tmp/install.cfg and not from 
  the env var

* Thu Apr 24 2003 Jeremy Katz <katzj@redhat.com> 0.25.3-1
- use Arjan's suggestion of vmlinitrd for iseries kernel + initrd

* Wed Apr 23 2003 Jeremy Katz <katzj@redhat.com> 0.25.2-1
- pseries tweaks

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 0.25.1-1
- fix silly typos

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.25-1
- iSeries support

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 0.24.1-1
- make target global for zipl.conf

* Thu Mar 20 2003 Jeremy Katz <katzj@redhat.com> 0.24-1
- merge newer yaboot changes from Dan Burcaw

* Fri Mar 14 2003 Jeremy Katz <katzj@redhat.com> 0.23-1
- read product name information dynamically (using /etc/redhat-release and
  anaconda's /.buildstamp)

* Wed Mar 12 2003 Jeremy Katz <katzj@redhat.com> 0.22.1-1
- fix tyop

* Tue Mar  4 2003 Jeremy Katz <katzj@redhat.com> 0.22-1
- support for yaboot from Dan Burcaw <dburcaw@terrasoftsolutions.com>

* Mon Feb 24 2003 Karsten Hopp <karsten@redhat.de> 0.21-1
- s390 changes: zipl doesn't like lables, use devicename
-               don't write root= twice

* Wed Feb 19 2003 Karsten Hopp <karsten@redhat.de> 0.20-1
- s390 changes: write correct zipl.conf when bl.args is not set

* Wed Feb  5 2003 Jeremy Katz <katzj@redhat.com> 0.19-1
- make sure our lilo default is sane (#79594)

* Wed Jan 22 2003 Jeremy Katz <katzj@redhat.com> 0.18-1
- fix line for anaconda-ks.cfg when bootloader installed on partition

* Thu Jan 09 2003 Karsten Hopp <karsten@redhat.de> 0.17-1
- minor fixes for S390

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com>
- fix for #78380 - parted has fat16 and fat32 types now

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com>
- read some kernel arguments when setting up default kernel args (#69904)
- pychecker fixups

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com>
- some x86_64 support

* Tue Sep 10 2002 Jeremy Katz <katzj@redhat.com>
- merge ia64 changes
- add alpha support based on 7.2 alpha code

* Wed Aug 14 2002 Jeremy Katz <katzj@redhat.com>
- fix lilo entry removal

* Fri Aug  2 2002 Jeremy Katz <katzj@redhat.com>
- include bootloader location in kickstart line

* Thu Aug  1 2002 Jeremy Katz <katzj@redhat.com>
- make sure old entries get removed from lilo.conf on upgrade

* Wed Jul 17 2002 Jeremy Katz <katzj@redhat.com>
- set up serial consoles properly during install

* Thu Jul 11 2002 Jeremy Katz <katzj@redhat.com>
- count first ntfs found as alternative os as its just as likely

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com>
- write out root=LABEL= if using an initrd and rootfs has a label

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com>
- grubby can do stuff with lilo.conf now, so we don't have to worry
  about updating lilo.conf in the upgrade only mode

* Thu Jun 20 2002 Jeremy Katz <katzj@redhat.com>
- add lilo password support

* Mon Jun 10 2002 Jeremy Katz <katzj@redhat.com>
- fix some missing iutil->butil bits

* Fri May 31 2002 Jeremy Katz <katzj@redhat.com>
- minor fixes

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- require rhpl

* Mon Jan 21 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.
