Summary:	Utilities for configuring the linux ethernet bridge.
Summary(ja):	イーサネットブリッジ設定ユーティリティ
Name:		bridge-utils
Version:	1.5
Release:	1%{?_dist_release}
License:	GPLv2+
URL:		http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge
Group:		Applications/System
Source0:	http://dl.sf.net/bridge/%{name}-%{version}.tar.gz
Patch0:		bridge-utils-1.5-fix-incorrect-command-in-manual.patch
Patch1:		bridge-utils-1.5-fix-error-message-for-incorrect-command.patch
Patch2:		bridge-utils-1.5-check-error-returns-from-write-to-sysfs.patch
Patch10:	bridge-utils-1.0.4-inc.patch
BuildRequires:	autoconf
BuildRequires:	kernel-headers >= 2.6.16

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

#%package -n bridge-utils-devel
#Summary: Header and object files for using bridge-utils
#Group: Development/Libraries

#%description -n bridge-utils-devel
#The bridge-utils-devel package contains the header and object files
#necessary for developing programs which use 'libbridge.a', the
#interface to the linux kernel ethernet bridge. If you are developing
#programs which need to configure the linux ethernet bridge, your
#system needs to have these standard header and object files available
#in order to create the executables.
#
#Install bridge-utils-devel if you are going to develop programs which
#will use the linux ethernet bridge interface library.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch10 -p1

%build
autoconf
%configure
make

%install
make DESTDIR=%{buildroot} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO doc/RPM-GPG-KEY
%{_sbindir}/brctl
%{_mandir}/man8/*

#%files -n bridge-utils-devel
#%defattr (-,root,root)
#%{_includedir}/libbridge.h
#%{_libdir}/libbridge.a

%changelog
* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.5-1
- new upstream release
- import bugfix patches from Fedora
- drop -devel subpackage (use sane kernel headers)

* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 1.0.6-2
- spec in utf-8

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.6-1vl5
- applied new versioning policy, spec in utf-8

* Mon Mar 28 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.6-0vl1
- new upsteam release based Fedora
  * Thu Aug 26 2004 David Woodhouse <dwmw2@redhat.com> 1.0.4-4
  - BuildRequires: sysfsutils-devel to make the horrid autoconf script 
    magically change the entire package's behaviour just because it 
    happens to find slightly different header files lying around.
  - Include our own kernel-derived headers
  * Thu Jul 1 2004 David Woodhouse <dwmw2@redhat.com>
  - Update to 1.0.4
- s/Copyright/License/

* Sat Oct 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.3-1vl1
- initial release
