%define ver	2.32.0
%define rel	3%{?_dist_release}

Summary:        A bug reporting utility for GNOME.
Summary(ja):    GNOME用バグ報告ユーティリティ
Name:		bug-buddy
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/System
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.32/%{name}-%{ver}.tar.bz2
URL:		http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: libbonobo-devel
BuildRequires: libxml2-devel >= 2.4.6
BuildRequires: gtk2-devel >= 2.21.7
BuildRequires: glib2-devel >= 2.25.15
BuildRequires: libsoup-devel >= 2.32.0
BuildRequires: libgtop2-devel >= 2.28.2
BuildRequires: GConf2-devel
BuildRequires: evolution-data-server-devel >= 2.32.0
BuildRequires: elfutils-libelf-devel
BuildRequires: gnome-doc-utils >= 0.3.2

Requires(post,postun): scrollkeeper
Requires(post): GConf2

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper

%__make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/bug-buddy/libbreakpad.{a,la}

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null

%postun
scrollkeeper-update > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/bug-buddy.schemas
%{_bindir}/*
%{_libdir}/gtk-2.0/modules/*.so
%{_datadir}/bug-buddy
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_mandir}/man1/*


%changelog
* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-3
- rebuild with evolution-data-server-3.1.90

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- rebuild with evolution-data-server-3.1.4

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Tue Jun 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with evolution-data-server-2.30.2

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: elfutils-libelf-devel, gnome-doc-utils

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Tue Oct 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1vl5
- new upstream release

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5
- new upstream release
- spec in UTF-8

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- added BuildRequires: libsoup-devel >= 2.4.0

* Tue Jan 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.20.1-0vl2
- fixed %%files (if not i386)

* Mon Dec 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release

* Sat Jul 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.1-0vl3
- rebuilt with evolution-data-server-devel 1.10.3.1

* Mon Jul 02 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.1-0vl2
- add following BuildRequires:
  gnome-desktop-devel, libgtop2-devel, evolution-data-server-devel

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.1-0vl1
- new upstream release

* Sun Oct 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.0-0vl1
- new upstream release

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.90-0vl1
- new upstream release

* Mon Sep 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl1
- new upstream release
- added %post, %postun section

* Fri Sep 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0-1vl1
- new upstream release
- chagned URL (based on Rawhide 2.4.0-1)

* Sat Jul 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.106-0vl1
- rebuild with new toolchains and gnome2
- s/Copyright/License/

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.2-0vl1
- Build for Vine.

* Wed Feb 23 2000  Jacob Berkman  <jacob@helixcode.com>
- don't say we own the pixmaps/ dir

* Wed Nov 10 1999  Jacob Berkman  <jberkman@andrew.cmu.edu>
- fixed up for insertion into the CVS

* Fri Nov 05 1999  Ned Rhudy  <nrhudy@pabus.com>
- the first incarnation of the spec file...watch it not work

