Name:         chasen
Summary:      Japanese Morphological Analysis System, ChaSen
Summary(ja):  茶筌 - 日本語形態素解析システム
Version:      2.4.4
Release:      3%{?_dist_release}

License:      BSD, Other License(s), see package
Group:        Applications/Text
URL:          http://chasen-legacy.sourceforge.jp/

Source0:      %{name}-%{version}.tar.gz

# secutiry patch
Patch100:     chasen244-secfix.diff

BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: darts-devel >= 0.32
Requires:      ipadic

Vendor:        Project Vine
Distribution:  Vine Linux
Packager:      inagaki

%description
Japanese Morphological Analysis System, ChaSen

ChaSen version 1.0 is officially released on 19 February 1997 by
Computational Linguistics Laboratory, Graduate School of Information
Science, Nara Institute of Science and Technology (NAIST). It is a
FREE Japanese Morphological analyser. It grows out of developing JUMAN
version 2.0 and has made a significant improvement in system
performance.  Origin of Package Name

Where NAIST is situated (Takayama, Nara) is famous for producing a tea
whisk used in traditional Japanese tea ceremony. The Japanese name for
the tea whisk is called "chasen" and that is the reason for naming
ChaSen for this package developed in NAIST.

%package devel
Summary:      Libraries and header files for ChaSen developers.
Summary(ja):  茶筌の開発用ライブラリおよびヘッダファイル
Group:        Development/Libraries
Requires:     %{name} = %{version}-%{release}
Requires:     darts >= 0.32

%description devel
Libraries and header files for ChaSen developers.

%prep
%setup -q
%patch100 -p1 -b .cve-2011-4000

%build
%configure --with-darts=%{_includedir} --disable-static
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%doc doc/*.tex doc/*.pdf
%{_bindir}/*
%{_libdir}/*.so.*
%{_libexecdir}/chasen

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
#{_libdir}/*.a
#{_libdir}/*.la


%changelog
* Fri Dec 23 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.4-3
- added Patch100 for CVE-2011-4000

* Thu Apr 28 2011  Shu KONNO <owa@bg.wakwak.com> 2.4.4-2
- rebuilt

* Sun Jun  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.4-1
- new upstream release
- spec in UTF-8

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-1
- applied new versioning policy

* Sat Mar 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.2-0vl1
- new upstream release
- updated url
- fixed typo of kanji(ChaSen)
- added %%{post,postun}

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.0-0vl1
- new upstream release
- rebuilt with new toolchain

* Mon Dec 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.3-0vl3
- added Japanese summary
- changed Group:

* Tue May 25 2004 Satoshi MACHINO <machino@vinelinux.org> 2.3.3-0vl2
- added BuildPrereq and Requires

* Mon May 10 2004 Satoshi MACHINO <machino@vinelinux.org> 2.3.3-0vl1
- intilal release
 
