Summary:          Library for dealing with Microsoft ITSS/CHM format files
Summary(ja):      Microsoft ITSS/CHM 形式を扱うライブラリ
Name:             chmlib
Version:          0.40
Release:          2%{?_dist_release}
License:          LGPL
Group:            System Environment/Libraries
URL:              http://www.jedrea.com/chmlib/
Source:           http://www.jedrea.com/chmlib/%{name}-%{version}.tar.bz2
Patch0:           chmlib-chm_lib-fix_for_multiarch.diff

BuildRoot:        %{_tmppath}/%{name}-%{version}-root

Vendor:           Project Vine
Distribution:     Vine Linux
Packager:         inagaki, shaolin

%description
chmlib is a library for dealing with Microsoft ITSS/CHM format files.

%description -l ja
chmlib は Microsoft ITSS/CHM 形式を扱うライブラリです

%package devel
Summary: Header files, libraries and development documentation for %{name}
Summary(ja):  %{name} を用いた開発のためのファイルと文書
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description devel -l ja
このパッケージは、%{name} のヘッダファイル、静的ライブラリ、開発用文書
を含みます。%{name} を用いてプログラム開発をしたい場合は、このパッケー
ジをインストールします。

%prep
%setup -q
%patch0 -p0

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc ChmLib-ds6.zip
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Mon Oct 12 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.40-2
- import Patch0 from Fedora: Better fix for multi-arch issues

* Wed Aug 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.40-1
- built for Vine Linux 5.0+ (based on VinePlus/3.0 package)
- new upstream release
- applied new versioning policy, spec in UTF-8
- removed lib*.la, lib*.a files from devel package

* Sat Mar 19 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package. 
