Summary: A spam filter for Usenet news servers.
Summary(ja): Usenet ニュースサーバ用 spam フィルタ
Name: cleanfeed
%define version 0.95.7b
Version: %{version}
Release: 22%{?_dist_release}
License: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.exit109.com/users/jeremy/cleanfeed-%{version}.tar.gz
Patch0: cleanfeed-0.95.7b-redhat.patch
Patch1: cleanfeed-0.95.7b-ro.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch


%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed
looks for duplicated messages, repeated patterns, and known spamming
sites and domains.  It can be configured to block binary posts to
non-binary newsgroups, to cancel already-rejected articles, and to
reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet
news server.

%description -l ja
cleanfeed は Usenet ニュースサーバ/ルータ (INN, Cyclone, Typhoon, Breeze,
NNTPRelay) 用の自動 spam フィルタです．cleanfeed は重複したメッセージ/
繰り返しパターン/知られている spam サイト/やドメインをチェックします．
バイナリポストが許されていないニュースグループへのバイナリポストを
ブロックする様に設定することも出来ますし，既に reject された記事の
キャンセル，ローカルユーザの spam メッセージの reject も設定可能です．

Usenet ニュースサーバ用の spam フィルタが必要なら
cleanfeed をインストールして下さい．


%prep
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin/filter
install -m 0644 cleanfeed.conf $RPM_BUILD_ROOT/etc/news/
install -m 0644 cleanfeed.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 0750 cleanfeed \
	$RPM_BUILD_ROOT/usr/lib/news/bin/filter/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT


%files
%attr(-,news,news) %config /etc/news/cleanfeed.conf
%attr(-,root,root) %{_mandir}/man8/cleanfeed.8*
%attr(755,news,news) %dir /usr/lib/news/bin/filter
%attr(-,news,news) /usr/lib/news/bin/filter/filter_innd.pl

%changelog
* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 0.95.7b-22vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.95.7b-21vl1
- s/Copyright/License/
- based on 0.95.7b-21.1.1 from Fedora Core
- added Patch1 

* Wed Dec 27 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.95.7b-10vl1
- based on 0.95.7b-10 from Rawhide
- added Japanese summary and description
- use better macros

* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add dir /usr/bin/filter/ with perms like in inn

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}
- buildable as non-root

* Thu Mar 02 2000 Cristian Gafton <gafton@redhat.com>
- fix location to match inn-2.2.2 in /usr/bin/filter

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- don't require perl-MD5 anymore (that was merged in the main perl package)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package

