%define ver 1.0

Summary: A C++ wrapper for clutter-gtkmm
Summary(ja): clutter-gtkmm の C++ ラッパー
Name: clutter-gtkmm
Version: 0.9.6
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/clutter-gtkmm/0.9/%{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	clutter-gtk >= 0.10.4
Requires:	cluttermm >= 0.9.6
Requires:	gtkmm2 >= 2.18.0
BuildRequires:	clutter-gtk-devel >= 0.10.4
BuildRequires:	cluttermm-devel >= 0.9.6
BuildRequires:	gtkmm2-devel >= 2.18.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Clutter-gtkmm is a C++ wrapper for clutter-gtkmm. 


%package	devel
Summary: 	Development tools for clutter-gtkmm applications.
Summary(ja): 	clutter-gtkmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	clutter-gtk-devel >= 0.10.4
Requires:	cluttermm-devel >= 0.9.6
Requires:	gtkmm2-devel >= 2.18.0

%description devel
Header files and libraries for building a extension library for the clutter-gtkmm.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}/

# devhelp path fix
sed -i 's:doc/%{name}-%{ver}:gtk-doc/html/%{name}-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{ver}/%{name}-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-1
- initial build for Vine Linux

