%define version 1.20
%define release 2%{?_dist_release}
%define rel 1

Summary: Canon UFR II / LIPSLX Printer Driver for Linux v%{version}-%{rel}
Summary(ja): キャノン UFR II / LIPSLX プリンタドライバ v%{version}-%{rel}
Name: cndrvcups-lb
Version: %{version}
Release: %{release}
License: See the LICENSE*.txt file.
# Copyright: Copyright CANON INC. 2004-2005. All Rights Reserved.
Vendor: CANON INC.
Group: Applications/Publishing
Source0: http://download.canon.jp/pub/driver/lasershot/linux/cndrvcups-lb-%{version}-%{rel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cndrvcups-common >= %{version}
BuildRequires: cndrvcups-common >= %{version}

%description 
Canon UFR II / LIPSLX Printer Driver for Linux. 
This UFR II / LIPSLX printer driver provides printing functions for
Canon LBP/iR printers operating under the CUPS (Common UNIX Printing
System) environment.

%description -l ja
Linux 用キヤノン UFR II / LIPSLX プリンタドライバ。
この UFR II / LIPSLX プリンタドライバは CUPS (Common UNIX Printing
System) 環境でキヤノン LBP/iR プリンタを扱うために必要な印刷機能を
提供します。

%package -n cndrvcups-ufr2
Summary: Canon UFR II Printer Driver for Linux v%{version}
Summary(ja): キャノン UFR II プリンタドライバ v%{version}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: cndrvcups-common >= %{version}
BuildRequires: cndrvcups-common >= %{version}

%description -n cndrvcups-ufr2
Canon UFR II Printer Driver for Linux. 
This UFR II printer driver provides printing functions for Canon
LBP/iR printers operating under the CUPS (Common UNIX Printing
System) environment.

%description -n cndrvcups-ufr2 -l ja
Linux 用キヤノン UFR II プリンタドライバ。
この UFR II プリンタドライバは CUPS (Common UNIX PrintingSystem)
環境でキヤノン LBP/iR プリンタを扱うために必要な印刷機能を提供し
ます。

%package -n cndrvcups-lipslx
Summary: Canon LIPSLX Printer Driver for Linux v%{version}
Summary(ja): キャノン LIPSLX プリンタドライバ v%{version}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: cndrvcups-common >= %{version}
BuildRequires: cndrvcups-common >= %{version}

%description -n cndrvcups-lipslx
Canon LIPSLX Printer Driver for Linux. 
This LIPSLX printer driver provides printing functions for Canon
LBP/iR printers operating under the CUPS (Common UNIX Printing
System) environment.

%description -n cndrvcups-lipslx -l ja
Linux 用キヤノン LIPSLX プリンタドライバ。
この LIPSLX プリンタドライバは CUPS (Common UNIX PrintingSystem)
環境でキヤノン LBP/iR プリンタを扱うために必要な印刷機能を提供し
ます。


%prep

%setup -q

cd ppd
./autogen.sh --prefix=%{_prefix}

cd ../pstoufr2icpca
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --enable-shared --disable-static

%build
make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/cups/filter
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/cups/model/canon

%makeinstall

%ifarch x86_64
%define libsdir libsx86_64
%else
%define libsdir libs
%endif

#install -c -m 755 %{libsdir}/libcanonufr2.la  ${RPM_BUILD_ROOT}%{_libdir}
install -c -s -m 755 %{libsdir}/libcanonufr2.so.1.0.0  ${RPM_BUILD_ROOT}%{_libdir}
install -c -s -m 755 %{libsdir}/pnmtoufr2icpca   ${RPM_BUILD_ROOT}%{_bindir}

cd ${RPM_BUILD_ROOT}%{_libdir}
ln -s libcanonufr2.so.1.0.0 libcanonufr2.so
ln -s libcanonufr2.so.1.0.0 libcanonufr2.so.1
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%post -n cndrvcups-ufr2 -p /sbin/ldconfig

%postun -n cndrvcups-ufr2 -p /sbin/ldconfig

%post -n cndrvcups-lipslx -p /sbin/ldconfig

%postun -n cndrvcups-lipslx -p /sbin/ldconfig

%files -n cndrvcups-ufr2
%defattr(-,root,root)
%{_libdir}/libcanonufr2.*
%{_libdir}/cups/filter/pstoufr2icpca
%{_bindir}/pnmtoufr2icpca
%{_datadir}/cups/model/CNCUPS*ZK.PPD

%doc README-ufr2-1.2*.txt
%doc LICENSE-ufr2-%{version}.txt

%files -n cndrvcups-lipslx
%defattr(-,root,root)
%{_libdir}/libcanonufr2.*
%{_libdir}/cups/filter/pstoufr2icpca
%{_bindir}/pnmtoufr2icpca
%{_datadir}/cups/model/CNCUPS*ZJ.PPD

%doc README-lipslx-1.2*.txt
%doc LICENSE-lipslx-%{version}.txt


%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.20-2vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Fri Sep 22 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.20-1vl2
- rebuild to expand %%{version} macro in Summary. <BTS:VineLinux:134>
- add japanese Summary and Description.
- drop -s option for installation of libcanonufr2.la to avoid rpm
  build error.

* Tue Sep  6 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20-1vl1
- initial build for Vine Linux

