%define version 1.20
%define release 1%{?_dist_release}
%define rel 1

Summary: Canon LIPS4 Printer Driver for Linux v%{version}-%{rel}
Name: cndrvcups-lips4
Version: %{version}
Release: %{release}
License: See the README files.
# Copyright: Copyright CANON INC. 2004. All Rights Reserved.
Vendor: CANON INC.
Group: Applications/Publishing
Source0: http://download.canon.jp/pub/driver/lasershot/linux/cndrvcups-lips4-%{version}-%{rel}.tar.gz
Patch0: cndrvcups-lips4-1.20-ppd.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: cups gtk+ glib popt libxml2 zlib
Requires: cndrvcups-common >= %{version}
BuildRequires: cndrvcups-common >= 1.02
BuildRequires: cups-devel gtk+-devel glib-devel 
BuildRequires: libxml2-devel zlib-devel

%description
Canon LIPS4 Printer Driver for Linux. 
This LIPS4 printer driver provides printing functions for Canon LBP/iR
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -l ja
Linux用キヤノンLIPS4プリンタドライバ。
このLIPS4プリンタドライバはCUPS (Common UNIX Printing System)環境で
キヤノンLBPプリンタを扱うために必要な印刷機能を提供します。

%prep

%setup -q
%patch0 -p1 -b .ppd

cd driver
./autogen.sh --prefix=%{_prefix} --enable-shared --disable-static

cd ../pstolipscpca
./autogen.sh --prefix=%{_prefix} --enable-progpath=%{_bindir} --enable-shared --disable-static

cd ../ppd
./autogen.sh --prefix=%{_prefix} 

%build
make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_libdir}/cups/filter
mkdir -p %{buildroot}%{_datadir}/cups/model/canon

%makeinstall

ln -sf libcanonlips.so.1.0 %{buildroot}%{_libdir}/libcanonlips.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcanonlips.so
%{_libdir}/libcanonlips.so.*
%{_libdir}/cups/filter/pstolipscpca
%{_datadir}/cups/model/canon/CNCUPS*LJ.PPD
%doc *-lips4-1.2x.txt COPYING

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.20-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20-1vl2
- fix kanji code of spec file.

* Tue Sep  6 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20-1vl1
- new upstream release

* Tue Oct 26 2004 Satoshi MACHINO <machino@vinelinux.org> 1.02-1vl1
- initial release
	-- added ppddir patch
