Name: cppunit
Version: 1.12.1
Release: 3%{?_dist_release}

Summary: C++ unit testing framework
Summary(ja): C++ 単体テストフレームワーク
License: LGPL
Group: Development/Tools
Url: http://cppunit.sourceforge.net/
#Source: http://download.sf.net/cppunit/cppunit-%{version}.tar.gz
Source: http://downloads.sourceforge.net/cppunit/cppunit-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen, graphviz

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised tests.

%package devel
Summary: Libraries and headers for cppunit development
Summary(ja): cppunit 開発用ファイル
Group: Development/Libraries
Requires: pkgconfig, automake
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and headers necessary for developing
programs that use cppunit.

%package doc
Summary: HTML formatted API documention for cppunit
Summary(ja): cppunit の API ドキュメント (HTMLフォーマット) 
Group: Applications/Documentation
Requires: %{name} = %{version}-%{release}

%description doc
The cppunit-doc package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.


%prep
%setup -q

%build
%configure --enable-doxygen --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la
# remove double of doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/cppunit

# clean up examples
rm -rf dist-examples dist-examples-dir
cp -a examples dist-examples
make -C dist-examples distclean
# Makefile.am files are left as documentation
find dist-examples \( -name Makefile.in -o -name .cvsignore \) -exec rm {} \;
mkdir dist-examples-dir
mv dist-examples dist-examples-dir/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ
%{_bindir}/DllPlugInTester
%{_libdir}/libcppunit*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/cppunit-config
%{_includedir}/cppunit
%{_libdir}/libcppunit.so
%{_datadir}/aclocal/cppunit.m4
%{_mandir}/man1/cppunit-config.1*
%{_libdir}/pkgconfig/cppunit.pc

%files doc
%defattr(-,root,root,-)
%doc dist-examples-dir/examples/
%doc doc/html/

%changelog
* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> 1.12.1-3
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Mar 23 2010 Shu KONNO <owa@bg.wakwak.com> 1.12.1-2
- built with new toolchain
- changed source url

* Sat Nov  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.1-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Tue Jul 31 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.0-3vl3
- rebuilt fot VineSeed

* Tue Jul 31 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.12.0-3vl2
- changed Group to Development/Tools
- changed doc Group to Applications/Documentation
- rebuilt fot VinePlus/4.0

* Thu May 31 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.12.0-3vl1
- updated to 1.12.0 release based on FC package

  - Fri Aug  1 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.8.0-0vl2
  - Rebuild for new Vine.

  - Mon Jun 23 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 1.8.0-0vl1
  - Initial build.


* Mon Jan 29 2007 Patrice Dumas <pertusus@free.fr> 1.12.0-3
- add rightly files to -devel (#224106)
- add necessary requires for -devel (#224106)
- ship examples

* Sun Sep 10 2006 Patrice Dumas <pertusus@free.fr> 1.12.0-2
- rebuild for FC6

* Wed Jul  5 2006 Patrice Dumas <pertusus@free.fr> 1.12.0-1
- update to 1.12

* Sun May 21 2006 Patrice Dumas <pertusus@free.fr> 1.11.6-1
- update to 1.11.6

* Wed Dec 21 2005 Patrice Dumas <pertusus@free.fr> 1.11.4-1
- update

* Mon Aug 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.11.0-2
- various cleanups

* Mon Jul  4 2005 Patrice Dumas <pertusus@free.fr> 1.11.0-1
- update using the fedora template 
 
* Sat Apr 14 2001 Bastiaan Bakker <bastiaan.bakker@lifeline.nl>
- Initial release
