Name: cron-apt
Version: 0.0.20
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: GPL
Group: Applications/Administration
Source0: ftp://ftp.debian.org/debian/pool/main/c/cron-apt/cron-apt_%{version}.tar.gz
Patch0: cron-apt-docbook.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: apt bash mailx
BuildPreReq: docbook-utils
Summary: Automatic update of packages using apt
Summary(ja): apt を用いてパッケージを自動でアップデートする

%description
This package contains a tool that is run by a cron job at regular
intervals. By default it just updates the package list and download
new packages without installing. You can instruct it to run anything
that you can do with apt-get.

It also sends mail (configurable) to the system administrator on
errors.

Observe that this tool is a security risk, so you should not set it to
do more than necessary (automatic upgrade of all packages is NOT
recommended).

%description -l ja
このパッケージは一定の間隔で cron job により実行されるツールです。初期
設定ではパッケージリストを更新し、インストールせずに新パッケージをダウ
ンロードするだけです。apt-get と共に用いられる他の何かを実行するように
指示することも可能です。

また、本パッケージはエラー時には管理者にメールを送るように設定できます。

本ツールはセキュリティホールとなる危険があることに注意し、必要以外のこ
とを行わないように設定してください。 (自動的に全パッケージをアップグレー
ドすることは推奨されません。)

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%__make

%install
%__rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING debian/README.Debian debian/changelog
%{_docdir}/cron-apt
%{_mandir}/man?/*
%{_sysconfdir}/cron-apt
%{_sysconfdir}/cron.d/*
%{_sysconfdir}/logrotate.d/*
%{_sbindir}/*
%dir %{_var}/log/cron-apt

%changelog
* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.20-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.0.20-0vl2
- changed Group to Applications/Administration

* Tue Jun 22 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 0.0.20-0vl1
- Initial build.

