%define version 1.2.3
%define	rel 1%{?_dist_release}

Summary: CUPS Driver Development Kit
Summary(ja): CUPS用ドライバー開発キット
Name: cupsddk
Version: %{version}
Release: %{rel}
License: GPL
Group: Development/Libraries
Source0: ftp://ftp.easysw.com/pub/cupsddk/%{version}/cupsddk-%{version}-source.tar.bz2
Patch0: cupsddk-1.0.1-example_dir.patch
Url: http://www.cups.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: cups-devel, openssl-devel, gcc, libtiff-devel, libpng-devel, libjpeg-devel, zlib-devel
Requires: gcc, openssl, cups-libs, libjpeg, glibc, libpng, libtiff, zlib

%description
The CUPS Driver Development Kit (DDK) provides a suite of
standard drivers, a PPD file compiler, and other utilities that
can be used to develop printer drivers for CUPS and other
printing environments.  CUPS provides a portable printing layer
for UNIX(r)-based operating systems.  The CUPS DDK provides the
means for mass-producing PPD files and drivers/filters for
CUPS-based printer drivers.

%description -l ja
CUPS用ドライバー開発キット(DDK)は標準的なドライバー、PPDファイル用コンパイラやその他のユーティリティ類を提供し、それらはCUPSや他の印刷システム用のプリンタドライバーを開発するために使われます。CUPSはUNIX(r)ベースのオペレーティングシステム用にポータブルな印刷レイヤーを提供します。CUPS DDKはCUPS-ベースのプリンタードライバー用のPPDファイルやドライバー/フィルター類を大量生産する事が出来ます。

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .example

%build
%configure

# If we got this far, all prerequisite libraries must be here.
make

%install
# Make sure the RPM_BUILD_ROOT directory exists.
rm -rf $RPM_BUILD_ROOT

make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt doc/*.html doc/images doc/*.pdf
%{_bindir}/cupsprofile
%{_bindir}/ppdc
%{_bindir}/ppdhtml
%{_bindir}/ppdi
%{_bindir}/ppdmerge
%{_bindir}/ppdpo
%{_libdir}/cups/filter/commandtoescpx
%{_libdir}/cups/filter/commandtopclx
%{_libdir}/cups/filter/rastertoescpx
%{_libdir}/cups/filter/rastertopclx
%{_libdir}/cups/driver/drv
%{_datadir}/doc/cups/help
%dir %{_datadir}/cupsddk
%{_datadir}/cupsddk/*
#%dir %{_mandir}/cat1
#%dir %{_mandir}/cat5
#%{_mandir}/cat1/*
#%{_mandir}/cat5/*
%dir %{_mandir}/man1
%dir %{_mandir}/man5
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_includedir}/cups/*


%changelog
* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.3-1vl5
- new upstream release
- applied new versioning policy, spec in utf-8

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-0vl4
- rebuilt with new toolchain

* Sun May 21 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-0vl3
- changed Group to Develpment/Libraries

* Sun Jul 03 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.1-0vl2
- added Japanese description
- fixed doc files

* Sat Jul 02 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.1-0vl1
- new upstream release
- changed Copyright to Lisence
- added some unistalled documents
- added patch0

* Wed May 05 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0-1vl1
- new upstream version

* Sun Apr 25 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0-0.0.rc2vl1
- initial release

