%define name cxplorer
%define version 2.1.0
%define release 2%{?_dist_release}

Name: %{name}
Summary: Cxplorer is a GTK+2 based file manager.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
#Group: Applications/System
Group: User Interface/Desktops
URL: http://cxplorer.sourceforge.jp/
License: GPL

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libcxp-devel >= 0.5.6
BuildRequires: gtk2-devel
Requires: libcxp >= 0.5.6

Summary(ja): Cxplorer - GTK+2ベースのファイルマネージャ

%description
Cxplorer is a GTK+2 based file manager. This version is development version.

%description -l ja
Cxplorerは、GTK+2ベースのファイルマネージャです。このバージョンは、開発版で
す。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%build
%configure

make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%{find_lang} %{name}

rm -rf $RPM_BUILD_ROOT/usr/doc/cxplorer

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/cxplorer.schemas > /dev/null

%preun
if [ $1 = 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/cxplorer.schemas > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO ABOUT-NLS
%{_bindir}/cxplorer
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/cxplorer.desktop
%{_datadir}/cxplorer
%{_sysconfdir}/gconf/schemas/cxplorer.schemas

%changelog
* Sun Mar  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.0-2vl5
- addede BuildRequires: libcxp-devel
- changed Group to User Interface/Desktops

* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.0-1vl5
- applied new versioning policy, spec in utf-8
- changed group to Interface/Desktops

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1.0-0vl1
- changed Group to Applications/System

* Fri Dec 30 2005 Yasumichi Akahoshi <yasumichi@vinelinux.org>
- 2.1.0-0vl1
- update source(upstream)

* Mon Oct 17 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 2.0.0-0vl1
- update source(upstream)

* Wed Oct 12 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20051012-0vl1(2.0.0rc2)
- update source(upstream)

* Wed Oct 05 2005  Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20051005-0vl1
- update source(upstream)

* Thu Sep 08 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050907-0vl1
- update source(upstream)

* Mon Sep 05 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050903-0vl1
- update source(upstream)

* Thu May 19 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050519-0vl1
- update source(upstream)

* Sat May 14 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050512-0vl2
- Add libcxp >= 0.4.1 to BuildRequires
- %preun will be excuted when use -e option.

* Sat May 14 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050512-0vl2
- add patch
- comment out %preun

* Wed May 11 2005 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20050512-0vl1
- Version up
- update requires

* Sat Dec 18 2004 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 1.9.20041217-0vl1
- First release
