%define	cdb_ver	0.62

Summary: A dictionary server for the SKK Japanese input method system
Summary(ja): SKK 日本語入力メソッドの辞書サーバ
Name: dbskkd-cdb
Version: 1.01
Release: 19%{?_dist_release}
License: GPL
Group: Applications/System
Source0: http://www.ne.jp/asahi/bdx/info/software/%{name}-%{version}.tar.gz
Source1: dbskkd-cdb.xinetd
# from freecdb.spec
#Source2: ftp://koobera.math.uic.edu/www/software/%{name}-%{version}.tar.gz
#URL2: ftp://koobera.math.uic.edu/www/cdb.html
Source2: ftp://ftp.debian.org/debian/dists/woody/main/source/utils/freecdb_%{cdb_ver}.tar.gz
Patch1: dbskkd-cdb-1.01.makefile.patch
Patch2: dbskkd-cdb-freecdb.makefile.patch
Patch3: dbskkd-cdb-1.01.strip.patch
URL: http://www.ne.jp/asahi/bdx/info/software/jp-dbskkd.html
BuildRequires: skkdic >= 20020220-1
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: skkserv
Obsoletes: skkserv
Conflicts: skkdic <= 20010617-2
Conflicts: rskkserv

Vendor:       Project Vine
Distribution: Vine Linux

%description
dbskkd-cdb is a dictionary server for the SKK Japanese input method
system.  dbskkd-cdb is based on the code of skkserv (the original SKK
server) 3.9.3, using the cdb constant database package of
D. J. Bernstein (DJB) for faster dictionary access.

#Add an entry for dbskkd-cdb to /etc/hosts.allow when using with tcp_wrappers.
#ex. dbskkd-cdb: 127.0.0.1

%prep
%setup -q -a 2
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .strip

rm -fr $RPM_BUILD_ROOT

%build
make -C freecdb-%{cdb_ver}

for JISYO in %{_datadir}/skk/SKK-JISYO.*
do
  LJISYO=`basename $JISYO`
  ./skktocdbm.sh < $JISYO | freecdb-%{cdb_ver}/cdbmake $LJISYO.cdb $LJISYO.tmp
done

make LDFLAGS="-Lfreecdb-%{cdb_ver} -lfreecdb"

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/skk

make DESTDIR=$RPM_BUILD_ROOT install
install -m0644 %SOURCE1 $RPM_BUILD_ROOT/etc/xinetd.d/dbskkd-cdb

install -m0644 SKK-JISYO.*.cdb $RPM_BUILD_ROOT%{_datadir}/skk

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) /etc/xinetd.d/dbskkd-cdb
%doc LICENSE Release-Notes.English Release-Notes.Japanese
%{_sbindir}/*
%{_datadir}/skk
%config

%changelog
* Sat Aug 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.01-19
- spec in utf-8, new versioning policy

* Wed Jan 30 2008 Shu KONNO <owa@bg.wakwak.com> 1.01-18vl2
- s/Copyright/License/

* Sun May 25 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- modified for VineLinux

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 25 2002 Jens Petersen <petersen@redhat.com> 1.01-17
- improve service description in xinetd config file (#77711)

* Mon Jun 24 2002 Jens Petersen <petersen@redhat.com> 1.01-16
- don't install dbskkd-cdb stripped

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.01-15
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.01-14
- automated rebuild

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> 1.01-13
- rebuild in new environment

* Thu Feb 21 2002 Jens Petersen <petersen@redhat.com> 1.01-12
- generate and include SKK-JISYO.L.cdb (formerly in skkdic)
- silence depend files warnings while building freecdb with -include
- no longer include skktocdbm.sh in docs

* Wed Jan 30 2002 Jens Petersen <petersen@redhat.com> 1.01-11
- tidy spec
- freecdb-0.62 included for build, so no longer buildrequires freecdb
- build it first and link with it 

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.01-10
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com> 1.01-9
- Bump release + rebuild.

* Wed Feb 28 2001 SATO Satoru <ssato@redhat.com>
- add /etc/xinetd.d/dbskkd-cdb

* Wed Feb 28 2001 Bill Nottingham <notting@redhat.com>
- remove %post, just put it in the default /etc/services (#29759)

* Tue Jan 23 2001 Karsten Hopp <karsten@redhat.de>
- change Conflicts: skkserv to Obsoletes: skkserv

* Mon Jan 22 2001 SATO Satoru <ssato@redhat.com>
- fix category

* Mon Jan 21 2001 SATO Satoru <ssato@redhat.com>
- remove some macros
- remove the dictionary
- clean up upstream sources
- clean up SPEC

* Mon Dec 18 2000 SATO Satoru <ssato@redhat.com>
- use system macros 

* Mon Aug  4 2000 SATO Satoru <ssato@redhat.com>
- Initial release
