%define	dbus_sharp_version 0.7
%define	glib_version 2.0

Summary:	GLib main loop integration for dbus-sharp
Summary(ja): 	dbus-sharp の Glib メインループ統合ライブラリ
Name:		dbus-sharp-glib
Version:	0.5.0
Release:	2%{?_dist_release}
Source0:	http://github.com/downloads/mono/dbus-sharp/%{name}-%{version}.tar.gz
License:	MIT
Group:		System Environment/Libraries
URL:		http://mono.github.com/dbus-sharp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mono-devel
BuildRequires:	dbus-sharp-devel >= %{dbus_sharp_version}
BuildRequires:	glib2-devel >= %{glib_version}
BuildArch: noarch

%description
This package provides GLib main loop integration for dbus-sharp (Managed
D-Bus).

%description -l ja
このパッケージは dbus-sharp (Managed D-Bus) を Glib メインループに統合する
ライブラリを提供します。

%package devel
Summary:	Libraries and headers for %{name}
Summary(ja):	%{name} 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package includes the files needed for developing and compiling
applications which use the %{name} library.

You should install the %{name}-devel package if you would like to
develop applications using %{name}.

%description devel -l ja
このパッケージは %{name} ライブラリを使用するアプリケーションを開発
するのに必要なライブラリやヘッダファイルを含んでいます。

%{name} を使用したアプリケーションを開発する場合は、このパッケージ
をインストールしてください。


%prep
%setup -q

%build
%configure --libdir=%{_prefix}/lib
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT pkgconfigdir=%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_prefix}/lib/mono/dbus-sharp-glib-1.0
%{_prefix}/lib/mono/gac/dbus-sharp-glib

%files devel
%defattr(-,root,root)
%doc examples
%{_datadir}/pkgconfig/dbus-sharp-glib-1.0.pc


%changelog
* Wed Apr 13 2011 Shu KONNO <owa@bg.wakwak.com> 0.5.0-2
- fixed paths: mono library, dbus-sharp-glib-1.0.pc

* Mon Mar 14 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.5.0-1
- initial build for Vine Linux based on mandriva 2011

* Wed Sep 15 2010 G旦tz Waschk <waschk@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 578521
- new version of renamed ndesk-dbus-glib

* Mon Aug 09 2010 G旦tz Waschk <waschk@mandriva.org> 0.4.1-6mdv2011.0
+ Revision: 567940
- split out devel package
- update build deps

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdv2010.1
+ Revision: 523421
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.1-4mdv2010.0
+ Revision: 426248
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.4.1-3mdv2009.1
+ Revision: 351631
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 223338
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 G旦tz Waschk <waschk@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 101057
- new version
- fix build
- drop patch and source 1
- filter out new automatic deps from mono-find-requires
- rebuild

* Mon Aug 06 2007 G旦tz Waschk <waschk@mandriva.org> 0.3-1mdv2008.0
+ Revision: 59478
- fix buildrequires
- fix pkgconfig path
- Import ndesk-dbus-glib

