Name: dbusmenu
Summary: Library for passing menus over DBus
Version: 0.3.16
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv3+
URL: https://launchpad.net/dbusmenu

Source0: http://launchpad.net/dbusmenu/0.4/%{version}/+download/libdbusmenu-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.16
BuildRequires: glib2-devel >= 2.18.0
BuildRequires: dbus-glib-devel >= 0.76
BuildRequires: libxml2-devel >= 2.6
BuildRequires: gnome-doc-utils
#BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: intltool >= 0.35.0
BuildRequires: json-glib-devel >= 0.6.0
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
#BuildRequires: vala-tools

%description
libdbusmenu passes a menu structure across DBus so that a program 
can create a menu simply without worrying about how it is displayed 
on the other side of the bus.

%package glib
Summary: Glib implementation of the DBusMenu protocol
Group: System Environment/Libraries
Provides: libdbusmenu-glib = %{version}-%{release}

%description glib
%{summary}.

%package glib-devel
Summary: Development files for dbusmenu-glib
Summary(ja): dbusmenu-glib の開発用ファイル
Group: Development/Libraries
Requires: %{name}-glib = %{version}-%{release}
Provides: libdbusmenu-glib-devel = %{version}-%{release}

%description glib-devel
%{summary}.

%package gtk
Summary: Gtk+ implementation of the DBusMenu protocol
Group: System Environment/Libraries
Requires: %{name}-glib = %{version}-%{release}
Provides: libdbusmenu-gtk = %{version}-%{release}

%description gtk
%{summary}.

%package gtk-devel
Summary: Development files for dbusmenu-gtk
Summary(ja): dbusmenu-gtk の開発用ファイル
Group: Development/Libraries
Requires: dbusmenu-glib-devel = %{version}-%{release}
Provides: libdbusmenu-gtk-devel = %{version}-%{release}

%description gtk-devel
%{summary}.

%package jsonloader
Summary: Loader to turn JSON into dbusmenu menuitems
Group: System Environment/Libraries
Requires: %{name}-glib = %{version}-%{release}
Provides: libdbusmenu-jsonloader = %{version}-%{release}

%description jsonloader
%{summary}.

%package jsonloader-devel
Summary: Development files for dbusmenu-jsonloader
Group: Development/Libraries
Requires: %{name}-jsonloader = %{version}-%{release}
Provides: libdbusmenu-jsonloader-devel = %{version}-%{release}

%description jsonloader-devel
%{summary}.

%package tools
Summary: Tools useful during development with libdbusmenu
Group: Development/Tools
Provides: libdbusmenu-tools = %{version}-%{release}

%description tools
This package contains tools that are useful when developing and 
building applications with libdbusmenu.

%prep
%setup -q -n libdbusmenu-%{version}

%build
%configure \
    --disable-static \
    --enable-silent-rules \
    --enable-gtk-doc \
    --enable-introspection=no

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

rm -rf _tools_docs/*
mkdir -p _tools_docs
mv $RPM_BUILD_ROOT%{_docdir}/libdbusmenu/* _tools_docs/

%check

%clean
rm -rf %{buildroot} 


%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%post jsonloader -p /sbin/ldconfig

%ostun jsonloader -p /sbin/ldconfig


%files glib
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/libdbusmenu-glib.so.*
#{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib

%files glib-devel
%defattr(-,root,root,-)
%{_includedir}/libdbusmenu-0.1/libdbusmenu-glib
%{_libdir}/libdbusmenu-glib.so
%{_libdir}/pkgconfig/dbusmenu-glib*.pc
#{_datadir}/gir-1.0/Dbusmenu-0.4.gir
%{_datadir}/gtk-doc/html/libdbusmenu-glib
#{_datadir}/vala/vapi/Dbusmenu-0.4.vapi

%files gtk
%defattr(-,root,root,-)
%{_libdir}/libdbusmenu-gtk.so.*
#{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib

%files gtk-devel
%defattr(-,root,root,-)
%{_includedir}/libdbusmenu-0.1/libdbusmenu-gtk
%{_libdir}/libdbusmenu-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk*.pc
#{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir
%{_datadir}/gtk-doc/html/libdbusmenu-gtk
#{_datadir}/vala/vapi/DbusmenuGtk-0.4.vapi

%files jsonloader
%defattr(-,root,root,-)
%{_libdir}/libdbusmenu-jsonloader.so.*

%files jsonloader-devel
%defattr(-,root,root,-)
%{_includedir}/libdbusmenu-0.1/libdbusmenu-jsonloader
%{_libdir}/libdbusmenu-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-jsonloader*.pc

%files tools
%defattr(-,root,root,-)
%doc _tools_docs/*
%{_libexecdir}/dbusmenu-*
%{_datadir}/libdbusmenu/json/test-gtk-label.json

%changelog
* Sun Feb 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.16-2
- add BuildRequires: gtk2-devel, libxml2-devel

* Thu Feb 17 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.16-1
- Initial build for VineLinux

