# Basic Information
Name:		dconf
Version:	0.12.1
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.12/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	dconf is a low-level configuration system.
Summary(ja):	dconfは、低レベル設定システムです。

# Dependency
Requires:	glib2
Requires:	gtk3
Requires:	libgee
Requires:	libxml2

BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	libgee-devel
BuildRequires:	libxml2-devel
BuildRequires:	dbus-devel

%description
dconf is a low-level configuration system. Its main purpose is to provide
a backend to GSettings on platforms that don't already have configuration
storage systems. 

%description -l ja
dconfは、低レベル設定システムです。その主要な目的は、まだ設定保存システムを
有していないプラットフォーム上にGSettingsのバックエンドを提供することです。

%package devel
Summary:	Headers for developing programs that will use %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	gtk3-devel
Requires:	libgee-devel
Requires:	libxml2-devel
Requires:	dbus-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags} INTROSPECTION_SCANNER='/usr/bin/g-ir-scanner --identifier-prefix=DConf'

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

#%%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%postun 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null || :
fi

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc COPYING NEWS
%{_bindir}/dconf
%{_bindir}/dconf-editor
%{_libdir}/gio/modules/libdconfsettings.so
%{_libdir}/libdconf*.so.*
%{_libexecdir}/dconf-service
%{_sysconfdir}/bash_completion.d/dconf-bash-completion.sh
%{_datadir}/applications/dconf-editor.desktop
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_datadir}/dconf-editor/dconf-editor.ui
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*

%files devel
%defattr(-, root, root, -)
%{_includedir}/dconf/
%{_includedir}/dconf-dbus-1/
%{_libdir}/libdconf*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/dconf/
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi

%changelog
* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release
- add BuildRequires: dbus-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 17 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5.1-1
- new package. 

