%define rpm_clean 1
%define desktop_file 1
%define desktop_file_utils_version 0.2.93
%define debug_package %{nil}
Summary: A GUI for several command-line debuggers.
Summary(ja): コマンドラインデバッガ用のGUIツール
Name: ddd
Version: 3.3.11
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Development
URL: http://www.gnu.org/software/ddd/
BuildRoot: %{_tmppath}/%{name}-root
Vendor: Project Vine
Distribution: Vine Linux

Source0: http://heanet.dl.sourceforge.net/sourceforge/ddd/ddd-%{version}.tar.gz
Source2: ddd.desktop
Source3: ddd.png
Patch: ddd-3.3.11-lang.patch

Prereq: /sbin/install-info
BuildPreReq: openMotif-devel
BuildPreReq: libtermcap-devel
BuildPreReq: ncurses-devel
BuildPreReq: gcc-c++
BuildRequires: xorg-x11-devel
Requires: openMotif

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger. DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs. You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops. DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python. DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%description -l ja
The Data Display Debugger (DDD)はGDB、DBX、JDB、WDB、XDB、Perl
デバッガおよびPythonデバッガのようなコマンドラインデバッガ用の
ポピュラーなGUIツールです。DDD はソーステキストを見ることを可能
にし対話型のグラフィカルなデータ構造の表示を提供します。マウス
を使用して参照や表示内容を操作でき、プログラムが止まるごとに
それらは更新されます。DDDは、Ada, C, C++, Chill, Fortran, Java,
Modula, Pascal, PerlおよびPythonで書かれたプログラムをデバッグ
することができます。DDDはマシンレベルのデバッギングを提供します。
ハイパーテキストなソースナビゲーションおよび検索、ブレークポイント
ウォッチポイント、バックトレースおよびヒストリエディタ、配列プロット
取消、やり直し、プレファレンスおよびセッティングエディタ、
ターミナルエミュレーションウィンドウでの実行、リモートホスト
デバッキング、オンラインマニュアル、Motifユーザインターフェース
での広範囲なヘルプ、コマンドラインインターフェイスでのフル編集
ヒストリおよび完全な互換性。

%prep
%setup -q
%patch -p1 -b .lang

%build
%configure
make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
         $RPM_BUILD_ROOT%{_datadir}/pixmaps

%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir*

# desktop-file-install
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/x-ddd.desktop
%else
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/ddd.desktop
%endif

install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps

gzip -9nfq $RPM_BUILD_ROOT/%{_infodir}/*

%post
/sbin/install-info %{_infodir}/ddd.info.gz %{_infodir}/dir
 
%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/ddd.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ddd.pdf
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_sysconfdir}/X11/applnk/Development/ddd.desktop 
%endif
%{_datadir}/%{name}-%{version}
%{_datadir}/pixmaps/ddd.png

%changelog
* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 3.3.11-2vl5
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Sat Jun 07 2008 Shu KONNO <owa@bg.wakwak.com> 3.3.11-1vl5
- applied new versioning policy and utf-8
- added BuildRequires: xorg-x11-devel

* Mon Jun 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.11-0vl3
- rebuilt with new toolchain

* Tue Mar 13 2007 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 3.3.11-0vl2
- updated Patch (fixed locale bug <bts:498>)

* Sat Mar 3 2007 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 3.3.11-0vl1
- new upstream release
- changed Group to Applications/Development
- updated Source0 and Patch

* Sun Dec 5 2004 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 3.3.10-0vl1
- new upstream release

* Sun Sep 5 2004 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 3.3.9-0vl1
- new upstream release
- added summary(ja) and description(ja)
- changed to BuildPreReq XOrg-devel

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 3.3.8-3vl1
- based on Fedora development
- rebuild with new toolchains
- s/Copyright/License/
- added --program-prefix optiion to %configure

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 3.3.8-3
- 3.3.8

* Wed Oct 08 2003 Than Ngo <than@redhat.com> 3.3.7-3
- fixed utf-8 issue, bug #84816

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 3.3.7-2
- install icon in correct place (bug #102794)
 
* Fri Jun 27 2003 Than Ngo <than@redhat.com> 3.3.7-1
- 3.3.7

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Than Ngo <than@redhat.com> 3.3.6-1
- 3.3.6

* Mon May  5 2003 Than Ngo <than@redhat.com> 3.3.5-1.1
- use smp_mflags

* Mon May  5 2003 Than Ngo <than@redhat.com> 3.3.5-1
- 3.3.5 (bug #89523)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan  2 2003 Than Ngo <than@redhat.com> 3.3.1-22
- disable debug_package

* Wed Nov  6 2002 Tim Powers <timp@redhat.com> 3.3.1-20
- rebuilt to drop old libelf dep
- add NEWS and COPYING files to filelist

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 3.3.1-19
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Than Ngo <than@redhat.com> 3.3.1-18
- desktop file issue (bug #69381)

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.3.1-17
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jun 08 2002 Than Ngo <than@redhat.com> 3.3.1-15
- PHP DBG support (bug #62180)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- rebuilt against openmotif-2.2.2

* Mon Mar 18 2002 Than Ngo <than@redhat.com> 3.3.1-12
- fix broken desktop file (bug #53193)

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.3.1-11
- clean up patch file (bug #59935)
- rebuild in new enviroment

* Thu Jan 17 2002 Trond Eivind Glomsr <teg@redhat.com> 3.3.1-10
- Don't include %%{_infodir}/dir

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 3.3.1-9
- fix bug #52954
- fix to build against gcc 3

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Jul 19 2001 Than Ngo <than@redhat.com>
- add some build requires
- Copyright->License

* Fri Jun 29 2001 Karsten Hopp <karsten@redhat.de>
- add desktop icons (gnome-cpu.png isn't always installed)

* Sun Jun 10 2001 Than Ngo <than@redhat.com>
- buildrequires lesstif-devel

* Tue May 22 2001 Tim Powers <timp@redhat.com>
- built for the distro

* Thu May 03 2001 Than Ngo <than@redhat.com>
- update to 3.3.1, it brings a couple of minor bug fixes

* Sat Feb 03 2001 Than Ngo <than@redhat.com>
- updated to 3.3

* Tue Jan 23 2001 Than Ngo <than@redhat.com>
- updated to 3.2.98, a release candidate for DDD 3.3

* Mon Dec 04 2000 Than Ngo <than@redhat.com>
- updated to 2.3.92 (Bug #16254)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild with openmotif-2.1.30 for 7.0
- clean up specfile
- FHS fixes

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 3.2.1
- use applnk 

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- applied patch for ddd for use with lesstif 0.89 which caused the "view news"
	etc. help items not to uncompress the news and manual properly, resulting in
	an error message. Patch was from Andreas Zeller
	<andreas.zeller@fmi.uni-passau.de>
	
* Tue Feb 01 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space
- built for 6.2

* Tue Feb 01 2000 Trond Eivind Glomsr <teg@pvv.ntnu.no>
- includes pdf doc instead of postscript
- upgraded to 3.2
- changed source locations and URLs to point at the new GNU sites
- now does a make strip
- added GNOME desktop entry


* Fri Jan 07 2000 Trond Eivind Glomsr <teg@pvv.ntnu.no>
- removed ptrace patch
- now installs pydb
- upgraded to 3.1.99
- removed lots of old log entries

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- reapplied patch for ptrace problems with sparc

* Thu Aug 19 1999 Dale Lovelace <dale@redhat.com>
- added ddd.wmconfig

* Thu Jul 1 1999 Tim Powers <timp@redhat.com>
- added the --with-motif-includes= and --with-motif-libraries= lines
  so that it would build
- rebuilt package for Powertools

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.1.5.

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated package
