Summary:	A utility for creating TTY dialog boxes.
Summary(ja):	TTY ダイアログボックスのユーティリティ
Name:		dialog
%define		SubVersion 20110707
Version:	1.1
Release:	1.svn%{SubVersion}%{?_dist_release}
License:	LGPLv2
Group:		Applications/System
URL:		http://invisible-island.net/dialog/dialog.html
Source:		ftp://invisible-island.net/dialog/dialog-1.1-%{SubVersion}.tgz
Patch1:		dialog-incdir.patch
Patch2:		dialog-multilib.patch
Patch3:		dialog-libs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ncurses-devel, gettext findutils libtool
Requires:	ncurses

Vendor:		Project Vine
Distribution:	Vine Linux


%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.


%description -l ja
Dialog は TTY (テキストモード) インタフェース上に、質問やメッセージを
含むダイアログボックスを表示するユーティリティです。
Dialog はシェルスクリプトから (あるいはその中から) 呼び出すことが出来ます。
実装されているダイアログボックスには yes/no、メニュー、入力エリア、
メッセージ、テキスト、情報、チェックリスト、ラジオボタン、ゲージ等が
あります。

TTY ダイアログボックスを作成したければ dialog をインストールして下さい。


%package devel 
Summary: Development files for building applications with the dialog library
Summary(ja): Dialog ライブラリ用開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} ncurses-devel

%description devel
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces. This package 
contains the files needed for developing applications, which use the 
dialog library.


%description devel -l ja
Dialog は TTY (テキストモード) インタフェース上に、質問やメッセージを
含むダイアログボックスを表示するユーティリティです。
このパッケージには Dialog ライブラリを使うアプリケーションの開発に
必要なファイルが収録されています。


%prep
%setup -q -n dialog-%{version}-%{SubVersion}
%patch1 -p1 -b .incdir
%patch2 -p1 -b .multilib
%patch3 -p1 -b .libs

%build
%configure \
	--enable-nls \
	--with-libtool \
	--with-ncursesw \
	--includedir=%{_includedir}/dialog
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

# prepare packaged samples
rm -rf _samples
mkdir _samples
cp -a samples _samples
rm -rf _samples/samples/install
find _samples -type f -print0 | xargs -0 chmod a-x

make install DESTDIR=%{buildroot}

chmod 755 %{buildroot}%{_libdir}/libdialog.so.*.*.*
rm -f %{buildroot}%{_libdir}/libdialog.{,l}a

%find_lang %name


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING dialog.lsm README _samples/samples
%{_bindir}/dialog
%{_libdir}/libdialog.so.*
%{_mandir}/man1/dialog.*


%files devel
%defattr(-,root,root,-)
%{_bindir}/dialog-config
%{_includedir}/dialog
%{_libdir}/libdialog.so
%{_mandir}/man3/dialog.*


%changelog
* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.1-1.svn20110707
- new upstream release
- introduce -devel subpackage; sync with 1.1-15.20110707.fc17

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.20060221-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jan 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.20060221-1vl1
- new upstream release
  based on 1.0.20060221-1 from Fedora development

* Tue Oct 19 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.20040731-1vl1
- new upstream release
  based on 1.0.20040731-1 from Fedora development
- add Requires ncurses

* Fri Mar 26 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9b-20031207.2vl1
- s/Copyright/License/
- based on 0.9b-20031207.2 from Fedora development
  * Mon Nov 24 2003 Harald Hoyer <harald@redhat.de> 0.9b-20031002.2
  - added gettext BuildReq (#109192)

* Wed Dec 04 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.9b-20020814.1vl1
- based on 0.9b-20020814.1 from Rawhide and built for Vine Linux

* Tue Nov 05 2002 Harald Hoyer <harald@redhat.de> 0.9b-20020814.1
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de> 0.9b-20020519.1
- update to dialog-0.9b-20020519

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 18 2001 Harald Hoyer <harald@redhat.de>
- update to 20010527
- added ncurses-devel dependency (#44733)
- removed perl dependency

* Tue Jan 09 2001 Harald Hoyer <harald@redhat.com>
- update to 20001217

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- fix one of the examples (#14073)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- fix loop patch for reading from pipe

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
