Summary:	Norman Walsh's modular stylesheets for DocBook.
Summary(ja):	Norman Walsh 作の DocBook 用スタイルシート
Name:		docbook-style-dsssl
Version:	1.79
Release:	12%{?_dist_release}
Group:		Applications/Text

License:	Copyright only
URL:		http://docbook.sourceforge.net/

Source0:	http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.gz
Source1:	%{name}.Makefile

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%define openjadever 1.3.2
Requires: openjade = %{openjadever}
Requires: docbook-dtds
Requires: sgml-common
Requires(post): sgml-common
Requires(preun): sgml-common
Conflicts:      docbook-utils < 0.6.9

Vendor: Project Vine
Distribution: Vine Linux

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%prep
%setup -q -n docbook-dsssl-%{version}
cp %{SOURCE1} Makefile


%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT
make install BINDIR=$DESTDIR%{_bindir} DESTDIR=$DESTDIR%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version} MANDIR=$DESTDIR%{_mandir}
cd ..
ln -s dsssl-stylesheets-%{version} $DESTDIR%{_datadir}/sgml/docbook/dsssl-stylesheets


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
rel=$(echo /etc/sgml/sgml-docbook-3.0-*.cat)
rel=${rel##*-}
rel=${rel%.cat}
for centralized in /etc/sgml/*-docbook-*.cat
do
       /usr/bin/install-catalog --remove $centralized \
               /usr/share/sgml/docbook/dsssl-stylesheets-*/catalog \
               >/dev/null 2>/dev/null
done

for centralized in /etc/sgml/*-docbook-*$rel.cat
do
       /usr/bin/install-catalog --add $centralized \
               /usr/share/sgml/openjade-%{openjadever}/catalog \
               > /dev/null 2>/dev/null
       /usr/bin/install-catalog --add $centralized \
               /usr/share/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
               > /dev/null 2>/dev/null
done


%preun
if [ "$1" = "0" ]; then
  for centralized in /etc/sgml/*-docbook-*.cat
  do   /usr/bin/install-catalog --remove $centralized /usr/share/sgml/openjade-%{openjadever}/catalog > /dev/null 2>/dev/null
    /usr/bin/install-catalog --remove $centralized /usr/share/sgml/docbook/dsssl-stylesheets-%{version}/catalog > /dev/null 2>/dev/null
  done
fi
exit 0


%files
%defattr (-,root,root)
%doc BUGS README RELEASE-NOTES.txt ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets
%{_mandir}/man1/collateindex.pl.1*


%changelog
* Fri Apr 22 2011 IWAI, Masaharu <iwai@alib.jp> 1.79-12
- add Vendor and Distribution tags

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.79-11
- based on FC 1.79-10
  * Tue Feb 02 2010 Ondrej Vasik <ovasik@redhat.com> - 1.79-10
  - fix merge review issues(#225703)
  * Fri Dec 18 2009 Ondrej Vasik <ovasik@redhat.com> - 1.79-9
  - License Copyright only
  * Fri Aug 28 2009 Ondrej Vasik <ovasik@redhat.com> - 1.79-8
  - ship manpage for collateindex.pl
  - preserve attributes and timestamps in Makefile
  * Thu Nov 10 2005 Tim Waugh <twaugh@redhat.com> 1.79-2
  - Ship olink.dsl (bug #172523).

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.79-1vl5
- applied new versioning policy, spec in utf-8
- s/Copyright/License/

* Thu Jun  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.79-1vl1
- new upstream release
- No longer need articleinfo patch
- added Japanese summary

* Wed Jun  4 2003 Jun NISHII <jun@vinelinux.org> 1.78-2vl2
- keep silence in preun

* Sat May  3 2003 IWAI Masaharu <iwai@alib.jp> 1.78-2vl1
- update %%post and %%preun script from rawhide 1.78-2
- source update to 1.78
- drop docbook-dsssl-1.76-seealso.patch (Patch1): upstream merged
- update Makefile (Source1)
- require newest openjade (version 1.3.2)

* Wed Nov 27 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.77-0vl1
- source update to 1.77
- Don't apply patch2
- require newest openjade (version 1.3.1)

* Tue Sep 24 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.76-6vl1
- update to 1.76 based on rawhide 1.76-6
- Change URL

* Thu Oct 11 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.64-3vl1
- Rebuild for Vine.

* Wed Jul 25 2001 Bill Nottingham <notting@redhat.com> 1.64-3
- bump release 

* Thu May  9 2001 Tim Waugh <twaugh@redhat.com> 1.64-2
- Make an unversioned dsssl-stylesheets symbolic link.

* Wed May  2 2001 Tim Waugh <twaugh@redhat.com> 1.64-1
- 1.64 (fixes #38095).
- Fix up post/preun scripts so that we don't get duplicate entries with
  different versions on upgrade.

* Sun Mar 25 2001 Tim Waugh <twaugh@redhat.com> 1.59-10
- Fix up Makefile (patch from SATO Satoru).
- Change postun to preun.
- Make preun conditional on remove rather than upgrade.

* Tue Mar  6 2001 Tim Waugh <twaugh@redhat.com>
- PreReq docbook-dtd-sgml (it was a requirement before), so that the
  scripts work right.

* Tue Feb 20 2001 Tim Waugh <twaugh@redhat.com>
- Change Requires(...) to PreReq at Preston's request.
- PreReq at least openjade-1.3-12, so that its catalogs get installed.

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Make scripts quieter.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Last fix was wrong; corrected (require openjade 1.3).

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Require jade not openjade (bug #24306).

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Don't play so many macro games.
- Change requirement on /usr/bin/install-catalog to sgml-common.
- Be sure to own dsssl-stylesheets-1.59 directory.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- openjade not jade.
- %%{_tmppath}.
- rm before install.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
