%define name docutils
%define version 0.5
%define release 3%{?_dist_release}

Summary: an open-source text processing system written in Python
Summary(ja): Pythonで書かれたテキスト処理システム
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License: public domain
Group: Applications/Text
URL: http://docutils.sourceforge.net/

Requires: python
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux

%description
Docutils is an open-source text processing system for processing 
plaintext documentation into useful formats, such as HTML or LaTeX.
It includes reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

%description -l ja
Docutilsはオープンソースのテキスト処理システムで、プレーンテキストの
文書をHTMLやLaTeXなどの使いやすいフォーマットに変換するものです。
読みやすく使いやすくWYSIWYGなプレーンテキストのマークアップ言語である
reStructuresTextを含んでいます。

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

for file in %{buildroot}/%{_bindir}/*.py; do
    mv $file `dirname $file`/`basename $file .py`
    ln -sf `basename $file .py` `dirname $file`/`basename $file`
done

install -D -m644 extras/roman.py ${RPM_BUILD_ROOT}/%{python_sitelib}/roman.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS.txt HISTORY.txt RELEASE-NOTES.txt docs COPYING.txt THANKS.txt FAQ.txt README.txt
%{_bindir}/*
%{python_sitelib}/%{name}/
%{python_sitelib}/roman.*
%{python_sitelib}/docutils-*.egg-info

%changelog
* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.5-3
- rebuilt with python-2.6.4

* Thu Aug  6 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5-2
- rename /usr/bin/*.py to /usr/bin/*
  (keep symlinking to *.py for compatibility - should be removed in the future)

* Wed Jul 01 2009 Shu KONNO <owa@bg.wakwak.com> 0.5-1
- updated docutils to 0.5
- added BuildArch: noarch

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.4-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy and spec in utf-8

* Thu Jan 31 2008 Shu KONNO <owa@bg.wakwak.com> 0.4-0vl4
- defined python_sitelib by using distutils.sysconfig.get_python_lib()
- updated module directory with platform-independent path
- added script to install extras/roman.py (missing if it's already on the system)

* Sun Sep 9 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4-0vl2
- initial build for Vine Linux

