Name: dragon
Summary: KDE simple video player
Summary(ja): KDE 向けのシンプルなビデオプレーヤー
Version: 4.9.0
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2+
Group: Applications/Multimedia
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel
BuildRequires: soprano-devel

Requires: kdelibs4 >= %{version}

%description
Dragon Player is a very simple Phonon-based media player. It was originally 
developed by Max Howell and called Codeine. I ported it to KDE 4.0 and on 
Max's suggestion renamed it to Video Player (probably, I might still
rename it.)  


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%{_bindir}/dragon
%{_libdir}/kde4/dragonpart.so
%{_datadir}/applications/kde4/dragonplayer.desktop
%{_datadir}/config/dragonplayerrc
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/apps/dragonplayer
%{_datadir}/kde4/apps/solid/actions/dragonplayer-opendvd.desktop
%{_datadir}/kde4/services/*
%{_docdir}/HTML/en/dragonplayer/
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
