%define	_sbindir /sbin
# XXX --enable-kerberos		needs krcmd
%define	myoptions --enable-largefile --with-binmode=6755 --with-manowner=root --with-mangrp=root --with-manmode=0644  --enable-readline

Summary: Programs for backing up and restoring ext2/ext3/ext4 filesystems.
Summary(ja): ext2/ext3/ext4 ファイルシステムをバックアップ/リストアするプログラム
Name: dump
Version: 0.4b44
Release: 1%{?_dist_release}
License: BSD
Group: Applications/Archiving
URL: http://dump.sourceforge.net/
Source: dump-%{version}.tar.gz
Patch0: dump-buildfix.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libtermcap-devel
BuildRequires: e2fsprogs-devel >= 1.18, readline-devel >= 4.2
BuildRequires: zlib-devel, device-mapper-devel
BuildRequires: libblkid-devel
BuildRequires: libuuid-devel
BuildRequires: bzip2-devel
# This Prereq is now required because we only ship static binaries, and
# need to ensure the "disk" group is created before installation (#60461)
Requires(pre): setup
Requires: rmt
Obsoletes: dump-static

Packager: daisuke, kazutaka, shaolin

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%description -l ja
dump パッケージは dump と restore の両方を含んでいます。dump はファイル
システム上のファイルを検査し、どれがバックアップが必要が特定し、指定し
たディスク、テープ、あるいはその他のバックアップ用メディアにファイルを
コピーします。
restore コマンドは dump とは反対の処理を行います。restore コマンドを使
うとファイルシステムのフルバックアップを復元できます。またフルバックアッ
プからの増分バックアップを適用することもできます。フルバックアップ、ま
たは部分パックアップから、単一のファイルやディレクトリのサブツリーだけ
を復元することもできます。

もしファイルシステムのフルバックアップや復元が必要な場合は、dump をイン
ストールしてください。

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Summary(ja): リモートテープ装置のアクセスに必要なプログラム
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup), and tar (an archiving program).

%description -n rmt -l ja
rmt ユーティリティは、dump (ファイルシステムのバックアップ)や restore
(バックアップからの復元)、tar (アーカイブの作成/展開) といったプログラ
ムに、テープ装置へのリモートアクセスを提供します。

%prep
%setup -q
%patch0 -p1 -b .buildfix

for i in THANKS MAINTAINERS COPYRIGHT CHANGES; do
    iconv -f iso-8859-1 -t utf-8  $i -o $i.new
    touch -r $i $i.new
    mv $i.new $i
done

%build
autoreconf -fiv
%configure %{myoptions} --disable-static --enable-rmt --disable-transselinux

%ifarch alpha
RPM_OPT_FLAGS=""
%endif
make OPT="$RPM_OPT_FLAGS -Wall -Wpointer-arith -Wstrict-prototypes \
                         -Wmissing-prototypes -Wno-char-subscripts "


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall SBINDIR=%{buildroot}%{_sbindir} BINDIR=%{buildroot}%{_sbindir} MANDIR=%{buildroot}%{_mandir}/man8 BINOWNER=$(id -un) BINGRP=$(id -gn) MANOWNER=$(id -un) MANGRP=$(id -gn)

pushd $RPM_BUILD_ROOT
  ln -sf dump .%{_sbindir}/rdump
  ln -sf restore .%{_sbindir}/rrestore
  chmod ug-s .%{_sbindir}/rmt
  mkdir -p .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -sf ..%{_sbindir}/rmt .%{_sysconfdir}/rmt
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS THANKS TODO
%doc dump.lsm
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
%attr(0755,root,root)	/sbin/dump
/sbin/rdump
%attr(0755,root,root)	/sbin/restore
/sbin/rrestore
#/sbin/*.static
%{_mandir}/man8/dump.*
%{_mandir}/man8/rdump.*
%{_mandir}/man8/restore.*
%{_mandir}/man8/rrestore.*

%files -n rmt
%defattr(-,root,root)
%attr(0755,root,root)
%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.*

%changelog
* Sat Aug 27 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4b44-1
- updated to 0.4b44 (ext4 support in particular)

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4b41-3
- rebuild with rpm-4.8.1
- add BuildRequires: libblkid-devel, libuuid-devel, bzip2-devel

* Mon Jun 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4b41-2
- spec in UTF-8
- change configure option to --disable-static
- remove -static stuffs 

* Sun Apr 27 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4b41-1
- add Patch1 based on fedora development to build with device-mapper
- add japanese summary and description.
- apply new versioning policy.

* Sun May 13 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4b41-0vl1
- new upstream release

* Fri Oct 15 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.4b34-0vl2
- spec file was in SJIS. fixed.

* Sat Feb 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4b34-0vl1
- new upstream release

* Sun Feb  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4b28-5vl1
- update upstream release based on rawhide package.
- rebuild on new environment.
  * Fri Mar 15 2002 Toru Sagami <sagami@vinelinux.org> 0.4b22-4vl2
  - rebuilt against fixed statically linked system libraries
  * Sat Jul 14 2001 Toru Sagami <sagami@vinelinux.org>
  - 0.4b22-4vl1: based on 0.4b22-4 from Rawhide

* Mon Oct  7 2002 Mike A. Harris <mharris@redhat.com> 0.4b28-5
- All-arch rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com> 0.4b28-2
- Updated to dump 0.4b28
- Removed atomic_read/write patch, not needed anymore

* Fri Mar  1 2002 Mike A. Harris <mharris@redhat.com> 0.4b27-3
- BuildRequires readline-devel >= 4.2 for the rl_completion_matches function
- Added dump-0.4b27-dump-atomic-read-write.patch to avoid namespace conflict
  with included kernel headers.  atomic_read is a function on s390 and as
  such, cannot be #undef'd

* Thu Feb 28 2002 Mike A. Harris <mharris@redhat.com> 0.4b27-2
- Added prereq on "setup" to ensure disk group is created prior to this
  package being installed
- Somehow the dump package changelog got hosed, and part of the spec file
  regressed.  I believe it is fixed now.

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 0.4b27-1
- Updated to dump 0.4b27-1

* Fri Feb 22 2002 Mike A. Harris <mharris@redhat.com> 0.4b25-5
- Bumped release up a couple notches to rebuild in rawhide
 
* Thu Feb 21 2002 Mike A. Harris <mharris@redhat.com> 0.4b25-1.72.0
- Rebuilt 0.4b25 for erratum release.  Fixes various bugs that have been
  reported in bugzilla which are logged below.  Also fixes a bug caused by
  linking statically to a faulty system library.
- Added Provides dump-static line
 
* Mon Feb 11 2002 Mike A. Harris <mharris@redhat.com> 0.4b25-3
- Added missing zlib buildprereq
- Rebuild in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 21 2001 Mike A. Harris <mharris@redhat.com> 0.4b25-1
- Updated to version 0.4b25-1
- Added homepage URL for RFE (#54601)
- Also fixed in this release are (#21272, #52663, #56616)
- Dropped time.h patch as it is unneeded now

* Tue Nov  6 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-7
- Updated BuildPreReq to e2fsprogs-devel >= 1.18, readline-devel >= 4.1 to
  explicitly state the minimum required deps and fix (#51900)

* Sat Sep  8 2001 Trond Eivind Glomsr藷?<teg@redhat.com> 0.4b22-6
- Kill the static subpackage - the standard binaries are now static
  This removes /usb/sbin/*. The static versions are now in /sbin 
  (#53433)
- Obsolete dump-static

* Tue Aug 14 2001 Trond Eivind Glomsr藷?<teg@redhat.com> 0.4b22-5
- Move non-static binaries to /usr/sbin (#49520)

* Fri Jun 29 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-4
- Added BuildPrereq: readline-devel (#44734 - which was reopened and changed)

* Sat Jun 16 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-3
- Added BuildPrereq: libtermcap-devel (#44734)

* Tue Jun 12 2001 Mike A. Harris <mharris@redhat.com> 0.4b22-2
- Removed release tag from buildroot dirname - messy.
- Broke all lines over multiple lines for readability in specfile.
- Added --enable-largefile configure flags

* Mon Jun 11 2001 Florian La Roche <Florian.LaRoche@redhat.de> 0.4b22-1
- 0.4b22

* Mon May  7 2001 Mike A. Harris <mharris@redhat.com> 0.4b21-5
- Added BuildPrereq: e2fsprogs-devel (#27428)

* Mon Apr  9 2001 Bill Nottingham <notting@redhat.com>
- fix ia64

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with current glibc

* Mon Jan 29 2001 Nalin Dahyabhai <nalin@redhat.com>
- change copyright: UCB to License: BSD

* Fri Jan 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4b21.

* Sun Nov 26 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b20.

* Fri Nov 10 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b20 released, first packaging.

* Tue Oct 31 2000 Jeff Johnson <jbj@redhat.com>
- remove setuid bits for Red Hat 5.x errata.

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 30 2000 Preston Brown <pbrown@redhat.com>
- fix for dumping files between 2 and 4 gigs (#16466)

* Mon Aug 21 2000 Matt Wilson <msw@redhat.com>
- don't use -O2 on alpha because of compiler ICE

* Sun Aug 20 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b19.

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Aug 16 2000 Erik Troan <ewt@redhat.com>
- support LABEL= in fstab

* Sat Jul 22 2000 Bill Nottingham <notting@redhat.com>
- if dump/restore aren't set(u|g)id, they don't need group tty (#12670)

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- whoops I had dump commented out of the file list.  fixed.
- dropped suid bits on the static binaries.
- fix char buffer size issue (#11880)

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- dropped SUID bits

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b17.
- FHS packaging.

* Thu Jun  1 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b17 released, first packaging.

* Sat Mar 11 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b16 released, first packaging.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- use posix signal handling to preserve dump functionality with libc5.

* Thu Mar  2 2000 Bill Nottingham <notting@redhat.com>
- update to 0.4b15

* Thu Feb 10 2000 Jeff Johnson <jbj@redhat.com>
- dump -0ufB /dev/ftape 1638000 /mnt2 fails to use /mnt2 as tape device (#8036)

* Thu Feb 10 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b14 released, first packaging.

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.4b13.

* Fri Jan 21 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b13 released, first packaging.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com.
- update to 0.4b12.

* Fri Jan 8 2000 Stelian Pop <pop@cybercable.fr>
- dump 0.4b12 released, first packaging.

* Sun Dec 5 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b11 released, first packaging.

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- intergrate Stelian's fixes (Thanks!).

* Sun Nov 21 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b10 released, first packaging.

* Thu Nov 11 1999 Stelian Pop <pop@cybercable.fr>
- make static versions also for rescue purposes.

* Wed Nov 5 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b9 released, first packaging.

* Wed Nov 3 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b8 released, first packaging.

* Thu Oct 8 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b7 released, first packaging.

* Thu Sep 30 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b6 released, first packaging.

* Fri Sep 10 1999 Jeff Johnson <jbj@redhat.com>
- recompile with e2fsprogs = 1.15 (#4962).

* Sat Jul 31 1999 Jeff Johnson <jbj@redhat.com>
- workaround egcs bug (#4281) that caused dump problems (#2989).
- use sigjmp_buf, not jmp_buf (#3260).
- invoke /etc/rmt (instead of rmt) like other unices. (#3272).
- use glibc21 err/glob rather than the internal compatibility routines.
- wire $(OPT) throughout Makefile's.
- fix many printf problems, mostly lint clean.
- merge SuSE, Debian and many OpenBSD fixes.

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- remove setuid/setgid bits from /sbin/rmt (dump/restore are OK).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Thu Mar 18 1999 Jeff Johnson <jbj@redhat.com>
- Fix dangling symlinks (#1551).

* Wed Mar 17 1999 Michael Maher <mike@redhat.com>
- Top O' the morning, build root's fixed for man pages.  

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- upgraded to dump 0.4b4, massaged patches.

* Tue Feb 02 1999 Ian A Cameron <I.A.Cameron@open.ac.uk>
- added patch from Derrick J Brashear for traverse.c to stop bread errors

* Wed Jan 20 1999 Jeff Johnson <jbj@redhat.com>
- restore original 6755 root.tty to dump/restore, defattr did tty->root (#684).
- mark /etc/dumpdates as noreplace.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com> 
- Made /etc/dumpdates writeable by group disk.
