Summary:        Manipulate files in unmounted ext2/ext3 filesystems
Summary(ja):    マウントされていない ext2/ext3 ファイルシステム内のファイルを操作するツール

Name:           e2tools
Version:        0.0.16
Release:        1%{?_dist_release}

Group:          Applications/System
# No version specified.
License:        GPL+
URL:            http://home.earthlink.net/~k_sheff/sw/e2tools/

Source0:        http://home.earthlink.net/~k_sheff/sw/e2tools/e2tools-0.0.16.tar.gz
Source1:        e2tools-test.sh
# Thank you very much for the man pages from Debian package.
Source2:        e2cp.1
Source3:        e2ln.1
Source4:        e2ls.1
Source5:        e2mkdir.1
Source6:        e2mv.1
Source7:        e2rm.1
Source8:        e2tail.1
Source9:        e2tools.7
Patch1:         e2tools-fedora-fixes.patch
Patch2:         e2tools-printf-lld-64bit.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  e2fsprogs-devel >= 1.27
%if 0%{?fedora} >= 12
BuildRequires:  libcom_err-devel
%endif

# For e2tools-test.sh
BuildRequires:  e2fsprogs, diffutils


%description
A simple set of utilities to read, write, and manipulate files in an
ext2/ext3 filesystem directly using the ext2fs library. This works

  - without root access
  - without the filesystem being mounted
  - without kernel ext2/ext3 support

The utilities are: e2cp e2ln e2ls e2mkdir e2mv e2rm e2tail

%description -l ja
ext2/ext3 ファイルシステム内のファイルを、ext2fs ライブラリを使って
直接読み・書き・操作するためのシンプルなユーティリティ群です。次の
ような特徴を持っています。

 - root 権限が不要
 - ファイルシステムのマウントが不要
 - カーネルの ext2/ext3 サポート不要


%prep
%setup -q
%patch1 -p1 -b .fedora-fixes
%patch2 -p1 -b .printf-lld-64bit


%build
%configure
%{__make} %{?_smp_mflags} CPPFLAGS="-Wall -Werror"


%check
# Run tests
for e in e2ln e2ls e2mkdir e2mv e2rm e2tail; do
    %{__ln_s} e2cp $e
done
sh %{SOURCE1}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man1/
%{__install} -p -m 0644 \
    %{SOURCE2} \
    %{SOURCE3} \
    %{SOURCE4} \
    %{SOURCE5} \
    %{SOURCE6} \
    %{SOURCE7} \
    %{SOURCE8} \
    $RPM_BUILD_ROOT%{_mandir}/man1/
%{__install} -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man7/
%{__install} -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{_mandir}/man7/


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO AUTHORS
%{_bindir}/e2cp
%{_bindir}/e2ln
%{_bindir}/e2ls
%{_bindir}/e2mkdir
%{_bindir}/e2mv
%{_bindir}/e2rm
%{_bindir}/e2tail
%doc %{_mandir}/man1/e2cp.1.gz
%doc %{_mandir}/man1/e2ln.1.gz
%doc %{_mandir}/man1/e2ls.1.gz
%doc %{_mandir}/man1/e2mkdir.1.gz
%doc %{_mandir}/man1/e2mv.1.gz
%doc %{_mandir}/man1/e2rm.1.gz
%doc %{_mandir}/man1/e2tail.1.gz
%doc %{_mandir}/man7/e2tools.7.gz


%changelog
* Thu Mar 24 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.16-1
- initial build for Vine Linux

* Wed Feb  9 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-17
- Remove unused code parts triggering new gcc warning in f15

* Wed Feb  9 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-16
- Fix CVS keyword substitution breaking our patch file

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-13
- Add libcom_err-devel buildreq on F12 and later (e2fsprogs-devel split)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.16-11
- fix license tag

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 0.0.16-10
- Rebuild against gcc-4.3

* Sun Dec  9 2007 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-9
- Use format string macro from inttypes.h and uint64_t (#349851).

* Sat Dec  8 2007 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-8
- Special __u64 formatstring on 64bit platforms (#349851).
- Reintroduce -Werror for all platforms.
- Install man pages without x bit.

* Sat Dec  8 2007 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-6
- Cowardly avoid compiling with -Werror on alpha.
- Install files preserving timestamps where possible.
- Use RPM macros for shell commands where possible.

* Mon Jul 31 2006 Andreas Thienemann <andreas@bawue.net> - 0.0.16-5
- fix broken cast in rm.c:248 (exhibited on x86_64, but buggy everywhere) from Hans Ulrich Niedermann

* Mon Jul 17 2006 Andreas Thienemann <andreas@bawue.net> - 0.0.16-4
- Introduced %%check

* Mon Jul 17 2006 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.0.16-3
- initial package for fedora extras

