%define _glib_ver	2.4.1
%define _gtk_ver	2.4.1
%define _flac_ver	1.2.0
%define _id3lib_ver	3.8.3-0vl7

Summary:	Tag Editor for MP3, Ogg Vorbis, FLAC and othe music files
Summary(ja):	MP3, Ogg Vorbis, FLAC 等に対応したタグエディタ
Name:		easytag
Version:	2.1
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Multimedia
URL:		http://easytag.sourceforge.net/
Source0:	http://jaist.dl.sourceforge.net/sourceforge/easytag/easytag-%{version}.tar.bz2
Source1:	easytag.desktop
# converted from pixmaps/EasyTag.xpm
Source2:	easytag.png
Patch0:		easytag-2.0-audio-file-player.patch
BuildRequires:	glib2-devel >= %{_glib_ver}, gtk2-devel >= %{_gtk_ver}
BuildRequires:	libogg-devel, libvorbis-devel, flac-devel >= %{_flac_ver}
BuildRequires:	id3lib-devel >= %{_id3lib_ver}
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Requires(post):   /sbin/ldconfig desktop-file-utils
Requires(postun): /sbin/ldconfig desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux

%description
EasyTAG is a utility for viewing and editing tags for MP3, MP2, Ogg Vorbis,
FLAC and other audio files.

%prep
%setup -q

%patch0 -p1 -b .audio-file-player

# drop unneeded 'x' attribute
%__chmod -x COPYING ChangeLog README THANKS TODO USERS-GUIDE
%{_bindir}/find doc -type f -exec %__chmod -x "{}" \;

%build
%configure --disable-mp4
%__make

%install
%__rm -rf %{buildroot}

%makeinstall
%find_lang %{name}

# install icon
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -p -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog README THANKS TODO USERS-GUIDE
%doc doc/*.html doc/users_guide_*
%{_bindir}/easytag
%{_datadir}/easytag
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/easytag.1*

%changelog
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 2.1-1vl5
- applied new versioning policy, spec in utf-8

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl2
- rebuilt with flac-1.2.0

* Mon Jun 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1-0vl1
- new upstream release
- rebuilt with new toolchain

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl3
- add audio-file-player.patch (patch0)
  to use audacious as default audio file player instead of xmms

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl2
- add Requires(post,postun): ldconfig, desktop-file-utils

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.0-0vl1
- initial build
