Name:		ebook-tools
Version:	0.2.1
Release:	1%{?_dist_release}
Summary:	Tools for accessing and converting various ebook file formats

Group:		Applications/Publishing
License:	MIT
URL:		http://sourceforge.net/projects/%{name}

Source0:	http://prdownloads.sourceforge.net/sourceforge/ebook-tools/%{name}-%{version}.tar.gz
Patch0:		ebook-tools-0.2.1-rmhardcoded.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libxml2-devel
BuildRequires:	libzip-devel
BuildRequires:	cmake
Requires:	%{name}-libs = %{version}-%{release}

%description
Tools for accessing and converting various ebook file formats.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package libs
Summary:	Libraries for %{name}
Group:		System Environment/Libraries

%description libs
The %{name}-libs package contains libraries to be used by 
%{name} and others.

%prep
%setup -q
%patch0 -p1


%build
mkdir build
cd build
CFLAGS="${CFLAGS:-%optflags}" \
CXXFLAGS="${CXXFLAGS:-%optflags}" \
FFLAGS="${FFLAGS:-%optflags}" \
cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir} \
    ..

make

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
#remove because it doesnt work without clit
rm -f %{buildroot}%{_bindir}/lit2epub

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/einfo

%files	devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*

%files	libs
%defattr(-,root,root,-)
%doc README LICENSE
%{_libdir}/*.so.*

%changelog
* Sun Feb 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.2.1-1
- update to 0.2.1
- update Patch0 (ebook-tools-0.2.1-rmhardcoded.patch)

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.1-6
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 John5342 <john5342 at, fedoraproject.org> 0.1.1-3
- Actually remove lit2epub this time

* Mon Dec 15 2008 John5342 <john5342 at, fedoraproject.org> 0.1.1-2
- Removed lit2epub as it doesnt work without clit

* Mon Dec 15 2008 John5342 <john5342 at, fedoraproject.org> 0.1.1-1
- Initial package
