%define using_debian 1

Summary: EPWING CD-ROM dictionary viewer
Summary(ja): EPWING形式のCD-ROM辞書を参照するためのプログラム
Name: ebview
Version: 0.3.6.2
Release: 2%{?_dist_release}

Group: Applications/Accessories
License: GPLv2+
%if %{using_debian}
URL: http://packages.qa.debian.org/e/ebview.html
Source0: http://ftp.de.debian.org/debian/pool/main/e/ebview/ebview_%{version}.orig.tar.gz
%else
URL: http://ebview.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
%endif
Source1: %{name}.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: eb-devel >= 4.0
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
Requires: eb >= 4.0
Requires: TrueType-vlgothic
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Vendor:        Project Vine
Distribution:  Vine Linux

%description
An EPWING CD-ROM dictionary viewer.

%description -l ja
EPWING形式のCD-ROM辞書を参照するためのプログラムです。以下の特徴があります。
  * 検索にはEBライブラリを使用しており、EPWING形式の辞書に対応しています。
  * 前方一致検索、後方一致検索、完全一致検索、条件一致検索、複合検索が可能
    です。
  * 上記に加えて"おまかせ検索"も用意しています。完全一致検索、条件一致検索、
    複合検索を自動的に行います。
  * 複数の辞書を一気に検索できます。
  * 外字、JPEG画像の表示に対応しています。
  * Xセレクションの自動的な検索が可能です。例えば、Netscapeで英文ページを
    読んでいる場合に、分からない単語があったらその単語を選択すれば自動的に
    検索されます。
  * メニューバーやステータスバーなどは非表示にすることができます。これによ
    りセレクションの自動検索を行っている場合などに画面のスペースを有効に利
    用することができます。
  * 表示内容はヒストリに保存され、ヒストリの中を戻ったり進んだりすることが
    できます。
  * ファンクションキーで検索方法を切替えることができます。
  * 検索に使用する辞書はメイン画面からトグルボタンで切替えることができます。

%prep
%setup -q

# Fix up permission
find . -type f -exec %{__chmod} 0644 {} ';'
%{__chmod} 0755 \
	configure \
	install-sh \
	mkinstalldirs

# Defaults
%{__sed} -i.defaults \
	-e 's|gnome-moz-remote|xdg-open|' \
	-e 's|Kochi |Sazanami |' \
	src/preference.c

# GTK deprecated option
for f in \
	src/ebview.c \
	src/defs.h \
	; do
	%{__sed} -i.gtk_deprecated -e '/GTK_DISABLE_DEPRECATED/d' $f
done

# encodings
iconv -f EUCJP -t UTF-8 README > README.tmp && \
	( touch -r README README.tmp ; %{__mv} -f README.tmp README )

%{__sed} -i -e 's|\r||' \
	doc/ja/menu.html \
	doc/ja/body.html

for f in doc/ja/*.html ; do
	iconv -f EUC-JP -t UTF-8 $f | \
		%{__sed} -e 's|EUC-JP|UTF-8|' > $f.tmp && \
		%{__mv} -f $f.tmp $f || \
		%{__rm} -f $f.tmp
done
iconv -f ISO-8859-1 -t UTF-8 doc/en/index.html > doc/en/index.html.tmp && \
	%{__mv} -f doc/en/index.html.tmp doc/en/index.html || \
	%{__rm} -f doc/en/index.html.tmp

%build
export LDFLAGS="`pkg-config --libs pangox`"
%configure --with-eb-conf=%{_sysconfdir}/eb.conf
make

%install
rm -rf $RPM_BUILD_ROOT
make install \
    INSTALL="%{__install} -c -p" \
    bindir=$RPM_BUILD_ROOT%{_bindir}  \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --vendor "" \
    %{SOURCE1}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
%{__install} -cpm 644 pixmaps/%{name}.xpm \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/ebview
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*

%changelog
* Sun Jan  2 2011 IWAI, Masaharu <iwai@alib.jp> 0.3.6.2
- build with eb 4.4.3

* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 0.3.6.2-1
- new unofficial version 0.3.6.2 from Debian
  - drop 64bits patch (Patch0)

* Sun Jan 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.6-3
- rebuild package

* Sun Aug 16 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.6-2
- fixed typo at Group
- installed icon file to %%{_datadir}/icons/hicolor directory

* Wed Jul 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.6-1
- applied new versioning policy, spec in UTF-8
- built with eb-4.4.1
- added patch0 from Fedora
  - Patch extracted from opensuse 0.3.6-105 for 64bits issue,
    which will hopefully fix bug 428195
- changed Group to Applications/Accesories

* Thu Jun 29 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 0.3.6-0vl2
- source update
- add patch0 to link libpangox-1.0
- fix BuildRequires: added gtk2-devel, SDL-devel, smpeg-dev

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.3.5-0vl2
- rebuild with eb-4.1

* Sat May 08 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.3.5-0vl1
- ver.up
- modified prep section temporary.

* Fri Jun 27 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.3.1-0vl1
- ver.up

* Thu May 29 2003 Jun Nishii <jun@vinelinux.org> 0.2.1-0vl1
- ver.up

* Mon Feb 17 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.2.0-0vl2
- rebuild with eb-3.3-2vl1

* Sun Nov 24 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.2.0-0vl1
- source update

* Mon Jul 08 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.1.5-2vl3
- added Requires: smpeg, SDL, SDL_mixer

* Wed Jul 05 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- added Patch for fixing window geometory

* Wed Jul 03 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- update to 0.1.5

* Fri Feb  1 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 0.1.3-0vl1
- update to 0.1.3

* Thu Nov 15 2001 Tomoya TAKA <taka@vinelinux.org> 0.1.2-0vl2
- move definition of %%defattr to the top of %%files section
- fix Requires: and BuildPrereq:

* Mon Nov 12 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- update to 0.1.2

* Fri Jun 22 2001 akira yamada <akira@vinelinux.org>
- Initial packaging.
