# Note that this is NOT a relocatable package
%define	ver	0.3.12
%define	rel	2%{?_dist_release}

Summary:	The Electric Eyes image viewer application.
Summary(ja):	Electric Eyes イメージビューワー
Name:		ee
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org

#Conflicts:	gnome-core < 1.0.69
BuildRequires:	ORBit-devel
BuildRequires:	gtk+-devel
BuildRequires:	gnome-libs-devel >= 1.4.2-2vl5
BuildRequires:  imlib-devel >= 1.9.2

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.gz
Source1:	ee-stdimg-new.xpm
Source2:	gnome-ee.png

%description
The ee package contains the Electric Eyes image viewer for the GNOME
desktop environment.  Electric Eyes is primary an image viewer, but it
also allows many types of image manipulations.  Electric Eyes can
handle almost any type of image.

Install the ee package if you need an image viewer.

%description -l ja

ee パッケージは GNOME デスクトップ環境用ののエレクトリックアイズを
収録しています。エレクトリックアイズは本来イメージビューワーですが、
いくつかの画像タイプの加工が可能であり、エレクトリックアイズはほと
んどのタイプのイメージを取扱可能です。

イメージビューワーが必要なら ee パッケージをインストールしてください。

%prep
%setup -q

# insert new rh logo image
cp %{SOURCE1} stdimg.xpm

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/gnome-ee.png

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*

%changelog
* Sun May  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.12-2
- rebuilt with gnome-libs-1.4.2-2vl5 (linking with db-4.6.21)

* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.3.12-1vl5
- applied new versioning policy, spec in utf-8

* Sat Jul 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.12-0vl6
- removed Conflicts: gnome-core
- changed Group to Applications/Graphics

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.12-0vl5
- s/Copyright/License/

* Sun Nov  7 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.3.12-0vl4
- rebuilt with db4-4.2.52

* Mon Apr 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.3.12-0vl3
- rebuild

* Thu Apr 19 2001 <sagami@vinelinux.org>
- install gnome-ee.png correctly

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.3.12-0vl1
- New upstream release.
- Use rpmmacros.

* Wed Jun  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added old gnome-ee.png for gnome 1.2

* Tue Sep 30 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine

* Fri Sep 24 1999 Michael Fulbright <drmike@redhat.com>
- updated Red Hat logo

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- version 0.3.10

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.8

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt for gtk+ 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8.1
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- stuff

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics

