%define gtk2_version 2.14.0
%define libgnomeui_version 2.24.0
%define gnome_desktop_version 2.26.0
%define gnome_menus_version 2.24.0
%define gnome_vfs2_version 2.24.0
%define librsvg2_version 2.14.0
%define libxml2_version 2.5.10
%define libart_lgpl_version 2.3.15

%define po_package eel-2.0

Name:      eel2
Summary:   Eazel Extensions Library.
Summary(ja): Eazel 拡張ライブラリ
Version:   2.24.1
Release:   2%{?_dist_release}
License:   GPL
Group:     System Environment/Libraries
Source:	   eel-%{version}.tar.bz2
URL:       http://www.gnome.org/projects/nautilus/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: gnome-menus-devel >= %{gnome_menus_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: pango-devel
BuildRequires: popt-devel

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: librsvg2-devel >= %{librsvg2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q -n eel-%{version}

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/eel-2

%changelog
* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-2
- rebuild with gnome-desktop-2.26.0

* Wed Oct 29 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release

* Wed Jul  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.3-0vl1
- new upstream release

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0.1-0vl2
- add BuildRequires: gnome-{desktop,menus}-devel

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl1
- new upstream release

* Mon Aug  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon May 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-0vl1
- new upstream release

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- remove bonobo-activation dependency

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Fri Oct 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.9-0vl1
- new upstream release

* Thu Jul 10 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.4-0vl1
- new upstream release

* Thu Apr  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3.1-0vl1
- new upstream release

* Fri Mar 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Sat Mar  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.2-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.91-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Thu Aug 29 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.6. No actual changes, just to keep versions in sync w/ nautilus

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.5, only translation changes

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 2.0.4

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- remove .so link from non-devel package

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.1.17

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild with fixed rpm in build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 1.1.16.90 cvs snap to fix libpng issue

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.15

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.12

* Mon Apr 22 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.1.11

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- getting really sleepy, fixed the wrong dumb typo

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10
- mumble, dumb typo in gail version

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide after fixing libart issue that broke build

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Eel version 2 package created

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in 
  eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing
 
* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com> 
- Removed docdir and cleaned up specfile a bit. 

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com> 
- Add to Red Hat build system 

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com> 
- created this thing
