Summary:     A program that ejects removable media using software control.
Summary(ja): リムーバブルメディアをソフトウェア制御でイジェクトするプログラム
Name:        eject
Version:     2.1.5
Release:     2%{?_dist_release}
License:     GPL
Group:       System Environment/Base
URL:         http://www.pobox.com/~tranter

Source0:     http://ca.geocities.com/jefftranter@rogers.com/eject-2.1.5.tar.gz
Source1:     eject.pam
Patch1:	     eject-2.1.1-verbose.patch
Patch2:	     eject-timeout.patch
Patch3:	     eject-2.1.5-opendevice.patch
Patch4:	     eject-2.1.5-spaces.patch

BuildRoot:   %{_tmppath}/%{name}-%{version}-root
Requires:    usermode
ExcludeArch: s390 s390x

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The eject program allows the user to eject removable media (typically
CD-ROMs, floppy disks or Iomega Jaz or Zip disks) using software
control. Eject can also control some multi-disk CD changers and even
some devices' auto-eject features.

Install eject if you'd like to eject removable media using software
control.

%description -l ja
eject プログラムを使うと，ユーザがリムーバブルメディア (特に
CD-ROM, フロッピーディスク, Iomega Jaz/Zip ディスク等) をソフトウェア
制御でイジェクトすることが出来ます．eject は一部の CD チェンジャーや
一部のデバイスの自動イジェクト機能にも対応しています．

リムーバブルメディアをソフトウェア制御でイジェクトしたい場合は
eject をインストールして下さい．

%prep
%setup -q -n %{name}
%patch1 -p1 -b .versbose
%patch2 -p1 -b .timeout
%patch3 -p0 -b .opendevice
%patch4 -p0 -b .spaces

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install

# pam stuff
install -m 755 -d %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/pam.d/%{name}

install -m 755 -d %{buildroot}/%{_sysconfdir}/security/console.apps/
echo "FALLBACK=true" > %{buildroot}/%{_sysconfdir}/security/console.apps/%{name}

install -m 755 -d %{buildroot}/%{_sbindir}
mv %{buildroot}%{_bindir}/eject %{buildroot}%{_sbindir}
ln -s consolehelper %{buildroot}%{_bindir}/eject

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%attr(644,root,root) %{_sysconfdir}/security/console.apps/*
%attr(644,root,root) %{_sysconfdir}/pam.d/*
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-2
- rebuild for Vine 6

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.1-1vl5
- applied new versioning policy, spec in utf-8

* Tue May 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-0vl4
- new upstream release
- use cosolehelper, add Requires: usermode

* Sat Apr 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.13-3vl2
- added %{_bindir}/volname

* Thu Jul 24 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.13-3vl1
- rebuild with new toolchains
- s/Copyright/License/
- based on Redhat Rawhide 2.0.13-3 (added autoclose.patch)

* Thu Oct 04 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.12-0vl1

* Thu May 24 2001 <sagami@vinelinux.org>
- 2.0.9-0vl1

* Sun May 20 2001 <sagami@vinelinux.org>
- 2.0.8-0vl1

* Fri May 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.0.6-1vl1
- rebuilt for Vine Linux
- added Japanese summary and description

* Mon May 14 2001 Than Ngo <than@redhat.com>
- update to 2.0.6, fixed buffer overrun

* Tue May 01 2001 Than Ngo <than@redhat.com>
- update to 2.0.4

* Tue Apr 24 2001 Than Ngo <than@redhat.com>
- update to 2.0.3, supports devfs available in 2.4.x kernels and fixes
  a number of small problems

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- ignore commented out entries in /etc/fstab (#33734)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- solved a lot of problems by finding eject 2.0.2. :)

* Tue Feb 09 1999 Preston Brown <pbrown@redhat.com>
- patch to improve symlink handling folded into linux-2.2 patch

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jul 15 1998 Donnie Barnes <djb@redhat.com>
- added small patch to 1.5 for longer device names

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 1.5
- various spec file clean ups
- eject rocks!

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
