%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary:	Bad Plugins for the Elisa Media Center 
Summary(ja): 	Elisa メディアセンター用 Bad プラグイン
Name:		elisa-plugins-bad
Version:	0.5.37
Release: 	1%{?_dist_release}
Source0:	http://elisa.fluendo.com/static/download/elisa/elisa-plugins-bad-%{version}.tar.gz
Source1:	elisa-plugin-database.po
Source2:	elisa-plugin-favorites.po
Source3:	elisa-plugin-poblesec.po

License:	GPLv3
Group:		Applications/Multimedia
URL:		http://elisa.fluendo.com/

Requires:	python
Requires:	elisa = %{version}
BuildRequires:	python, python-devel
BuildRequires:	elisa-base = %{version}
BuildRequires:	gettext

# Plugin requirements, in order, only once each
# amazon, amp, avahi
Requires:	dbus-python, avahi-tools
# coherence
Requires:	python-Coherence
# daap
Requires:	python-twisted-web2
## drop python-storm-sqlite dependency for Vine Linux. Is this still required?
# database
# Requires:	python-storm-sqlite
## drop ipython dependency for Vine Linux. Is this still required?
# favorites
# Requires:	ipython
# filtered_shares, gstreamer
Requires:	gstreamer-python, gstreamer-plugins-good, python-imaging
## drop python-gpod dependency. python binding is not included in libgpod yet.
# ipod
# Requires:	python-gpod
# pigment
Requires:	pigment-python, pygtk2
# poblesec (gst.element_factory_make('libvisual_jess'))
## dropped libvisual dependency for Vine Linux. Is this really usefull?
# Requires: libvisual-plugins
Requires:	pygtk2, dbus-python
# yesfm
Requires:	python-simplejson

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Packager:	kazutaka

%description
This package contains the bad set of plugins for the Elisa
Media Center, plugins which are not considered feature complete
or polished enough to be in the good set of plugins, but do
not present any licensing issues.


%description -l ja
このパッケージは Elisa メディアセンター用のプラグインのセットを
含んでいます。ここに含まれるプラグインはすべての機能を備えていないか、
Good プラグインに入れられるほど洗練されていませんが、特許等の問題は
抱えていません。


%prep
%setup -q

%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
            --single-version-externally-managed \
            --root ${RPM_BUILD_ROOT}

# remove Windows only plugins
%{__rm} -rf ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/elisa_updater/ \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa_plugin_elisa_updater* \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/smbwin32/ \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa_plugin_smb_win32* \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/winremote/ \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa_plugin_winremote* \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/wmd/ \
            ${RPM_BUILD_ROOT}%{python_sitelib}/elisa_plugin_wmd*

# install japanese message catalog
%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/database/i18n/ja_JP/LC_MESSAGES
%{__cp} %{SOURCE1} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/database/i18n/ja_JP/LC_MESSAGES/
msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/database/i18n/ja_JP/LC_MESSAGES/elisa-plugin-database.mo

%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/favorites/i18n/ja_JP/LC_MESSAGES
%{__cp} %{SOURCE2} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/favorites/i18n/ja_JP/LC_MESSAGES/
msgfmt %{SOURCE2} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/favorites/i18n/ja_JP/LC_MESSAGES/elisa-plugin-favorites.mo

%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/poblesec/i18n/ja_JP/LC_MESSAGES
%{__cp} %{SOURCE3} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/poblesec/i18n/ja_JP/LC_MESSAGES/
msgfmt %{SOURCE3} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/poblesec/i18n/ja_JP/LC_MESSAGES/elisa-plugin-poblesec.mo


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{python_sitelib}/elisa/plugins/amazon/
%{python_sitelib}/elisa/plugins/amp/
%{python_sitelib}/elisa/plugins/avahi/
%{python_sitelib}/elisa/plugins/coherence/
%{python_sitelib}/elisa/plugins/daap/
%{python_sitelib}/elisa/plugins/database/
%{python_sitelib}/elisa/plugins/discogs/
%{python_sitelib}/elisa/plugins/dvd/
%{python_sitelib}/elisa/plugins/favorites/
%{python_sitelib}/elisa/plugins/filtered_shares/
%{python_sitelib}/elisa/plugins/gstreamer/
%{python_sitelib}/elisa/plugins/http_client/
%{python_sitelib}/elisa/plugins/ipod/
%{python_sitelib}/elisa/plugins/osso/
%{python_sitelib}/elisa/plugins/pigment/
%{python_sitelib}/elisa/plugins/poblesec/
%{python_sitelib}/elisa/plugins/rss/
%{python_sitelib}/elisa/plugins/search/
%{python_sitelib}/elisa/plugins/shelf/
%{python_sitelib}/elisa/plugins/themoviedb/
%{python_sitelib}/elisa/plugins/thetvdb/
#%{python_sitelib}/elisa/plugins/yesfm/
%{python_sitelib}/elisa_plugin_*



%changelog
* Fri May 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.37-1
- new upstream release

* Thu Apr 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.36-1
- new upstream release

* Thu Apr 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.35-1
- new upstream release

* Wed Apr 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.34-1
- new upstream release

* Tue Mar 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.32-1
- new upstream release

* Fri Mar 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.31-1
- new upstream release

* Sun Mar 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.29-1
- new upstream release

* Fri Feb 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.28-1
- new upstream release
- update translation of Source1 (elisa-plugin-database.po)

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.26-1
- new upstream release
- update source3 (poblesec japanese translation catalog)

* Tue Jan 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.25-1
- new upstream release

* Wed Jan 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.24.1-1
- new upstream release

* Sun Jan 11 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-3
- fix poblesec japanese message catalog installtion (wrong file name)
- drop patch1 (fixed in upstream)

* Tue Dec 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-2
- add japanese message catalogs as Source1 to Source3
- add patch1 to fix strftime error on utf-8 environment

* Wed Dec 24 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-1
- new upstream release

* Thu Dec 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.20-1
- new upstream release

* Sun Nov 16 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.17-1
- initial build for Vine Linux
