# gecko backend was removed 2.27.0
%define with_gecko 0
%define with_webkit 1

%define gecko_version 1.9.1
%define webkit_version 1.7.92

ExclusiveArch: %ix86 ppc x86_64 alpha

Summary: GNOME web browser based on Gecko/WebKit
Summary(ja): Gecko/WebKit レンダリングエンジンベースの GNOME ウェブブラウザ
Name: epiphany
Version: 3.4.3
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Internet
URL: http://www.gnome.org/projects/epiphany/

Source0: http://ftp.gnome.org/pub/GNOME/sources/epiphany/3.4/%{name}-%{version}.tar.xz
Patch1: epiphany-2.26.2-gecko191.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: gnome-icon-theme >= 2.30.0
%if %{with_gecko}
Requires: gecko-libs
%endif
Requires(post,postun): scrollkeeper, shared-mime-info

%if %{with_gecko}
BuildRequires: gecko-devel-unstable >= %{gecko_version}
%endif
%if %{with_webkit}
BuildRequires: WebKit3-gtk-devel >= %{webkit_version}
%endif
BuildRequires: glib2-devel >= 2.31.2
BuildRequires: gtk3-devel >= 3.3.14
BuildRequires: libxml2-devel >= 2.6.12
BuildRequires: libxslt-devel >= 1.1.7
BuildRequires: libnotify-devel >= 0.4.0
BuildRequires: libsoup-devel >= 2.37.1
BuildRequires: gnome-desktop-devel >= 2.30.0
BuildRequires: libSM-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: sqlite3-devel
BuildRequires: seed-devel
BuildRequires: nss-devel
BuildRequires: avahi-gobject-devel
BuildRequires: iso-codes
BuildRequires: gnome-doc-utils

Vendor: Project Vine
Distribution: Vine Linux

%description
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine

%description -l ja
epiphany は Mozilla レンダリングエンジンベースのシンプルな GNOME
ウェブブラウザです。

%package devel
Summary:        Epipany development environment
Summary(ja):    Epipany の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
epipany.


%prep
%setup -q

#patch1 -p1

%build
MOZ_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')
export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS

%configure \
%if %{with_gecko}
  --with-gecko=libxul-embedding \
%endif
%if %{with_webkit}
  --with-engine=webkit \
%endif
  --enable-zeroconf \
  --enable-network-manager \
  --disable-scrollkeeper \
  --without-ca-file \
  --enable-introspection=yes \
  --enable-seed

%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --with-gnome

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/*/plugins/*.la


%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database %{_datadir}/applications >& /dev/null ||:
    scrollkeeper-update >& /dev/null ||:
    glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update >& /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING* NEWS README
%{_bindir}/epiphany
%{_bindir}/ephy-profile-migrator
%{_libdir}/girepository-1.0/*.typelib
%if %{with_gecko}
%{_libdir}/epiphany
%endif
#{_datadir}/pygtk/*/defs/*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/applications/*.desktop
%{_datadir}/epiphany
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/*
%{_mandir}/man1/epiphany.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/*


%changelog
* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.3-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas
- create -devel sub package

* Sat Oct 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.6-1
- new upstream release
- remove BuildRequires: gir-repository-devel

* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 2.30.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat May 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- add BuildRequires: gobject-introspection-devel, seed-devel
- add configure option (--enable-introspection=yes, --enable-seed)

* Sat Apr 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel, gir-repository-devel
- change BuildRequires: gnome-keyring-devel -> libgnome-keyring-devel
- add configure option (--without-ca-file)
- remove unrecognized configure option (--with-engine)

* Sat Jan 09 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.2-1
- new upstream release
- added BR: libICE-devel, libSM-devel and gnome-keyring-devel

* Sat Nov 07 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Mon Jul 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-2
- run gtk-update-icon-cache in %%post/postun script.

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-2
- rebuild with gecko-1.9.1

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- build with xulrunner-1.9.0.7

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Oct 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-2
- build with gecko-1.9.0.3 instead of WebKit.
  - WebKit port is unstable yet.
- enable zeroconf, NetworkManager support

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-1
- new upstream release

* Thu Jul 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.1.1-2vl5
- build with WebKit instead of gecko.

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1vl5
- new upstream release
- added %%pre and %%preun section

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.3-0vl1
- new upstream release
- rebuilt with firefox-2.0.0.6-0vl3

* Sun Jul 08 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.2-0vl2
- add BuildRequires: gnome-python

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release
- rebuilt with new toolchain and firefox-2.0.0.4-0vl6

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Tue Nov 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.14.3-0vl1
- source update
- add Patch0 to build with firefox 2.0 <BTS:VineLinux:342>
- add BuildRequires: pygtk2-devel

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2.1-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl2
- rebuild with firefox-1.5.0.2-0vl4

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release
- build with firefox-1.5.0.2

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Thu Feb 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.3-0vl1
- new upstream release
- build with firefox-1.5.0.1

* Tue Sep 27 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.0-0vl1
- new upstream release
- build with mozilla-1.7.12

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-0vl2
- rebuild with mozilla-1.7.8

* Sun Apr 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-0vl1
- new upstream release

* Sun Apr 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.2-0vl1
- new upstream release
- build with mozilla-1.7.7

* Fri Apr  1 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-0vl2
- rebuild with mozilla-1.7.6

* Wed Mar 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-0vl1
- new upstream release

* Sun Dec 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.7-0vl1
- new upstream release
- build with mozilla-1.7.5

* Tue Nov 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.6-0vl1
- new upstream release

* Tue Nov 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.5-0vl1
- new upstream release

* Mon Sep 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.8-0vl2
- rebuild with mozilla-1.7.3

* Wed Aug 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.8-0vl1
- new upstream release
- build with mozilla-1.7.2
- add Patch10 to build with gnome-2.4

* Wed Jan 21 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.7-0vl1
- new upstream version
	-- dropped patch10
- changed URL

* Fri Jan  9 2004 Tomoya TAKA <taka@vinelinux.org> 1.0.6-0vl3
- add alpha into ExclusiveArch

* Mon Dec 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl2
- rebuild with mozilla-1.5.1

* Sat Dec  6 2003 Ryoichi INAGAKI <daisuke@linux.or.jp> 1.0.6-0vl1
- new upstream release

* Sat Oct 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl2
- fixed missing locale files

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.3-0vl1
- new upstream release

* Sun Jul 20 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.0-0vl1
- new upstream release

* Sun Jul 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.3-0vl1
- new upstream release
- build with mozilla 1.4

* Sat Jun 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-0vl1
- new upstream release

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.1-0vl1
- build for Vine Linux

* Mon Jun  2 2003 Elliot Lee <sopwith@redhat.com> 0.6.1-2
- Rebuild to fix broken mozilla dep, patch for mozilla 1.4

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 0.6.1-1
- 0.6.1

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-4
- add patch to fix gint/gpointer conversion bugs for 64bit arches

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-3
- only build on arches mozilla is built on

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-2
- rebuild against new mozilla, make mozilla requires dynamic

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-1
- update to 0.6.0
- fix tyop in %%postun

* Wed Apr 16 2003 Bill Nottingham <notting@redhat.com> 0.5.0-3
- make it build with mozilla-1.4 (shouldn't affect moz-1.2/moz-1.3 builds)

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.5.0-2
- add some buildrequires, prereq GConf2
- disable building nautilus view

* Sun Apr 13 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


