Summary: PPD files for EPSON laser printers.
Summary(ja): EPSON レーザプリンタ用 PPD ファイル
Name: eplaser-cups
Version: 3.4.1
Release: 2%{?_dist_release}
License: GPL
Group: System Environment/Libraries
Source: eplaser-cups-ppd-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: cups, foomatic
Requires: ghostscript >= 7.07-0vl25.1

%description
eplaser-cups is PPD files collection for printing with EPSON LP-* series.

%description -l ja
eplaser-cups は、CUPS (Common Unix Printing System) で EPSON の
レーザプリンタ LP-* シリーズを使うための PPD ファイル群です。

%prep

%setup -n eplaser

%build

for f in *.ppd.gz; do
  /bin/gzip -d $f
done

for f in *.ppd; do
  /usr/bin/perl -pi -e 's/^%/*%/' $f
  /usr/bin/perl -pi -e 's/cupsomatic/foomatic-rip/' $f
  /bin/gzip -9 $f
done

%install
mkdir -p %{buildroot}%{_datadir}/cups/model/foomatic/Epson
install -m 0644 *.ppd.gz %{buildroot}%{_datadir}/cups/model/foomatic/Epson

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING readme-eplaser-cups.*
%{_datadir}/cups/model/foomatic/Epson/*

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 3.4.1-2
- rebuilt with rpm-4.8.1-3

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.4.1-1vl5
- applied new versioning policy, spec in utf-8

* Sun Apr 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.1-0vl2
- fix permissions of document dirs
- Requires: ghostscript >= 7.07-0vl25.1

* Fri Mar 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.1-0vl1
- new upstream release
  - add support for LP-S6500, LP-S4500

- use License tag instead of Copyright

* Fri May 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.6-0vl1
- new upstream release
  - add support LP-9200B, LP-9200C

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.4-0vl2
- really update to new upstream release.
  eplaser-cups-driver-3.1.2-jp.tgz -> eplaser-cups-ppd-3.1.4.tgz

* Sat Jul 10 2004 Satoshi MACHINO <machino@vinelinux.org> 3.1.4-0vl1
- new upstream release

* Thu Mar  4 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.2-0vl1
- new upstream release
- change architecture to noarch.

* Sat Aug 30 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 3.1.0-0vl0
- first build.
