Name:             epstool
Version:          3.08
Release:          2%{?_dist_release}
Summary:          utility for EPS files
Summary(ja):      EPSファイルのユーティリティ
License:          GPL
Distribution:     Vine Linux
Vendor:           Project Vine
Group:            Applications/Publishing
Source:           %{name}-%{version}.tar.gz
URL:              http://www.cs.wisc.edu/~ghost/gsview/epstool.htm 
BuildRoot:        %{_tmppath}/%{name}-%{version}-root

BuildRequires:    ghostscript 
Requires:         ghostscript

%description
Epstool is a utility to create or extract preview images in EPS files,
fix bounding boxes and convert to bitmaps.

Features:

    * Add EPSI, DOS EPS or Mac PICT previews.
    * Extract PostScript from DOS EPS files.
    * Uses Ghostscript to create preview bitmaps.
    * Create a TIFF, WMF, PICT or Interchange preview from part of a bitmap created by Ghostscript.
    * works on little-endian machines (Intel) or big endian (Sun Sparc, Motorola) machines. 

%description -l ja
EPSファイルのプレビュー画像を作成・抽出、BBoxの修正、ビットマップ出力
などの機能を有するツール。

%prep

%setup 

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 755 ./bin/%{name} %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1



%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc LICENCE doc/epstool.htm doc/gsview.css
%{_bindir}/* 
%{_mandir}/*

%changelog
* Tue Jan 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 3.08-2
- rebuild

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 3.08-1vl5
- applied new versioning policy, spec in utf-8

* Fri Aug 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- Rebuilt for VineSeed (4.0)

* Tue Oct 25 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Inital package for VineLinux3.2

