# This package is maintained with CVS. Please do not change on local.
# If you find a BUG, report to Vine@vinelinux.org or mailing list or BTS.
# $Id: etcskel.spec,v 1.74 2010/02/06 10:58:49 daisuke Exp $

%define _sysconfdir /etc

%define version 6.0

Summary: Vine Linux default files for new users' home directories.
Summary(ja): Vine Linux 新規ユーザのためのデフォルトファイル
Name: etcskel
Version: %{version}
Release: 1%{?_dist_release}
License: public domain
Group: System Environment/Base
Source0: vskel-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: bash, vutils >= 1.25.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The etcskel package is part of the basic Vine Linux system.  Etcskel
provides the /etc/skel directory's files.  These files (.Xresources,
.bash_logout, .bash_profile, .bashrc) are then placed in every new
user's home directory when new accounts are created.

%description -l ja
etcskel パッケージは Vine Linux の基本システムの一部で、デフォルトの
ユーザ設定ファイル(.Xresources, .bash_logout, .bash_profile, .bashrc)
等を収録しています。


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup -n vskel-%{version}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%config %{_sysconfdir}/skel

%changelog
* Sat Jun 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0-1
- increase version number to match with distro version.
- remove unneeded/obsoleted emacs related configs
- support new vine-default
- add .ssh

* Sat Feb 06 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.0-1
- remove _topdir macro from .rpmmacros

* Sat May 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-1
- add .zshrc (thanks to iwaim-san)
- remove .canna, .emacs-faces.el, .emacs-fontset.el

* Sun Apr 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.0-1
- remove obsolete emacs/xterm/kterm settings from .Xresources
- update emacs dot files
  - emacs >= 23 use .emacs.el
  - emacs <= 22.x use .emacs
    - add emacs21.el for emacs22/21
- spec in utf-8
- skelton files in utf-8

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.6-0vl1
- update emacs.el to support atokx3

* Tue Nov 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.5-0vl1
- update emacs.el, .xemacs/init.el
  - add ansi-color-for-comint-mode-on hook to shell-mode
    (<BTS:377>)

* Sat Apr 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.4-0vl1
- update .xemacs/init.el
  - use uim for default (EMACS_IME={,scim})

* Sat Apr 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.3-0vl1
- update .emacs.el
  - add atokx2 support
- update .xemacs/init.el
  - add limited wnn8 support (use tamago4)

* Sat Nov 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.2-0vl1
- update .emacs.el
  - use UNIX domain socket to connect cannaserver by default.

* Sun Oct 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.1-0vl1
- update .mew.el to use firefox for default browser (<BTS:316>)

* Sat Sep 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4.0-0vl1
- fix .emacs.el (<BTS:224>)

* Thu Sep 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.9-0vl1
- add minimum support for UTF-8 locale.
  - load un-define.el, 
    set utf-8 for coding-system on ja_JP.UTF-8

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.8-0vl1
- fix x-faces related problem in .emacs.el (<BTS:201>)

* Sun Sep 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.7-0vl1
- add .vine/ (<BTS:0164>)

* Sat Sep 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.6-0vl1
- fix Makefile to add .gnupg/ (<BTS:0157>)

* Thu Jul 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.5-0vl1
- update .emacs.el (use LANG=C on dired-mode)

* Fri Jul 07 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.4-0vl1
- update .emacs.el and .xemacs.el (see: [VineSeed:10965])

* Thu Jul 06 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.3-0vl1
- update .xemacs/init.el (see: [VineSeed:10958])

* Fri Jun 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.2-0vl1
- update .emacs.el (fix <BTS:0075>)
  - check if tamago4 is available or not before initialize egg.
  - use anthy.el when tamago4 is not available.

* Sat Jun 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.1-0vl1
- use egg-anthy(tamago4) for EMACS_IMW=(scim|anthy|egg-anthy)
- use anthy-el for EMACS_IME=anthy-el
- add Shift-space and zenkaku-hankaku for tamago4 toggle-input-method key.

* Wed Apr 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.0-0vl1
- add uim.el setting for EMACS_IME=(uim|anthy)
  XXX: "anthy" should use anthy.el, but it is for backword compat
- use anthy.el for EMACS_IME=scim
- use scim instead of canna when EMACS_IME is not set.
- use License instead of Copyright
- remove unneeded BuildRequires

* Sat Dec 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl3
- modified uumkey to use MS-IME compatible keybind
  - add Shift-space and Kanji to henkan_on key

* Sun Nov 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl2
- add .Wnn7/uum{key,rc} to modify Wnn7-xwnmo keybind
- update .emacs.el to add Shift-Space & Zenkaku-Hankaku as input 
  method toggle key.

* Wed Sep 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl1
- add .vje/general.key for vje-delta keybind

* Wed Oct 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl3
- check availability of xdvi-search.el

* Wed Jul 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl2
- add umask to .bashrc

* Mon Jul 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl1
- change version to 3.0

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl5
- update YaTeX settings to support TeX source special
  thanks to Nobuyuki Tsuchimura
- use mozilla as default browser

* Thu Jul 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl4
- update .emacs.el to remove duplicate settings

* Tue Jun 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl3
- update .xemacs/init.el (thanks to Hiroaki Irokawa)

* Fri Jun 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl2
- fix typo in .emacs.el
- change .emacs.el's Canna setting to use unix domain socket by default

* Sun Apr 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9-0vl1
- merge local change in 2.7-0vl8
  * Tue Apr 15 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.7-0vl8
    - modified .emacs-color.el for color-mate-10.6.3
- fix(revert) .emacs-faces.el
- use .mew.el from mew-3.3
- add initial Anthy support
- update .Xresources

* Tue Dec 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl7
- add Xaw3d resources to use nice grayscale color.

* Tue Dec 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl6
- add to support FreeWnn. ([VineSeed:07262])
- ps-print setting for emacs21. ([VineSeed:07262])

* Sun Dec 08 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl5
- do not set tooltip color in terminal mode.

* Thu Dec 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl4
- add tooltip foreground color

* Thu Dec 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl3
- update xemacs stuff. ([VineSeed:07275])

* Tue Dec 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl2
- update .emacs-fontset.el to use bold/italic font.
  Emacs20 and Emacs21 is not compatible for bold/italic fontset.
- Cahnge Makefile and specfile to use bzip2ed tar ball

* Tue Dec 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7-0vl1
- update emacs font setting.

* Mon Dec 02 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6-1vl2
- update .emacs* .Xresources for Emacs21

* Sun Oct 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6-1vl1
- fixed .emacs.el (VineSeed:06938)
- add menubar*fontSet resource to .Xresource

* Fri Oct 04 2002 Shoji Matsumoto <shom@vinelinux.org> 2.4-0vl14
- mearge CVS and rpm
- modify .emacs.el(add atokx, w3m), .emacs-faces.el

* Fri Sep 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4-0vl12
- modified .canna for Canna-3.5b2-41

* Wed Apr 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-0vl11
- added .emacs/init.el for XEmacs >= 21.4

* Mon Apr  1 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4-0vl10
- added wnn7 input mode definition also in .xemacs.el

* Mon Apr  1 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4-0vl9
- added a more wnn7 input mode definition

* Mon Apr  1 2002 Jun Nishii <jun@vinelinux.org> 2.4-0vl8
- added comment for mwheel-scroll-amount for .xemacs.el

* Fri Mar 29 2002 Jun Nishii <jun@vinelinux.org> 2.4-0vl7
- added some wnn7 input mode definition
- change backgroundcolor for xemacs

* Fri Mar 29 2002 Jun Nishii <jun@vinelinux.org> 2.4-0vl6
- added wheel setting in .xemacs.el
- do not use color-mate in .xemacs.el
- enable canna-use-color in .emacs.el/.xemacs.el

* Thu Mar 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4-0vl5
- use .emacs-{faces,fontset}.el for emacs font setting
- add wnn7 special feature in .emacs.el
- add .emacs-{faces,fontset}.el in Makefile

* Tue Mar 26 2002 Jun Nishii <jun@vinelinux.org> 2.4-0vl2
- modify setting for wnn/wnn6/wnn7 in .emacs.el/.xemacs.el

* Tue Mar 26 2002 Jun Nishii <jun@vinelinux.org> 2.4-0vl1
- added wnn7 setting in .xemacs.el
- fix wl-highlight-x-face-func*tion* in .emacs.el/.xemacs.el

* Thu Mar 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3-1vl21
- added mouse-set-font to ~/.emacs.el

* Wed Mar 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-1vl20
- remove addpath ~/bin in .bash_profile
- change .emacs.el and .Xresources to don't use color-mate

* Wed Mar 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-1vl19
- merged rpm

* Sat Feb  9 2002 Jun Nishii <jun@vinelinux.org> 2.3-1vl18
- use addpath

* Thu Feb  7 2002 Jun Nishii <jun@vinelinux.org> 2.3-1vl17
- rename .Xdefaults as .Xresources

* Sun Dec 16 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.3-1vl16
- modified ~/.emacs-color.el for color-mate with emacsen-common support

* Tue Nov 01 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.3-1vl15
- modified ~/.emacs.el for Mew-2.1

* Tue Aug 21 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.3-1vl14
- modified ~/.emacs.el for Mew-2.0

* Wed Jul 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.3-1vl13
- modified ~/.emacs.el for wl-2.6.0 with bitmap-mule

* Wed Feb 21 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumei.ac.jp> 2.3-1vl9
- added cannadic-0.92 dics entry to .canna

* Mon Dec 11 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3-1vl8
- added shion dics entry to .canna
- fixed _sysconfdir macros in .rpmmacros

* Wed Oct 11 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl7
- added .rpmmacros
- added server for emacsclient/gnulient and
  auto-compression-mode in .emacs.el/.xemacs.el
- fix alias eng (use LC_ALL)

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl6
- delete source vinelib script in .bashrc and .cshrc, because 
  it is moved under /etc/profile.d

* Wed Sep 20 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl5
- fix .Xdefaults to adapt color-mate-10.1.1

* Sun Sep 17 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl4
- modify .emacs-color.el to adapt color-mate-10.1.1

* Fri Sep 15 2000 T.R. Kobayashi <tkoba@ike-dyn.ritsumei.ac.jp>
- 2.3-1vl3
- added color-mate SunnyDay-LCD12 entry in .emacs-color.el

* Tue Sep 12 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl2

* Sat Aug 19 2000 Jun Nishii <jun@vinelinux.org>
- 2.3-1vl1
- added line-number-mode in .xemacs.el
- imelib -> vinelib
- added rpm dirs

* Tue Jul 04 2000 T.R. Kobayashi <tkoba@ike-dyn.ritsumei.ac.jp>
- added Emacs linespace entry in .Xdefaults

* Sun Apr 23 2000 Kazuhisa TAKEI<takei@vinelinux.org>
- added FSF Emacs fontset entry in .Xdefaults

* Thu Apr 20 2000 Jun Nishii <jun@vinelinux.org>
- tiny bug fix, Thanks Mr. Kawamura

* Tue Mar 14 2000 Jun Nishii <jun@vinelinux.org>
- added print command for mew in .xemacs.el/.emacs.el 

* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-1vl25
- print command setup, added mew in toolbar, 
  and tiny correction in .xemacs.el/.emacs.el 

* Tue Feb  1 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-1vl24
- alias eng
- set canna-toggle-japanese-mode as C-\

* Sun Jan 16 2000 Kazuhisa TAKEI<xtakei@vinelinux.org>
- added set-keyboard-coding-system entry in .emacs.el

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- added zip99 entry in .canna

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-1vl21
- correct scripts in .cshrc

* Thu Dec 23 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- minor change again in .emacs.el, .xemacs.el

* Thu Dec 16 1999 Jun Nishii <jun@flatout.org>
- minor change in .emacs.el, .xemacs.el

* Fri Dec 10 1999 Jun Nishii <jun@flatout.org>
- remove "source imelib" from .cshrc again...

* Mon Dec  6 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- fixed problem in the .cshrc file around reading imelib

* Wed Dec  1 1999 Jun NISHII <jun@flatout.org>
- read imelib from vutils in .bashrc and .cshrc

* Mon Nov 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl18
- fixed gnus-related part in .emacs.el and .xemacs.el
- modified semi-related part for semi-1.13.7 in .emacs.el and .xemacs.el

* Fri Nov 26 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl17
- fixed .xemacs.el for w3 (now not required, but autoloaded)

* Fri Nov 19 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl16
- fixed .emacs.el for hilit19 (when color-mate is not in use)

* Tue Nov 16 1999 Jun Nishii <jun@flatout.org>
- 2.0-1vl15
- merge setting for color-mate

* Mon Nov  8 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl14
- fixed .xemacs.el to handle wnn6 properly

* Wed Nov 3 1999 Jun Nishii <jun@flatout.org>
- fix .emacs.el to use wnn6

* Wed Nov 3 1999 Jun Nishii <jun@flatout.org>
- added .cshrc
- added alias en
- try to load ~/.vine/system/ime

* Wed Oct 20 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl10
- set-scroll-bar-mode added in .emacs.el

* Thu Oct  7 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl9
- .emacs.el and .xemacs.el modified namely in the mew-related parts

* Mon Oct  4 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl8
- changed emacs*font entry again in sync with newest XFree86-xfs configuration

* Fri Oct  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl7
- fixed tiny problem in .emacs.el and .xemacs.el when rail is not installed

* Fri Oct  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl6
- modified emacs*font entry in the .Xdefaults file
- yet another modifications for .emacs.el and .xemacs.el
- now all etcskel files are merged into one tgz file

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- 2.0-1vl5
- some nifty modifications for .emacs.el and .xemacs.el
- and .wl currently removed from this package...

* Wed Sep 22 1999 Jun Nishii <jun@flatout.org>
- merge emacs settings, thanks Mr. Matsubayashi.

* Tue Aug 31 1999 Jun Nishii <jun@flatout.org>
- merge some settings from Vine-1.1CRW

* Tue Aug 24 1999 Jun Nishii <jun@flatout.org>
- remove less setting in bash_profile

* Fri Jul 23 1999 Jun Nishii <jun@flatout.org>
- merge skels from 1.3-6vl5
- build for Vine-1.9

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- removed .inputrc -- it is migrating to /etc/inputrc elsewhere

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- fixes for .inputrc

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- more minor updates to .Xdefaults

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- fixed up .Xdefaults to not scroll back with pgup/pgdown
- added .inputrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- clean out more stuff from the default .Xdefaults

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- use BASH_ENV=~/.bashrc -- leave ENV for ksh (change #459)

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- .Xdefaults file was broken; it is not processed by any macro thing.

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- converted to a noarch package

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- added bash dependencie 

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Moved .Xclients and .xsession to xinitrc package
