Name: exiv2
Summary: Exif and IPTC metadata manipulation library
Summary(ja): Exif, IPTC メタデータ操作ライブラリ
Version: 0.23
Release: 1%{?_dist_release}

Group: System Environment/Libraries
License: GPLv2
URL: http://www.exiv2.org/

Source0: %{name}-%{version}.tar.gz
Patch1: exiv2-0.18-deps.patch
Patch2: exiv2-0.16-gcc43.patch
Patch3: exiv2-0.21.1-visibility.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: expat-devel
BuildRequires: zlib-devel
Obsoletes: libexiv2 <= 0.13
Provides:  libexiv2 = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux

%description
Exiv2 comprises of a C++ library and a command line utility to access image metadata. Exiv2 supports full read and write access to the Exif and Iptc metadata, Exif MakerNote support, extract and delete methods for Exif thumbnails, classes to access Ifd and so on.
The command line utility allows you to:

* print the Exif metadata of Jpeg images as summary info, interpreted values,
or the plain data for each tag (here is a sample)
* print the IPTC metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, IPTC metadata and Jpeg comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata

%description -l ja
Exiv2 は、イメージメタデータにアクセスするための C++ ライブラリと
コマンドラインユーティリティにより構成されています．Exiv2 は Exif，
IPTC メタデータの完全な読込み及び書込みアクセス，Exif MakerNote，
Exif サムネイルを抽出/削除するためのメソッド，Ifd 等にアクセスする
ためのクラス等をサポートします．

コマンドラインユーティリティにより、次のようなことができます：

* JPEG イメージの EXIF メタデータを各タグごとに表示する
* JPEG イメージの IPTC メタデータを表示する
* JPEG イメージのコメントを表示する
* JPEG イメージに EXIF 情報や IPTC メタデータを設定/追加/削除する
* EXIF タイムスタンプを調整する
* EXIF タイムスタンプに基づいて EXIF イメージファイルをリネームする
* EXIF メタデータ，IPTC メタデータ，JPEG コメントを抽出/挿入/削除する
* EXIF メタデータ中のサムネイルイメージを抽出/挿入/削除する

#'
%package devel
Summary: Header files, libraries and development documentation for exiv2
Summary(ja): exiv2 の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: libexiv2-devel <= 0.13
Provides: libexiv2-devel = %{version}-%{release}


%description devel
Header files, libraries and development documentation for exiv2

%description -l ja
exiv2 用ヘッダファイル，ライブラリ，開発用ドキュメントです．


%prep
%setup -q
%patch1 -p1 -b .deps
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .visibility


%build
(cd config; make -f config.make)
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang exiv2

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# set eXecute bit on installed lib
chmod a+x $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

## FIXME/TODO: patch installed exiv2-config to instead pull values from pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/exiv2
%{_libdir}/lib*.so.*
%{_mandir}/man1/*


%files devel
%defattr(-,root,root,-)
#doc doc/index.html doc/include
#{_bindir}/exiv2-config
%{_includedir}/exiv2/*
%{_libdir}/libexiv2.so
%{_libdir}/pkgconfig/exiv2.pc


%changelog
* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.23-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.21.1-1
- new upstream release
- updated Patch3

* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.19-2
- rebuilt with rpm-4.8.1 for pkg-config

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.19-1
- new upstream release
- updated Patch3

* Mon Oct 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.2-1
- new upstream release
- updated Japanese description

* Fri May  1 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.18.1-2
- add Patch3 not to use -fvisibility-inlines-hidden
  (this will also fix build failure on ppc)
  http://dev.exiv2.org/issues/show/627

* Sun Apr 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18.1-1
- new upstream release

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17.1-1vl5
- new upstream release

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 0.15-1vl5
- applied new versioning policy, spec in utf-8

* Wed Dec 26 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.15-0vl4
- add patch100 for fix CVE-2007-6353 ("setDataArea()" Integer OF)

* Sat Aug 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-0vl3
- add Obsoletes: libexiv2 <= 0.13 , libexiv2-devel <= 0.13
  to upgrade from 0.13-0vl[12]
  * Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl2
  - rebuild with new environment/toolchain
  * Fri Mar 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.13-0vl1
  - initial build for Vine Linux
  
* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-0vl2
- rebuilt for VineSeed

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-0vl1
- new upstream release
- remove Requires: kdelibs-devel at devel package

* Fri Jan 5 2007 TOSHI <vine-jp@mail.goo.ne.jp> 0.12-0vl1
- build for vine 4.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12-1
- exiv2-0.12
# end of file

