Summary: A list monitor with a visual output.
Summary(ja): 視覚出力を持つリストモニター
Name: faces
Version: 1.6.1
Release: 19%{?_dist_release}
License: freeware
Group: Applications/Internet
Source: ftp://ftp.cs.indiana.edu/pub/faces/faces/faces-1.6.1.tar.Z
Patch0: faces-1.6.1-make.patch
Patch1: faces-1.6.1-awk.patch
Patch2: faces-1.6.1-string.patch
Patch3: faces-1.6.1-fix.patch
Patch4: faces-1.6.1-ikon2xbm.patch

# 2007.06.18 from Mandriva 2007.1
Patch101: faces-1.6.1-misc-fixes.patch.bz2
Patch102: faces-1.6.1-datadir-faces.patch.bz2
Patch103: faces-1.6.1-errno.patch.bz2
Patch104: faces-1.6.1-faces_chmod.patch.bz2
Patch105: faces-1.6.1-dotsyms.patch.bz2
Patch106: faces-1.6.1-gcc3.4-fix.patch.bz2
Patch107: faces-1.6.1-make.patch.bz2
Patch108: faces-1.6.1-awk.patch.bz2
Patch109: faces-1.6.1-string.patch.bz2
Patch110: faces-1.6.1-fix.patch.bz2
Patch111: faces-1.6.1-ikon2xbm.patch.bz2

Requires: netpbm-progs
Obsoletes: compface
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: byacc, XOrg-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.  The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the mail
program.  This feature of faces is typically used with the exmh mail
handling system.

Install faces if you'd like to use its list monitoring capability or
its face image inclusion capability.  If you would like to include
face images in email, you'll also need to install the faces-xface
package.  If you would like to develop xface applications, you'll need
to also install faces-devel.

%description -l ja
顔視覚的にリスト（メールメッセージのリスト、印刷待ち行列の仕事のリスト
またはシステムユーザーのリスト）をモニターするためのプログラムです。
顔5つの異なるモードで動く：新しいメールのためにモニターして、全メール
ファイルをモニターして、指定された印刷待ち行列をモニターして、機械と
カスタムメイドのモニタリングに関してユーザーをモニターすること。faces
もメールメッセージで顔画像(圧縮した、調べられたイメージ)を含むための
有用性を含みます。イメージは特定の方向で圧縮されなければなりません。
そして、それはそれから圧縮されていなくなることができて、メール
プログラムで高速で示されることができます。
faces のこのつくりが、exmhメール処理システムで、典型的に使われます。

あなたが能力またはその顔画像包含能力をモニターしているそのリストを使い
たいと思うならば、faces をインストールしてください。あなたが顔画像を
電子メールに含めたいと思うならば、あなたは faces-xface パッケージを
インストールする必要があります。あなたが xface アプリケーションを開発
したいと思うならば、あなたはまた、faces-devel をインストールする必要が
あります。


%package xface
Requires: netpbm-progs
Summary: Utilities needed by mailers for handling Faces' X-face images.
Summary(ja): X-Face 画像を MUA にて使用するためのユーティリティ
Group: Applications/Internet

%description xface
The Faces program includes the ability to send a compressed image
along with an email message.  Faces-xface includes the utilities that
mail user agent programs need to handle X-Face mail header. When an
email program reads the X-face header line in an email message, it
calls these utilities to display the face image included in the
message.

You'll need to install faces-xface if you want your mail program to
display Faces' X-face images.

%description -l ja xface
faces プログラムは、電子メールメッセージに加えて圧縮したイメージを送る
能力を含みます。faces-xface は、MUA プログラムが X-Faceメールヘッダを
取り扱う必要があるユーティリティを含みます。電子メールプログラムが 
X-Face ヘッダ行を電子メールメッセージで読むとき、メッセージに含まれる
顔画像を示すことはこれらのユーティリティを呼びます。

X-Face 画像を表示することを望むならば、あなたは faces-xface を
インストールする必要があります。


%package devel
Summary: The Faces program's library and header files.
Summary(ja): faces プログラムのライブラリとヘッダファイル
Group: Development/Libraries

%description devel
Faces-devel contains the faces program development environment,
(i.e., the static libraries and header files).

If you want to develop Faces applications, you'll need to install
faces-devel.  You'll also need to install the faces package.

%description -l ja devel
faces プログラム開発環境(静的ライブラリとヘッダファイル)です。

faces アプリケーションを開発したいならば、faces-xface を
インストールする必要があります。
さらに、faces パッケージもインストールする必要があります。




%prep
%setup -q -n faces
%patch0 -p1 -b .make
%patch1 -p1 -b .awk
%patch2 -p1 -b .string
%patch3 -p1 -b .fix
%patch4 -p1 -b .ikon2xbm

# 2007.06.18 from Mandriva
##%patch101 -p1 -b .misc-fixes
##%patch102 -p1 -b .datadir-faces
%patch103 -p1 -b .errno
##%patch104 -p1 -b .faces_chmod
%patch106 -p1 -b .gcc34
##%patch105 -p1 -b .dotsyms


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" \
	X11LIBDIR=-L%{_prefix}/X11R6/%{_lib} \
	FACEDIR=%{_libdir} \
	-f Makefile.dist x11


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}

make -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 compface/compface.h $RPM_BUILD_ROOT%{_includedir}/compface.h

mkdir -p $RPM_BUILD_ROOT%{_libdir}/faces


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/compface
%{_bindir}/icon2ikon
%{_bindir}/ikon2icon
%{_bindir}/fs2ikon
%{_bindir}/rs2icon
%{_bindir}/fs2xbm
%{_bindir}/xbm2ikon
%{_bindir}/xbmcut48
%{_bindir}/xbmsize48
%{_bindir}/addxface
%{_bindir}/mailq.faces
%{_bindir}/from.faces
%{_bindir}/lpqall.faces
%{_bindir}/rotary.faces
%{_bindir}/facesaddr
%{_bindir}/facesall
%{_bindir}/mkfacesindex
%{_bindir}/newscheck.faces
%{_bindir}/newsfrom.faces
%{_bindir}/faces
%{_bindir}/face_update
%{_bindir}/faces.sendmail

%{_mandir}/man1/compface.1*
%{_mandir}/man3/compface.3*
%{_mandir}/man1/faces.1*
%{_mandir}/man1/face_update.1*

%{_libdir}/faces


%files xface
%defattr(-,root,root)
%{_bindir}/uncompface
%{_mandir}/man1/uncompface.1*
%{_mandir}/man3/uncompface.3*
%{_bindir}/ikon2xbm


%files devel
%defattr(-,root,root)
%{_includedir}/compface.h
%{_libdir}/libcompface.a


%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.1-19vl5
- applied new versioning policy, spec in utf-8

* Mon Jun 18 2007 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.6.1-18vl6
- rebuilt(got a Mandriva2007.1 patches, Patch103,106)
- add Japanese summary, description

* Fri Aug 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.6.1-18vl5
- s/Copyright/License/
- add BuildRequires: byacc, XOrg-devel
- specify X11LIBDIR, FACEDIR

* Thu Jun 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-18vl4
- rebuild with new toolchains

* Mon Feb 19 2001 Jun Nishii <jun@vinelinux.org>
- 1.6.1-18vl3
- requires netpbm-progs instead of libgr-progs

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.6.1-18vl2
- use better macros

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.6.1-18vl1
- modified %files section to handle compressed man page(s)

* Thu Sep 23 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- Obsoletes: compface added (for Vine Plus 1.1 package)

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- fix ikon2xbm problem (#2965).

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fix xbm2ikon problem (bug # 1060).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- faces-devel moved to Development/Libraries

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- changed netpbm requirement to libgr-progs requirement

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
