Summary: Gives a fake root environment
Summary(ja): 疑似 root 環境を提供するツール
Name: fakeroot
Version: 1.12.4
Release: 1%{?_dist_release}
License: GPL+
Group: Development/Tools
URL: http://fakeroot.alioth.debian.org/
Source0: http://ftp.debian.org/debian/pool/main/f/fakeroot/%{name}_%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{ver}-root
BuildRequires: sharutils, util-linux-ng
Requires: util-linux-ng

%description
Fakeroot gives a fake root environment.

%prep
%setup

%build
for type in sysv tcp; do
 mkdir obj-$type
 cd obj-$type
 cat >> configure << 'EOF'
#! /bin/sh
exec ../configure "$@"
EOF
 chmod +x configure
 %configure \
   --disable-dependency-tracking \
   --disable-static \
   --libdir=%{_libdir}/libfakeroot \
   --with-ipc=$type \
   --program-suffix=-$type
 make
 cd ..
done

%install
rm -rf %{buildroot}
for type in sysv tcp; do
  make -C obj-$type install libdir=%{_libdir}/libfakeroot DESTDIR=%{buildroot}
  chmod 644 %{buildroot}%{_libdir}/libfakeroot/libfakeroot-0.so 
  mv %{buildroot}%{_libdir}/libfakeroot/libfakeroot-0.so \
     %{buildroot}%{_libdir}/libfakeroot/libfakeroot-$type.so
  strip -s %{buildroot}%{_libdir}/libfakeroot/libfakeroot-$type.so
  rm -f %{buildroot}%{_libdir}/libfakeroot/libfakeroot.so
  rm -f %{buildroot}%{_libdir}/libfakeroot/libfakeroot.*a*
done

ln -s faked-tcp %{buildroot}%{_bindir}/faked
ln -s fakeroot-tcp %{buildroot}%{_bindir}/fakeroot
ln -s libfakeroot-tcp.so %{buildroot}%{_libdir}/libfakeroot/libfakeroot-0.so

%clean
rm -rf %buildroot

%post
/sbin/ldconfig -n %{_libdir}/libfakeroot

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS BUGS DEBUG doc/README.saving debian/changelog
%{_bindir}/faked-*
%{_bindir}/faked
%{_bindir}/fakeroot-*
%{_bindir}/fakeroot
%{_mandir}/man1/faked-*.1*
%{_mandir}/man1/fakeroot-*.1*
%lang(es) %{_mandir}/es/man1/faked-*.1*
%lang(es) %{_mandir}/es/man1/fakeroot-*.1*
%lang(fr) %{_mandir}/fr/man1/faked-*.1*
%lang(fr) %{_mandir}/fr/man1/fakeroot-*.1*
%lang(sv) %{_mandir}/sv/man1/faked-*.1*
%lang(sv) %{_mandir}/sv/man1/fakeroot-*.1*
%lang(nl) %{_mandir}/nl/man1/faked-*.1*
%lang(nl) %{_mandir}/nl/man1/fakeroot-*.1*
%dir %{_libdir}/libfakeroot
%{_libdir}/libfakeroot/libfakeroot-*.so
%{_libdir}/libfakeroot/libfakeroot-0.so


%changelog
* Tue Feb 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12.4-1
- new upstream release
- build with --with-ipc=tcp and --with-ipc=sysv, default is tcp.
  - fakeroot-{tcp,sysv}

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.5.10-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sun Jul  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.10-0vl1
- new upstream release
- rebuilt with new toolchain

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.3-0vl1
- build for Vine Linux
