%define gstreamer_ver	0.10.13
%define jingle_ver	0.3.11

Summary:	A audio/video conferencing framework
Summary(ja):	音声/ビデオ会議フレームワーク

Name:		farsight
Version:	0.1.28
Release:        2%{?_dist_release}

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://farsight.freedesktop.org/wiki/
Source0:	http://farsight.freedesktop.org/releases/farsight/farsight-%{version}.tar.gz
Patch0:		%{name}-0.1.26-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	gstreamer-devel >= %{gstreamer_ver}
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	libjingle-devel >= %{jingle_ver}
BuildRequires:	check-devel >= 0.9.4
BuildRequires:	gtk-doc

Requires:	gstreamer-plugins-farsight


%description
FarSight is an audio/video conferencing framework specifically designed
for Instant Messengers. It aims to provide a code structure that will be
able to absorb as many video conferencing protocols as possible. It also
offers an interface to those Instant Messengers, allowing them to embed
the video feeds and controls into them.

FarSight is not a standalone application. It provides two APIs, one for
interfacing with the different "protocol modules" and one for interfacing
with the Instant Messenger GUI.


%package	devel
Summary:	Development files for %{name}
Summary(ja):	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjingle-devel
Requires:	gstreamer-devel 
Requires:	gstreamer-plugins-base-devel
Requires:	pkgconfig


%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
%configure --disable-static		\
	   --disable-sequence-diagrams	\
	   --disable-sofia-sip		\
	   --disable-gnet		\
	   --disable-msnwebcam		\
	   --disable-yahoowebcam	\
	   --enable-jingle-p2p		\
	   --enable-rtp			\
	   --enable-gtk-doc

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/gstelements.conf
%config(noreplace) %{_sysconfdir}/%{name}/gstcodecs.conf
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}-0.1-3
%{_libdir}/%{name}-0.1-3/*.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-0.1.so
%{_libdir}/pkgconfig/%{name}-0.1.pc
%{_includedir}/%{name}-0.1/
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.28-2
- rebuild with rpm-4.8.1

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.1.28-1
- initial build for Vine Linux

* Fri May  9 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.28-1
- Update to 0.1.28.
- Drop darth vader patch.  Fixed upstream.

* Fri May  2 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.27-2
- Add patch to fix speex voip to not sound like Dart Vader.

* Tue Apr 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.27-1
- Update to 0.1.27.

* Thu Mar 27 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.26-1
- Update to 0.1.26.

* Sun Mar 16 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.25-4
- Add patch to fix build w/ gcc-4.3.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.25-3
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.1.25-2
- Rebuild for gcc-4.3.

* Sun Sep 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.25-1
- Update to 0.1.25.

* Wed Aug 22 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.24-1
- Update to 0.1.24.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.23-3
- Rebuild.

* Fri Aug 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.23-2
- Add new conf file.
- Add BR on check-devel.

* Fri Aug 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.23-1
- Update to 0.1.23.

* Thu Aug  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.21-2
- Update license tag.

* Mon Jul 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.21-1
- Update to 0.1.21.

* Fri Jun 15 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.20-2
- Add min version of libjingle needed.

* Thu Jun 14 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.20-1
- Update to 0.1.20.

* Sun May 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.19-2
- use correct libdir.

* Sun May 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.19-1
- Update to 0.1.19.

* Mon Apr 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17.

* Tue Mar 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.1.15-1
- Update to 0.1.15.
- Update URL & Source to new locations.

* Sun Dec  3 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.10-2
- Add requires for gstreamer-devel & gstreamer-plugins-base-devel to devel package.

* Wed Nov 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.10-1
- Update to 0.1.10.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.1.8-3
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.8-2
- Use correct license (LGPL).

* Wed Sep 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.1.8-1
- Intial FE spec.

