Summary: A fast FrameBuffer based TERMinal emulator for linux
Summary(ja): 高速なフレームバッファベースのターミナルエミュレータ
Name: fbterm
Version: 1.4
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/System
Source0: http://fbterm.googlecode.com/files/%name-%version.tar.gz
Patch1: fbterm-1.4-antialias.patch
URL: http://code.google.com/p/fbterm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: freetype2-devel
BuildRequires: fontconfig-devel

%description
FbTerm is a fast terminal emulator for linux with frame buffer. Features
include: 

* mostly as fast as terminal of linux kernel while accelerated scrolling
  is enabled on framebuffer device
* select font with fontconfig and draw text with freetype2, same as
  Qt/Gtk+ based GUI apps
* dynamicly create/destroy up to 10 windows initially running default
  shell
* record scrollback history for every window 
* auto-detect text encoding with current locale, support double width
  scripts like Chinese, Japanese etc
* switch between configurable additional text encodings with hot keys on
  the fly 
* copy/past selected text between windows with mouse when gpm server is
  running

%prep
%setup -q
%patch1 -p1

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Apr 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4-1
- new upstream release
- add patch1 to use antialiased font.

* Tue Jan 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-1
- new upstream release

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- initial build for Vine Linux

* Sat Aug 23 2008 Funda Wang <fundawang@mandriva.org> 1.1-1mdv2009.0
+ Revision: 275412
- import fbterm


