Summary: A simple FastCGI server for CGI applications.
Summary(ja): CGIアプリケーションを動作させるためのシンプルなFastCGIサーバ
Name: fcgiwrap
Version: 1.0.3
Release: 2%{?_dist_release}
License: GPL+
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Source1: fcgiwrap_params
Source2: fcgiwrap.init
Source3: fcgiwrap.sysconfig
URL: http://nginx.localdomain.pl/wiki/FcgiWrap
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: spawn-fcgi
BuildRequires: fcgi-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description
 fcgiwrap is a simple server for running CGI applications over FastCGI.
It hopes to provide clean CGI support to Nginx (and other web servers
that may need it).

%description -l ja
  fcgiwrapは、Nginx等のCGIをサポートしていないWebサーバ上でCGIアプリケー
ションを動作させるための、シンプルなFastCGIサーバです。

%package nginx
Summary: A Nginx configuration file to use fcgiwrap
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: nginx

%description nginx
 This package contains a Nginx configuration file to use fcgiwrap.


%prep
%setup -q
autoreconf -i

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mv %{buildroot}%{_prefix}%{_prefix}/* %{buildroot}%{_prefix}/
mkdir -p %{buildroot}%{_sysconfdir}/{nginx,sysconfig}
mkdir -p %{buildroot}%{_initdir}/
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/nginx/
install -m755 %{SOURCE2} %{buildroot}%{_initdir}/fcgiwrap
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/fcgiwrap

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add fcgiwrap

%preun
if [ $1 -eq 0 ]; then
  /sbin/service fcgiwrap stop > /dev/null 2>&1
  /sbin/chkconfig --del fcgiwrap
fi

%postun
if [ $1 -ge 1 ]; then
  /sbin/service fcgiwrap condrestart 2>&1 >/dev/null
fi

%files
%defattr(-,root,root)
%doc README.rst
%{_sbindir}/fcgiwrap
%{_mandir}/man8/fcgiwrap.8*
%config(noreplace) %{_sysconfdir}/sysconfig/fcgiwrap
%attr(0755,root,root) %{_initdir}/fcgiwrap

%files nginx
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/nginx/fcgiwrap_params

%changelog
* Fri Apr 27 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-2
- fixed configurations.

* Thu May 19 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.3-1
- initial built.

