%define debug_package %{nil}

Name:           ffcall
Version:        1.10
Release:        6.20100903cvs.1%{?_dist_release}
Summary:        Libraries for foreign function call interfaces

Group:          System Environment/Libraries
License:        GPLv2+
URL:		http://www.gnu.org/software/libffcall/
# There has been no official release for several years, and the project web
# site encourages use of a CVS snapshot.  Make the tarball as follows:
#   cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/libffcall 
#       export -D 2010-09-04 ffcall
#   tar cJf ffcall-20100903cvs.tar.xz ffcall
Source0:        ffcall-20100903cvs.tar.xz
# This patch will not be sent upstream.  It removes the possibility of using
# mprotect() to make memory executable, as that runs afoul of SELinux.
Patch0:         ffcall-trampoline.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root


%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.


%prep
%setup -q -n ffcall
%patch0

find . -name \*.o | xargs rm -f

%build
export CFLAGS="%{optflags} -fPIC -DMAP_VARIABLE=2"
%configure
make # %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}
make install DESTDIR=%{buildroot}
rm -fr %{buildroot}%{_datadir}/html
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%doc avcall/avcall.html
%doc callback/callback.html
%doc callback/trampoline_r/trampoline_r.html
%doc trampoline/trampoline.html
%doc vacall/vacall.html
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man*/*


%changelog
* Fri Mar 23 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.10-6.20100903cvs.1
- updated to 20100903 cvs source

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.10-5.20080704cvs.1
- initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4.20080704cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3.20080704cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> - 1.10-2.20080704cvs.1
- Fix -FPIC issue (BZ #475112)

* Fri Jul  4 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.10-2.20080704cvs
- update to cvs 20080704
- support for ppc64

* Mon Feb 25 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.10-1
- first Fedora release
