Summary: The finger client.
Summary(ja): finger クライアント
Name: finger
Version: 0.17
Release: 36%{?_dist_release}
License: BSD
Group: Applications/Internet
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/bsd-finger-%{version}.tar.gz
Source1: finger-xinetd
Patch1: bsd-finger-0.16-pts.patch
Patch2: bsd-finger-0.17-exact.patch
Patch3: bsd-finger-0.16-allocbroken.patch
Patch4: bsd-finger-0.17-rfc742.patch
Patch5: bsd-finger-0.17-time.patch
Patch6: bsd-finger-0.17-usagi-ipv6.patch
Patch7: bsd-finger-0.17-typo.patch
Patch8: bsd-finger-0.17-strip.patch
Patch9: bsd-finger-0.17-utmp.patch
Patch10: bsd-finger-wide-char-support5.patch
Patch11: bsd-finger-0.17-init-realname.patch
Patch12: bsd-finger-0.17-host-info.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibc-devel, perl


%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger package includes a standard
finger client.

You should install finger if you'd like to retreive finger information
from other systems.

%description -l ja
finger はシステムを使用しているユーザの情報 (ログイン名，ホームディレクトリ，
氏名，システムにログインしてからの時間等) を見ることが出来るユーティリティ
です．finger パッケージには標準的な finger クライアントが含まれます．

他のシステムから finger 情報を見るには finger をインストールして下さい．


%package server
Summary: The finger daemon.
Summary(ja): finger デーモン
Group: System Environment/Daemons
Requires: xinetd

%description server
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The finger-server package includes a standard
finger server. The server daemon (fingerd) runs from /etc/inetd.conf,
which must be modified to disable finger requests.

You should install finger-server if your system is used by multiple users
and you'd like finger information to be available.

%description server -l ja
finger はシステムを使用しているユーザの情報 (ログイン名，ホームディレクトリ，
氏名，システムにログインしてからの時間等) を見ることが出来るユーティリティ
です．finger-server パッケージには標準的な finger サーバが含まれます．
サーバデーモン (fingerd) は /etc/inetd.conf から起動されますので，
finger リクエストを無効にするにはこのファイルを編集して下さい．

あなたのシステムが複数のユーザによって使われていて finger 情報を
提供するには finger-server パッケージをインストールして下さい．


%prep
%setup -q -n bsd-finger-%{version}
%patch1 -p1 -b .pts
%patch2 -p1 -b .exact
%patch3 -p1
%patch4 -p1 -b .rfc742
%patch5 -p1 -b .time
%patch6 -p1 -b .ipv6
%patch7 -p1 -b .typo
%patch8 -p1 -b .strip
%patch9 -p1 -b .utmp
%patch10 -p1 -b .widechar
%patch11 -p1 -b .realname
%patch12 -p1 -b .host

%build
sh configure --enable-ipv6
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIC"
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    s,^LDFLAGS=.*$,LDFLAGS=-pie,;
    ' MCONFIG

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,8}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/xinetd.d/finger

make INSTALLROOT=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0711,root,root)	%{_bindir}/finger
%{_mandir}/man1/finger.1*

%files server
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/finger
%attr(0711,root,root)	%{_sbindir}/in.fingerd
%{_mandir}/man8/in.fingerd.8*
%{_mandir}/man8/fingerd.8*


%changelog
* Mon Feb 06 2012 NAKAMURA Kenta <kenta@vinelinux.org> 0.17-36
- updated Patch10
- added Patch12 from Fedora
  * Tue Jul 13 2010 Petr Lautrbach <plautrba@redhat.com> 0.17-42
  - print user host information in better format  (#532414) - <spoyarek@redhat.com>

* Sun Jan 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-35
- added Patch11 from Fedora
  * Mon Sep  7 2009 Radek Vokal <rvokal@redhat.com> - 0.17-39
  - init realname fix (#520203)
- Requires: xinetd instead of inetd at server package

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 0.17-34
- added compile option -fPIC

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-33
- applied new versioning policy
- spec in UTF-8

* Sat Jan 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-32vl1
- based on Redhat Rawhide 0.17-32
  * Thu Dec 15 2005 Radek Vokal <rvokal@redhat.com> 0.17-32
  - another UTF-8 fix
  * Tue Dec 13 2005 Radek Vokal <rvokal@redhat.com> 0.17-31
  - real UTF-8 patch by <bnocera@redhat.com>
  * Mon Nov 28 2005 Radek Vokal <rvokal@redhat.com> 0.17-30
  - make finger UTF-8 happy (#174352)
  * Wed Jul 13 2005 Radek Vokal <rvokal@redhat.com> 0.17-29
  - make finger world readable (#162643)
  * Tue Jun 15 2004 Alan Cox <alan@redhat.com>
  - Made finger agree with our other apps about how utmp is managed
  - Removed dead users from the lists as a result
  - Fixed random idle time bug
  * Wed Feb 25 2004 Phil Knirsch <pknirsch@redhat.com> 0.17-21
  - Made fingerd PIE.

* Sun Sep 21 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-18vl1
- based on Redhat Rawhide 0.17-18.1
  * Mon Sep 01 2003 Phil Knirsch <pknirsch@redhat.com> 0.17-18
  - Fixed manpage bug (#75705).
  * Wed Jun 19 2002 Phil Knirsch <pknirsch@redhat.com> 0.17-13
  - Don't forcibly strip binaries
  * Thu Jan 24 2002 Phil Knirsch <pknirsch@redhat.com>
  - Fixed various typos in manpage/app (#51891, #54916, #57588)
- rebuilt with new toolchains
- s/Copyright/License/

* Wed Dec 19 2001 Toru Sagami <sagami@vinelinux.org> 0.17-3vl4
- added a patch to build on glibc22 system

* Tue Jan 09 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 0.17-3vl3
- Oops, spec was written in SJIS...

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.17-3vl2
- added Japanese summary and description
- rebuilt under new %%{_mandir} definitions

* Mon Sep 18 2000 Jun Nishii <jun@vinelinux.org>
- requires inetd instead of xinetd for Vine Linux 2.1

* Sat Jul 22 2000 Jeff Johnson <jbj@redhat.com>
- fix RFC742 problem (again) (#6728).

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- add description & default to xinetd file

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to 0.17.

* Wed May 31 2000 Cristian Gafton <gafton@redhat.com>
- fix the broken malloc code in finger client

* Mon May 22 2000 Trond Eivind Glomsr <teg@redhat.com>
- converted to use /etc/xinetd.d

* Tue May 16 2000 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- make some files mode -rwx--x--x as a security hardening measure 

* Fri Feb 11 2000 Bill Nottingham <notting@redhat.com>
- fix description

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix decsription
- man pages are compressed

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- split client and server

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Wed Jul 28 1999 Jeff Johnson <jbj@redhat.com>
- exact match w/o -m and add missing pts patch (#2118).
- recompile with correct PATH_MAILDIR (#4218).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure
