%define xmmsinputdir %{_libdir}/xmms/Input
%define srcname flac

Summary:	FLAC - Free Lossless Audio Codec
Summary(ja):	FLAC - フリーの可逆音声圧縮コーデック
Name:		flac111
Version:	1.1.1
Release:	1%{?_dist_release}
License:	GPL/LGPL
Group:		Applications/Multimedia
Source:		http://prdownloads.sourceforge.net/flac/%{srcname}-%{version}.tar.gz
URL:		http://flac.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg
BuildRequires:	libogg-devel
%ifarch %ix86
BuildRequires:	nasm
%endif

Vendor:		Project Vine
Distribution:	Vine Linux

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
similar to MP3, but lossless.

The FLAC project consists of:

  * the stream format
  * libFLAC  - reference encoders and decoders in library form
  * flac     - a command-line program to encode and decode FLAC files
  * metaflac - a command-line metadata editor for FLAC files
  * input plugins for various music players

This package contains the FLAC libraries to use applications compiled with
FLAC-1.1.1.

%description -l ja
FLAC (Free Lossless Audio Codec) はフリーの可逆音声圧縮コーデックです。
MP3 に似ていますが、音質が劣化しません。

FLAC プロジェクトは以下により構成されています。

  * ストリーム形式
  * libFLAC  - リファレンスエンコーダ/デコーダを実装するライブラリ
  * flac     - FLAC ファイルのエンコード/デコードに使用するコマンドライン版
               プログラム。
  * metaflac - FLAC ファイルのコマンドライン版メタデータエディタ
  * 各種音楽再生プログラム用入力プラグイン

このパッケージには、FLAC-1.1.1 でコンパイルされたアプリケーションを使うため
に必要なライブラリが含まれています。


%prep
%setup -q -n %{srcname}-%{version}

%build
%configure
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%makeinstall \
	xmmsinputplugindir=%{buildroot}%{xmmsinputdir}

%clean
%__rm -rf %{buildroot}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README
%{_libdir}/*.so.*


%changelog
* Sun Sep 07 2008 Shu KONNO <owa@bg.wakwak.com> 1.1.1-1vl5
- applied new versioning policy, spec in utf-8

* Sun Feb 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- change package-name from flac to flac111
- drop patches

* Fri Jan 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl5
- fix typo

* Sat Dec 18 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl4
- move html docs to devel package

* Wed Dec 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl3
- add input plugin for beepmp based on for xmms (patch1)
  - BuildRequires: beepmp-devel >= 0.9.7
- define build_*_plugin macros to build input plugin sub-packages
- update description

* Thu Nov 04 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl2
- drop BuildRequires: zlib-devel (was required to build with id3lib)

* Fri Oct 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- drop (Build)Requires: id3lib(-devel)

* Sun Aug 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl0.1
- 1.1.1-beta1
- add BuildRequires: gtk+-devel, zlib-devel

* Mon May 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl3
- xmms-flac
  - enable to convert charset from/to EUC-JP-MS (Patch0)
  - Requires: glibc >= 2.3.3

* Tue Apr 20 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl2
- fix docs

* Thu Apr 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- first build for Vine Linux

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.
- Updated description.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix nasm dep to be only for ix86.

* Mon Jan 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.0.

* Sun Jan  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against the latest id3lib for the xmms plugin.

* Thu Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed location of include files, doh!

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Sep 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.4.
- Removed obsolete build patch, the xmms plugin builds cleanly at last!

* Thu Jul  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

