%define origversion 20120101

Summary: Outline and bitmap font editor
Summary(ja): アウトライン・ビットマップフォントエディタ
Name: fontforge
Version: %{origversion}
Release: 2%{?_dist_release}
License: BSD
Group: Applications/Publishing
URL: http://fontforge.sourceforge.net/
Source: fontforge_full-%{origversion}.tar.bz2
Source10: %{name}.desktop
Source20: %{name}.png
Patch1:  fontforge-20090224-pythondl.patch
Patch10: fontforge-browser.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xorg-x11-proto-devel
BuildRequires: libXt-devel
BuildRequires: freetype2-devel
BuildRequires: libuninameslist-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: giflib-devel
BuildRequires: libxml2-devel
BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires:  pango-devel
BuildRequires:  cairo-devel
Obsoletes: pfaedit
Obsoletes: fontforge-devel <= 20050310

Requires: xdg-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
FontForge (former PfaEdit) is a font editor for outline and bitmap
fonts. It supports a range of font formats, including PostScript
(ASCII and binary Type 1, some Type 3 and Type 0), TrueType, OpenType
(Type2) and CID-keyed fonts.

%prep
%setup -q -n %{name}-%{origversion}
%patch1 -p1
%patch10 -p1 -b .browser

%{__cp} %{SOURCE10} %{name}.desktop

%build
%configure --with-freetype-bytecode=no -with-regular-link --enable-pyextension
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--vendor "" \
	--dir %{buildroot}%{_datadir}/applications \
	fontforge.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/fontforge

%{__install} -d -m0755 %{buildroot}%{_datadir}/pixmaps/
%{__install} -m644 %{SOURCE20} %{buildroot}%{_datadir}/pixmaps/

%find_lang FontForge

%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig 2>/dev/null
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
/sbin/ldconfig 2>/dev/null
update-desktop-database %{_datadir}/applications &>/dev/null || :

%files -f FontForge.lang
%defattr(-, root, root, 0755)
%doc AUTHORS LICENSE README-unix
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/fontforge.pc
%dir %{_includedir}/fontforge
%{_includedir}/fontforge/*
%{_datadir}/applications/fontforge.desktop
%{_datadir}/pixmaps/fontforge.png
%{_datadir}/fontforge
%{_mandir}/man1/*.1*
%{python_sitearch}/fontforge-1.0-py2.7.egg-info
%{python_sitearch}/fontforge.so
%{python_sitearch}/psMat.so

%changelog
* Fri Apr 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20120101-2
- enable pyextensions

* Tue Feb 28 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20120101-1
- update to upstream git snapshot

* Tue Feb 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20110222-3
- rebuild with python-2.7

* Tue Jan 31 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20110222-2
- add patch2
  - http://sourceforge.net/mailarchive/message.php?msg_id=27133628

* Sun Jul 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 20110222-1
- new upstream version

* Mon Sep 27 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 20100501-1
- new upstream release

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 20090923-3
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Feb 05 2010 Shu KONNO <owa@bg.wakwak.com> 20090923-2
- rebuilt with python-2.6.4-3

* Sat Nov 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090923-1
- new upstream release
- add BR: pango-devel, cairo-devel

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090408-1
- new upstream release

* Mon Nov 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20081115-1
- new upstream release

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20080429-2
- rebuild with python2.5

* Sun Jun 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20080429-1
- new upstream release
- build with xorg-x11-7.3
- add Requires: xdg-utils

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20070723-1
- rebuild with xorg-x11-7.3

* Mon Jul 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 20070723-0vl1
- new upstream release

* Sat May 05 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 20070501-0vl1
- new upstream release

* Wed Sep 13 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 20060822-0vl1
- new upstream release
- add -q option to %%setup

* Sun Jul 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 20060703-0vl1
- new upstream release

* Mon Oct 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 20050502-0vl1
- new upstream release
- update Summaries and descriptions, URL...
- add fontforge icons and desktop file
- add Patch10 to prefer htmlview or firefox for default browser

* Sat Mar 12 2005 Jun NISHII <jun@vinelinux.org>
- move to fontforge

* Fri Jul 19 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/07/15.

* Fri Apr 19 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/04/16.

* Sun Mar 3 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/03/02.

* Mon Feb 18 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/16.

* Sat Feb 16 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/14.

* Thu Feb 14 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/12.

* Mon Feb 10 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/09.

* Sat Feb 9 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Change SPEC file to VineLinux Style
- Updated to 2002/02/05.

* Fri Nov  2 2001 George Williams <gww@silcom.com>
- went from three source packages down to just one which includes the others

* Thu May 10 2001 George Williams <gww@silcom.com>
- My first attempt at rpm, updated to 10 May sources

* Tue May 01 2001 Scott Pakin <pakin@uiuc.edu>
- Removed (unused) dynamic library files

* Sun Apr 29 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 220401 to 280401.

* Tue Apr 24 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 190401 to 220401.

* Fri Apr 20 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 020401 to 190401.

* Tue Apr 10 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 210301 to 020401.

* Thu Mar 22 2001 Scott Pakin <pakin@uiuc.edu>
- Initial release
