Summary:	Digital Photo editor
Summary(ja):	デジタル写真編集ソフトウェア

Name:		fotoxx
Version:	10.11.1
Release:	1%{?_dist_release}

Group:		Applications/Multimedia
License:	GPLv2
URL:		http://kornelix.squarespace.com/%{name}

Source0:	http://kornelix.squarespace.com/storage/downloads/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	desktop-file-utils
BuildRequires:  freeimage-devel
BuildRequires:	gtk2-devel
BuildRequires:  libtiff-devel
BuildRequires:	perl-Image-ExifTool 
BuildRequires:  ufraw
BuildRequires:  xdg-utils

Requires:	perl-Image-ExifTool
Requires:	printoxx
Requires:	ufraw
Requires:	xdg-utils

%description
Fotoxx is a free open source Linux program for editing image files
from a digital camera. The goal of fotoxx is to meet most image editing
needs while remaining easy to use.

%prep
%setup -q 

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; 
make %{?_smp_mflags} PREFIX=%{_prefix} DOCDIR=%{_docdir}/%{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT
make install manpage DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} DOCDIR=%{_docdir}/%{name}-%{version}
install -Dm 644 -p icons/%{name}.png  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="" \
  --mode 644 \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/icons/
%{_datadir}/%{name}/locales/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*

%changelog
* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 10.11.1-1
- updated to 10.11.1
- built with new toolchains

* Thu Jun 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0-1
- initial build for Vine Linux

* Wed Feb 25 2009 Dennis Gilmore <dennis@ausil.us> - 6.0-3
- add patch to dynamically link to libfreeimage

* Wed Feb 25 2009 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 6.0-2
- Forgot patch

* Wed Feb 25 2009 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 6.0-1
- New version 6.0
- Adjust Source0 url (inspired by Kevin Fenzi in fedora-devel-list: https://www.redhat.com/archives/fedora-devel-list/2009-February/msg01622.html ).

* Wed Feb 25 2009 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 5.8-2
- Add patch0 fotoxx-5.8.constchar.patch
- Reformat spec with tabs, remove trailing spaces.

* Sun Jan  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.8-1
- Rebuild for 5.8
* Mon Dec  1 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.7-1
- Rebuild for 5.7
* Sun Nov 16 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.6-1
- Rebuild for 5.6
* Tue Nov  4 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.5-1
- Rebuild for 5.5
* Thu Oct  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.4-1
- Rebuild for 5.4
* Thu Sep 18 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.3-1
- Rebuild for 5.3
* Sun Aug 31 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.2-1
- Rebuild for 5.2
* Sun Aug 24 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.1-1
- Rebuild for 5.1
* Fri Aug  8 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.0.1-1
- Rebuild for 5.0.1
* Sat Aug  2 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 5.0-1
- Rebuild for 5.0
* Tue Jul 22 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 4.9-1
- Initial build
