Summary:	A font rendering library for OpenGL
Summary(ja):	OpenGL 用のフォントレンダリングライブラリ
Name:		ftgl
Version:	2.1.3
Release:	2.rc5%{?_dist_release}
License:	LGPL
Group:		System Environment/Libraries
URL:		http://ftgl.wiki.sourceforge.net/

Source0:	http://downloads.sourceforge.net/ftgl/ftgl-%{version}-rc5.tar.bz2
Patch0:         ftgl-2.1.3-rc5-ttf_font.patch
Patch1:         ftgl-2.1.3-rc5-ldflags.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype2-devel, mesa-libGL-devel, freeglut-devel
BuildRequires:  libXi-devel, libXmu-devel, cppunit-devel
BuildRequires:	pkgconfig
BuildRequires:	doxygen

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	daisuke

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL applications. Unlike other OpenGL font libraries
FTGL uses standard font file formats so doesn't need a preprocessing step
to convert the high quality font data into a lesser quality, proprietary
format. FTGL uses the Freetype font library to open and 'decode' the fonts.
It then takes that output and stores it in a format most efficient for
OpenGL rendering.

Rendering modes supported are:
 * Bit maps
 * Anti aliased pix maps
 * Texture maps
 * Outlines
 * Polygon meshes
 * Extruded polygon meshes

%package devel
Summary:	Development files for FTGL
Summary(ja):	FTGL の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype2-devel, mesa-libGL-devel
Requires:	pkgconfig

%description devel
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL applications. Unlike other OpenGL font libraries
FTGL uses standard font file formats so doesn't need a preprocessing step
to convert the high quality font data into a lesser quality, proprietary
format. FTGL uses the Freetype font library to open and 'decode' the fonts.
It then takes that output and stores it in a format most efficient for
OpenGL rendering.

This package contains the libraries and header files necessary to develop
applications with FTGL.

%prep
%setup -q -n ftgl-2.1.3~rc5
%patch0 -p1 -b .destdir
%patch1 -p1 -b .ldflags

%build
%configure \
  --enable-shared \
  --disable-static \
  --with-gl-inc=%{_includedir} \
  --with-gl-lib=%{_libdir} \
  --with-glut-inc=%{_includedir} \
  --with-glut-lib=%{_libdir} \
  --with-x

%__make all %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Doc fixes
mkdir -p __doc/html
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/doc/ftgl/html/* __doc/html
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc __doc/*
%{_includedir}/FTGL
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 30 2010 Shu KONNO <owa@bg.wakwak.com> 2.1.3-2.rc5
- rebuilt with rpm-4.8.1 for pkg-config

* Mon May 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-1.rc5
- update to 2.1.3-rc5
- add BR: libXi-devel, libXmu-devel, cppunit-devel

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.2-1vl5
- applied new versioning policy, spec in utf-8
- excluded lib*.la

* Thu Feb 08 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.1.2-0vl1
- initial build for Vine Linux

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.0
+ Revision: 113842
- Import ftgl

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.1
- fix build
- new version

* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-5mdv2007.0
- fix correct usage of %%mklibname

* Tue Aug 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.11-4mdv2007.0
- rebuild for new xorg
- %%mkrel

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.11-3mdk
- Rebuild

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-2mdk
- Fix build (thx Stefan's bot)

* Thu Nov 04 2004 Abel Cheung <deaddog@mandrake.org> 2.0.11-1mdk
- First Mandrake package
- Patch0: Patch .pc file to use freetype2.pc
