%define DATE        20050503

%define VERSION     3.3.6
%define RELEASE     7%{?_dist_release}

%define gcc_version %{VERSION}
%define gcc_release %{RELEASE}
%define _unpackaged_files_terminate_build 0

%define gcj_major 4

# VINE: disable building ada, 'cause it requires ada to build :(
#%ifarch %{ix86} alpha ia64 ppc
#%define build_ada 1
#%else
%define build_ada 0
#%endif

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%ifarch x86_64
%define gcclib_dir %{_prefix}/lib/gcc-lib
%else
%define gcclib_dir %{_libdir}/gcc-lib
%endif

Summary: Various compilers (C, C++, Objective-C, Java, ...)
Summary(ja): GNU コンパイラ集 - C コンパイラを含む基本パッケージ
Name: gcc3
Version: %{gcc_version}
Release: %{gcc_release}
License: GPL
Group: Development/Languages

Source0: gcc-%{version}-%{DATE}.tar.bz2
#GCC#Source0: gcc-%{version}.tar.bz2

URL: http://gcc.gnu.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: binutils >= 2.13.90.0.10
BuildRequires: zlib-devel, gettext, dejagnu
BuildRequires: texinfo >= 4.2
# Make sure pthread.h doesn't contain __thread tokens
BuildRequires: glibc-devel >= 2.2.90-12
%if %{build_ada}
# Ada requires Ada to build
BuildRequires: gcc-gnat >= 3.1, libgnat >= 3.1
%endif
Requires: gcc3-cpp = %{version}-%{release}
# Need .eh_frame ld optimizations
# Need proper visibility support
Requires: binutils >= 2.13.90.0.10
# Make sure gdb will understand DW_FORM_strp
Conflicts: gdb < 5.1-2
Requires: glibc-devel >= 2.2.90-12
Requires: libgcc >= %{version}-%{release}
#Obsoletes: egcs
%ifarch sparc sparc64
#Obsoletes: egcs64
%endif

Requires(post,postun): alternatives
Obsoletes: gcc-launcher

# from fc
Patch1: gcc33-multi32-hack.patch
Patch2: gcc33-ice-hack.patch
Patch3: gcc33-ppc64-m32-m64-multilib-only.patch
Patch4: gcc33-sched-ebb-cselib.patch
Patch6: gcc33-huge-alloca.patch
Patch10: gcc33-c++-builtin-expect.patch
Patch11: gcc33-pie.patch

# from mdv
Patch50: gcc33-i386-mtune.patch

## Vine Source(s)/Patch(es)
Patch100: gcc33-ppc-libf2c.patch
Patch200: gcc-3.3.6-ppc-cpuspec-fix.patch
Patch300: gcc-3.3.6-ppc-accept-m32.patch
Patch400: gcc33-bison.patch

%define _gnu %{nil}
%{expand: %%{global} _gcc_is_%{_target_cpu} %%{nil}}
%{?_gcc_is_sparc: %global gcc_target_platform sparc64-%{_vendor}-%{_target_os}}
%{!?_gcc_is_sparc: %global gcc_target_platform %{_target_platform}}


################################################# gcc


%description
The gcc package contains the GNU Compiler Collection version %{version}.
You'll need this package in order to compile C code.

%description -l ja
gcc パッケージには、GNU Compiler Collection バージョン %{version} が
含まれています。C のソースコードをコンパイルするにはこのパッケージが
必要となります。


################################################# libgcc


##VINE##%package -n libgcc
##VINE##Summary: GCC version %{version} shared support library
##VINE##Summary(ja): GCC バージョン %{version} 共有サポートライブラリ
##VINE##Group: System Environment/Libraries
##VINE##
##VINE##
##VINE##%description -n libgcc
##VINE##This package contains GCC shared support library which is needed
##VINE##e.g. for exception handling support.
##VINE##
##VINE##%description -n libgcc -l ja
##VINE##このパッケージには GCC 共有サポートライブラリが含まれます。
##VINE##これは例えば例外ハンドリングサポートに必要です。


################################################# g++


%package c++
Summary: C++ support for GCC
Summary(ja): GNU コンパイラ集 - C++ サポート
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: gcc3-cpp = %{version}-%{release}
Requires: libstdc++3 = %{version}
Requires: libstdc++3-devel = %{version}

Obsoletes: gcc-c++-launcher
Requires(post,postun): alternatives


%description c++
This package adds C++ support to the GNU Compiler Collection.
It includes support for most of the current C++ specification,
including templates and exception handling.

%description c++ -l ja
このパッケージは GNU Compiler Collection に C++ サポートを追加します。
テンプレートと例外ハンドリングサポートを含む、現在の C++ 仕様の多くを
サポートします。


################################################# libstdc++


%package -n libstdc++3
Summary: GNU Standard C++ Library
Summary(ja): GNU コンパイラ集 - C++ ライブラリ
Group: System Environment/Libraries

# in 2.1 and 2.1.5 (2.9.0, 2.10.0)
##VINE##Obsoletes: libstdc++
##VINE##Provides: libstdc++
Obsoletes: compat32-libstdc++3 < %{version}-%{release}


%description -n libstdc++3
The libstdc++3 package contains a rewritten standard compliant GCC Standard
C++ Library.

%description -n libstdc++3 -l ja
libstdc++3 パッケージには、標準準拠に書き直された
GCC 標準 C++ ライブラリが収録されています。


################################################# compat32-libstdc++


%package -n compat32-libstdc++3
Summary: GNU Standard C++ Library
Summary(ja): GNU コンパイラ集 - C++ ライブラリ
Group: System Environment/Libraries
Requires: libstdc++3 = %{version}-%{release}

%description -n compat32-libstdc++3
The libstdc++3 package contains a rewritten standard compliant GCC Standard
C++ Library.

%description -n compat32-libstdc++3 -l ja
libstdc++3 パッケージには、標準準拠に書き直された
GCC 標準 C++ ライブラリが収録されています。


################################################# libstdc++-devel


%package -n libstdc++3-devel
Summary: Header files and libraries for C++ development
Summary(ja): GNU コンパイラ集 - C++ 開発用ヘッダ/ライブラリ
Group: Development/Libraries
Requires: libstdc++3 = %{version}-%{release}
##VINE##Obsoletes: libstdc++-devel


%description -n libstdc++3-devel
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes rewritten implementation of STL.

%description -n libstdc++3-devel -l ja
これは標準 C++ ライブラリの GNU 実装です。
このパッケージには C++ 開発に必要なヘッダファイルとライブラリが
収録されています。これには STL の実装も含まれます。


################################################# objc


%package objc
Summary: Objective-C support for GCC
Summary(ja): GNU コンパイラ集 - Objective C サポート
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: gcc3-cpp = %{version}-%{release}
Requires: libobjc3 >= %{version}-%{release}


%description objc
gcc-objc provides Objective-C support for the GCC.
Mainly used on systems running NeXTSTEP, Objective-C is an
object-oriented derivative of the C language.

%description objc -l ja
gcc-objc パッケージは GCC に Objective-C サポートを追加します。
Objective-C は C 言語から派生したオブジェクト指向言語で、
主に NeXTSTEP システムで使われてきました。


################################################# libobjc


%package -n libobjc3
Summary: Objective-C runtime
Summary(ja): GNU コンパイラ集 - Objective C ランタイムライブラリ
Group: System Environment/Libraries

%description -n libobjc3
This package contains Objective-C shared library which is needed to run
Objective-C dynamically linked programs.

%description -n libobjc3 -l ja
このパッケージには Objective-C 共有ライブラリが収められています。
これは Objective-C にダイナミックリンクされたプログラムの実行に必要と
なります。

################################################# g77


%package g77
Summary: Fortran 77 support
Summary(ja): GNU コンパイラ集 - Fortran 77 サポート
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: gcc3-cpp = %{version}-%{release}
Requires: libf2c = %{version}-%{release}

Obsoletes: gcc-g77-launcher
Requires(post,postun): alternatives


%description g77
The gcc-g77 package provides support for compiling Fortran 77
programs with the GNU Compiler Collection.

%description g77 -l ja
gcc-g77 パッケージは GNU Compiler Collection に Fortran 77 プログラムを
コンパイルする機能を追加するものです。


################################################# libf2c


%package -n libf2c
Summary: Fortran 77 runtime
Summary(ja): GNU コンパイラ集 - Fortran 77 ランタイムライブラリ
Group: System Environment/Libraries


%description -n libf2c
This package contains Fortran 77 shared library which is needed to run
Fortran 77 dynamically linked programs.

%description -n libf2c -l ja
このパッケージには Fortran 77 共有ライブラリが収められています。
これは Fortran 77 にダイナミックリンクされたプログラムの実行に必要と
なります。


################################################# java


%package java
Summary: Java support for GCC
Summary(ja): GNU コンパイラ集 - Java サポート
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}
Requires: gcc3-cpp = %{version}-%{release}
Requires: libgcj3 >= %{version}, libgcj3-devel >= %{version}

Obsoletes: gcc-java-launcher
Requires(post,postun): alternatives


%description java
This package adds support for compiling Java(tm) programs and
bytecode into native code.

%description java -l ja
このパッケージは Java(tm) のプログラムをコンパイルし、
ネイティブコードにバイトコードする機能を追加するものです。


################################################# libgcj


%package -n libgcj3
Summary: Java runtime library for gcc
Summary(ja): GNU コンパイラ集 - Java ランタイムライブラリ
Group: System Environment/Libraries
Requires: zip >= 2.1
Requires: fastjar
##VINE##Obsoletes: gcc-libgcj
# Kaffe includes jar too
Conflicts: kaffe


%description -n libgcj3
The Java(tm) runtime library. You will need this package to run your Java
programs compiled using the Java compiler from GNU Compiler Collection (gcj).

%description -n libgcj3 -l ja
Java(tm) ランタイムライブラリです。
このパッケージは GNU Compiler Collection の Java コンパイラ (gcj) を
使ってコンパイルされたプログラムを実行するのに必要となります。


################################################# libgcj-devel


%package -n libgcj3-devel
Summary: Libraries for Java development using GCC
Summary(ja): GNU コンパイラ集 - GCC 向け Java 開発用ライブラリ
Group: Development/Languages
Requires: zip >= 2.1, libgcj3 = %{version}


%description -n libgcj3-devel
The Java(tm) static libraries and C header files. You will need this
package to compile your Java programs using the GCC Java compiler (gcj).

%description -n libgcj3-devel -l ja
Java(tm) スタティックライブラリと C ヘッダファイルです。
GCC Java コンパイラ (gcj) を使って Java プログラムをコンパイルする際に
このパッケージをインストールする必要があります。


################################################# sparc32


%package sparc32
Summary: The C compiler optimized for generating SPARC 32bit code
Summary(ja): GNU コンパイラ集 - SPARC 32bit code 生成に最適化された C コンパイラ
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}, %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libgcc.a


%description sparc32
This package contains the GNU C compiler which only supports generating
32bit SPARC code, but should be faster than the 32/64bit gcc package. You
should install this package if you want to trade disk space required for
this package for faster compilation of 32bit code.

%description sparc32 -l ja
このパッケージには 32bit SPARC コード生成のみをサポートした GNU C コンパイラ
が収録されています。これは 32/64bit gcc パッケージより高速なバイナリを生成
します。このパッケージをインストールする為のディスク容量よりも 32bit コード
の方を優先するなら、このパッケージをインストールするべきでしょう。


################################################# c++-sparc32


%package c++-sparc32
Summary: The C++ compiler optimized for generating SPARC 32bit code
Summary(ja): GNU コンパイラ集 - SPARC 32bit code 生成に最適化された C++ コンパイラ
Group: Development/Languages
Requires: gcc3-c++ = %{version}-%{release}, gcc3-sparc32 = %{version}-%{release}
Requires: %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libstdc++.so


%description c++-sparc32
This package contains the GNU C++ compiler which only supports generating
32bit SPARC code, but should be faster than the 32/64bit gcc package. You
should install this package if you want to trade disk space required for
this package for faster compilation of 32bit code.

%description c++-sparc32 -l ja
このパッケージには 32bit SPARC コード生成のみをサポートした GNU C++ コンパイラ
が収録されています。これは 32/64bit gcc パッケージより高速なバイナリを生成
します。このパッケージをインストールする為のディスク容量よりも 32bit コードの
方を優先するなら、このパッケージをインストールするべきでしょう。


################################################# cpp


%package cpp
Summary: The C Preprocessor.
Summary(ja): GNU コンパイラ集 - C プリプロセッサ
Group: Development/Languages
%ifarch ia64
Obsoletes: gnupro
%endif

# in Vine 2.1.5 (ppc = 2.95.3-2vl3, x86|alpha = 1.1.2-24vl4)
Obsoletes: cpp <= 2.95.3-2vl3

Provides: cpp = %{version}-%{release}
Obsoletes: gcc-cpp-launcher

Requires(post,postun): alternatives


%description cpp
Cpp is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.


################################################# gnat


%package gnat
Summary: Ada 95 support for GCC
Summary(ja): GNU コンパイラ集 - Ada サポート
Group: Development/Languages
Requires: gcc3 = %{version}-%{release}, libgnat = %{version}-%{release}
Requires(post,postun): alternatives

%description gnat
GNAT is a GNU Ada 95 front-end to GCC. This package includes development tools,
the documents and Ada 95 compiler.

%description gnat -l ja
GNAT は GCC 用の GNU Ada 95 フロントエンドです。
このパッケージには Ada 95 コンパイラ、開発ツール、ドキュメントが
収録されています。


################################################# libgnat


%package -n libgnat
Summary: GNU Ada 95 runtime shared libraries
Summary(ja): GNU コンパイラ集 - Ada 95 ランタイム共有ライブラリ
Group: System Environment/Libraries


%description -n libgnat
GNAT is a GNU Ada 95 front-end to GCC. This package includes shared libraries,
which are required to run programs compiled with the GNAT.

%description -n libgnat -l ja
GNAT は GCC 用の GNU Ada 95 フロントエンドです。
このパッケージには GNAT でコンパイルされたプログラムを実行するために必要な
共有ライブラリが収録されています。


################################################# tools


##VINE##%package tools
##VINE##Summary: Coverage tool and prototizing tool for GCC
##VINE##Summary(ja): GNU コンパイラ集 - テストカバレージツールとプロトタイプツール
##VINE##Group: Development/Languages
##VINE##
##VINE##%description tools
##VINE##GNU CC coverage tool and prototizing tool.
##VINE##see the info of gcc.
##VINE##
##VINE##%description tools -l ja
##VINE##GNU CC のテストカバレージツールとプロトタイプツールです。
##VINE##詳しくは gcc の Info をご覧ください。


################################################# docs


##VINE##%package docs
##VINE##Summary: Documents (info, man) of GNU Compiler Collection
##VINE##Summary(ja): GNU コンパイラ集 - GNU CC関係 の man および info です
##VINE##Group: Applications/Documentation
##VINE##PreReq: /sbin/install-info
##VINE##
##VINE##%description docs
##VINE##The documents (info, man) of GNU Compiler Collection.
##VINE##includes gcc, g++, g77, cpp and more.
##VINE##
##VINE##%description docs -l ja
##VINE##GNU Compiler Collection 関係 の man および info です。
##VINE##includes gcc, g++, g77, cpp の man / info などを含みます。


#####################################################################


%prep
%setup -q -n gcc-%{version}-%{DATE}
#GCC#%setup -q

#GCC#%patch0 -p1

#GCC#%ifarch sparc
#GCC#%patch1 -p0 -b .multi32-hack
#GCC#%endif


%ifarch ppc
%patch100 -p0
%patch200 -p1
#%patch300 -p0
%endif

%patch6 -p0 -b .huge-alloca~
%patch10 -p0 -b .c++-builtin-expect~
%patch11 -p1 -b .pie
%patch50 -p1 -b .i386-mtune

%patch400 -p1 -b .bison

perl -pi -e 's/3\.3\.6/3\.3\.6 release (Vine Linux %{gcc_version}-%{gcc_release})/' gcc/version.c

# Misdesign in libstdc++
cp -a libstdc++-v3/config/cpu/i{4,3}86/atomicity.h
#GCC END#

./contrib/gcc_update --touch


#####################################################################


%build

rm -fr obj-%{gcc_target_platform}
mkdir obj-%{gcc_target_platform}
cd obj-%{gcc_target_platform}

if [ ! -f /usr/lib/locale/de_DE/LC_CTYPE ]; then
  mkdir locale
  localedef -f ISO-8859-1 -i de_DE locale/de_DE
  export LOCPATH=`pwd`/locale:/usr/lib/locale
fi

CC=gcc
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-m64//g;s/-m32//g;s/-m31//g'`
%ifarch %{ix86}
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-mtune=pentium4/-mcpu=i686/g'`
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-mtune=generic/-mcpu=i686/g'`
%endif
%ifarch x86_64
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-mtune=nocona//g'`
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-mtune=generic//g'`
%endif
%ifarch sparc sparc64
OPT_FLAGS=`echo $OPT_FLAGS|sed -e 's/-m64//g' -e 's/-m32//g' -e 's/-mcpu=ultrasparc/-mtune=ultrasparc/g'`
%endif
%ifarch sparc64
cat > gcc64 <<"EOF"
#!/bin/sh
exec /usr/bin/gcc -m64 "$@"
EOF
chmod +x gcc64
CC=`pwd`/gcc64
%endif
CC="$CC" CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" XCFLAGS="$OPT_FLAGS" TCFLAGS="$OPT_FLAGS" \
	../configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
	--enable-shared --enable-threads=posix --disable-checking \
	--with-system-zlib --enable-__cxa_atexit \
%ifarch sparc
        --host=%{gcc_target_platform} --build=%{gcc_target_platform} --target=%{gcc_target_platform} --with-cpu=v7
%else
	--host=%{gcc_target_platform}
%endif

make %{?_smp_mflags} bootstrap-lean

%if %{build_ada}
# This doesn't work with -jN
make -C gcc gnatlib-shared
make -C gcc gnattools
make -C gcc/ada doc
%endif

# run the tests.
LANG=C make %{?_smp_mflags} -k check || :
LANG=C make -C %{gcc_target_platform}/libstdc++-v3/testsuite \
	-k check-abi-verbose || :
echo ====================TESTING=========================
( ../contrib/test_summary || : ) 2>&1 | sed -n '/^cat.*EOF/,/^EOF/{/^cat.*EOF/d;/^EOF/d;/^LAST_UPDATED:/d;p;}'
LANG=C make -C %{gcc_target_platform}/libstdc++-v3/testsuite -k check-abi || :
echo ====================TESTING END=====================
#cd %{gcc_target_platform}/libstdc++-v3
#./mkcheck 0
#cd ../..

# Make protoize
make -C gcc CC="./xgcc -B ./ -O2" proto

%ifarch sparc
# Build the -m32 only compiler which does not use long long for HOST_WIDE_INT
mkdir gcc32
cd gcc32
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
echo "#!/bin/sh" > gcc32
echo "exec `cd ../gcc; pwd`/xgcc -B `cd ../gcc; pwd`/ $OPT_FLAGS \$*" >> gcc32
chmod +x gcc32
CC=`pwd`/gcc32 CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" XCFLAGS="$OPT_FLAGS" \
  TCFLAGS="$OPT_FLAGS" ../../gcc/configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} \
  --enable-shared --enable-threads=posix --disable-checking \
  --with-system-zlib --enable-__cxa_atexit \
  --host=%{_target_platform}
make cc1 cc1plus
cd ..
%endif

# Make generated man pages even if Pod::Man is not new enough
perl -pi -e 's/head3/head2/' ../contrib/texi2pod.pl
for i in ../gcc/doc/*.texi; do
  cp -a $i $i.orig; sed 's/ftable/table/' $i.orig > $i
done
make -C gcc generated-manpages
for i in ../gcc/doc/*.texi; do mv -f $i.orig $i; done

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/g77 rpm.doc/objc
#mkdir -p rpm.doc/boehm-gc rpm.doc/fastjar rpm.doc/libffi rpm.doc/libjava
mkdir -p rpm.doc/boehm-gc rpm.doc/libffi rpm.doc/libjava

(cd gcc/f; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done)
(cd libf2c; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done)
(cd gcc/objc; for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done)
(cd libobjc; for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done)
(cd boehm-gc; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/boehm-gc/$i.gc
done)
#(cd fastjar; for i in ChangeLog* README*; do
#	cp -p $i ../rpm.doc/fastjar/$i.fastjar
#done)
(cd libffi; for i in ChangeLog* README* LICENSE; do
	cp -p $i ../rpm.doc/libffi/$i.libffi
done)
(cd libjava; for i in ChangeLog* README*; do
	cp -p $i ../rpm.doc/libjava/$i.libjava
done)


#####################################################################


%install
rm -fr $RPM_BUILD_ROOT

perl -pi -e \
  's~href="l(ibstdc|atest)~href="http://gcc.gnu.org/onlinedocs/libstdc++/l\1~' \
  libstdc++-v3/docs/html/documentation.html
ln -sf documentation.html libstdc++-v3/docs/html/index.html
find libstdc++-v3/docs/html -name CVS | xargs rm -rf

cd obj-%{gcc_target_platform}

if [ ! -f /usr/lib/locale/de_DE/LC_CTYPE ]; then
  export LOCPATH=`pwd`/locale:/usr/lib/locale
fi

TARGET_PLATFORM=%{gcc_target_platform}

# There are some MP bugs in libstdc++ and libjava Makefiles
make -C %{gcc_target_platform}/libstdc++-v3
make -C %{gcc_target_platform}/libjava

make prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
  infodir=$RPM_BUILD_ROOT%{_infodir} install
%if %{build_ada}
pushd gcc/ada
cp -a gnat-style.info* gnat_rm.info* $RPM_BUILD_ROOT%{_infodir}/
for i in gnat_ug_unx.info*; do
  sed 's/gnat_ug_unx/gnat_ug/g' $i > $RPM_BUILD_ROOT%{_infodir}/`echo $i | sed 's/gnat_ug_unx/gnat_ug/'`
done
chmod 644 $RPM_BUILD_ROOT%{_infodir}/gnat*
popd
%endif

FULLPATH=$RPM_BUILD_ROOT%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}

# this may be stripped as well GCC
#file $RPM_BUILD_ROOT/%{_bindir}/* | grep ELF | cut -d':' -f1 | xargs strip || :
# this is stripped
#file $FULLPATH/* | grep ELF | grpe exec | cut -d':' -f1 | xargs strip || :

# fix some things
ln -sf gcc $RPM_BUILD_ROOT%{_bindir}/cc
mkdir -p $RPM_BUILD_ROOT/lib
ln -sf ..%{_bindir}/cpp $RPM_BUILD_ROOT/lib/cpp
ln -sf g77 $RPM_BUILD_ROOT%{_bindir}/f77
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
gzip -9 $RPM_BUILD_ROOT%{_infodir}/*.info*
# VINE: will be handled with alternatives
#ln -sf gcc $RPM_BUILD_ROOT%{_bindir}/gnatgcc

%ifarch sparc
# Install the sparc -m32 only compilers
FULLPATH32=$RPM_BUILD_ROOT%{gcclib_dir}/%{_target_platform}/%{gcc_version}
mkdir -p $FULLPATH32
install -m 755 gcc32/cc1 $FULLPATH32/
install -m 755 gcc32/cc1plus $FULLPATH32/
ln -sf ../../%{gcc_target_platform}/%{gcc_version}/include $FULLPATH32/
strip $FULLPATH32/{cc1,cc1plus}
ln -f $RPM_BUILD_ROOT%{_bindir}/%{gcc_target_platform}-gcc \
  $RPM_BUILD_ROOT%{_bindir}/%{_target_platform}-gcc
%endif
%ifarch sparc64
ln -f $RPM_BUILD_ROOT%{_bindir}/%{gcc_target_platform}-gcc \
  $RPM_BUILD_ROOT%{_bindir}/sparc-%{_vendor}-%{_target_os}-gcc
%endif

%ifarch sparc
FULLLPATH=$FULLPATH/lib32
%endif
%ifarch sparc64
FULLLPATH=$FULLPATH/lib64
%endif
if [ -n "$FULLLPATH" ]; then
  mkdir -p $FULLLPATH
else
  FULLLPATH=$FULLPATH
fi

mv $RPM_BUILD_ROOT%{_libdir}/libgcj.*a $FULLLPATH/
mv $RPM_BUILD_ROOT%{_prefix}/%{_lib}/lib-org-*.*a $FULLLPATH/
%ifarch x86_64
sed 's/-lgcjgc//g;s/-lzgcj//g;s/-lpthread//g' $RPM_BUILD_ROOT%{_prefix}/lib/libgcj.spec > $FULLPATH/libgcj.spec
%else
sed 's/-lgcjgc//g;s/-lzgcj//g;s/-lpthread//g' $RPM_BUILD_ROOT%{_libdir}/libgcj.spec > $FULLPATH/libgcj.spec
%endif
#GCC#mv $RPM_BUILD_ROOT%{_prefix}/include/gc*.h $FULLPATH/include/
mv $RPM_BUILD_ROOT%{_prefix}/include/j*.h $FULLPATH/include/
#GCC#mv -f $RPM_BUILD_ROOT%{_prefix}/include/{java,javax,gnu,org} $FULLPATH/include/
mv -f $RPM_BUILD_ROOT%{_prefix}/include/{java,javax,gnu} $FULLPATH/include/
mkdir -p $FULLPATH/include/gcj
mv -f $RPM_BUILD_ROOT%{_prefix}/include/gcj/* $FULLPATH/include/gcj/
rmdir $RPM_BUILD_ROOT%{_prefix}/include/gcj

%ifarch sparc64 s390x
pushd $RPM_BUILD_ROOT%{_libdir}
mv -f libobjc.so* ../%{_lib}/
mv -f libstdc++.so* ../%{_lib}/
mv -f libgcj.so* ../%{_lib}/
mv -f libg2c.so* ../%{_lib}/
popd
%endif

mkdir -p $RPM_BUILD_ROOT/%{_lib}
#mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgcc_s.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}-%{DATE}.so.1
#chmod 755 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}-%{DATE}.so.1
#ln -sf libgcc_s-%{gcc_version}-%{DATE}.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.1
mv -f $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgcc_s.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}.so.1
chmod 755 $RPM_BUILD_ROOT/%{_lib}/libgcc_s-%{gcc_version}.so.1
ln -sf libgcc_s-%{gcc_version}.so.1 $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.1
ln -sf /%{_lib}/libgcc_s.so.1 $FULLPATH/libgcc_s.so
%ifarch x86_64
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgcc_s.so.1 $RPM_BUILD_ROOT/lib/libgcc_s-%{gcc_version}.so.1
chmod 755 $RPM_BUILD_ROOT/lib/libgcc_s-%{gcc_version}.so.1
ln -sf libgcc_s-%{gcc_version}.so.1 $RPM_BUILD_ROOT/lib/libgcc_s.so.1
%endif
%ifarch sparc
ln -sf /lib64/libgcc_s.so.1 $FULLPATH/libgcc_s_64.so
%endif
%ifarch sparc64 x86_64 s390x
ln -sf /lib/libgcc_s.so.1 $FULLPATH/libgcc_s_32.so
%endif

%if %{build_ada}
mv -f $FULLPATH/adalib/libgnarl-*.so.* $RPM_BUILD_ROOT%{_prefix}/%{_lib}/
mv -f $FULLPATH/adalib/libgnat-*.so.* $RPM_BUILD_ROOT%{_prefix}/%{_lib}/
rm -f $FULLPATH/adalib/libgnarl.so* $FULLPATH/adalib/libgnat.so*
%endif

pushd $FULLPATH
if [ "%{_lib}" = "lib" ]; then
ln -sf ../../../libobjc.so.1 libobjc.so
ln -sf ../../../libstdc++.so.5.* libstdc++.so
ln -sf ../../../libgcj.so.%{gcj_major}.* libgcj.so
ln -sf ../../../libg2c.so.0.* libg2c.so
ln -sf ../../../lib-org-w3c-dom.so.0.* lib-org-w3c-dom.so
ln -sf ../../../lib-org-xml-sax.so.0.* lib-org-xml-sax.so
%if %{build_ada}
cd adalib
ln -sf ../../../../libgnarl-*.so.* libgnarl.so
ln -sf ../../../../libgnat-*.so.* libgnat.so
cd ..
%endif
else
ln -sf ../../../../%{_lib}/libobjc.so.1 libobjc.so
ln -sf ../../../../%{_lib}/libstdc++.so.5.* libstdc++.so
ln -sf ../../../../%{_lib}/libgcj.so.%{gcj_major}.* libgcj.so
ln -sf ../../../../%{_lib}/libg2c.so.0.* libg2c.so
ln -sf ../../../../%{_lib}/lib-org-w3c-dom.so.0.* lib-org-w3c-dom.so
ln -sf ../../../../%{_lib}/lib-org-xml-sax.so.0.* lib-org-xml-sax.so
%if %{build_ada}
cd adalib
ln -sf ../../../../../%{_lib}/libgnarl-*.so.* libgnarl.so
ln -sf ../../../../../%{_lib}/libgnat-*.so.* libgnat.so
cd ..
%endif
fi
mv -f $RPM_BUILD_ROOT%{_libdir}/libstdc++.*a $FULLLPATH/
mv -f $RPM_BUILD_ROOT%{_libdir}/libsupc++.*a .
mv -f $RPM_BUILD_ROOT%{_libdir}/libg2c.*a .
mv -f $RPM_BUILD_ROOT%{_libdir}/libfrtbegin.*a .
mv -f $RPM_BUILD_ROOT%{_libdir}/libobjc.*a .

%ifarch sparc
ln -sf ../../../../../lib64/libobjc.so.1 64/libobjc.so
ln -sf ../`echo ../../../../lib/libstdc++.so.5.* | sed s~/lib/~/lib64/~` 64/libstdc++.so
ln -sf ../`echo ../../../../lib/libgcj.so.%{gcj_major}.* | sed s~/lib/~/lib64/~` 64/libgcj.so
ln -sf ../`echo ../../../../lib/libg2c.so.0.* | sed s~/lib/~/lib64/~` 64/libg2c.so
mv -f $RPM_BUILD_ROOT%{_libdir}/64/libsupc++.*a 64/
mv -f $RPM_BUILD_ROOT%{_libdir}/64/libg2c.*a 64/
mv -f $RPM_BUILD_ROOT%{_libdir}/64/libfrtbegin.*a 64/
mv -f $RPM_BUILD_ROOT%{_libdir}/64/libobjc.*a 64/
ln -sf lib32/libstdc++.a libstdc++.a
ln -sf ../lib64/libstdc++.a 64/libstdc++.a
ln -sf lib32/libgcj.a libgcj.a
ln -sf ../lib64/libgcj.a 64/libgcj.a
%endif
%ifarch sparc64 x86_64 s390x
ln -sf ../../../../libobjc.so.1 32/libobjc.so
%ifarch x86_64
ln -sf ../`echo ../../../../lib/libstdc++.so.5.* | sed s~/../lib64/~/~` 32/libstdc++.so
ln -sf ../`echo ../../../../lib/libgcj.so.%{gcj_major}.* | sed s~/../lib64/~/~` 32/libgcj.so
ln -sf ../`echo ../../../../lib/libg2c.so.0.* | sed s~/../lib64/~/~` 32/libg2c.so
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libsupc++.*a 32/
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libg2c.*a 32/
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libfrtbegin.*a 32/
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libobjc.*a 32/
%else
ln -sf ../`echo ../../../../lib64/libstdc++.so.5.* | sed s~/../lib64/~/~` 32/libstdc++.so
ln -sf ../`echo ../../../../lib64/libgcj.so.%{gcj_major}.* | sed s~/../lib64/~/~` 32/libgcj.so
ln -sf ../`echo ../../../../lib64/libg2c.so.0.* | sed s~/../lib64/~/~` 32/libg2c.so
mv -f $RPM_BUILD_ROOT%{_libdir}/32/libsupc++.*a 32/
mv -f $RPM_BUILD_ROOT%{_libdir}/32/libg2c.*a 32/
mv -f $RPM_BUILD_ROOT%{_libdir}/32/libfrtbegin.*a 32/
mv -f $RPM_BUILD_ROOT%{_libdir}/32/libobjc.*a 32/
%endif
%endif
%ifarch sparc64
ln -sf ../lib32/libstdc++.a 32/libstdc++.a
ln -sf lib64/libstdc++.a libstdc++.a
ln -sf ../lib32/libgcj.a 32/libgcj.a
ln -sf lib64/libgcj.a libgcj.a
%endif
%ifarch x86_64
ln -sf ../../../%{gcc_target_platform}/%{gcc_version}/libstdc++.a 32/libstdc++.a
ln -sf ../../../%{gcc_target_platform}/%{gcc_version}/libgcj.a 32/libgcj.a
%endif
%ifarch s390x
ln -sf ../../../s390-%{_vendor}-%{_target_os}/%{gcc_version}/libstdc++.a 32/libstdc++.a
ln -sf ../../../s390-%{_vendor}-%{_target_os}/%{gcc_version}/libgcj.a 32/libgcj.a
%endif

# Strip debug info from Fortran/ObjC/Java static libraries
strip -g `find . \( -name libg2c.a -o -name libobjc.a -o -name libgcj.a -o -name libgcc.a \) -a -type f`
popd
chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libg2c.so.0.*
chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libobjc.so.1.*

%if %{build_ada}
chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgnarl*so*
chmod 755 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libgnat*so*
%endif

cat > $RPM_BUILD_ROOT%{_bindir}/c89-%{VERSION} <<"EOF"
#!/bin/sh
fl="-std=c89"
for opt; do
  case "$opt" in
    -ansi|-std=c89|-std=iso9899:1990) fl="";;
    -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
	    exit 1;;
  esac
done
exec %{_bindir}/gcc-%{VERSION} $fl ${1+"$@"}
EOF
cat > $RPM_BUILD_ROOT%{_bindir}/c99-%{VERSION} <<"EOF"
#!/bin/sh
fl="-std=c99"
for opt; do
  case "$opt" in
    -std=c99|-std=iso9899:1999) fl="";;
    -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
	    exit 1;;
  esac
done
exec %{_bindir}/gcc-%{VERSION} $fl ${1+"$@"}
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/c?9-%{VERSION}

# for alternatives
pushd $RPM_BUILD_ROOT%{_bindir}
  for i in gcc cpp g++ g77 gcj gcjh gij grepjar jar \
        jcf-dump jv-convert jv-scan \
	gnat gnatbind gnatbl gnatchop gnatfind gnatkr gnatlink \
	gnatls gnatmake gnatprep gnatpsta gnatpsys gnatxref \
        rmic rmiregistry \
	%{gcc_target_platform}-gcc \
	%{gcc_target_platform}-g++ \
	%{gcc_target_platform}-c++ \
        %{gcc_target_platform}-gcj; do
    if [ -f "$i" ] ; then
      mv $i $i-%{VERSION}
      # ln -sf $i-%{VERSION} $i
    fi
  done
popd
%ifnarch x86_64
pushd $RPM_BUILD_ROOT%{_libdir}/security
  mv classpath.security classpath.security-%{version}
popd
%endif


cd ..
##VINE##%find_lang gcc


%clean
rm -rf $RPM_BUILD_ROOT


#####################################################################


# %post
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
# 
# %preun
# if [ $1 = 0 ]; then
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
# fi
# 
# %post -n cpp
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
# 
# %preun -n cpp
# if [ $1 = 0 ]; then
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/cpp.info.gz
# fi
# 
# %post g77
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/g77.info.gz
# 
# %preun g77
# if [ $1 = 0 ]; then
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/g77.info.gz
# fi
# 
# %post java
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
# 
# %preun java
# if [ $1 = 0 ]; then
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/gcj.info.gz
# fi
# 
# %post gnat
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
# /sbin/install-info \
#   --info-dir=%{_infodir} %{_infodir}/gnat_ug.info.gz
# 
# %preun gnat
# if [ $1 = 0 ]; then
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
#   /sbin/install-info --delete \
#     --info-dir=%{_infodir} %{_infodir}/gnat_ug.info.gz
# fi


##VINE##%post docs
##VINE##%if %{build_ada}
##VINE##/sbin/install-info \
##VINE##    --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
##VINE##/sbin/install-info \
##VINE##    --info-dir=%{_infodir} %{_infodir}/gnat_ug.info.gz
##VINE##%endif
##VINE##
##VINE##for i in cpp gcc g77 gcj ; do
##VINE##  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/$i.info.gz
##VINE##done


##VINE##%preun docs
##VINE##if [ $1 = 0 ] ; then
##VINE##%if %{build_ada}
##VINE##  /sbin/install-info --delete \
##VINE##    --info-dir=%{_infodir} %{_infodir}/gnat_rm.info.gz
##VINE##  /sbin/install-info --delete \
##VINE##    --info-dir=%{_infodir} %{_infodir}/gnat_ug.info.gz
##VINE##%endif
##VINE##  for i in cpp gcc g77 gcj gnat_rm gnat_ug; do
##VINE##    /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/$i.info.gz
##VINE##  done
##VINE##fi


##VINE##%post -n libgcc -p /sbin/ldconfig

##VINE##%postun -n libgcc -p /sbin/ldconfig

%post -n libstdc++3 -p /sbin/ldconfig

%postun -n libstdc++3 -p /sbin/ldconfig

#VINE#post -n compat32-libstdc++3 -p /sbin/ldconfig

#VINE#postun -n compat32-libstdc++3 -p /sbin/ldconfig

%post -n libobjc3 -p /sbin/ldconfig

%postun -n libobjc3 -p /sbin/ldconfig

%post -n libgcj3
/sbin/ldconfig
%ifnarch x86_64
/sbin/update-alternatives \
  --install %{_bindir}/gij      gij      %{_bindir}/gij-%{version} 21   \
  --slave   %{_bindir}/jv-convert jv-convert \
                                         %{_bindir}/jv-convert-%{version} \
  --slave   %{_bindir}/rmic     rmic    %{_bindir}/rmic-%{version}    \
  --slave   %{_bindir}/rmiregistry rmiregistry \
                                         %{_bindir}/rmiregistry-%{version} \
  --slave   %{_libdir}/security/classpath.security classpath.security %{_libdir}/security/classpath.security-%{version}
%else
/sbin/update-alternatives \
  --install %{_bindir}/gij      gij      %{_bindir}/gij-%{version} 21   \
  --slave   %{_bindir}/jv-convert jv-convert \
                                         %{_bindir}/jv-convert-%{version} \
  --slave   %{_bindir}/rmic     rmic    %{_bindir}/rmic-%{version}    \
  --slave   %{_bindir}/rmiregistry rmiregistry \
                                         %{_bindir}/rmiregistry-%{version}
%endif

# fix broken symlink if it's there
if [ ! -f %{_bindir}/gij ] ; then
  /sbin/update-alternatives --auto gij
fi

%postun -n libgcj3
/sbin/ldconfig
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove gij %{_bindir}/gij-%{version}
  /sbin/update-alternatives --auto gij
fi

%post -n libf2c -p /sbin/ldconfig

%postun -n libf2c -p /sbin/ldconfig

%post -n libgnat -p /sbin/ldconfig

%postun -n libgnat -p /sbin/ldconfig


%post
/sbin/update-alternatives \
  --install %{_bindir}/gcc gcc %{_bindir}/gcc-%{VERSION} 21 \
  --slave   %{_bindir}/cc  cc  %{_bindir}/gcc-%{VERSION} \
  --slave   %{_bindir}/%{gcc_target_platform}-gcc \
		%{gcc_target_platform}-gcc \
		%{_bindir}/%{gcc_target_platform}-gcc-%{VERSION} \
  --slave   %{_bindir}/c89 c89 %{_bindir}/c89-%{VERSION} \
  --slave   %{_bindir}/c99 c99 %{_bindir}/c99-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/gcc ] ; then
  /sbin/update-alternatives --auto gcc
fi


%postun
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove gcc %{_bindir}/gcc-%{VERSION}
  /sbin/update-alternatives --auto gcc
fi

%triggerpostun -- gcc-launcher
/sbin/update-alternatives --auto gcc

%triggerpostun -- gcc < %{version}-%{release}
/sbin/update-alternatives --auto gcc


%post c++
/sbin/update-alternatives \
  --install %{_bindir}/g++ g++ %{_bindir}/g++-%{VERSION} 21 \
  --slave   %{_bindir}/c++ c++ %{_bindir}/g++-%{VERSION} \
  --slave   %{_bindir}/%{gcc_target_platform}-g++ \
		%{gcc_target_platform}-g++ \
		%{_bindir}/%{gcc_target_platform}-g++-%{VERSION} \
  --slave   %{_bindir}/%{gcc_target_platform}-c++ \
		%{gcc_target_platform}-c++ \
		%{_bindir}/%{gcc_target_platform}-c++-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/g++ ] ; then
  /sbin/update-alternatives --auto g++
fi

 
%postun c++
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove g++ %{_bindir}/g++-%{VERSION}
  /sbin/update-alternatives --auto g++
fi

%triggerpostun c++ -- gcc-c++-launcher
/sbin/update-alternatives --auto g++

%triggerpostun c++ -- gcc-c++ < %{version}-%{release}
/sbin/update-alternatives --auto g++


%post cpp
/sbin/update-alternatives \
  --install %{_bindir}/cpp cpp    %{_bindir}/cpp-%{VERSION} 21 \
  --slave   /lib/cpp       libcpp %{_bindir}/cpp-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/cpp ] ; then
  /sbin/update-alternatives --auto cpp
fi


%postun cpp
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove cpp    %{_bindir}/cpp-%{VERSION}
  /sbin/update-alternatives --auto cpp
fi

%triggerpostun cpp -- gcc-cpp-launcher
/sbin/update-alternatives --auto cpp

%triggerpostun cpp -- gcc-cpp < %{version}-%{release}
/sbin/update-alternatives --auto cpp


%post g77
/sbin/update-alternatives \
  --install %{_bindir}/g77 g77 %{_bindir}/g77-%{VERSION} 21 \
  --slave   %{_bindir}/f77 f77 %{_bindir}/g77-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/g77 ] ; then
  /sbin/update-alternatives --auto g77
fi


%postun g77
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove g77 %{_bindir}/g77-%{VERSION}
  /sbin/update-alternatives --auto g77
fi

%triggerpostun g77 -- gcc-g77-launcher
/sbin/update-alternatives --auto g77

%triggerpostun g77 -- gcc-g77 < %{version}-%{release}
/sbin/update-alternatives --auto g77



%post gnat
/sbin/update-alternatives \
  --install %{_bindir}/gnat     gnat     %{_bindir}/gnat-%{VERSION} 21  \
  --slave   %{_bindir}/gnatbind gnatbind %{_bindir}/gnatbind-%{VERSION} \
  --slave   %{_bindir}/gnatbl   gnatbl   %{_bindir}/gnatbl-%{VERSION} \
  --slave   %{_bindir}/gnatchop gnatchop %{_bindir}/gnatchop-%{VERSION} \
  --slave   %{_bindir}/gnatfind gnatfind %{_bindir}/gnatfind-%{VERSION} \
  --slave   %{_bindir}/gnatgcc  gnatgcc  %{_bindir}/gcc-%{VERSION} \
  --slave   %{_bindir}/gnatkr   gnatkr   %{_bindir}/gnatkr-%{VERSION} \
  --slave   %{_bindir}/gnatlink gnatlink %{_bindir}/gnatlink-%{VERSION} \
  --slave   %{_bindir}/gnatls   gnatls   %{_bindir}/gnatls-%{VERSION} \
  --slave   %{_bindir}/gnatmake gnatmake %{_bindir}/gnatmake-%{VERSION} \
  --slave   %{_bindir}/gnatprep gnatprep %{_bindir}/gnatprep-%{VERSION} \
  --slave   %{_bindir}/gnatpsta gnatpsta %{_bindir}/gnatpsta-%{VERSION} \
  --slave   %{_bindir}/gnatpsys gnatpsys %{_bindir}/gnatpsys-%{VERSION} \
  --slave   %{_bindir}/gnatxref gnatxref %{_bindir}/gnatxref-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/gnat ] ; then
  /sbin/update-alternatives --auto gnat
fi

%postun gnat
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove gnat %{_bindir}/gnat-%{VERSION}
  /sbin/update-alternatives --auto gnat
fi

%triggerpostun gnat -- gcc-gnat < %{version}-%{release}
/sbin/update-alternatives --auto gnat



%post java
/sbin/update-alternatives \
  --install %{_bindir}/gcj      gcj      %{_bindir}/gcj-%{VERSION} 21   \
  --slave   %{_bindir}/gcjh     gcjh     %{_bindir}/gcjh-%{VERSION}     \
  --slave   %{_bindir}/jcf-dump jcf-dump %{_bindir}/jcf-dump-%{VERSION} \
  --slave   %{_bindir}/jv-scan  jv-scan  %{_bindir}/jv-scan-%{VERSION}

# fix broken symlink if it's there
if [ ! -f %{_bindir}/gcj ] ; then
  /sbin/update-alternatives --auto gcj
fi

%postun java
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove gcj %{_bindir}/gcj-%{VERSION}
  /sbin/update-alternatives --auto gcj
fi

%triggerpostun java -- gcc-java-launcher
/sbin/update-alternatives --auto gcj

%triggerpostun java -- gcc-java < %{version}-%{release}
/sbin/update-alternatives --auto gcj



#####################################################################


##VINE##%files -f gcc.lang
%files
%defattr(-,root,root)
#%{_bindir}/cc
%{_bindir}/c89-%{VERSION}
%{_bindir}/c99-%{VERSION}
%{_bindir}/gcc-%{VERSION}
#%{_bindir}/gcov
#%{_bindir}/protoize
#%{_bindir}/unprotoize
%ifarch sparc
%{_bindir}/%{_target_platform}-gcc
%endif
%ifarch sparc64
%{_bindir}/sparc-%{_vendor}-%{_target_os}-gcc
%endif
%{_bindir}/%{gcc_target_platform}-gcc-%{VERSION}
#%{_mandir}/man1/gcc.1*
#%{_mandir}/man1/gcov.1*
#%{_infodir}/gcc*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/stddef.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/stdarg.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/varargs.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/float.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/limits.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/stdbool.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/iso646.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/syslimits.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/unwind.h
%ifarch %{ix86} x86_64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/mmintrin.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/xmmintrin.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/emmintrin.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/pmmintrin.h
%endif
%ifarch ia64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/ia64intrin.h
%endif
%ifarch ppc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/ppc-asm.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/altivec.h
%endif
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/README
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/collect2
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/crt*.o
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcc_eh.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcc_s.so
%ifarch sparc
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/crt*.o
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libgcc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libgcc_eh.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcc_s_64.so
%endif
%ifarch sparc64 x86_64 s390x
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/crt*.o
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libgcc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libgcc_eh.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcc_s_32.so
%endif
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/specs
%doc gcc/README* gcc/*ChangeLog*


%files cpp
%defattr(-,root,root)
/lib/cpp
%{_bindir}/cpp-%{VERSION}
#%{_mandir}/man1/cpp.1*
#%{_infodir}/cpp*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/cc1
#GCC#%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/cpp0
#GCC#%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/tradcpp0


##VINE##%files -n libgcc
##VINE##%defattr(-,root,root)
##VINE##%ifarch x86_64
##VINE##/lib/libgcc_s-%{gcc_version}.so.1
##VINE##/lib/libgcc_s.so.1
##VINE##%endif
##VINE##/%{_lib}/libgcc_s-%{gcc_version}.so.1
##VINE##/%{_lib}/libgcc_s.so.1


%files c++
%defattr(-,root,root)
%{_bindir}/%{gcc_target_platform}-*++-%{VERSION}
%{_bindir}/g++-%{VERSION}
#%{_bindir}/c++
#%{_bindir}/c++filt
#%{_mandir}/man1/g++.1*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/cc1plus
%ifarch sparc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libstdc++.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libstdc++.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libsupc++.a
%endif
%ifarch sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libstdc++.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libstdc++.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libsupc++.a
%endif
%ifarch sparc sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libstdc++.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libsupc++.a
%endif
%ifarch sparc sparc64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libstdc++.a
%endif
%doc gcc/cp/ChangeLog*


%files -n libstdc++3
%defattr(-,root,root)
%ifarch x86_64
%{_prefix}/lib/libstdc++.so.5*
%endif
%{_prefix}/%{_lib}/libstdc++.so.5*
%doc libstdc++-v3/*ChangeLog*


#if %{build_compat32}
#files -n compat32-libstdc++3
#defattr(-,root,root)
#{_prefix}/lib/libstdc++.so.5*
#endif


%files -n libstdc++3-devel
%defattr(-,root,root)
%{_prefix}/include/c++
%ifarch sparc
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib32
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib32/libstdc++.a
%endif
%ifarch sparc64
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib64/libstdc++.a
%endif
%ifnarch sparc sparc64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libstdc++.a
%endif
%ifnarch sparc sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libstdc++.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libsupc++.a
%endif
%doc libstdc++-v3/ChangeLog* libstdc++-v3/README* libstdc++-v3/docs/html/


%files objc
%defattr(-,root,root)
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/objc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/cc1obj
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libobjc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libobjc.so
%ifarch sparc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libobjc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libobjc.so
%endif
%ifarch sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libobjc.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libobjc.so
%endif
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog


%files -n libobjc3
%defattr(-,root,root)
%ifarch x86_64
%{_prefix}/lib/libobjc.so.1*
%endif
%{_prefix}/%{_lib}/libobjc.so.1*


%files g77
%defattr(-,root,root)
%{_bindir}/g77-%{VERSION}
#%{_bindir}/f77
#%{_mandir}/man1/g77.1*
#%{_infodir}/g77*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/f771
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libfrtbegin.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libg2c.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libg2c.so
%ifarch sparc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libfrtbegin.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libg2c.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libg2c.so
%endif
%ifarch sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libfrtbegin.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libg2c.a
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libg2c.so
%endif
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/g2c.h
%doc gcc/f/ChangeLog* rpm.doc/g77/*


%files -n libf2c
%defattr(-,root,root)
%ifarch x86_64
%{_prefix}/lib/libg2c.so.0*
%endif
%{_prefix}/%{_lib}/libg2c.so.0*


%files java
%defattr(-,root,root)
%{_bindir}/%{gcc_target_platform}-gcj-%{VERSION}
%{_bindir}/gcj-%{VERSION}
%{_bindir}/gcjh-%{VERSION}
%{_bindir}/jcf-dump-%{VERSION}
%{_bindir}/jv-scan-%{VERSION}
#%{_mandir}/man1/gcj.1*
#%{_mandir}/man1/gcjh.1*
#%{_mandir}/man1/jcf-dump.1*
#%{_mandir}/man1/jv-scan.1*
#%{_infodir}/gcj*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/jc1
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/jvgenmain
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcj.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-w3c-dom.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-xml-sax.so
%ifarch sparc sparc64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcj.a
%endif
%ifarch sparc
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libgcj.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-w3c-dom.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-xml-sax.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/64/libgcj.a
%endif
%ifarch sparc64 x86_64 s390x
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libgcj.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-w3c-dom.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib-org-xml-sax.so
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/32/libgcj.a
%endif
%doc gcc/java/ChangeLog*


%files -n libgcj3
%defattr(-,root,root)
%{_bindir}/jv-convert-%{version}
%{_bindir}/gij-%{version}
%{_bindir}/jar-%{version}
%{_bindir}/grepjar-%{version}
%{_bindir}/rmic-%{version}
%{_bindir}/rmiregistry-%{version}
#%{_mandir}/man1/jv-convert.1*
#%{_mandir}/man1/gij.1*
#%{_mandir}/man1/rmic.1*
#%{_mandir}/man1/rmiregistry.1*
%ifarch x86_64
%{_prefix}/lib/libgcj.so.4*
%endif
%{_prefix}/%{_lib}/libgcj.so.*
%{_prefix}/%{_lib}/lib-org-w3c-dom.so.*
%{_prefix}/%{_lib}/lib-org-xml-sax.so.*
%{_prefix}/share/java
%ifarch x86_64
%{_prefix}/lib/security
%else
%{_libdir}/security
%endif


%files -n libgcj3-devel
%defattr(-,root,root)
%{_bindir}/addr2name.awk
%ifarch sparc
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib32
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib32/libgcj.a
%endif
%ifarch sparc64
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/lib64/libgcj.a
%endif
%ifnarch sparc sparc64
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcj.a
%endif
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/libgcj.spec
#GCC#%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/gc*.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/j*.h
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/java
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/javax
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/gnu
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/gcj
#GCC#%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/include/org
#doc rpm.doc/boehm-gc/* rpm.doc/fastjar/* rpm.doc/libffi/*
%doc rpm.doc/boehm-gc/* rpm.doc/libffi/*
%doc rpm.doc/libjava/*


%if %{build_ada}
%files gnat
%defattr(-,root,root)
%{_bindir}/gnat*
#%{_infodir}/gnat*
%dir %{gcclib_dir}
%dir %{gcclib_dir}/%{gcc_target_platform}
%dir %{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/adainclude
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/adalib
%{gcclib_dir}/%{gcc_target_platform}/%{gcc_version}/gnat1
%doc gcc/ada/ChangeLog


%files -n libgnat
%defattr(-,root,root)
%{_prefix}/%{_lib}/libgnat-*.so.*
%{_prefix}/%{_lib}/libgnarl-*.so.*
%endif


%ifarch sparc
%files sparc32
%defattr(-,root,root)
%dir %{gcclib_dir}/%{_target_platform}/%{gcc_version}
%{gcclib_dir}/%{_target_platform}/%{gcc_version}/cc1
%{gcclib_dir}/%{_target_platform}/%{gcc_version}/include


%files c++-sparc32
%defattr(-,root,root)
%{gcclib_dir}/%{_target_platform}/%{gcc_version}/cc1plus
%endif


##VINE##%files tools
##VINE##%defattr(-,root,root)
##VINE##%doc README* COPYING COPYING.LIB
##VINE##%{_bindir}/gcov
##VINE##%{_bindir}/protoize
##VINE##%{_bindir}/unprotoize
##VINE###GCC#%{_bindir}/c++filt


##VINE##%files docs
##VINE##%defattr(-,root,root)
##VINE##%doc README* COPYING COPYING.LIB
##VINE##%{_infodir}/*
##VINE##%{_mandir}/*/*


%changelog
* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.6-7
- (skipped 3.3.6-6)
- added libobjc3 subpackage
- dropt compat32-libstdc++3 package (merged to libstdc++3 package)
- fixed %%files section for x86_64 (libstdc++3, libgcj3)

* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.6-5
- fixed /usr/lib/security path for x86_64

* Thu Jul 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.6-4
- rebuilt with current toolchain
- added R: fastjar to libgcj3 package

* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-3
- add Patch400 (fix up for the latest bison)
- drop Patch300; modify OPT_FLAGS (disable -mtune=generic et al.)

* Tue Dec 30 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-2
- add dirty hack Patch300 to accept (pass through) m32 option

* Fri Oct 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.6-1vl5
- applied new versioning policy
- spec in UTF-8

* Mon May 07 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-0vl9
- renamed to gcc3
- disable libgcc/libobjc/docs/tools subpackages
- lowered priority of alternatives from 30 to 21

* Sun Jan 28 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.3.6-0vl8
- fixed typo in spec <BTS:VineLinux:425>

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.3.6-0vl7
- change docs Group to Applications/Documentation. <BTS:VineLinux:163>

* Sun Jul 16 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-0vl6
- rebuild with glibc-2.3.4

* Sat Jun 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.6-0vl5
- add lib-org-* to gcc-java

* Fri Jun 16 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-0vl4
- added Patch200 (fix ASM_CPU_SPEC for ppc)

* Sat Feb 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3.6-0vl3
- fixed typo in some summaries and descriptions
- added update-alternatives to %post libgcj

* Sun Oct 23 2005 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 3.3.6-0vl2
- replaced %{_libdir}/gcc-lib with %{gcclib_dir}
  for x86_64 architecture support ([VineSeed:10281],[VineSeed:10284])
- fixed %files section on gcc-g77
- added compat32-libstdc++3 package

* Sat Aug 13 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.6-0vl1
- fixed %%triggerpostun problems ([VineSeed:09815],[VineSeed:09816])
- updated to 3.3.6 release
  3.3.6 is the latest and the last release of the gcc 3.3.x series

* Thu Mar 10 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.5-0vl2
- update check-abi logic in the spec file

* Sat Mar 05 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.5-0vl1
- updated to 3.3.6 prerelease (as of 20050305)

* Thu May 27 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.2-0vl8
- revised %setup section to correct version strings with Vine

* Tue Feb  3 2004 Tomoya TAKA <taka@vinelinux.org> 3.3.2-0vl7
- move cc1 into gcc-cpp

* Wed Jan 21 2004 Tomoya TAKA <taka@vinelinux.org> 3.3.2-0vl6
- libstdc++3 provides libstdc++
- include pmmintrin.h on IA32/x86_64, unwind.h on all archs

* Sun Jan 11 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.3.2-0vl5
- update from gcc-3_3-branch 20031219 (3.3.2-5)
  - PRs target/11992, target/13122, optimization/13037,
        target/13256, target/12598, optimization/13318,
        optimization/13060, optimization/12965, target/13354,
        optimization/4490, target/13150, middle-end/10060,
        driver/13211, target/13302, target/11322, target/12467,
        12969, target/8407, 10239, 11640, c++/12253,
        c++/13262, c++/13323, fortran/12633, libstdc++/6243,
        libstdc++/11612, libstdc++/12496, libstdc++/13290,
        libstdc++/9371, libstdc++/9546, libstdc++/10093,
        libstdc++/10095
  - fix __builtin_expect in C++ code

* Thu Jan 01 2004 Satoshi MACHINO <machino@vinelinux.org> 3.3.2-0vl4
- added emmintrin.h to gcc's package, see [VineSeed:08374]

* Sat Dec 20 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.2-0vl3
- added BuildRequires: texinfo >= 4.2, for /usr/bin/makeinfo no older than
  4.2 seems to be needed for making info files

* Fri Dec 19 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.2-0vl2
- version string changed for Vine, then rebuilt

* Fri Dec 19 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.3.2-0vl1
- updated to 3.3.2 (as of 20021023), based on [VineSeed:08312]

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl5
- use License tag

* Wed Sep 10 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.3-0vl4
- rebuilt

* Fri Jul 18 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.3-0vl3
- added Patch0

* Mon May 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.3-0vl2
- use more macros in spec file.

* Mon May 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.3-0vl1
- new upstream release 3.2.3

* Fri Feb 07 2003 Tomoya TAKA <taka@vinelinux.org> 3.2.2-0vl1
- new upstream release 3.2.2

* Mon Jan 27 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.10
- source updated to CVS (3.2.2 prerelease) as of 2003-01-26
- including such PRs as:
  optimization/9279, c/2454, opt/7507, c++/9328, c++/47, c++/8503,
  c++/8442, C++/8031, libstdc++/9322

* Tue Jan 14 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.9
- rebuilt with binutils-2.13.90.16-3vl4 and glibc-2.3.1-34vl1

* Mon Jan 13 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.8
- source updated to CVS (3.2.2 prerelease) as of 2003-01-12

* Wed Jan 08 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.7
- source updated to CVS (3.2.2 prerelease) as of 2003-01-07

* Wed Dec 21 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.6
- source updated to CVS (3.2.2 prerelease) as of 2002-12-20

* Sat Dec 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.2-0vl0.5
- rebuild to remove unnecessary dependancy.

* Thu Dec 12 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.4
- added more %%post scripts to fix broken symlink on alternatives

* Wed Dec 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.3
- source updated to CVS (3.2.2 prerelease) as of 2002-12-10

* Sun Dec 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.2
- fixed a bug in triggerscript which deals with cpp alternatives
- %%{gcc_target_platform}-{gcc,g++,c++} with alternatives
- TODO: we have decide better way how to handle
        %%{gcc_target_platform}-{gcc,g++,c++} with alternatives

* Thu Dec 05 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.2-0vl0.1
- source updated to CVS (3.2.2 prerelease) as of 2002-12-04
  (including several bug fix such as PR 8275,8362,8599
   see ChangeLog for details)
- added some missing ChangeLog to the %%doc list

* Sat Nov 21 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl5
- source updated to CVS (3.2.1 release) as of 2002-11-20
  (it's the same as gcc-3.2.1 tarball in essence)

* Sat Nov 16 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl4
- source updated to CVS (3.2.1 prerelease) as of late 2002-11-15
  (includes important bug fix:
   http://gcc.gnu.org/ml/gcc-cvs/2002-11/msg00441.html)
- BuildRequires for binutils bumped to 2.13.90.0.10
  (powerpc-*-linux-gnu needs this version or up for a working gcc)

* Thu Nov 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl3
- rebuilt with new toolchain (binutils-2.13.90.0.10-3vl4, glibc-2.3.1-6vl3)
- source updated to CVS (3.2.1 prerelease) as of 2002-11-15

* Wed Nov 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl2
- rebuilt with new toolchain (glibc-2.3.1-6vl2)

* Tue Nov 12 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl1
- source updated to CVS (3.2.1 prerelease) as of 2002-11-11
- make check with LANG=C

* Mon Nov 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2.1-0vl0
- source updated to CVS (3.2.1 prerelease) as of 2002-11-10
- Doh! strange macro definition. My own mistake. Fixed.
- Don't replace version strings (with Red Hat ones)
- several Obsoletes/Conflicts/Provides treatments
- make c89 and c99 alternatives-savvy
- added Patch100 back (from previous Vine's gcc package) for ppc

* Mon Nov 11 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.2-11vl0
- based on 3.2-11 from Rawhide and re-constructed for Vine Linux
- make alternatives-savvy as in previous Vine packageing scheme
- temporarily disabled to build Ada subpackages (gcc-gnat, libgnat) for Vine

* Wed Oct 23 2002 Jakub Jelinek  <jakub@redhat.com> 3.2-11
- update from gcc-3_2-rhl8-branch
  - PRs target/7693, opt/7630, c++/6419, target/7396, c++/8218,
    c++/7676, c++/7584, c++/7478, c++/8134, c++/7524, c++/7176,
    c++/5661, c++/6803, c++/7721, c++/7803, c++/7754, c++/7188,
    libstdc++/8071, libstdc++/8127, c++/6745, libstdc++/8096,
    libstdc++/7811
- fix x86-64 ICE with stdarg in -fpic (#76491)
- fix IA-32 miscompilation of DImode code (Jim Wilson, PR target/6981)

* Wed Oct 16 2002 Jakub Jelinek  <jakub@redhat.com> 3.2-10
- update from gcc-3_2-rhl8-branch
  - PRs target/7370, target/8232, opt/7409, preprocessor/7862,
    preprocessor/8190, optimization/6631, target/5610, optimization/7951,
    target/7723
- allow building even if de_DE locale is not installed (#74503, #75889)
- s390x multilib
- x86-64 TLS fixes
- 15 Java fixes (Anthony Green, Andrew Haley, Tom Tromey,
  PRs java/6005, java/7611, java/8003, java/7950, java/5794, libgcj/7073)
- %%define _unpackaged_files_terminate_build 0
- fix make check-abi

* Fri Oct 11 2002 Jakub Jelinek  <jakub@redhat.com> 3.2-9
- update from gcc-3_2-rhl8-branch
  - __attribute__((tls_model("")))
  - PRs c/7353, opt/7124, opt/7912, opt/7390, doc/7484,
        c/7411, target/8087, optimization/6713
- x86-64 TLS

* Tue Oct  8 2002 Jakub Jelinek  <jakub@redhat.com> 3.2-8
- switch to gcc-3_2-rhl8-branch snapshots
  - thus most of the patches went away as they are in CVS
- merge from gcc-3_2-branch between 20020903 and 20021007
  - PRs target/7434, optimization/6627, preprocessor/8120,
	middle-end/7151, preprocessor/8055, optimization/7335,
	c/7160, target/7842, opt/7515, optimization/7130,
	optimization/6984, c/7150, target/7380, other/7114,
	target/5967, optimization/7120, target/7374, opt/7814,
	c/7102
- backported libffi and libjava bits for x86-64 and s390*
- added sparc* support
- multilib setup for sparc* and x86-64
- some IA-32 TLS fixes (Richard Henderson)

* Tue Sep  3 2002 Bill Nottingham <notting@redhat.com> 3.2-7
- fix calling of C++ destructors in certain cases

* Tue Sep  3 2002 Jakub Jelinek <jakub@redhat.com> 3.2-6
- update from CVS (but revert C++ tail padding patches
  for now)
- further fixes to make libstdc++-v3 build on glibc 2.3
- run libstdc++-v3 make check-abi on IA-32 during testing

* Fri Aug 30 2002 Jakub Jelinek <jakub@redhat.com> 3.2-5
- disable tail copy patches, they seem to still have problems
- make libstdc++-v3 build on glibc 2.3 (and use thread-local
  locale model)
- fix c89 and c99 scripts (#73104)

* Wed Aug 26 2002 Jakub Jelinek <jakub@redhat.com> 3.2-4
- reorder alpha_encode_section_info checks slightly to fix an ICE
  when building glibc and to take better advantage of visibility
  attribute on Alpha
- as gdb is not there yet, disable -momit-leaf-frame-pointer
  by default for now on IA-32
- fix IA-64 bootstrap with tail padding patch (Jason Merrill, Daniel Berlin)
- fix x86-64 %RIP to %rip, only output (%rip) if no other relocation
  is used (Richard Henderson)

* Fri Aug 23 2002 Jakub Jelinek <jakub@redhat.com> 3.2-3
- take advantage of __attribute__((visibility())) on Alpha
- avoid copying tail padding (Jason Merrill)

* Thu Aug 22 2002 Jakub Jelinek <jakub@redhat.com> 3.2-2
- fixed Dwarf2 DW_OP_GNU_push_tls_address patch from Richard Henderson
- don't mention removed -a and -ax options in the documentation
  (Nathan Sidwell, #72233)
- fixed __typeof() followed by __asm() redirection from Alexandre Oliva

* Wed Aug 14 2002 Jakub Jelinek <jakub@redhat.com> 3.2-1
- update to 3.2 release
- fix x86-64 PR target/7559 (Jan Hubicka)
- fix -fprefetch-loop-arrays (Janis Johnson)
- fix x86-64 prefetch (Jan Hubicka)

* Fri Aug  9 2002 Jakub Jelinek <jakub@redhat.com> 3.2-0.3
- istream fix (Benjamin Kosnik)
- emit Dwarf2 DW_OP_GNU_push_tls_address extension for TLS (Richard Henderson)
- temporarily disable __typeof() + __asm() fix

* Thu Aug  8 2002 Jakub Jelinek <jakub@redhat.com> 3.2-0.2
- update from 3.2 branch
  - ABI incompatible changes in libstdc++.so.5, long long bitfield
    layout on IA-32 (both C and C++), oversized bitfields layout
    on IA-32 and bitfields with base type with __attribute__((aligned ()))
  - fix strstream segfaults (#68292, Benjamin Kosnik)
- fix __attribute__((visibility())) together with __asm__()
  function redirection
- fix __typeof() followed by __asm() redirection (Alexandre Oliva)
- fix TLS ICE on glibc (#70061)
- fix K6 ICE on linux kernel (#69989, Richard Sandiford, Jan Hubicka)
- fix inlining bug with labels (#70941)
- fix fold-const bug (#70541)
- fix PR preprocessor/7358 (Neil Booth)
- error when mixing __thread and non-__thread declarations
  (#70059, Aldy Hernandez)
- fix TLS bug on g++.dg/tls/diag-1.C (Jason Merrill)
- add -mcmodel= x86-64 documentation (Andreas Jaeger)
- avoid TLS emitting movl %gs:0, MEMORY on IA-32 (#71033)

* Mon Jul 22 2002 Jakub Jelinek <jakub@redhat.com> 3.2-0.1
- first attempt for gcc 3.2
- remove .la files

* Sat Jul 20 2002 Jakub Jelinek <jakub@redhat.com> 3.1-10
- update from 3.1 branch
  - add throw() to set_new_handler (Andreas Schwab)
  - fixed PR optimization/7147, optimization/7153
- make sure pic register is set up even when the only @PLT calls
  are done in EH basic blocks (Richard Henderson)

* Sun Jul 14 2002 Jakub Jelinek <jakub@redhat.com> 3.1-9
- define %%_gnu to nothing for compatibility

* Sat Jul 13 2002 Jakub Jelinek <jakub@redhat.com> 3.1-8
- update from 3.1 branch
  - fix OpenOffice miscompilation (PR c++/7279, Jason Merrill)
  - PRs c++/7224, c++/6255, optimization/7145, c++/6706, preprocessor/7070,
    middle-end/6963, target/6841, target/6770, target/6719,
    other/6836, libstdc++/7057, libstdc++/7097, libstdc++/3946,
    libstdc++/7173
  - fix a GC bug with named labels in C++ (Jim Wilson)
  - fix ICE on Mesa (Bernd Schmidt, #65771)
- added some NRV tests
- fix typo in i386 specs (PR c/7242)
- fix IA-32 ICE with shifts by negative values followed by compare
  (PR middle-end/7245, #68395)
- fixed DWARF-2 output for const char * (PR debug/7241)
- actually enable __cxa_atexit for standard compliance at configury time
- added PPC as Ada enabled architecture

* Wed Jun 19 2002 Jakub Jelinek <jakub@redhat.com> 3.1-7
- update from 3.1 branch
  - PRs target/6922, opt/6722, c/7030, c/6677, objc/6834, c++/6892,
    c++/6723, opt/6793
- use __cxa_atexit for standard compliance:
  if your C++ project knows it won't call atexit from within its
  static constructors, use -fno-use-cxa-atexit to optimize it
- share hard register rtxs where possible to speed the compiler up (Jeff Law)
- optimize tree_code_* arrays (Kaveh Ghazi)
- don't link prefix.o into libgnat, link libgnat against libgcc_s and
  libgnarl against libgnat
- fix typo in GNAT %%post (#66847, #66941, #66639)
- add TLS support

* Fri Jun  7 2002 Jakub Jelinek <jakub@redhat.com> 3.1-6
- add GNAT
- remove DT_RPATH from Java binaries (#66103)
- obsolete kaffe, install jar as %{_bindir}/jar
- add include/org directory in java
- add rmic and rmiregistry programs to libgcj
- add info documentation for gcj and various man pages
- add message catalogues for da, el, es, fr, ja, nl, sv, tr
- don't put IA-64 vtables with relocations into read-only sections
  with -fpic

* Tue Jun  4 2002 Jakub Jelinek <jakub@redhat.com> 3.1-5
- update from 3.1 branch
  - PRs optimization/6822, preprocessor/6844, target/6838, target/6788,
	libstdc++/6886, libstdc++/6795, libstdc++/6811
- m$ compatibility for unnamed fields as typedef of struct/union
  (PR c/6660)
- fix -fverbose-asm with unnamed fields (PR c/6809)
- fix -mmmx ICE (PR optimization/6842)
- default to -momit-leaf-frame-pointer on i386 (Richard Henderson)
- use linkonce section/hidden symbol for i686 pic getpc thunks
  (Richard Henderson)

* Tue May 28 2002 Jakub Jelinek <jakub@redhat.com> 3.1-4
- rebuilt

* Sat May 25 2002 Jakub Jelinek <jakub@redhat.com> 3.1-3
- update from 3.1 branch
  - PRs other/6782, preprocessor/6780, preprocessor/6517,
	libstdc++/6282, libstdc++/6701, libstdc++/6701
  - fix out << "" bug (Ben Kosnik, #65409, PR libstdc++/6750)
- 3 new patches
  - fix C++ __PRETTY_FUNCTION__ (PR c++/6794)
  - fix ICE on jikes (#65379)
  - add test for fixed mozilla miscompilation
- include intrinsic headers on IA-32/x86-64, include altivec.h on PPC

* Wed May 22 2002 Jakub Jelinek <jakub@redhat.com> 3.1-2
- update from 3.1 branch
- 8 new patches
  - fix as version test for 2.12.1 and newer binutils non-CVS releases
  - fix ICE in do_subst (#65049)
  - fix SSE conditional move (PR target/6753)
  - fix SPARC CSE ICE (PR optimization/6759)
  - fix x86_64 dbx64_register_map typo (Jan Hubicka)
  - fix DWARF-2 with flag_asynchronous_unwind_tables set for leaf
    functions (Jan Hubicka)
  - fix DWARF-2 x86_64 __builtin_dwarf_reg_sizes (Jan Hubicka)
  - fix x86_64 movabsdi (Michael Matz)

* Wed May 15 2002 Jakub Jelinek <jakub@redhat.com> 3.1-1
- update to 3.1 final
- 15 new patches
  - fix PR c/6643
  - fix fold-const.c typo
  - fix unitialized pointer-to-member values (Alexandre Oliva)
  - fix templates with asm inputs (Jason Merrill)
  - fix -fdata-section (Andreas Schwab)
  - readd warning about i386 -malign-double into documentation (Jan Hubicka)
  - fix PR libstdc++/6594 (Ben Kosnik)
  - fix PR PR libstdc++/6648 (Paolo Carlini)
  - fix libstdc++ testsuite rlimits (Rainer Orth)
  - s390 java support (Gerhard Tonn)
  - rotate testcases (Tom Rix)
  - build libiberty with -fpic on x86_64 (Andreas Schwab)
  - fix x86_64 multilib build (Bo Thorsen)
  - fix x86_64 ASM_OUTPUT_MI_THUNK (Jan Hubicka)
  - fix loop-2[cd].c tests on i386 (Eric Botcazou)
- fix typo in g77 info files tweaking
- fix libgcj.so symlink

* Thu May  9 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.28
- update to CVS 3.1 branch
  - PR c++/6212, target/6429, opt/6534, c/6543, target/6561, c/6569
- fix x86_64 q_regs_operand (Jan Hubicka)
- better PR c++/6381 fix (Jason Merrill)

* Fri May  3 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.27
- update to CVS 3.1 branch
  - PR target/5628, libstdc++/5820, c++/6396, preprocessor/6489,
    libstdc++/6501, libstdc++/6511, target/6512, libstdc++/6513,
    bootstrap/6514, opt/6516, bootstrap/6525, c++/6527, libstdc++/6533,
    target/6540
- fix PR target/6542, target/6522, libstdc++/6549

* Mon Apr 29 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.26
- update to CVS 3.1 branch
  - PR c/3581, libstdc++/4150, libstdc++/4164, c/5154, c/5430, c++/5504,
    c++/5658, c++/5719, f/6138, libgcj/6158, middle-end/6205, c++/6256,
    c/6300, c++/6331, c/6343, c/6344, c++/6352, c/6358, libstdc++/6360,
    c++/6395, target/6413, libstdc++/6414, target/6422, bootstrap/6445,
    optimization/6475, target/6476, c++/6477, c++/6479, c++/6486, c++/6492,
    target/6494, target/6496, c/6497, target/6500
- fix PR c++/6396
- run make check as part of build process

* Thu Apr 18 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.25
- update to CVS 3.1 branch
  - PR opt/420, c++/525, target/817, target/1538, opt/3967, target/3997,
    opt/4120, bootstrap/4191, opt/4311, optimization/4328, c++/4884, c++/4934,
    c/5078, c++/5104, opt/5120, c++/5189, c++/5373, target/5446, c/5484,
    c++/5507, c++/5571, c++/5636, target/5672, target/5715, target/5886,
    c++/5933, c++/5964, c++/5998, opt/6007, target/6032, target/6041,
    target/6054, c++/6073, target/6082, optimization/6086, target/6087,
    middle-end/6096, middle-end/6098, middle-end/6099, middle-end/6100,
    middle-end/6102, fortran/6106, c++/6119, opt/6165, optimization/6177,
    c++/6179, optimization/6189, c/6202, c/6223, optimization/6233,
    middle-end/6279, c/6290, optimization/6305, target/6305, bootstrap/6315,
    c++/6320...
- fix PR c++/6316

* Wed Mar 27 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.24
- update to CVS 3.1 branch
  - PRs c/5656, c/5972, bootstrap/4192, target/4792, bootstrap/4195,
    optimization/5854, target/6043, c++/6037, bootstrap/4128, target/5740,
    c/5597, optimization/5863, optimization/5742, target/3177, c/5354,
    optimization/5999, target/5977, middle-end/5731, target/5312...

* Fri Mar 15 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.23.1
- fix info and man page generation

* Thu Mar 14 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.23
- update to CVS 3.1 branch
  - fix IA-64 packet selection (PR optimization/5892)
  - make highest_pow2_factor work for all constants (PR middle-end/5877)
  - fix -Wunused (#61047)
  - fix loop on mixed mode class assignments (#60923)
  - fix wide character literals
  - support SPARC v9 long distance branches (PR target/5626)
  - fix SPARC leaf functions
  - fix a rtl sharing problem (Richard Henderson, #60760,
    PR optimization/5844)
  - fix va_arg with variable size types (PR c/3711)
  - PRs optimization/5901, optimization/5878, 5693, preprocessor/5899
- fix C++ ?: at the end of stmt expr (PR c++/5373)
- fix loop unrolling with sibcalls (PR optimization/5891)

* Thu Mar  7 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.22
- update to CVS 3.1 branch
  - fix ICE with volatile long long (#60650)
  - fix tempbuf.h (Philipp Thomas, #60212)
  - fix -fssa-ccp (Jeff Law, #60651)
  - versioned libstdc++
  - backport __attribute__((visibility("..."))) patches from trunk
- include libstdc++ html documentation

* Tue Feb  5 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.21
- update to CVS HEAD
  - fix demangler (H.J. Lu, #59300, #59310)
  - fix typo in IA-32 specs file (#59081)
  - support moving SFmode values in MMX regs if -mmmx (#59083)
  - fix recog_for_combine (#59084)
  - don't ICE when inserting insns on edge from bb0 to bb0 (Bernd Schmidt,
    #59087)
  - make sure configure has not time in the future (#59203)
  - fix division/modulo by certain constants (#58065, PR c/5304)
  - fix -Wswitch (PR c/4475)

* Thu Jan 31 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.20
- update to CVS HEAD
  - fix jar (Tom Tromey)
  - fix loop unrolling (Richard Henderson)

* Wed Jan 30 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.19
- update to CVS HEAD
  - fix a reload bug on ia32 (#58579, #58648)
  - issue error about unknown -W* options (#58909)
  - fix ia64 libbfd miscompilation (#58694)
  - register all pending unparsed_text structures with GC (#58647)
  - fix __builtin_apply with ia32 -msse (#58447)
  - prevent ia64 prologue insns saving regs required for eh from being
    deleted (#58387)

* Tue Jan 15 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.18
- update to CVS HEAD
  - handle static x[] = { [X...Y] = (foo) { Z } } (#58338)
  - fix getdents.os miscompilation (Richard Henderson, #58308)
  - fix ICE in try_forward_edges (#58125)
  - fix ICE with -fexceptions -foptimize-sibling-calls

* Tue Jan  8 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.17
- avoid division by 0 when computing prediction probabilities (#57992)
- fix ICE due to store_expr not adjusting value back for mode
- increase -ftemplate-depth default value to 500

* Mon Jan  7 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.16
- if using PT_GNU_EH_FRAME registry, work around assembler bug resp. feature
  and don't provide weak prototypes of functions which won't be used
- on Alpha, fix a typo so that crtbeginT.o is built and installed
- fix glibc inl-tester miscompilation on ia32

* Sun Jan  6 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.15
- update to CVS HEAD (fix glibc bootstrap failure)

* Thu Jan  3 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.14
- update to CVS HEAD (#57907)
  - fix alpha bootstrap (Richard Henderson)
- fix simplification of (div:SI (???:DI ???) (const_int 1))
  (#57916)
- add contrib/gcc_update --touch

* Tue Jan  1 2002 Jakub Jelinek <jakub@redhat.com> 3.1-0.13
- update to CVS HEAD (fix glibc miscompilation on alpha)
- fix objc to not emit __objc_class_name_* without type and size

* Mon Dec 31 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.12
- update to CVS HEAD
- fix sed commands for .la files
- make Alpha use PT_GNU_EH_FRAME

* Thu Dec 27 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.11
- update to CVS HEAD (#57165, #57212, #57467, #57488, #57502,
  #57505, #57574)
- readd .la files after fixing them up by sed
- add %%defattr(-,root,root) to libobjc subpackage

* Mon Dec  3 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.10
- one more gcc.spec fix for passing --gdwarf-2 resp. --gstabs to as
- fix conditional register dead computation on IA-64
- fix extern array of incomplete structures handling
- fix gcc -xc -
- fix Fortran ICEs with SAVE_EXPRs (Richard Kenner)

* Tue Nov 27 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.9
- update to CVS HEAD
- make DWARF 2 preferred debugging format on Linux

* Mon Nov 12 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.8
- don't ship .la files (#56072)
- include libfrtbegin.a (#56098)

* Mon Nov 12 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.7
- update to CVS HEAD
- back out Nov 7th loop.c change for now

* Fri Nov  9 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.6
- update to CVS HEAD
- frame unwind compatibility with 7.[12] binutils

* Tue Nov  6 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.5
- update to CVS HEAD
- merge DW_EH_PE_indirect constants and their relocs

* Thu Oct 25 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.4
- don't loop forever or ICE on bogus array initializers (#53704)
- fix store motion with pure calls
- disable store motion for now

* Tue Oct 23 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.3
- fix inlining of C nested functions with auto prototypes

* Mon Oct 22 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.2
- update to CVS HEAD
- tree inlining fix from Alexandre Oliva
- fix anonymous union ICE on alpha

* Mon Oct 15 2001 Jakub Jelinek <jakub@redhat.com> 3.1-0.1
- switch package to main compiler from alternate compiler
- update to CVS HEAD
- early gcc-2.96-RH compatibility in __frame_state_for
- change weak function tests for functions always present in GLIBC 2.2
  into simple non-weak calls in crt*.o to avoid unnecessary symbol
  lookups and prelink conflicts
- don't link against libgcc_s C shared libraries

* Tue Oct  2 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-4
- update from CVS 3.0 branch
  - ia64 function descriptors in vtables
- handle large files in Fortran (#53328)
- allow Java programs to be statically linked (#53605)
- remove #include_next patch, Benjamin commited it

* Thu Sep  6 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-3
- don't use #include_next in <bits/std_c*> headers (Benjamin Kosnik, #53262)

* Wed Sep  5 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-2
- update from CVS 3.0 branch
- check all gcc-2.96-RH patches whether they have made it into 3.0.1,
  and if not, whether they are appropriate for 3.0.1
- 8 new patches
  - add 36 testcases from gcc-2.96-RH
  - fix ICE on very questionable C++ code from JDK (#39858, #52960)
  - fix -frepo (Nathan Sidwell, #52877)
  - avoid generating bogus .stabs (#49214)
  - issue a clear error message about invalid ia32 floating point
    asm constraints (#27137)
  - fix some comment typos
  - fix ADDRESSOF recognition (#29686)

* Mon Aug 27 2001 Jakub Jelinek <jakub@redhat.com> 3.0.1-1
- update from CVS (3.0.1 final)
- properly handle throw() exception specifiers in template decls (#51824)
- fix IA-64 varargs handling in presence of additional anonymous arguments
  (#50757)
- fix boehm-gc for prelink
- fix a typo in gcc3-c++ description (#52323)
- remove Chill from package summary (#51764)

* Tue Aug  7 2001 Jakub Jelinek <jakub@redhat.com> 3.0-6
- update from CVS
  - fix glibc vfprintf miscompilation
- don't warn about if (&foo) if foo is weak (H.J.Lu, #50855)

* Wed Jul 25 2001 Jakub Jelinek <jakub@redhat.com> 3.0-5
- include libgcjgc.a in libgcj3-devel
- include libgcjgc.so.* in libgcj3 on ia64
- remove dependency on libgcj on ia64
- add ldconfig to libgcj3 post/postun

* Tue Jul 24 2001 Jakub Jelinek <jakub@redhat.com> 3.0-4
- update from CVS
- make gcc3-java/libgcj3* packages, so that they can coexist
  with 2.96-RH Java
- make sure shared Java libraries are built with proper dependencies

* Wed Jul 11 2001 Jakub Jelinek <jakub@redhat.com> 3.0-3
- fix libgcc_s.so and libstdc++.so symlinks
- don't ship jar

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 3.0-2
- move libstdc++.so into gcc-lib
- add libobjc.so symlink

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com> 3.0-1
- new rpm
