# $Id: gdesklets.spec 2233 2004-10-01 11:52:13Z dries $
# Authority: dag

%define real_name gDesklets

Summary: Advanced architecture for desktop applets
Name: gdesklets
Version: 0.36.1
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops
URL: http://gdesklets.de/


Source: http://archive.gdesklets.info/gDesklets/gDesklets-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libgtop2-devel >= 2.0.0, python-devel >= 2.0.0, gcc-c++
BuildRequires: gnome-python-devel >= 2.12.0, pyorbit-devel >= 2.0.1
BuildRequires: expat-devel >= 1.95.8
BuildRequires: perl(XML::Parser), intltool, pygtk2-devel
BuildRequires: gtk2-devel
Requires: python >= 2.3, gnome-python >= 2.12.0, pyorbit >= 2.0.1

%description
gDesklets provides an advanced architecture for desktop applets - tiny
displays sitting on your desktop in a symbiotic relationship of eye candy 
and usefulness.

Populate your desktop with status meters, icon bars, weather sensors,
news tickers... whatever you can imagine! Virtually anything is possible 
and maybe even available some day.


%prep
%setup -q -n %{real_name}-%{version}


%build
%configure \
	--disable-dependency-tracking \
	--disable-install-schemas
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
make install DESTDIR=%{buildroot}
%find_lang %{name}

desktop-file-install --vendor="vine"  \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category Application \
        --add-category Utility \
        data/%{name}.desktop

mkdir -p  %{buildroot}{%{_bindir},%{_datadir}/%{name}/data/,%{_datadir}/%{name}/Displays/,%{_datadir}/%{name}/Controls/}

rm -rf %{buildroot}%{_datadir}/mime/application
rm -rf %{buildroot}%{_datadir}/mime/{globs,magic,XMLnamespaces,aliases,subclasses,mime.cache}
rm -f %{buildroot}%{_datadir}/applications/{%{name}.desktop,mimeinfo.cache}
rm -f %{buildroot}%{_datadir}/mime/{globs2,generic-icons,icons,treemagic,types}


%post
/usr/bin/update-mime-database %{_datadir}/mime &>/dev/null || :


%postun
/usr/bin/update-mime-database %{_datadir}/mime &>/dev/null || :


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/gnome/48x48/mimetypes/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/*


%changelog
* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.36.1-1
- new upstream release
- fix build/install/files section

* Mon Dec 27 2004 Kazuhisa TAKEI <takei@vinelinux.org> - 0.32-1vl2
- new upstream release 0.32.
- import to Vine Linux

* Wed Aug 28 2004 Dag Wieers <dag@wieers.com> - 0.30-1
- Updated to release 0.30.

* Wed May 05 2004 Dag Wieers <dag@wieers.com> - 0.26.2-1
- Updated to release 0.26.2.

* Sun Mar 28 2004 Dag Wieers <dag@wieers.com> - 0.26.1-0
- Updated to release 0.26.1.

* Wed Feb 25 2004 Dag Wieers <dag@wieers.com> - 0.26-0
- Updated to release 0.26.

* Tue Dec 30 2003 Dag Wieers <dag@wieers.com> - 0.25.1-0
- Updated to release 0.25.1.

* Mon Dec 29 2003 Dag Wieers <dag@wieers.com> - 0.25-0
- Updated to release 0.25.

* Wed Dec 03 2003 Dag Wieers <dag@wieers.com> - 0.24.1-0
- Initial package. (using DAR)
