%define ver 3.0

Summary: A C++ wrapper for gdl
Summary(ja): gdl の C++ ラッパー
Name: gdlmm
Version: 3.2.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gdlmm/3.2/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	gdl >= 3.0.0
Requires:	glibmm >= 2.16.0
Requires:	gtkmm3 >= 3.0.0
BuildRequires:	gdl-devel >= 3.0.0
BuildRequires:	glibmm-devel >= 2.16.0
BuildRequires:	gtkmm3-devel >= 3.0.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Gdlmm is a C++ wrapper for gdl.


%package	devel
Summary: 	Development tools for gdlmm applications.
Summary(ja): 	gdlmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gdl-devel >= 3.0.0
Requires:	glibmm-devel >= 2.16.0
Requires:	gtkmm3-devel >= 3.0.0

%description devel
Header files and libraries for building a extension library for the gdlmm.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/devhelp/books/gdlmm-3.0/gdlmm-3.0.devhelp2
%{_datadir}/doc/gdlmm-%{ver}

%changelog
* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Sun Oct 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- change BuildRequires: gtkmm3-devel instead of gtkmm2-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

