%define libauditver 1.0.6
%define pango_version 1.2.0
%define gtk3_version 2.99.2
%define libglade2_version 2.0.0
%define libgnomeui_version 2.2.0
%define scrollkeeper_version 0.3.4
%define pam_version 0.99.8.1-11
%define desktop_file_utils_version 0.2.90
%define gail_version 1.2.0
%define nss_version 3.11.1
%define consolekit_version 0.3.0-9
%define fontconfig_version 2.6.0

## %define _default_patch_fuzz 999

Summary: The GNOME Display Manager
Summary(ja): GNOME ディスプレイマネージャ
Name: gdm
Version: 3.4.1
Release: 1%{?_dist_release}
License: GPLv2+
Group: User Interface/X
URL: http://download.gnome.org/sources/gdm

Source: http://download.gnome.org/sources/gdm/3.4/gdm-%{version}.tar.xz
Source1: gdm-pam
Source2: gdm-autologin-pam
Source3: gdm-welcome-pam
Source4: gdm-password.pam
Source5: gdm-smartcard.pam
Source6: gdm-fingerprint.pam
Source7: gdm-smartcard-16.png
Source8: gdm-smartcard-48.png
Source9: gdm-fingerprint-16.png
Source10: gdm-fingerprint-48.png
Source11: polkit-gnome-authentication-agent-1.desktop

Source200: gdm-restart
Source201: gdm-safe-restart
Source202: gdm-stop
Source203: gnome.desktop

Source210: gdm.master.ja.po


Requires(pre): shadow-utils
Requires(posttrans): dconf
Requires: pam >= %{pam_version}
Requires: ConsoleKit >= %{consolekit_version}
Requires: accountsservice
Requires: iso-codes
Requires: gnome-keyring-pam
Requires: gnome-session
Requires: gnome-settings-daemon
Requires: polkit-gnome
Requires: pulseaudio-gdm-hooks
Requires: usermode-gtk
Requires: util-linux
Requires: xinitrc
Requires: xorg-x11-xdm
Requires: vine-backgrounds >= 4.0
Requires: libXau >= 1.0.4-4
Requires: audit-libs >= %{libauditver}

BuildRequires: libcanberra-gtk3-devel
BuildRequires: scrollkeeper >= %{scrollkeeper_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: pam-devel >= %{pam_version}
BuildRequires: fontconfig >= %{fontconfig_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libtool automake autoconf
BuildRequires: libattr-devel
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: libdmx-devel
BuildRequires: audit-libs-devel >= %{libauditver}
BuildRequires: autoconf automake libtool
BuildRequires: intltool
BuildRequires: xorg-x11-server-Xorg
BuildRequires: nss-devel >= %{nss_version}
BuildRequires: ConsoleKit
BuildRequires: check-devel
BuildRequires: iso-codes
BuildRequires: libxklavier-devel >= 4.0
BuildRequires: upower-devel >= 0.9.7
BuildRequires: libXdmcp-devel
BuildRequires: libSM-devel
BuildRequires: dbus-glib-devel
BuildRequires: accountsservice-devel

BuildRequires: dbus-x11
BuildRequires: dconf-devel
BuildRequires: gnome-power-manager
BuildRequires: gsettings-desktop-schemas
BuildRequires: gnome-settings-daemon


Patch0: plymouth.patch

# Patch from Fedora


# Patch from Ubuntu
Patch105: 05_initial_server_on_vt7.patch

## patches for vine
Patch500: gdm-2.32.1-vine-release.patch

## fix metacity warning
## http://git.gnome.org/browse/gdm/commit/?h=gnome-2-28&id=98a1649b17320957b9a2521af07d15ba51c187c9
Patch501: gdm-2.32.0-greeter-login-window-be-dock.patch

Vendor: Project Vine
Distribution: Vine Linux


%description
GDM provides the graphical login screen, shown shortly after boot up,
log out, and when user-switching.


%package devel
Summary:  Development files and headers for GDM
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files and headers for writing GDM greeters.


%package plugin-smartcard
Summary:   GDM smartcard plugin
Group:     User Interface/Desktops
Requires:  %{name} = %{version}-%{release}
Requires:  pam_pkcs11


%description plugin-smartcard
The GDM smartcard plugin provides functionality necessary to use a smart card with GDM.

%package plugin-fingerprint
Summary:   GDM fingerprint plugin
Group:     User Interface/Desktops
Requires:  %{name} = %{version}-%{release}
Requires:  fprintd-pam

%description plugin-fingerprint
The GDM fingerprint plugin provides functionality necessary to use a fingerprint reader with GDM.


%prep
%setup -q
%patch0 -p1 -b .plymouth

%patch105 -p1 -b .xserver

%patch500 -p1 -b .vine-release
%patch501 -p1 -b .greeter-login-window-be-dock

cp -f %{SOURCE210} po/ja.po

autoreconf -i -f

%build
cp -f %{SOURCE1} data/gdm
cp -f %{SOURCE2} data/gdm-autologin
cp -f %{SOURCE3} data/gdm-welcome
cp -f %{SOURCE4} gui/simple-greeter/extensions/password/gdm-password.pam
cp -f %{SOURCE5} gui/simple-greeter/extensions/smartcard/gdm-smartcard.pam
cp -f %{SOURCE6} gui/simple-greeter/extensions/fingerprint/gdm-fingerprint.pam
cp -f %{SOURCE7} gui/simple-greeter/extensions/smartcard/icons/16x16/gdm-smartcard.png
cp -f %{SOURCE8} gui/simple-greeter/extensions/smartcard/icons/48x48/gdm-smartcard.png
cp -f %{SOURCE9} gui/simple-greeter/extensions/fingerprint/icons/16x16/gdm-fingerprint.png
cp -f %{SOURCE10} gui/simple-greeter/extensions/fingerprint/icons/48x48/gdm-fingerprint.png

%configure \
        --with-pam-prefix=%{_sysconfdir} \
        --with-working-directory=%{_localstatedir}/gdm \
        --enable-console-helper \
        --disable-scrollkeeper \
        --with-console-kit \
        --enable-split-authentication=yes \
        --without-selinux

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make -C po

make %{?_smp_mflags}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gdm/Init
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gdm/PreSession
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gdm/PostSession

make install DESTDIR=$RPM_BUILD_ROOT

# docs go elsewhere
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc

# create log dir
mkdir -p $RPM_BUILD_ROOT/var/log/gdm

# and a spool dir
mkdir -p $RPM_BUILD_ROOT/var/spool/gdm

# remove the gdm Xsession as we're using the xdm one
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gdm/Xsession
(cd $RPM_BUILD_ROOT%{_sysconfdir}/gdm; ln -sf ../X11/xinit/Xsession .)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/autostart/LoginWindow

# temporarily manually copy this
cp -f %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/gdm/autostart/LoginWindow/polkit-gnome-authentication-agent-1.desktop

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/gdm/greeter

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

find $RPM_BUILD_ROOT -name '*.a' -delete
find $RPM_BUILD_ROOT -name '*.la' -delete


install -m 0755 %{SOURCE200} %{SOURCE201} %{SOURCE202} $RPM_BUILD_ROOT%{_sbindir}/
# install gnome.desktop
# XXX: this should be included in each desktop environment package.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions/
cp %{SOURCE203} $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions/


%find_lang gdm --with-gnome

%pre
/usr/sbin/useradd -M -u 42 -d %{_localstatedir}/gdm -s /sbin/nologin -r gdm > /dev/null 2>&1
/usr/sbin/usermod -d %{_localstatedir}/gdm -s /sbin/nologin gdm >/dev/null 2>&1
# ignore errors, as we can't disambiguate between gdm already existed
# and couldn't create account with the current adduser.
exit 0

%post
/sbin/ldconfig

touch --no-create /usr/share/icons/hicolor >&/dev/null || :

# if the user already has a config file, then migrate it to the new
# location; rpm will ensure that old file will be renamed

custom=%{_sysconfdir}/gdm/custom.conf

if [ $1 -ge 2 ] ; then
    if [ -f /usr/share/gdm/config/gdm.conf-custom ]; then
        oldconffile=/usr/share/gdm/config/gdm.conf-custom
    elif [ -f /etc/X11/gdm/gdm.conf ]; then
        oldconffile=/etc/X11/gdm/gdm.conf
    fi

    # Comment out some entries from the custom config file that may
    # have changed locations in the update.  Also move various
    # elements to their new locations.

    [ -n "$oldconffile" ] && sed \
    -e 's@^command=/usr/X11R6/bin/X@#command=/usr/bin/Xorg@' \
    -e 's@^Xnest=/usr/X11R6/bin/Xnest@#Xnest=/usr/X11R6/bin/Xnest@' \
    -e 's@^BaseXsession=/etc/X11/xdm/Xsession@#BaseXsession=/etc/X11/xinit/Xsession@' \
    -e 's@^BaseXsession=/etc/X11/gdm/Xsession@#&@' \
    -e 's@^BaseXsession=/etc/gdm/Xsession@#&@' \
    -e 's@^Greeter=/usr/bin/gdmgreeter@#Greeter=/usr/libexec/gdmgreeter@' \
    -e 's@^RemoteGreeter=/usr/bin/gdmlogin@#RemoteGreeter=/usr/libexec/gdmlogin@' \
    -e 's@^GraphicalTheme=Bluecurve@#&@' \
    -e 's@^BackgroundColor=#20305a@#&@' \
    -e 's@^DefaultPath=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin@#&@' \
    -e 's@^RootPath=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin@#&@' \
    -e 's@^HostImageDir=/usr/share/hosts/@#HostImageDir=/usr/share/pixmaps/faces/@' \
    -e 's@^LogDir=/var/log/gdm@#&@' \
    -e 's@^PostLoginScriptDir=/etc/X11/gdm/PostLogin@#&@' \
    -e 's@^PreLoginScriptDir=/etc/X11/gdm/PreLogin@#&@' \
    -e 's@^PreSessionScriptDir=/etc/X11/gdm/PreSession@#&@' \
    -e 's@^PostSessionScriptDir=/etc/X11/gdm/PostSession@#&@' \
    -e 's@^DisplayInitDir=/var/run/gdm.pid@#&@' \
    -e 's@^RebootCommand=/sbin/reboot;/sbin/shutdown -r now;/usr/sbin/shutdown -r now;/usr/bin/reboot@#&@' \
    -e 's@^HaltCommand=/sbin/poweroff;/sbin/shutdown -h now;/usr/sbin/shutdown -h now;/usr/bin/poweroff@#&@' \
    -e 's@^ServAuthDir=/var/gdm@#&@' \
    -e 's@^Greeter=/usr/bin/gdmlogin@Greeter=/usr/libexec/gdmlogin@' \
    -e 's@^RemoteGreeter=/usr/bin/gdmgreeter@RemoteGreeter=/usr/libexec/gdmgreeter@' \
    $oldconffile > $custom
fi

if [ $1 -ge 2 -a -f $custom ] && grep -q /etc/X11/gdm $custom ; then
   sed -i -e 's@/etc/X11/gdm@/etc/gdm@g' $custom
fi

%postun
/sbin/ldconfig
scrollkeeper-update >& /dev/null ||:
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
dconf update
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%files -f gdm.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%dir %{_sysconfdir}/gdm
%config(noreplace) %{_sysconfdir}/gdm/custom.conf
%config %{_sysconfdir}/gdm/Init/*
%config %{_sysconfdir}/gdm/PostLogin/*
%config %{_sysconfdir}/gdm/PreSession/*
%config %{_sysconfdir}/gdm/PostSession/*
%config %{_sysconfdir}/pam.d/gdm
%config %{_sysconfdir}/pam.d/gdm-autologin
%config %{_sysconfdir}/pam.d/gdm-password
%config %{_sysconfdir}/pam.d/gdm-welcome
# not config files
%{_sysconfdir}/gdm/Xsession
%{_datadir}/gdm/gdm.schemas
%{_sysconfdir}/X11/dm/Sessions/gnome.desktop
%{_sysconfdir}/dbus-1/system.d/gdm.conf
%dir %{_sysconfdir}/gdm/Init
%dir %{_sysconfdir}/gdm/PreSession
%dir %{_sysconfdir}/gdm/PostSession
%dir %{_sysconfdir}/gdm/PostLogin
#%{_datadir}/gnome-session/sessions/gdm.session
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/gdm/simple-greeter/extensions/unified/page.ui
%{_libexecdir}/gdm-factory-slave
%{_libexecdir}/gdm-host-chooser
%{_libexecdir}/gdm-product-slave
%{_libexecdir}/gdm-session-worker
%{_libexecdir}/gdm-simple-chooser
%{_libexecdir}/gdm-simple-greeter
%{_libexecdir}/gdm-simple-slave
%{_libexecdir}/gdm-xdmcp-chooser-slave
%{_sbindir}/gdm
%{_sbindir}/gdm-binary
%{_sbindir}/gdm-restart
%{_sbindir}/gdm-safe-restart
%{_sbindir}/gdm-stop
%{_bindir}/gdmflexiserver
%{_bindir}/gdm-screenshot
%{_datadir}/gdm/*.ui
%{_datadir}/gdm/locale.alias
%{_datadir}/gdm/gdb-cmd
%{_libexecdir}/gdm-crash-logger
%{_libdir}/libgdm*.so*
%dir %{_libdir}/gdm
%dir %{_libdir}/gdm/simple-greeter
%dir %{_libdir}/gdm/simple-greeter/extensions
%{_libdir}/gdm/simple-greeter/extensions/libpassword.so
%{_libdir}/girepository-1.0/*.typelib
%dir %{_datadir}/gdm/simple-greeter
%dir %{_datadir}/gdm/simple-greeter/extensions
%dir %{_datadir}/gdm/simple-greeter/extensions/password
%{_datadir}/gdm/simple-greeter/extensions/password/page.ui
%dir %{_datadir}/gdm
%dir %{_datadir}/gdm/autostart
%dir %{_datadir}/gdm/autostart/LoginWindow
%{_datadir}/gdm/autostart/LoginWindow/*
%{_datadir}/gdm/greeter/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.login-screen.gschema.xml
%{_datadir}/gnome-session/sessions/gdm-fallback.session
%{_datadir}/gnome-session/sessions/gdm-shell.session
%dir %{_localstatedir}/log/gdm
%dir %{_localstatedir}/spool/gdm
%attr(1770, gdm, gdm) %dir %{_localstatedir}/gdm
%attr(1755, gdm, gdm) %dir %{_localstatedir}/run/gdm/greeter
%attr(1777, root, gdm) %dir %{_localstatedir}/run/gdm
%attr(1755, root, gdm) %dir %{_localstatedir}/cache/gdm
%{_sysconfdir}/dconf/profile/gdm
%{_sysconfdir}/dconf/db/gdm.d/00-upstream-settings
%{_sysconfdir}/dconf/db/gdm.d/locks/00-upstream-settings-locks

%files devel
%defattr(-, root, root)
%{_includedir}/gdm/greeter/gdm-greeter-client.h
%{_includedir}/gdm/greeter/gdm-greeter-sessions.h
%{_includedir}/gdm/simple-greeter/gdm-login-extension.h
%{_datadir}/gir-1.0/*.gir
%{_libdir}/pkgconfig/*.pc

%files plugin-smartcard
%defattr(-, root, root)
%config %{_sysconfdir}/pam.d/gdm-smartcard
%dir %{_datadir}/gdm/simple-greeter/extensions/smartcard
%{_datadir}/gdm/simple-greeter/extensions/smartcard/page.ui
%{_libdir}/gdm/simple-greeter/extensions/libsmartcard.so
%{_libexecdir}/gdm-smartcard-worker

%files plugin-fingerprint
%defattr(-, root, root)
%config %{_sysconfdir}/pam.d/gdm-fingerprint
%dir %{_datadir}/gdm/simple-greeter/extensions/fingerprint
%{_datadir}/gdm/simple-greeter/extensions/fingerprint/page.ui
%{_libdir}/gdm/simple-greeter/extensions/libfingerprint.so

%changelog
* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- update Patch0
- remove Patch134,503

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1.1-1
- new upstream release
- change BuildRequires: dconf-devel instead of dconf

* Sat Oct 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- create %%{name}-devel sub package
- add BuildRequires: libSM-devel

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release
- merge spec and patch files

	* Wed Aug  3 2011 Lennart Poettering <lpoetter@redhat.com> - 1:3.1.2-4
	- Register welcome pseudo-session in PAM
	* Tue Jun 28 2011 Ray Strode <rstrode@redhat.com> 3.1.2-3
	- Disable fatal critcals
	  Resolves: #717324
	* Tue Jun 21 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 3.1.2-2
	- Fix /dev/ull typo in scriptlets (#693046).
	* Mon Jun 13 2011 Ray Strode <rstrode@redhat.com> 3.1.2-1
	- Update for release
	* Mon Jun 06 2011 Ray Strode <rstrode@redhat.com> 3.0.4-1
	- Update to latest version
	  Resolves CVE-2011-1709
	* Fri Apr 15 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.0-2
	- Put the Fedora logo back in the greeter
	* Mon Apr  4 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.0-1
	- Update to 3.0.0

* Sat Jul 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.2-5
- add patch134 to disable a11y (revert upstream change)
- add patch138 to give focus to user chooser on startup

* Tue Jun 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.2-4
- add patch117 to use timed login after autologin.

* Wed Jun 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.2-3
- add patch504 to use vine logo for simple greeter panel instead of
  computer.svg.

* Mon Jun 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.2-2
- add patch503 to disable metacity compositing_manager

* Fri Jun 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- update to 2.32.2
  (including security fix for CVE-2011-1709)
- drop Patch109
- add Patch502 (gdm-2.32.2-simple-greeter-vine.patch)
- update ja.po

* Fri May 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- update to 2.32.1
  (including security fix for CVE-2011-0727)
- update Patch128,500

* Wed Mar 09 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.0-2
- add Patch501 to fix metacity warning..
- update ja.po

* Tue Mar 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.0-1
- update to 2.32.0
- remove R: plymouth-gdm-hooks
- use ubuntu plymouth integration patch instead of fedora's.
- update ubuntu patches

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-6
- remove Patch1 (gdm-2.30.2-UTF-8.patch)

* Mon Jan 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-5
- add Patch1 (gdm-2.30.2-UTF-8.patch)

* Sat Oct 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-4
- add BuildRequires: polkit-devel, gnome-panel-devel, libxklavier-devel, upower-devel,
                     libXdmcp-devel, gnome-doc-utils, libICE-devel
- add Patch100 (01_upower.patch) from ubuntu
- add Patch105 (02_x_server_location.patch) from ubuntu
- add Patch501 (gdm-2.30.2_add_dbus_glib_to_applet_deps.patch)
- add configure option (--with-working-directory=%%{_localstatedir}/gdm)
- fix %files (fix working directory)

* Sun May 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.0-3
- fix patch500: fix login panel crash on x86_64 (<BTS:992>)

* Fri May 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.0-2
- add patch104: hide mouse cursor on startup user session
- add patch500: read vine-release to get system version

* Mon May 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.0-1
- new upstream release
- add patch101,102,103 from ubuntu
- drop themes

* Sat Jul 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.20.10-6
- update Patch100: fix typo & change BackgroundColor/GraphicalThemedColor
  <BTS:VineLinux:0732>
- add BuildRequires: libdmx-devel, audit-libs-devel

* Thu May 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.10-5
- add patch11: add hibernate button in GDM menu
- add pathc18: use combo boxc for language selector

* Mon May 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.10-4
- remove explicit dependency to gnome libraries
- remove BR: libgnome{ui,canvas}-devel
- add Requires: xorg-x11-xdm

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.10-3
- update vine themes
  - sync Vine-list with new Vine theme

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.10-2
- update vine theme

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.10-1
- update to 2.20.10
- update vine themes
  - add Requires: vine-backgrounds >= 4.0

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.8-1
- update to 2.20.8
  - gdm-2.22/24 still not mature, so We are staying
    with gdm-2.20 branch.

* Wed Jun 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.20.5-2
- rebuilt with --with-console-kit
- TODO: update to 2.22.0 with PolicyKit support

* Mon May 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.5-1
- update to 2.20.5
  - TODO: update to 2.22.0
  - TODO: update theme to support gdm-2.22.0
- build with xorg-x11-7.3

* Mon Jan 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.18.1-0vl4
- added gdm-2.18.1-gdmphotosetup-desktop.patch

* Fri May 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl3
- import some upstream patches

* Fri May 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl2
- update Vine theme

* Fri May 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Thu Dec 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.10-0vl5
- rebuilt for VineSeed

* Thu Dec 21 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.10-0vl4.2
- add Vendor/Distribution tag
- fix changelog typo

* Mon Dec 18 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.10-0vl4.1
- add patch200 for fix CVE-2006-6105

* Thu Sep 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.10-0vl4
- update locale.alias
  - remove unsupported langs, add ja_JP.UTF-8

* Fri Sep 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.10-0vl3
- update gdm-theme-vine
  - shrink image size

* Sun Aug 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.10-0vl2
- update gdm-theme-vine
  - add Face-browser version of Vine theme.

* Sat Aug 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.10-0vl1
- new upstream release
- update gdm-theme-vine
- drop Patch10 (merged in upstream)

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.8-0vl1
- new upstream release
- add Patch10 to fix autologin
  (<BTS:63>, http://bugzilla.gnome.org/show_bug.cgi?id=344191)

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.7-0vl1
- new upstream release

* Sun May 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.6-0vl1
- new upstream release
- remove xsri dependency

* Sun May 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.5-0vl2
- use consolehelper for gdmsetup

* Sat May 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.5-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- rebuild to change _localstatedir

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.0.10-0vl2
- fix %%post script for Vine Linux
- remove Patch17,18 which are not needed for Vine Linux

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.13.0.10-0vl1
- new upstream release
- updated %%post and %%postun script

* Tue Sep 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0.4-0vl1
- new upstream release
- import gdm-theme-vine from Vine Linux 3.2

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.0.6-0vl1
- new upstream release
- build with gnome-2.8.1

* Sun Oct 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.0.5-0vl1
- new upstream release
- update Vine patch
- remove obsolete patch and ja.po

* Fri Oct 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl10
- update Vine theme for Vine Linux 3.1

* Mon Jul 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl9
- rebuild to fix bogus consolehelper symlinks

* Fri Jul 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl8
- revert 0vl7's change..

* Thu Jul 22 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl7
- use 100dpi for X resolution instead of 96dpi

* Mon Jun 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl6
- Requires usermode-gtk instead of usermode

* Wed Jun 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl5
- move WindowMaker.desktop to WindowMaker package.

* Fri Apr  2 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl4
- add modified ja.po to fix a strange date notation in gdmlogin.

* Wed Mar 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl3
- add new Vine theme, rename old Vine theme to AquaVine
- switch to new default Theme

* Fri Mar  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl2
- update GDM-Vine theme to change font size.

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.7-0vl1
- new upstream release

* Sat Oct 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.4-0vl1
- new upstream release

* Sun Sep 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.3-0vl1
- new upstream release
- fix locale.alias to use ja_JP.eucJP instead of UTF-8 for Japanese locale.
  (this was fixed in 2.4.0.12, but it does not works with 2.4.4.x)

* Tue Sep 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.1-0vl1
- new upstream release

* Sat Sep 13 2003 KAZUKI SHIMURA <rito@pos.to> 2.4.4.0-0vl4
- fix LogDir/ServAuthDir

* Tue Sep 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.0-0vl3
- add WindowMaker.desktop which should go to WindowMaker package.

* Tue Sep 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.0-0vl2
- update ja.po
- modified gdm.conf

* Mon Sep 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4.0-0vl1
- new upstream release
- partially merged with rawhide package
  * Thu Sep  4 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.4.0-2
  - Use the right default session (#103546)
  * Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.4.0-1
  - update to 2.4.4.0
  - update to georges new selinux patch
  * Fri Aug 29 2003 Elliot Lee <sopwith@redhat.com> 1:2.4.2.102-2
  - Remove scrollkeeper files
  * Tue Aug 26 2003 George Lebl <jirka@5z.com> 1:2.4.2.102-1
  - updated to 2.4.2.102
  - removed outdated patches
  - Use Xsetup_0 only for :0 since that's the way it works
    for xdm
  - remove the gnome.desktop file, its going into gnome-session
  * Thu Aug 14 2003 Havoc Pennington <hp@redhat.com> 1:2.4.1.6-1
  - update to latest bugfix version on george's advice
  - remove setlocale patch that's upstream
  - remove console setup patches that are upstream
  * Thu Jun 12 2003 Dan Walsh <dwalsh@redhat.com> 2.4.1.3-9
  - Port to SELinux
  * Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
  - rebuilt
  * Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
  - add explicit epoch's where needed.
  * Sun May 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
  - fix post: localstatedir -> _localstatedir
  * Thu May  1 2003 Havoc Pennington <hp@redhat.com> 1:2.4.1.3-6
  - enable UTF-8 for CJK
  * Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
  - debuginfo rebuild
  * Thu Feb 20 2003 Owen Taylor <otaylor@redhat.com>
  - Run the error dialogs under /bin/sh --login, so we
    get lang.sh, and thus unicode_start running. Fixes
    the X-doesn't-start dialog showing up as random
    blinking characters.
  * Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.4.1.3-2
  - nuke buildreq Xft
  * Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.4.1.3-1
  - upgrade to 2.4.1.3
  * Mon Feb  3 2003 Matt Wilson <msw@redhat.com> 1:2.4.1.1-6
  - added gdm-2.4.1.1-64bit.patch to fix 64 bit crash in cookie
    generation (#83334)
  * Mon Feb  3 2003 Owen Taylor <otaylor@redhat.com>
  - Add patch to fix problem where setting LC_COLLATE=C would give LC_MESSAGES=wa_BE (#82019)
  * Thu Jan 30 2003 Matt Wilson <msw@redhat.com> 1:2.4.1.1-3
  - fix pam.d entry, pam_env wasn't properly patched
  - disable optimizations on x86_64 to work around gcc bug
  * Wed Jan 22 2003 Tim Powers <timp@redhat.com>
  - rebuilt
  * Mon Jan 20 2003 Owen Taylor <otaylor@redhat.com>
  - Upgrade to 2.4.1.1 (Fixes #81907)
  - Redirect stdout of kill to /dev/null (#80814)
  * Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
  - 2.4.1.0
  - add patch from george to ask "are you sure?" for shutdown/reboot since
    it's now just one click away
  * Thu Dec 19 2002 Havoc Pennington <hp@redhat.com>
  - 2.4.0.12
  - update new patch for no-utf8-in-cjk
  - drop patch to photo setup, now upstream
  - drop confdocs patch now upstream
  - move all the gdm.conf changes into single "rhconfig" patch
  - remove "sid-fix" patch now upstream

* Sun Jan 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1.2-0vl1
- new upstream release
- add '-dpi 96' to Xserver option. (change default to 96dpi)

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1.1-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1.0-0vl1
- new upstream release
- update PreReq tag.
- discard scrollkeeper outputs.

* Fri Jan  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.12-0vl3
- add Vine theme as default.
- change ja locale from utf8 to eucJP
- add Xsession/Xclients script for gdm.
- add Sessions/* for Gnome/WindowMaker.

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.12-0vl2
- remove redhat category

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.12-0vl1
- merged with rawhide release for gnome2.

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.0.7-14
- remove the directory part of module specifications from the PAM config files,
  allowing the same PAM config to work for either arch on multilib boxes

* Thu Sep  5 2002 Owen Taylor <otaylor@redhat.com>
- Change zh_CN entry in language menu to zh_CN.GB18030

* Thu Sep  5 2002 Akira TAGOH <tagoh@redhat.com> 2.4.0.7-12
- copied gdm-ja.po to ja.po.

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem where gdm was opening ~/.xsession-errors itself to bad effect

* Sat Aug 31 2002 Havoc Pennington <hp@redhat.com>
- include ja.po with new date format

* Wed Aug 28 2002 Havoc Pennington <hp@redhat.com>
- remove noreplace on gdm.conf #71309
- make gnome-gdmsetup absolute, #72910

* Wed Aug 28 2002 Havoc Pennington <hp@redhat.com>
- put /usr/X11R6/bin in path for now fixes #72781
- use proper i18n algorithm for word wrap, #71937
- remove greek text from language picker due to lack 
  of greek font
- reorder PAM config file #72657

* Wed Aug 28 2002 Havoc Pennington <hp@redhat.com>
- improve gdmsetup icon
- remove GNOME session, we will instead put it in gnome-session
- apply patch from george to make gdmphotosetup file selector 
  work

* Mon Aug 26 2002 Elliot Lee <sopwith@redhat.com> 2.4.0.7-6
- Patches for #64902, #66486, #68483, #71308
- post-install script changes from the gdm.spec mentioned in #70965
- noreplace on gdm.conf for #71309

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- put in a patch from george to fix some setsid()/kill() confusion
  possibly fixing #72295
- turn off UseCirclesInEntry for now, fixes #72433

* Tue Aug 20 2002 Alexander Larsson <alexl@redhat.com>
- Set UseCirclesInEntry to true in config

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- rename Gnome session to GNOME, this was just bugging me

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0.7 with bugfixes George kindly did for me, 
  including mnemonics for the graphical greeter
- use Wonderland gtk theme for the nongraphical greeter
- remove patches that are now upstream

* Tue Jul 30 2002 Havoc Pennington <hp@redhat.com>
- update rhconfig patch
- use pam_timestamp for the config tool
- link to a desktop file in redhat-menus
- update .gnome2 patch, filed upstream bug
- 2.4.0.4
- rebuild with new gail, librsvg2

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Require redhat-artwork, make the default greeter theme Wonderland
- Look for all configuration in .gnome2 not .gnome. This avoids problems 
  with changes in the set of session/lang.
- Remove English from locale.alias, make most locales UTF-8
-C all find_lang with the right name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs
- put gdm-autologin pam config file in file list, hope
  its absence wasn't deliberate
- use desktop-file-install

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0.0

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 2.3.90.3

* Tue May 14 2002 Matt Wilson <msw@redhat.com> 2.3.90.2.90-1
- pulled from current CVS, named it 2.3.90.2.90-1

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs
- add URL tag

* Mon Feb 11 2002 Alex Larsson <alexl@redhat.com> 2.3.90.1.90-1
- Updated to a cvs snapshot that has the new greeter.

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Tue Sep  4 2001 Havoc Pennington <hp@redhat.com>
- fix #52997 (ukrainian in language list)

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- set SESSION to true in console.apps control file

* Tue Aug 14 2001 Havoc Pennington <hp@redhat.com>
- change default title font to work in CJK, #51698

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- fix %pre for using /var/gdm as home dir

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- Tweak PAM setup for gdmconfig to match other consolehelper users

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Set RUNNING_UNDER_GDM when running display init script
- Run xsri as the background program

* Thu Aug 02 2001 Havoc Pennington <hp@redhat.com>
- Change how session switching works, #49480
- don't offer to make Failsafe the default, #49479

* Thu Aug 02 2001 Havoc Pennington <hp@redhat.com>
- clean up some format string mess, and don't
  log username to syslog, #5681
- own some directories #50692

* Wed Aug 01 2001 Havoc Pennington <hp@redhat.com>
- require/buildrequire latest gnome-libs, to compensate
  for upstream crackrock. #50554

* Tue Jul 31 2001 Havoc Pennington <hp@redhat.com>
- get rid of GiveConsole/TakeConsole, bug #33710

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- use Raleigh theme for gdm

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- depend on usermode, xinitrc
 
* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- build requires pam-devel, should fix #49448

* Mon Jul 16 2001 Havoc Pennington <hp@redhat.com>
- log to /var/log/gdm/*

* Mon Jul 16 2001 Havoc Pennington <hp@redhat.com>
- make Halt... power off

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- gdm user's homedir to /var/gdm not /home/gdm

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put pam.d/gdm back in file list

* Sun Jul 08 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 2.2.3.1, pray this fixes more than it breaks

* Thu Jul 05 2001 Havoc Pennington <hp@redhat.com>
- add "rpm" user to those not to show in greeter 

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 2.2.3
- require usermode since configure script now checks for it

* Fri Jun 01 2001 Havoc Pennington <hp@redhat.com>
- Prereq for scrollkeeper-update

* Thu May 30 2001 Havoc Pennington <hp@redhat.com>
- New CVS snap with the "no weird sessions" options; 
  more default settings changes

* Wed May 30 2001 Havoc Pennington <hp@redhat.com>
- Change a bunch of default settings; remaining fixes will involve C hacking

* Wed May 30 2001 Havoc Pennington <hp@redhat.com>
- After, oh, 2 years or so, finally upgrade version and set
  release to 1. Remove all hacks and patches, pretty much;
  this will break a few things, will be putting them back 
  via GNOME CVS. All changes should go in 'gdm2' module in 
  CVS for now.

  This RPM enables all kinds of features that I'm going to turn
  off shortly, so don't get excited about them. ;-)

* Thu Mar 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- reinitialize pam credentials after calling initgroups() -- the
  credentials may be group memberships

* Mon Mar 19 2001 Owen Taylor <otaylor@redhat.com>
- Fix colors patch

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Mon Mar  5 2001 Preston Brown <pbrown@redhat.com>
- don't screw up color map on 8 bit displays

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- langify
- Don't define and use "ver" and "nam" at the top of the spec file
- use %%{_tmppath}

* Tue Feb 13 2001 Tim Powers <timp@redhat.com>
- don't allow gdm to show some system accounts in the browser bugzilla
  #26898

* Fri Jan 19 2001 Akira TAGOH <tagoh@redhat.com>
- Updated Japanese translation.

* Tue Jan 02 2001 Havoc Pennington <hp@redhat.com>
- add another close() to the fdleak patch, bugzilla #22794

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Return to toplevel main loop and start Xdcmp if enabled
  (Bug #16106) 

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 02 2000 Havoc Pennington <hp@redhat.com>
- Requires Xsession script

* Wed Jul 19 2000 Owen Taylor <otaylor@redhat.com>
- Italian is better as it_IT than it_CH (bugzilla 12425)

* Mon Jul 17 2000 Jonathan Blandford <jrb@redhat.com>
- Don't instally gdmconfig as it doesn't work.

* Fri Jul 14 2000 Havoc Pennington <hp@redhat.com>
- Rearrange code to avoid calling innumerable system calls
  in a signal handler

* Fri Jul 14 2000 Havoc Pennington <hp@redhat.com>
- Verbose debug spew for infinite loop stuff

* Fri Jul 14 2000 Havoc Pennington <hp@redhat.com>
- Try to fix infinite loops on X server failure

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Havoc Pennington <hp@redhat.com>
- Remove Docdir

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Fix file descriptor leak (Bugzilla 12301)

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Apply security errata patch we released for 6.2
- Add Gnome.session back, don't know when it disappeared or why

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- rebuild for the Winston tree

* Fri Feb 04 2000 Havoc Pennington <hp@redhat.com>
- Modify Default.session and Failsafe.session not to add -login option to bash
- exec the session scripts with the user's shell with a hyphen prepended
- doesn't seem to actually work yet with tcsh, but it doesn't seem to 
  break anything. needs a look to see why it doesn't work

* Fri Feb 04 2000 Havoc Pennington <hp@redhat.com>
- Link PreSession/Default to xdm/GiveConsole
- Link PostSession/Default to xdm/TakeConsole

* Fri Feb 04 2000 Havoc Pennington <hp@redhat.com>
- Fix the fix to the fix (8877)
- remove docs/gdm-manual.txt which doesn't seem to exist from %doc

* Fri Feb 04 2000 Havoc Pennington <hp@redhat.com>
- Enhance 8877 fix by not deleting the "Please login" 
  message

* Fri Feb 04 2000 Havoc Pennington <hp@redhat.com>
- Try to fix bug 8877 by clearing the message below 
  the entry box when the prompt changes. may turn 
  out to be a bad idea.

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #7666: exec Xsession instead of just running it

* Mon Oct 25 1999 Jakub Jelinek <jakub@redhat.com>
- Work around so that russian works (uses koi8-r instead
  of the default iso8859-5)

* Tue Oct 12 1999 Owen Taylor <otaylor@redhat.com>
- Try again

* Tue Oct 12 1999 Owen Taylor <otaylor@redhat.com>
- More fixes for i18n

* Tue Oct 12 1999 Owen Taylor <otaylor@redhat.com>
- Fixes for i18n

* Fri Sep 26 1999 Elliot Lee <sopwith@redhat.com>
- Fixed pipewrite bug (found by mkj & ewt).

* Fri Sep 17 1999 Michael Fulbright <drmike@redhat.com>
- added requires for pam >= 0.68

* Fri Sep 10 1999 Elliot Lee <sopwith@redhat.com>
- I just update this package every five minutes, so any recent changes are my fault.

* Thu Sep 02 1999 Michael K. Johnson <johnsonm@redhat.com>
- built gdm-2.0beta2

* Mon Aug 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- built gdm-2.0beta1

* Tue Aug 17 1999 Michael Fulbright <drmike@redhat.com>
- included rmeier@liberate.com patch for tcp socket X connections

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fix to handling ancient gdm config files with non-standard language specs
- dont close display connection for xdmcp connections, else we die if remote
  end dies. 

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- fix language handling to set GDM_LANG variable so gnome-session 
  can pick it up

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- fix so certain dialog boxes dont overwrite background images

* Wed Apr 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- do not specify -r 42 to useradd -- it doesn't know how to fall back
  if id 42 is already taken

* Fri Apr 9 1999 Michael Fulbright <drmike@redhat.com>
- removed suspend feature

* Mon Apr 5 1999 Jonathan Blandford <jrb@redhat.com>
- added patch from otaylor to not call gtk funcs from a signal.
- added patch to tab when username not added.
- added patch to center About box (and bring up only one) and ignore "~"
  and ".rpm" files.

* Fri Mar 26 1999 Michael Fulbright <drmike@redhat.com>
- fixed handling of default session, merged all gdmgreeter patches into one

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- remove GNOME/KDE/AnotherLevel session scripts, these have been moved to
  the appropriate packages instead.
- added patch to make option menus always active (security problem otherwise)
- added jrb's patch to disable stars in passwd entry field

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- made sure /usr/bin isnt in default path twice
- strip binaries

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- fixed to use proper system path when root logs in

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- linked Init/Default to Red Hat default init script for xdm
- removed logo from login dialog box

* Mon Mar 15 1999 Michael Johnson <johnsonm@redhat.com>
- pam_console integration

* Tue Mar 09 1999 Michael Fulbright <drmike@redhat.com>
- added session files for GNOME/KDE/AnotherLevel/Default/Failsafe
- patched gdmgreeter to not complete usernames
- patched gdmgreeter to not safe selected session permanently
- patched gdmgreeter to center dialog boxes

* Mon Mar 08 1999 Michael Fulbright <drmike@redhat.com>
- removed comments from gdm.conf file, these are not parsed correctly

* Sun Mar 07 1999 Michael Fulbright <drmike@redhat.com>
- updated source line for accuracy

* Fri Feb 26 1999 Owen Taylor <otaylor@redhat.com>
- Updated patches for 1.0.0
- Fixed some problems in 1.0.0 with installation directories
- moved /usr/var/gdm /var/gdm

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- moved files from /usr/etc to /etc

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- removed commented-out #1 definition -- put back after testing gnome-libs
  comment patch

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- initial packaging

