%define nam     gdome2
%define ver     0.8.1
%define rel     1%{?_dist_release}

Summary:        DOM level2 library for accessing XML files
Summary(ja):    XML 用 DOM レベル 2 ライブラリ
Name:           %nam
Version:        %ver
Release:        %rel
License:        LGPL
Group:          System Environment/Libraries
URL:            http://gdome2.cs.unibo.it/
Source:         http://gdome2.cs.unibo.it/tarball/%{nam}-%{ver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxml2-devel >= 2.4.26
BuildRequires:  glib2-devel gtk-doc

%description 
 gdome2 is a fast, light  and  complete  DOM level2  implementation
based on libxml2. Although it has been written for the GNOME project,
it can be used stand-alone.
 A DOM implementation  (also called  a host implementation) is what
makes a parsed XML or HTML document available for processing via the
DOM interface.
 gdome2  currently supports the "Core", "XML", "Events" and 
"MutationEvents" modules from the DOM2 Recommendation (see 
http://www.w3.org/TR/DOM-Level-2-Core/ and http://www.w3.org/TR/DOM-L
evel-2-Events/), and is supposed to become  a full implementation of
all the DOM Level2 standard.
 Now gdome2 also partially  supports the XPath  module from the DOM
level 3 drafts.

%package devel
Summary: Development files for gdome2
Summary(ja): gdome2 の開発用ファイル
Group: Development/Libraries
Requires: gdome2 = %{ver}-%{rel}
Requires: glib2-devel 
Requires: libxml2-devel >= 2.4.26

%description devel
 This  package  contains the header  files and static  libraries for
developing with gdome2.
 gdome2  is a fast, light  and  complete  DOM level2  implementation
based on libxml2. Although it has been written for the GNOME project,
it can be used stand-alone.
 A  DOM implementation  (also called  a host implementation) is what
makes a parsed  XML or HTML document available for processing via the
DOM interface.
 gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents"  modules   from   the   DOM2   Recommendation   (see
http://www.w3.org/TR/DOM-Level-2-Core/ and http://www.w3.org/TR/DOM-L
evel-2-Events/), and  is supposed to become  a full implementation of
all the DOM Level2 standard.
 Now gdome2 also partially supports the XPath module from the DOM
level 3 drafts.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix}
fi

%configure

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS MAINTAINERS ChangeLog INSTALL NEWS README COPYING COPYING.LIB
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
#doc gtk-doc/html/*.html
%{_mandir}/man1/gdome-config.1*
%{_bindir}/gdome-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_datadir}/aclocal/gdome2.m4
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/gdome2.pc

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la
- added japanease summary 

* Sat Dec 02 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.1-0vl2
- updated BuildRequires
- changed Group to System Environment/Libraries

* Tue Sep 07 2004 Satoshi MACHINO <machino@vinelinux.org> 0.8.1-0vl1
- new upstream version

* Sat Jan 17 2004 IWAI, Masaharu <iwai@alib.jp> 0.8.0-0vl1
- build for VineSeed Plus
- fix BuildRequires: glib-devel

* Sun Dec 29 2002 Paolo Casarini <paolo@casarini.org>
  patch provided by Oron Peled <oron@actcom.co.il>
  - %defattr(-,root,root) wasn't set for documents in the devel
    package. This cause wrong ownership of docs in non-root builds.
  - Update URL: and Source: locations
  - s/Copyright:/License:/
* Sun Mar 31 2002 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries
* Sat Dec 15 2001 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries
* Tue Oct 23 2001 Paolo Casarini <paolo@casarini.org>
  - added the gdome-config.1 man page
* Mon Aug 6 2001 Paolo Casarini <paolo@casarini.org>
  - Merge of the Andrew release with mine
* Thu Aug 2 2001 Andrew Chatham <andrew.chatham@duke.edu>
  - Spec file created
* Tue Jul 3 2001 Paolo Casarini <paolo@casarini.org>
  - Initial release

