%define mono_dir %(/usr/bin/monodir)
%define mod_name gecko-sharp-2.0
Name: gecko-sharp2
Version: 0.13
Release: 7%{?_dist_release}
Summary: Gecko bindings for Mono
Summary(ja): Mono 用 Gecko バインディング
Group: Development/Libraries
License: LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
URL: http://www.monodevelop.com
Source: http://mono.ximian.com/monobuild/preview/sources/%{name}/%{mod_name}-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mono-devel monodoc
BuildRequires: gtk-sharp2 gtk-sharp2-gapi gtk2-devel
Provides: %{mod_name}
BuildRequires: xulrunner-devel

%description
This package provides Mono bindings for the Gecko engine, through an
easy-to-use widget that will allow you to embed a Mozilla browser
window into your Gtk# application.


%prep
%setup -q -n %{mod_name}-%{version}


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_prefix}/lib \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--localstatedir=%{_localstatedir}
#make


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=%{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT%{_datadir}/pkgconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{mono_dir}/%{mod_name}
%{mono_dir}/gac/gecko-sharp
%{_datadir}/pkgconfig/*.pc
%{_prefix}/lib/monodoc/sources/gecko-sharp-docs.*


%changelog
* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 0.13-7
- rebuilt with mono-2.10.1-3

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 0.13-6
- rebuilt with mono-2.10.1

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 0.13-5
- rebuilt with mono-2.8

* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 0.13-4
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 0.13-3
- rebuilt with new envrionment

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.13-2
- rebuilt with latest rpm to update mono-dependencies

* Thu Sep 18 2008 Shu KONNO <owa@bg.wakwak.com> 0.13-1vl5
- initial build for VineSeed
    - updated gecko-sharp to 2.0-0.13
    - applied vine versioning policy
    - added japanese summary
    - spec in utf-8

* Fri Jul  6 2007 wberrier@novell.com
- Update to 0.12
  - Depend on monodoc-core instead of mono-tools to break cyclic dep
  - Resolve naming conflicts in automake files
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Wed Jan  3 2007 wberrier@suse.de
- obsolete gecko-sharp2-docs for upgrade path
  - bnc #227363
* Mon Dec 11 2006 wberrier@suse.de
- Undo gecko-sharp2 doc package split.
  - gecko-sharp2-r69353_break_cyclic_dep.patch: Patch to depend on
  monodoc-core instead of mono-tools to break cyclic dep
  - gecko-sharp2-r69372_fix_autoconf_docdir.patch: now that we use
  autoreconf for the above patch, we must rename docdir to
  monodocdir so docdir doesn't get overwritten
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed xulrunner dependencies for older products.
* Mon Nov 13 2006 ro@suse.de
- remove mono-tools from buildrequires and build docs in separate
  specfile to break cycle between mono-tools and gecko-sharp2
* Mon Nov 13 2006 sbrabec@suse.cz
- Use exact xulrunner version 181 (#218792, #216100).
* Thu Oct 19 2006 ro@suse.de
- added mono-devel to buildrequires
* Thu Jul  6 2006 lrupp@suse.de
- Requires mozilla-xulrunner180 for %%suse_version > 1010
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Fri Dec  9 2005 wberrier@suse.de
- Replace mozilla dep with mozilla-xulrunner, clean up deps, and
  add documentation
* Thu Oct 20 2005 ro@suse.de
- rename package, provide and obsolete old name
* Fri Oct  7 2005 wberrier@suse.de
- Update to 0.11
* Mon Aug 15 2005 ro@suse.de
- added check-build.sh
* Tue Aug  9 2005 lnussel@suse.de
- use buildroot and build as user
* Sun Aug  7 2005 ro@suse.de
- fix location of pkgconfig file
* Sun Aug  7 2005 ro@suse.de
- rename package to gecko-sharp-2_0 (no "." allowed in name)
* Thu Aug  4 2005 wberrier@suse.de
- Initial package
