%define	VER 0.2

Summary:	A graph based image processing framework
Summary(ja):	グラフベースの画像処理フレームワーク
Name:		gegl
Version:	0.2.0
Release:        1%{?_dist_release}
# The binary is under the GPL, while the libs are under LGPL
License:	LGPLv3+ and GPLv3+
Group:		System Environment/Libraries
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gtk.org/pub/gegl/%{VER}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	babl-devel >= 0.1.10
BuildRequires:	glib2-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	pango-devel
BuildRequires:	ruby
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	librsvg2-devel
BuildRequires:	perl
BuildRequires:	SDL-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	lua-devel
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	w3m
BuildRequires:	graphviz
BuildRequires:	pkgconfig

%description
GEGL (Generic Graphics Library) is a graph based image processing framework. 
GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to have
minimal dependencies. and a simple well defined API.

%package devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig babl-devel glib2-devel

%description devel
This package contains the libraries and header files needed for
developing with %{name}.

%prep
%setup -q

chmod -x operations/external/ff-load.c operations/common/perlin/perlin.*

%build
%ifnarch ppc64
%configure --disable-static --enable-workshop
%else
%configure --disable-static --enable-workshop --disable-docs
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL='install -p'

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}-%{VER}

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-%{VER}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING COPYING.LESSER NEWS README
%{_bindir}/gegl
%{_libdir}/*.so.*
%{_libdir}/gegl-%{VER}

%files devel
%defattr(-, root, root, -)
%ifnarch ppc64
%doc %{_datadir}/gtk-doc/html/%{name}
%endif
%{_includedir}/gegl-%{VER}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-%{VER}.pc

%changelog
* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- new upstream release
- remove old patches

* Thu Apr 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.6-1
- new upstream release
- update patches

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.1.2-2
- rebuilt with rpm-4.8.1-3

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- new upstream release
- add Patch0 and Patch1 from FC package

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.0.20-1
- initial build for Vine Linux

* Thu Jul 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.18-1
- Update to latest release

* Thu Feb 28 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.16-1
- New release

* Thu Jan 17 2008 Deji Akingunola <dakingun@gmail.com> - 0.0.15-1.svn20080117
- Update to a svn snapshot for gnome-scan
- Apply patch to fix extensions loading on 64bit systems
- Building the docs on ppc64 segfaults, avoid it for now.

* Sat Dec 08 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.14-1
- Update to 0.0.14 release
- License change from GPLv2+ to GPLv3+

* Thu Oct 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.7.20071011svn
- Include missing requires for the devel subpackage

* Thu Oct 25 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.6.20071011svn
- BR graphiz instead of graphiz-devel
- Remove the spurious exec flag from a couple of source codes

* Tue Oct 23 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.5.20071011svn
- Fix missing directory ownership

* Mon Oct 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.4.20071011svn
- Update the License field 

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.3.20071011svn
- Package the extension libraries in the main package
- Run 'make check'

* Fri Oct 12 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.2.20071011svn
- Remove the use of inexistent source

* Thu Oct 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.0.13-0.1.20071011svn
- Initial packaging for Fedora
