Name: geomview
Version: 1.9.3
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: GPL
Group: Applications/Engineering
URL: http://www.geomview.org/
Source0: http://geomview.sourceforge.net/%{name}-%{version}.tar.gz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-root
Requires: openMotif mesa-libGL
Prereq: install-info
BuildPrereq: openMotif-devel mesa-libGL-devel
Summary: An interactive 3D viewing program

%description
Geomview is an interactive 3D viewing program for Unix. It lets you view and 
manipulate 3D objects: you use the mouse to rotate, translate, zoom in and out, 
etc. It can be used as a standalone viewer for static objects or as a display 
engine for other programs which produce dynamically changing geometry. It can 
display objects described in a variety of file formats. It comes with a wide 
selection of example objects, and you can create your own objects too.

%package devel
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Summary: geomview libraries and headers
%description devel
geomview libraries and headers.

%prep
%setup -q

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
%__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/anytooff
%{_bindir}/anytoucd
%{_bindir}/bdy
%{_bindir}/bez2mesh
%{_bindir}/clip
%{_bindir}/geomview
## only hvectext has finding error: fix me!
#%{_bindir}/hvectext
%{_bindir}/math2oogl
%{_bindir}/offconsol
%{_bindir}/oogl2rib
%{_bindir}/oogl2vrml
%{_bindir}/oogl2vrml2
%{_bindir}/polymerge
%{_bindir}/remotegv
%{_bindir}/togeomview
%{_bindir}/ucdtooff
%{_bindir}/vrml2oogl
%{_libdir}/*.so
%{_libexecdir}/%{name}/
%{_mandir}/man?/*
%{_infodir}/%{name}*
%{_infodir}/figs/*
%{_docdir}/%{name}/
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/*.a

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.9.3-1vl5
- applied new versioning policy
- removed *.la

* Thu Aug 16 2007 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.9.3-0vl1
- New upstream.
- Add devel package.
- Remove plugins package.

* Mon Aug  4 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.8.1-0vl2
- Rebuild for new Vine.
- Add Requires and BuildPreReq XFree86-gl

* Wed Jun  4 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 1.8.1-0vl1
- Initial build.

