Name: ggv
Summary: GNOME Ghostview (ggv) is a frontend for Ghostscript
Summary(ja): GNOME Ghostview - Ghostscript のフロントエンド
Version: 2.12.0
Release: 3%{?_dist_release}
Group: Applications/Publishing
License: GPL
Source: ftp://ftp.gnome.org/pub/gnome/sources/ggv/2.12/ggv-%{version}.tar.bz2
# security fix
Patch0: ggv-2.12.0-CVE-2006-5864.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libbonobo-devel, libgnomeprint-devel, libgnome-devel, gettext
BuildRequires: gtk2-devel, libxml-devel, ORBit2-devel
BuildRequires: libgnomeui-devel >= 2.6.0
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: desktop-file-utils
Requires(post): GConf2
Requires(post,postun): scrollkeeper >= 0.3.11

%description
GNOME Ghostview (ggv) is a frontend for Ghostscript, an interpreter of
PostScript that is able to properly render PostScript documents in a display
or a printer. GGv serves as a layer that isolates the user from the cumbersome
options and interface of Ghostscript, and, at the same time, gives extra
features such as panning and persistent user settings.

%prep
%setup -q

%patch0 -p1 -b .CVE-2006-5864

%build
export LDFLAGS="$LDFLAGS -lm"
%configure
%__make

%install
%__rm -rf $RPM_BUILD_ROOT

# XXX
%__perl -pi -e 's/.*scrollkeeper-update.*//g' omf-install/Makefile*

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# FIXME: remove invalid locale sr@Latn from desktop files.
for i in $RPM_BUILD_ROOT%{_datadir}/applications/*
do
  %__mv $i $i.orig
  grep -v "sr@Latn" $i.orig > $i
  %__rm $i.orig
done

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/ggv.desktop

# remove scrollkeeper stuff we don't include in the package
%__rm -rf $RPM_BUILD_ROOT/var

%find_lang %name

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="ggv.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS TODO
%{_bindir}/*
%{_datadir}/omf/ggv
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/ggv
%{_datadir}/idl/*
%{_datadir}/gnome-2.0/ui/*
%{_libdir}/bonobo/servers/*
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/*
%{_datadir}/applications/*

%changelog
* Wed Feb  8 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.12.0-3
- rebuild

* Thu Apr 21 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.12.0-2
- rebuilt with new toolchain
- updated old tags
- added BuildRequires: 
  - libgnomeui-devel >= 2.6.0
  - libX11-devel
  - libXt-devel
  - desktop-file-utils

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.12.0-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.12.0-0vl1
- [SECURITY FIX]
  - new upstream release
  - add patch0 to fix stack-based buffer overflow (CVE-2006-5864)

* Sun Apr 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upstream release

* Sat Jan 29 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release

* Wed Nov 17 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.99-0vl1
- new upstream release

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.0-0vl1
- new upstream release

* Fri Apr 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.97-0vl1
- new upstream release
- discard scrollkeeper outputs.
- update PreReq tag.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.96-0vl1
- new upstream release
- build for Vine Linux

* Tue Nov 19 2002 Bill Nottingham <notting@redhat.com> 1.99.9-6
- rebuild

* Tue Sep 24 2002 Bill Nottingham <notting@redhat.com> 1.99.9-5
- fix handling of some postscript/pdf headers

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- also PreReq scrollkeeper

* Mon Aug  5 2002 Jonathan Blandford <jrb@redhat.com>
- Switch Generic Name and Name, as I got this wrong

* Fri Aug  2 2002 Jonathan Blandford <jrb@redhat.com>
- update to new version

* Tue Jul 23 2002 Jonathan Blandford <jrb@redhat.com>
- update to new version.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Jonathan Blandford <jrb@redhat.com>
- Add patch to accept '-' on the command line
- buildrequires /usr/bin/lpr, #63167

* Fri Mar 15 2002 Jonathan Blandford <jrb@redhat.com>
- fix tempnam problems

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- New release.

* Wed Aug 29 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Add more build dependencies (#48561)

* Wed Aug 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update translation.

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fix build dep bug (48561)

* Mon May 21 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Replace Copyright with License
- langify

* Mon May 21 2001  <jrb@redhat.com>
- New version.

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.95

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 30 2000 Tim Powers <timp@redhat.com>
- woops, forgot to add the docs to the package

* Tue Mar 4 2000 Tim Powers <timp@redhat.com>
- initial package of ggv for 7.0
- bzipped sources to conserve space
