Name:           gigolo
Version:        0.4.1
Release:        1%{?_dist_release}
Summary:        GIO/GVFS management application
Summary(ja):    GIO/GVFS 管理アプリケーション

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.uvena.de/gigolo/index.html
Source0:        http://files.uvena.de/gigolo/gigolo-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: glib2-devel >= 2.16.0
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: intltool
BuildRequires: python
BuildRequires: xorg-x11-devel

Requires: %{_bindir}/gvfs-open
Requires: %{_bindir}/fusermount

Obsoletes: sion < 0.1.0-3

%description
A frontend to easily manage connections to remote filesystems using GIO/GVFS.
It allows you to quickly connect/mount a remote filesystem and manage
bookmarks of such.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
./waf configure --prefix=%{_prefix} \
              --exec-prefix=%{_exec_prefix} \
              --bindir=%{_bindir} \
              --sbindir=%{_sbindir} \
              --sysconfdir=%{_sysconfdir} \
              --datadir=%{_datadir} \
              --includedir=%{_includedir} \
              --libdir=%{_libdir} \
              --libexecdir=%{_libexecdir} \
              --localstatedir=%{_localstatedir} \
              --sharedstatedir=%{_sharedstatedir} \
              --mandir=%{_mandir} --infodir=%{_infodir} --enable-debug

./waf build -v

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install

# remove docs that waf installs in the wrong place
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/gigolo

desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.I18N TODO THANKS
%{_bindir}/gigolo
%{_datadir}/applications/gigolo.desktop
%{_mandir}/man1/gigolo.1.gz

%changelog
* Tue Aug 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-1
- initial build for VineSeed

* Thu Dec 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 18 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.2-1
- Update to 0.3.2

* Sat Apr 04 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.1-1
- Update to 0.3.1

* Tue Mar 31 2009 Kevin Fenzi <kevin@tummy.com> - 0.3.0-1
- Update to 0.3.0 

* Sun Feb 22 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.1-1
- Update to 0.2.1
- Add THANKS
- Fix waf configure line and use local waf.

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-2
- Fix CFLAGS
- Fix build to be verbose
- Use Fedora waf
- Remove vendor

* Sun Feb 15 2009 Kevin Fenzi <kevin@tummy.com> - 0.2.0-1
- Change name to gigolo
- Update to 0.2.0

* Sun Jan 04 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-2
- Fix License tag
- Add Requires for needed binaries

* Fri Jan 02 2009 Kevin Fenzi <kevin@tummy.com> - 0.1.0-1
- Initial version for Fedora
