Name:		glabels
Version:	3.0.0
Release:	2%{?_dist_release}
Summary:	A program for creating labels and business cards for GNOME
Summary(ja):	GNOME 用のラベルと名刺を作成するためのプログラム

Group:		Applications/Publishing
License:	GPLv3+
URL:		http://glabels.sf.net

Source0:	http://dl.sf.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: 	glabels-fix-child-schemas.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	desktop-file-utils
BuildRequires:	evolution-data-server-devel >= 2.32.0
BuildRequires:	gettext
BuildRequires:	gtk3-devel >= 3.0.9
BuildRequires:	glib2 >= 2.28.2
BuildRequires:	libglade2-devel >= 2.6
BuildRequires:	libgnomeui-devel >= 2.16
BuildRequires:librsvg2-devel >= 2.32.0
BuildRequires:	libSM-devel
BuildRequires:	libxml2 >= 2.7.8
BuildRequires:	pango-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	qrencode-devel
BuildRequires:	zint-devel

Requires(post):	desktop-file-utils
Requires(post):	/sbin/ldconfig
Requires(post):	shared-mime-info

Requires(postun):	desktop-file-utils
Requires(postun):	/sbin/ldconfig
Requires(postun):	shared-mime-info

Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-doc = %{version}-%{release}
Requires:	%{name}-templates = %{version}-%{release}
	
%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.

%description -l ja
gLabels はGNOME デスクトップ環境用のラベルや名刺を
作成するための軽量のプログラムです。
殆どのオフィス用品店で見つけることができる様々な
レーザー/インクジェット用のラベルや名刺用紙に対応するよう
設計されています。

%package	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
License:	LGPLv3+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description	devel
This package contains the header files and development documentation for
libglabels.

%description -l ja devel
このパッケージは libglabels のヘッダファイルと
開発ドキュメントを含んでいます。


%package 	libs
License:	LGPLv3+
Summary:	Shared liblaries for %{name}
Summary(ja):	%{name} の共有ライブラリ
Group:		Development/Libraries

%description	libs
This package contains the shared libraries for %{name}.

%description -l ja libs
このパッケージは %{name} の共有ライブラリを含んでいます。


%package 	doc
License:	GFDL
Summary:	Runtime documentation for %{name}
Summary(ja):	%{name} の実行ドキュメント
Group:		Development/Libraries
Requires(post):	scrollkeeper
Requires(postun):	scrollkeeper

%description	doc
This package contains the runtime documentation and manual pages for %{name}.

%description -l ja doc
このパッケージは %{name} の実行ドキュメントとマニュアルを含んでいます。


%package 	templates
License:	MIT
Summary:	The %{name} template database
Summary(ja):	%{name} のテンプレートデータベース
Group:		Development/Libraries
## Needs the glabels-libs subpackage for proper ownership of the top-level
## libglabels-3.0 directory in %%_datadir.
Requires:	%{name}-libs

%description	templates
This package contains the template database for %{name}.

%description -l ja templates
このパッケージは %{name} のテンプレートデータベースを含んでいます。

%prep
%setup -q
%patch0 -p1 -b .fix-child-schemas

sed -i 's/Icon=glabels-3.0.png/Icon=glabels-3.0/g' \
        data/desktop/glabels-3.0.desktop.in

%build
%configure --enable-static=no --enable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install					\
	--vendor=""					\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original				\
	%{buildroot}%{_datadir}/applications/%{name}-3.0.desktop

%find_lang %{name}-3.0

rm -rf %{buildroot}%{_libdir}/libglabels-3.0.la
rm -rf %{buildroot}%{_libdir}/libglbarcode-3.0.la


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:
if [ $1 -eq 0 ]; then
	glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null ||:
fi

if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%post	libs -p /sbin/ldconfig

%postun	libs -p /sbin/ldconfig


%post	doc
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:

%postun	doc
scrollkeeper-update -q ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf %{buildroot}


%files -f %{name}-3.0.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.README_FIRST NEWS README TODO
%{_bindir}/glabels*
%{_datadir}/applications/glabels-3.0.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/glabels-3.0/
%{_datadir}/icons/hicolor/*/
%{_datadir}/mime/packages/glabels-3.0.xml

%files	devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING-LIBS
%doc %{_datadir}/gtk-doc/html/libglabels-3.0/
%{_includedir}/libglabels-3.0/
%{_includedir}/libglbarcode-3.0/
%{_libdir}/libglabels-3.0.so
%{_libdir}/libglbarcode-3.0.so
%{_libdir}/pkgconfig/libglabels-3.0.pc
%{_libdir}/pkgconfig/libglbarcode-3.0.pc

%files	libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING-LIBS
%dir %{_datadir}/libglabels-3.0/
%{_datadir}/glabels-3.0/
%{_libdir}/libglabels-3.0.so.*
%{_libdir}/libglbarcode-3.0.so.*

%files	doc
%defattr(-,root,root,-)
## Manual ("man") pages are automatically marked as %%doc by RPM. 
%doc AUTHORS COPYING-DOCS
%doc %{_datadir}/gnome/help/glabels-3.0/
%{_mandir}/man?/glabels-3*
%{_datadir}/gtk-doc/html/libglabels-3.0/
%{_datadir}/gtk-doc/html/libglbarcode-3.0/

%files templates
%doc AUTHORS COPYING-TEMPLATES
%{_datadir}/libglabels-3.0/dtd/
%{_datadir}/libglabels-3.0/templates/


%changelog
* Sun Aug 12 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.0.0-2
- added Patch0 from Fedora
- run gtk-update-icon-cache in %%posttrans, %%postun

* Sat Sep 17 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.0.0-1
- new upstream release
- changed License: GPLv2+ to GPLv3+
- changed %%configure option
  - deleted unrecognized option
  - changed --disable-static to --enable-static=no
  - added --enable-gtk-doc
- added BuildRequires: cairo-devel >= 1.10.0, pango-devel, qrencode-devel, zint-devel
- changed BuildRequires: gtk2-devel >= 2.22.0 to gtk3-devel >= 3.0.9
- made -templates sub package
- unresolved: can't appear icon on desktop file..

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.8-6
- rebuild with evolution-data-server-3.1.90

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.8-5
- rebuild with evolution-data-server-3.1.4

* Tue Oct 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.8-4
- rebuild with evolution-data-server-2.32.0

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 2.2.8-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.8-2
- rebuild with evolution-data-server-2.30.2

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.8-1
- new upstream release
- add BuildRequires: gnome-doc-utils >= 0.3.2

* Wed Mar 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.2.7-1
- New upstream release
- dropt Patch0
- added BuildRequires: libSM-devel

* Wed Nov 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.2.6-1
- New upstream release
- changed BuildRequires: gtk2 to gtk2-devel
- added BuildRequires: intltool
- added Patch1 from Fedora

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.2.5-1
- initial build for VineSeed

* Wed Jan 07 2009 Peter Gordon <peter@thecodergeek.com> - 2.2.4-1
- Update to new upstream bug-fix release (2.2.4):
  * Corrected button order in "Open" and "Save as" dialogs.
  * Fixed performance problem when large number of fonts are installed.
  * Corrected several i18n problems.
  * Fixed "paste" bug that created phantom object views.
  * Fixed performance problem when many objects are selected.
  * New templates.  

* Tue Aug 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.3-2
- fix license tag (again)

* Thu Aug 21 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.3-1
- Update to new upstream bug-fix release (2.2.3).
- Drop glabels-batch segfault patch (fixed upstream).
  - fix-batch-segfault.patch 

* Fri Aug 08 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.2-3
- Add patch from Casey Harkins to fix a segfault in glabels-batch:
  + fix-batch-segfault.patch
- Resolves: bug #458473.

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.2-2
- fix license tag

* Tue Mar 04 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.2-1
- Update to new upstream bug-fix release (2.2.2).

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.1-2
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.1-1
- Update to new upstream bug-fix release (2.2.1).

* Mon Jan 14 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.0-1
- Update to new upstream release (2.2.0 Final); Yay!

* Sun Dec 16 2007 Peter Gordon <peter@thecodergeek.com> - 2.1.5-1
- Update to new upstream development snapshot (2.1.5).

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-7
- Rebuild with new BuildID-enabled binutils. 

* Fri Aug 03 2007 Peter Gordon <peter@thecodergeek.com> - 2.0.4-6
- Update License tagging (GPLv2+). This necessitates a split of two
  subpackages:
  (1) glabels-doc: Runtime documentation for gLabels (GFDLv1.1+)
  (2) glabels-libs: Shared libraries for gLabels (LGPLv2+)
- Fix version in previous %%changelog entry.
- Lots and lots of aesthetic spec file changes.
- Remove X-Fedora category from desktop-file-install invocation.
- Add TODO to installed %%doc files. 

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-5
- Add BR: perl(XML::Parser)
 
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-4
- Mass FC6 rebuild

* Wed Jul 05 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-3
- Add BuildRequires: gettext (#197633)

* Sat Feb 18 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-2
- Bump for fe5 rebuild 

* Sat Jan 01 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-1
- Update to new stable upstream version

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-3
- rebuild

* Thu Jul 7 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-2
- use Source0

* Mon Jul 5 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-1
- Initial fedora extras build

