%define	ver	0.6.4
%define	rel	12%{?_dist_release}

Summary:	Gtk+ GUI builder
Summary(ja):	Gtk+ GUI ビルダ
Name:		glade
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Development
URL:		http://glade.gnome.org/

Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{ver}.tar.gz
Patch:          glade-scrollkeeper-dtd.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gnome-libs-devel >= 1.4.2-2vl5
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	bonobo-devel >= 0.27
BuildRequires:	gnome-print-devel >= 0.37-2vl5 
BuildRequires:	desktop-file-utils, scrollkeeper
Prereq:         scrollkeeper

Vendor: Project Vine
Distribution: Vine Linux

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the GTK+ toolkit and the Gnome desktop environment. It also contains
built-in support for generating the C source code needed to recreate the
interfaces.

%description -l ja
Glade は Gtk+ ツールキットおよび Gnome デスクトップ環境での
ユーザインタフェースを、簡単に素早く作るための RAD ツールです。
C、C++、Perl、Python 向けのソースコードを作れます。


%prep
%setup -q
%patch -p0 -b .scrollkeeper-dtd

%build
%configure --with-bonobo

make %{?_smp_mflags} PACKAGE_PIXMAPS_DIR=%{_datadir}/pixmaps/glade

tar czf examples.tgz examples
mv doc/*.txt ./


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PACKAGE_PIXMAPS_DIR=$RPM_BUILD_ROOT%{_datadir}/pixmaps/glade

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor net --delete-original         \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  --add-category Application                                \
  --add-category Development                                \
  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development/glade.desktop

perl -pi -e 's/GTK+/GTK+ 1.2/' $RPM_BUILD_ROOT%{_datadir}/applications/net-glade.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/{scrollkeeper,lib/scrollkeeper}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :

%postun 
scrollkeeper-update > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO 
%doc examples.tgz *.txt
%{_bindir}/glade
%{_datadir}/applications
%{_datadir}/glade
%{_datadir}/gnome/help/glade
%{_datadir}/omf/glade
%{_datadir}/pixmaps/*


%changelog
* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-12
- rebuilt with gnome-libs-1.4.2-2vl5 (linking with db-4.6.21)
- spec in UTF-8

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.4-11vl5
- applied new versioning policy

* Sat Dec 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-10vl3
- added BuildRequires: gnome-print-devel
- added Prereq: scrollkeeper
- changed Group to Applications/Development

* Sat Nov  6 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.6.4-10vl2
- rebuilt with db4-4.2.52

* Sun Jan 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-10vl1
- rebuild with new toolchains
- based on Fedora 0.6.4-10
- remove Requires: gnome-db and BuildPreReq: gnome-db-devel
- add BuildPreReq: desktop-file-utils
- modified spec file to add  %post and %postun section
- s/Copyright/License/

* Thu Mar 28 2002 Jun Nishii <jun@vinelinux.org> 0.6.4-0vl2
- added Prereq: scrollkeeper

* Thu Mar 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.6.4-0vl1
- updated to new upstream release

* Wed May 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.6.2-0vl1
- New upstream release.

* Wed Mar 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.1-0vl1
- New upstream release.

* Tue Mar  6 2001 Shoji Matsumoto <shom@vinelinux.org> 0.5.11-0vl1
- created

