%define libxml2_version 2.6.19
%define gtk2_version 2.6.0
%define libgnomeui_version 2.10.0
%define libbonoboui_version 2.8.0
%define libgnomecanvas_version 2.10.0
%define gail_version 1.8.0

%define po_package glade-2.0

Summary:        A user interface builder for the GTK+ toolkit and GNOME
Summary(ja):	GTK+ツールキット及びGNOME向けのユーザインターフェースビルダー
Name:           glade2
Version:        2.12.2
Release:        1%{?_dist_release}
License:        GPL
URL:            http://glade.gnome.org/
Source:         ftp://ftp.gnome.org/pub/gnome/sources/glade/2.10/glade-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Group:          Applications/Development

Requires: gail-devel >= %{gail_version}
Prereq: scrollkeeper

BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: scrollkeeper

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the GTK+ toolkit and the GNOME desktop environment. It also contains
built-in support for generating the C source code needed to recreate the
interfaces.

%description -l ja
Gladeは、GTK+ツールキットやGNOME向けのユーザインターフェースを素早く簡単に開
発する事が可能なRADツールです。インターフェースを再生するのに必要なCソースコー
ドの生成をビルトインでサポートしています。

%prep
%setup -q -n glade-%{version}

%build
%configure --disable-gnome-db --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*
      
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %po_package

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :

%postun
scrollkeeper-update > /dev/null 2>&1 || :


%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
%{_datadir}/glade-2
%{_datadir}/gnome/help/glade-2
%{_datadir}/omf/glade-2
%{_datadir}/applications/*
%{_datadir}/pixmaps/glade-2
%{_datadir}/pixmaps/glade-2.png
%{_bindir}/glade-2

%changelog
* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 2.12.2-1vl5
- new upstream release
- applied new versioning policy

* Sun Jul 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl1
- new upstream release
- changed Group to Applications/Development
- added Prereq: scrollkeeper

* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream release

* Wed Dec 15 2004 Yasumichi Akahoshi <w2linux@lapis.plala.or.jp>
- 2.6.7
- update summary & description.

* Sun Jan 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-0vl1
- rebuild with new toolchains
- updated to 2.0.1

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl1
- build for Vine Linux

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 2.0.0-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.0.0-1
- 2.0.0
- remove "stockfix" patch now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1.1.3-3
- no buildreq Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 1.1.3

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- require gail-devel #67084

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- move from CVS snap to final release

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.1.0.90 cvs snap
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- move to glade 2, based on glade 1 specfile
