%define name	gle
%define version	3.1.0
%define release	2%{?_dist_release}
Summary: The GLE Tubing and Extrusion Library
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.linas.org/gle/
Source: %{name}-%{version}.tar.gz
License: distributable
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mesa-libGLU-devel
BuildRequires: mesa-libGL-devel
BuildRequires: freeglut-devel
BuildRequires: libXi-devel
Vendor: Project Vine
Distribution: Vine Linux

%description
GLE is a library package of C functions that draw extruded surfaces, 
including surfaces of revolution, sweeps, tubes, polycones, 
polycylinders and helicoids. Generically, the extruded surface is 
specified with a 2D polyline that is extruded along a 3D path.  A 
local coordinate system allows for additional flexibility in the 
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or 
OpenGL(R) API's to perform the actual rendering. The demos use GLUT 
and require GLUT to be installed.

%package devel
Summary: Static libraries and header files for gle
Group: Development/Libraries
Requires: gle

%description devel
gle-devel contains the static libraries and header files you'll
need to develop gle applications.  

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README examples/
%{_libdir}/libgle.so.*
%{_mandir}/man3/*
%{_datadir}/doc

%files devel
%defattr(-, root, root)
%{_includedir}/GL/gle.h
%{_libdir}/libgle.a
#%{_libdir}/libgle.la
%{_libdir}/libgle.so


%changelog
* Mon Sep 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1.0-2vl5
- added BuildRequires: mesa-libGL[U]-devel, freeglut-devel, libXi-devel

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 3.1.0-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la
- modified paths about X11R6

* Sun Dec 30 2007 Shu KONNO <owa@bg.wakwak.com> 3.1.0-0vl1
- new upstream release
- s/Copyright/License/
- updated _libdir with /usr/X11R6/%%{_lib}

* Fri Jun 15 2001 Jun Nishii <jun@vinelinux.org> 3.0.3-0vl1
- ver.up


* Wed Mar 28 2001 Jun Nishii <jun@vinelinux.org> 3.0.1-0vl1
- first build
