Summary:	OpenGL image compositing library.
Name:		glitz
Version:	0.5.6
Release:	3%{?_dist_release}
Group:		System Environment/Libraries
License:	LGPL
Source0:        %{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  mesa-libGL-devel
BuildRequires:	libX11-devel
BuildRequires:	libXt-devel
BuildRequires:	libICE-devel
BuildRequires:	libGL-devel

%description
Glitz is an OpenGL image compositing library. Glitz provides Porter/Duff
compositing of images and implicit mask generation for geometric primitives
including trapezoids, triangles, and rectangles.

%package 	devel
Summary: 	Development files for glitz
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libGL-devel
Requires:	libX11-devel
Requires:	pkgconfig

%description 	devel
Development files for glitz.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_libdir}/*.la

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5.6-3
- rebuild

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.6-2
- add Requires: %{name} = %{version}-%{release} (devel package)
- add Requires: libX11-devel (devel package)
- add BuildRequires: libX11-devel, libXt-devel

* Tue Sep 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.6-1
- new upstream release
- new versioning policy
- build with xorg

* Sat May  6 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.3-0vl2
- changed Group:

* Fri Feb 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.3-0vl1
- new upstram version

* Wed Feb 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl1
- initial build for Vine Linux

