Name: gnac
Version: 0.2.4.1
Release: 1%{?_dist_release}
Summary: Audio converter program for GNOME Desktop.
Summary(ja): GNOME デスクトップ向けの音声変換プログラム

Group: Applications/Multimedia
License: GPLv3+
URL: http://gnac.sourceforge.net/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

Requires(pre): glib2
Requires(post): glib2
Requires(preun): glib2

Requires: gstreamer >= 0.10.31
Requires: gstreamer-plugins-base >= 0.10.31

BuildRequires: gstreamer-devel >= 0.10.31
BuildRequires: gstreamer-plugins-base-devel >= 0.10.31
BuildRequires: gstreamer-plugins-good-devel >= 0.10.31
BuildRequires: libnotify-devel
BuildRequires: unique3-devel
BuildRequires: gnome-doc-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Gnac is an easy to use audio conversion program for the Gnome desktop.
It is designed to be powerful but simple! It provides easy audio files
conversion between all GStreamer supported audio formats. 

%description -l ja
gnac は GNOME デスクトップ向けの音声変換を容易にするためのプログラムです。
強力だがシンプルなデザインです。GStreamer がサポートするオーディオフォー
マット間で容易な音声ファイルの変換を提供します。

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null || 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_mandir}/man1/gnac.1.gz

%changelog
* Tue Jun 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.4.1-1
- new upstream release
- change BuildRequires: unique3-devel instead of unique-devel
- remove BuildRequires: GConf2-devel
- add BuildRequires: gstreamer-plugins-good-devel, libnotify-devel

* Sun May 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- initial build for Vine Linux


* Thu Jul 22 2010 Taylon Silmer <taylon@taylon.eti.br> 0.2.2-1
- Update for new release.

* Sat Feb 13 2010 Taylon Silmer <taylon@taylon.eti.br> 0.2.1-2
- Added the intltool build requires.
- Removed the libgnomeui build requires.
- Added the desktop-file-utils requires and the desktop-file-validade entry.

* Wed Jan 13 2010 Taylon Silmer <taylon@taylon.eti.br> 0.2.1-1
- Initial build.
