# Package version
%define	version	2.24.1

# Requires version
%define gtk_required	2.3.0
%define gnome_required	2.3.3
%define libbonoboui_required	2.3.3
%define xml_required	2.5.8
%define vfs_required	2.3.5
%define libglade_required	2.0.1
%define gdl_required	2.23.0
%define gio_required	2.16.0

Version:	2.24.1
Release:	1%{?_dist_release}

Name:		gnome-build
Summary:	GNOME Build Framework.
License:	GPL
Group:		Development/Libraries
BuildRoot:	/var/tmp/%{name}-%{version}-root
URL:		http://www.gnome.org
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-build/0.2/%{name}-%{version}.tar.bz2

Requires:	gtk2 >= %{gtk_required}
Requires:	libgnome >= %{gnome_required}
Requires:	libgnomeui >= %{gnome_required}
Requires:	libbonoboui >= %{libbonoboui_required}
Requires:	libxml2 >= %{xml_required}
Requires:	gnome-vfs2 >= %{vfs_required}
Requires:	libglade2 >= %{libglade_required}
Requires:	gdl >= %{gdl_required}
Requires:	glib2 >= %{gio_required}

BuildRequires:  gtk2-devel >= %{gtk_required}
BuildRequires:	libgnome-devel >= %{gnome_required}
BuildRequires:	libgnomeui-devel >= %{gnome_required}
BuildRequires:  libbonoboui-devel >= %{libbonoboui_required}
BuildRequires:	libxml2-devel >= %{xml_required}
BuildRequires:  gnome-vfs2-devel >= %{vfs_required}
BuildRequires:	libglade2-devel >= %{libglade_required}
BuildRequires:	gdl-devel >= %{gdl_required}
BuildRequires:	glib2-devel >= %{gio_required}

Provides: perl(GBF::Make)


%description
This is the GNOME Build Framework (GBF).

%package devel
Summary:	Libraries and include files for Gnome Build Framework.
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel 
Libraries and header files if you want to make use of the GNOME debug framework
in your own programs.


%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
    --bindir=%{_bindir} --mandir=%{_mandir} \
    --localstatedir=%{_localstatedir} --libdir=%{_libdir} \
    --datadir=%{_datadir} --includedir=%{_includedir} \
    --sysconfdir=%{_sysconfdir}

CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    mandir=$RPM_BUILD_ROOT%{_mandir} libdir=$RPM_BUILD_ROOT%{_libdir} \
    localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/gnome-build-1.0
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome-build
%{_datadir}/locale

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-build-1.0
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Apr 29 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.24.1-1vl5
- update from upstream.
- use macro for *Requires

* Tue May 13 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2.0-2vl5
- use macro for Release

* Sat May 10 2008 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2.0-1vl5
- apply new virsioning policy.

* Fri Jan 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.0-0vl1
- update source (upstream)

* Thu Feb 22 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.5-0vl1
- update source (upstream)

* Sat Nov 25 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.3-0vl1
- packaging for VineSeed.

* Wed Aug 8 2001 Jens Finke <jens@gnome.org> 
- created spec file
