Summary:	GTK+/GNOME Desktop appearance customization tool
Summary(ja): 	GTK+/GNOME デスクトップの外観をカスタマイズするツール
Name:		gnome-color-chooser
Version:	0.2.5
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	gnome-color-choose-0.2.5-ja.po
License:	GPL
Group:		Applications/System
URL:		http://gnomecc.sourceforge.net/

#Requires:	
BuildRequires:	gtkmm2-devel >= 2.8.0, libglademm2-devel >= 2.6.0
BuildRequires:	libgnome-devel >= 2.16.0, libgnomeui-devel >= 2.14.0
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:  desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Packager:	kazutaka

%description
Gnome-color-chooser is a GTK+/GNOME Desktop appearance customization tool.

Features:

　* change most important colors (e.g. background, window decoration, tooltips)
　* change colors and sizes of GTK widgets
　* colorize desktop icons
　* configure installed gtk engines and let your current theme be drawn by a
　　gtk engine you want

%description -l ja
gnome-color-chooser は GTK+/GNOME デスクトップの外観をカスタ
マイズするツールです。

特徴は以下の通り:

　* 主要な色の変更 (例. 背景色、ウィンドウの装飾、ツールチップ)
　* GTK の各ウィジェットの色とサイズの変更
　* デスクトップアイコンの着色 (colorize)
　* 指定した gtk エンジンを使った現在のテーマの描画


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

# install japanese translation
%{__install} -d -m755 $RPM_BUILD_ROOT/%{_datadir}/locale/ja/LC_MESSAGES
msgfmt %{SOURCE1} -o $RPM_BUILD_ROOT/%{_datadir}/locale/ja/LC_MESSAGES/%{name}.mo

%find_lang %{name}

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
    --add-category DesktopSettings \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%post
update-desktop-database %{_datadir}/applications>& /dev/null ||:


%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/gnome-color-chooser.1*


%changelog
* Sat Nov 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.5-1
- initial build for Vine Linux
- add japanese translation
