Summary:        Useful things common to building gnome packages from scratch

Name:           gnome-common
Version:        3.4.0.1
Release:        1%{?_dist_release}

Group:          Development/Tools
BuildArch:      noarch
License:        GPLv2
URL:            http://developer.gnome.org
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.4/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	daisuke,yasumichi

Requires:       pkgconfig

%description
This package contains sample files that should be used to develop pretty much
every GNOME application.  The programs included here are not needed for running
gnome apps or building ones from distributed tarballs.  They are only useful
for compiling from CVS sources or when developing the build infrastructure for
a GNOME application.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
cp doc-build/README doc-README
# No sense making a doc subdir in the rpm pkg for one file.
cp doc/usage.txt usage.txt

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc-README README COPYING usage.txt ChangeLog
%{_bindir}/*
%{_datadir}/aclocal/*
%{_datadir}/%{name}

%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0.1-1
- new upstream release

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.0-1
- new upstream release

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release

* Fri Jul 17 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.26.0-1
- update upstream version.
- add Vender,Distribution,Packager tag.

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- initial build for Vine Linux

* Sun Aug 12 2007 Toshio Kuratomi <a.badger@gmail.com> - 2.18.0-1
- Update to version that matches gnome-2.18.
- Update license tag to strict GPLv2.

* Wed Dec 06 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 2.12.0-4
- Add a patch from gnome-common cvs to address bug #218717 (gnome-common
  does not work with automake-1.10).

* Mon Sep 04 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.12.0-3
- Bump and rebuild for FC6.

* Thu Feb 16 2006 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.12.0-2
- Bump and rebuild for FC5.

* Tue Oct 18 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.12.0-1
- Upgrade to 2.12.0.
- Add dist tag.

* Thu May 12 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.8.0-3
- Bump and rebuild to get versions synced across architectures.

* Fri Mar 18 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 2.8.0-2
- Rebuild for FC4t1

* Tue Sep 14 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.8.0-1
- Update to 2.8.0
  + This release supports automake thru version 1.9 and has had a lot of
    deprecated stuff cleaned out.
- Removed BuildRequires.  A base mach build environment will build it now.
- Removed Requires.  Although gnome-common still requires autoconf and
  friends, it doesn't require a specific version of them.  There's no virtual
  provides in the automake14,15,16,17 automake packages that could help here.

* Mon Mar 22 2004 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.4.0-0.fdr.3
- Add COPYING file to the docs
- Add bin/Changelog to the docs as ChangeLog.bin

* Sun Dec 28 2003 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.4.0-0.fdr.2
- Update the Requires line (rpm doesn't automatically detect most of the
  dependencies.)
- Remove the AUTHORS file as it's currently empty

* Fri Dec 19 2003 Toshio Kuratomi <toshio-tiki-lounge.com> - 0:2.4.0-0.fdr.1
- Initial RPM release.
