%define glib2_version 2.28.6
%define pango_version 1.28.4
%define gtk2_version 2.24.5
%define gconf2_version 2.32.2
%define startup_notification_version 0.10

%define po_package gnome-desktop-2.0

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Summary(ja): gnome-panel, gnome-session, nautilus などの共用プログラム
Name: gnome-desktop
Version: 2.32.1
Release: 3%{?_dist_release}
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/2.32/%{name}-%{version}.tar.bz2
Source10: gnome-modem.png
License: GPL 
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, inagaki

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: %{name}-libs = %{version}
Requires: gnome-python
Requires(post,postun): scrollkeeper
Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: libXrandr-devel
BuildRequires: autoconf, automake
BuildRequires: gnome-doc-utils
BuildRequires: docbook-utils

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package libs
Summary: shared libraries for libgnome-desktop
Summary(ja): libgnome-desktop 用共有ライブラリ
Group: System Environment/Libraries
Requires: startup-notification >= %{startup_notification_version}

%description libs

shared libraries for the GNOME-internal private library 
libgnomedesktop

%package devel
Summary: Libraries and headers for libgnome-desktop
Summary(ja): libgnome-desktop の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: startup-notification-devel >= %{startup_notification_version}

%description devel

Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q

%build
%configure --with-gnome-distributor="Project Vine" --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# install gnome-modem icon
install -m664 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# for compatibility
ln -sf gnome-emacs.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/emacs.png

%find_lang %{po_package} --all-name --with-gnome

# remove unused file
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-about
rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -rf $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
scrollkeeper-update

%postun 
scrollkeeper-update


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%exclude %{_datadir}/gnome
%exclude %{_datadir}/omf

%files libs
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_datadir}/libgnome-desktop

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-3
- remove files

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-2
- fix conflict with gnome-desktop3

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: docbook-utils

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove static libs

* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Wed Jul 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.3-1
- new upstream release
- add Patch4 to add randrwrap

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- dropped Patch3 (was included to upstream)
- added Patch1001 (not Unicode at gnome-about)
- Requires: gnome-python 

* Wed Dec 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.3-0vl1
- new upstream release
- added Patches from Fedora
  * Fri Aug 31 2007 Soren Sandmann <sandmann@redhat.com> - 2.19.90-7
  - Plug a leak in the slideshow parser

* Wed Dec 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-0vl1
- new upstream release

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sat Jun  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sun Feb 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release
- added Japanese summary
- fixed to run scrollkeeper at %post section
- fixed to run ldconfig at %post section in libs package

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Fri Jul 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.2-0vl1
- new upstream release

* Tue May 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release
- add Requires: startup-notification-devel to -devel package.

* Sun Mar 27 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- add gnome-modem.png

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Fri Feb 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upstream release
- added omf files and run scrollkeeper at %post, %postun
- changed Group

* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl2
- modified desktop_gnome_icon_theme.schemas to use Vine's icon theme.

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Fri Oct 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1.1-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.7-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Sat Mar  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add BuildRequires/Requires.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl3
- split shared libraries to gnome-desktop-libs

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- modified spec file

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux

* Wed Sep  4 2002 Havoc Pennington <hp@redhat.com>
- support a magic flag in icon theme to avoid using 
  prescaled icons

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- put in a schema so we default the the right icon theme
- fill in gnome-version.xml stuff #71445

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final for gnome 2.0.1

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3.90 cvs snap, should fix failure to launch symlink desktop
  files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.2, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- also obsolete gnome-core-devel
- require redhat-artwork and redhat-menus
- build require Xft/fontconfig

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnome

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.5.20
- provides gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.18

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


