Summary: Keyring management program for the GNOME Desktop
Summary(ja): GNOMEデスクトップ向けの鍵束管理ツール
Name: gnome-keyring-manager
Version: 2.20.0
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops
Source: gnome-keyring-manager-%{version}.tar.bz2
URL: http://www.gnome.org/

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: pkgconfig
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: libSM-devel

%description
gnome-keyring-manager is an application that lets you manage the
passwords and other secrets you have saved in your keyring.


%prep
%setup -q -n gnome-keyring-manager-%{version}

%build

%configure --disable-scrollkeeper
%__make %{?_smp_mflags}

%install
rm -fr %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -fr %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-keyring-manager.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome-keyring-manager
%{_datadir}/gnome/help/gnome-keyring-manager
%{_datadir}/omf/gnome-keyring-manager
%{_datadir}/man/man1/*

%changelog
* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.0-1
- new upstream release
- add BuildRequires: libSM-devel

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.18.0-1vl5
- applied new versioning policy, spec in utf-8

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Tue May 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- initial build for Vine Linux

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.12.0-3
- BuildRequires: gnome-doc-utils

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.12.0-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  2 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-2
- Avoid the error dialog if there is no default keyring.

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 David Zeuthen <davidz@redhat.com>
- Rebuilt

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 2.11.1-1
- New upstream version

* Mon Mar 21 2005 David Zeuthen <davidz@redhat.com> 0.0.4-3
- Fix Group tag for consistency (#147903)

* Wed Mar  2 2005 Alex Larsson <alexl@redhat.com> 0.0.4-2
- Rebuild

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 0.0.4-1
- Update to 0.0.4

* Mon Aug 16 2004 Alexander Larsson <alexl@redhat.com> - 0.0.3-1
- First version
