%define glib2_version 2.26.0
%define pango_version 1.28.3
%define gtk2_version 2.22.0
%define gconf2_version 2.32.0
%define pa_version 0.9.15
%define canberra_version 0.25
%define gstreamer_version 0.10.30
%define unique_version 1.0.0
%define desktop_file_utils_version 0.16
%define gnome_doc_utils_version 0.3.2

%define gettext_package gnome-media-2.0

Summary:        GNOME media programs.
Name:           gnome-media
Version:        2.32.0
Release:        1%{?_dist_release}
License:        GPL
Group:          Applications/Multimedia
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.32/gnome-media-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Obsoletes:      gnome
URL:            http://www.gnome.org

Requires(post,postun): scrollkeeper >= 0.1.4
Requires(post,pre,preun): GConf2 >= 2.14
BuildRequires:  intltool
BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  GConf2-devel >= %{gconf2_version}
BuildRequires:  pulseaudio-libs-devel >= %{pa_version}
BuildRequires:  libcanberra-devel >= %{canberra_version}
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel >= %{gstreamer_version}
BuildRequires:  unique-devel >= %{unique_version}
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  gnome-doc-utils >= %{gnome_doc_utils_version}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

Install gnome-media if you want to use GNOME's multimedia
capabilities.

%package        devel
Summary:        Development tools for gnome-media applications.
Summary(ja):    gnome-media アプリケーションの開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:       GConf2-devel
Requires:       gtk2-devel

%description devel
Header files and libraries for building a extension library for the gnome-media.

%prep
%setup -q

%build
/usr/bin/gst-inspect-0.10 --print-all > /dev/null
%configure \
  --disable-schemas-install --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

## show in all
desktop-file-install --vendor "" --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gstreamer-properties.desktop

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sound-recorder.desktop
  
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/vumeter.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/reclevel.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/vumeter

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.*a
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{gettext_package} --all-name --with-gnome

# save space by linking identical images in translated docs
for helpdir in $RPM_BUILD_ROOT%{_datadir}/gnome/help/*; do
  for f in $helpdir/C/figures/*.png; do
    b="$(basename $f)"
    for d in $helpdir/*; do
      if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
        g="$d/figures/$b"
        if [ -f "$g" ]; then
          if cmp -s $f $g; then
            rm "$g"; ln -s "../../C/figures/$b" "$g"
          fi
        fi
      fi
    done
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
    > /dev/null || :
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
  
%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-cd.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-cd.schemas \
      %{_sysconfdir}/gconf/schemas/CDDB-Slave2.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-volume-control.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-volume-control.schemas \
      > /dev/null || :
  fi
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-cd.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-cd.schemas \
      %{_sysconfdir}/gconf/schemas/CDDB-Slave2.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-volume-control.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-volume-control.schemas \
      > /dev/null || :
  fi
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
  

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING* NEWS README

%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart/gnome-volume-control-applet.desktop

%{_datadir}/applications/*
%{_datadir}/gnome-media
%{_datadir}/gnome-sound-recorder
%{_datadir}/gstreamer-properties
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/sounds/gnome/default/alerts/*

%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: libgnomeui-devel

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Aug 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-2
- add gnome-media-devel package

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- remove BuildRequires: libglade2-deveL

* Sun Feb 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.5-1
- new upstream release
- add BuildRequires: gnome-doc-utils

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Tue Mar 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- fix %%post/%%pre/%%preun
  - gnome-volume-control is removed

* Mon Mar 23 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.26.0-2
- add BuildRequires: unique-devel

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-1
- new upstream release
- drop gnome-cd
- add gnome-sound-recorder

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- dropped Patch1 (merged into upstream)

* Mon Jan 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release
- added Patch0 and 1 from Fedora 
  * Wed Oct 17 2007 - Bastien Nocera <bnocera@redhat.com> - 2.20.1-3
  - Show the "Front" track by default (#335121)
  * Wed Oct 10 2007 - Bastien Nocera <bnocera@redhat.com> - 2.20.1-2
  - Install the schema for the mixer properly (#186791)

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Sat Dec 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.14.2-0vl2
- add Requires: gstreamer-plugins-base instead of libgstcdparanoia.so

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.93-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed May 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl2
- added Requires: libgstcdparanoia.so

* Sun May  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl1
- new upstream release
- added BuildRequires: gstreamer-plugins-devel

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Tue Dec  9 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1.1-0vl1
- new upstream release
- s/Copyright/License/

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.3-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1.1-0vl1
- new upstream release

* Sat Jan 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- rebuild with gstreamer-0.5.2

* Sat Jan 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release
- build for Vine Linux

* Tue Aug 27 2002 Owen Taylor <otaylor@redhat.com>
- Fix bug with changing device in preferences (#72465)
- Make the operation of --unique per-device

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Add --unique option to allow starting only one CD player
  per display. (#39208)

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- remove gnome-reclevel.desktop that was another alias for vumeter #71916

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- remove vumeter, #67140

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail

* Thu Jul 25 2002 Havoc Pennington <hp@redhat.com>
- put translations in, makes it rebuild #69404

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- install capplet control center file, though I may 
  take it out again since it sucks
- use desktop-file-install
- add omf to file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig
- rebuild with latest libs

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- buildrequire gail

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.547.0

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- GNOME 2 version 1.520.2

* Wed Aug 22 2001 Owen Taylor <otaylor@redhat.com>
- Force regeneration of .po files (#52326)

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel
- fix rpmlint's utterly crack-smoking request that we not 
  run /bin/sh in post/postun

* Tue Jul 03 2001 Owen Taylor <otaylor@redhat.com>
- Update to 1.2.3

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed May  9 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.2.2
- Fix bogus scrollkeeper version in dependency

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- langify
- move changelog to end of file
- don't use and define "ver" at the top of the spec file

* Tue Feb 07 2001 Than Ngo <than@redhat.com>
- fixed non-standard dir perm (Bug #26264)

* Wed Jan 31 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-10
- Fix bug #17713, grecord internals (Patch10)

* Tue Jan 30 2001 Elliot Lee <sopwith@redhat.com> 1.2.0-9
- Fix bug #21488, include cddb-submit-methods in file list

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Update Epoch

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Find "sox", bug 15472, patch from Alan

* Fri Aug 04 2000 Havoc Pennington <hp@redhat.com>
- Add docs for gtcd, bug 14558

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- Remove docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- use %%makeinstall

* Tue Sep 21 1999 Havoc Pennington <hp@redhat.com>
- Fixed gtcd so it works without corba-gtcd
- add DrMike's no-g_error() patch 

* Mon Sep 20 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.40

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Don't keep device open in gtcd

* Thu Sep 9 1999 Owen Taylor <otaylor@redhat.com>
- Fixed warnings with previous

* Wed Sep 8 1999 Owen Taylor <otaylor@redhat.com>
- added --play option to gtcd

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.9.1

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
