Summary: Mount replacement which uses HAL to do the mounting 
Summary(ja): HAL を利用して mount を行うツール
Name: gnome-mount
Version: 0.8
Release: 3%{?_dist_release}
License: GPLv2+
Group: Applications/System
URL: http://freedesktop.org/~david/dist/

Source: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: hal-devel >= 0.5.8.1
BuildRequires: gtk2-devel >= 2.10.0
BuildRequires: dbus-devel >= 1.0
BuildRequires: dbus-glib-devel >= 0.73
BuildRequires: gnome-keyring-devel
BuildRequires: libnotify-devel
BuildRequires: libgnomeui-devel
BuildRequires: gettext
BuildRequires: perl(XML::Parser)
BuildRequires: nautilus-devel >= 2.21.2
BuildRequires: GConf2-devel
BuildRequires: libglade2-devel
BuildRequires: glib2-devel >= 2.15.0
Requires: hal >= 0.5.8.1
Requires: dbus >= 1.0
Requires: dbus-glib >= 0.73
Requires(post,pre,preun): GConf2

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%description -l ja
HAL を利用する mount, umount, eject 相当のツールが含まれています。

%package devel
Summary: Development files for gnome-mount
Summary(ja): gnome-mount 用の開発ファイル
Group: Development/Libraries

%description devel
Development files for gnome-mount

%description -l ja
このパッケージには gnome-mount 用の開発ファイルが含まれています。

%package nautilus-properties
Summary: Nautilus extention for gnome-mount
Summary(ja): gnome-mount の Nautilus 拡張
Group: Applications/System 
Requires: %{name} = %{version}-%{release}

%description nautilus-properties 
Nautilus extention which adds property pages to volume and drive mount 
properties dialog for manipulating mount options.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%configure 
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-mount.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-mount.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-mount.schemas > /dev/null || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_datadir}/locale/*
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gnome-mount.pc

%files nautilus-properties
%defattr(-, root, root)
%{_libdir}/nautilus/extensions-2.0/libgnome-mount.so

%changelog
* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Mar 7 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8-2
- rebuilt with nautilus 2.24.1
- changed spec encode in UTF-8
- fixed %changelog typo

* Wed May  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8-1
- new upstream release
- rebuilt with nautilus 2.22.2

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- new upstream release
- add gnome-mount-nautilus-properties subpackage

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-0vl1
- initial build for Vine Linux based on FC package.

* Wed Mar  1 2006 David Zeuthen <davidz@redhat.com> - 0.4-5
- Update for new patch in #183191

* Wed Mar  1 2006 Matthias Clasen <mclasen@redhat.com> - 0.4-4
- Fix a crash without media (#183191)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 0.4-3
- add some buildrequires

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-2
- Fix mounting of drives that HAL cannot poll

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-1
- Update to upstream version 0.4

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060213.1.1
- rebump for build order issues during double-long bump

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213.1
- fix build

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.4-0.cvs20060213
- new upstream snapshot

* Tue Feb 07 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117.2
- fix build

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-0.cvs20060117.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4-0.cvs20060117
- CVS snapshot of gnome-mount
- Added a devel sub package for apps that compile in gnome-mount support

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.3-2
- Install the schema in the post

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3-1
- Update to 0.3

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import 
