# Note that this is NOT a relocatable package
%define ver	0.37
%define rel	3%{?_dist_release}
%define name	gnome-print
%define sover	15

Summary:	Gnome Print - Printing libraries for GNOME.
Summary(ja):	Gnome Print - GNOME用印刷ライブラリ
Name: 		%{name}
Version: 	%{ver}
Release: 	%{rel}
License: 	LGPL
Group: 		Applications/Publishing
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gnome-libs-devel >= 1.4.2-2vl5
BuildRequires:	libxml-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	freetype2-devel
BuildRequires:	automake14, autoconf213
Requires:	libgnomeprint%{sover} = %{version}
Requires:       urw-fonts ghostscript-fonts
#Prereq:		libxml urw-fonts ghostscript-fonts
Requires:		libxml urw-fonts ghostscript-fonts

Obsoletes: 	gnome-print-beta < 0.26, gnome-print-bin < 0.26, gnome-print-beta-bin < 0.26, gnome-print-data < 0.26

# RH patches
Patch2:		gnome-print-0.30-nofontmaps.patch

# for Vine
Patch50:	gnome-print-0.34-fallback.patch
Patch51:	gnome-print-0.35-dynamicfallback.patch
Patch52:        gnome-print-0.37-ft2build.patch

Patch60: gnome-print-0.37-config.patch
Patch61: gnome-print-0.37-parseTT.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-print package contains libraries and fonts that are needed by
GNOME applications wanting to print.

You should install the gnome-print package if you intend on using any of
the GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print
devel package.

%description -l ja
印刷できるGNOMEアプリケーションを使いたいなら、gnome-printパッケージを
インストールする必要があります。もし印刷できるGNOMEアプリケーションを
開発したいなら、gnome-print-develパッケージをインストールする必要が
あります。

%package -n libgnomeprint%{sover}
Summary:	Printing libraries for GNOME
Summary(ja):	GNOME用印刷ライブラリ
Group:		System Environment/Libraries
Obsoletes:	gnome-print-beta < 0.26

%description -n libgnomeprint%{sover}
This package contains the printing apparatus for GNOME, the complete
graphical desktop environment based entirely on free software.

%package devel
Summary:	Libraries and include files for developing GNOME applications.
Summary(ja):	GNOME用印刷アプリケーション開発用ライブラリとヘッダファイル 
Group: 		Development/Libraries
Obsoletes:	gnome-print-beta-devel < 0.26
Requires:	%{name} = %{version}
Requires:	libgnomeprint%{sover} = %{version}
Requires:	gdk-pixbuf-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.
The gnome-print-devel package includes the libraries and include files that
you will need when developing applications that use the GNOME printing 
facilities.

You should install the gnome-print-devel package if you would like to 
develop GNOME applications that will use the GNOME printing facilities.
You don't need to install the gnome-print-devel package if you just want 
to use the GNOME desktop enviornment.

%prep
%setup -q
%patch2 -p1 -b .nofontmaps
%patch50 -p1 -b .fallback
%patch51 -p1 -b .dynamic
%patch52 -p1 -b .ft2build

%patch60 -p0 -b .config
%patch61 -p0 -b .parseTT

%build
libtoolize --copy --force
autoheader-2.13
automake-1.4
autoconf-2.13
%configure --disable-static
make LIBTOOL=/usr/bin/libtool
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall LIBTOOL=/usr/bin/libtool
./mkinstalldirs $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts
install -c fonts/*.font $RPM_BUILD_ROOT%{_datadir}/gnome-print/fonts

cat > $RPM_BUILD_ROOT%{_bindir}/vine-update-gnome-font-install <<__EOF__
#! /bin/sh
%{_bindir}/gnome-font-install --clean \
	--aliases=%{_datadir}/gnome-print/fonts/adobe-urw.font \
	--target=%{_sysconfdir}/gnome/fonts/gnome-print-rpm.fontmap \
	--recursive \
	%{_prefix}/X11R6/lib/X11/fonts \
	%{_datadir}/fonts
__EOF__
chmod a+x $RPM_BUILD_ROOT%{_bindir}/vine-update-gnome-font-install

%find_lang %{name}

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p %{_bindir}/vine-update-gnome-font-install

%post -n libgnomeprint%{sover} -p /sbin/ldconfig

%postun -n libgnomeprint%{sover} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/gnome-print
%dir %{_datadir}/gnome-print/profiles
%dir %{_sysconfdir}/gnome/fonts
%{_datadir}/gnome-print/profiles/*
%{_bindir}/*
%{_datadir}/fonts/afms/adobe/*
%{_datadir}/gnome-print/fonts

%files -n libgnomeprint%{sover}
%defattr(-, root, root)
%{_libdir}/*.so.%{sover}.*
%{_libdir}/*.so.%{sover}

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
#{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.37-3
- added Patch60: gnome-print-0.37-config.patch
- added Patch61: gnome-print-0.37-parseTT.patch

* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.37-2
- rebuilt with gnome-libs-1.4.2-2vl5 (linking with db-4.6.21)
- removed *.a

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 0.37-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.37-0vl2
- rebuilt with db4-4.3.29

* Mon Oct 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.37-0vl1
- updated to 0.37
- rebuilt with db4-4.2.52
- added Patch52 to build with freetype2
- s/Copyright/License/
- fixed %post, %postun section 

* Fri Jan 17 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.35-0vl2
- rebuilt with db4 environment
- added BuildPreReq: automake14, autoconf213

* Wed Mar 20 2002 Akira TAGOH <tagoh@gnome.gr.jp> 0.35-0vl1
- New upstream release.
- vine-update-gnome-font-install: added a wrapper script for generating
  gnome-print's fontmap. it will helps us if font packages will calls it
  with %%post and %%postun.
- %%post: changed calling vine-update-gnome-font-install.
- gnome-print-0.35-dynamicfallback.patch:
  generate hash using NAMES file.

* Fri Dec 28 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.34-0vl3
- Fixed fontmap generation.
  Note: don't remove --clean option. when gnome-font-install regenerate
  fontmap, it don't add the fonts which already exists.

* Wed Dec 26 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.34-0vl2
- added PreReq: freetype2 for gnome-font-install invoked from %%post section
- commented out Requires: %%{name} >= %%{ver} from libgnomeprint15

* Tue Dec 18 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.34-0vl1
- New upstream release.

* Sun Apr  1 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.26-0vl3
- Added Obsolates to libgnomeprint11.
- Added some build requires.

* Mon Mar 12 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.26-0vl2
- New upstream release.

* Tue Jan 23 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.20-0vl6
- Fixed -devel conflicts.

* Tue Jan  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.20-0vl5
- Added Conflicts: line in -devel.

* Wed Dec 27 2000 Akira TAGOH <tagoh@gnome.gr.jp> 0.20-0vl4
- separated binary and data packages.

* Fri Sep 15 2000 Jun Nishii <jun@vinelinux.org>
- added prereq urw-fonts

* Wed May 31 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified jahack pach to fix threshold value of MB_CUR_MAX for glibc 2.1.3.

* Mon May 30 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.20

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified jahack patch for satbility of memory allocation.
- modified jahack patch to fix text alignment.

* Sat May 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified jahack patch for preview.
- added i18n_fix for nls.
- added orignal ja.po.

* Tue May 16 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.19

* Mon May  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.18

* Wed Feb 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.12

* Mon Jan 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added "quick hacked" ja patch.

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatotu.org>
- add Provides: libgnomeprint.so.2

* Sat Oct 13 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- Added Prereq: zlib

* Sun Aug 01 1999 Gregory McLean <gregm@comstar.net>
- Undo my draconian uninstall stuff.

* Tue Jul 20 1999 Gregory McLean <gregm@comstar.net>
- Stab at cleaning up properly when we uninstall.

* Fri Jul 16 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- fixed typo in spec

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added fonts to the spec.

* Mon Jul 05 1999 Gregory McLean <gregm@comstar.net>
- Fleshed out the descriptions.
