%define mono_dir %(/usr/bin/monodir)
%define _name gnome-sharp
Summary: .Net Language Bindings for Gnome
Summary(ja): Mono 用 GNOME バインディング
Name: gnome-sharp2
Version: 2.24.1
Release: 7%{?_dist_release}
License: GNU General ublic License (GPL), GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group: Development/Libraries
URL: http://gtk-sharp.sf.net
Source: %{_name}-%{version}.tar.bz2
Patch2: gnome-sharp-find_gtkhtml_ver.patch
Patch3: gnome-sharp-2.24.1-TestXfer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk-sharp2 gtk-sharp2-gapi
BuildRequires: librsvg2-devel
BuildRequires: mono-devel monodoc
BuildRequires: vte-devel gtkhtml3-devel
BuildRequires: libSM-devel
%define env_options export MONO_SHARED_DIR=/tmp

%description
This package contains Mono bindings for Gnome.


%package -n gnome-sharp2-complete
Group: Development/Libraries
Summary: GTK+ and GNOME bindings for Mono (virtual package)
Requires: art-sharp2 = %{version}-%{release}
Requires: gconf-sharp2 = %{version}-%{release}
Requires: gnome-sharp2 = %{version}-%{release}
Requires: gnome-vfs-sharp2 = %{version}-%{release}
#Requires: glib-sharp2 >= 2.10.3

%description -n gnome-sharp2-complete
Gtk# is a library that allows you to build fully native graphical GNOME
applications using Mono. Gtk# is a binding to GTK+, the cross platform
user interface toolkit used in GNOME. It includes bindings for Gtk,
Atk, Pango, Gdk, libgnome, libgnomeui and libgnomecanvas.  (Virtual
package which depends on all gtk-sharp2 subpackages)


%package -n gnome-vfs-sharp2
Summary: Mono bindings for gnomevfs
Group: Development/Libraries
Requires: gnome-vfs2

%description -n gnome-vfs-sharp2
This package contains Mono bindings gnomevfs.


%package -n art-sharp2
Summary: Mono bindings for libart
Group: Development/Libraries
Requires: libart_lgpl

%description -n art-sharp2
This package contains Mono bindings for libart.


%package -n gconf-sharp2
Summary: Mono bindings for gconf
Group: Development/Libraries

%description -n gconf-sharp2
This package contains Mono bindings for gconf and gconf peditors.


%prep
%setup -q -n %{_name}-%{version}
%patch3 -p1 -b .TestXfer
autoreconf -f -i


%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--libexecdir=%{_prefix}/lib \
	--enable-debug
make

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%makeinstall

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.*a
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/debug/%{_libdir}/libgnomesharpglue-2.so.debug
rm -f $RPM_BUILD_ROOT%{_prefix}/src/debug/gnome-sharp-*/gnome/glue/*.c

%clean
rm -rf $RPM_BUILD_ROOT


%files -n gnome-sharp2-complete
%defattr(-, root, root)
## This is the 'base' package so we put the common dirs of all in this package
# Otherwise, this package doesn't get created!
%dir %{mono_dir}/gtk-sharp-2.0
%dir %{_prefix}/lib/gtk-sharp-2.0

%files -n gnome-sharp2
%defattr(-,root,root)
%{_libdir}/libgnomesharpglue-2.so
%{_libdir}/pkgconfig/gnome-sharp-2.0.pc
%{mono_dir}/gac/*gnome-sharp
%{mono_dir}/gtk-sharp-2.0/*gnome-sharp.dll
%{_datadir}/gapi-2.0/gnome-api.xml


%files -n gnome-vfs-sharp2
%defattr(-,root,root)
%{_libdir}/pkgconfig/gnome-vfs-sharp-2.0.pc
%{mono_dir}/gac/*gnome-vfs-sharp
%{mono_dir}/gtk-sharp-2.0/*gnome-vfs-sharp.dll
%{_datadir}/gapi-2.0/gnome-vfs-api.xml


%files -n art-sharp2
%defattr(-,root,root)
%{_libdir}/pkgconfig/art-sharp-2.0.pc
%{mono_dir}/gac/*art-sharp
%{mono_dir}/gtk-sharp-2.0/*art-sharp.dll
%{_datadir}/gapi-2.0/art-api.xml


%files -n gconf-sharp2
%defattr(-, root, root)
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/pkgconfig/gconf-sharp-2.0.pc
%{_prefix}/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{mono_dir}/gac/*gconf-sharp
%{mono_dir}/gtk-sharp-2.0/*gconf-sharp.dll
# Other distros place these in gnome-sharp2??
%{_libdir}/pkgconfig/gconf-sharp-peditors-2.0.pc
%{mono_dir}/gac/*gconf-sharp-peditors
%{mono_dir}/gtk-sharp-2.0/*gconf-sharp-peditors.dll


%changelog
* Tue Dec 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-7
- add BuildRequires: libSM-devel

* Sat Oct 09 2010 Shu KONNO <owa@bg.wakwak.com> 2.24.1-6
- added gnome-sharp-2.24.1-TestXfer.patch
- rebuilt with mono-2.8

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.1-5
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.24.1-4
- rebuilt with new environment

* Wed Jul 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.24.1-3
- rebuilt with latest rpm to update mono-dependencies
- dropt BR: libgnomedb-devel

* Sun Apr 19 2009 Shu KONNO <owa@bg.wakwak.com> 2.24.1-2
- changed Group to Development/Libraries

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.24.1-1
- updated to 2.24.1

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.20.0-1
- initial build for VineSeed
	- updated gnome-sharp2 to 2.20.0
	- added japanese summary
	- applied vine versioning policy
	- spec in utf-8

* Thu Apr 24 2008 wberrier@suse.de
- Update to 2.12.1
  * Bugfix in GLib ref management for Gnome.Program crash in
  gnome-sharp
* Thu Apr  3 2008 wberrier@novell.com
- Can now build 2.16 and 2.20 from the same spec
- Update to 2.20.0
  - Updated bindings to coincide with gtk# 2.12
  - Removed bindings: gtkhtml#, rsvg#, and vte#
* Wed Mar 26 2008 wberrier@novell.com
- Update to 2.16.1
  - Allow storage of empty lists in gconf
  - Bug fixes:
  - [GConf] Impossible to set empty list values (bnc#325516)
  - Comment #8 of bnc#327058 (incorrect p/invoke bindings)
* Tue Jul  3 2007 wberrier@suse.de
- Initial package of gnome-sharp2 2.16.0
  - (Split from gtk-sharp 2.8.3)
