Summary: Bonobo component for spell checking
Summary(ja): スペルチェック用 Bonobo コンポーネント
Name: gnome-spell
Version: 1.0.8
Release: 1%{?_dist_release}
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gnome-spell/1.0/%{name}-%{version}.tar.bz2
Patch0: gnome-spell-1.0.2-pspell-compat.patch
Patch1: gnome-spell-1.0.2-langlist.patch
Patch2: gnome-spell-1.0.4-multilib.patch
Patch3: gnome-spell-1.0.5-allowdeprecated.patch
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell-devel, intltool >= 0.11
BuildRequires: libgnomeui-devel, libbonoboui-devel, libglade2-devel
BuildRequires: libSM-devel

# for aspell back patch
BuildRequires: autoconf, automake14


%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides
spell checking dictionary (see Spell.idl for exact API definition). 
It's based on pspell package, which is required to build gnome-spell.

%prep
%setup -q
## %patch0 -p1 -b .pspell-compat
## %patch1 -p1 -b .langlist
## %patch2 -p1 -b .multilib
## %patch3 -p1 -b .nodep

%build
# autoheader
# automake-1.4
# autoconf
export _lib=%{_lib}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.la

%{find_lang} %{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%{_libdir}/gnome-spell/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/control-center-2.0/icons/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/idl/*

%changelog
* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release
- add BuildRequires: libSM-devel
- drop Patch1, Patch3

* Thu Oct  6 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-10vl1
- new upstream based on Fedora development
  * Wed Nov 24 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.5-8
  - added explicit Requires on libgnomeui, libbonoboui, 
    libglade2 and BuildRequires on the corresponding devel packages
  - removed erroneous BuildRequires on libgal2-devel and linc-devel (#140478)
  * Wed Jul 23 2003 Elliot Lee <sopwith@redhat.com> 1.0.4-3
  - Fix multilib (multilib.patch)

* Wed Jun 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-5vl1
- build for Vine Linux

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- rebuild

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- new approach for handling compatibility with old pspell, fixes crashes with 
  the old patch and makes it a less manual process

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- fix broken auto*

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- 1.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- rebuild with newer aspell

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-0.9
- update to 1.0.2
- add a patch to build and work with older aspell

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Karsten Hopp <karsten@redhat.de> 0.5-4
- rebuild with the last added buildrequires

* Wed Nov 13 2002 Jeremy Katz <katzj@redhat.com>
- add buildrequires of libcapplet0-devel (based on report from Daniel Resare)

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 0.5-3
- rebuild against new gal

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 0.5-2
- remove unpackages files in %%install

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.5-1
- 0.5

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.1

* Fri Jan 25 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Wed Jan  9 2002 Jeremy Katz <katzj@redhat.com>
- initial build for Red Hat Linux
