%define gnome_vfs_version 2.15.3
%define libbonobo_version 2.18.0
%define gconf_version 2.18.0
%define glib_version 2.12.0
%define orbit_version 2.14.0

Summary: Monikers for the GNOME virtual file-system
Name: gnome-vfs2-monikers
Version: 2.15.3
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source0: http://ftp.gnome.org/pub/gnome/sources/gnome-vfs-monikers/2.15/gnome-vfs-monikers-%{version}.tar.bz2
URL: http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      gnome-vfs2 >= %{gnome_vfs_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: bonobo-activation-devel
BuildRequires: GConf2-devel >= %{gconf_version}
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: ORBit2-devel >= %{orbit_version}
BuildRequires: perl(XML::Parser)

%description
GNOME VFS is the GNOME virtual file system. 
Programs using bonobo can use the monikers provided
in this package to access gnome-vfs.

%prep
%setup -q -n gnome-vfs-monikers-%{version}

%build
%configure 
make 

%install
rm -fr $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la}

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%clean
rm -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS 

%{_libdir}/bonobo

%changelog
* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.15.3-1
- rebuild with rpm-4.8.1

* Mon Apr 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.3-0vl1
- initial build for Vine Linux

* Tue Apr 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.15.3-3
- Improve description (#219057)

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-2
- Incorporate package review feedback

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1 
- Initial package
