Summary:     A mail notification program
Summary(ja): Gnome 対応のメールチェッカー
Name:        gnubiff
Version:     2.2.13
Release:     1%{?_dist_release}
Source0:     http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:	     gnubiff-2.2.13-dsofix.patch
License:     GPLv3+
Group:       Applications/Internet
URL:         http://gnubiff.sourceforge.net/

Requires:    gamin
Requires:    gtk2
Requires:    libglade2
Requires:    gnome-desktop
Requires:    gnome-desktop-libs 
Requires:    expat
Requires:    libexpat
Requires:    perl-XML-Parser
Requires:    popt
Requires:    openssl
BuildRequires: gamin-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: gnome-desktop-devel
BuildRequires: expat-devel
BuildRequires: perl-XML-Parser
BuildRequires: popt-devel
BuildRequires: openssl-devel
BuildRequires: libSM-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-panel-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils

Requires(post):	info
Requires(preun): info

BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
Gnubiff is a mail notification program that checks for mail, 
displays headers when new mail has arrived and allow to read
first lines of new messages. Supported protocols are POP3, APOP, 
IMAP4, MH, Qmail, and Mail File.

%description -l ja
Gnubiff はメールサーバーに問い合わせをして、
新着メールがあったときにヘッダーを表示したり、
新着メッセージの最初の数行を読めるメール通知プログラムです。
対応プロトコルは、POP3, APOP, IMAP4, MH, Qmail と
メールファイル・フォルダです。


%prep
%setup -q
%patch0 -p1 -b .dsofix


%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
    --enable-fam \
	--enable-gnome \
    --with-password \
	--with-password-string 
%__make %{?_smp_mflags}

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=${RPM_BUILD_ROOT} install

%__rm -rf %{buildroot}%{_infodir}/dir

desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun 
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
  %{_infodir}/dir >/dev/null 2>&1 || :
fi


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE NEWS README THANKS TODO
%{_infodir}/%{name}.info*
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome-2.0/ui/GNOME_gnubiffApplet.xml
%{_libdir}/bonobo/servers/GNOME_gnubiffApplet.server


%changelog
* Wed Nov 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.2.13-1
- new upstream release
- applied gnubiff-2.2.13-dsofix.patch from Fedra Rawhide
  - Add patch to fix DSO linking. (rhbz#564648)
- added BuildRequires: 
  - libSM-devel
  - libgnomeui-devel
  - gnome-panel-devel
  - intltool
  - desktop-file-utils

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.11-1
- new upstream release
- added gnubiff-2.2.10-extradeps.patch from Fedora
- added %%post, %%preun for gnubiff.info

* Sat Dec 13 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.10-2
- fixed typo in spec

* Sun Sep 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.10-1
- apply new versioning policy 
- spec in utf-8
- source update
- rename BuildRequires: popt-devel

* Fri Feb 15 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.2.9-0vl1
- source update

* Sun Jan 06 2008 Shu KONNO <owa@bg.wakwak.com> 2.2.8-0vl3
- added libdir to configure

* Mon Sep 17 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.8-0vl1
- source update

* Thu Jul 26 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.7-0vl2
- rebuild for VineSeed

* Thu Jul 26 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.7-0vl1
- source update

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.6-0vl2
- rebuild for VineSeed

* Fri Apr 27 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.6-0vl1
- source update

* Wed Mar 14 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.5-0vl1
- initial build for Vine Linux 4.1

#* Sun Feb 25 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.2.5-0vlmp1
#- initial build for Vine Linux 4.0


# end of file
