Summary: Set of document centric objects and utilities for glib/gtk
Name: goffice022
Version: 0.2.2
Release: 0vl2
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/0.2/goffice-%{version}.tar.bz2
Source1: goffice-0.2.1-ja.po

License: GPL
Group: System Environment/Libraries
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides:  goffice = %{version}-%{release}
Obsoletes: goffice < %{version}-%{release}
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1.13.1
BuildRequires: libglade2-devel
BuildRequires: libxml2-devel
BuildRequires: libart_lgpl-devel 
BuildRequires: perl-XML-Parser

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package devel
Summary: Development files of the Goffice library.
Group: Development/Libraries
Provides:  goffice-devel = %{version}-%{release}
Obsoletes: goffice-devel < %{version}-%{release}
Requires: %{name} = %{version}
Requires: gtk2-devel >= 2.6.0
Requires: glib2-devel >= 2.6.0
Requires: libgnomeprint-devel >= 2.8.2
Requires: libgsf-devel >= 1.13.1
Requires: libglade2-devel
Requires: libxml2-devel
Requires: libart_lgpl-devel 

%description devel
Development files of the Goffice library.

%prep
%setup -q -n goffice-%{version}

cp -p %{SOURCE1} po/ja.po

%build
%configure --with-gnome
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang goffice

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f goffice.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS ChangeLog MAINTAINERS
%{_libdir}/lib*.so.*
%{_libdir}/goffice/%{version}
%{_datadir}/goffice/%{version}
%{_datadir}/pixmaps/goffice

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Dec 29 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.2.2-0vl2
- renamed package name from goffice to goffice022

* Sun Dec 02 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.2.2-0vl1
- new upstream release

* Sat Jun 17 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.1-0vl2
- rebuild

* Thu May  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-0vl1
- new upstream release
- updated ja.po (%SOURCE1)

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-0vl1
- new upstream release
- rebuilt with libgsf-1.14.0
- updated ja.po (%SOURCE1)

* Fri Nov 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl2
- updated ja.po %{SOURCE1}

* Thu Nov 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-0vl1
- rebuild for Vine Linux
- updated ja.po %{SOURCE1}

* Thu Sep 08 2005 Gotz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Fri Sep  2 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Tue Aug 16 2005 Gotz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Wed May 18 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Tue May 10 2005 Gotz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package
