%define pkg_version 3.0.0
%define pkg_release 1%{?_dist_release}

Summary:	A Compact Disk Player and Ripper for GNOME
Summary(ja):	GNOME 向け CD プレイヤ・リッパー
Name:		goobox
Version:	%{pkg_version}
Release:	%{pkg_release}

Source0:	http://download.gnome.org/sources/%{name}/3.0/%{name}-%{version}.tar.xz

Patch0:		goobox-3.0.0-makefile.patch

License:	GPLv2
Group:		Applications/Multimedia
URL:		http://people.gnome.org/~paobac/goobox/  

Requires(post,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRequires:	gtk3-devel 
BuildRequires:	GConf2-devel 
BuildRequires:	gstreamer-devel
BuildRequires:	libmusicbrainz3-devel
BuildRequires:	libdiscid-devel
BuildRequires:	brasero-devel
BuildRequires:	libnotify-devel
BuildRequires:	libSM-devel
BuildRequires:	gnome-doc-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Goobox is a CD player and ripper well integrated with the GNOME environment.

%description -l ja
Goobox は GNOME 環境で統合された CD プレイヤ・リッパーです。


%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor

%postun
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ $1 -eq 0 ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/goobox
%{_datadir}/GConf/gsettings/goobox.convert
%{_datadir}/applications/goobox.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Goobox.gschema.xml
%{_datadir}/goobox/ui/*.ui
%{_datadir}/icons/hicolor/*/apps/*.png


%changelog
* Thu Oct 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- initial build for Vine Linux

