# Basic Information
Name:		gsettings-desktop-schemas
Version:	3.4.2
Release:	1%{?_dist_release}
License:	GPL-2
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/3.4/%{name}-%{version}.tar.xz

# settings for Vine
Patch101:	gsettings-desktop-schemas-vine-settings.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A collection of GSettings schemas
Summary(ja):	GSettingsスキーマのコレクション

# Dependency
# 以下に依存関係を記述してください。
Requires:	pkgconfig
Requires:	glib2
Requires:	dconf

BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel

%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.

%description -l ja
gsettings-desktop-schemasは、デスクトップのさまざまな部品によって共有される
GSettingsスキーマのコレクションを含んでいます。


%package devel
Summary:        Development tools for gsettings-desktop-schemas
Summary(ja):    gsettings-desktop-schemas の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
gsettings-desktop-schemas.


%prep
%setup -q
%patch101 -p1 -b .vine

%build
%configure --disable-schemas-compile --enable-introspection=yes
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README HACKING
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.magnifier.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.default-applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.media-handling.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.screensaver.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.session.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnail-cache.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnailers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.locale.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.proxy.gschema.xml

%files devel
%defattr(-,root,root)
%{_includedir}/gsettings-desktop-schemas/gdesktop-enums.h
%{_datadir}/pkgconfig/gsettings-desktop-schemas.pc
%{_datadir}/gir-1.0/*.gir

%changelog
* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release
- update Patch101

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-2
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- update Patch101 (gsettings-desktop-schemas-vine-settings.patch)
- create -devel sub package

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- add Patch0 (gsettings-desktop-schemas-vine-settings.patch)

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.0.1-2
- add Requires: dconf

* Tue Oct 12 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.0.1-1
- new package.


