Name:           gstreamer-filters
Version:        0.10.1
Release:        1%{?_dist_release}
Summary:        Gstreamer convenience library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/GstFilters

Source0:        http://www.freedesktop.org/software/farstream/releases/gstfilters/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gstreamer-plugins-base-devel
%if "%{?_dist_release}" >= "vl7"
BuildRequires:	gtk3-devel
%else
BuildRequires:	gtk2-devel
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
GstFilters is a high level library that provides a convenience API on top of Gstreamer.
It allows building complex pipelines with very few lines of code and concentrates on the
features you want rather than on each element's specific task. 


%package	devel
Summary:        Development environment for gstreamer-filters
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Header files and libraries for building a extension library for the
gstreamer-filters.


%package	doc
Summary:        Documentation for gstreamer-filters
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
This package contains documentation for gstreamer-filters.


%prep
%setup -q

%build
%configure \
%if "%{?_dist_release}" >= "vl7"
	--with-gtk=3.0 \
%else
	--with-gtk=2.0 \
%endif
	--disable-static \

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libgstfilters-0.10.so.*
%{_libdir}/girepository-1.0/GstFilters-0.10.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/gstreamer-0.10/gst/filters
%{_libdir}/libgstfilters-0.10.so
%{_libdir}/pkgconfig/gstreamer-filters.pc
%{_datadir}/gir-1.0/GstFilters-0.10.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gstreamer-filters-0.10


%changelog
* Tue Feb 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.1-1
- initial build for Vine Linux
