Summary:        Settings tool for Synaptics touchpad driver
Summary(ja):    Synaptics タッチパッドドライバ設定ツール

Name:           gsynaptics
Version:        0.9.16
Release:        1%{?_dist_release}

Group:          Applications/System
License:        GPLv2+
URL:            http://gsynaptics.sourceforge.jp/
Source0:        http://downloads.sourceforge.jp/gsynaptics/28322/gsynaptics-%{version}.tar.gz
# Source1 taken from http://downloads.sourceforge.jp/gsynaptics/15189/gsynaptics-0.9.0.tar.gz
# until http://sourceforge.jp/tracker/index.php?func=detail&aid=11265&group_id=1720&atid=6433 gets fixed
Patch0:         gsynaptics-0.9.14-dot-fixes.patch
Patch1:         gsynaptics-0.9.14-do-not-set-zero.patch
Patch2:         gsynaptics-0.9.16-pixmap.patch
Patch3:         gsynaptics-0.9.14-driver-header.patch
Source1:        %{name}-touchpad.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl(XML::Parser)
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils gettext
BuildRequires:  gnome-doc-utils
BuildRequires:  xorg-x11-drv-synaptics
Requires:       xorg-x11-drv-synaptics

%description
A GTK+ tool to set scroll and tap preferences for the Synaptics touchpad
driver.

%prep
%setup -q
cp data/gsynaptics-init.desktop.in.in data/gsynaptics-init.desktop.in.in.org
grep -v -e "^Categories=$" data/gsynaptics-init.desktop.in.in.org > data/gsynaptics-init.desktop.in.in
install -p %{SOURCE1} data/touchpad.png
%patch0 -p1 -b .dot-fixes
%patch1 -p1 -b .zero
%patch2 -p1 -b .pixmap
%patch3 -p1 -b .header

%build
autoreconf -v --install --force || exit 1
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor ""                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category HardwareSettings                         \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gsynaptics.desktop

desktop-file-install --vendor ""                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/gnome/autostart/    \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gsynaptics-init.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/touchpad.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/gnome/autostart/*%{name}*.desktop
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/gsynaptics*


%changelog
* Mon Apr 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.9.16-1
- new upstream release
- import Patch3 (use the driver's header file instead of a custom synshm.h)

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.14-1
- initial build for Vine Linux

* Tue Aug 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-2
- Fix crash on startup, thanks to Sertaç Ö. Yıldız for the pointer (#457540)
- Add patch to not set undefined keys to 0 by Michal Čihař (Debian #480744)
- Fix for locales not using "." as decimal seperator (upstream #12498)

* Sun Jul 27 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-1
- Use dist tag

* Sun Jul 27 2008 Christoph Wickert <fedora christoph-wickert de> - 0.9.14-1
- Update 0.9.14

* Sat Feb 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0.9.13-3
- rebuilt

* Sat Dec 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.9.13-2
- BR gnome-doc-utils

* Sat Dec 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.9.13-1
- Update to 0.9.13
- ship touchpad.png, fixes #401891

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Jun 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.12-2
- Use ExclusiveArch just as synaptics does

* Sun Jun 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.12-1
- Update to 0.9.12
- Add category HardwareSettings to desktop file (#242345)

* Sat Feb 24 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.11-1
- Update to 0.9.11

* Mon Aug 28 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-2
- Rebuild

* Sat Jul 08 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.8-1
- Add BuildRequires: perl-XML-Parser (fixes #197955)
- update to 0.9.8

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-2
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.5-1
- Update to 0.9.5

* Sat Oct 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-3
- Use dist

* Tue Oct 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-2
- Improved Summary and description as suggested by ignacio

* Mon Oct 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.9.4-1
- Initial package.
