%define	ver	0.12
%define	rel	2%{?_dist_release}

%define extra_builds buffy-0.2 gtk-thinice-theme-1.0.4 notif2-1.0

# We ignore this - gtkstep screws up things
%define screwed_up_builds gtkstep-1.7 gtkstep-pastel-0.9.1

Summary:	Theme engines for GTK+.
Summary(ja):	GTK+ 用 テーマエンジン
Name:		gtk-engines
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		System Environment/Libraries
Source:		ftp://ftp.gnome.org/pub/GNOME/source/%{name}/%{name}-%{PACKAGE_VERSION}.tar.gz
Source1:	gtk-themes-extra-4.tar.gz

Source2:	GTKstep.tar.gz
Source3:	Notif2-1.0.tar.gz
Source4:	http://prdownloads.sourceforge.net/thinice/gtk-thinice-theme-1.0.4.tar.gz
Source5:	buffy-0.2.tar.gz
Source6:	gtkstep-pastel.tar.gz

# Fixes pixmap resource leak
Patch1: gtk-engines-0.11-memleak.patch
# Fixes compiling error (adhoc patch)
Patch2: gtk-engines-0.12-draw.patch

# The sum total of gtk.themes.org
Source10:	5.tar.gz
Source11:	AbsoluteE.tar.gz
Source12:	Aspen.tar.gz
Source13:	Basic.tar.gz
Source14:	BeOS.tar.gz
Source15:	Beta.tar.gz
Source16:	Blue-n-Gray.tar.gz
Source17:	BlueSteel.tar.gz
Source18:	BlueTheme.tar.gz
Source19:	Bluish.tar.gz
Source20:	Bluthe-1.0.tar.gz
Source21:	BrushedMarbles.tar.gz
Source22:	BrushedMetal.tar.gz
Source23:	BrushedMetalClean.tar.gz
Source24:	Cheese.tar.gz
Source25:	Chrome.tar.gz
Source26:	CoolIce.tar.gz
Source27:	Coolness.tar.gz
Source28:	E-Default.tar.gz
Source29:	Expensive.tar.gz
Source30:	Forest-Green.tar.gz
Source31:	GTK_LCARS.tar.gz
Source32:	Gradient.tar.gz
Source33:	IceBerg.tar.gz
Source34:	Jander.tar.gz
Source35:	JedEye.tar.gz
Source36:	LCARS.tar.gz
Source37:	LCD.tar.gz
Source38:	Macos-Blue-8.6.tar.gz
Source39:	Marble.tar.gz
Source40:	Metallic.tar.gz
Source41:	Metallic_Plum.tar.gz
Source42:	MorphiusX.tar.gz
Source43:	Muffy.tar.gz
Source44:	Odo.tar.gz
Source45:	OldWood.tar.gz
Source46:	PalmOS.tar.gz
Source47:	Porcelain.tar.gz
Source48:	QNX-Photon.tar.gz
Source49:	Rats.tar.gz
Source50:	Red-and-Blue.tar.gz
Source51:	Rocks.tar.gz
Source52:	Scalpel.tar.gz
Source53:	ShinyMetal.tar.gz
Source54:	Skiberg.tar.gz
Source55:	Smoke-full.tar.gz
Source56:	Smoke.tar.gz
Source57:	SoulTrip.tar.gz
Source58:	ThinSki.tar.gz
Source59:	Tiger.tar.gz
Source60:	Tildouf.tar.gz
Source61:	Turismo.tar.gz
Source62:	WoodenScraps.tar.gz
Source63:	Yell-O.tar.gz
Source64:	Zap5.tar.gz
Source65:	eMac-GTK.tar.gz
Source66:	lauxes.tar.gz
Source67:	photon.tar.gz

URL:		http://gtk.themes.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  automake14
BuildRequires:  gtk+-devel
BuildRequires:  imlib-devel

%description
The gtk-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines.  Theme engines
provide different looks for GTK+, so that it can resemble other
toolkits or operating systems.  The gtk-engines package contains
graphical engines for various GTK+ toolkit themes, including Notif,
Redmond95, Pixmap and Metal (swing-like).

%description -l ja
gtk-engines パッケージは共有のオブジェクトとGTK+テーマエンジンの
幾つかの設定ファイルを含んでいます。テーマエンジンはGTK+にて違っ
た概観を提供します。このパッケージにはさまざまなGTK+ツールキット
テーマ Notif,Redmond95,Pixmap,Metal(swing-like )を含めてあります。
加えて、それ以外にもたくさんの物を収めてあります。


%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6
%patch1 -p1 -b .memleak
%patch2 -p0 -b .draw

%build
rm acinclude.m4
libtoolize --force --copy
aclocal-1.4
automake-1.4
autoconf
%configure
make
for I in `echo %{extra_builds}`; do
	cd $I
	libtoolize --force --copy
	aclocal-1.4
	automake-1.4
	autoconf
	%configure --cache-file=../config.cache
	make
	cd ..
done


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#
# makefile is broken, sets exec_prefix explicitely.
#
%makeinstall

for I in `echo %{extra_builds}`; do
	cd $I
	%makeinstall
	cd ..
done

# expand extra themes
cd $RPM_BUILD_ROOT%{_datadir}/themes; tar xzvf %{SOURCE1}

for I in 5 AbsoluteE Basic BeOS Beta Blue-n-Gray BlueSteel \
BlueTheme Bluish Bluthe-1.0 BrushedMarbles BrushedMetal \
BrushedMetalClean Cheese Chrome CoolIce Coolness E-Default Expensive \
Forest-Green GTK_LCARS Gradient IceBerg Jander JedEye LCARS LCD \
Macos-Blue-8.6 Marble Metallic Metallic_Plum MorphiusX Muffy Odo OldWood \
PalmOS Porcelain QNX-Photon Rats Red-and-Blue Rocks Scalpel ShinyMetal \
Skiberg Smoke-full Smoke SoulTrip ThinSki Tiger Tildouf Turismo \
WoodenScraps Yell-O Zap5 eMac-GTK lauxes photon; do
	tar -C $RPM_BUILD_ROOT%{_datadir}/themes -xzf $RPM_SOURCE_DIR/$I.tar.gz
done

(cd $RPM_BUILD_ROOT%{_datadir}/themes;
# Here's where I get to give themes dumb names because of possible
# trademarks
mv QNX-Photon LightSpeed
mv photon Torpedo
mv macos8.6-blue MockMack
mv BeOS BeCool
mv PalmOS LCD
mv eMac eMock
rm -rf BrushedMetalBlue
# remove unnecessary .xvpics directory
find . -type d -name .xvpics | xargs rm -rf
)

# remove Odo its broke
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Odo

# remove unuse *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/lib*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)
%doc COPYING README ChangeLog
%attr (755, root, root) %{_libdir}/gtk/themes/engines/*
%{_datadir}/themes/*


%changelog
* Sat Sep 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12-2vl5
- added BuildRequires: gtk+-devel, imlib-devel

* Sun Sep 07 2008 Shu KONNO <owa@bg.wakwak.com> 0.12-1vl5
- applied new versioning policy, spec in utf-8
- added gtk-engines-0.12-draw.patch
- remove lib*.la

* Thu Aug 21 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12-0vl5
- update Source4
- add Patch1 from Rawhide
- add BuildPrereq: automake14
- spec file fixed based on Rawhide 0.12-1
- rebuild with new toolchains

* Sat Mar 16 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.12-0vl4
- spec file typo fixed ( -f %%{name}.lang was missing
  although %%find_lang was used in the %%install section)
- remove unnecessary and wasting .xvpics directories

* Mon Jul 16 2001 <sagami@vinelinux.org>
- 0.12-0vl3: added ./autogen.sh on notif2-1.0 and quit disabling libtoolize

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 0.12-0vl2: ugly treatment to disable libtoolize on notif2-1.0

* Tue Apr  3 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.12-0vl1
- New upstream release.
- Use find_lang macro.

* Fri Mar  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.11-0vl1
- New upstream release.
- Use rpmmacros.

* Thu Feb 22 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.10

* Fri Sep 17 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- added japanese Summary and description for Vine 

* Wed Sep 15 1999 Elliot Lee <sopwith@redhat.com>
- Misc fixes from DrMike suggestions

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.6, etc.

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
