%global engine equinox
%global tarname 121881-%{engine}
%global tarver 1.50
%global tarthemes 140449-%{engine}-themes

Name:           gtk-equinox-engine
Version:        1.50
Release:        2%{?_dist_release}
Summary:        Equinox theme engine for GTK+ 2.x

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://gnome-look.org/content/show.php/Equinox+GTK+Engine?content=121881
Source0:        http://gnome-look.org/CONTENT/content-files/%{tarname}-%{tarver}.tar.gz
Source1:        http://gnome-look.org/CONTENT/content-files/%{tarthemes}-%{tarver}.tar.gz
Source2:        Equinox_Vine.tar.bz2

BuildRequires:  gtk2-devel
Requires:       faenza-icon-theme

%description
A new engine derived from Aurora 1.4. It features smooth gradients or glassy
effects, subtle shadows, rounded widgets.

%prep
%setup -q -n %{engine}-%{tarver}

# Unpack gtk themes here
tar -xzf %{SOURCE1}

# Fix executable bits for debuginfo package
chmod 0644 src/*

%build
%configure --enable-animation
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Copy themes to proper directory
mkdir -p %{buildroot}%{_datadir}/themes
mkdir -p tmpdoc
mv *.crx tmpdoc
mv Equinox* %{buildroot}%{_datadir}/themes

# Remove .la files
find %{buildroot} -name *.la | xargs rm -f || true

# Fix executable bits for files in themes
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution/README
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Dawn/index.theme
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Midnight/index.theme
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Midnight/README
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Midnight/gtk-2.0/apps/gnome-panel.rc
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Midnight/gtk-2.0/apps/google-chrome.rc
chmod 0644 %{buildroot}%{_datadir}/themes/Equinox\ Evolution\ Midnight/gtk-2.0/fixes/fixes.rc

# Fix executable bits for doc files
chmod 0644 AUTHORS ChangeLog COPYING README

# install Vine theme
tar xzvf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/themes

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README tmpdoc/*
%{_libdir}/gtk-2.0/2.10.0/engines/libequinox.so
%{_datadir}/themes/Equinox*

%changelog
* Sat Jun 18 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.50-2
- add Source2: Customized theme for Vine Linux

* Mon May 23 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.50-1
- initial build for Vine Linux based on fedora development

* Thu Apr 20 2011 Germ叩n A. Racca <skytux@fedoraproject.org> 1.40-1
- Updated to new version
- Removed old gtk themes and added new ones
- Added dependency on Faenza icons

* Mon Oct 04 2010 Germ叩n A. Racca <skytux@fedoraproject.org> 1.30.2-1
- Updated to new version
- Defined some globals

* Fri Sep 03 2010 Germ叩n A. Racca <skytux@fedoraproject.org> 1.30-1
- Updated to new version
- Icon name in Equinox Glass theme corrected by upstream

* Thu Aug 26 2010 Germ叩n A. Racca <gracca@gmail.com> 1.20-4
- Removed dependency on gnome-icon-theme because faenza-icon-theme was released
- Fixed icon name in Equinox Glass theme

* Wed Jul 07 2010 German A. Racca <gracca@gmail.com> 1.20-3
- Fix permissions for debuginfo package

* Tue Jul 06 2010 German A. Racca <gracca@gmail.com> 1.20-2
- Fixed confused release number
- Removed %%BuildRoot tag
- Replaced Faenza icon theme by Gnome
- Added %%Requires tag

* Tue Jun 29 2010 German A. Racca <gracca@gmail.com> 1.20-1
- New version

* Tue Jun 01 2010 German A. Racca <gracca@gmail.com> 1.1-3
- Rebuild for Fedora 13
- Added %%{dist} tag

* Thu May 13 2010 German A. Racca <gracca@gmail.com> 1.1-2
- Rearrangement of spec file

* Tue Apr 06 2010 German A. Racca <gracca@gmail.com> 1.1-1
- Initial release of RPM package
