%define monodir %(/usr/bin/monodir)
Summary: .Net language bindings for Gtk+ and GNOME
Summary(ja): Gtk+ と GNOME 用の .Net 言語バインディング 
Name: gtk-sharp
Version: 1.0.10
Release: 3%{?_dist_release}
License: LGPL
Group: Development/Libraries
URL: http://gtk-sharp.sourceforge.net/
Source: gtk-sharp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mono-core, mono-devel
BuildRequires: libgnomeui-devel >= 2.0, libgnomecanvas-devel >= 2.2
BuildRequires: libglade2-devel, gtk2-devel >= 2.2.0
BuildRequires: libgnomedb-devel, libgda-devel, librsvg2-devel
BuildRequires: glib2-devel, libart_lgpl-devel, libgsf-devel
BuildRequires: vte-devel, libgnomeprintui-devel
Requires: librsvg2

%description
A C source parser and C# code generator to produce .Net assemblies
which bind to GObject based libraries.  The Gtk+-2.0 libraries are
included along with several GNOME platform libraries.

%description -l ja
GObject ベースのライブラリにバインドされた .Net アセンブリを
生成する為の、C 言語のソースパーサと C# 言語ののコードジェネ
レータです。Gtk+-2.0 ライブラリは色々な GNOME プラットフォーム
ライブラリに含まれています。

%package gapi
Summary: C source parser and C code generator
Summary(ja): C 言語のソースパーサとコードジェネレータ
Group: Development/Libraries
Requires: perl-libxml-perl, perl-XML-NamespaceSupport
Requires: perl-XML-SAX, gtk-sharp = %{version}-%{release}

%description gapi
The gtk-sharp-gapi package includes the parser and code
generator used by the Gtk if you want to bind
GObject-based libraries, or need to compile a project that
uses it to bind such a library.

%description gapi -l ja
gtk-sharp-gapi パッケージは、GObject ベースの Gtk や、同じよ
うな他のライブラリにバインドされたプロジェクトを、コンパイル
するのに必要なパーサとコードジェネレータを含んでいます。

%package devel
Summary: Header files, libraries and development documentation for %{name}
Summary(ja): %{name} 用のヘッダファイルやライブラリ及び開発用ドキュメント
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description devel -l ja
このパッケージは %{name} 用のヘッダファイルや静的ライブラリ及び
開発用ドキュメントを含んでいます。もし  %{name} を使用したプログ
ラムを開発する場合は、このパッケージをインストールする必要があり
ます。


%prep
%setup -q 

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install \
    DESTDIR="%{buildroot}" \
    GACUTIL_FLAGS="/package gtk-sharp /root %{buildroot}%{_prefix}/lib"

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README
%{_bindir}/gconfsharp-*
%{monodir}/gac
%{monodir}/gtk-sharp
%{_libdir}/*.so

%files gapi
%defattr(-, root, root, 0755)
%{_bindir}/gapi*
%{_libdir}/pkgconfig/gapi.pc
%{_datadir}/gapi

%files devel
%defattr(-, root, root, 0755)
%doc README.generator sample
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/pkgconfig/gapi.pc
%exclude %{_libdir}/*.la

%changelog
* Thu Sep 18 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.10-3vl5
- rebuild with mono-2.0

* Mon Sep 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.10-2vl5
- fixed library path (for x86_64)

* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.10-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 23 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> - 1.0.10-0vl1
- new upstream release.
- update BuildRequires (from mono to mono-core).
- add japanese Summary and Description.

* Wed Mar 16 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.8-1vl1
- new upstream release
- rebuild for Vine Linux 

* Sun Jan 02 2005 Dag Wieers <dag@wieers.com> - 1.0.4-1
- Updated to release 1.0.4.

* Thu Apr 01 2004 Dag Wieers <dag@wieers.com> - 0.18-1
- Updated to release 0.18.

* Sat Feb 28 2004 Dag Wieers <dag@wieers.com> - 0.17-0
- Updated to release 0.17.

* Sat Jan 31 2004 Dag Wieers <dag@wieers.com> - 0.15-1
- Symlinked gtk-sharp.pc to gapi.pc.

* Mon Jan 05 2004 Dag Wieers <dag@wieers.com> - 0.15-0
- Updated to release 0.15.

* Thu Nov 20 2003 Dag Wieers <dag@wieers.com> - 0.14-0
- Updated to release 0.14.

* Mon Nov 17 2003 Dag Wieers <dag@wieers.com> - 0.13-0
- Updated to release 0.13.

* Wed Oct 29 2003 Dag Wieers <dag@wieers.com> - 0.12-0
- Updated to release 0.12.

* Fri Sep 19 2003 Dag Wieers <dag@wieers.com> - 0.11-0
- Updated to release 0.11.

* Sun Jun 15 2003 Dag Wieers <dag@wieers.com> - 0.10-0
- Updated to release 0.10.

* Sun May 25 2003 Dag Wieers <dag@wieers.com> - 0.9-0
- Initial package. (using DAR)
