Summary: A GTK front-end for gPhoto2
Name: gtkam

%define gimpdir %(/bin/ls -d %{_libdir}/gimp/*/plug-ins 2> /dev/null | tail -n 1)
%define gimpver %(echo %gimpdir | sed 's,^%{_libdir}/,,' | cut -d'/' -f2)
%define icondir %{_datadir}/pixmaps

Version: 0.1.14
Release: 0vl2
License: GPL
Group: Applications/Graphics

Source0: http://prdownloads.sourceforge.net/sourceforge/gphoto/%{name}-%{version}.tar.bz2
%{?nosrc:NoSource: 0}
Source1: gtkam.sh
#Patch0:	gtkam-0.1.12-fixsavefnames.patch.bz2
#Patch1:	gtkam-0.1.10-nodebugopt.patch.bz2
#Patch2: gtkam-gimp2.patch.bz2
#Patch3:	gtkam-invalidxml.patch.bz2
Patch4:	gtkam-omf-install.patch.bz2
URL: http://www.gphoto.org/proj/gtkam/
ExcludeArch: s390 s390x
Requires: gphoto2 >= 2.1.3
BuildRequires: gphoto2-devel >= 2.1.3
#BuildRequires: gdk-pixbuf-devel gimp-devel
BuildRequires: gimp-devel
BuildRequires: gtk2-devel libexif-devel libexif-gtk-devel
Requires: gdk-pixbuf libexif-gtk
BuildRequires: 	gettext
BuildRequires:	libbonobo-devel libbonoboui-devel libgnomeui-devel
#BuildRequires: desktop-file-utils >= 0.2.92
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The gtKam package provides a GTK-based front-end to gPhoto2.  Install
this package if you want to use a digital camera with Linux.

%package gimp
Summary: GIMP plug-in for digital camera access through gPhoto2
Requires: %{name} = %{version}
Requires: gimp >= %{gimpver}
PreReq: fileutils gawk sh-utils
Group: Applications/Graphics

%description gimp
A GIMP plug-in for direct digital camera access through gPhoto2.

%prep
rm -rf %{buildroot}
%setup -q

#%patch0 -p1
#%patch1 -p1
#patch2 -p1 -b .gimp2
#%patch3 -p1 -b .invalidxml
%patch4 -p1
#%__cp configure configure.gimp2
#sed -e "s/gimpui-1.3/gimpui-%{gimpver}/" configure.gimp2 > configure
#sed -i -e "s,gimp/1.3/plug-ins,gimp/%{gimpver}/plug-ins," src/Makefile*

%build
%configure
make

%install
%makeinstall imagesdir=%{buildroot}%{icondir}/gtkam
mkdir -p %{buildroot}%{_libexecdir}
cp src/gtkam-gimp %{buildroot}%{_libexecdir}

mv %{buildroot}%{_bindir}/gtkam %{buildroot}%{_bindir}/gtkam.bin
%__install -D -m 755 %{SOURCE1} %{buildroot}%{_bindir}/gtkam

#gimp plugin
#mkdir -p %{buildroot}%{gimpdir}
#ln -sf %{_libexecdir}/gtkam-gimp %{buildroot}%{gimpdir}/gtkam

# icon
mkdir -p %{buildroot}%{icondir}
%__cp gtkam.png %{buildroot}%{icondir}
#echo "Icon=gtkam.png" >> %{buildroot}%{_datadir}/applications/gtkam.desktop
#__mv %{buildroot}%{_datadir}/images/gtkam %{buildroot}%{icondir}


%find_lang %{name}

rm -rf %{buildroot}%{_prefix}/doc %{buildroot}%{_datadir}/doc %{buildroot}/var
#[ "%{gimpver}" = "1.3" ] || rm -rf %{buildroot}%{_libdir}/gimp/1.3

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc [A-LN-Z]*
%config(missingok,noreplace) %{_datadir}/applications/*
%{_bindir}/*
%{_datadir}/gtkam
%{_datadir}/gnome/help/gtkam
%{_datadir}/omf/gtkam
%{_mandir}/man1/*
%{icondir}/*

%files gimp
%defattr(-,root,root)
%{_libexecdir}/gtkam-gimp
%{gimpdir}/*

%changelog
* Sat Jul 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.14-0vl2
- rebuilt for VineSeed 

* Sun Mar 11 2007 Masaki Shinomiya <shino@pos.to> 0.1.14-0vl1
- new upstream release
- require libexif-gtk, group, desktop launcher

* Sat Jan 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.13-0vl1
- new upstream release
- added BuildRequires: libexif-gtk-devel

* Wed Feb 16 2005 Masaki Shinomiya <shino@pos.to> 0.1.12-0vl1
- new upstream release, patches from Mandrake Linux
- gimp plugin, desktop, icon, help, omf

* Mon Nov 24 2003 KOBAYASHI R. taizo <tkoba@vinelinux.org> 0.1.10-0vl2
- added source1 for ja_JP.UTF-8 wrapper

* Tue Nov 11 2003 KOBAYASHI R. taizo <tkoba@vinelinux.org> 0.1.10-0vl1
- source update
- modified for Vine

* Thu Sep 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-6.1
- Rebuilt.

* Thu Sep 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-6
- Use %%{_libdir} etc throughout (bug #104204).

* Mon Jul 28 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-5
- Fix URL (bug #100907).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 0.1.7-4
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.1.7-3
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 0.1.7-2
- do not build on mainframe

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- 0.1.7.
- No longer need gtkam-gimp patch.
- Don't install files not shipped.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-6
- Don't require gimp-devel (bug #70754).
- Don't ship empty NEWS file (bug #66086).

* Mon Jul 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-5
- Desktop file fixes (bug #69434).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-4
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1.4-3
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.1.4-2
- automated rebuild

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- 0.1.4.
- Update gimp patch.
- No longer need linguas, gettext, ranlib patches.

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.2
- The gimp subpackage requires /usr/bin/gimp-config in its %%post
  scriplet.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.1
- Adapted for Red Hat Linux.  Tidied the spec file.
- Made a desktop entry.
- Fixed the gimp plug-in.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
