%define pango_version 1.16.0
%define gtk2_version 2.10.0
%define libxml2_version 2.5.8
%define gnome_vfs2_version 2.18.0
%define gail_version 1.18.0

Summary: An HTML widget for GTK+ 2.0
Summary(ja): GTK+ 2.0 用 HTML ウィジェット
Name: gtkhtml2
Version: 2.11.1
Release: 3%{?_dist_release}
Source0: libgtkhtml-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
#BuildRequires: gail-devel >= %{gail_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libxml2 >= %{libxml2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
#Requires: gail >= %{gail_version}

%description
GtkHTML2 (sometimes called libgtkhtml) is contains a widget for
displaying html pages.

%package devel
Summary: Libraries, includes, etc to develop Gtkhtml2 applications
Group: Development/Libraries
Requires: gtkhtml2 = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
#Requires: gail-devel >= %{gail_version}

%description devel
Libraries and include files that can be used to develop Gtkhtml2 applications.

%prep
%setup -q -n libgtkhtml-%{version}

%build
%configure --disable-static
make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libgtkhtml-2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gtkhtml-2.0
%{_libdir}/lib*.so
#{_libdir}/lib*.a
%{_libdir}/pkgconfig/*

%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.11.1-3
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Jul 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.11.1-2
- spec in UTF-8
- removed static libraries

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.11.1-1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.0-0vl1
- new upstream release

* Wed Nov 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.3-0vl1
- new upstream release

* Mon Nov 22 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.5-0vl1
- new upstream release

* Sat May 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Tue Dec 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 2.0.1-3
- Remove unpackaged files

* Mon Sep  2 2002 Matt Wilson <msw@redhat.com>
- added a patch to avoid crashes during html document destruction

* Thu Aug  8 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.1, fixes #67866

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.99.9

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.99.7

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.99.6

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new gail, 1.99.5

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new gnome2 libraries

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com>
- Initial build.
