%define gtkhtml_major 4.0

Summary: gtkhtml version 4 library
Summary(ja): gtkhtml バージョン4 ライブラリ
Name: gtkhtml4
Version: 4.4.4
Release: 1%{?_dist_release}
License: LGPL/GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/gnome/sources/gtkhtml/4.4/gtkhtml-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: GConf2-devel
BuildRequires: libsoup-devel >= 2.30.0
BuildRequires: enchant-devel
BuildRequires: iso-codes
BuildRequires: perl-XML-Parser
BuildRequires: libtool, gettext
BuildRequires: gnome-icon-theme >= 2.30.0
BuildRequires: gsettings-desktop-schemas-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%description -l ja
GtkHTML は軽量な HTML レンダリング/印刷/エディットエンジンです。元もとは
KHTMLW をベースとしていますが、現在は独立して開発されています。

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Summary(ja): gtkhtml アプリケーションの開発に必要なライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk3-devel >= 3.0.0
Requires: GConf2-devel
Requires: enchant-devel
Requires: iso-codes

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%description -l ja devel
GtkHTML アプリケーションを開発するために必要なライブラリやヘッダファイルが
収録されています。


%prep
%setup -q -n gtkhtml-%{version}

%build
%configure 
export tagname=CC
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool CFLAGS="$CFLAGS $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/gtkhtml-editor-test
%{_libdir}/*.so.*
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.4-1
- new upstream release

* Thu Jun 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.3-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.4.1-1
- new upstream release

* Sat Jan 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.2.3-1
- new upstream release

* Tue Nov 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.2.0-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.1.90.1-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.1.4-1
- initial build for Vine Linux

