%define name 	gtklp
%define version 1.2.6
%define release 1

Summary: 	A GTK frontend for CUPS
Summary(ja):    GTK CUPS印刷フロントエンド
Name: 		%name
Version: 	%version
Release: 	%release%{_dist_release}
License: 	GPL
Group: 		Applications/Publishing
Source0: 	http://prdownloads.sourceforge.net/gtklp/%name-%version.src.tar.gz
Url: 		http://www.stud.uni-hannover.de/~sirtobi/gtklp/
Source1: 	gtklp-icon48.png.bz2
Source2: 	gtklp-icon32.png.bz2
Source3: 	gtklp-icon16.png.bz2
Patch0:         gtklp-1.2.6_vine_build.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Buildrequires: 	cups-devel XOrg-devel atk-devel openssl-devel
Buildrequires:	gtk2-devel glib2-devel pango-devel freetype2-devel
Requires: 	cups XOrg-libs atk glibc openssl cups-libs gtk2 glib2 pango
Requires:	freetype2

Vendor: Project Vine
Distribution: Vine Linux

%description
A GTK frontend for CUPS

%description(ja)
gtklp は GNOME デスクトップ向け CUPS 用印刷フロントエンドです。

%prep
%setup -q

%patch0 -p1 -b .build

%build
autoreconf -ivf
%configure
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

# menu icon
install -d %{buildroot}/%{_datadir}/pixmaps
bzcat %{SOURCE1}>$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_48x48.png
bzcat %{SOURCE2}>$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_32x32.png
bzcat %{SOURCE3}>$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_16x16.png


%post 

%postun 

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*
%{_mandir}/man1/*
%defattr(0644,root,root,755)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE

%changelog
* Wed May 06 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.6-1
- new upstream release
- new versioning policy
- build with new toolchains
- add patch0 to fix build issue (AC_ERROR)

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-0vl2
- changed Group to Applications/Publishing

* Thu Jul 06 2006 Satoshi MACHINO <machino@vinelinux.org> 1.2.2-0vl1
- new upstream release

* Sat Aug 20 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0g-0vl1
- new upstream release

* Thu Jul 21 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0f-0vl1
- new upstream release

* Sat Apr 16 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0c-0vl1
- first released for VineLinux

