%define ver 2.4

Summary: A C++ interface for the GTK+ (a GUI library for X).
Summary(ja): GTK+ の C++ インターフェイス
Name: gtkmm2
Version: 2.24.2
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.24/gtkmm-%{version}.tar.xz

URL: http://gtkmm.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: glibmm >= 2.21.2
Requires: pangomm >= 2.25.1.3
Requires: atk >= 1.9.0
Requires: gtk2 >= 2.17.11
BuildRequires: glibmm-devel >= 2.21.2
BuildRequires: cairomm-devel
BuildRequires: pangomm-devel >= 2.25.1.3
BuildRequires: atkmm-devel
BuildRequires: gtk2-devel >= 2.17.11
BuildRequires: libsigc++-devel >= 2.0.0
BuildRequires: mm-common
BuildRequires: autoconf

Vendor: Project Vine
Distribution: Vine Linux

%description
gtkmm (previously known as Gtk--) is the official C++ interface for the
popular GUI library GTK+. Highlights include typesafe callbacks, widgets
extensible via inheritance and a comprehensive set of widget classes that
can be freely combined to quickly create complex user interfaces.

The gtkmm devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications in C++.


%package	devel
Summary: 	Development tools for gtkmm applications.
Summary(ja): 	gtkmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}
Requires:       gtk2-devel >= 2.17.11
Requires:       glibmm-devel >= 2.21.2
Requires:       cairomm-devel
Requires:       pangomm-devel >= 2.25.1.3

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+
(the Gimp ToolKit) GUI library.

%prep
%setup -q -n gtkmm-%{version}
#patch0 -p1

%build
autoreconf -if
%configure --disable-static
# removing rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/gtkmm-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/gtkmm-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/gtkmm-%{ver}/

# devhelp path fix
sed -i 's:doc/gtkmm-%{ver}:gtk-doc/html/gtkmm-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/gtkmm-%{ver}/gtkmm-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtkmm-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtkmm-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
#{_libdir}/*.la
#{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/gtkmm-*
%{_libdir}/gdkmm-*
%{_libdir}/pkgconfig/*.pc

%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.2-1
- new upstream release
- add BuildRequires: mm-common, autoconf

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.0-1
- new upstream release
- change BuildRequires: atkmm-devel instead of atk-devel

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.20.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.3-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.0-1
- new upstream release

* Mon Oct  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-1
- new upstream release

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1
- new upstream release
- dropped Patch0

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.1-1vl5
- new upstream release
- added --disable-static to %%configure
- added Patch0 for devhelp path fix
- spec in UTF-8

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.7-1vl5
- new upstream release
- devel documents are installed into gtk-doc dir

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.10-0vl1
- new upstream release
- rebuild with new environment/toolchain

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.9-0vl1
- new upstream release
- added Requires/BuildRequires for cairomm

* Tue Jan  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.10-0vl1
- new upstream release

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.9-0vl1
- new upstream release

* Sat Aug 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.8-0vl2
- rebuilt with glibmm-2.12.0, pango-1.14.0, atk-1.12.1

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.8-0vl1
- new upstream release

* Mon May 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.7-0vl1
- new upstream release

* Tue Apr 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.5-0vl1
- new upstream release

* Sat Feb  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upstream release

* Sat Nov 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Tue Sep 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-0vl1
- new upstream release

* Wed Aug 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.4-0vl2
- rebuild with libsigc++ 2.0.16, libtool 1.5.18
- added Requires: pkgconfig
- added Requires: glibmm-devel to devel package

* Sun Jul 31 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.4-0vl1
- new upstream release

* Tue May 03 2005 Satoshi MACHINO <machino@vinelinux.org> 2.6.2-0vl1
- new upstream release
- changed Copylight to License

* Sat Apr  2 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.1-0vl1
- new upstream release
- updated dependancy

* Sun Feb 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.11-0vl1
- new upstream release

* Sat Dec 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.8-0vl1
- new upstream release

* Sun Nov 14 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.7-0vl1
- new upstream release
- fixed libraries dependancy
- added Japanese summary

* Tue Dec 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.8-1vl1
- rebuild for Vine Linux
- based on Freshrpms

* Thu Nov 12 2003 Matthias Saou <http://freshrpms.net/> - 2.2.8-1.fr
- Update to 2.2.8.
- Added devhelp book.
- Rebuild for Fedora Core 1.

* Tue Jul 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.5.

* Fri May 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.3.

* Thu May 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.2.

* Sun May  4 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release based on the gtkmm 1.x spec file.
