Summary: GtkSpell provides on-the-fly spell checking for GtkTextView widgets.
Name: gtkspell
Version: 2.0.16
Release: 2%{?_dist_release}
License: GPL
Group: System Environment/Libraries
URL: http://gtkspell.sourceforge.net/
Source0: http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: aspell-devel, gtk2-devel, gtk-doc, enchant-devel
BuildRequires: gettext

%description
GtkSpell provides word-processor-style highlighting and replacement of 
misspelled words in a GtkTextView widget as you type. Right-clicking a 
misspelled word pops up a menu of suggested replacements.

%package devel
Summary: Development files for GtkSpell.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: aspell-devel,gtk2-devel, enchant-devel

%description devel
The gtkspell-devel package provides header files and static libraries
for developing applications which use GtkSpell.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README AUTHORS COPYING
%{_libdir}/libgtkspell.so.0*

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gtkspell
#{_libdir}/libgtkspell.a
%{_libdir}/libgtkspell.so
%{_libdir}/pkgconfig/gtkspell-2.0.pc
%{_includedir}/gtkspell-2.0

%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.0.16-2
- rebuilt with rpm-4.8.1 for pkg-config

* Thu Nov 19 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.0.16-1
- new upstream version.

* Mon Aug 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.15-2
- add BR: enchant-devel
- add R: enchant-devel to -devel

* Sat May 16 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.15-1
- applied new versioning policy
- new upstream release
- removed static library

* Sat Oct  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.11-0vl1
- rebuild for Vine Linux

* Wed Mar 16 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.7-3
- rebuild with GCC 4

* Mon Aug 30 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.7-2
- rerun ldconfig upon uninstall; thanks to Matthias Saou (#131277)

* Mon Aug 23 2004 Warren Togami <wtogami@redhat.com> - 2.0.7-1
- 2.0.7 should fix more i18n stuff

* Sat Aug 21 2004 Warren Togami <wtogami@redhat.com> - 2.0.6-3
- nosnilmot informed us about broken i18n fixed in upstream CVS

* Fri Jul 30 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig symlink into rpm

* Fri Jul  2 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.6-1
- 2.0.6; added find_lang; updated description

* Mon Jun 21 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.4-6
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 15 2003 Matt Wilson <msw@redhat.com> 2.0.4-3
- added BuildRequires: gtk-doc (#111107)
- added Requires: gtk2-devel for gtkspell-devel subpackage (#111139)

* Mon Sep 29 2003 Matt Wilson <msw@redhat.com> 2.0.4-2
- add aspell-devel to gtkspell-devel as a requirement (#105944,
  #104562)

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 2.0.4-1
- Initial build.


