Name:           guile-lib
Version:        0.1.6
Release:        1%{?_dist_release}
Summary:        A repository of useful code written in Guile Scheme
Summary(ja):	Guile Scheme で書かれた便利なコード集

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://home.gna.org/guile-lib
Source0:        http://download.gna.org/guile-lib/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  guile-devel
Requires:       guile

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Guile-Lib is intended as an accumulation place for pure-scheme
Guile modules, allowing for people to cooperate integrating
their generic Guile modules into a coherent library.
Think "a down-scaled, limited-scope CPAN for Guile".


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} CPPROG="cp -p" install

#Remove unneeded file
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/guile-library.info.gz %{_infodir}/dir || :

%preun
if [ "$1" = 0 ] ; then
       /sbin/install-info --delete %{_infodir}/guile-library.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_datadir}/guile/site/*.scm
%{_datadir}/guile/site/io
%{_datadir}/guile/site/os
%{_datadir}/guile/site/text
%{_datadir}/guile/site/term
%{_datadir}/guile/site/srfi
%{_datadir}/guile/site/math
%{_datadir}/guile/site/sxml
%{_datadir}/guile/site/graph
%{_datadir}/guile/site/search
%{_datadir}/guile/site/string
%{_datadir}/guile/site/texinfo
%{_datadir}/guile/site/logging
%{_datadir}/guile/site/scheme
%{_datadir}/guile/site/config
%{_datadir}/guile/site/container
%{_datadir}/guile/site/debugging
%{_infodir}/*.info.gz

%changelog
* Mon Jan 12 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.6-1
- initial build for Vine Linux based on fedora development

* Tue Jan 01 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.6-1
- Updated Release.

* Wed Aug 01 2007 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.4-4
- Managed Timestamp.
- Added guile as Requires.

* Wed Aug 01 2007 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.4-3
- additional fix.

* Tue Jul 31 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.4-2
- minor fixes to make gwave work.

* Sun Jul 22 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.1.4-1
- Initial RPM release.
