Summary:        A GPS multiplexing daemon

Name:           gypsy
Version:        0.6
Release:        2%{?_dist_release}

Group:          System Environment/Libraries
# See LICENSE file for details
License:        LGPLv2 and GPLv2
URL:            http://gypsy.freedesktop.org/
Source0:        http://gypsy.freedesktop.org/gypsy-releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bluez-libs-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: libxslt

Requires: dbus

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to 
access GPS data from multiple GPS sources concurrently. 

%package devel
Summary: Development package for gypsy
Summary(ja): Development package for gypsy
Group: Development/Libraries
Requires: gypsy = %{version}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Header files for development with gypsy.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libgypsy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.lib LICENSE
%{_sysconfdir}/dbus-1/system.d/Gypsy.conf
%{_datadir}/dbus-1/services/org.freedesktop.Gypsy.service
%{_libexecdir}/gypsy-daemon
%{_libdir}/libgypsy.so.0
%{_libdir}/libgypsy.so.0.0.0

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gypsy/
%dir %{_datadir}/gtk-doc/html/gypsy/
%doc %{_datadir}/gtk-doc/html/gypsy/*
%{_libdir}/pkgconfig/gypsy.pc
%{_includedir}/gypsy/*
%{_libdir}/libgypsy.so

%changelog
* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.6-2
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Feb 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-1
- initial build for Vine Linux

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-6
- Add gtk-doc build req

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-5
- Rebuild

* Thu Sep 11 2008 - Bastien Nocera <bnocera@redhat.com> 0.6-4
- Rebuild

* Mon May 15 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-3
- Further spec file cleanups

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-2
- Some spec file cleanups

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.6-1
- Initial package
