Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.6.19
Release: 4%{?_dist_release}
License: GPLv2
Group: Applications/System
URL: https://fedorahosted.org/hal-cups-utils
# Add "?format=raw" to the following URL to download file:
Source: https://fedorahosted.org/hal-cups-utils/attachment/wiki/ProjectReleases/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: dbus-devel >= 0.60
BuildRequires: hal-devel >= 0.5.0
BuildRequires: dbus-devel >= 0.90
BuildRequires: dbus-glib-devel >= 0.70
BuildRequires: cups-devel
Requires: hal >= 0.5.0
Requires: dbus >= 0.90
Requires: cups
Requires: system-config-printer-libs >= 1.0.3

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend

%prep
%setup -q

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/hal_lpadmin
/usr/lib/cups/backend/hal
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi

%changelog
* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.6.19-4
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Tim Waugh <twaugh@redhat.com> 0.6.19-1
- 0.6.19.

* Fri Oct 24 2008 Tim Waugh <twaugh@redhat.com> 0.6.17-4
- Don't fail due to missing usb Python module (bug #468408).

* Wed Oct 22 2008 Tim Waugh <twaugh@redhat.com> 0.6.17-3
- Added patch from git to prevent traceback (bug #468010).

* Thu Oct 16 2008 Tim Waugh <twaugh@redhat.com> 0.6.17-2
- Don't log a traceback if sys.exit() is called (bug #466485).

* Mon Jul  7 2008 Tim Waugh <twaugh@redhat.com> 0.6.17-1
- 0.6.17.  Requires system-config-printer-libs >= 1.0.3.

* Fri Apr  4 2008 Tim Waugh <twaugh@redhat.com> 0.6.16-3
- Applied patch from upstream to use only the device URI to see if the
  printer has been configured already, and to make the queue name unique.

* Tue Mar 25 2008 Tim Waugh <twaugh@redhat.com> 0.6.16-1
- 0.6.16:
  - Some bugs concerning automatic printer enabling/disabling have been
    fixed.

* Thu Mar 20 2008 Tim Waugh <twaugh@redhat.com> 0.6.15-2
- Use RPM_OPT_FLAGS.

* Wed Feb 27 2008 Tim Waugh <twaugh@redhat.com> 0.6.15-1
- 0.6.15:
  - CUPS backend improvements, mainly for the sake of being a better
    example external CUPS backend.

* Tue Feb 12 2008 Tim Waugh <twaugh@redhat.com> 0.6.14-1
- 0.6.14:
  - Build command lines more carefully.
  - Only provide one notification for multi-function devices.
  - Better support for HP printers.

* Fri Sep 14 2007 Tim Waugh <twaugh@redhat.com> 0.6.13-1
- 0.6.13:
  - Enable/disable fix.
  - Speed improvements.

* Wed Aug 29 2007 Tim Waugh <twaugh@redhat.com> 0.6.12-3
- More specific license tag.
- Better buildroot tag.

* Mon Aug  6 2007 Tim Waugh <twaugh@redhat.com> 0.6.12-2
- Don't use IEEE 1284 DES field for device description: make/model strings
  are better.

* Fri Aug  3 2007 Tim Waugh <twaugh@redhat.com> 0.6.12-1
- 0.6.12:
  - Improvements from Till Kamppeter:
    o Updated configure method to use CUPS directly
    o Don't use full path in fdi file
    o Disable disconnected printers
    o Set up fax queues for multi-function devices
    o Use HPLIP even for HP devices with no serial number
    o Fixed generation of usb: URIs

* Thu Jun 14 2007 Tim Waugh <twaugh@redhat.com> 0.6.11-2
- Bumped system-config-printer-libs requirement to make sure that the PPDs
  class is available.
- Removed explicit build dependency on cups; it's cups-devel we need.

* Thu Jun 14 2007 Tim Waugh <twaugh@redhat.com> 0.6.11-1
- 0.6.11:
  - Fixed libhal API usage (bug #243165).
  - Use new PPDs class from system-config-printer to match Device IDs.

* Wed May 30 2007 Tim Waugh <twaugh@redhat.com> 0.6.10-1
- 0.6.10:
  - Use new D-Bus interface, NewPrinterNotification.

* Thu May  3 2007 Tim Waugh <twaugh@redhat.com> 0.6.9-1
- 0.6.9:
  - Reverted hal backend printer state management and paper-out detection
    for the moment.

* Thu Apr 26 2007 Tim Waugh <twaugh@redhat.com> 0.6.8-1
- 0.6.8:
  - Several hal backend fixes (retry when device not connected,
    printer state management, paper-out detection).
  - Small hal_lpadmin fix for traceback.

* Wed Apr 25 2007 Tim Waugh <twaugh@redhat.com> 0.6.7-1
- 0.6.7:
  - Use usb: URI scheme when possible (bug #236720).

* Wed Apr  4 2007 Tim Waugh <twaugh@redhat.com> 0.6.6-1
- Prevent a traceback in hal_lpadmin (bug #232733).

* Mon Jan  8 2007 Tim Waugh <twaugh@redhat.com> 0.6.5-1
- Requires system-config-printer >= 0.7.46.
- 0.6.5:
  - Set PPD page size before adding printer (bug #221841).

* Thu Jan  4 2007 Tim Waugh <twaugh@redhat.com> 0.6.4-1
- 0.6.4:
  - Don't enable/disable existing printers.

* Tue Jan  2 2007 Tim Waugh <twaugh@redhat.com> 0.6.3-1
- 0.6.3:
  - Put PPD NickName in info line instead of just 'Added by HAL'.
  - Don't add/remove new printer if one already exists with a matching URI.

* Sun Dec 17 2006 Tim Waugh <twaugh@redhat.com>
- Use 'hp:' URIs when appropriate (bug #175555).
- Added syslogging to hal_lpadmin.

* Thu Nov  9 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-7
- IEEE 1284 Device ID in CUPS backend (bug #214755).

* Wed Nov  8 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-6
- Use printer.commandset when matching printers (bug #214180).
- Fixed HAL printer interface API name (bug #214598).

* Mon Sep 11 2006 Florian Festi <ffesti@redhat.com> - 0.6.2-4
- changed dbus URI from org/freedesktop/ to com/redhat/ to fit eggcups

* Tue Aug  1 2006 Tim Waugh <twaugh@redhat.com> - 0.6.2-3
- Fixed hal_lpadmin's CUPS URI (bug #200682).

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.6.2-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.2-1.1
- rebuild

* Mon Jun 19 2006 Florian Festi <ffesti@redhat.com> - 0.6.2-1
- bump to 0.6.2 (move hal_lpadmin to /usr/libexec to cope with hal weirdness)

* Fri Jun 09 2006 Florian Festi <ffesti@redhat.com> - 0.6.1-1
- bump to 0.6.1 (fixed hal policy file)
- added dummy init script for cups-config-daemon to fix the postun
  script of the 0.5.5 version

* Fri Jun 06 2006 Florian Festi <ffesti@redhat.com> - 0.6.0-1
- new implementation which obsoletes the cups-config-daemon

* Tue Mar 28 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5-2
- Make sure backends install into /usr/lib and not /usr/lib64 

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.5.5-1
- New version, which makes sure we build the daemon with PIE

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.5.4-2.1
- rebuilt

* Tue Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-2
- rebuild for new dbus

* Tue Nov 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-1
- New version that fixes a couple of crashes and makes sure we 
  HUP cupsd

* Fri Mar 18 2005 Warren Togami <wtogami@redhat.com. - 0.5.3-3
- minor spec tweaks

* Mon Mar 07 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Add a build reqiures and requires for dbus >= 0.31
- Rebuild with HAL 0.5.0 and D-BUS 0.31
- Add hal fdi file to match printers to the hal_lpadmin callout

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Integrate patches and make 0.5.3 release

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-11
- Added get_udi_from_env patch which gets the UDI of the printer
  from the UDI env variable set by hal if the UDI is not given on 
  the command line
- Made sure fdi file installs in correct place and executes hal_lpadmin
  correctly
- changed the check if printer code to check string lists now

* Tue Mar 1 2005 Ray Strode <rstrode@redhat.com> - 0.5.2-10.newdbusapi.1
- install fdi file instead of hal callout files

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-10
- Added hal api and dbus api patch
- Don't restart if not already running in post

* Tue Feb 22 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-9
- For some reason -8 was never built into rawhide.  Bumping the 
  release to 9 and rebuilding for smooth upgrade from fc3

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

