Summary: Device information files for HAL
Summary(ja): HAL 用のデバイス情報ファイル
Name: hal-info
Version: 20091130
Release: 3%{?_dist_release}
License: AFL or GPLv2
Group: System Environment/Libraries
URL: http://www.freedesktop.org/Software/hal
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2

# OLPC
Source10: 30-keymap-olpc.fdi
# TrackPoint wheel settings
SOURCE11: 30-trackpoint.fdi


Patch10: hal-info-20091130-add-devices.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: hal >= 0.5.10
BuildRequires: hal-devel >= 0.5.10

%description 
The hal-info package contains various device information files (also
known as .fdi files) for the hal package.


%prep
%setup -q
%patch10 -p1 -b .add-devices

%build
%configure \
  --enable-killswitch-dell-wlan=no \
  --enable-killswitch-dell-bluetooth=no \
  --enable-killswitch-dell-wwan=no

%install
make install DESTDIR=$RPM_BUILD_ROOT

# OLPC keys FDI file
install -D -m 0644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/30-keymap-olpc.fdi
# TrackPoint wheel
install -D -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/30-trackpoint.fdi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_datadir}/hal/fdi/information/10freedesktop/*.fdi
%{_datadir}/hal/fdi/preprobe/10osvendor/*.fdi


%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 20091130-3
- rebuilt with rpm-4.8.1-3

* Mon Feb 15 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 20091130-2
- add ONDA ZTE MF636 modem

* Fri Feb 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 20091130-1
- update to 20091130
- disable Dell native rf killswitches
- update Patch10 to support D02NE

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090716-1
- update to 20090716
- add Patch11 to probe emobile mode as cdma modem.

* Thu Jul 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090414-1
- update to 20090414
- add Patch1 to support Media key on DELL USB keyboard.
- add 30-keymap-olpc.fdi for OLPC keymap
- add 30-trackpoint.fdi for TrackPoint wheel settings

* Fri Mar 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090309-1
- update to 20090309

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20081013-1
- update to 20081013

* Mon Aug 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 20080607-1
- update to 20080607
- add bmobile modem card to 10-modem,fdi

* Fri Jun 27 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.og> 20080508-1
- updated to 20080508

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20070618-0vl1
- source as of 20070618

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 20070425-0vl1
- initial build for Vine Linux

* Tue Apr 17 2007 David Zeuthen <davidz@redhat.com> - 20070402-1
- Initial build.
