%define name hardinfo
%define version 0.5.1
%define release 2%{?_dist_release}

Summary: Displays information about your hardware and operating system
Summary(ja): ハードウェア情報を表示するアプリケーション
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://download.berlios.de/hardinfo/%{name}-%{version}.tar.bz2
Patch: hardinfo-0.5.1-computer.patch
Patch1: hardinfo-0.4.2.3-report-eucjp.patch
License: GPLv2
Group: Applications/System
URL: http://hardinfo.berlios.de/

BuildRequires: gtk2-devel >= 2.6
Requires: pciutils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
HardInfo is a small application that displays information about your
hardware and operating system. Currently it knows about PCI, ISA PnP,
USB, IDE, SCSI, Serial and parallel port devices.

%description -l ja
HardInfo はハードウェアと OS の情報を表示する小さなアプリケーションです．
PCI, ISA PnP, USB, IDE, SCSI, シリアル/パラレルポートデバイスに対応しています．

%prep
%setup

%patch -p1 -b .vine

%if %{?_dist_release} == "vl4"
%patch1 -p1 -b .vine
%endif

%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g' Makefile.in

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%files
%defattr(-, root, root, 0755)
%doc LICENSE
%{_bindir}/hardinfo
%{_datadir}/applications/hardinfo.desktop
%{_datadir}/hardinfo/
%{_libdir}/hardinfo/


%changelog
* Tue Apr 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.5.1-2
- rebuilt

* Sat May 02 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5.1-1
- new upstream release

* Sat Dec 13 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.2.3-2
- fixed typo in spec

* Sun Sep 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.2.3-1
- apply new versioning policy 
- spec in utf-8
- for only Vine 4.x, apply hardinfo-0.4.2.3-report-eucjp.patch

* Thu Feb 14 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.2.3-0vl3
- add hardinfo-0.4.2.3-report-eucjp.patch

* Wed Feb 6 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.4.2.3-0vl2
- rebuild for VineSeed
- add hardinfo-0.4.2.3-computer.patch to check /etc/vine-release

* Sat Dec 29 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.4.2.3-0vl1
- source update

* Sat Aug 11 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.4.2.2-0vl1
- initial build for Vine Linux 4.1

* Sat Jul 21 2007 Dag Wieers <dag@wieers.com> - 0.4.2.2-1 - 5272+/dag
- Updated to release 0.4.2.2.

* Sun Apr 15 2007 Dag Wieers <dag@wieers.com> - 0.4.2.1-1
- Updated to release 0.4.2.1.

* Wed Apr 04 2007 Dag Wieers <dag@wieers.com> - 0.4.2-1
- Updated to release 0.4.2.

* Tue Jun 20 2006 Dag Wieers <dag@wieers.com> - 0.4.1-1
- Updated to release 0.4.1.

* Thu Feb 02 2006 Dag Wieers <dag@wieers.com> - 0.4-1
- Updated to release 0.4.

* Fri Oct 31 2003 Dag Wieers <dag@wieers.com> - 0.3.6-0
- Updated to release 0.3.6.

* Tue Jun 24 2003 Dag Wieers <dag@wieers.com> - 0.3.5-0
- Updated to release 0.3.5.

* Mon Jun 23 2003 Dag Wieers <dag@wieers.com> - 0.3.4-0
- Updated to release 0.3.4.

* Sat Jun 21 2003 Dag Wieers <dag@wieers.com> - 0.3.3-0
- Initial package. (using DAR)
