%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf

Summary:        LaTeX to HTML translator
Summary(ja):    LaTeXをHTMLに変換
Name:           hevea
Version:        1.10
Release:        1%{?_dist_release}
License:        QPL
Group:          Applications/Publishing
URL:            http://hevea.inria.fr/
Source:         http://hevea.inria.fr/distri/hevea-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Vendor:         Project Vine
Distribution:   Vine Linux

%if %{?_dist_release} == "vl5"
BuildRequires:	tetex
%endif
%if %{?_dist_release} >= "vl6"
BuildRequires:	texlive-common
%endif
BuildRequires:  ocaml >= 3.0.7
%if %{?_dist_release} == "vl5"
Requires:	tetex
%endif
%if %{?_dist_release} >= "vl6"
Requires:	texlive-common
%endif
Requires:       netpbm-progs ghostscript

%description
HEVEA is a quite complete and fast LATEX to HTML translator.
HEVEA renders symbols by using the so-called HTML "entites", which
modern browsers display correctly most of the time.

%description -l ja
HEVEA は LaTeX を HTML に変換するプログラムです．


%prep
%setup -q

# Set our default paths
%__sed -i -e "s#\(BINDIR=\).*#\\1%{_bindir}#; \
       s#\(LIBDIR=\).*#\\1%{_datadir}/%{name}#; \
       s#\(LATEXLIBDIR=\).*#\\1%{texmf}/tex/latex/hevea#; \
       s#\(DESTDIR=\).*#\\1%{buildroot}#; \
       " config.sh

%build
%__make %{?_smp_mflags} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/hevea \
	BINDIR=%{_bindir} \
	LATEXLIBDIR=%{texmf}/tex/latex/hevea

%install
%__rm -rf %{buildroot}
%__make install \
	DESTDIR=%{buildroot} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/hevea \
	BINDIR=%{_bindir} \
	LATEXLIBDIR=%{texmf}/tex/latex/hevea
 
%clean
%__rm -rf $RPM_BUILD_ROOT

%post   -p %{_bindir}/texhash
%postun -p %{_bindir}/texhash

%files
%defattr(-,root,root,-)
%doc README CHANGES LICENSE
%{_bindir}/*
%{_datadir}/hevea
%{texmf}/tex/latex/hevea/


%changelog
* Sat Feb  4 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.10-1
- update to 1.10

* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.08-2
- TeX Live 2009

* Sat Aug 30 2008 Shu KONNO <owa@bg.wakwak.com> 1.08-1vl5
- applied new versioning policy, spec in utf-8
- fixed scripts about library path

* Thu Aug  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt for VineSeed (4.0)

* Thu May 19 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 1.08 with much modification of spec

* Tue Feb 15 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux 3.0

