Summary:	HP Printer Drivers
Summary(ja):	HP プリンタ用のドライバ
Name:		hpijs
Version:	3.9.4b
Release: 	1%{?_dist_release}
Source0:	hplip-%{version}.tar.gz
License:	BSD
Group:		Applications/Publishing
URL:		http://hplip.sourceforge.net/

Requires:	ghostscript
BuildRequires:	python-devel >= 2.3
BuildRequires:	net-snmp-devel
BuildRoot:	%{_tmppath}/hplip-%{version}-root

Packager:	kazutaka

%description
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C and PhotoSmart 100 series.

%description -l ja
hpijs は HP プリンタ用に最適化したドライバ集です。
hpijs がサポートしているプリンタは
DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C および PhotoSmart 100 シリーズです。


%prep
%setup -q -n hplip-%{version}


%build
%configure --enable-hpijs-only-build \
           --disable-hpcups-install \
           --disable-doc-build \
           --disable-fax-build \
           --disable-cups-drv-install \
           --disable-cups-ppd-install \
           --disable-foomatic-ppd-install \
           --disable-foomatic-drv-install 

%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# move documents.
%{__mkdir} ${RPM_BUILD_ROOT}/%{_datadir}/doc/%{name}-%{version}
%{__mv} ${RPM_BUILD_ROOT}/%{_datadir}/doc/hplip-%{version}/* ${RPM_BUILD_ROOT}/%{_datadir}/doc/%{name}-%{version}

# remove ppd files (configure option ignored...)
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/ppd

# remove unpacked file
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/cups/filter/hpcups


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}/*
%{_bindir}/hpijs

%changelog
* Thu Jul 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.9.4b-1
- initial build for Vine Linux
- switch source of hpijs from ghostscript to hplip
