Summary(ja): HTTP プロトコル上に接続をトンネル化するプログラム
Name: httptunnel
Version: 3.3
Release: 1%{?_dist_release}
Summary: Tunnelizes connection via http
License: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.nocrew.org/pub/nocrew/unix/%{name}-%{version}.tar.gz
URL: http://www.nocrew.org/software/httptunnel.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libtool, autoconf, automake, gcc

%description
httptunnel creates a bidirectional virtual data path tunnelled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so
desired. This can be useful for users behind restrictive firewalls. If
WWW access is allowed through a HTTP proxy, it's possible to use
httptunnel and, say, telnet or PPP to connect to a computer outside
the firewall.

httptunnel is written and maintained by Lars Brinkhoff. See the file
AUTHORS for more information about contributors to this package.

%description -l ja
httptunnel は、HTTP プロトコル上にトンネル化された双方向の仮想データ・
パスを作成します。HTTP リクエストは、設定により HTTP Proxy 経由で送出
することができます。この機能は、制限の厳しいファイアウォールの内側に
いるユーザに役立ちます。もし、WWW へのアクセスが HTTP Proxy 経由で許
可されるならば、ファイアウォールの外側のコンピュータと接続する為に 
httptunnel を用いて telnet や PPP による接続を行うことが出来ます。

httptunnel は Lars Brinkhoff によって、作成・メンテナンスされています。
このパッケージへの貢献者に関する情報は AUTHORS ファイルを見て下さい。

%prep
%setup -q

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog DISCLAIMER FAQ HACKING INSTALL NEWS README TODO doc/*.txt 
%attr(755,root,root) %{_bindir}/htc
%attr(755,root,root) %{_bindir}/hts
%{_mandir}/man1/*

%changelog
* Sat Oct 25 2008 Shu KONNO <owa@bg.wakwak.com> 3.3-1vl5
- applied new versioning policy, spec in utf-8

* Thu Apr 29 2004 Satoshi MACHINO <machino@vinelinux.org> 3.3-0vl2
- fixed spec file
- build by new toolchain

* Mon Mar 25 2002 Satoshi MACHINO <machino@vinelinux.org> 3.3-0vl1
- updated httptunnel-3.3

* Thu Sep 06 2001 Toru Sagami <sagami@vinelinux.org>
- 3.2-0vl2: was ported to VineSeedPlus with better macros

* Fri Dec 15 2000 KAJIKI Yoshihiro <kajiki@ylug.org> [3.2-0vl2]
- correct char-code mistake of spec file

* Fri Dec 15 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- add Japanese summary and description
- build for Vine

* Thu Dec 7 2000 PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

