Summary: Detect and perform actions when an ethernet cable is (un)plugged.
Name: ifplugd
Version: 0.28
Release: 2%{_dist_release}
Source0: %{name}-%{version}.tar.gz
Source1: ifplugd.init
Patch10: ifplugd-0.28-interface.c.patch
License: GPL
Group: System Environment/Daemons
URL: http://www.stud.uni-hamburg.de/users/lennart/projects/ifplugd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}
Requires: libdaemon >= 0.5
Requires: initscripts >= 7.2.6
Buildprereq: libdaemon-devel >= 0.5, pkgconfig

Vendor: Project Vine
Distribution: Vine Linux

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%description -l ja
ifplugd はケーブルの抜き差しで ethernet device を自動的に有効・無効に
する Linux の daemon です。
この機能は ethernet device を内蔵している laptop のマシンで有用です。

%prep
%setup -q
%patch10 -p1

# patching Makefile / man page
cd man
perl -p -i -e 's@/usr/local@@' *.[58]
cd ..

%build
%configure --disable-lynx --disable-xmltoman --disable-subversion
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# replace init scirpt
rm -f $RPM_BUILD_ROOT/etc/init.d/ifplugd
install -d $RPM_BUILD_ROOT%{_initdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/ifplugd

# Brush docs
cp -r doc doc2
rm doc/Makefile*
rm doc/*.in
rm doc/*.SuSE

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root)
%doc LICENSE README doc/
%{_sbindir}/ifplugd
%{_sbindir}/ifplugstatus
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_initdir}/ifplugd
%config(noreplace) /etc/ifplugd/ifplugd.conf
%config(noreplace) /etc/ifplugd/ifplugd.action

%changelog
* Thu Mar 05 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-2
- spec in UTF-8

* Wed Mar 04 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-1
- new versioning policy
- add patch10 to fix header file compatibility issue
- rebuild with libdaemon 0.13

* Sun Oct 08 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl5
- drop Source10, Source11, Patch1 (These ware for Vine 3.2)
- Require initscripts >= 7.2.6

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 0.28-0vl4
- changed Group to Systen Environment/Daemons

* Sun Feb 12 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl3
- rebuild for VineSeed

* Fri Nov 18 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl2
- release for VinePlus 3.x

* Fri Nov 18 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl1
- release for VinePlus 2.x
- add requires initscripts >= 6.51-1vl26

* Wed Sep 21 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl0.3
- test release for Vine 3.2
- add patch1, ifup.ifplugd, ifdown.ifplugd for Vine 3.2
- add requires initscripts >= 6.51-1vl33.3

* Wed Aug 31 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl0.2
- upstream release for VinePlus 3.0/3.1
- add configure option (--disable-subversion)
- brush up doc files

* Wed Aug 31 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.28-0vl0.1
- upstream release for VinePlus 2.5/2.6
- add configure option (--disable-subversion)
- brush up doc files

* Thu Dec 02 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.25-0vl2
- upstream release for VinePlus 3.0/3.1

* Thu Dec 02 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.25-0vl1
- upstream release for VinePlus 2.5/2.6

* Fri Feb 27 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.22-0vl1
- upstream release
- update Requires/Buildprereq tag
- update files list (ifstatus -> ifplugstatus)
- add japanese discription

* Sun Aug 03 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.15-0vl2
- add Vendor / Distribution tag for VineLinux

* Sat Aug 02 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.15-0vl1
- updated 0.15
- change make/install method (./configure)
- add Require libdaemon / Buildprereq libdaemon-devel
- update ifplugd.init
- for Vine 2.5/6

* Sat Jun 06 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.13-0vl3
- Fix install location init script
- Fix changelog typo

* Fri Jun 05 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.13-0vl2
- Fix ifplugd init script
- Fix install location man pages

* Fri Jun 05 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.13-0vl1
- 1st build for VinePlus 2.5/2.6
- discription from ifplugd-0.13-3mdk.src.rpm. Thanx!
