Name:           image-analyzer
Version:        1.5.0
Release:        1%{?_dist_release}
Summary:        Analyze optical media (CD/DVD) images
Summary(ja):    光学メディア（CD/DVD）イメージを解析

Group:          Development/Tools
License:        GPLv2+
URL:            http://cdemu.sourceforge.net
Source0:        http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  desktop-file-utils
#BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.28
BuildRequires:  gtk3-devel >= 3.0
BuildRequires:  libmirage-devel >= 1.5.0
BuildRequires:  libxml2-devel
#BuildRequires:  intltool

Requires: gnuplot
Requires: gtk3
Requires: libmirage >= 1.5.0
Requires: libxml2

%description
Image Analyzer is a simple Gtk+ application that displays tree structure 
of disc image created by libMirage.

%description -l ja
Image Analyzer は LibMirage により作成されたディスクイメージの
ツリー構成を表示するシンプルな Gtk+ アプリケーションです。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install                                       \
  --delete-original                                        \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications            \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
update-desktop-database -q
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat May 26 2012 Toshiharu kudoh <toshi.kd2@gmail.com> - 1.5.0-1
- initial build for VineSeed
