Summary:     A GNU program for formatting C code.
Summary(ja): C のコードを整形する GNU プログラム
Name:        indent
Version:     2.2.9
Release:     5%{?_dist_release}
License:     GPL
Group:       Applications/Text
URL:         http://www.gnu.org/software/indent/
Source:      ftp://ftp.gnu.org/pub/gnu/indent-%{version}.tar.gz
Patch0:      indent-2.2.9-indent_h.patch
Prereq:      /sbin/install-info
BuildRoot:   %{_tmppath}/%{name}-%{version}-root


%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.

%description -l ja
Indent は C のコードを読みやすく整形する GNU プログラムです．Indent を
使うと，C コードのあるスタイルから別のスタイルへと返還することも出来ます．
Indent は C 文法を理解しますので，間違った C の文法を可能な限り解釈しよう
とします．

C によるアプリケーション開発を行っていて，プログラムコードを整形したい
場合には indent パッケージをインストールして下さい．


%prep
%setup -q
%patch0 -p0 -b .indent_h

%build
%configure
export PATH=$PATH:.
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir $RPM_BUILD_ROOT/usr/bin/texinfo2man \
	$RPM_BUILD_ROOT/usr/doc/indent/indent.html

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code."


%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/indent.info.gz %{_infodir}/dir --entry="* indent: (indent).                 	 Program to format source code."

fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/indent
%{_mandir}/*/*
%{_infodir}/*


%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 2.2.9-5
- rebuilt with rpm-4.8.1-3

* Tue Sep 09 2008 Shu KONNO <owa@bg.wakwak.com> 2.2.9-4vl5
- applied new versioning policy, spec in utf-8
- added indent-2.2.9-indent_h.patch

* Fri Mar 17 2006 Shu KONNO <owa@bg.wakwak.com> 2.2.9-3vl2
- rebuilt for x86_64 architecture

* Mon Jul 28 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.9-3vl1
- rebuild with new toolchains
- based on Redhat Rawhide 2.2.9-3

* Mon Jun 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.2.6-1vl2
- Oops the spec was in Shift_JIS. Fixed.

* Wed May 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.2.6-1vl1
- rebuilt for Vine Linux

* Sun Nov 19 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.2.6

* Fri Jul 21 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 08 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%configure, %%makeinstall, %%{_infodir}, %%{_mandir} 
  and %%{_tmppath}
- don't use %%{_prefix}

* Wed May 10 2000 Trond Eivind Glomsr <teg@redhat.com>
- added URL
- remove manual stripping


* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed

* Thu Jan 20 2000 Bill Nottingham <notting@redhat.com>
- 2.2.5

* Mon Jul 26 1999 Bill Nottingham <notting@redhat.com>
- 2.2.0

* Fri Jul 16 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.1

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.0.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- use install-info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
