Summary: Network monitoring tools including ping.
Summary(ja): ping 等のネットワークモニタツール集
Name: iputils
Version: 20101006
Release: 1%{?_dist_release}
License: BSD
Group: System Environment/Daemons
URL: http://www.skbuff.net/iputils
Source0: http://www.skbuff.net/iputils//%{name}-s%{version}.tar.bz2
Source1: ifenslave.tar.gz
Source3: rdisc.initd
Source5: rdisc.sysconfig

Patch0: iputils-20020927-rh.patch
Patch1: iputils-20020124-countermeasures.patch
Patch2: iputils-20020927-addrcache.patch
Patch3: iputils-20020927-ping-subint.patch
Patch4: iputils-ping_cleanup.patch
Patch5: iputils-ifenslave.patch
Patch6: iputils-20070202-idn.patch
Patch7: iputils-20070202-traffic_class.patch
Patch8: iputils-20070202-ia64_align.patch
Patch9: iputils-20071127-warnings.patch
Patch10: iputils-20071127-corr_type.patch
Patch11: iputils-20071127-infiniband.patch
Patch12: iputils-20100418-convtoint.patch
Patch13: iputils-20100418-flowlabel.patch
Patch14: iputils-20101006-drop_caps.patch
Patch15: iputils-20101006-unused.patch
Patch16: iputils-20101006-man.patch

# Vine Source(s)/Patch(es)
Source10: iputils-s20101006-ja.po
Patch100: iputils-s20101006-gettext.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: docbook-utils perl-SGMLSpm
BuildRequires: glibc-kernheaders >= 2.4-8.19
BuildRequires: libidn-devel
BuildRequires: openssl-devel
BuildRequires: libcap-devel
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

%description
The iputils package contains basic utilities for monitoring a network,
including ping. The ping command sends a series of ICMP protocol
ECHO_REQUEST packets to a specified network host to discover whether
the target machine is alive and receiving network traffic.

%prep
%setup -q -a 1 -n %{name}-s%{version}

%patch0 -p1 -b .rh
%patch1 -p1 -b .countermeasures
%patch2 -p1 -b .addrcache
%patch3 -p1 -b .ping-subint
%patch4 -p1 -b .cleanup
%patch5 -p1 -b .addr
%patch6 -p1 -b .idn
%patch7 -p1 -b .traffic_class
%patch8 -p1 -b .ia64_align
%patch9 -p1 -b .warnings
%patch10 -p1 -b .corr_type
%patch11 -p1 -b .infiniband
%patch12 -p1 -b .convtoint
%patch13 -p1 -b .flowlabel
%patch14 -p1 -b .drop_caps
%patch15 -p1 -b .unused
%patch16 -p1 -b .man

#
%patch100 -p1 -b .gettext

# add ja.po
cp %{SOURCE10} po/ja.po

%build
%ifarch s390 s390x
export CFLAGS="$RPM_OPT_FLAGS -fPIE"
%else
export CFLAGS="$RPM_OPT_FLAGS -fpie"
%endif
export LDFLAGS="-pie"
make %{?_smp_mflags} arping clockdiff ping ping6 rdisc tracepath tracepath6 po
gcc -Wall $RPM_OPT_FLAGS ifenslave.c -o ifenslave
make -C doc man
make -C po

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

install -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
install -cp arping		${RPM_BUILD_ROOT}/sbin/
ln -s /sbin/arping		${RPM_BUILD_ROOT}%{_sbindir}/arping
install -cp ping		${RPM_BUILD_ROOT}/bin/
install -cp ifenslave		${RPM_BUILD_ROOT}/sbin/
install -cp rdisc		${RPM_BUILD_ROOT}/sbin/
install -cp ping6		${RPM_BUILD_ROOT}/bin/
install -cp tracepath		${RPM_BUILD_ROOT}/bin/
install -cp tracepath6		${RPM_BUILD_ROOT}/bin/

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -sf /bin/ping6 ${RPM_BUILD_ROOT}%{_sbindir}
ln -sf /bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}
ln -sf /bin/tracepath6 ${RPM_BUILD_ROOT}%{_sbindir}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -cp doc/clockdiff.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/arping.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/rdisc.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/tracepath.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp ifenslave.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
ln -s ping.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8.gz
ln -s tracepath.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/tracepath6.8.gz

install -dp ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 755 -p %SOURCE3 ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/rdisc
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rdisc

make -C po install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
/sbin/chkconfig --add rdisc

%preun
if [ $1 = 0 ]; then
   service rdisc stop >/dev/null 2>&1
   /sbin/chkconfig --del rdisc
fi 

%postun
if [ "$1" -ge "1" ]; then
    service rdisc restart >/dev/null 2>&1 || :
fi


%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)
%doc RELNOTES README.bonding
%{_sbindir}/clockdiff
/sbin/arping
%{_sbindir}/arping
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
/sbin/rdisc
%attr(4755,root,root) /bin/ping6
/bin/tracepath
/bin/tracepath6
%{_sbindir}/ping6
%{_sbindir}/tracepath
%{_sbindir}/tracepath6
%attr(0644,root,root) %{_mandir}/man8/*
%{_sysconfdir}/rc.d/init.d/rdisc
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/rdisc

%changelog
* Tue Apr 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 20101006-1
- new upstream release
- merget with fedora/20101006-8
- update gettext patch and ja.po

* Fri Apr 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20071127-2
- rebuild to add sign..

* Wed Apr 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20071127-1
- new upstream release
- spec in utf-8

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 20020927-41vl1
- remove traceroute6 that is now provided by traceroute package.
- merge changes from FC

* Sat Jul 31 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 20020927-13vl2
- ppc patch (Patch110) removed (it's no necessary now)

* Thu Mar  4 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 20020927-13vl1
- update to 20020927 merged with 20020927-13
- update i18n patch, ja.po
  * Thu Oct 02 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-12
  - Fixed unaligned access problem on ia64 (#101417)
  * Wed Sep 10 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-11
  - Dont use own headers, use glibc and kernheaders.
  * Thu Sep 04 2003 Bill Nottingham <notting@redhat.com> 20020927-10
  - fix build with new glibc-kernheaders
  * Wed Sep 03 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-9
  - Start icmp_seq from 0 instead of 1 (Conform with debian and Solaris #100609).
  * Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-8
  - One more update to ifenslave.c
  * Mon Jun 16 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-7
  - Updated ifenslave.c and README.bonding to latest version.
  * Thu May 15 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-5
  - Bumped release and rebuilt
  * Thu May 15 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-4
  - Fixed DNS lookup problems (#68212).
  - Added warning if binding problem failed on subinterface (#81640).
  * Tue May 13 2003 Phil Knirsch <pknirsch@redhat.com> 20020927-3
  - Removed bonding tarball and replaced it with ifenslave.c and README
  - FHS compliance for all tools, now to be found in /bin with compat symlinks to
    old places.
  * Fri Nov 29 2002 Phil Knirsch <pknirsch@redhat.com> 20020927-1
  - Updated to latest upstream version.
  * Tue Jun 18 2002 Phil Knirsch <pknirsch@redhat.com> 20020124-7
  - Added new BuildPreReqs for docbook-utils and perl-SGMLSpm (#66661)
  - Fixed ipv6 error printing problem (#66659).
  * Tue May 21 2002 Phil Knirsch <pknirsch@redhat.com>
  - Added a patch to activate the rdisc server (#64270).
  - Display the countermeasures warning only in verbose (#55236)
  * Thu Apr 18 2002 Bill Nottingham <notting@redhat.com>
  - quit trying to build HTML versions of the man pages
  * Thu Mar 14 2002 Phil Knirsch <pknirsch@redhat.com>
  - Added fix by Tom "spot" Callaway to fix buffer overflow problems in stats.
  * Wed Feb 27 2002 Phil Knirsch <pknirsch@redhat.com>
  - Update to iputils-ss020124.

* Sat Feb 09 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 20001110-7vl2
- changed Patch110 to have clear_bit() within the ipv6 source for ppc

* Sun Jan 27 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 20001110-7vl1
- based on 20001110-7 from Rawhide
- merged Vine changes from 20001010-1vl4
  --- Mon Jul 16 2001 <sagami@vinelinux.org>
    - 20001010-1vl4 
    - use %%{find_lang} to fix so as not to own locale dir

  --- Thu Jun 07 2001 <sagami@vinelinux.org>
    - 20001010-1vl3: rebuilt for %%{_mandir}

  --- Fri Oct 27 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
    - 20001010-1vl2
    - remove ping6 for ppc
    - added Japanese summary and description

  --- Thu Oct 26 2000 Jun Nishii <jun@vinelinux.org>
    - added ja.po and nls patch

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Aug 27 2001 Philipp Knirsch <pknirsch@redhat.de> 20001110-6
- Fixed buffer overflow problem in traceroute6.c (#51135)

* Mon Jul 01 2001 Philipp Knirsch <pknirsch@redhat.de>
- Made ping6 and traceroute6 setuid (safe as they drop it VERY early) (#46769)

* Thu Jun 28 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed ping statistics overflow bug (#43801)

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a bunch of compiler warnings (#37131)
- Fixed wrong exit code for no packets and deadline (#40323)
- Moved arping to /sbin from /usr/sbin due to ifup call (#45785). Symlink from
  /usr/sbin/ provided for backwards compatibility.

* Mon Apr 30 2001 Preston Brown <pbrown@redhat.com>
- install in.rdisc.8c as rdisc.8

* Tue Jan 16 2001 Jeff Johnson <jbj@redhat.com>
- update to ss001110
- doco fixes (#23844).

* Sun Oct  8 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001007.

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- fix spelling mistake (#15714).

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- turn on -U on machines without TSC (#15223).

* Tue Aug  1 2000 Jeff Johnson <jbj@redhat.com>
- better doco patch (#15050).

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
