Summary: Firmware for the Intel PRO/Wireless 3945 Driver
Summary(ja): Intel PRO/Wireless 3945 ドライバ用のファームウェア
Name: ipw3945-firmware
Version: 1.14.2
Release: 1%{?_dist_release}
License: distributable
Group: System Environment/Kernel
URL: http://bughost.org/ipw3945/
Source0: http://bughost.org/ipw3945/ucode/ipw3945-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>

%description
The file ipw3945.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG
Network Connection Adapater driver for Linux (ipw3945) to be able to
operate on your system.

On adapter initialization, and at varying times during the uptime of
the adapter, the microcode is loaded into the RAM on the network
adapter.  The microcode provides the low level MAC features including
radio control and high precision timing events (backoff, transmit,
etc.) while also providing varying levels of packet filtering which
can be used to keep the host from having to handle packets that are
not of interest given the current operating mode of the device.

%prep
%setup -q -n ipw3945-ucode-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode  %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 1.14.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Apr 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.14.2-0vl1
- initial build for Vine Linux based on ATrpms package

* Mon Jan  8 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.14.2-3
- Update to 1.14.2.

* Fri Mar 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
