Summary: Utilities for configuring ISA Plug-and-Play (PnP) devices.
Summary(ja): ISA Plug-and-Play (PnP) ǥХ桼ƥƥ
Name: isapnptools
%define pversion 1.22
Version: %{pversion}
Release: 2vl3
License: GPL
Group: System Environment/Base
Source: ftp://ftp.demon.co.uk/pub/unix/linux/utils/isapnptools-%{pversion}.tgz
Patch: isapnptools-makefile.patch
Patch2: isapnptools-glibc21.patch
Patch3: isapnptools-spell.patch
ExclusiveArch: %{ix86} alpha
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The isapnptools package contains utilities for configuring ISA
Plug-and-Play (PnP) cards which are in compliance with the PnP ISA
Specification Version 1.0a.  ISA PnP cards use registers instead of
jumpers for setting the board address and interrupt assignments.  The
cards also contain descriptions of the resources which need to be
allocated.  The BIOS on your system, or isapnptools, uses a protocol
described in the specification to find all of the PnP boards and
allocate the resources so that none of them conflict.

Note that the BIOS doesn't do a very good job of allocating resources.
So isapnptools is suitable for all systems, whether or not they
include a PnP BIOS. In fact, a PnP BIOS adds some complications.  A
PnP BIOS may already activate some cards so that the drivers can find
them.  Then these tools can unconfigure them or change their settings,
causing all sorts of nasty effects. If you have PnP network cards that
already work, you should read through the documentation files very
carefully before you use isapnptools.

Install isapnptools if you need utilities for configuring ISA PnP
cards.

%prep
%setup -n isapnptools-%{pversion}

%patch -p1
%patch2 -p1 -b .glibc21
%patch3 -p1 -b .spell

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
sed -e "s/^\([^#]\)/#\1/" < isapnp.gone > isapnp.tmp
%ifarch alpha
sed -e "s/#IRQ 7/IRQ 7/" < isapnp.tmp > isapnp.tmp2
mv -f isapnp.tmp2 isapnp.tmp
%endif 
mv -f isapnp.tmp isapnp.gone

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/sbin,%{_mandir}/man5,%{_mandir}/man8,/etc}
make installprefix=$RPM_BUILD_ROOT/ installdir=$RPM_BUILD_ROOT \
	INSTALLMANDIR=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.ide README.initrd README.modules
%doc isapnpfaq.txt isapnp.conf isapnp.lsm
%doc config-scripts/YMH0021
%config(missingok) %attr(0644,root,root) /etc/isapnp.gone
/sbin/*
/usr/lib/*
%{_mandir}/*/*

%changelog
* Fri Sep 19 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22-2vl3
- rebuild with new toolchains
- s/Copyright/License/

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 1.22-2vl2: use %%{ix86} for ExclusiveArch instead of i386

* Sun Jun 10 2001 <sagami@vinelinux.org>
- 1.22-2vl1: rebuilt for Vine and added Japanese summary

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- 1.22

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- 1.21b

* Fri Dec 17 1999 Bill Nottingham <notting@redhat.com>
- 1.21a

* Mon Dec 13 1999 Bill Nottingham <notting@redhat.com>
- oops, forgot a changelog last time.
- update to 1.21

* Fri Nov 19 1999 Bill Nottingham <notting@redhat.com>
- fix some spellings (#7082)

* Sun Oct 17 1999 Bill Nottingham <notting@redhat.com>
- update to 1.19
- remove %post

* Sat Sep 25 1999 Bill Nottingham <notting@redhat.com>
- add another patch to hopefully solve lockups.

* Thu Sep 23 1999 Bill Nottingham <notting@redhat.com>
- add patch to hopefully solve lockups.

* Fri Jun 25 1999 Bill Nottingham <notting@redhat.com>
- add another patch from maintainer for resource checking

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- add patch to hopefully solve some IO conflict probs.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 16 1999 Bill Nottingham <notting@redhat.com>
- update to version 1.18

* Wed Nov 11 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.17

* Mon Nov  2 1998 Bill Nottingham <notting@redhat.com>
- add /etc/isapnp.gone
- default to not using IRQ 7 on alpha

* Mon Oct 12 1998 Bill Nottingham <notting@redhat.com>
- update to version 1.16

* Mon Oct  5 1998 Bill Nottingham <notting@redhat.com>
- add %post to twiddle readport of old /etc/isapnp.conf files

* Thu Sep 24 1998 Bill Nottingham <notting@redhat.com>
- fixed spec file so it rebuild cleanly

* Fri Aug 07 1998 Bill Nottingham <notting@redhat.com>
- added patch to bump to 1.15a

* Tue Aug 04 1998 Bill Nottingham <notting@redhat.com>
- updated to version 1.15

* Fri Oct 03 1997 Michael Fulbright <msf@redhat.com>
- added code to avoid probing in IO port ranges in /proc/ioports

* Fri Aug 22 1997 Mike Wangsmo <wanger@redhat.com>
- Built against glibc

* Thu Jul 17 1997 Timo Karjalainen <timok@iki.fi>
- Updated to version 1.11
- Added RPM_OPT_FLAGS
- Uses BuildRoot

