%define iwl5000_v1         5.4.A.11
%define iwl5000_v2         8.24.2.12
%define iwl5000_v5         8.83.5.1
%define iwl5000_list       %{iwl5000_v1} %{iwl5000_v2} %{iwl5000_v5}

Summary: Microcode for the Intel PRO/Wireless 5000 A/G/N network adaptors
Summary(ja): Intel PRO/Wireless 5000 A/G/N ドライバ用マイクロコード
Name: iwlwifi-5000-ucode
Version: %{iwl5000_v5}
Release: 1%{?_dist_release}
License: distributable, no modification permitted
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/

Source0: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v1}.tar.gz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v2}.tgz
Source2: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v5}-1.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
This package contains the firmware required by the iwlwifi/iwlagn
driver for Linux.

%prep
%setup -c -q
%setup -c -q -D -T -a 1 -a 2

pushd iwlwifi-5000-ucode-%{version}
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode
# Rename docs
mv LICENSE.iwlwifi-5000-ucode ../LICENSE
mv README.iwlwifi-5000-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
for f in %{iwl5000_list} ; do
 pushd iwlwifi-5000-ucode-$f
  install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
 popd
done


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*.ucode

%changelog
* Thu Apr 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.83.5.1-1
- add iwlwifi-5000-3.ucode (8.83.5.1-1)

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 8.24.2.12-1
- add iwlwifi-5000-2.ucode (8.24.2.12)

* Tue Dec 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 5.4.A.11-1
- initial build

