# Basic Information
Name:		jhbuild
Version:	3.4.0
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/Development
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.4/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	JHBuild is a tool designed to ease building collections of source packages, called "modules".
Summary(ja):	JHBuild はモジュールと呼ばれるソースパッケージの集合を簡単にビルドするために設計されたツールです 

# Dependency
Requires:	python
BuildRequires:	python
BuildRequires:	docbook-style-xsl
BuildRequires:	gnome-doc-utils
BuildRequires:	itstool

# Description
%description
JHBuild is a tool designed to ease building collections of source packages,
called "modules". JHBuild uses "module set" files to describe the modules
available to build. The "module set" files include dependency information
that allows JHBuild to discover what modules need to be built and in what
order.

%description -l ja
JHBuild は「モジュール(modules)」と呼ばれる、ソース パッケージのあつまりを、
簡単にビルドできるように作られたツールです。JHBuild はビルドできるモジュール
の記述に、「モジュール セット(module set)」 というファイルを使います。「モジ
ュール セット」ファイルには、JHBuild があるモジュールをビルドするのに、何を
必要としているかを見つけるための、依存関係の情報が含まれています。

# Scripts
%prep
%setup -q

%build
%configure --enable-doc-installation=yes
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# Files
%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_datadir}/applications/jhbuild.desktop
%{_datadir}/jhbuild
%{_bindir}/install-check
%{_bindir}/jhbuild
%{python_sitelib}/jhbuild

# ChangeLog
%changelog
* Mon Jul 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- add BuildRequires: itstool

* Sat Apr 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.4-1
- initial build for Vine Linux
