%define name jpilot
%define version 0.99.9
%define pilot_link_version 0.11.7
Name:		%{name}
Summary:	Palm pilot desktop for Linux
Summary(ja):	Palm Desktop の Linux版
Version:	%{version}
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Communications
URL:		http://www.jpilot.org/
Source:		http://wwww.jpilot.org/%{name}-%{version}.tar.gz
Patch:		jpilot.jp.patch
Patch1:		jpilot-0.99.4-usbinfo.patch.bz2
Patch2:		jpilot-0.99.1u-plugins-improvement.patch.bz2
BuildPreReq:	gettext, gtk2-devel >= 2.0.3
BuildPreReq:	pilot-link-devel >= %{pilot_link_version}
BuildPreReq:	openssl-devel, ImageMagick
Requires:	pilot-link >= %{pilot_link_version}, gtk2 >= 2.0.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

%description -l ja
J-Pilot は Linux と UNIX で使用できる Palm handheld device 用の連携ソフト
です。このソフトは Palm 社が Windows 向けに提供しているものと同様の機能を
備えています。

%prep
%setup -q
#%patch -p0
#%patch1 -p1
%patch2 -p1

%build
%configure --enable-stock-buttons FORCE_PILOT_LIBS=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# copy icon pixmap.
%__install -d -m 755 ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
%__install -m644 %{_builddir}/%{name}-%{version}/icons/jpilot-icon4.xpm ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/jpilot.xpm

%find_lang %{name}

# clean documentation done by makefile itself.
#rm -rf %{buildroot}/usr/doc

perl -p -i -e 's|%{buildroot}||' %{buildroot}/%{_libdir}/*la

mkdir -p %{buildroot}/%{_includedir}
install -m 644 {libplugin,prefs}.h %{buildroot}%{_includedir}/

## remove unuse files
rm -rf %{buildroot}%{_libdir}/*.la


#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%doc docs/manual.html docs/jpilot-*.png docs/jpilot-*.jpg
%doc docs/plugin.html
%{_bindir}/*
%{_datadir}/jpilot/jpilotrc.*
%{_datadir}/jpilot/*.pdb
%{_datadir}/applications/jpilot.desktop
%{_datadir}/pixmaps/jpilot.xpm
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/*.so
#%{_libdir}/*.la
%{_includedir}/*.h

%changelog
* Mon Sep 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.99.9-1vl5
- applied new versioning policy, spec in utf-8
- added FORCE_PILOT_LIBS to %%configure
- removed *.la

* Sat Sep 02 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.99.9-0vl1
- source update
- unset --enable-gtk2 option (now gtk2 build is default).

* Wed Nov 26 2005 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.99.8-0vl1
- source update
- add japanese translation.
- update Source URI.
- change configure option.
  (build with gtk2 and use gtk stock icons on buttons.)
- change Requires and BuildPreReq. (gtk1 to gtk2)
- comment out unnecessary step in %%install section.
- use %%find_lang macro in %%install section.(also %%files section)
- add %%{_datadir}/applications/jpilot.desktop in %%file section.
- build for VineSeed Plus.
- add icon pixmap.

* Mon Mar 25 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.99.5-0vl1
- source update

* Tue Feb 18 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.99.4-0vl1
- source update and synced with 0.99.4-1mdk

  * Thu Jan 16 2003 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.4-1mdk
  - patch and documentations files updated.
  - removed ldconfig from %%post and %%postun.
  - use provided icons by project and convert them to png on the fly.
  - fixed headers in a true include directory.
  - 0.99.4 and pilot-link-0.11.6.

  * Tue Oct 15 2002 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.3-1mdk
  - 0.99.3 and pilot-link-0.11.5.

  * Thu Aug 08 2002 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.2-5mdk
  - rebuild with pilot-link-0.11.3.

  * Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.2-4mdk
  - BuildRequires

  * Wed Jul 17 2002 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.2-3mdk
  - rebuild with pilot-link-0.11.0.
  - more strict requires from jpilot-plugin-devel to jpilot.

  * Thu Jun 13 2002 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.2-2mdk
  - rebuild with pilot-link-0.10.99.
  - added missing requires for devel package.
  - moved some files in devel package.

  * Tue May 28 2002 Fran輟is Pons <fpons@mandrakesoft.com> 0.99.2-1mdk
  - add patch to fix directory creation right.
  - 0.99.2.

  * Mon Jan 28 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.9mdk
  - Upgrade to latest snapshot.

  * Tue Jan 15 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.8mdk
  - Add Jason Day contributed code from pre to get jpilot-syncmal works.

  * Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.7mdk
  - Upgrade to latest snapshot.

  * Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.6mdk
  - Last dated snapshot.
  - Fix rpmlint's.

  * Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.5mdk
  - Fix DESTDIR with makeinstall.

  * Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.4mdk
  - rpmlint fixes.

  * Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-0.3mdk
  - BuildRequires:        gtk+-devel

  * Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.2mdk
  - Fix plugins loading.

  * Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.1mdk
  - Sanitize spec file.
  - 0.99.1 pre.

  * Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99-3mdk
  - BuildRequires: pilot-link-devel

  * Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.99-2mdk
  - need prefs.h in plugins for jpilot-syncmal

  * Thu Feb 08 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 0.99-1mdk
  - new and shiny source.
  - change the URL.
  - change the URL on the source tag.
  - Don't apply patch1 anymore. (security mode 0700 fix.)
  - remove libplugin.a (can't find it anymore.)
  - when using tar use -j to pass through the bzip2 filter, not -I.

* Mon Oct 22 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.98.1-0vl3
- changed URL and Source (upstream moved)
- use RPM macros
- added Requires: pilot-link, gtk+ >= 1.2.0
- added BuildPreReq: gtk+-devel >= 1.2.0

* Wed Sep 12 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.98.1-0vl2
- added BuildPreReq: pilot-link-devel

* Sat Oct  7 2000 Jun Nishii <jun@vinelinux.org>
- 0.98.1-0vl1 based on 0.98.1-2 on the jpilot page
- build for Vine Linux 2.1
