Summary: Japanized Vim-3.0
Name: jvim
Version: 3.0j2.1b
Release: 0vl3
Group: Applications/Editors
License: freeware
URL: http://hp.vector.co.jp/authors/VA003457/vim/
Source0: http://hp.vector.co.jp/authors/VA003457/vim/vim3/orig/vim-3.0.tar.gz
Source1: http://hp.vector.co.jp/authors/VA003457/vim/vim3/2.1b/jvim.2.1b.tar.gz
Source2: jvim-alpha.sh
Source3: jvim-alpha.csh
Patch0: jvim-3.0j2.1.vine.patch
Patch1: jvim-3.0j2.1.kanjifix.patch
Obsoletes: nvi <= 3.0j2.1a-0vl1
Conflicts: vim-tiny < 6.0.68-0vl1, nvi <= 1.79_jp-18vl1
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: Canna-devel, ncurses-devel
PreReq: alternatives

%description
JVim 3.0 (Japanized Vim) is a Japanized editor based on one of 
the vi clone editors named VIM (Vi IMproved). 

%description -l ja
JVim 3.0 (Japanized Vim) ϡ vi Υǥ Vim 3.0 
ܸ첽ΤǤ

%prep
%setup -n vim -q
tar zxfv %{SOURCE1}
patch -p0 -s < jvim.diff
%patch0 -p1

%patch1 -p1

%build
make -C src CC="gcc %{optflags} -I/usr/include/ncurses" -f makjunix.mak

%install
rm -rf %{buildroot}
make -C src TARGETDIR=%{buildroot} MANLOC=%{_mandir}/man1 -f makjunix.mak install
install -p -m 644 doc/vim.hlp %{buildroot}%{_libdir}/jvim

# make link for vi
pushd %{buildroot}
  mv -f ./bin/vim ./bin/jvim
#  ln -sf vi ./bin/rvi
#  ln -sf vi ./bin/rview
popd

# make symbolic link whether or not to handle mampage compress :-)
pushd %{buildroot}%{_mandir}/man1
  mv -f vim.1 jvim.1
popd

mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/vimrc << EOF
set fepctrl                             " fepctrl for Canna
"set fepkey=\@
set nobackup
set keywordprg=man
"set keywordprg=jman
set ruler
"set compatible
set nocompatible                        " Use Vim defaults (much better!)
"set notitle
"set showmode
"set showcmd
"set ai                                 " set autoindent
set noexpandtab
"set expandtab
"set tabstop=4
"set shiftwidth=4
"set scrolloff=4
"set winheight=12
"set novisualbell
"set helpfile=%{_libdir}/jvim/vim.hlp     " English help

map gg 1G
EOF

# install /etc/profile.d/jvim.{sh,csh} to avoid a problem on alpha
%ifarch alpha
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -p -m 755 %SOURCE2 %{buildroot}%{_sysconfdir}/profile.d/jvim.sh
install -p -m 755 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/jvim.csh
%endif

%post
update-alternatives \
  --install /bin/vi      vi      /bin/jvim 15 \
  --slave   /bin/ex      ex      /bin/jvim \
  --slave   /bin/rview   rview   /bin/jvim \
  --slave   /bin/rvim    rvim    /bin/jvim \
  --slave   /bin/view    view    /bin/jvim

%triggerpostun -- jvim < 3.0j2.1a-0vl2
update-alternatives --auto vi

%preun
if [ "$1" = "0" ]
then
  update-alternatives --remove vi /bin/jvim
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc doc.j
%doc README credits.txt readme* todo uganda.txt
%config %attr(644,root,root) %{_sysconfdir}/vimrc
/bin/jvim
%{_libdir}/jvim
%{_mandir}/man1/*
%ifarch alpha
%{_sysconfdir}/profile.d/jvim*
%endif

%changelog
* Sat Feb 21 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.0j2.1b-0vl3
- rebuild

* Fri Mar 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.0j2.1b-0vl2
- rebuild with glibc-2.3.1-51vl2

* Wed Dec 19 2001 Shoji Matsumoto <shom@vinelinux.org> 3.0j2.1a-0vl4
- add patch1 (kanji filenames fix)

* Wed Nov 07 2001 akira yamada <akira@vinelinux.org> 3.0j2.1a-0vl3
- added triggerpostun for jvim (< 3.0j2.1a-0vl2).

* Mon Nov 05 2001 akira yamada <akira@vinelinux.org> 3.0j2.1a-0vl2
- alternatives for /bin/vi
- applied -I/usr/include/ncurses for gcc.

* Tue May 08 2001 <sagami@vinelinux.org>
- 3.0j2.1a-0vl1: updated to Version 3.0-j2.1a 

* Wed Apr 18 2001 <sagami@vinelinux.org>
- updated to jvim-3.0j2.1-0vl1

* Mon Feb 05 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- eliminate vim synlink to avoid conflict with Vim-5.x
- make it to be a static

* Thu Jan 11 2001 Tomoya TAKA <tomoya@olive.plala.or.jp> 3.0j2.0a-0vl6
- partially used rpmmacros
- rebuild with ncurses >= 5.0

* Thu Nov 16 2000 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 3.0j2.0a-0vl5
- fixed /etc/profile.d/jvim.{sh,csh} for alpha

* Fri Nov  3 2000 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 3.0j2.0a-0vl4
- added /etc/profile.d/jvim.{sh,csh} to avoid 'handle keystrokes in batches'
  problem on alpha (see http://www.alphalinux.org/faq/FAQ-1.html#ss1.2 )

* Thu Jul 27 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- correct COPYRIGHT

* Tue Jul 25 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- create /bin/ex
- Conflicts: nvi -> Obsoletes: nvi

* Wed Jul 10 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- Jvim 2.0a
- make /bin/vi for Vine 2.x
- rewrite SPEC :-)

* Wed Dec 08 1999 Lisa Sagami <czs14350@nifty.ne.jp>
- Jvim 1.8a 
- based on LASER5 Linux 6.0 updates

* Tue Oct 27 1999 Laser5 <develop@laser5.co.jp>
- Patch0 URL Typo fixed

* Mon Oct 18 1999 Laser5 <develop@laser5.co.jp>
- for Laser5 Linux 6.X
