Summary: A text-based interface for setting and loading a keyboard map.
Summary(ja): キーボードマップの設定・読込みを行うテキストベースのインターフェース。
Name: kbdconfig
Version: 1.9.8
Release: 6%{?_dist_release}
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/kbdconfig-%{version}-root

BuildPreReq: newt-devel, findutils
Requires: kbd >= 1.12

Source: kbdconfig-%{version}.tar.gz
Source1: kbdconfig-1.9.8.ja.po
Source2: kbdconfig.8
Patch10: kbdconfig-1.9.8.vine2.patch
Patch11: kbdconfig-1.9.8-checkbox.patch

Vendor: Project Vine
Distribution: Vine Linux

%description
The kbdconfig utility is a terminal mode program which provides a
simple interface for setting the keyboard map for your system.  You
need keyboard maps to use any keyboard other than the US default
keyboard. Kbdconfig will load the selected keymap before exiting and
configure your machine to use that keymap automatically after
rebooting.

You should install kbdconfig if you need a utility for changing your
keyboard map.

%description -l ja
kbdconfig ユーティリティはシステムにキーボードマップをセットするための
ターミナルモードのプログラムです。キーボードマップは US キーボード
の他のキーボードを使用するときに必要です。kbdconfig は終了する前に
選択されたキーマップをロードし、リブード後自動的にキーマップを使用する
よう PC を設定します。

キーボードマップを変更するユーティリティが必要なときは kbdonfig を
インストールしてください。

%prep
%setup -q
%patch10 -p1
%patch11 -p1

#copy ja.po
cp %SOURCE1 po/ja.po

# keymaps are now in /lib/kbd
find . -type f | xargs sed -i -e 's|/usr/lib/kbd|/lib/kbd|g'

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make INSTROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/ja/man8/
cp %SOURCE2 $RPM_BUILD_ROOT/%{_mandir}/ja/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/kbdconfig
%{_mandir}/man?/*
%{_mandir}/ja/man?/*
%{_localedir}/*/LC_MESSAGES/kbdconfig.mo

%changelog
* Tue Aug 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.8-6
- rebuild with newt-0.52

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.9.8-5vl5
- applied new versioning policy, spec in utf-8

* Tue May 22 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9.8-5vl4
- rebuilt with new toolchain
- change the path to keymaps to starting /lib/kbd/
  this change was due to console-tools -> kbd in VineSeed

* Sat Jan  7 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9.8-5vl3
- added BuildPreReq: newt-devel
- updated Patch10 (ppc on kernel >= 2.6 now use pc keymaps)

* Thu Jun 28 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp>
- 1.9.8-5vl2
- change checkbox color

* Fri Jan 19 2001 Jun Nishii <jun@vinelinux.org>
- 1.9.8-5vl1

* Mon Jan 15 2001 Bill Nottingham <notting@redhat.com>
- translate copyright message (#23740)

* Fri Jan 12 2001 Trond Eivind Glomsr <teg@redhat.com>
- use %%lang

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Sun Aug 20 2000 Matt Wilson <msw@redhat.com>
- new translations

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- change copyright date

* Wed Aug 09 2000 Trond Eivind Glomsr <teg@redhat.com>
- i18n merge
- use %%{_tmppath}
- use %%defattr
- include translated man pages

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Oct  6 1999 Jakub Jelinek <jakub@redhat.com>
- fix serial console check on SPARC, remove
  /etc/sysconfig/keyboard and console/default.kmap
  if on serial console.

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- save keymap to /etc/sysconfig/console, if available

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sat Feb 27 1999 Matt Wilson <msw@redhat.com>
- synced with UltraPenguin to add support for console-tools

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40
 
* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish message catalog

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- look in qwertz directory as well

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove path checks from keyboard map processing.
- add sparc support.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added --back
- built against newt 0.30

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added i18n support
- added --back option
- added man page
- buildrooted spec file

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added patch to replace alloca() with malloc()

* Tue Nov  4 1997 Michael Fulbrght <msf@redhat.com>
- changed to handle .map and .map.gz files properly
