%define pamservice kde
%define gdmsession kde.desktop
%define vine5 %(grep -c 5. /etc/vine-release)
%define make_cvs 1

Name: kdebase3
Version: 3.5.10
Release: 3%{?_dist_release}
Summary: KDE 3 core files
Summary(ja): KDE 3 基本ファイル

Group: User Interface/Desktops
License: GPLv2
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdebase-%{version}.tar.bz2
Source1: konsole.desktop

Source2: kdebase-kde.desktop
Source4: kde-vine-config-20020805.tar.bz2
Source5: desktopconv.tar.bz2
Source6: wizard_small.png
Source7: mailsettings.cc
Source8: read_Xresources

Source9: cr16-app-package_games_kids.png
Source10: cr32-app-package_games_kids.png
Source11: cr48-app-package_games_kids.png

Patch1: kdebase-3.5.9-redhat-startkde.patch
Patch2: kdebase-3.3.92-vroot.patch
Patch3: kdebase-3.x-shortcuts.patch
Patch4: kdebase-3.2.0-keymap.patch
Patch5: kdebase-3.1-startpage.patch
Patch6: kdebase-3.1.3-konsole-double-esc.patch
Patch7: kdebase-3.3.92-kpersonalizer.patch
Patch8: kdebase-3.2.92-logo.patch 
Patch10: kdebase-3.4.2-kdesktop-konsole.patch
Patch11: kdebase-3.5.1-xdg.patch
Patch13: kdebase-3.5.5-dbus.patch
Patch14: kdebase-3.5.1-kdm-readme.patch
Patch15: kdebase-3.5.1-konsole-fonts.patch
Patch18: kdebase-3.5.2-kconf_update-klipper.patch
Patch20: kdebase-3.5.5-keyinit.patch
Patch21: kdebase-3.5.3-khelpcenter-sort.patch
Patch22: kdebase-3.5.4-htdig.patch
Patch24: kdebase-3.5.4-tango-icon-theme.patch
Patch25: kdebase-3.5.4-konqueror-shortcut.patch
Patch26: kdebase-3.5.5-suspend.patch
Patch27: kdebase-3.5.8-consolekit-kdm.patch
Patch28: kdebase-3.5.6-kdm-alternatebackground.patch
Patch30: kdebase-3.5.7-kio_media_mounthelper.patch
# kdebase: "Root Shell" sessions will not close, http://bugzilla.redhat.com/301841
Patch31: kdebase-3.5.10-konsolesu-kdesu.patch
# modified version of kubuntu_9915_userdiskmount.diff
# fixes NTFS (#378041) and adds PolicyKit support (#428212)
Patch36: kdebase-3.5.9-userdiskmount.patch
# don't link kcm_colors against libkrdb (and don't call runRdb)
Patch37: kdebase-3.5.10-libkrdb_dep.patch
# http://aseigo.blogspot.com/2008/10/dear-kde3-kdesktop-users.html
Patch100: kdebase-3.5.10-minicli-decimal-comma.patch
Patch101: kdebase-3.5.10-ossl-1.x.patch
Patch102: arts-acinclude.patch

# security fixes

# Vine patches (700-)
Patch703: kdebase-3.5.5-pamd.patch
Patch705: konsole-3.5.8-final.diff
Patch706: kdebase-3.5.8-fix_ftbfs_ucred_redefinition.patch
# KDE.gr.jp patches (800-)

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: pam-devel
BuildRequires: gettext
BuildRequires: perl
BuildRequires: sed
%if %{make_cvs}
BuildRequires: automake libtool
%endif
BuildRequires: pkgconfig
BuildRequires: doxygen

BuildRequires: arts-devel
BuildRequires: dbus-devel dbus-qt3-devel hal-devel
BuildRequires: bzip2-devel
BuildRequires: freetype2-devel
BuildRequires: openldap-devel 
BuildRequires: cyrus-sasl-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libraw1394-devel
BuildRequires: libusb-devel
BuildRequires: OpenEXR-devel
BuildRequires: gtk2-devel
%if %{?_dist_release} == "vl4"
BuildRequires: samba-libsmbclient-devel >= 3.0.4 
BuildRequires: XOrg-devel XOrg-gl-devel
%else
BuildRequires: libsmbclient-devel >= 3.0.4 
## X11 support details (xmkmf, bdftopcf)
BuildRequires: xorg-x11-font-utils
BuildRequires: imake
BuildRequires: xorg-x11-proto-devel
BuildRequires: libfontenc-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXdamage-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXfixes-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libxkbfile-devel
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
%endif
BuildRequires: cdparanoia cdparanoia-devel

Requires: qt >= 3.3.2
Requires: kdelibs3 >= %{version}
Requires: libxml2 >= 2.4.12 
Requires: coreutils audiofile gdbm openldap cyrus-sasl
Requires: hicolor-icon-theme
%ifarch %{ix86} x86_64 ia64 ppc ppc64
Requires: pm-utils
%endif

%if %{?_dist_release} == "vl4"
Requires: XOrg-libs XOrg-xfs xinitrc 
Requires: samba-libsmbclient
Prereq: XOrg-font-utils
%else
Requires: xorg-x11-xinit
Requires(post): xorg-x11-font-utils
%endif

Obsoletes: kdpms kapm kapmd kcmlaptop
Obsoletes: kdebase < %{version}-%{release}
Provides: kdebase = %{version}-%{release}

%description
Core runtime files for KDE 3, for compatibility with KDE 3 applications.


%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs3-devel
Provides: kdebase-devel = %{version}-%{release}
Obsoletes: kdebase-devel < %{version}-%{release}

%description devel
Header files for developing applications using kdebase.
Install kdebase-devel if you want to develop or compile Konqueror,
Kate plugins or KWin styles.

%prep
%setup -q -n kdebase-%{version}
%patch1 -p1 -b .redhat-startkde
%patch2 -p1 -b .vroot
%patch3 -p1 -b .shortcuts
%patch4 -p1 -b .keymap
%patch5 -p1
%patch6 -p1 -b .konsole
%patch7 -p1 -b .kper
%patch8 -p1 -b .logo
%patch10 -p1 -b .kdestop-konsole
%patch11 -p1 -b .xdg
%patch13 -p1 -b .dbus
%patch14 -p1 -b .kdm-readme
%patch15 -p1 -b .konsole-fonts
%patch18 -p1 -b .klipper
%patch20 -p1 -b .keyinit
%patch21 -p1 -b .khelpcenter-sort
%patch22 -p1 -b .htdig
%patch24 -p1 -b .tango-icon-theme
%patch25 -p1 -b .konqueror-shortcut
%patch26 -p1 -b .suspend
%patch27 -p1 -b .consolekit
%patch28 -p1 -b .kdm-alternatebackground
%patch30 -p1 -b .bz#265801
%patch31 -p1 -b .konsolesu-kdesu
%patch36 -p1 -b .userdiskmount
%patch37 -p1 -b .libkrdb_dep
%patch100 -p1 -b .minicli-decimal-comma
%patch101 -p1 -b .ossl-1.x
%patch102 -p1 -b .autoconf

# Vine patches
%patch703 -p1 -b .pamd
%patch705 -p0
%patch706 -p1 -b .ucred

#tar xjf %{SOURCE100}
#%patch100 -p0 -b .toc
#%patch101 -p1 -b .build

# security fixes

# hacks to omit stuff that doesn't support DO_NOT_COMPILE
# colors is pending on http://bugzilla.redhat.com/443343
sed -i.omit -e 's|^FONTINST_SUBDIR=kfontinst|#FONTINST_SUBDIR=kfontinst|' \
  -e 's/background//' -e 's/clock//' -e 's/display//' -e 's/energy//' \
  -e 's/fonts//' -e 's/icons//' \
  -e 's/kdm//' -e 's/kicker//' -e 's/krdb//' -e 's/kthememanager//' \
  -e 's/locale//' \
  -e 's/screensaver//' -e 's/style//' -e 's/taskbar//' -e 's/xinerama//' \
  kcontrol/Makefile.am

cp %{SOURCE1} konsole
# set Konqueror version
perl -pi -e "s,^#define.*KONQUEROR_VERSION.*,#define KONQUEROR_VERSION \"%{version}-%{release} Vine Linux\"," konqueror/version.h

# add missing icons for package_games_kids
install -p -m644 %{SOURCE9} %{SOURCE10} %{SOURCE11} pics/crystalsvg/

%if %{make_cvs}
# hack/fix for newer automake
  sed -iautomake -e 's|automake\*1.10\*|automake\*1.1[0-5]\*|' admin/cvs.sh
  make -f admin/Makefile.common cvs
%endif

%build
# set some default enviroments
unset QTDIR || : ; . /etc/profile.d/qt.sh

export DO_NOT_COMPILE="kappfinder kdesktop kdesu klipper kdm kmenuedit kpager kpersonalizer ktip nsplugins"
export DO_NOT_COMPILE="$DO_NOT_COMPILE konqueror kscreensaver ksysguard knetattach kwin"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kdialog kicker ksplashml khelpcenter kxkb"
export DO_NOT_COMPILE="$DO_NOT_COMPILE khotkeys kdepasswd kcheckpass drkonqi"
# Keep these (kcontrol for kcms, konsole for KonsolePart, kioslave for ioslaves
# kate for kscope
# export DO_NOT_COMPILE="$DO_NOT_COMPILE kcontrol konsole kioslave kate"

%configure \
    --with-qt-libraries=$QTDIR/lib \
    --enable-new-ldflags \
    --disable-dependency-tracking \
    --with-pam=yes \
    --with-kde-pam=kdm \
    --with-kcp-pam=kcheckpass \
    --with-kss-pam=kscreensaver \
    --with-libraw1394 \
    --with-openexr \
    --with-samba \
    --with-xinerama \
    --with-xscreensaver \
    --without-shadow \
    --disable-rpath \
    --sysconfdir=%{_sysconfdir} \
    --enable-final \
    --disable-debug \
    --includedir=%{_includedir}/kde 

make %{?_smp_mflags}

# build mail setting tool
g++ $CXXFLAGS -o mailsettings %{SOURCE7}

%install
rm -rf $RPM_BUILD_ROOT
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

# Nuke man2html - we get it from man
find $RPM_BUILD_ROOT -name "man2html*" | xargs rm -rf

# nuke default kdm setup in favor of our own
rm -rf  $RPM_BUILD_ROOT%{_datadir}/config/kdm

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in */*/*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../../common $i
   fi
done
for i in */*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../common $i
   fi
done
for i in *; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done
popd

rm -f $RPM_BUILD_ROOT%{_datadir}/locale/l10n/*/flag.png
# mark KDE-Only
pushd $RPM_BUILD_ROOT%{_datadir}/applications/kde
for f in *.desktop ; do
    if [ "$f" == "konqbrowser.desktop" ] ; then
        cat $f | grep -v Categories >$f.o
        echo "Categories=Qt;KDE;Network;" >>$f.o
        mv $f.o $f
    else
        echo "OnlyShowIn=KDE;" >> $f
    fi
done
popd
for f in $(find %{buildroot}%{_datadir}/applnk -name "*.desktop") ; do
    echo "OnlyShowIn=KDE;" >> $f
done

# Own Mozilla plugin dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# exclude fonts.dir
rm -f $RPM_BUILD_ROOT%{_datadir}/fonts/override/fonts.dir

# now in kde-filesystem (see #321771)
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/.hidden/.directory

# FIXME/TODO: initial removal. Check if the simple rm breaks anything.

# remove conflicts with kdebase-workspace
pushd $RPM_BUILD_ROOT%{_bindir}
rm -f genkdmconf kaccess kappfinder kapplymousetheme kate kbookmarkmerger \
      kblankscrn.kss kcheckrunning kcminit kcminit_startup kcontroledit kdebugdialog \
      kdeinstallktheme kdepasswd kdialog kdm kdmctl keditbookmarks \
      keditfiletype kfind kfmclient kfontinst kfontview khelpcenter khc_* \
      khotkeys kinfocenter klipper \
      kmenuedit konqueror konsole krandom.kss krandrtray kreadconfig ksmserver \
      ksplashsimple kstart ksysguard ksysguardd ksystraycmd ktip ktrash kwin \
      kwin_killer_helper kwin_rules_dialog kwrite kwriteconfig kxkb \
      nspluginscan nspluginviewer startkde kdeeject kcontrol \
      krdb
popd
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ksysguarddrc
rm -f $RPM_BUILD_ROOT%{_libdir}/kconf_update_bin/khotkeys_update
rm -f $RPM_BUILD_ROOT%{_libdir}/kconf_update_bin/kwin_update_default_rules
rm -f $RPM_BUILD_ROOT%{_libdir}/kconf_update_bin/kwin_update_window_settings
rm -f $RPM_BUILD_ROOT%{_datadir}/config.kcfg/kcm_useraccount.kcfg
rm -f $RPM_BUILD_ROOT%{_datadir}/config.kcfg/keditbookmarks.kcfg
rm -f $RPM_BUILD_ROOT%{_datadir}/config.kcfg/klaunch.kcfg
rm -f $RPM_BUILD_ROOT%{_datadir}/config.kcfg/konqueror.kcfg
rm -f $RPM_BUILD_ROOT%{_datadir}/config.kcfg/kwin.kcfg
rm -f $RPM_BUILD_ROOT%{_datadir}/config/klipperrc
rm -f $RPM_BUILD_ROOT%{_datadir}/config/kshorturifilterrc
rm -f $RPM_BUILD_ROOT%{_datadir}/xsessions/kde.desktop

# dups of kde4 services
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/cookies.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/desktop.desktop

# remove mediamanager stuff #447852 and kdebug:163717
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/kded_mediamanager.*
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/kded_medianotifier.*
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/kcm_media.*
rm -f $RPM_BUILD_ROOT%{_datadir}/services/kded/mediamanager.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/services/kded/medianotifier.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/media.desktop

# remove conflicts with kdesdk
rm -f $RPM_BUILD_ROOT%{_datadir}/config/katerc

# remove docs
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/
rm -rf kate kcontrol kdebugdialog kdesu kdm kfind khelpcenter kinfocenter \
       kioslave klipper kmenuedit knetattach konqueror konsole ksysguard \
       kwrite kxkb 
popd
# remove .desktop files for apps we don't ship
pushd $RPM_BUILD_ROOT%{_datadir}/applications/kde/
rm -f Help.desktop Home.desktop Kfind.desktop installktheme.desktop \
      kappfinder.desktop kate.desktop kdepasswd.desktop kfmclient.desktop \
      kfmclient_dir.desktop kfmclient_html.desktop kfmclient_war.desktop \
      kinfocenter.desktop klipper.desktop kmenuedit.desktop \
      konqbrowser.desktop konquerorsu.desktop konsole.desktop \
      konsolesu.desktop krandrtray.desktop ksysguard.desktop ktip.desktop \
      kwrite.desktop KControl.desktop

sed -i -e "s,^OnlyShowIn=KDE;,OnlyShowIn=KDE3;," *.desktop
popd

# hicolor
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kappfinder.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kate.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/khelpcenter.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/knetattach.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kfind.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kfm.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/khotkeys.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kmenuedit.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/konqueror.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/konsole.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/ksplash.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/ktip.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/apps/kxkb.*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/en_US/
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/l10n/
rm -rf $RPM_BUILD_ROOT%{_datadir}/autostart/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/desktop-directories/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/templates/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/templates/.source/*
rm -rf $RPM_BUILD_ROOT%{_datadir}/wallpapers/*
rm -rf $RPM_BUILD_ROOT%{_libdir}/kconf_update_bin
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/kdm
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/konqueror
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/apps/kbookmark
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/ksmserver
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
rm -rf $RPM_BUILD_ROOT/etc/xdg/menus/

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/crystalsvg 2> /dev/null || :

%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg  2> /dev/null || :
update-desktop-database 2> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/crystalsvg &> /dev/null || :
  gtk-update-icon-cache -q %{_datadir}/icons/crystalsvg  &> /dev/null || :
  update-desktop-database &> /dev/null || : 
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc %{_docdir}/HTML/en/*
%{_datadir}/config.kcfg/*
%{_bindir}/kde3
%{_bindir}/kio_media_mounthelper
%{_bindir}/kio_system_documenthelper
%{_bindir}/kdcop
%{_bindir}/kdeprintfax
%{_bindir}/kjobviewer
%{_bindir}/klocaldomainurifilterhelper
%{_bindir}/kprinter
%{_datadir}/applications/*/*
%{_datadir}/apps/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*
%{_libdir}/kde3/*
%{_libdir}/libkdeinit_*.so
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la

%files devel
%defattr(-,root,root)
%{_includedir}/kde
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit_*.so

%changelog
* Sat Mar 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-3
- rebuilt with libsmbclient-3.5.8

* Sun Mar 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-2
- rebuilt with openssl-1.0.0d

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-1
- updated to 3.5.10 based on FC
- removed the static cdparanoia hack
- built with new toolchain

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-3
- fixed macros for building VineSeed

* Thu Aug 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-2
- renamed to kdebase3
- removed conflit files against KDE4

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- added Patch706 based on 77_fix_ftbfs_ucred_redefinition.diff
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520074

* Mon Dec 10 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl7
- rebuild for VineSeed

* Mon Dec 10 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl6
- add Patch1 and 2
- update Patch705

* Tue Dec  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl5
- rebuild for VineSeed

* Tue Dec  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl4
- add Patch705 (BTS:564)

* Sun Nov 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.8-0vl3
- dropped obsolete Patch704

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release
- drop Patch1 and Patch2

* Thu Sep 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- add Patch1 (CVE-2007-4224, CVE-2007-4225, CVE-2007-3820)
- add Patch2 (CVE-2007-4569)

* Wed Jul 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- build for VineSeed
- add Patch101

* Wed Jul 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1.1
- add Patch0 (SA26091)

* Sun May 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- add BuildPrereq: dbus-qt3-devel samba-libsmbclient-devel

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release
- remove Patch0
- add Requires: hicolor-icon-theme

* Wed Dec 20 2006 Hideki MIWA <miwa@c.csce.kyushu-u.ac.jp> 3.5.5-0vl5
- added: Patch704: kdebase-3.5.5-Xsession.patch

* Sat Nov 11 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl4
- updated pam.d setting
  - dropped: Patch702: kdebase-3.5.1-pam_console.diff
  - added:   Patch703: kdebase-3.5.5-pamd.patch 

* Sat Oct 14 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option
- removed --libdir=%%{_libdir} option

* Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release
- add Patch0 from kde.org (SVN commit 593835)

* Tue Sep 05 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl4
- added --libdir=%%{_libdir} configure option

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl3
- rebuilt with openldap-2.3.27-0vl1

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release
- drop Patch0

* Thu Jun 15 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl5
- rebuild for VineSeed

* Thu Jun 15 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl4
- add Patch0 (CVE-2006-2449)

* Wed Jun 14 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.5.3-0vl3
- rebuilt with gamin-devel in place of fam-devel

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Fri Apr 21 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl4
- rebuild for VineSeed

* Fri Apr 21 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl3
- remove firefox icon (BTS:33)

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- drop Patch0

* Fri Mar 17 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl5
- update Patch702 (support for ldap)
- drop Patch701

* Thu Feb 16 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl4
- rebuild for VineSeed

* Thu Feb 16 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl3
- add Patch0 (https://bugs.kde.org/show_bug.cgi?id=121087)
- add %%{_datadir}/doc/kdm/README to %%files

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- update Patch701 and BuildPrereq (VineSeed-Plus:03341)
- delete Patch0, 700, and 800

* Mon Sep 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- remove Patch0
- update %%files
- add Patch0

* Fri Sep  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl6
- rebuild for VineSeed

* Fri Sep  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl5
- add Patch702 (VineSeed-Plus:03276)

* Tue Sep  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl4
- rebuild for VineSeed

* Tue Sep  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl3
- add Patch0 (CAN-2005-2494)

* Thu Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Thu Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Thu Jun 30 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Wed Jun  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- build for Vine3.1
- use %%{?_smp_mflags} for make option
- stop using %%{SOURCE4}

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Thu Mar 10 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Wed Mar  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0-rc1)
- add BuildPrereq: gettext

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release

* Wed Jan 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed
- remove Patch0

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1
- add patch0 (http://www.kde.org/info/security/advisory-20041213-1.txt)

* Sat Oct 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl2
- add BuildPrereq: cyrus-sasl-devel ncurses-devel
- add Requires: samba-libsmbclient

* Sat Oct  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Thu Sep 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade
- remove patch0

* Mon Aug 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl3
- rebuild with qt32
- add Patch0 from kde.org

* Tue Jun 22 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- replace gdm session file

* Sat Jun  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Fri Mar 26 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- rebuild with openssl-0.9.7d

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Mon Feb  2 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade
- add BuildPrereq: libtiff-devel jasper-devel samba-libsmbclient

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Fri Dec 26 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Fri Oct  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild for Vine2.6

* Thu Oct  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- OOPS! Patch701 did not used

* Wed Sep 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- build with gcc-3.2.3

* Thu Jul 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade

* Sat Jul  5 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl5
- change spec to build with gcc295
- change make option for SMP and add script

* Thu Jun 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl4
- change spec to build with g++-2.95.3
 
* Sat May 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl3
- source upgrade (MD5SUMS = a90feb5273e9f524a2b19d9021ece7a6)

* Tue May 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- source upgrade (MD5SUMS = 4019643c77c818d96bf873c91faa9119)

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- stop using patch700 and patch800 (they do not need, maybe)
- do not install source8 (this version reads .Xresources)
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)
- add BuildPrereq: libjpeg-devel
- remove /etc/skel/.kde (they do not need)

* Thu Apr 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl1
- security release
- remove patch0, patch1 and patch2 (included in this source)

* Sun Mar 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- add patch0 (http://lists.kde.org/?l=kde-cvs&m=104766756731187&w=2)
- add patch1 and patch2
  (http://lists.kde.org/?l=kde-cvs&m=104758242610505&w=2)
- add patch701 for Xsession of kdm

* Sun Feb 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6

* Thu Jan 30 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Mon Jan 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7

* Wed Jan 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl2
- remove patches except patch1

* Sun Jan 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl1
- source upgrade to 3.1rc6
- stop using objprelink2, it does not work with gcc3
- add BuildPrereq: openMotif-devel instead of lesstif-devel
- add BuildPrereq: openssl-devel libart_lgpl-devel
- add Requires: openMotif libart_lgpl
- update and revised patches

* Sat Dec 28 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5a-0vl1
- source upgrade
- revised patch0

* Wed Oct 16 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only i386 (add %ifarch i386 ... again)

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- revised patch0

* Tue Oct  8 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl2
- rebuild with qt-3.0.5-0vl1
- BuildPrereq: autoconf253 objprelink2

* Thu Aug 22 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade
- revised patch0

* Mon Aug  5 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-0vl3
- add kio_httprc to source4 (fix Japanese search at google.co.jp)

* Wed Jul 24 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-0vl2
- rebuild with libvorbis-1.0-0vl1

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade
- revised patch0
- add source8 to read .Xresources

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- source update to 3.0.1

* Mon Apr 15 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source update to 3.0
- add patch800 from kde.gr.jp
- change source4 (default font == kochi-gothic)
- add BuildPrereq: lesstif-static

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- merged with rawhide 3.0-0.cvs20020314.4
- source update to cvs-20020329
- revised patch0, 1
- delete patch7
- add BuildPrereq: autoconf252 automake15
- There is Vine's previous changes, hacked for Vine 
  -- Sat Mar 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - source and patch upgrade to 2.2.2
  - Build with kdelibs-2.2.2-0vl1
  - add BuildPrereq: pam-devel lesstif-devel
 -- Wed Nov 28 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl3
  - Set Charset=jisx0208.1983-0
  - Build with kdelibs-2.2.1-1vl3
  - Stop runnning kappfinder and add applnk of kterm
 -- Thu Oct 18 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl2
  - Add patches from kde.gr.jp (Thanks for Mr.ASAKI)
    -- Source 4
    -- Patch  202, 203
  - Use objprelink option (i386 only)
  - Fix spec to run kappfinder
 -- Sun Oct 14 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - Update patches from kde.gr.jp

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.4
- Fix updating from KDE 2.x

* Mon Mar 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.3
- Add patches from Than to fix up menu i18n and kdm sessions
- Put back %{?_smp_mflags}

* Tue Mar 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.1
- Add patch from Than to scale down icons for submenus pointing to legacy
  applications rather than keeping them at 32x32

* Mon Mar 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020311.1
- Add patch to kicker allowing it to display just the app descriptions instead
  of names

* Fri Mar  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020301.1
- Update
- Remove separate kdm package

* Thu Feb 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020214.1
- Build --with-xinerama

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020129.1
- Manually add Provides: libkateinterfaces.so to work around rpm bug

* Sun Jan 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020120.1
- Update to get API changes
- Clean up old temp files in startkde some more

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020117.2
- Make sure the correct kdelibs is in the build environment before building
  kdebase

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020107.1
- Update, sync with kdelibs API changes

* Sat Dec 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011229.1
- Update

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011226.1
- Update
- Disable ia64 temporarily (because of bug #57833)

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011215.1
- Update
- Make kdm a separate package

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011214.1
- Update
- Exclude alpha for now (compiler bugs)

* Sun Aug  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010805.1
- Fix anti-aliased fonts
- Remove Japanese konsole patch, it breaks changing fonts in all other
  languages
- BuildRequire lesstif-devel to make sure recompiled versions of Konqueror
  support Netscape plugins
- Remove language detection hacks from startkde, they're now in kpersonalizer
- Personalize kicker in kpersonalizer
- Power off when halting the system in kdm (#50847)

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove Japanese Konsole patch, it breaks other languages (#50619)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010731.1
- Remove some patches that made it into cvs
- Fix up the Japanese patch, it messed up konsole fonts on "normal"
  languages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Fix up audiocd ioslave (#50310)
- Initialize kpersonalizer to $LANG (#50311)
- Add Japanese patch

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010725.1
- Fix error messages on first startup

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- remove ia64 workarounds
- fix default configurations
- update
- remove dupes from kdeartwork

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- rebuild after fixing the build root

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- rebuild - somehow an application got linked against an older version of
  itself from the buildroot
- update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- update
- get rid of some rpmlint warnings
- remove kappfinder (we maintain /etc/X11/applnk)
- work around ia64 breakage

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- update
- adapt patches

* Sat Jun 16 2001 Alan Eldridge <alane@geeksrus.net> 2.2-0.cvs20010616.1
- updated for current CVS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.2
- Work around NFS-mounted home directories residing on servers with
  ultimately broken OSes (#40711)
- Fix desktopconv compilation without optimizations (#40144)
- Move old config files rather than deleting them (#38107)
- Add explicit requirements on lm_sensors and kdelibs-sound (#32678)
- Fix doc generation (#40087)
- s/Copyright:/License:/

* Sun May 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Fix up default settings; KSpell should use Aspell right away
- Split out -devel subpackage; with KWin and Kate moving to plugin systems,
  this is getting big...

* Sat May 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010512.1
- Update, adapt patches
- Fix up desktop devices patch, we want the "Eject" action for CD-ROMs,
  CD-Writers, CD-RWs, ZIP and JAZ-Drives and LS120.

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2alpha1
- kill /usr/share/icons/locolor/16x16/actions/bookmark_folder.png
  (dupe from kdelibs)

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix deadkeys handling in kdm
- Fix uninitialized variable in konsole, patch
  from Tim Waugh (#34452)

* Fri Mar 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rpmfind shortcut (Bugzilla #34057, KDE Bug #21100)
- Add patch from KDE_2_1_BRANCH to get rid of debug output in
  the ktar IO slave

* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- fix a bug in desktopconv (bug #33374)

* Tue Mar 27 2001 Than Ngo <than@redhat.com>
- fix charmap/encoding problem
- fix MinimumFontSize in konqueror, default is 10
- set correct DefaultEncoding for konqueror
- clean up startkde
- disable Israel and Thai, it's broken in qt

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com>
- remove CD-ROM / Floppy .desktop files, they are generated automatically now
- remove some other old obsolete default config files

* Thu Mar 22 2001 Preston Brown <pbrown@redhat.com>
- patch to dynamically create icons for removable/user controllable 
  devices on desktop

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Log utmp/wtmp correctly in konsole, using utempter
- Remove setuid state from konsole_grantpty, it's no longer needed now
  that we use utempter.
- Fix escaping in the konsole KPart
- Fix grammar and order in the arts control module

* Tue Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Don't crash if kfmexec is invoked without arguments (#32029)
- Various desktopconv fixes:
  - Allow removing or ignoring KDE 1.x files
  - convert the printer icon we had on the desktop by default.
  - Support i18n
- Add mailsettings tool (generates sane kcmemail defaults at first
  startup)
- Fix up support for Brazil Portuguese and Chinese
- Fix loading of child panel config files (harald)
- remove -T and --title in konsole, use instead --caption (#31483) (Than Ngo)
- More i18n fixes (zh_HK is closer to zh_TW than to zh_CN...)

* Mon Mar 20 2001 Than Ngo <than@redhat.com>
- fix Login Screen Red Hat logo (Bug #32241)
- fix kdm background color
- fix a bug in setting font size (Bug #32258)

* Fri Mar 17 2001 Than Ngo <than@redhat.com> 2.1-11
- fix placed icons on desktop (Bug #31985)
- some bugfixes in startkde
- restore support for Russian (bero)
- merge bugfix patch from KDE_2_1_BRANCH, Ctrl-U could crash Konqueror
  under certain circumstances (bero)
- Fix up the effects patch (if everything was disabled, no radio button
  was checked by default, rather than the "No effects" button) (bero)

* Thu Mar 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Fix up i18n support
- Don't use predictable tmp file names in krdb
- Remove the printer icon from the desktop. It uses klpq which is in kdeutils,
  so the icon should come from there.
- fix error.c in kdebase-2.1-fixes.patch, It's broken (Than Ngo)
- better fix for konsole keyboard mappings (Preston Brown)

* Tue Mar 13 2001 Than Ngo <than@redhat.com>
- fix default profile for konqueror in webbrowser mode 
- set lucidatypewriter as fixed-width font for konqueror
  
* Mon Mar 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Fix locale settings (old versions didn't check the user's locale settings
  and always started up in English)
- Fix some braindead code in kwrite

* Sat Mar 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Add option to save backtraces to a file (#30867)
- Fix kdm looking horrible on 8 bit displays
- Revert to /usr/share/config with an exception for kdmrc
- Add /etc/skel/Desktop/.directory (the /etc/skel/Desktop/* glob doesn't include
  /etc/skel/Desktop/.* ...)
- Don't apply konsole-noxft patch anymore (workaround for an X bug
  that was fixed in 11.4)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- fix home and end default mapping in konsole

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Don't throw all config files at every user's home directory; 2.x supports
  changing global defaults
- Get rid of bogus "can't find schema named" warning
- Fix various bugs in konsole (don't connect to a NULL slot, etc.)
- Cripple kxmlrpcd by default (#23253)
- Add a sane icon arrangement at first startup (#25026)
  
* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add fixes from KDE_2_1_BRANCH:
  - Fix up cookie handling in konqueror
  - Fix a potential crash in kcontrol when using config files from
    cvs snapshots
  - Fix possible khotkeys segfault
- Fix up Konqueror User Agent dialog
- Log in to "default" session by default (#29157)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1 second (and hopefully last) respin

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin
- Drop the old anotherlevel session type in kdm (#28593)

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up konsole_grantpty to work with the /dev/pts filesystem and
  /dev/ptmx rather than the old /dev/ptyXX system
- Replace ktip logo with Red Hat logo, the old one could be considered
  offensive by some people
- Fix build with glibc 2.2.2
- Turn off icon view in kdm
- Other minor changes to default config

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- desktopconv: Don't strip off .png/.xpm/.gif in Icon= if it is
  provided as a full pathname
- Build with --disable-debug
- Fix a bug causing all icons to appear in the upper-left corner
- Don't use antialiased fonts in konsole even if they're turned on.
  Konsole can't deal with them.
- Don't show the postgres and amanda users in kdm
- Add rhbug/bz shortcut to Bugzilla
- Add ftpsearch/fs shortcut to FTP Search
- Add "Eject" option to CD-ROM icon (RFE #26301)
- Fix permissions on some files in /etc/skel/Desktop (having them readable
  by root only is not really useful ;) )
- Fix PAM exiting (#25232, Patch from Tim Waugh)
- Fix utmp handling in konsole (Bug #25048)
- Rewrite desktopconv and run it from startkde, ensures
  clean updates from KDE 1.x (Bug #25473)
- Add $HOME/bin to PATH in kdm (Bug #25743)

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Link the greeter into kdm statically, pulling in libpthreads
  Fixes crash with glibc-2.2.1-3 i686

* Fri Jan 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- exec ksmserver rather than just starting it - there's no need to keep
  that shell in memory.

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Turn off anti-aliasing by default
- Restore the turning AA on/off and "apply styles to non-KDE-apps"
  functionality, someone managed to break them just in time for
  2.1 beta 2.

* Tue Jan 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix bugs #23136 and #24709

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Kill /usr/share/icons/hicolor/22x22/actions/view_tree.png, it's in
  kdelibs
- restore missing /etc/kderc (Bug #24601)

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix update if Autostart directory exists, but is empty
- Fix usage of mktemp in startkde (#24415)

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fixed #24298, #24242)
- Hack in support for turning anti-aliasing on and off, as requested
  by Than. Unfortunately, this patch probably won't go into the base 2.1
  because of the message freeze.

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS; I fixed building with OpenLDAP 2.x in there.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kscreensaver pam file (copy the xscreensaver one, don't
  use the broken one from KDE CVS)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't replace a directory with a symlink (#23671)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix background (#20910)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdm shouldn't show gdm and mailnull users (#23136)
- don't install the konsole fonts, they're now
  included in XFree86 (#23467)
- Obsoletes kdebase2 (from 7.0-preview)
- Add config files (used to be in kdesupport) (#22601)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Obsolete kdebase-3d-screensavers, kdebase-locolor-icons,
  kapm kcmlaptop (optional stuff from KDE 1.x)

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD branch
- s/Prereq/Requires(post,postun)/

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Some fixes to startkde:
  - if /etc/skel/.kde doesn't exist, don't copy it
  - remove stale .DCOPserver* files at startup
- Rebuild with fixed kdoc

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move include files to /usr/include/kde
- Don't install any of the mini-lesstif files, we need them at
  build time only
- Fix consolehelper config for kappfinder

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed
- Get rid of the Red Hat menu, it's merged now
- Fix up the gdm session file
- Fix up kappfinder, run it through consolehelper (Bug #19903)
- Enable Netscape plugin support, add a stripped down version of lesstif
  to allow this

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix installation of fonts

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up spec file

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
