%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:        A note taking application
Summary(ja):    ノート作成アプリケーション
Name:           keepnote
Version:        0.7.8
Release:        1%{?_dist_release}
Group:          Applications/Editors
License:        GPLv2+
URL:            http://rasm.ods.org/keepnote/
Source0:        %{name}/%{name}-%{version}.tar.gz
Source1:        ja_JP.UTF8.po

Patch1:         Makefile_gettetxt.patch
Patch2:         fix_desktop.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  gtkspell-devel
BuildRequires:  desktop-file-utils
# for Japanese language file build
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       pygtk2
Requires:       gnome-python-extras
Requires:       sqlite3 >= 3.5.0

%description
KeepNote is a note taking application that works on Windows, Linux, and Mac OS X.
With KeepNote, you can store your class notes, TODO lists, research notes,
journal entries, paper outlines, etc in a simple notebook hierarchy with
rich-text formatting, images, and more. Using full-text search, you can
retrieve any note for later reference.

%description -l ja	
KeepNote は Windows、Linux、Mac OS X で動作するノート作成アプリケーションです。
KeepNote では、あなたの分類ノート、TODO リスト、研究ノート、
日記のエントリ、新聞の概略などを階層化したリッチテキストフォーマットや
画像付きなどのシンプルなノートとして保存することができます。
フルテキスト検索を使い、後で参照するために取ったメモを検索できます。

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%{__cp} -f %{SOURCE1} gettext/ja_JP.UTF8.po
make -f Makefile.gettext make LANG=ja_JP.UTF8

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

desktop-file-install --vendor="" \
     --delete-original \
     --add-category="Office;" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*



%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/keepnote.png
%{python_sitelib}/*


%changelog
* Sun Jun 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.8-1
- new upstream release
- added Requires: sqlite3 >= 3.5.0
- re-added source1

* Sat Jan 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.7-1
- new upstream release

* Wed Nov 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.6-1
- new upstream release
- added patch2 to fix desktop file

* Mon Sep 12 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.5-1
- new upstream release

* Thu Jul 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.4-1
- new upstream release

* Wed May 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.7.2-1
- new upstream release
- dropt source1
  - merged upstream

* Tue Jan 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.8-1
- new upstream release

* Tue Dec 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.7-1
- new upstream release
- re-added source1
- fixed .desktop file a little
- used python macro

* Sat Oct 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.5-1
- new upstream release
- added BuildRequires:  gettext, intltool

* Sun Aug 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-1
- new upstream release

* Wed Jul 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-1
- new upstream release
- dropt source1
  - merged upstream

* Thu May 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.2-2
- updated Source1
- fixed desktop-file-install --add-category section

* Tue Feb 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.2-1
- new upstream release
- updated Source1 and Patch1

* Sat Feb 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-2
- updated Source1

* Sun Feb 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.1-1
- new upstream release

* Sat Nov 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6-2
- added BuildRequires:  gtkspell-devel
- updated Source1

* Sat Nov 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6-1
- initial build for VineSeed

* Fri Jul 31 2009 Texstar <texstar@gmail.com> 0.5.3-1pclos2009
- create
file:///home/toshi/rpm/SOURCES/keepnote/keepnote-0.7.2/desktop/keepnote.desktop
