%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           keybinder
Version:        0.3.0
Release:        1%{?_dist_release}
Summary:        library for registering global keyboard shortcuts

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://kaizer.se/wiki/keybinder/
Source0:        http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

#BuildArch:
BuildRequires:  gtk2-devel >= 2.20
BuildRequires:  lua-devel
BuildRequires:  pygtk2-devel >= 2.12
BuildRequires:  pygobject-devel >= 2.15.3
BuildRequires:  python-devel

#Requires:       lua python


%description
keybinder is a library for registering global keyboard shortcuts.
Keybinder works with GTK-based applications using the X Window System.

%package	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing extensions for %{name}.

%package -n python-%{name}
Group:		Development/Libraries
License:	GPLv2+
Summary:	Keybinder python bindings
Summary(ja):	Keybinder の python バインディング
Requires:	%{name} = %{version}-%{release}
Requires:	pygtk2 pygobject

%description -n python-%{name}
This package contains python bindings for keybinder.

%package -n lua-%{name}
Group:		Development/Libraries
Summary:	Keybinder lua bindings
Summary(ja):	Keybinder の lua バインディング
Requires:	%{name} = %{version}-%{release}
Requires:	lua

%description -n lua-%{name}
This package contains lua bindings for keybinder.

%prep
%setup -q

%build
%configure --enable-static=no --enable-python
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/lua/5.?/%{name}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libkeybinder.so.*
%{_libdir}/girepository-1.0/Keybinder-0.0.typelib
%doc COPYING NEWS AUTHORS README

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/gir-1.0/Keybinder-0.0.gir
%{_includedir}/keybinder.h
%{_libdir}/pkgconfig/keybinder.pc
%{_libdir}/libkeybinder.so

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/%{name}
%doc COPYING

%files -n lua-%{name}
%defattr(-,root,root)
%{_libdir}/lua/5.?/keybinder.so


%changelog
* Sun Jul 15 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.0-1
- new upstream release

* Tue Feb 21 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-3
- rebuilt with python-2.7

* Fri Sep 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-2
- splitted python-keybinder, lua-keybinder
- added configure option
  - --enable-static=no --enable-python

* Sat Jul 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2
- initial build for Vine Linux

* Thu Nov 6 2010 Radek Ryckowski <radek@ebi.ac.uk> - 0.2.2
- Initial RPM release
