Summary: kinput2 is an input server for X11 applications that want Japanese text input.
Summary(ja): kinput2 / X11ץꥱѤܸϥС

Name: kinput2
Version: v3.1
Release: 0vl8
Epoch: 1
License: BSD
Group: User Interface/X

Source:  ftp://ftp.sra.co.jp/pub/x11/kinput2/kinput2-v3.1.tar.gz
Patch0:  kinput2-v3.1-beta4.conf.patch
Patch1:  kinput2-v3-nn.patch
Patch2:  kinput2.ppc.patch
# keybind patches from plamo.
Patch5:  kinput2-v3.1-canna-keybind.patch
Patch6:  kinput2-v3.1-canna-keybind2.patch

Patch10: kinput2-v3.1-app-defaults.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libcanna >= 3.6p3-0vl5 , libwnn6
BuildRequires: libcanna >= 3.6p3-0vl5 , Canna-devel >= 3.6p3-0vl5
BuildRequires: libwnn6-devel


Distribution: Vine Linux
Vendor: Project Vine
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>


%description
Kinput2 is an input server for X11 applications that want Japanese
text input.

A client that wants kana-kanji conversion service for Japanese text
sends a request to kinput2.  Kinput2 receives the request, does
kana-kanji conversion, and sends the converted text back to the
client.

%description -l ja
Kinput2 ܸƥϤɬפȤ X11 ץꥱΤ
ϥСǤ

ܸƥȤˤʴѴɬפʥ饤Ȥ kinput2 ˥ꥯ
ޤKinput2 ϤΥꥯȤꡢʴѴ򤷤ơ
饤ȤѴ줿ƥȤޤ


%prep
%setup -q -n kinput2-v3.1
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch5 -p1
%patch6 -p1

%patch10 -p1 -b .vine

%build
xmkmf -a
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" install.man
gzip -9 $RPM_BUILD_ROOT/usr/X11R6/man/man1/kinput2.1x

mkdir -p $RPM_BUILD_ROOT/etc/X11/im
cat <<END1 > $RPM_BUILD_ROOT/etc/X11/im/Canna
Name=Canna/kinput2
IM_Host=localhost

# Check ~/.im_host
if [ -f \$HOME/.im_host ]; then
    IM_Host=`awk -F: '{print \$1}' \$HOME/.im_host`
fi

IM_EXEC="kinput2 -canna -cannaserver \$IM_Host"
XMODIFIERS=@im=kinput2
export IM_EXEC XMODIFIERS
END1

cat <<END2 > $RPM_BUILD_ROOT/etc/X11/im/FreeWnn-kinput2
Name=FreeWnn/kinput2
IM_Host=localhost

# Check ~/.im_host
if [ -f \$HOME/.im_host ]; then
    IM_Host=`awk -F: '{print \$1}' $HOME/.im_host`
fi

IM_EXEC="kinput2 -wnn -jserver \$IM_Host -wnnenvrc4 /var/lib/wnn/ja_JP/wnnenvrc"
XMODIFIERS=@im=kinput2
export IM_EXEC XMODIFIERS
END2

cat <<END3 > $RPM_BUILD_ROOT/etc/X11/im/Wnn6-kinput2
Name=Wnn6/kinput2
IM_Host=localhost

# Check ~/.im_host
if [ -f \$HOME/.im_host ]; then
    IM_Host=`awk -F: '{print \$1}' $HOME/.im_host`
fi

if [ -f /usr/local/OMRONWnn6/wnn6linux/ja_JP/wnnenvrc ]; then
    WNNENVRC=/usr/local/OMRONWnn6/wnn6linux/ja_JP/wnnenvrc
elif [ -f /etc/wnn6/ja_JP/wnnenvrc ]; then
    WNNENVRC=/etc/wnn6/ja_JP/wnnenvrc
else
    WNNENVRC=""
fi

if [ "$WNNENVRC" = "" ]; then
   IM_EXEC="kinput2 -wnn -jserver \$IM_Host"
else
    IM_EXEC="kinput2 -wnn -jserver \$IM_Host -wnnenvrc6 \$WNNENVRC"
fi
XMODIFIERS=@im=kinput2
export IM_EXEC XMODIFIERS
END3

cat <<END4 > $RPM_BUILD_ROOT/etc/X11/im/Wnn7-kinput2
Name=Wnn7/kinput2
IM_Host=localhost

# Check ~/.im_host
if [ -f \$HOME/.im_host ]; then
    IM_Host=`awk -F: '{print \$1}' $HOME/.im_host`
fi

if [ -f /usr/lib/wnn7/ja_JP/jserverrc ]; then
    WNNENVRC=/usr/lib/wnn7/ja_JP/jserverrc
elif [ -f /etc/wnn6/ja_JP/wnnenvrc ]; then
    WNNENVRC=/etc/wnn6/ja_JP/wnnenvrc
else
    WNNENVRC=""
fi

if [ "$WNNENVRC" = "" ]; then
   IM_EXEC="kinput2 -wnn -jserver \$IM_Host"
else
    IM_EXEC="kinput2 -wnn -jserver \$IM_Host -wnnenvrc6 \$WNNENVRC"
fi
XMODIFIERS=@im=kinput2
export IM_EXEC XMODIFIERS
END4


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README NEWS
%doc doc
%{_prefix}/X11R6/bin/kinput2
%{_prefix}/X11R6/man/man1/kinput2.1x.gz
%config %{_sysconfdir}/X11/im/*
%config %{_sysconfdir}/kinput2/
%config %{_prefix}/X11R6/lib/X11/app-defaults/Kinput2


%changelog
* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> v3.1-0vl8
- rebuilt
- s/Copyright/License/
- s/Serial/Epoch/

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl7
- rebuild for VineSeed

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl7
- rebuild for VineSeed

* Sun Sep  4 2005 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl6
- fixed Kinput2.ad to use Zenkaku_Hankaku for Conversion*Keys 
  instead of Hankaku_Zenkaku
- fix more Lock/Mod2/Mod5/Shift problems

* Mon Jul 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl5
- update patch10 to fix Lock/Mod2/Mod5 problem in ConversionEndKeys
  (FIXME: this would be fixed in source instead of X's resources)

* Wed Feb 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl4
- add patch5,6 from plamo
- merged patch3,4 as patch10
  - add "Kanji" key to ConversionStartKeys

* Sat Jun 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl3
- add Patch4 to make gnome2 stable.

* Fri Jan 10 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> v3.1-0vl2
- Requires: Canna is too excessive - modified to Requires: libcanna

* Tue Oct 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> v3.1-0vl1
- updated to the newest upstream release v3.1

* Wed Sep 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl0.beta4.3
- add Serial tag for upgrade :-(
- remove 

* Wed Sep 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl0.beta4.2
- add patch3 to change keybind for wnn4 (use ccdef.kinput2.egg)

* Fri Aug 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> v3.1-0vl0.beta4.1
- new upstream release v3.1-beta4

* Wed May 30 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> v3release-12
- added ppc.patch (Patch2)

* Wed May 30 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- v3release-11
- rebuilt for VineSeed

* Fri Jan 26 2001 Daisuke SUZUKI <daisuke@linux.or.jp> kinput2-v3release-10
- Remove disable_overthespot patch

* Thu Jan 18 2001 Daisuke SUZUKI <daisuke@linux.or.jp> kinput2-v3release-9hancom
- XXX Fixme: Remove disable_overthespot patch for HancomWord

* Thu Aug  8 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- XXX: added temprary disable_overthespot patch for netscape stability.

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- change group

* Thu Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- Modified for Vine Linux

* Thu Nov 18 1999 Norihito Ohmori <nono@kondara.org>
- add NEWS in %doc
- change Copyright
- add Require: and BuildPreReq: tag
- use dynamic link library for Wnn6

* Mon Oct 25 1999 Jun NISHII <jun@vinelinux.org>
- added defattr

* Thu Oct 14 1999 Jun NISHII <jun@vinelinux.org>
- build for Vine-1.9

* Thu Aug 12 1999 Norihito Ohmori <ohmori@flatout.org>
- change conversion from nn -> n.

* Wed Jul 8 1999 Norihito Ohmori <ohmori@flatout.org>
- version up to kinpu2v3
- support both Canna and Wnn6

* Mon Jan 18 1999 ZUKERAN, shin <shin@ryukyu.ad.jp>
- Group changed: Japanese/X11 -> X11/Applications
- Version up to kinput2-v2-fix5-alpha5


