%define version 0.177.5
%define date 20050101
%define is_release 1

Summary: 2ch client for KDE
Summary(ja): KDE 向けの 2ch クライアント
Name: kita
Version: %{version}
Release: 1%{?_dist_release}
%if %{is_release}
Source0: kita-%{version}.tar.gz
%else
Source0: http://kita.sourceforge.jp/snapshot/kita-%{date}.tar.gz
%endif
License: GPL
URL: http://sourceforge.jp/projects/kita/
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt-devel
BuildRequires: arts-devel
BuildRequires: kdelibs3-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libpng-devel >= 1.2.5
BuildRequires: pcre-devel

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
2ch client for KDE

%description -l ja
KDE 向けの 2ch クライアントです．

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}-%{date}
%endif

sed -i.soname \
   -e 's|kita_la_|libkitamain_la_|' \
   -e 's| kita\.la| libkitamain.la|' \
   -e 's|-avoid-version||' \
   kita/src/Makefile.{in,am}

sed -i.dsktop -e 's|Terminal=0|Terminal=false|' \
   kita/src/kita.desktop

make dist -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export LDFLAGS="-Wl,--rpath,%{_libdir}/%{name}"
suffix=""
if [ "%{_lib}" == "lib64" ] ; then
   suffix="64"
fi

./configure \
   --prefix=%{_prefix} \
   --enable-new-ldflags \
   --enable-final \
   --disable-rpath \
   --with-qt-libraries=$QTDIR/lib \
   --enable-libsuffix="$suffix" \
   --enable-xdg-menu

make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.2ch TODO
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/kde/*
%{_datadir}/apps/*
%{_datadir}/icons/*
%{_datadir}/locale/ja/LC_MESSAGES/*
%{_datadir}/doc/HTML/en/kita/*

%changelog
* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.177.5-1
- new upstream release
- update BR: kdelibs3-devel (instead of kdelib-devel)

* Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.177.3-1
- applied new versioning policy
- spec in UTF-8

* Mon Nov 26 2007 NAKAMURA Kenta <kenta@vinelinux.org> 0.177.3-0vl6
- added source /etc/profile.d/qt.sh

* Wed Sep  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.177.3-0vl5
- rebuilt with new toolchain and environment

* Mon Oct 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.177.3-0vl4
- added --with-qt-libraries and --enable-libsuffix option

* Tue Aug 22 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.177.3-0vl3
- changed Group to Applications/Internet
- added Japanese summary

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.177.3-0vl2
- rebuild for VineSeed

* Fri Jun  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.177.3-0vl1
- new upstream release

* Mon Apr 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.177.2-0vl3
- rebuild

* Wed Feb 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.177.2-0vl2
- rebuild for VineSeed

* Wed Feb 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.177.2-0vl1
- new upstream release
- update %%files

* Fri Jan 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.174.0-0vl2
- rebuild for VineSeed

* Fri Jan 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.174.0-0vl1
- new upstream release
- remove patch0

* Wed Dec  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.173.0-0vl1
- source0 upgrade
- add patch0 (www.geocities.co.jp/SiliconValley-Bay/7435/patch-1130.txt)

* Wed Nov 24 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.172.0-0vl2
- source0 upgrade (snapshot)

* Wed Nov 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.172.0-0vl1
- source0 upgrade (snapshot)
- delete about use_xdg_menu

* Tue Jun 22 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.150.0-0vl1
- source0 upgrade
- remove source1, patch1 and lines about vine26
- add BuildPrereq: pcre-devel
- remove BuildPrereq: kdebase-devel and Requires: kdebase
- cleanup %%files

* Mon Mar 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.103.0-0vl1
- source0 and 1 upgrade
- add patch0
- arrange %%files

* Mon Mar  8 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.102.1-0vl3
- source1 upgrade

* Thu Mar  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.102.1-0vl2
- source1 upgrade

* Mon Mar  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.102.1-0vl1
- source upgrade

* Wed Feb 25 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.102.0-0vl1
- source upgrade
- remove patch
- add source1

* Fri Jan 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.101.1-0vl1
- source upgrade
- add patch

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.100.0-0vl1
- source upgrade
- remove patch

* Sun Jan 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.90-0vl1
- source upgrade
- add patch

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.72-0vl1
- source upgrade
- remove patch

* Sat Dec 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.71-0vl1
- source upgrade
- add patch

* Thu Dec 11 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.70-0vl1
- build for VinePlus/2.6

* Mon Oct 13 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- add files

* Wed Mar 03 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- initial release.
