Name: kmix
Summary: KDE Sound Mixer
Summary(ja): KDE サウンドミキサー
Version: 4.9.0
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2+
Group: Applications/Multimedia
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: glib2-devel
BuildRequires: alsa-lib-devel
#BuildRequires: libmusicbrainz3-devel
#BuildRequires: libvorbis-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: libcanberra-devel
BuildRequires: soprano-devel
#BuildRequires: taglib-devel
#BuildRequires: xine-lib-devel libxcb-devel

Requires: kdelibs4 >= %{version}


%description
KMix is an application to allow you to change the volume of your sound card.
Though small, it is full-featured, and it supports several platforms and sound drivers.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%{_bindir}/kmix
%{_bindir}/kmixctrl
%{_libdir}/libkdeinit4_kmix.so
%{_libdir}/libkdeinit4_kmixctrl.so
%{_libdir}/kde4/kded_kmixd.so
%{_libdir}/kde4/plasma_engine_mixer.so
%{_datadir}/applications/kde4/kmix.desktop
%{_datadir}/autostart/kmix_autostart.desktop
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/kmix
%{_datadir}/kde4/apps/plasma/services/mixer.operations
%{_datadir}/kde4/services/*
%{_docdir}/HTML/en/kmix/


%changelog
* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
