%define _kde4_version 4.6 

Name: koffice
Summary: An integrated office suite for KDE
Summary(ja): KDE 向け統合オフィススイート
Version: 2.3.3
Release: 3%{?_dist_release}
Epoch: 1

Group: Applications/Productivity
# apps GPLv2+, libs LGPLv2+
License: GPLv2+
URL: http://koffice.kde.org/

Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
## upstream patches
# backport support for libwpg 0.2 from Calligra master:
# http://gitweb.kde.org/calligra.git/commit/9cda7aed2ea103750172e61f5c800a474913fa59
Patch100:       koffice-2.3.1-libwpg02.patch
# https://bugs.kde.org/show_bug.cgi?id=267311
Patch101: http://kexi-project.org/download/patches/2.3/fix-inserting-required-value-2.3.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bzip2-devel bzip2
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: eigen2-devel
BuildRequires: exiv2-devel
BuildRequires: fftw3-devel
BuildRequires: fontconfig-devel
BuildRequires: freeglut-devel
BuildRequires: freetype2-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
BuildRequires: glib2-devel
BuildRequires: glew-devel
#BuildRequires: gmm-devel
#BuildRequires: GraphicsMagick-devel
BuildRequires: gsl-devel
BuildRequires: kdegraphics-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs-devel
BuildRequires: lcms2-devel
BuildRequires: lcms-devel
BuildRequires: libboost-devel
BuildRequires: libgsf-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libxml2-devel 
BuildRequires: libxslt-devel
BuildRequires: mesa-libGL-devel mesa-libGLU-devel
#if 0%{?kexi}
#BuildRequires: freetds-devel
BuildRequires: libpqxx-devel >= 3.0
BuildRequires: MySQL-devel MySQL-embedded-devel
#endif
#if 0%{?GTL}
#BuildRequires: OpenGTL-devel libQtGTL-devel
#endif
BuildRequires: OpenEXR-devel
BuildRequires: openjpeg-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: poppler-qt4-devel
BuildRequires: postgresql-devel
#BuildRequires: pstoedit
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: readline-devel
BuildRequires: shared-mime-info
BuildRequires: soprano-devel
BuildRequires: sqlite3-devel
#BuildRequires: xbase-devel

Requires: %{name}-kword = %{epoch}:%{version}-%{release} 
Requires: %{name}-kspread = %{epoch}:%{version}-%{release} 
Requires: %{name}-kpresenter = %{epoch}:%{version}-%{release}
#Requires: %{name}-kivio = %{epoch}:%{version}-%{release}
Requires: %{name}-karbon = %{epoch}:%{version}-%{release}
Requires: %{name}-krita = %{epoch}:%{version}-%{release}
#Requires: %{name}-kugar = %{epoch}:%{version}-%{release}
Requires: %{name}-kexi = %{epoch}:%{version}-%{release}
Requires: %{name}-kexi-driver-mysql = %{epoch}:%{version}-%{release}
Requires: %{name}-kexi-driver-pgsql = %{epoch}:%{version}-%{release}
#Requires: %{name}-kchart = %{epoch}:%{version}-%{release}
Requires: %{name}-kformula = %{epoch}:%{version}-%{release}
Requires: %{name}-filters = %{epoch}:%{version}-%{release}
Requires: %{name}-kplato = %{epoch}:%{version}-%{release}
Requires: %{name}-okular-odpgenerator = %{epoch}:%{version}-%{release}

%description
KOffice is a collection of office applications linked together by a common
basis. This common basis assures that all office application can work
together. You can, for instance, insert a spreadsheet in your thesis without
leaving your document. Editing the spreadsheet happens _inside_ your thesis.

The applications currently included in KOffice are:
- KWord (Professional text editing) 
- KSpread (Professional number cruncher/spreadsheet)
- KPresenter (Professional presentation program)
- KChart (Graphing of your abstract data)
- Karbon (Vector graphics tool)
- Kugar (Database report creation)
- Kivio (Flowcharting program)
- Kexi (a database management tool)
- KOffice Workspace (A combination of all of the above)

%package core
Summary: Core support files for koffice
Summary(ja): KOffice のコアファイル
Group: Applications/Productivity
#Requires: lilypond-emmentaler-fonts
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: kdebase-runtime >= %{_kde4_version}
#Requires: lyx-fonts
#Requires: dejavu-lgc-sans-fonts
Requires: koffice-langpack-ja

%description core
%{summary}.

%package libs
Summary: Runtime libraries for koffice
Summary(ja): koffice のランタイムライブラリ
Group: System Environment/Libraries
Requires: qt4 >= %{_qt4_version}

%description libs
%{summary}.

%package devel
Summary: Libraries needed for koffice development
Summary(ja): koffice の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel

%description devel
%{summary}.


%package kword
Summary: An intuitive word processor application with desktop publishing features
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kword-libs = %{epoch}:%{version}-%{release}

%description kword
KWord is an intuitive word processor and desktop publisher application.
With it, you can create informative and attractive documents with
pleasure and ease.

%package kword-libs
Summary: Runtime libraries for %{name}-kword
Group: System Environment/Libraries

%description kword-libs
%{summary}.


%package kspread
Summary: A fully-featured spreadsheet application
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}

%description kspread
KSpread is a fully-featured calculation and spreadsheet tool.  Use it to
quickly create and calculate various business-related spreadsheets, such
as income and expenditure, employee working hours…


%package kpresenter
Summary: A full-featured presentation program
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kpresenter-libs = %{epoch}:%{version}-%{release}

%description kpresenter
KPresenter is a powerful and easy to use presentation application. You
can dazzle your audience with stunning slides containing images, videos,
animation and more.

%package kpresenter-libs
Summary: Runtime libraries for %{name}-kpresenter
Summary(ja): %{name}-kpresenter のランタイムライブラリ
Group: System Environment/Libraries

%description kpresenter-libs
%{summary}.


%package kivio
Summary: A diagramming and flowcharting application
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}

%description kivio
Kivio is an easy to use diagramming and flowcharting application with
tight integration to the other KOffice applications. It enables you to
create network diagrams, organisation charts, flowcharts and more.


%package karbon
Summary: A vector drawing application
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-karbon-libs = %{epoch}:%{version}-%{release}

%description karbon
Karbon is a vector drawing application with an user interface that is
easy to use, highly customizable and extensible. That makes Karbon a
great application for users starting to explore the world of vector
graphics as well as for artists wanting to create breathtaking vector
art.

Whether you want to create clipart, logos, illustrations or photorealistic
vector images – look no further, Karbon is the tool for you!

%package karbon-libs
Summary: Runtime libraries for %{name}-karbon
Summary(ja): %{name}-karbon のランタイムライブラリ
Group: System Environment/Libraries

%description karbon-libs
%{summary}.


%package krita
Summary: A creative sketching and painting application 
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-krita-libs = %{epoch}:%{version}-%{release}
Requires: %{name}-filters

%description krita
Krita is a creative sketching and painting application based on KOffice 
technology. Whether you want to create art paintings, cartoons, concept
art or textures, Krita supports most graphics tablets out of the box.
Krita’s vision statement is:
* Krita is a KDE program for sketching and painting, offering an end–to–end
  solution for creating digital painting files from scratch by masters.
* Fields of painting that Krita explicitly supports are concept art,
  creation of comics and textures for rendering.
* Modelled on existing real-world painting materials and workflows,
  Krita supports creative working by getting out of the way and with
  snappy response.

%package krita-libs
Summary: Runtime libraries for %{name}-krita
Summary(ja): %{name}-krita のランタイムライブラリ
Group: System Environment/Libraries

%description krita-libs
%{summary}.


%package kugar
Summary: A tool for generating business quality reports
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}

%description kugar
%{summary}


%package kexi
Summary: An integrated environment for managing data
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kexi-libs = %{epoch}:%{version}-%{release}

%description kexi
Kexi is an integrated data management application.  It can be used for
creating database schemas, inserting data, performing queries, and
processing data. Forms can be created to provide a custom interface to
your data. All database objects – tables, queries and forms – are
stored in the database, making it easy to share data and design.

For additional database drivers take a look at %{name}-kexi-driver-*

%package kexi-libs
Summary: Runtime libraries for %{name}-kexi
Summary(ja): %{name}-kexi のランタイムライブラリ
Group: System Environment/Libraries

%description kexi-libs
%{summary}.

%package kexi-driver-mysql
Summary: mysql-driver for kexi
Group: Applications/Productivity
Requires: %{name}-kexi = %{epoch}:%{version}-%{release}

%description kexi-driver-mysql
%{summary}.

%package kexi-driver-pgsql
Summary: pgsql-driver for kexi
Group: Applications/Productivity
Requires: %{name}-kexi = %{epoch}:%{version}-%{release}

%description kexi-driver-pgsql
%{summary}.


%package kchart
Summary: An integrated graph and chart drawing tool
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kchart-libs = %{epoch}:%{version}-%{release}

%description kchart
%{summary}.

%package kchart-libs
Summary: Runtime libraries for %{name}-kchart
Summary(ja): %{name}-kchart のランタイムライブラリ
Group: System Environment/Libraries
Requires: %{name}-libs = %{epoch}:%{version}-%{release}

%description kchart-libs
%{summary}.

%package kformula
Summary: A powerful formula editor
Summary(ja): 強力な数式エディタ
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kformula-libs = %{epoch}:%{version}-%{release}
#Requires: lyx-fonts
#Requires: dejavu-lgc-sans-fonts

%description kformula
%{summary}.

%package kformula-libs
Summary: Runtime libraries for %{name}-kformula
Summary(ja): %{name}-kformula のランタイムライブラリ
Group: System Environment/Libraries

%description kformula-libs
%{summary}.

%package filters
Summary: Import and Export Filters for KOffice
Summary(ja): KOffice で使用するインポート/エクスポートフィルタ集
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
# for karbon eps import filter
#Requires: pstoedit

%description filters
%{summary}.


%package kplato
Summary: A project planner
Group: Applications/Productivity
Requires: %{name}-core = %{epoch}:%{version}-%{release}
Requires: %{name}-kplato-libs = %{epoch}:%{version}-%{release}

%description kplato
KPlato is a project management application. It is intended for managing
moderately large projects with multiple resources.

%package kplato-libs
Summary: Runtime libraries for %{name}-kplato 
Group: System Environment/Libraries 

%description kplato-libs
%{summary}.


%package okular-odpgenerator
Summary: OpenDocument presenter support for okular
Group: Applications/Productivity
Requires: %{name}-kpresenter = %{epoch}:%{version}-%{release}
Requires: kdegraphics

%description okular-odpgenerator
%{summary}.


%prep
%setup -q -n %{name}-%{version}
%patch100 -p1 -b .libwpg02
%patch101 -p0 -b .kexi_fix_inserting_required_value

## kdchart munging begin
pushd plugins/chartshape/kdchart
mv src kdchart
sed -i.kdchart_fix -e 's|../src/||' kdchart/Ternary/KDChartTernaryAxis.cpp
sed -i.kdchart_fix -e 's|add_subdirectory(src)|add_subdirectory(kdchart)|' CMakeLists.txt
mv include include.kdchart_fix && cp -a include.kdchart_fix include/
sed -i -e 's|../src|../kdchart|' include/*
popd
## kdchart munging end


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# SET EIGEN2_INCLUDE_DIR since our kde4_incdir != eigen2_incdir
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    -DEIGEN2_INCLUDE_DIR=%{_includedir}/eigen2 \
    -DBUILD_kchart:BOOL=ON \
    -DBUILD_kexi:BOOL=ON \
    -DBUILD_kplato:BOOL=ON \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

#tar xjf %{SOURCE1}
#cd %{name}-l10n-ja-%{version}
#./configure --prefix=%{_prefix}
#make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

## kdchart munging begin
pushd plugins/chartshape/kdchart
mkdir -p $RPM_BUILD_ROOT%{_includedir}/KDChart
install -m644 -p include/* $RPM_BUILD_ROOT%{_includedir}/KDChart/
for inc_dir in kdchart kdchart/LeveyJennings kdchart/PrerenderedElements kdchart/Scenery kdchart/Ternary ; do
mkdir -p $RPM_BUILD_ROOT%{_includedir}/${inc_dir}
install -m644 -p ${inc_dir}/*.h $RPM_BUILD_ROOT%{_includedir}/${inc_dir}/
rm -f %{buildroot}%{_includedir}/${inc_dir}/*_p.h
done
popd
## kdchart munging end

## unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde4/koffice.desktop

# conflicts with oxygen-icon-theme  
rm -fv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen/16x16/actions/format-justify-{center,fill,left,right}.png
rm -fv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen/16x16/actions/format-text-{bold,italic,underline}.png
rm -fv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen/16x16/actions/object-{group,ungroup}.png
rm -fv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen/16x16/actions/object-order-{back,front,lower,raise}.png

# extraneous stuff we don't want in -devel
rm -fv $RPM_BUILD_ROOT%{_libdir}/lib*common.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/lib*filters.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/lib*private.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libchartshapelib.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkarbon*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkexi*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkisexiv2.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkformulalib.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libko{chart,plugin,property,report,wmf,wv2}.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkplato*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkword*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkrita*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkross*.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkspreadodf.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkwmf.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libmsooxml.so
rm -fv $RPM_BUILD_ROOT%{_libdir}/libwv2.la

# kchart
#%if ! 0%{?kchart}
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkchartcommon.so.*
rm -fv $RPM_BUILD_ROOT%{_libdir}/kde4/*kchart*.*
rm -rfv $RPM_BUILD_ROOT%{_datadir}/apps/apps/kchart/
rm -rfv $RPM_BUILD_ROOT%{_docdir}/HTML/en/kchart/
rm -fv $RPM_BUILD_ROOT%{_datadir}/kde4/services/kchart*.desktop
rm -fv $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/kchart_konqi.desktop
#%endif
#%if ! 0%{?kexi}
#rm -rfv $RPM_BUILD_ROOT%{_docdir}/HTML/en/kexi/
#rm -fv $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/kexi_konqi.desktop
#%endif
#%if ! 0%{?kformula}
#rm -rfv $RPM_BUILD_ROOT%{_docdir}/HTML/en/kformula/
#rm -fv $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/kformula_konqi.desktop
#%endif
#%if ! 0%{?kplato}
#rm -rfv $RPM_BUILD_ROOT%{_docdir}/HTML/en/kplato/
#%endif
#%if ! 0%{?kivio}
rm -rfv $RPM_BUILD_ROOT%{_docdir}/HTML/en/kivio/
rm -fv $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus/kivio_konqi.desktop
#%endif

%clean
rm -rf $RPM_BUILD_ROOT

%check
for desktop_file in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate ${desktop_file} 
done

%post core
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans core
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun core
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%posttrans karbon
update-desktop-database -q &> /dev/null ||:

%postun karbon
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post karbon-libs -p /sbin/ldconfig
%postun karbon-libs -p /sbin/ldconfig

%posttrans kplato
update-desktop-database -q &> /dev/null ||:

%postun kplato
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post kplato-libs -p /sbin/ldconfig
%postun kplato-libs -p /sbin/ldconfig

%posttrans kword
update-desktop-database -q &> /dev/null ||:

%postun kword
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post kword-libs -p /sbin/ldconfig
%postun kword-libs -p /sbin/ldconfig

%posttrans kpresenter
update-desktop-database -q &> /dev/null ||:

%postun kpresenter
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post kpresenter-libs -p /sbin/ldconfig
%postun kpresenter-libs -p /sbin/ldconfig

%posttrans krita
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun krita
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    update-mime-database %{_datadir}/mime &> /dev/null ||:
fi

%post krita-libs -p /sbin/ldconfig
%postun krita-libs -p /sbin/ldconfig

%posttrans kspread
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun kspread
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    update-mime-database %{_datadir}/mime &> /dev/null ||:
fi

%posttrans kugar
update-desktop-database -q &> /dev/null ||:

%postun kugar
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%posttrans kexi
update-desktop-database -q &> /dev/null ||:

%postun kexi
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
fi

%post kexi-libs -p /sbin/ldconfig
%postun kexi-libs -p /sbin/ldconfig

#%if 0%{?kchart}
#%posttrans kchart
#update-desktop-database -q &> /dev/null ||:

#%postun kchart
#if [ $1 -eq 0 ] ; then
#update-desktop-database -q &> /dev/null ||:
#fi

#%post kchart-libs -p /sbin/ldconfig
#%postun kchart-libs -p /sbin/ldconfig
#%endif

%post filters -p /sbin/ldconfig
%postun filters -p /sbin/ldconfig 


%files 
%defattr(-,root,root)
# virtual

%files core
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB README
%{_bindir}/kthesaurus
%{_bindir}/koconverter
%{_libdir}/libkdeinit4_kthesaurus.so
%{_libdir}/kde4/autocorrect.so
%{_libdir}/kde4/changecase.so
%{_libdir}/kde4/defaulttools.so
%{_libdir}/kde4/kodocinfopropspage.*
%{_libdir}/kde4/kofficescan.*
%{_libdir}/kde4/kofficethumbnail.*
%{_libdir}/kde4/kopabackgroundtool.*
%{_libdir}/kde4/kofficedockers.*
%{_libdir}/kde4/kolcmsengine.*
%{_libdir}/kde4/koreport_barcodeplugin.so
%{_libdir}/kde4/koreport_chartplugin.so
%{_libdir}/kde4/koreport_shapeplugin.so
%{_libdir}/kde4/kounavailpart.*
%{_libdir}/kde4/paragraphtool.so
%{_libdir}/kde4/spellcheck.so
%{_libdir}/kde4/textvariables.so
%{_libdir}/kde4/thesaurustool.so
%{_libdir}/kde4/artistictextshape.so
%{_libdir}/kde4/chartshape.so
%{_libdir}/kde4/commentshape.so
%{_libdir}/kde4/divineproportionshape.so
%{_libdir}/kde4/musicshape.so
%{_libdir}/kde4/pictureshape.so
%{_libdir}/kde4/pluginshape.so
%{_libdir}/kde4/spreadsheetshape.so
%{_libdir}/kde4/textshape.so
%{_libdir}/kde4/videoshape.so
%{_datadir}/kde4/apps/koffice/
%{_datadir}/kde4/apps/koproperty/
%{_docdir}/HTML/en/koffice/
%{_docdir}/HTML/en/thesaurus/
%{_datadir}/applications/kde4/KThesaurus.desktop
%{_datadir}/mime/packages/msooxml-all.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/services/autocorrect.desktop
%{_datadir}/kde4/services/changecase.desktop
%{_datadir}/kde4/services/defaulttools.desktop
%{_datadir}/kde4/services/kodocinfopropspage.desktop
%{_datadir}/kde4/services/kofficethumbnail.desktop
%{_datadir}/kde4/services/kofficedockers.desktop
%{_datadir}/kde4/services/kolcmsengine.desktop
%{_datadir}/kde4/services/kopabackgroundtool.desktop
%{_datadir}/kde4/services/koreport_barcodeplugin.desktop
%{_datadir}/kde4/services/koreport_chartplugin.desktop
%{_datadir}/kde4/services/koreport_shapeplugin.desktop
%{_datadir}/kde4/services/kounavail.desktop
%{_datadir}/kde4/services/paragraphtool.desktop
%{_datadir}/kde4/services/spellcheck.desktop
%{_datadir}/kde4/services/textvariables.desktop
%{_datadir}/kde4/services/thesaurustool.desktop
%{_datadir}/kde4/servicetypes/filtereffect.desktop
%{_datadir}/kde4/servicetypes/inlinetextobject.desktop
%{_datadir}/kde4/servicetypes/kochart.desktop
%{_datadir}/kde4/servicetypes/kofficedocker.desktop
%{_datadir}/kde4/servicetypes/kofficepart.desktop
%{_datadir}/kde4/servicetypes/koplugin.desktop
%{_datadir}/kde4/servicetypes/koreport_itemplugin.desktop
%{_datadir}/kde4/servicetypes/texteditingplugin.desktop
%{_datadir}/kde4/servicetypes/textvariableplugin.desktop
%{_datadir}/kde4/servicetypes/widgetfactory.desktop
%{_datadir}/kde4/services/*shape.desktop
%{_datadir}/kde4/apps/formulashape/
%{_libdir}/kde4/formulashape.*
%{_datadir}/kde4/apps/musicshape/

%dir %{_datadir}/color/
%dir %{_datadir}/color/icc/
%{_datadir}/color/icc/pigment/
#{_datadir}/kde4/apps/pigmentcms/
%{_datadir}/kde4/servicetypes/pigment*.desktop
%{_libdir}/kde4/pathshapes.so
%{_datadir}/kde4/services/pathshapes.desktop

%files libs
%defattr(-,root,root)
%{_datadir}/kde4/servicetypes/flake*.desktop
%{_libdir}/libflake.so.*
%{_libdir}/libchartshapelib.so.*
%{_libdir}/libkdchart.so.8*
%{_libdir}/libkochart.so.*
%{_libdir}/libkokross.so.*
%{_libdir}/libkomain.so.*
%{_libdir}/libkoodf.so.*
%{_libdir}/libkopageapp.so.*
%{_libdir}/libkoproperty.so.*
%{_libdir}/libkoplugin.so.*
%{_libdir}/libkoreport.so.*
%{_libdir}/libkotext.so.*
%{_libdir}/libkowidgets.so.*
%{_libdir}/libkowmf.so.*
%{_libdir}/libkowv2.so.4*
%{_libdir}/libkspreadcommon.so.*
%{_libdir}/libkspreadodf.so.8*
%{_libdir}/libkwmf.so.*
%{_libdir}/libkformulalib.so.*
%{_libdir}/libkformulaprivate.so.*
%{_libdir}/libmsooxml.so.*
%{_libdir}/libpigmentcms.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kdchart
%{_includedir}/KDChart/
%{_includedir}/kde4/*.h
%{_includedir}/kde4/changetracker/
%{_includedir}/kde4/kexi/
%{_includedir}/kde4/styles/
%{_libdir}/libflake.so
%{_libdir}/libkdchart.so
%{_libdir}/libkokross.so
%{_libdir}/libkomain.so
%{_libdir}/libkoodf.so
%{_libdir}/libkopageapp.so
%{_libdir}/libkotext.so
%{_libdir}/libkowidgets.so
%{_libdir}/libpigmentcms.so
%{_libdir}/libkformdesigner.so
%{_datadir}/kde4/apps/cmake/modules/FindKOfficeLibs.cmake

%files kword
%defattr(-,root,root,-)
%{_bindir}/kword
%{_datadir}/config/kwordrc
%{_libdir}/libkdeinit4_kword.so
%{_libdir}/kde4/krossmodulekword.so
%{_libdir}/kde4/kwordpart.*
%{_datadir}/kde4/apps/kword/
%{_datadir}/kde4/services/*kword*.desktop
%{_datadir}/templates/TextDocument.desktop
%{_datadir}/templates/.source/TextDocument.kwt
%{_datadir}/applications/kde4/*kword.desktop
%{_datadir}/kde4/services/ServiceMenus/kword_konqi.desktop

%files kword-libs
%defattr(-,root,root,-)
%{_libdir}/libkwordprivate.so.*

%files kspread
%defattr(-,root,root,-)
%{_bindir}/kspread
%{_libdir}/libkdeinit4_kspread.so
%{_libdir}/kde4/krossmodulekspread.so
%{_libdir}/kde4/kspread*.so
%{_libdir}/kde4/csvexport.*
%{_libdir}/kde4/csvimport.*
%{_libdir}/kde4/gnumericexport.*
%{_libdir}/kde4/gnumericimport.*
%{_libdir}/kde4/opencalcexport.*
%{_libdir}/kde4/opencalcimport.*
%{_libdir}/kde4/qproimport.*
%{_datadir}/kde4/apps/kspread/
%{_datadir}/config/kspreadrc
%{_datadir}/config.kcfg/kspread.kcfg
%{_datadir}/kde4/services/kspread*.desktop
%{_datadir}/templates/SpreadSheet.desktop
%{_datadir}/templates/.source/SpreadSheet.kst
%{_datadir}/applications/kde4/*kspread.desktop
%{_datadir}/kde4/services/ServiceMenus/kspread_konqi.desktop
%{_datadir}/kde4/services/krossmodulekspread.desktop
%{_datadir}/kde4/servicetypes/kspread_plugin.desktop
%{_docdir}/HTML/en/kspread/

%files kpresenter
%defattr(-,root,root,-)
%{_bindir}/kpresenter
%{_libdir}/libkdeinit4_kpresenter.so
%{_libdir}/kde4/*kpresenter*.*
%{_libdir}/kde4/kpr_*.*
%{_libdir}/kde4/Filterkpr2odf.so
%{_datadir}/kde4/apps/kpresenter/
%{_datadir}/config/kpresenterrc
%{_docdir}/HTML/en/kpresenter/
%{_datadir}/kde4/services/kpr*.desktop
%{_datadir}/kde4/servicetypes/kpr*.desktop
%{_datadir}/kde4/servicetypes/presentationeventaction.desktop
%{_datadir}/kde4/servicetypes/scripteventaction.desktop
%{_datadir}/templates/Presentation.desktop
%{_datadir}/templates/.source/Presentation.kpt
%{_datadir}/applications/kde4/*kpresenter.desktop
%{_datadir}/kde4/services/Filterkpr2odf.desktop
%{_datadir}/kde4/services/ServiceMenus/kpresenter_konqi.desktop

%files kpresenter-libs
%defattr(-,root,root,-)
%{_libdir}/libkpresenterprivate.so.*
%{_libdir}/kde4/kprvariables.*

#%files kivio
#%defattr(-,root,root,-)
#{_bindir}/kivio
#{_libdir}/libkdeinit4_kivio.so
#{_libdir}/libkivioprivate.so.*
#{_libdir}/kde4/*kivio*.*
#{_datadir}/kde4/apps/kivio/
#{_docdir}/HTML/en/kivio/
#{_datadir}/kde4/services/kivio*.desktop
#{_datadir}/applications/kde4/kivio.desktop
#{_datadir}/kde4/services/ServiceMenus/kivio_konqi.desktop

%files karbon
%defattr(-,root,root,-)
%{_bindir}/karbon
%{_datadir}/config/karbonrc
%{_libdir}/libkdeinit4_karbon.so
%{_libdir}/kde4/*karbon*.*
%{_libdir}/kde4/wmfexport.*
%{_libdir}/kde4/wmfimport.*
%{_datadir}/kde4/apps/karbon/
%{_datadir}/kde4/services/karbon*
%{_datadir}/kde4/servicetypes/karbon_module.desktop
%{_datadir}/templates/Illustration.desktop
%{_datadir}/templates/.source/Illustration.karbon
%{_datadir}/applications/kde4/*karbon.desktop
%{_docdir}/HTML/en/karbon/
%{_datadir}/kde4/services/ServiceMenus/karbon_konqi.desktop

%files karbon-libs
%defattr(-,root,root,-)
%{_libdir}/libkarboncommon.so.*
%{_libdir}/libkarbonui.so.*

%files krita
%defattr(-,root,root,-)
%{_bindir}/krita
%{_datadir}/config/kritarc
%{_libdir}/libkdeinit4_krita.so
%{_libdir}/kde4/*krita*.*
%{_datadir}/kde4/apps/krita/
%{_datadir}/config/krita.knsrc
%{_datadir}/kde4/services/krita*.desktop
%{_datadir}/kde4/servicetypes/krita*.desktop
%{_datadir}/applications/kde4/*krita*.desktop
%{_datadir}/mime/packages/krita_ora.xml
%{_datadir}/kde4/apps/kritaplugins/
%{_datadir}/color/icc/krita/
%{_datadir}/kde4/services/ServiceMenus/krita_konqi.desktop

%files krita-libs
%defattr(-,root,root,-)
%{_libdir}/libkrita*.so.*

%files kexi
%defattr(-,root,root,-)
%{_datadir}/kde4/apps/kexi/
%{_bindir}/kexi*
%{_libdir}/kde4/kformdesigner_*.*
%{_libdir}/kde4/kexihandler_*.*
%{_libdir}/kde4/krossmodulekexidb.so
%{_libdir}/kde4/kexidb_sqlite3driver.so
#{_libdir}/kde4/kexidb_sybasedriver.so
%{_libdir}/kde4/keximigrate_kspread.so
%{_libdir}/kde4/keximigrate_mdb.so
#{_libdir}/kde4/keximigrate_sybase.so
%{_libdir}/kde4/keximigrate_txt.so
%{_libdir}/kde4/kexirelationdesignshape.so
%{_datadir}/applications/kde4/*kexi.desktop
%{_datadir}/config/kexirc
%{_datadir}/kde4/servicetypes/kexi*.desktop
%{_datadir}/kde4/services/kexi/
%{_datadir}/kde4/services/keximigrate_kspread.desktop
%{_datadir}/kde4/services/keximigrate_mdb.desktop
#{_datadir}/kde4/services/keximigrate_sybase.desktop
%{_datadir}/kde4/services/keximigrate_txt.desktop
%{_datadir}/kde4/services/kexidb_sqlite3driver.desktop
#{_datadir}/kde4/services/kexidb_sybasedriver.desktop
%{_datadir}/kde4/services/kformdesigner/*
%{_docdir}/HTML/en/kexi/

%files kexi-libs
%defattr(-,root,root,-)
%{_libdir}/libkexi*.so.*
%{_libdir}/libkformdesigner.so.*

%files kexi-driver-mysql
%defattr(-,root,root,-)
%{_libdir}/kde4/kexidb_mysqldriver.*
%{_libdir}/kde4/keximigrate_mysql.*
%{_datadir}/kde4/services/keximigrate_mysql.desktop
%{_datadir}/kde4/services/kexidb_mysqldriver.desktop

%files kexi-driver-pgsql
%defattr(-,root,root,-)
%{_libdir}/kde4/kexidb_pqxxsqldriver.*
%{_libdir}/kde4/keximigrate_pqxx.*
%{_datadir}/kde4/services/kexidb_pqxxsqldriver.desktop
%{_datadir}/kde4/services/keximigrate_pqxx.desktop

#%files kchart
#%defattr(-,root,root,-)
#{_libdir}/kde4/*kchart*.*
#{_datadir}/kde4/apps/kchart/
#%{_datadir}/kde4/services/kchart*.desktop
#%{_docdir}/HTML/en/kchart/
#%{_datadir}/kde4/services/ServiceMenus/kchart_konqi.desktop

#%files kchart-libs
#%defattr(-,root,root,-)
#%{_libdir}/libkchartcommon.so.*

%files kformula
%defattr(-,root,root,-)
%{_libdir}/kde4/formulashape.*
%{_docdir}/HTML/en/kformula/
%{_datadir}/kde4/services/ServiceMenus/kformula_konqi.desktop

%files kformula-libs
%defattr(-,root,root,-)
%{_libdir}/libkformulaprivate.so.*

%files filters
%defattr(-,root,root,-)
%{_libdir}/libkwordexportfilters.so.*
%{_libdir}/kde4/abiwordexport.*
%{_libdir}/kde4/abiwordimport.*
%{_libdir}/kde4/amiproexport.*
%{_libdir}/kde4/amiproimport.*
%{_libdir}/kde4/applixspreadimport.*
%{_libdir}/kde4/applixwordimport.*
%{_libdir}/kde4/asciiexport.*
%{_libdir}/kde4/asciiimport.*
%{_libdir}/kde4/dbaseimport.*
%{_libdir}/kde4/docbookexport.*
%{_libdir}/kde4/docximport.*
%{_libdir}/kde4/excelimporttodoc.*
%{_libdir}/kde4/generickofilter.*
%{_libdir}/kde4/htmlexport.*
%{_libdir}/kde4/htmlimport.*
%{_libdir}/kde4/htmlodf_export.*
%{_libdir}/kde4/kspreadlatexexport.*
%{_libdir}/kde4/kspreadhtmlimport.*
%{_libdir}/kde4/kwordkword1dot3import.*
%{_libdir}/kde4/oowriterexport.*
%{_libdir}/kde4/oowriterimport.*
%{_libdir}/kde4/palmdocexport.*
%{_libdir}/kde4/palmdocimport.*
%{_libdir}/kde4/powerpointimport.*
%{_libdir}/kde4/pptximport.*
%{_libdir}/kde4/rtfexport.*
%{_libdir}/kde4/rtfimport.*
%{_libdir}/kde4/wmlexport.*
%{_libdir}/kde4/wmlimport.*
%{_libdir}/kde4/wpexport.*
%{_libdir}/kde4/wpimport.*
%{_libdir}/kde4/wpgimport.*
%{_libdir}/kde4/mswordodf_import.*
%{_libdir}/kde4/xlsximport.*
%{_libdir}/kde4/xsltimport.*
%{_libdir}/kde4/xsltexport.*
%{_libdir}/kde4/hancomwordimport.*
%{_datadir}/kde4/apps/xsltfilter/
%{_datadir}/kde4/services/generic_filter.desktop
%{_datadir}/kde4/services/html-odf_export.desktop
%{_datadir}/kde4/services/xslt*.desktop
%{_datadir}/kde4/servicetypes/kofilter*.desktop

%files kplato
%defattr(-,root,root,-)
%{_bindir}/kplato
%{_bindir}/kplatowork
%{_datadir}/config/kplatorc
%{_datadir}/config/kplatoworkrc
%{_datadir}/config.kcfg/kplatosettings.kcfg
%{_libdir}/libkdeinit4_kplato.so
%{_libdir}/libkdeinit4_kplatowork.so
%{_libdir}/kde4/kplatopart.*
%{_libdir}/kde4/kplatoworkpart.so
%{_libdir}/libkplato*.so.*
%{_libdir}/kde4/icalendarexport.*
%{_libdir}/kde4/krossmodulekplato.so
%{_datadir}/kde4/services/krossmodulekplato.desktop
%{_datadir}/kde4/apps/kplato/
%{_datadir}/kde4/apps/kplatowork/
%{_datadir}/kde4/services/kplato*.desktop
%{_datadir}/kde4/servicetypes/kplato*.desktop
%{_datadir}/applications/kde4/kplato.desktop
%{_datadir}/applications/kde4/kplatowork.desktop

%files kplato-libs
%defattr(-,root,root,-)
%{_libdir}/libkplato*.so.*

%files okular-odpgenerator
%defattr(-,root,root,-)
%{_libdir}/kde4/okularGenerator_odp.so
%{_datadir}/applications/kde4/okularApplication_odp.desktop
%{_datadir}/kde4/services/libokularGenerator_odp.desktop
%{_datadir}/kde4/services/okularOdp.desktop


%changelog
* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1:2.3.3-3
- rebuilt with openjpeg-1.4

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 1:2.3.3-2
- rebuilt with postgresql-9.0.3

* Sun Mar 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:2.3.3-1
- new upstream release

* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-4
- rebuilt with ImageMagick-6.6.4.8

* Tue May  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-3
- rebuilt with new toolchain and ImageMagick-6.6.1.5
- fixed configure for building with python-2.6
- added Patch0-2 for building new toolchain 
  (Gentoo#228839, Debian#504870, Gentoo#270960)

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.3-2
- added libtiff(-devel) to dependency.
- rebuilt with MySQL-5.1.34.

* Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-1
- applied new versioning policy
- spec in UTF-8

* Mon Nov 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl6
- rebuild for VineSeed

* Mon Nov 12 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl5
- add Patch1 (CVE-2007-4352, 5392, 5393)

* Thu Aug  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl4
- add Patch0 (CVE-2007-3387)

* Sat Jul 28 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.6.3-0vl3
- added --with-qt-libraries configure option

* Thu Jun 28 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl2
- rebuild for VineSeed

* Wed Jun 27 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.3-0vl1
- new upstream release

* Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.6.0-0vl1
- new upstream release

* Mon Sep 11 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.91-0vl1
- new upstream release

* Mon Jul 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.2-0vl2
- rebuild for VineSeed

* Mon Jul 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.2-0vl1
- new upstream release
- drop obsolete patches

* Mon May 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.1-0vl2
- rebuild for VineSeed

* Mon May 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.1-0vl1
- new upstream release
- drop obsolete patches
- add BuildPrereq: libexif-devel
- add --disable-final to configure option
- add Patch0 and Patch1

* Tue Apr 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl3
- build with ruby-1.8.4-0vl1 on VineSeed
- add Buildprereq: ruby-devel for VineSeed

* Thu Apr  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl2
- rebuild for VineSeed

* Thu Apr  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl1
- new upstream release
- drop Patch1

* Fri Mar 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.5.0-0vl0.rc1
- new upstream release
- drop Patch0
- add --disable-pie and --includedir=%%{_includedir}/kde to configure option
- add BuildConflicts: ruby-devel
- add Patch1
- update %%files

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-0vl4
- rebuild with libgsf-1.14.0-0vl1
- add Japanese summary

* Thu Jan  5 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl3
- add Patch0 (CAN-2005-3193)

* Thu Nov 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl2
- rebuild with libgsf-1.13.3-0vl1 and python-2.4.2-0vl4

* Tue Oct 18 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.2-0vl1
- new upstream release
- remove all patches
- add SOURCE1 from snapshot

* Mon Sep 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.1-0vl2
- add Patch0 - Patch8 to build with qt-3.3.5
- add BuildPrereq: libtool-ltdl-devel

* Thu Jul 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.1-0vl1
- new upstream release

* Thu Jul  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.0a-0vl1
- new upstream release
- remove i18n files
- add BuildPrereq: automake17
- add --disable-rpath to configure option

* Tue Apr 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.91-0vl1
- new upstream release
- remove all patches
- add BuildPrereq: lcms-devel MySQL-devel postgresql-devel libpqxx-devel
- change Group to Applications/Productivity
- update Summary and description

* Mon Mar 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl8
- rebuild with KDE-3.4.0 (VineSeed)

* Mon Mar 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl7
- rebuild with KDE-3.4.0 (Vine3.1)
- clean up changelog to use (double-percent) everywhere

* Sat Jan 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl6
- rebuild for VineSeed

* Fri Jan 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl5
- add Patch1 (CAN-2005-0064)

* Fri Jan  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl4
- rebuild for VineSeed

* Fri Jan  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl3
- add patch0 (http://www.koffice.org/security/2004_xpdf_integer_overflow_2.php)

* Sun Jan  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl2
- rebuild for VineSeed

* Sun Jan  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.5-0vl1
- new upstream release
- remove about ia64
- remove patch0

* Sun Oct 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.4-0vl1
- source upgrade
- add Patch0 (security patch)

* Thu Aug 12 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.2-0vl1
- source upgrade
- remove lines about vine26 
- add BuildPrereq: libgsf-devel

* Thu May  6 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3.1-0vl1
- source upgrade

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl3
- rebuild with kde-3.2.2

* Wed Mar 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl2
- rebuild with kde-3.2.1

* Wed Jan 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.3-0vl1
- source upgrade

* Mon Dec 29 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.95-0vl1
- source upgrade
- add BuildPrereq: jasper-devel doxygen ImageMagick-devel pkgconfig

* Mon Sep 29 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.93-0vl1
- source upgrade

* Sat Sep 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.92-0vl2
- rebuild with kdelibs-3.1.4 and gcc-3.2.3

* Fri Aug 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.92-0vl1
- source upgrade
- BuildPrereq: wv2-devel >= 0.1.8 and add Requires: wv2

* Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.91-0vl1
- source upgrade
- built with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)
- change spec to build with gcc295
- remove patch
- add BuildPrereq: aspell-devel >= 0.50.2 and Requires: aspell
- add BuildPrereq: wv2-devel

* Mon May 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl4
- rebuild with kdelibs-3.1.2

* Thu Apr  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl3
- rebuild with kdelibs-3.1.1

* Sat Feb  8 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl2
- add patch

* Fri Feb  7 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.1-0vl1
- source upgrade
- change spec to build both VineSeed and Vine2.5/2.6

* Wed Oct 16 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl3
- objprelink2 support only ix86 (add %%ifarch %%{ix86} ... )

* Wed Oct  9 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl2
- rebuild with qt-3.0.5-0vl1
- BuildPrereq: autoconf253

* Mon Sep 23 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2-0vl1
- source upgrade
- no file conflicts from other package (maybe)
- add BuildPrereq: objprelink2 instead of objprelink (obsolete) 
- add BuildPrereq: libart_lgpl-devel and Requires: libart_lgpl
- add %%doc section

* Fri Jul  5 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl3
- add koffice-i18n-ja-1.1.1

* Thu May  2 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl2
- source upgrade to 1.1.1
- delete some .desktop files (they conflict files from kdelibs)

* Sun Mar 31 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1.1-1vl1
- merged with rawhide 1.1-0.cvs20010725.1
- source update to cvs-20020329
- add BuildPrereq: autoconf252 automake15
- add Epoch:1
- There is Vine's previous changes, hacked for Vine 
 -- Wed Dec 5 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 1.1-6vl1
  - Delete Epoch
  - Change BuildRequires and Requires
  - Build for VineSeed

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010725.1
- Increase Epoch

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.1-0.cvs20010724.1
- Don't build kivio on ia64 ATM (compiler bug)

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ldconfig in %%post and %%postun, replace absolute symlinks
  with relative symlinks (#24878)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't build on sparc and ia64 (Bug #23809)

* Sun Dec  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix compilation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
