Name:    kolourpaint
Summary: An easy-to-use paint program 
Summary(ja): 簡単に使えるペイントツール 
Version: 4.9.0
Release: 1%{?_dist_release}

License: BSD 
Group:   Applications/Graphics
URL:     https://projects.kde.org/projects/kde/kdegraphics/kolourpaint

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: qimageblitz-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
# when split occurred
Conflicts: kdegraphics < 4.6.95-10


%description
%{summary}.

%package  libs
Summary:  Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Requires: %{name} = %{version}-%{release}
License: LGPLv2

%description libs
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

## unpackaged files
rm -fv $RPM_BUILD_ROOT%{_libdir}/libkolourpaint_lgpl.so


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%doc AUTHORS BUGS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_docdir}/HTML/en/%{name}/

%files libs
%{_libdir}/libkolourpaint_lgpl.so.4*


%changelog
* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release

* Sun Aug 21 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-2
- Initial build for Vine Linux

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-3
- License: BSD, -libs: License: LGPLv2
- fix URL

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- fix Source0 URL
- Conflicts: kdegraphics < 7:4.6.90-10

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org>  4.6.90-1
- first try


