Summary: Simple text editor forked from Leafpad, supports GTK+ 3.x 
Summary(ja): GTK+ 3.x をサポートした、leafpad からフォークしたシンプルなテキストエディタ
Name: l3afpad
Version: 0.8.18.1.9
Release: 1%{?_dist_release}
License: GPLv2
Source: %{name}-%{version}.tar.xz
#Patch0: l3afpad_ja.patch

Vendor: Project Vine
Distribution: Vine Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.calno.com/l3afpad/
# another URL: http://l3afpad.blogspot.com/ , https://sites.google.com/site/l3afpad/
Group: Applications/Editors

BuildRequires: gettext
BuildRequires: gtk3-devel >= 3.0.10
BuildRequires: intltool >= 0.31
BuildRequires: perl
BuildRequires: atk-devel pango-devel cairo-devel

Requires: gtk3
Requires: atk pango
Requires: evince


%description
Lɜafpad is a simple GTK+ text editor that emphasizes simplicity. 
As development focuses on keeping weight down to a minimum, 
only the most essential features are implemented in the editor. 
Lɜafpad is simple to use, is easily compiled, requires few libraries, 
and starts up quickly.

Currently Lɜafpad has the following features: 

    * Codeset option (Some OpenI18N registered)
    * Auto codeset detection (UTF-8 and some codesets)
    * Unlimitted Undo/Redo
    * Auto/Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%description -l ja
Lɜafpad はシンプルさを重視した GTK+ のテキストエディタです。
重さを最小限に抑えることを開発の焦点としており、
必要不可欠な機能だけがエディタに実装されています。

Lɜafpad は簡単に使用するためにコンパイルが容易で
必須ライブラリが少なく、起動が高速です。

現在の Lɜafpad の機能は以下の通りです。

    * コードセットオプション (いくつかの OpenI18N が登録済)
    * 自動コードセット判別 (UTF-8 と いくつかのコードセット)
    * 無限の アンドゥ/リドゥ
    * 自動/マルチライン インデント
    * 行番号の表示
    * ドラッグ&ドロップ
    * 印刷


%prep

%setup -q
#fix desktop file error
sed -i 's/MimeType=text\/plain/MimeType=text\/plain;/g' data/l3afpad.desktop.in
#%patch0 -p1

%configure --enable-gtkgrid

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

# remove unnecessary files
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog README gpl-2.0.txt lgpl-2.1.txt
%{_bindir}/l3afpad
%{_datadir}/applications/l3afpad.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/pixmaps/l3afpad.png
%{_datadir}/pixmaps/l3afpad.xpm


%changelog
* Fri Jun 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.9-1
- new upstream release

* Thu Feb 23 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.8-1
- new upstream release

* Sat Jan 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.7-1
- new upstream release
- dropt patch0 to merge upstream

* Sun Dec 11 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.6-1
- new upstream release
- add patch0 to add new translation

* Thu Nov 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.5-1
- new upstream release

* Sun Oct 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.8.18.1.4-1
- initial build for VineSeed
