
# Fedora pkg-review: http://bugzilla.redhat.com/466764

Name: lensfun
Version: 0.2.5
Summary: Library to rectify defects introduced by photographic lenses
Release: 1%{?_dist_release}
License: LGPLv3 and CC-BY-SA
Group: System Environment/Libraries
URL: http://lensfun.berlios.de/
Source0: http://download.berlios.de/lensfun/lensfun-%{version}.tar.bz2
Patch0: lensfun-0.2.5-cpuid.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: libpng-devel
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: zlib-devel

Distribution: Vine Linux
Vendor: Project Vine
Packager: iwaim

%description
The lensfun library provides an open source database of photographic lenses and
their characteristics. It not only provides a way to read and search the
database, but also provides a set of algorithms for correcting images based on
detailed knowledge of lens properties. Right now lensfun is designed to correct
distortion, transversal (also known as lateral) chromatic aberrations,
vignetting and color contribution of a lens.

%package devel
Summary: Development toolkit for %{name}
Group:   Development/Libraries
License: LGPLv3
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains library and header files needed to build applications
using lensfun.

%prep
%setup -q 
%patch0 -p1 -b .cpuid


%build
# We can't use macro configure
./configure \
  --cflags="${CFLAGS:-%optflags}" \
  --cxxflags="${CXXFLAGS:-%optflags}" \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir}/lensfun \
  --libdir=%{_libdir} \
  --includedir=%{_includedir} \
  --libexecdir=%{_libexecdir} \
%ifnarch %{ix86} x86_64
  --vectorization \
%endif
  --target=..generic

# set GCC.LDFLAGS to avoid stripping and useless -debuginfo
make AUTODEP=0 %{?_smp_mflags} lensfun manual \
  V=1 \
  GCC.LDFLAGS.release=""


%install
rm -rf %{buildroot}
make AUTODEP=0 INSTALL_PREFIX=%{buildroot} install


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/*.txt
# currently, nothing is covered by GPLv3 (no apps in the package), no need to
# confuse people:
%exclude %{_docdir}/%{name}-%{version}/gpl-3.0.txt
%{_datadir}/lensfun/
%{_libdir}/liblensfun.so.0*

%files devel
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/manual/
%{_includedir}/lensfun.h
%{_libdir}/liblensfun.so
%{_libdir}/pkgconfig/lensfun.pc


%changelog
* Sun Sep  4 2011 IWAI, Masaharu <iwai@alib.jp> 0.2.5-1
- build for Vine Linux: based Fedora 0.2.5-5

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.2.5-4
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Nils Philippsen <nils@redhat.com> 0.2.5-3
- backport cpuid fixes (#631674)

* Mon Jul 26 2010 Dan Horák <dan[at]danny.cz> 0.2.5-2
- disable SSE vectorization on non x86 arches

* Mon Jun 07 2010 Nils Philippsen <nils@redhat.com> 0.2.5-1
- lensfun-0.2.5
- add CC-BY-SA to main package license tag for lens data
- don't ship GPLv3 text as nothing is licensed under it currently
- mark documentation files as such
- shorten summaries, expand package descriptions

* Sun Oct 18 2009 Rex Dieter <rdieter@fedoraproject.orG> 0.2.4-1
- lensfun-0.2.4 (#529506)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-3
- rebuild for pkgconfig deps

* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-2
- -devel: Requires: pkgconfig

* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- lensfun-0.2.3
- fix SOURCE Url
- configure --target=..generic

* Mon Oct 13 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-3
- BR: doxygen

* Mon Oct 13 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-2
- fix subpkg deps

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-1
- adapt for fedora

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.2.2b-1mdv2009.0
+ Revision: 228769
- Added missing buildrequires
- import lensfun
