Summary: Library for writing network programs
Name: linc
Version: 1.1.1
Release: 0vl1
Source: ftp://ftp.gnome.org/pub/gnome/sources/linc/1.0/%{name}-%{version}.tar.bz2
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig >= 0.14.0
BuildRequires: glib2-devel >= 2.2.2

%description

linc is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to
handle message transmission/receipt.

%package devel
Summary: Development libraries and header files for linc.
Group: Development/Libraries
Requires: linc = %{version}
Requires: pkgconfig >= 0.14.0
Requires: glib2-devel >= 2.2.2

%description devel

linc is a library that eases the task of writing networked servers and
clients. It takes care of connection initiation and maintainance, and
the details of varioustransports. It is used by the new ORBit to
handle message transmission/receipt.

This package contains the header files and libraries needed to write 
or compile programs that use linc.

%prep
%setup -q

%build
%configure --without-openssl
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_bindir}/*
%{_datadir}/aclocal/*
%{_datadir}/gtk-doc

%changelog
* Thu Jun 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-0vl1
- new upstream release

* Sat Dec 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp>
- build for Vine Linux

* Fri Aug 23 2002 Elliot Lee <sopwith@redhat.com> 0.5.2-2
- Fix resolution of IPv4 names that also have IPv6 addresses.

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.5.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.5.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.21
- disable SSL

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 0.1.20

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.1.18

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 0.1.16

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 0.1.12.90 snap

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap 0.1.9.90, rebuild for glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild on new glib

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with headers moved
- hrm, put headers in the devel package, doh

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap action

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to released 0.1.5 tarball

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- -devel package requires specific glib, update to new cvs snap

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Tue Sep  4 2001 Havoc Pennington <hp@pobox.com>
- create package


