%define luaver %(pkg-config --variable=V lua || echo missing)
%define lualibdir %{_libdir}/lua/%{luaver}

Name:           lua-rex
Version:        2.4.0
Release:        5%{?_dist_release}
Summary:        Regular expression handling library for Lua
Summary(ja):    正規表現を扱うための Lua ライブラリ

Group:          Development/Libraries
License:        MIT
URL:            http://lrexlib.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3599/lrexlib-2.4.0.zip
Patch0:         lrexlib-2.4.0-pmake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  oniguruma-devel
BuildRequires:  pcre-devel
BuildRequires:  lua-devel
BuildRequires:  pkgconfig
BuildRequires:  unzip
Requires:       lua = %{luaver}
Provides:       lrexlib = %{version}

%description
Lrexlib are bindings of three regular expression library APIs (POSIX, PCRE
and Oniguruma) to Lua.


%prep
%setup -q -n lrexlib-%{version}
%patch0 -p1 -b .pmake


%build
make %{?_smp_mflags} LD=cc MYCFLAGS="%{optflags} -fPIC %(pcre-config --cflags)" build


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{lualibdir}
cp -P */*/rex_{onig,pcre,posix}.so* $RPM_BUILD_ROOT%{lualibdir}


%check
make %{?_smp_mflags} test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{lualibdir}/*
%doc ChangeLog LICENSE NEWS README doc


%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> - 2.4.0-5
- rebuilt with rpm-4.8.1-3

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.0-4
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.0-3
- rebuilt with rpm-4.8.0-3 (on ppc)

* Wed Feb 03 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.4.0-2
- added BR: unzip

* Wed Feb 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-1
- initial build for Vine Linux

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 23 2008 Lubomir Rintel <lkundrak@v3.sk> - 2.4.0-3
- Compile shared library as PIC

* Wed Dec 17 2008 Lubomir Rintel <lkundrak@v3.sk> - 2.4.0-2
- Add doc directory to documentation
- Allow parallel make runs

* Tue Dec 16 2008 Lubomir Rintel <lkundrak@v3.sk> - 2.4.0-1
- Initial packaging
