Summary: Ensures program compatibility with GNUstep/OPENSTEP.
Summary(ja): GNUstep/OPENSTEP のプログラム互換性を保つライブラリ
Name: libPropList
Version: 0.10.1
Release: 13%{?_dist_release}
License: LGPL
Group: Development/Libraries
Source: ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
Patch0: libPropList-0.10.1-config64.patch
Patch1: libPropList-0.10.1-ltconfig.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: flex

%description
The libPropList library uses an opaque data type to represent a tree
structure made of strings, data blocks, arrays and dictionaries
(key-value pair lists). The tree structure can be manipulated, written
out to or read in from a file, and synchronized with the contents of a
file. LibPropList imitates the behavior of and is compatible with the
property lists used in GNUstep/OPENSTEP, which are formed with the
NSString, NSData, NSArray and NSDictionary classes.

LibPropList enables programs that use configuration or preference
files to make them compatible with GNUstep/OPENSTEP's user defaults
handling mechanism, without using Objective-C or GNUstep/OPENSTEP.


%prep 
%setup -q
%patch0 -p1 -b .config64
%patch1 -p1 -b .ltconfig
%configure --disable-static

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libPropList.so*
%{_includedir}/proplist.h


%changelog
* Sat Apr 23 2011 Shu KONNO <owa@bg.wakwak.com> 0.10.1-13
- rebuilt with rpm-4.8.1-3

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 0.10.1-12
- rebuilt with new toolchain
- updated libPropList-0.10.1-ltconfig.patch

* Wed Apr 29 2009 Shu KONNO <owa@bg.wakwak.com> 0.10.1-11vl5
- added libPropList-0.10.1-config64.patch
- added libPropList-0.10.1-ltconfig.patch
- added --disable-static in %%configure
- added BuildRequires: flex

* Wed Apr 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.1-10vl5
- changed Group to Development/Libraries
- removed %%post and %%postun section

* Sat Sep 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.10.1-9vl5
- removed *.la

* Sun Jun 01 2008 Shu KONNO <owa@bg.wakwak.com> 0.10.1-8vl5
- applied new versioning policy and utf-8

* Sun Jun 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.1-7vl3
- rebuild with new toolchains
- to use License instead of Copyright

* Tue Jan 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.10.1-7vl2
- Oops, the spec file was in Shift-JIS. Fixed.

* Wed Dec 27 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.10.1-7vl1
- based on 0.10.1-7 from Rawhide
- added Japanese summary
- use better macros

* Mon Dec 11 2000 Crutcher Dunnavant <crutcher@redhat.com>
- rebuild

* Mon Jul 31 2000 Trond Eivind Glomsr <teg@redhat.com>
- run ldconfig in post scripts

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Sat Jun 17 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%{_tmppath}
- specify ownership

* Thu Jun 08 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%makeinstall and %%configure

* Tue Apr 04 2000 Trond Eivind Glomsr <teg@redhat.com>
- version 0.10.1

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.9.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- packaged independently
