%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libX11 runtime library
Summary(ja): X.Org X11 libX11 ランタイムライブラリ
Name: libX11
Version: 1.5.0
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Patch0: libX11-0.99.3-datadir-locale-dir-fix.patch
# FIXME: https://bugs.freedesktop.org/show_bug.cgi?id=3646 seems to indicate
# this patch is now committed upstream.  When libX11-1.0.4 is released,
# manually confirm each patch hunk before removal.
Patch2: dont-forward-keycode-0.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: libxcb-devel >= 1.4
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
Requires(pre): xorg-x11-filesystem
Obsoletes: XFree86-libs, XOrg-libs

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>

%description
X.Org X11 libX11 runtime library

%package devel
Summary: X.Org X11 libX11 development package
Summary(ja): X.Org X11 libX11 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Requires: libXau-devel, libXdmcp-devel, libxcb-devel
Requires: pkgconfig
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libX11 development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libX11 runtime library
Summary(ja): X.Org X11 libX11 ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libX11 runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libX11 development package
Summary(ja): X.Org X11 libX11 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-libXau-devel, compat32-libXdmcp-devel, compat32-libxcb-devel

%description -n compat32-%{name}-devel
X.Org X11 libX11 development package

%prep
%setup -q
# FIXME: We are keeping this around, as upstream has a tendency for random
# people to revert fixes other people have applied, and have a 6-8 month tug
# of war with these things.  It's easier to leave this here than to try and
# find it later.
#%patch0 -p0 -b .datadir-locale-dir-fix
%patch2 -p1 -b .dont-forward-keycode-0

%build
%configure \
	--disable-dependency-tracking \
	--disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

# FIXME: Don't install Xcms.txt - find out why upstream still ships this.
find $RPM_BUILD_ROOT -name 'Xcms.txt' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/specs
rm -rf $RPM_BUILD_ROOT/%{_docdir}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS 
%dir %{_datadir}/X11
%dir %{_datadir}/X11/locale
%dir %{_datadir}/X11/locale/C
%{_datadir}/X11/locale/C/*
%dir %{_datadir}/X11/locale/am_ET.UTF-8
%{_datadir}/X11/locale/am_ET.UTF-8/Compose
%{_datadir}/X11/locale/am_ET.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/am_ET.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/fi_FI.UTF-8
%{_datadir}/X11/locale/fi_FI.UTF-8/Compose
%{_datadir}/X11/locale/fi_FI.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/fi_FI.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/armscii-8
%{_datadir}/X11/locale/armscii-8/*
%{_datadir}/X11/locale/compose.dir
%dir %{_datadir}/X11/locale/en_US.UTF-8
%{_datadir}/X11/locale/en_US.UTF-8/*
%dir %{_datadir}/X11/locale/el_GR.UTF-8
%{_datadir}/X11/locale/el_GR.UTF-8/*
%dir %{_datadir}/X11/locale/georgian-academy
%{_datadir}/X11/locale/georgian-academy/*
%dir %{_datadir}/X11/locale/georgian-ps
%{_datadir}/X11/locale/georgian-ps/*
%dir %{_datadir}/X11/locale/ibm-cp1133
%{_datadir}/X11/locale/ibm-cp1133/*
%dir %{_datadir}/X11/locale/iscii-dev
%{_datadir}/X11/locale/iscii-dev/*
%dir %{_datadir}/X11/locale/isiri-3342
%{_datadir}/X11/locale/isiri-3342/*
%dir %{_datadir}/X11/locale/iso8859-*
%{_datadir}/X11/locale/iso8859-*/*
%dir %{_datadir}/X11/locale/ja.*
%{_datadir}/X11/locale/ja.*/*
%dir %{_datadir}/X11/locale/ja
%{_datadir}/X11/locale/ja/*
%dir %{_datadir}/X11/locale/ja_JP.UTF-8
%{_datadir}/X11/locale/ja_JP.UTF-8/Compose
%{_datadir}/X11/locale/ja_JP.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/ja_JP.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/ko
%{_datadir}/X11/locale/ko/Compose
%{_datadir}/X11/locale/ko/XI18N_OBJS
%{_datadir}/X11/locale/ko/XLC_LOCALE
%dir %{_datadir}/X11/locale/ko_KR.UTF-8
%{_datadir}/X11/locale/ko_KR.UTF-8/Compose
%{_datadir}/X11/locale/ko_KR.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/ko_KR.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-c
%{_datadir}/X11/locale/koi8-c/Compose
%{_datadir}/X11/locale/koi8-c/XI18N_OBJS
%{_datadir}/X11/locale/koi8-c/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-r
%{_datadir}/X11/locale/koi8-r/Compose
%{_datadir}/X11/locale/koi8-r/XI18N_OBJS
%{_datadir}/X11/locale/koi8-r/XLC_LOCALE
%dir %{_datadir}/X11/locale/koi8-u
%{_datadir}/X11/locale/koi8-u/Compose
%{_datadir}/X11/locale/koi8-u/XI18N_OBJS
%{_datadir}/X11/locale/koi8-u/XLC_LOCALE
%{_datadir}/X11/locale/locale.alias
%{_datadir}/X11/locale/locale.dir
%dir %{_datadir}/X11/locale/microsoft-*
%{_datadir}/X11/locale/microsoft-*/*
%dir %{_datadir}/X11/locale/mulelao-1
%{_datadir}/X11/locale/mulelao-1/Compose
%{_datadir}/X11/locale/mulelao-1/XI18N_OBJS
%{_datadir}/X11/locale/mulelao-1/XLC_LOCALE
%dir %{_datadir}/X11/locale/nokhchi-1
%{_datadir}/X11/locale/nokhchi-1/Compose
%{_datadir}/X11/locale/nokhchi-1/XI18N_OBJS
%{_datadir}/X11/locale/nokhchi-1/XLC_LOCALE
%dir %{_datadir}/X11/locale/pt_BR.UTF-8
%{_datadir}/X11/locale/pt_BR.UTF-8/Compose
%{_datadir}/X11/locale/pt_BR.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/pt_BR.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/ru_RU.UTF-8
%{_datadir}/X11/locale/ru_RU.UTF-8/Compose
%{_datadir}/X11/locale/ru_RU.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/ru_RU.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/tatar-cyr
%{_datadir}/X11/locale/tatar-cyr/Compose
%{_datadir}/X11/locale/tatar-cyr/XI18N_OBJS
%{_datadir}/X11/locale/tatar-cyr/XLC_LOCALE
%dir %{_datadir}/X11/locale/th_TH.UTF-8
%{_datadir}/X11/locale/th_TH.UTF-8/Compose
%{_datadir}/X11/locale/th_TH.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/th_TH.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/th_TH
%{_datadir}/X11/locale/th_TH/Compose
%{_datadir}/X11/locale/th_TH/XI18N_OBJS
%{_datadir}/X11/locale/th_TH/XLC_LOCALE
%dir %{_datadir}/X11/locale/tscii-0
%{_datadir}/X11/locale/tscii-0/Compose
%{_datadir}/X11/locale/tscii-0/XI18N_OBJS
%{_datadir}/X11/locale/tscii-0/XLC_LOCALE
%dir %{_datadir}/X11/locale/vi_VN.tcvn
%{_datadir}/X11/locale/vi_VN.tcvn/Compose
%{_datadir}/X11/locale/vi_VN.tcvn/XI18N_OBJS
%{_datadir}/X11/locale/vi_VN.tcvn/XLC_LOCALE
%dir %{_datadir}/X11/locale/vi_VN.viscii
%{_datadir}/X11/locale/vi_VN.viscii/Compose
%{_datadir}/X11/locale/vi_VN.viscii/XI18N_OBJS
%{_datadir}/X11/locale/vi_VN.viscii/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.UTF-8
%{_datadir}/X11/locale/zh_CN.UTF-8/Compose
%{_datadir}/X11/locale/zh_CN.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.gb18030
%{_datadir}/X11/locale/zh_CN.gb18030/Compose
%{_datadir}/X11/locale/zh_CN.gb18030/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.gb18030/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN.gbk
%{_datadir}/X11/locale/zh_CN.gbk/Compose
%{_datadir}/X11/locale/zh_CN.gbk/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN.gbk/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_CN
%{_datadir}/X11/locale/zh_CN/Compose
%{_datadir}/X11/locale/zh_CN/XI18N_OBJS
%{_datadir}/X11/locale/zh_CN/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.UTF-8
%{_datadir}/X11/locale/zh_HK.UTF-8/Compose
%{_datadir}/X11/locale/zh_HK.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.big5
%{_datadir}/X11/locale/zh_HK.big5/Compose
%{_datadir}/X11/locale/zh_HK.big5/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.big5/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_HK.big5hkscs
%{_datadir}/X11/locale/zh_HK.big5hkscs/Compose
%{_datadir}/X11/locale/zh_HK.big5hkscs/XI18N_OBJS
%{_datadir}/X11/locale/zh_HK.big5hkscs/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW.UTF-8
%{_datadir}/X11/locale/zh_TW.UTF-8/Compose
%{_datadir}/X11/locale/zh_TW.UTF-8/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW.UTF-8/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW.big5
%{_datadir}/X11/locale/zh_TW.big5/Compose
%{_datadir}/X11/locale/zh_TW.big5/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW.big5/XLC_LOCALE
%dir %{_datadir}/X11/locale/zh_TW
%{_datadir}/X11/locale/zh_TW/Compose
%{_datadir}/X11/locale/zh_TW/XI18N_OBJS
%{_datadir}/X11/locale/zh_TW/XLC_LOCALE
%{_datadir}/X11/XErrorDB
#%{_datadir}/X11/XKeysymDB
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.3.0
%{_libdir}/libX11-xcb.so.1
%{_libdir}/libX11-xcb.so.1.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/XKBlib.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlib-xcb.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/cursorfont.h
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11.pc
%{_libdir}/pkgconfig/x11-xcb.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.3.0
%{_libdir}/libX11-xcb.so.1
%{_libdir}/libX11-xcb.so.1.0.0

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11.pc
%{_libdir}/pkgconfig/x11-xcb.pc
%endif

%changelog
* Wed Jun 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-1
- new upstream release

* Wed Mar 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.99.902-1
- new upstream release

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.99.901-1
- new upstream release
- update Patch2 (dont-forward-keycode-0.patch)
- add BuildRequires: xorg-x11-util-macros

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Mon Apr 25 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Sat Jan 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.6-1
- new upstream release
- fix %%files

* Tue Sep 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-3
- delete installation part of document
- fix %files (delete %doc documens/*)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.4-2
- build with rpm-4.8.1-1 for pkg-config file

* Fri Jul 30 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.4-1
- new upstream release

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.3-1
- new upstream release
- built with new toolchain

* Tue Nov 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.2-1
- new upstream release

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-1
- new upstream release

* Sun May 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.1-2
- added compat32 package for x86_64 arch support

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-1
- new upstream release

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new upstream release

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.5-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.4-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-1
- new versioning policy

* Sun Jan 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl1
- initial build for Vine Linux

* Fri Oct 19 2007 Kristian Høgsberg <krh@redhat.com> - 1.1.3-4
- Add patch from upstream to add keysyms for brightness buttons (#330491).

* Tue Oct 16 2007 Adam Jackson <ajax@redhat.com> 1.1.3-3
- libX11-devel Requires: libxcb-devel.

* Wed Oct 10 2007 Adam Jackson <ajax@redhat.com> 1.1.3-2
- libX11-1.1.3-xkb-lock-fix.patch: Don't LockDisplay() recursively.  Fixes
  Gnome hang at logout. (#326461)

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 1.1.3-1
- libX11 1.1.3

* Thu Sep 20 2007 Adam Jackson <ajax@redhat.com> 1.1.2-4
- Update xtrans dep and rebuild.

* Mon Sep 17 2007 Adam Jackson <ajax@redhat.com> 1.1.2-3
- libX11-1.1.2-GetMotionEvents.patch: Fix the definition of XGetMotionEvents
  to match the argument order in the headers. (#274671)

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.1.2-2
- Rebuild for build id

* Mon Jul 23 2007 Adam Jackson <ajax@redhat.com> 1.1.2-1
- libX11 1.1.2.
- Enable XCB for libX11 transport.

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.0.3-9
- Don't install INSTALL

* Fri Apr 06 2007 Adam Jackson <ajax@redhat.com> 1.0.3-8
- Fix for CVE 2007-1667.

* Mon Jan 29 2007 Adam Jackson <ajax@redhat.com> 1.0.3-7
- Fix xim fd leak.

* Thu Nov 09 2006 Caius Chance <cchance@redhat.com> 1.0.3-6.fc7
- Fix XIM hangs when switching input context (Soren Sandmann, #201284)

* Fri Oct 13 2006 Kristian Høgsberg <krh@redhat.com> 1.0.3-5.fc7
- Add pkgconfig dependency for -devel package.

* Sat Sep 30 2006 Soren Sandmann <sandmann@redhat.com> 1.0.3-4.fc6
- Fix patch so it actually applies. (#208508)

* Sat Sep 30 2006 Soren Sandmann <sandmann@redhat.com> 1.0.3-4.fc6
- Fix typos in patch for indic locales (#208580)

* Wed Sep 20 2006 Soren Sandmann <sandmann@redhat.com> 1.0.3-3.fc6
- Add patch to not forward keycode 0 (#194357).

* Wed Jul 19 2006 Mike A. Harris <mharris@redhat.com> 1.0.3-2.fc6
- Added libX11-nls-indic-locales-bug185376.patch to add support for various
  indic locales which have now been committed upstream (#185376)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.3-1.1.fc6
- rebuild

* Mon Jul 10 2006 Mike A. Harris <mharris@redhat.com> 1.0.3-1.fc6
- Updated libX11 to version 1.0.3
- Remove libX11-1.0.1-setuid.diff as it is included in the 1.0.3 release.
- Added 'dist' tag to "Release:"

* Wed Jun 28 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-1
- Updated libX11 to version 1.0.2
- Bump BuildRequires and Requires to "xorg-x11-proto-devel >= 7.1-2" to meet
  new "xproto >= 7.0.6" dependency.
- Disable libX11-0.99.3-datadir-locale-dir-fix.patch as it is now included
  upstream.
- Remove autoconf dependency as we no longer need it.

* Tue Jun 20 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Added libX11-1.0.1-setuid.diff to fix potential security issue (#196094)
- Change dependency on "filesystem" package to "xorg-x11-filesystem" package,
  so we can control this dep centrally.
- Added NEWS to doc list.

* Wed Jun 07 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Remove package ownership of mandir/libdir/etc.

* Fri May 12 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-1
- Bump to 1.0.1

* Thu Feb 23 2006 Christopher Aillon <caillon@redhat.com> 1.0.0-3
- Look for the versioned libXcursor.so.1 (fixes 179044)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Dec 24 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-2
- Added "Requires: libXau-devel, libXdmcp-devel" to -devel subpackage (#176313)

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated libX11 to version 1.0.0 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.4-1
- Updated libX11 to version 0.99.4 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-4
- Added libX11-0.99.3-datadir-locale-dir-fix.patch, to fix build to install
  the locale data files into datadir instead of libdir. (#173282)

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> 0.99.3-3
- require newer filesystem package (#172610)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-2
- Moved _smp_mflags from 'make install' to 'make' invocation, duh.

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Updated libX11 to version 0.99.3 from X11R7 RC2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Nov 07 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Fix devel subpackage summary and description with s/libXdmcp/libX11/

* Fri Oct 21 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated to libX11-0.99.2 from the X11R7 RC1 release.
- Added en_GR.UTF-8 locale to file manifest.
- Forcibly remove Xcms.txt

* Sun Oct 02 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-4
- Added _smp_mflags to make invocation to speed up SMP builds

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1.1
- Added Requires: xorg-x11-proto-devel to libX11-devel subpackage

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
