Summary: Cross Platform Audio Output Library.
Name: libao
Version: 0.8.8
Release: 4%{?_dist_release}
Group: System Environment/Libraries
License: GPL
URL: http://www.xiph.org/ao/
Source: http://downloads.xiph.org/releases/ao/libao-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl audiofile
BuildRequires: glib2-devel alsa-lib-devel pulseaudio-libs-devel

%description
Libao is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms.  It currently
supports:
   * Null output
   * WAV files
   * ALSA (Advanced Linux Sound Architecture)
   * pulseaudio (next generation GNOME sound server)
   * AIX
   * Solaris (untested)
   * IRIX (untested)

This package provides plug-ins for OSS, ESD, ALSA, PulseAudio and aRts.  
You will need to install the supporting libraries for any plug-ins you 
want to use in order for them to work.

%package devel
Summary: Cross Platform Audio Output Library Development.
Group: Development/Libraries
Requires: libao = %{version}-%{release}

%description devel
The libao-devel package contains the header files, static libraries and
documentation needed to develop applications with libao.

%prep
%setup -q
perl -p -i -e "s/-O20/$RPM_OPT_FLAGS/" configure
perl -p -i -e "s/-ffast-math//" configure

%build
%configure \
  --disable-broken-oss \
  --disable-esd \
  --disable-arts \
  --disable-nas
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm doc/Makefile*
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libao.so.*
%{_libdir}/ao/*/*.so
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/ao
%{_libdir}/libao.so
#{_libdir}/libao.la
%{_libdir}/ao/*/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/ao.m4

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Jul 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.8-4
- disable arts, nas, esd

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.8-3
- rebuild with rpm-4.8.1 for pkg-config file

* Fri Aug 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.8-2
- remove all Requires:

* Mon Sep  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-1
- applied new versioning policy
- rebuilt with pulseaudio

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl1
- new upstream release

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.6-0vl2
- rebuild with new toolchain

* Thu Jul 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.6-0vl1
- new upstream release
- remove --disable-alsa --disable-alsa09 from configure option
- add BuildPrereq: alsa-lib-devel and Requires: alsa-lib
- add --disable-broken-oss to configure option
- update %%description and %%files
- update source-URL

* Mon Oct 18 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.5-0vl1
- source upgrade
- update URLs
- add BuildPrereq: glib2-devel, Requires: glib2
- s/Copyright/License/

* Sat Nov 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.4-0vl2
- rebuild for VineSeedPlus

* Sat Nov 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.4-0vl1
- source upgrade
- build for VinePlus/2.6
- add %%{_libdir}/pkgconfig/*.pc to devel package

* Sat Oct  4 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.3-0vl3
- rebuild with new toolchain

* Sun Jan 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.3-0vl2
- rebuild with new toolchain

* Wed Jul 24 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.8.3-0vl1
- source upgrade
- add --disable-alsa --disable-alsa09 to %configure option
- remove Patch and Source1
- change BuildPrereq: kdelibs-sound-devel -> arts-devel >= 1:1.0.3
- update %description and %description devel
- add BuildPrereq: perl audiofile esound-devel >= 0.2.8
- add static libraries to -devel package
- add PreReq: ldconfig
- add Requires: arts audiofile esound

* Sat Jan 12 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 0.8.2-1vl1
- build for VineSeed

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 0.8.2

* Tue Aug 14 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.0

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split this off from the vorbis package, as something else now requires it

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
