# No debug information gets generated from a static lib, so
# debuginfo will be empty.
%define debug_package %{nil}

Summary:        Atomic memory update operations
Name:           libatomic_ops
Version:        1.2
Release:        1%{?_dist_release}

Group:          Development/Libraries
License:        GPL/MIT
URL:            http://www.hpl.hp.com/research/linux/atomic_ops/
Source0:        http://www.hpl.hp.com/research/linux/atomic_ops/download/%{name}-%{version}.tar.gz
Patch1:		libatomic_ops-1.2-ppclwzfix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.


%package devel
Summary:        Atomic memory update operations
Group:          Development/Libraries

%description devel
Provides implementations for atomic memory update operations on a
number of architectures. This allows direct use of these in reasonably
portable code. Unlike earlier similar packages, this one explicitly
considers memory barrier semantics, and allows the construction of code
that involves minimum overhead across a variety of architectures.


%prep
%setup -q
%patch1 -p1
chmod a-x src/*.h

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_includedir}/atomic_ops.h
%{_includedir}/atomic_ops_malloc.h
%{_includedir}/atomic_ops_stack.h
%{_includedir}/atomic_ops
%{_libdir}/%{name}*.a
%{_datadir}/%{name}


%changelog
* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-1
- initial build for Vine Linux

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2-3
- Autorebuild for GCC 4.3

* Tue May 29 2007 Pierre Ossman <drzeus@drzeus.cx> 1.2-2
- Added fix for PPC AO_load_acquire.

* Fri Nov 10 2006 Pierre Ossman <drzeus@drzeus.cx> 1.2-1
- Update to 1.2.

* Sat Sep  9 2006 Pierre Ossman <drzeus@drzeus.cx> 1.1-2
- Fix naming of package.
- General cleanup of spec file.

* Wed Aug 30 2006 Pierre Ossman <drzeus@drzeus.cx> 1.1-1
- Initial package for Fedora Extras.
