%define capseo_version 0.3.0

# Tarfile created using git
# git clone git://gitorious.org/capseo/mainline.git libcapseo
# cd libcapseo
# git-archive --format=tar --prefix=libcapseo-%{capseo_version}/ %{git_version} | bzip2 > libcapseo-%{capseo_version}-%{gitdate}.tar.bz2

%define gitdate 20081031
%define git_version 431a293

%define tarfile %{name}-%{capseo_version}-%{gitdate}.tar.bz2
%define snapshot %{gitdate}git%{git_version}

Summary:        A realtime encoder/decoder library
Name:           libcapseo
Version:        %{capseo_version}
Release:        0.%{snapshot}.2%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv3
URL:            http://gitorious.org/projects/capseo/

# Fedora specific snapshot no upstream release (yet)
Source0:        %{tarfile}

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libtool automake autoconf 
BuildRequires:  pkgconfig
BuildRequires:  libtheora-devel
BuildRequires:  libogg-devel
BuildRequires:  libX11-devel
BuildRequires:  mesa-libGL-devel

%description
Capseo is a realtime video codec being used by libcaptury/captury
for encoding captured video frames in realtime. (think of FRAPS codec).

Applications using capseo currently are libcaptury for encoding
captured data, e.g. currently from third-party OpenGL applications
via captury, the OpenGL video capturing tool.

%package devel
Summary: Files needed for development using %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
#Requires: libtheora-devel
#Requires: libogg-devel
#Requires: libX11-devel
#Requires: mesa-libGL-devel
#Requires: pkgconfig

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Encoding/Decoding tools for capseo
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description tools
Utilities for capseo

%prep
%setup -q -n %{name}-%{version}
./autogen.sh

%build
%configure --disable-static --enable-theora --disable-examples
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_libdir}/*.so.*

%files tools
%defattr(-,root,root,-)
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libcapseo.so
%{_libdir}/pkgconfig/capseo.pc

%changelog
* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.3.0-0.20081031git431a293.2
- rebuilt with rpm-4.8.1

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.3.0-0.20081031git431a293.1
- Initial build for Vine Linux

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-0.2.20081031git431a293
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 14 2008 Shawn Starr <spstarr@fedoraproject.org> 0.3.0-0.1.20081031git431a293
- New upstream snapshot release 0.3.0

* Thu Oct 2 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-0.2.20080603gita6ec446
- increment Release (#465297)

* Tue Jul 1 2008 Shawn Starr <spstarr@fedoraproject.org> 0.2.0-0.1.20080603gita6ec446
- Upstream snapshot, change GPLv2 to GPLv3. 
- Fix minor configure script issue.

* Sat May 3 2008 Shawn Starr <shawn.starr@rogers.com> 0.2.0-0.1.20080323git1c5f3e5
- Initial Fedora package.
