%define _name libdc1394

Summary: 1394-Based Digital Camera Control Library (ver.1.2.x)
Summary(ja): IEEE1394 ベースのデジタルカメラ制御ライブラリ (ver 1.2.x)
Name: libdc1394-12
Version: 1.2.2
Release: 2%{?_dist_release}
License: LGPLv2+
Group: System Environment/Libraries
Source: http://downloads.sourceforge.net/%{_name}/%{_name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{_name}-%{version}-root

BuildRequires: kernel-headers
BuildRequires: libraw1394-devel
BuildRequires: doxygen libtool
BuildRequires: xorg-x11-devel

%description
libdc1394 provides functionality to control any camera that conforms to the
1394-Based Digital Camera Specification.
This package dont provide dc1394_vloopback, dc1394_vloopback is provided by
libdc1394 package.

%description -l ja
libdc1394 は IEEE1394 ベースのデジタルカメラ規格に沿ったカメラをコントロール
する機能を提供しています。
このパッケージでは dc1394_vloopback は提供していません。
dc1394_vloopback は、libdc1394 パッケージにて提供されています。

%package devel
Summary: Development libs for libdc1394 (ver 1.2.x)
Summary(ja): libdc1394 用開発ライブラリ (ver 1.2.x)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries required to build applications using libdc1394.

%description devel -l ja
libdc1394 を使用するアプリケーションのビルドに必要な開発ライブラリです。

%prep
%setup -q -n libdc1394-1.2.2

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_bindir}/*
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
#%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libdc1394
%{_libdir}/lib*.so


%changelog
* Fri Oct 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.2-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Jun 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.2-1vl5
- new upstream release
 - provide library and developping file, but bin file (dc1394_vloopback) don't provide
   (dc1394_vloopback is provided by libdc1394 package, because confilct)
- added configure option (--disable-static)
- added BuildRequires: libtool xorg-x11-devel
- added Japanese description

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-2vl5
- added BuildRequires: libraw1394-devel

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Tue Aug 14 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.1-0vl2
- added obsolete_time.patch: CLK_TCK updated to CLOCKS_PER_SEC 

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-0vl1
- new upstream release
- s/Copyright/License/

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.0-0vl1
- new upstream release

* Sat Mar 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.3-0vl1
- initial build
