Summary: 1394-Based Digital Camera Control Library
Summary(ja): IEEE1394 ベースのデジタルカメラ制御ライブラリ
Name: libdc1394
Version: 2.1.2
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2+
URL: http://damien.douxchamps.net/ieee1394/libdc1394/

Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0: libdc1394-1.2.1-obsolete_time.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kernel-headers
BuildRequires: libraw1394-devel
BuildRequires: doxygen

%description
libdc1394 provides functionality to control any camera that conforms to the
1394-Based Digital Camera Specification.

%description -l ja
libdc1394 は IEEE1394 ベースのデジタルカメラ規格に沿ったカメラをコントロール
する機能を提供しています。

%package devel
Summary: Development libs for libdc1394
Summary(ja): libdc1394 用開発ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries required to build applications using libdc1394.

%package docs
Summary: Development documentation for %{name}
Summary(ja): libdc1394 用開発ドキュメント
Group: Documentation

%description docs
This package contains the development documentation for %{name}.

%package tools
Summary: Tools for use with %{name}
Summary(ja): libdc1394で使うツール
Group: Applications/System
Requires: %{name} = %{version}

%description tools
This package contains tools that are useful when working and
developing with %{name}.

%prep
%setup -q

%build
%configure --disable-static --enable-doxygen-html --enable-doxygen-dot %{!?_without_juju:--with-juju-dir=/usr/include}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
make doc

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

%{!?_without_juju:rm -f %{buildroot}/%{_mandir}/man1/dc1394_vloopback.1}

## remove unuse files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libdc1394*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc examples/*.h examples/*.c
%{_includedir}/dc1394/
%{_libdir}/libdc1394*.so
%{_libdir}/pkgconfig/%{name}-2.pc

%files docs
%defattr(-, root, root, 0755)
%doc doc/html/*

%files tools
%defattr(-, root, root, 0755)
%{_bindir}/dc1394_reset_bus
%{_bindir}/dc1394_vloopback
%{_mandir}/man1/*.gz
%{?_without_juju:%{_mandir}/man1/dc1394_vloopback.1.gz}

%changelog
* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.2-2
- rebuilt with new toolchain and rpm-4.8.1

* Sat Jun 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.1.2-1vl5
- new upstream release
  -splited -docs, -tools file
- dropt Patch0

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-2vl5
- added BuildRequires: libraw1394-devel

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Tue Aug 14 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.1-0vl2
- added obsolete_time.patch: CLK_TCK updated to CLOCKS_PER_SEC 

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-0vl1
- new upstream release
- s/Copyright/License/

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.0-0vl1
- new upstream release

* Sat Mar 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.3-0vl1
- initial build
