%define pkg_version 0.2.2
%define pkg_release 3%{?_dist_release}

Summary:	A library for creating MusicBrainz DiscIDs from audio CDs
Summary(ja):	音楽 CD から MusicBrainz ディスク ID を作成するためのライブラリ
Name:		libdiscid
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	%{name}-%{version}.tar.gz

License:	LGPL
Group:		System Environment/Libraries 
URL:		http://musicbrainz.org/doc/libdiscid/ 

BuildRequires:	pkgconfig

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Libdiscid is a C library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz. Additionally, it provides a
submission URL for adding the DiscID to the database. 

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The libdiscid-devel package contains libraries and header files for
developing applications that use libdiscid.

%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}/%{_libdir}/*.la

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libdiscid.so
%{_libdir}/pkgconfig/libdiscid.pc
%{_includedir}/discid


%changelog
* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-3
- fixed Group typo

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- rebuild package

* Sun May 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build for Vine Linux

