Name:		libdnd
Version:	1.1
Release:	7%{?_dist_release}
License:	GPL
Group:		System Environment/Libraries

Vendor:		Project Vine
Distribution:	Vine Linux

Summary:	The DND Protocol version 1.1
Summary(ja):	OffiX のドラッグアンドドロップライブラリです。
Packager:	MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
Source0:	http://leb.net/OffiX/dnd.%{version}.tgz
Patch1:		Makefile-shared.patch
Patch2:		dnd-signedchar.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libSM-devel
BuildRequires:  libICE-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXaw-devel >= 1.0.5
BuildRequires:  libXt-devel
BuildRequires:  libX11-devel
Obsoletes:	dnd

%description
shared libraries of OffiX drag and drop protocol.

%description -l ja
OffiXのドラッグアンドドロッププロトコルのシェアードライブラリです。


%package devel
Summary:     header files and libraries for dnd development
Summary(ja): DNDアプリケーションの開発用のヘッダおよびライブラリです。
Group:       Development/Libraries
Requires:    libdnd = %{version}
Obsoletes:   dnd-devel

%description devel
header files and static libraries for DND development

%description devel -l ja
DNDアプリケーションを開発するのに必要なヘッダファイルとスタティック
リンク用のライブラリを含んでいます。


%prep
%setup -q -n DND
%patch1 -p0 -b .shared
%patch2 -p0 -b .gcc295


%build
cd DNDlib
./configure --prefix=%{_prefix} --libdir='${exec_prefix}'/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

cd DNDlib
make install prefix=$RPM_BUILD_ROOT%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc DNDlib/CHANGELOG DNDlib/README DNDlib/dndtest
%{_libdir}/libDnd++.so.1.1
%{_libdir}/libDnd++.so.1
%{_libdir}/libDnd.so.1.1
%{_libdir}/libDnd.so.1

%files devel
%defattr(-,root,root)
%doc COPYING COPYING.LIB Copyright DNDdoc/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*


%changelog
* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-7
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Mon Sep 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-6
- applied new versioning policy
- spec in UTF-8
- added xorg-x11 BuildRequires

* Sun Mar 11 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.1-5vl2
- added --libdir='${exec_prefix}'/%%{_lib} as configure option

* Tue May 27 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp>
- 1.1-5vl1
- rebuilt.
- use some macros
- tag changed(Copyright -> License)

* Mon Nov 06 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.1-5
- Oops, %installr should be %install :-(
  (thanks Hiroshima-san for pointing it out)

* Thu Mar 02 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.1-4
- added a patch for gcc-2.95

* Wed Jan 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.1-3
- package name changed to libdnd

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- change Group
- build for Vine Linux 2.0

* Sat Aug 14 1999 NAKAMURA Takahiro <harrier@mwe.biglobe.ne.jp>
- built with shared libraries
