Name: libdv
Summary: A software codec for DV video.
Summary(ja): DVビデオのためのソフトウエアコーデック
Version: 1.0.0
Release: 3%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: http://libdv.sourceforge.net/

Source: http://prdownloads.sourceforge.net/libdv/%{name}-%{version}.tar.gz
Patch0: libdv-0.104-amd64reloc.patch
Patch1: libdv-1.0.0-gtk2.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: gtk2-devel

%description 
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 


%package devel
Summary: Development package for libdv library.
Summary(ja): libdv ライブラリの開発用パッケージ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The Quasar DV codec (libdv) is a software codec for DV video, the encoding
format used by most digital camcorders, typically those that support the
IEEE 1394 (a.k.a. FireWire or i.Link) interface. Libdv was developed
according to the official standards for DV video: IEC 61834 and SMPTE 314M. 

This is the libraries, include files and other resources that are used to
incorporate libdv into applications.


%package tools
Summary: Basic tools to manipulate Digital Video streams
Summary: デジタルビデオストリームを扱うための基本ツール
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description tools
This package contains some basic programs to display and encode
digital video streams. This programs uses the Quasar DV codec (libdv),
a software codec for DV video, the encoding format used by most
digital camcorders, typically those that support the IEEE 1394
(a.k.a. FireWire or i.Link) interface.

%prep
%setup -q
%patch1 -p1 -b .gtk2

%build
libtoolize
autoreconf -f -i

%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

#rm -f %{buildroot}%{_libdir}/*.{a,la}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPY* NEWS README* TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/*

%files tools
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-3
- rebuilt with rpm-4.8.1 for pkg-config
- fixed typo at changelog

* Sun Jul 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-2
- add Patch1 to build with gtk2
  - add BR: gtk2-devel instead of gtk+-devel
- remove static libs

* Tue Aug 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.0-1vl5
- applied new versioning policy, spec in utf-8

* Sun Feb 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-0vl1
- new upstream release
- dropped Patch0 (merged into upstream)

* Tue Oct 17 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.104-0vl2
- added amd64reloc.patch

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.104-0vl1
- new upstream release

* Thu Apr 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.102-0vl1
- new upstream release

* Fri Feb 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.101-0vl1
- initial build for Vine Linux
- new upstream release

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.

* Thu Jan 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.99.

* Thu Sep 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file rewrite from the one included with the sources.

