
Summary: Accessibility implementation for GTK+ and GNOME libraries
Name: libgail-gnome
Version: 1.20.4
Release: 1%{?_dist_release}
#Following is dead URL now
URL: http://developer.gnome.org/projects/gap
#VCS: git:git://git.gnome.org/libgail-gnome
Source0: http://download.gnome.org/sources/libgail-gnome/1.20/%{name}-%{version}.tar.bz2
License: LGPLv2+
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: at-spi

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires: gtk2-devel
BuildRequires: atk-devel
BuildRequires: at-spi-devel
BuildRequires: libbonoboui-devel
BuildRequires: libgnomeui-devel >= 1.1.0
BuildRequires: libSM-devel
%if %{?_dist_release} != "vl5"
BuildRequires: gnome-panel-devel
%else
BuildRequires: gnome-panel
%endif

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and GNOME
libraries, enabling accessibility technologies such as at-spi to access
those GUIs.

libgail-gnome contains the GNOME portions of GAIL.

%package devel
Summary: Files to compile applications that use the GNOME portions of GAIL
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: atk-devel
Requires: libbonoboui-devel
Requires: gtk2-devel

%description devel
libgail-gnome-devel contains the files required to compile applications against
the GNOME portions of the GAIL libraries.

%prep
%setup -q

%build
%configure --disable-static

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/libgail-gnome.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/libgail-gnome.schemas > /dev/null || :
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/libgail-gnome.schemas >/dev/null || :


%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/gtk-2.0/modules/*
%{_sysconfdir}/gconf/schemas/libgail-gnome.schemas

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*


%changelog
* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.20.4-1
- initial build for Vine Linux


* Fri Sep 10 2010 Parag Nemade <paragn AT fedoraproject.org> 1.20.3-2
- Merge-review cleanup (#226006)

* Tue Jun 29 2010 Matthias Clasen <mclasen@redhat.com> - 1.20.3-1
- Update to 1.20.3

* Wed Apr  7 2010 Matthias Clasen <mclasen@redhat.com> - 1.20.2-2
- Spec file cleanups

* Tue Mar 30 2010 Matthias Clasen <mclasen@redhat.com> - 1.20.2-1
- Update to 1.20.2

* Mon Aug  3 2009 Matthias Clasen <mclasen@redhat.com> - 1.20.1-4
- Drop unneeded direct deps

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 23 2008 Matthias Clasen <mclasen@redhat.com> - 1.20.1-1
- Update to 1.20.1

* Fri Feb  8 2008 Matthias Clasen <mclasen@redhat.com> - 1.20.0-2
- Rebuild for gcc 4.3

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 1.20.0-1
- Update to 1.20.0

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.19.5-2
- Rebuild for selinux ppc32 issue.

* Tue Aug  7 2007 Matthias Clasen <mclasen@redhat.com> - 1.19.5-2
- Update license field

* Tue Jul 10 2007 Matthias Clasen <mclasen@redhat.com> - 1.19.5-1
- Update to 1.19.5

* Sat Jul  7 2007 Matthias Clasen <mclasen@redhat.com> - 1.18.0-3
- Fix directory ownership issues

* Thu Mar 15 2007 Karsten Hopp <karsten@redhat.com> 1.18.0-2
- rebuild with current gtk2 to add png support (#232013)

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 1.18.0-1
- Update to 1.18.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.3-1.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.1.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 
- Update to 1.1.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 1.1.2-1
- Update to 1.1.2

* Wed Mar 30 2005 Matthias Clasen <mclasen@redhat.com> 1.1.0-4
- Split off a -devel package.  (#152499)

* Sun Mar  6 2005 Matthias Clasen <mclasen@redhat.com> 1.1.0-3
- Add a BuildRequires for gnome-panel-devel (#137544)
- Include the .pc file (#119742)

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1.1.0-2
- Rebuild with gcc4

* Thu Aug  5 2004 Mark McLoughlin <markmc@redhat.com> 1.1.0-1
- Update to 1.1.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 1.0.2-2
- rebuild

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 1.0.2-1
- 1.0.2
- no longer need to fix location of gtk modules

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Havoc Pennington <hp@redhat.com> 1.0.0-6
- rebuild with new at-spi

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.0.0-4
- remove unpackaged files from the buildroot

* Mon Jun 24 2002 Matt Wilson <msw@redhat.com>
- modules go in gtk-2.0/modules, not gtk-2.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- initial package

