Name:           libgexiv2
Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library
Summary(ja):    Exiv2 ライブラリの GObject ベースのラッパー
Version:        0.4.1
Release:        2%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://trac.yorba.org/wiki/gexiv2

Source0:        http://yorba.org/download/gexiv2/stable/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  exiv2-devel >= 0.19
BuildRequires:  expat-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libtool

%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library.
It makes the basic features of Exiv2 available to GNOME applications.

%description -l ja
gexiv2 は Exiv2 ライブラリの GObject ベースのラッパーです。
Exiv2 の基本的な機能が GNOME アプリケーションで利用できるようになります。

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala
Requires:       exiv2-devel
Requires:       glib2-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
## configure fails with the error:
## configure: Invalid argument --program-prefix=
## http://trac.yorba.org:8000/ticket/2001

echo '%{configure}' | sed '/--program-prefix=/d' >build.tmp
echo 'make %{?_smp_mflags}' >>build.tmp
sh build.tmp

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIB=%{_lib}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
 
%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING MAINTAINERS
%{_libdir}/libgexiv2.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gexiv2/
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%{_datadir}/vala/vapi/gexiv2.vapi


%changelog
* Sun Jul 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-2
- rebuild with exiv2-0.23

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-2
- rebuilt with exiv2-0.21.1
- added Patch100

* Sun Jan 9 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-1
- new upstream release

* Fri Oct 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1
- new upstream release

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.2.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.2.0-2
- add Requires: exiv2-devel, glib2-devel (devel package)

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release

* Wed Jul 14 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.0-1
- initial build for VineSeed

* Mon Jun 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.91-2
- changed file section so package owns the directory containing headers too

* Fri Jun 11 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.91-1
- updated to latest release
- removed patch - it was included in this release

* Sat Jun 05 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-5
- changed configure macro as per bug report comment

* Sat Jun 05 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-4
- changed configure portion
- added Requires:  vala for devel
- made the file section more precise
- bugzilla #599097 
- changed patch to include a default LIB setting

* Fri Jun 04 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-3
- patched makefile

* Thu Jun 03 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-2
- some fixes in spec
- moved *.vapi to devel
- removed INSTALL from doc
- added comment to yorba ticket link
- corrected typo in description

* Wed Jun 02 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.0.90-1
- initial rpmbuild
