%define	ver	1.0.9
%define	rel	1%{?_dist_release}
%define	name	libghttp

Summary:	GNOME http client library
Summary(ja):	GNOME HTTPクライアントライブラリ
Name:		%name
Version:	%ver
Release:	%rel
License:	LGPL
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root
#Docdir:	%{_prefix}/doc
URL:		http://www.gnome.org/
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.0/%{name}-%{ver}.tar.gz

# patch for vine
Patch0:		libghttp-1.0.6-timeout.patch
Patch1:     libghttp-1.0.9-config.sub.patch

%description
Library for making HTTP 1.1 requests.

%description -l ja
HTTP 1.1 リクエストを作成するためのライブラリ

%package devel
Summary:	GNOME http client development
Summary(ja):	GNOME HTTPクライアント開発
Group:		Development/Libraries
Requires:	%{name} = %{PACKAGE_VERSION}

%description devel
Libraries and includes files you can use for libghttp development

%description -l ja devel
libghttp開発で使用するライブラリとヘッダファイル


%prep
%setup -q
%patch0 -p1 -b .timeout
%patch1 -p1 -b .config.sub

%build
%configure --target=%{_arch}-pc-linux-gnu
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
#if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
#  echo "%{prefix}/lib" >> /etc/ld.so.conf
#fi

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/ghttp.html
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
#%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.9-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Wed Aug 29 2007 Shu KONNO <owa@bg.wakwak.com> 1.0.9-0vl4
- s/Copyright/License/
- added --target=%%{_arch}-pc-linux-gnu to configure
- added Patch1: libghttp-1.0.9-config.sub.patch for x86_64

* Sat Jun 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.9-0vl3
- changed %{_docdit} to default

* Thu Jun 12 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.9-0vl2
- Rebuild with new toolchains
- fixed URL at Source 

* Thu Mar 15 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.9-0vl1
- New upstream release.

* Thu Dec 28 2000 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.8.cvs20001228-0vl1
- Build for GtkHTML

* Thu Dec 14 2000 Yoichi Imai <yoichi@silver-forest.com>
- 1.0.8-0vl1
- updated to 1.0.8

* Wed Sep 06 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0.7-0vl1
- updated to 1.0.7
- added %build section

* Wed Apr 26 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.0.6
- added japanese description and summary.
- added my poor timeout patch for stability.

* Wed Apr  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.0.5

* Sat Sep 18 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine

