Summary: GKSu libraries
SUmmary(ja): GKSu ライブラリ
Name: libgksu
Version: 2.0.12
Release: 2%{?_dist_release}
Url: http://www.nongnu.org/gksu/
Group: System Environment/Libraries
License: GPL

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

Source: http://people.debian.org/~kov/gksu/%{name}-%{version}.tar.gz
Source10: libgksu-2.0.9-ja.po
Patch0: libgksu-2.0.5-i18n.patch
Patch1: libgksu-2.0.9-ja.patch

# patches from ubuntu
Patch9: libgksu-2.0.9-multihead.patch
Patch12: libgksu-2.0.9-no_password_dialog.patch
Patch13: libgksu-2.0.9-startup_notification.diff
Patch14: libgksu-2.0.9-polish_startup.diff
Patch15: libgksu-2.0.12-extra_paranoia_for_gconf.diff.patch
Patch17: libgksu-2.0.9-composited_fade.patch
Patch18: libgksu-2.0.9-g_markup_escape_text_for_command.patch
Patch20: libgksu-2.0.9-better_usleep.patch
Patch21: libgksu-2.0.9-composited_rgba_addition.patch
Patch22: libgksu-2.0.9-sudo_keep_env.patch
Patch30:  libgksu-2.0.12-revert-forkpty.patch

Patch100: libgksu-2.0.12-default-sudo_mode.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: libgtop2-devel
BuildRequires: startup-notification-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils

%description
GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su 
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n gksu-utils
Summary: Utilities package for %{name}
Group: Applications/System
Requires: %{name} = %{version}

%description -n gksu-utils
Utilities package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It
supports login shells and preserving environment when acting as a su
 frontend. It is useful to menu items or other graphical programs
that need to ask a user's password to run another program as another user.

# '
%prep
%setup -q 
%patch0 -p1 -b .i18n
%patch1 -p1 -b .ja

%patch9 -p1 -b .multihead
%patch12 -p1 -b .no_password_dialog
%patch13 -p1 -b .startup_notification
%patch14 -p1 -b .polish_startup
%patch17 -p1 -b .composited_fade
%patch18 -p0 -b .g_markup_escape_text_for_command
%patch20 -p1 -b .better_usleep
%patch21 -p1 -b .composited_rgba_addition
%patch22 -p1 -b .sudo_keep_env
%patch30 -p1 -b .revert_forkpty

%patch100 -p1 -b .default-sudo_mode

## For x86_64, we use /usr/lib64/libgksu/gksu-run-helper
%__sed -i 's@\(gchar auxcommand\[\] = PREFIX "/\)lib\(/" PACKAGE "/gksu-run-helper";\)@\1%{_lib}\2@' libgksu/libgksu.c


cp -f %{SOURCE10} po/ja.po



%build
intltoolize -f
touch README NEWS
autoreconf -f -i
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

sed -i -e 's/Icon=gksu.png/Icon=gksu/g' $RPM_BUILD_ROOT%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="Settings" \
  --add-category="X-GNOME-SystemSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

rm $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n gksu-utils
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gksu.schemas > /dev/null ||:

%preun -n gksu-utils
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gksu.schemas > /dev/null ||:
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}

%files devel
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/%{name}

%files -n gksu-utils
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/gksu.schemas
%{_bindir}/gksu-properties
%{_datadir}/applications/gksu-properties.desktop
%{_datadir}/libgksu/gksu-properties.ui
%{_datadir}/pixmaps/gksu.png
%{_mandir}/man1/gksu-properties.1*

%changelog
* Wed Jun 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.12-2
- add patch30 from ubuntu
  + revert the upstream change to run sudo in a forkpty() 
    environment, this is incompatible with our default sudo 
    tty_tickets configuration 

* Tue Jun 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.12-1
- update to 2.0.12
- add patch100 to enable sudo_mode by default.
- add BR: libgnome-keyring-devel

* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.0.9-5
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Aug 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.0.9-4
- add Categories=X-GNOME-SystemSettings for .desktop

* Thu Jun 17 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.0.9-3
- use /usr/lib64/libgksu/gksu-run-helper for x86_64

* Wed Jun 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-2
- import Patch9-22 from ubuntu
  - Patch9: fix multihead
  - Patch12: don't show password dialog if no password was needed
  - Patch13: make startup notification more reliable
  - Patch14: improve startup notification messages
  - Patch17: nicer fadeout on composited display
  - Patch18: fix missing g_markup_escape when commands are displayed
  - Patch20: add small usleep() to avoid race condition when
             the hostname can not be resolved.
  - Patch21: bling
  - Patch22: If gksudo -k is used, pass the -E option to sudo
             to preserve the environment if we're allowed to do so
- update ja.po

* Wed May 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-1
- new upstream release
- remove static library

* Fri Aug 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.7-1
- new upstream release
- new versioning policy

* Sat Aug 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.5-0vl1
- initial build for Vine Linux

* Tue Jul 03 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.5-1mdv2008.0
+ Revision: 47621
- new version

* Fri Jun 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.4-2mdv2008.0
+ Revision: 43013
- remove "AdvancedSettings" category from menu
- kill X-MandrivaLinux-System-Configuration-Other
- fix group


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.4-1mdv2007.0
+ Revision: 134081
- New version 2.0.4
- disable gtk-doc (build problem)

* Tue Feb 20 2007 G旦tz Waschk <waschk@mandriva.org> 2.0.3-5mdv2007.1
+ Revision: 123029
- fix scripts

* Sat Jan 27 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-4mdv2007.1
+ Revision: 114416
- xdg menu
  handles gconf schemas

* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-3mdv2007.1
+ Revision: 104863
- fix provides

* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-2mdv2007.1
+ Revision: 104797
- rebuild

* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-1mdv2007.1
+ Revision: 104663
- buildrequires perl-XML-Parser
- buildrequires libglade2.0-devel
- buildrequires libGConf2-devel
  buildrequires gtk+2-devel
- buildrequires startup-notification-devel
  gnome-keyring-devel
- New version 2.0.3
  fix provides
  buildrequires libgtop2.0-devel

  + J辿r担me Soyer <saispo@mandriva.org>
    - Import libgksu

