Summary: 	A C++ interface for libgnomecanvas
Name: 		libgnomecanvasmm
Version: 	2.26.0
Release: 	2%{?_dist_release}
License: 	LGPL
Group: 		System Environment/Libraries
Source: 	ftp://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.bz2
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	gtkmm2 >= 2.4.0
Requires:	libgnomecanvas >= 2.6.0
BuildRequires:  gtkmm2-devel >= 2.4.0
BuildRequires:  libgnomecanvas-devel >= 2.6.0

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package	devel
Summary: 	Headers for developing programs that will use libgnomecanvasmm.
Group: 		Development/Libraries
Requires:       %{name} = %{version}
Requires:       gtkmm2-devel >= 2.4.0
Requires:       libgnomecanvas-devel >= 2.6.0

%description    devel
This package contains the headers that programmers will need to develop
applications which will use libgnomecanvasmm, part of gnomemm - the C++ 
interface to the GTK+ GUI library.

%prep
%setup -q

%build
# ...hope this can be removed soon
%ifarch alpha
	ARCH_FLAGS="--host=alpha-linux-gnu"
%endif

%configure

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
  make
else
  make
fi

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%makeinstall 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/libgnomecanvasmm-2.6
%exclude %{_libdir}/*.la
#{prefix}/lib/*.a # uncomment this one for static libs 
%{_libdir}/*.so
%{_libdir}/libgnomecanvasmm-2.6
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.26.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.0-1
- new upstream release

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.16.0-2vl5
- applied new versioning policy
- excluded *.la

* Fri May 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl3
- rebuilt with new toolchains

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl2
- rebuilt with new gtkmm, libgnomecanvas

* Fri Nov  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-1vl1
- initial build for Vine Linux

* Sun Dec 21 2003 Eric Bourque <ericb@computer.org>
- fixed dependency to gtkmm2 instead of gtkmm

* Thu Sep 25 2003 Eric Bourque <ericb@computer.org>
- updated for libgnomecanvasmm-2.0
* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
