Summary:         Library for writing gnome database programs
Name:            libgnomedb
Version:         3.1.2
Release:         1%{?_dist_release}
Source:          %{name}-%{version}.tar.bz2
Patch0:          libgnomedb-3.1.2-desktop.patch

URL:             http://www.gnome-db.org/
Group:           System Environment/Libraries
License:         LGPL

BuildRoot:       %{_tmppath}/%{name}-%{version}-root
Requires:        libgda >= 3.0.0
Requires:        gtk2 >= 2.6.0
Requires:        libglade2
Requires:        gtksourceview
Requires(post,pre,preun): GConf2

BuildRequires:   GConf2-devel
BuildRequires:   gtk2-devel >= 2.6.0
BuildRequires:   libgda-devel >= 3.0.0
BuildRequires:   libgcrypt-devel
BuildRequires:   libgnomecanvas-devel
BuildRequires:   iso-codes
BuildRequires:   libglade2-devel
BuildRequires:   intltool >= 0.30
BuildRequires:   gtk-doc >= 1.0
BuildRequires:   gtksourceview-devel
BuildRequires:   desktop-file-utils
BuildRequires:   gamin-devel
BuildRequires:   pkgconfig >= 0.8

%description
libgnomedb is a library that eases the task of writing
gnome database programs.

%package devel
Summary:         Development libraries and header files for libgnomedb.
Group:           Development/Libraries
Requires:        %name = %{version}
Requires:        pkgconfig >= 0.8
Requires:        gtk2-devel >= 2.6.0
Requires:        libgda-devel >= 3.0.0
Requires:        libgnomecanvas-devel
Requires:        libglade2-devel
Requires:        gtksourceview-devel
Requires:        iso-codes
Requires(post,postun): scrollkeeper

%description devel
This package contains the header files and libraries needed to write
or compile programs that use libgda.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .desktop.patch

%build
%configure --disable-schemas-install
make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang libgnomedb-3.0

#desktop-file-install \
#  --dir %{buildroot}%{_datadir}/applications \
#  --vendor gnome --delete-original \
#  %{buildroot}%{_datadir}/applications/database-properties.desktop

# remove unpackaged files
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/gnome-db-3.0/plugins/*.{a,la}
rm -f %{buildroot}/%{_libdir}/libglade/2.0/*.{a,la}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/libgnomedb-3.0.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/libgnomedb-3.0.schemas \
     > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/libgnomedb-3.0.schemas \
     > /dev/null || :
fi

%postun -p /sbin/ldconfig

%post devel
if which scrollkeeper-update >/dev/null 2>&1; then scrollkeeper-update; fi

%postun devel
if which scrollkeeper-update >/dev/null 2>&1; then scrollkeeper-update; fi

%clean
rm -rf %{buildroot}

%files -f libgnomedb-3.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gnome-db-3.0
%{_datadir}/gnome-db-3.0/*
%{_datadir}/pixmaps/*
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/lib*.so
%dir %{_libdir}/gnome-db-3.0/plugins
%{_libdir}/gnome-db-3.0/plugins/lib*.so
%config(noreplace) %{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root)
%{_includedir}/libgnomedb-3.0
%{_libdir}/*.a
#{_libdir}/*.la
%{_libdir}/*.so
#{_libdir}/libglade/2.0/lib*.a
#{_libdir}/libgnomedb/plugins/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/omf/*
%{_datadir}/gtk-doc/*

%changelog
* Mon Jun 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1.2-1
- new upstream release
- updated Patch0

* Sat Dec 29 2007 Shu KONNO <owa@bg.wakwak.com> 1.9.100-0vl6
- updated libgnomedb-*-desktop.patch

* Sun May 27 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.9.100-0vl5
- add BuildRequires: libgda-sharp, gtk-doc

* Tue May 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.100-0vl4
- rebuilt with new toolchains

* Wed Nov  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.100-0vl3
- added Patch0,1,2 and 3 from Fedora
  * Thu May  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-7
  - Add patch3 fixing a couple of x86_64 bugs (bz 190366)
  * Mon Feb 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-5
  - Attempt to properly install C-sharp/mono bindings
  * Fri Mar 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-6
  - Add patch2 fixing bz 186517
  * Mon Feb 21 2005 Caolan McNamara <caolanm@redhat.com> 1.2.0-2
  - rh#149232#/rh#149222# install .desktop to /usr/share/applications

* Sun Jun 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.100-0vl2
- rebuilt with gamin-devel

* Wed Feb  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.9.100-0vl1
- new upstream release
- added development document to devel

* Fri Feb 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- new upstream release

* Sun Aug 22 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.6-0vl1
- new upstream release
- re-define __libtoolize to compile shared object

* Sun Mar 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.3-0vl1
- new upstream release
- to use intltool 0.30

* Sat Dec  6 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.2-0vl1
- new upstream release

* Fri Oct 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-1vl1
- build for Vine Linux

* Tue Jan 28 2003 Yanko Kaneti <yaneti@delcera.com>
- Package and add the omf/scrollkeeper bits.
- --disable-gtk-doc to configure because the generated docs are in the tarball

* Mon Aug 19 2002 Ben Liblit <liblit@acm.org>
- Fixed version number substitutions
- Updated files list to match what "make install" actually installs
- Added URL tag pointing to GNOME-DB project's web site

* Mon Feb 25 2002 Chris Chabot <chabotc@reviewboard.com>
- Cleaned up formatting
- Added requirements

* Thu Feb 21 2002 Chris Chabot <chabotc@reviewboard.com>
- Initial spec file
