# ...for those missing static libraries...
#
# in order to build devel packages with static libs included you have to
# change '--disable-static' to '--enable-static' and uncomment the line
# containing the pattern ".../*.a" at the files section
Summary: 	A C++ interface for Gnome libs (a GUI library for X).
Summary(ja): 	Gnome ライブラリの C++ インターフェイス
Name: 		libgnomemm
Version: 	2.30.0
Release: 	2%{?_dist_release}
License: 	LGPL
Group: 		System Environment/Libraries
Source: 	ftp://download.sourceforge.net/gtkmm/%{name}-%{version}.tar.bz2
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:       gtkmm2 >= 2.8.0
Requires:	libgnome >= 2.6.0
BuildRequires:  gtkmm2-devel >= 2.8.0
BuildRequires:  libgnome-devel >= 2.6.0

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

#'
%package	devel
Summary: 	Headers for developing programs that will use Gnome--.
Summary(ja): 	Gnome-- を使うプログラムの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}
Requires:       gtkmm2-devel >= 2.8.0
Requires:       libgnome-devel >= 2.6.0

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q

%build
# ...hope this can be removed soon
%ifarch alpha
	ARCH_FLAGS="--host=alpha-redhat-linux"
%endif
%configure --disable-static $ARCH_FLAGS

export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/libgnomemm-*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
#{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgnomemm-2.6


%changelog
* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.30.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release

* Sat Oct  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1
- new upstream release

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.18.0-1vl5
- applied new versioning policy, spec in utf-8
- excluded *.la

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl3
- rebuilt without libstdc++2_10

* Fri May 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl2
- rebuilt with new toolchains

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl1
- new upstream release

* Sat Nov  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.0-0vl1
- new upstream release

* Tue Feb 14 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.12.2-0vl1
- new upstream release

* Fri Sep 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.0-0vl1
- new upstream release

* Fri Jan 14 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-0vl1
- new upstream release

* Thu Nov 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.0-0vl1
- new upstream release
- added Japanese summary

* Sat Jan 31 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-0vl1
- rebuild for Vine Linux

* Tue Sep 23 2003 Eric Bourque <ericb@computer.org>
- updated for changes to libgnomemm-2.0

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
