%define gtk2_version 2.14.0
%define libgnomeprint_version 2.18.8
%define libgnomecanvas_version 2.30.2
%define gnomeicontheme_version 2.31.0

Summary: GUI support for libgnomeprint
Summary(ja): libgnomeprint の GUI サポート
Name: libgnomeprintui
Version: 2.18.6
Release: 1%{?_dist_release}
URL: ftp://ftp.gnome.org
Source0: http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.18/%{name}-%{version}.tar.bz2
#Source10: %{name}-ja.po
License: LGPL
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-root
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeprint-devel >= %{libgnomeprint_version}
BuildRequires:  libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires:  gnome-icon-theme >= %{gnomeicontheme_version}

%description

The libgnomeprintui package contains GTK+ widgets related to printing.

%package devel
Summary: Libraries and headers for libgnomeprintui
Summary(ja): libgnomeprintui の開発用ライブラリとヘッダファイル
Group: Development/Libraries
Requires:  %{name} = %{version}

Requires:  gtk2-devel >= %{gtk2_version}
Requires:  libgnomeprint-devel >= %{libgnomeprint_version}
Requires:  libgnomecanvas-devel >= %{libgnomecanvas_version}

%description devel

The libgnomeprintui package contains GTK+ widgets related to printing.

You should install the libgnomeprintui-devel package if you would like
to compile applications that use the widgets in libgnomeprintui. You
do not need to install it if you just want to use precompiled
applications.

%prep
%setup -q

#cp %{SOURCE10} po/ja.po

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}-2.2

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_datadir}/%{name}/%{version}/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/*

%changelog
* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.6-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.18.5-2
- build with rpm-4.8.1-1 for pkg-config file

* Thu Apr 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.5-1
- new upstream release

* Wed Mar 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-1
- new upstream release

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.3-1
- new upstream release
- build with gtk+-2.14

* Tue Mar 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.2-1vl5
- new upstream release

* Wed Dec 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.1-0vl1
- new upstream release

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0-0vl2
- add BuildRequires:  gnome-icon-theme

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Sat Apr 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl2
- add %%{_datadir}/%{name}/%{version}/gnome-print-job-preview.xml to %%files
  thanks to kazutaka (BTS:35)

* Wed Sep 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.0-0vl1
- new upstream release

* Sun Jul  3 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl1
- new upstream version
- build with libgnomeprint 2.10.3

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Wed Mar 02 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- added Japanese summay to devel package

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Sun Nov 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl1
- new upstream release

* Tue Oct 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1.3-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.8-0vl1
- new upstream release

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.7-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl2
- add ja.po

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Wed Aug 14 2002 Akira TAGOH <tagoh@redhat.com> 1.116.0-1
- updates to 1.116.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.115.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add ldconfig to post/postun

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.114.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.113.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- 1.112.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- hmm, didn't get all the libgnomeui dependency lines

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.109.0.90 snap, remove libgnomeui dep that's now gone

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- new snap 1.106.0.90
- explicitly require certain versions of dependent libs

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.10, new cvs snap

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- Initial build



