%define libxml2_version 2.7.7
%define orbit2_version 2.14.19
%define libbonobo_version 2.32.0
%define libgnomecanvas_version 2.30.2
%define libgnome_version 2.32.0
%define libart_lgpl_version 2.3.16
%define libbonoboui_version 2.24.4
%define glib2_version 2.26.0
%define pango_version 1.28.2
%define gtk2_version 2.22.0
%define gconf2_version 2.32.0
%define gnome_vfs2_version 2.24.4
%define libglade2_version 2.6.0
%define libgnome_keyring_version 2.32

%define po_package libgnomeui-2.0

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: GNOME base GUI library
Summary(ja): GNOME 基本 GUI ライブラリ
Name: libgnomeui
Version: 2.24.5
Release: 1%{?_dist_release}
URL: ftp://ftp.gnome.org/
Source0: %{name}-%{version}.tar.bz2
Source2: gnomeui-fixed-ltmain.sh
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: ORBit2 >= %{orbit2_version}
Requires: glib2 >= %{glib2_version}
Requires: pango >= %{pango_version}
Requires: gtk2 >= %{gtk2_version}
Requires: GConf2 >= %{gconf2_version} 
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: libbonoboui >= %{libbonoboui_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libgnome >= %{libgnome_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: libglade2 >= %{libglade2_version}
Requires: libgnome-keyring >= %{libgnome_keyring_version}
Requires: libjpeg

BuildRequires: zlib-devel
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version} 
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: libtool >= 1.5
BuildRequires: libgnome-keyring-devel >= %{libgnome_keyring_version}
BuildRequires: libjpeg
BuildRequires: popt-devel
BuildRequires: libSM-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)
#'

%package devel
Summary: Libraries and headers for libgnome
Summary(ja): libgnome の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: zlib-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version} 
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: libbonoboui-devel >= %{libbonoboui_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}
Requires: libgnome-keyring-devel >= %{libgnome_keyring_version}

Conflicts: gnome-libs-devel < 1.4.1.2
Conflicts: gdk-pixbuf-devel <= 0.11

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

# compat32
%package -n compat32-%{name}
Summary: GNOME base GUI library
Summary(ja): GNOME 基本 GUI ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)
#'

%package -n compat32-%{name}-devel
Summary: Libraries and headers for libgnome
Summary(ja): libgnome の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}

Requires: compat32-zlib-devel
Requires: compat32-ORBit2-devel >= %{orbit2_version}
Requires: compat32-glib2-devel >= %{glib2_version}
Requires: compat32-pango-devel >= %{pango_version}
Requires: compat32-gtk2-devel >= %{gtk2_version}
Requires: compat32-GConf2-devel >= %{gconf2_version} 
Requires: compat32-gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: compat32-libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: compat32-libbonobo-devel >= %{libbonobo_version}
Requires: compat32-libbonoboui-devel >= %{libbonoboui_version}
Requires: compat32-libxml2-devel >= %{libxml2_version}
Requires: compat32-libgnome-devel >= %{libgnome_version}
Requires: compat32-libart_lgpl-devel >= %{libart_lgpl_version}
Requires: compat32-libglade2-devel >= %{libglade2_version}
Requires: compat32-libgnome-keyring-devel >= %{libgnome_keyring_version}

%description -n compat32-%{name}-devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

%prep
%setup -q

#patch0 -p1 -b .user-dirs
#patch10 -p1 -b .translate-auth-manager

%build
%configure --disable-gtk-doc --disable-static
export tagname=CC
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.a
#rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/filesystems/*.a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_datadir}/pixmaps/*
%{_libdir}/libglade/2.0/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%endif

%changelog
* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.5-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.4-1
- new upstream release
- add BuildRequires: libSM-devel
- remove BuildRequires: esound-devel
- remove Requires: esound-devel (devel)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.3-2
- build with rpm-4.8.1-1 for pkg-config file

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.3-1
- new upstream release
- change Requires: gnome-keyring -> libgnome-keyring
- change BuildRequires: gnome-keyring-devel -> libgnome-keyring-devel

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.2-1
- new upstream release

* Sun Jul 12 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.24.1-2
- added compat32 package for x86_64 arch support

* Sat Mar  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1
- new upstream release
- added BuildRequires: popt-devel

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.1-3
- drop explicit dependency to esound
- spec in UTF-8

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-2vl5
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.01-1vl5
- new upstream release

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1.1-0vl1
- new upstream release
- added --disable-static option

* Mon Apr 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl2
- add Patch0 to support user-dirs

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release
  (fix filechooser bug)

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl3
- rebuild with gtk+-2.10

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl2
- add Patch10 to translate authentication dialog

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.90-0vl1
- new upstream release

* Sat Feb 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl1
- new upstream release
- added gtk-doc to devel package

* Wed Sep 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl2
- add BuildRequires: gnome-keyring-devel
- add Requires: gnome-keyring-devel to libgnomeui-devel

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.1-0vl1
- new upstream release

* Fri Jul 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- remove bonobo-activation dependency

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Mar 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl2
- FIXME: remove filesystems module temporarily.

* Thu Feb 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release
- add Japanese summary

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0.1-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.7-0vl1
- new upstream release

* Tue Aug 19 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.2-0vl1
- new upstream release

* Thu Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Mon Nov 11 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- comment out change-esound-startup patch, not sure about it, doesn't
  apply anymore

* Tue Nov  5 2002 Bill Nottingham <notting@redhat.com> 2.0.3-4
- rebuild for fixed pkgconfig paths

* Thu Aug 29 2002 Havoc Pennington <hp@redhat.com>
- require new libtool and libtoolize to fix rpath bugs

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.0.3-2
- Don't always ensure an esd connection is available just because we
  can do so.

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- fixups to file list and not-packaged files warnings

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.117.2
- remove zero-length AUTHORS/README
- add post/postun ldconfig

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.1

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.1

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- --disable-gtk-doc

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 snap, remove gconf stuff moved to libgnome

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- 1.106.0.90 snap, glib 1.3.11
- add explicit-versioned requires on dependency libs
- do gconftool stuff, put schemas in file list
- use makeinstall instead of destdir to avoid broken makefiles

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- grumble, we require libglade 2 not libglade 1

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- add libglade module to file list
- add libglade dependency

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- new tarball, rebuild for new glib, remove db1 dependency

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


