%define __libtoolize :

%define glib2_version 2.26.0
%define po_package libgtop-2.0

Summary: libgtop library (version 2)
Summary(ja): libgtop2 ライブラリ
Name: libgtop2
Version: 2.28.4
Release: 2%{?_dist_release}
License: GPL2
URL: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop
Group: System Environment/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/libgtop/2.28/libgtop-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gobject-introspection-devel
BuildRequires: libXau-devel
BuildRequires: libSM-devel
Requires: glib2 >= %{glib2_version}

Vendor: Project Vine
Distribution: Vine Linux

%description
libgtop is a library for portably obtaining information about processes, 
such as their PID, memory usage, etc.

%package devel
Summary: Libraries and include files for developing with libgtop.
Summary(ja): libgtop の開発に必要なライブラリ、インクルードファイル
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: glib2-devel >= %{glib2_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libgtop.

%prep
%setup -q -n libgtop-%{version}

%build
%configure \
	--disable-static \
	--enable-introspection
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove .{a,la} files
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

# not worth fooling with
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/info

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/libgtop-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/libgtop

%changelog
* Sat Oct 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.4-2
- add BuildRequires: gobject-introspection-devel, libSM-devel

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.4-1
- new upstream release

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.3-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release
- remove static library

* Sat Mar  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.0-1
- new upstream release
- changed License: LGPL to GPL2 (See NEWS)

* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon May 26 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release
- added BuildRequires: libXau-devel
- spec in UTF-8

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Sat Nov  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.8-0vl1
- new upstream release

* Mon Feb 05 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.6-0vl2
- add gtk-doc/html/libgtop/* to install files

* Fri Feb 02 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.14.6-0vl1
- new upstream release with security fix

* Sun Sep 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.4-0vl1
- new upstream release

* Mon Aug  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Mon May 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Tue Feb 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.2-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon May 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-0vl1
- new upstream version

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Feb 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upstream release

* Mon Nov  8 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release

* Mon Dec 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.8-0vl1
- new upstream release
- rebuild with new toolchains

* Wed Aug 27 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.4-0vl1
- new upstream release
- fixed URL

* Sun Aug 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.3-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-0vl1
- build for Vine Linux

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- rebuild
- remove nonexistent doc files
- fix uninstalled but unpackaged files

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- check file list, lose libgnomesupport

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- .la files evil

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- rebuild for glib 2.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.90.2

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- Initial build

