Name:    libindicate
Summary: A small library for applications to raise "flags" on DBus
Version: 0.4.4
Release: 2%{?_dist_release}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     https://launchpad.net/libindicate

Source0: http://launchpad.net/%{name}/0.4/%{versioin}/+download/%{name}-%{version}.tar.gz

Patch0: libindicate-0.4.4-disable-build-of-tests-examples.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.18.0
#BuildRequires: gobject-introspection-devel
BuildRequires: dbus-glib-devel >= 0.76
BuildRequires: dbusmenu-glib-devel 
BuildRequires: gtk-sharp2
BuildRequires: gtk-sharp2-gapi
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: mono-devel
BuildRequires: gnome-doc-utils >= 0.3.2

%define mono_dir %{_prefix}/lib/mono

%description
Libindicate is a small library for applications to raise "flags" on 
DBus for other components of the desktop to pick up and visualize. 
Currently used by the messaging indicator.

%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package gtk
Summary: GTK+ bindings for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description gtk
%{summary}.

%package gtk-devel
Summary: Developer files for libindicate-gtk
Summary(ja): libindicate-gtk の開発用ファイル
Group:   Development/Libraries
Requires: %{name}-gtk = %{version}-%{release}

%description gtk-devel
%{summary}.

%package -n python-indicate
Summary: Python bindings for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pygtk2
Provides: %{name}-python = %{version}-%{release}

%description -n python-indicate
%{summary}.

%package sharp
Summary: C# bindings for %{name}
Group:   System Environment/Libraries
#Requires: %{name} = %{version}-%{release}

%description sharp
%{summary}.

%prep
%setup -q 
%patch0 -p1 -b .disable_build

%build
%configure \
    --disable-static \
    --enable-silent-rules \
    --enable-introspection=no \
    --enable-gtk-doc-html

sed -i -e "s|-lpyglib-2\.0-python2\.6|-lpyglib-2\.0-python|" \
    bindings/python/Makefile

make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python?.?/site-packages/indicate/_indicate.la
rm -f $RPM_BUILD_ROOT%{_libexecdir}/*

rm -rf $RPM_BUILD_ROOT%{_docdir}/libindicate/* 

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%doc _docs/*
%{_libdir}/libindicate.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libindicate-0.2/libindicate
%{_libdir}/libindicate.so
%{_libdir}/pkgconfig/indicate.pc
%{_datadir}/gtk-doc/html/libindicate

%files gtk 
%defattr(-,root,root,-)
%{_libdir}/libindicate-gtk.so.*

%files gtk-devel
%defattr(-,root,root,-)
%{_includedir}/libindicate-0.2/libindicate-gtk
%{_libdir}/libindicate-gtk.so
%{_libdir}/pkgconfig/indicate-gtk.pc
%{_datadir}/gtk-doc/html/libindicate

%files -n python-indicate
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/indicate
%{_datadir}/pygtk/2.0/defs/indicate.defs

%files sharp 
%defattr(-,root,root,-)
%{_libdir}/indicate-gtk-sharp-0.1
%{_libdir}/indicate-sharp-0.1
%{mono_dir}/gac/indicate-gtk-sharp
%{mono_dir}/gac/indicate-sharp
%{mono_dir}/indicate-gtk
%{mono_dir}/indicate
%{_libdir}/pkgconfig/indicate*sharp-0.1.pc

%changelog
* Sun Feb 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-2
- add BuildRequires: mono-devel
- add Patch0 (libindicate-0.4.4-disable-build-of-tests-examples.patch)

* Fri Feb 18 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-1
- Initial build for Vine Linux
