Summary: Japanese Code Conversion Library
Summary(ja): 日本語コード変換ライブラリ
Name: libjconv
Version: 2.8
Release: 3%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: glibc >= 2.1.0
Vendor: Project Vine
Distribution: Vine Linux

%description
This package provide Japanese Code Conversion capability based on iconv.

%description -l ja
このパッケージは iconv に基づいた日本語コード変換機能を提供します。

%prep
%setup -q

%build
%ifarch x86_64
make CC=gcc CFLAGS="$RPM_OPT_FLAGS -fPIC"
%else
make CC=gcc CFLAGS="$RPM_OPT_FLAGS"
%endif

%install
for I in %{_libdir} %{_includedir} %{_bindir} %{_sysconfdir}/libjconv ; do
    install -d $RPM_BUILD_ROOT/$I
done

install -m 755 jconv $RPM_BUILD_ROOT/%{_bindir}
install -m 755 libjconv.so $RPM_BUILD_ROOT/%{_libdir}
install -m 644 libjconv.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644 jconv.h $RPM_BUILD_ROOT/%{_includedir}
install -m 644 default.conf $RPM_BUILD_ROOT/%{_sysconfdir}/libjconv

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING
%config %{_sysconfdir}/libjconv
%{_libdir}/libjconv.a
%{_libdir}/libjconv.so
%{_includedir}/jconv.h
%{_bindir}/jconv

%changelog
* Mon Apr 25 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-3
- rebuilt with current VineSeed

* Fri Jul  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-2
- spec in UTF-8

* Thu Apr 17 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8-1
- rebuilt

* Mon Aug 27 2007 Shu KONNO <owa@bg.wakwak.com> 2.8-0vl5
- added option -fPIC to make

* Fri Sep  8 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8-0vl4
- rebuild with current toolchain

* Mon Nov  8 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-0vl3
- s/Copyright/License/
- fixed Japanese description
- changed Group:

* Sun Apr 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-0vl2
- rebuild with new toolchains
- add Japanese summary and description

* Tue Oct 16 2001 Yoichi Imai <yoichi@silver-forest.com> 2.8-0vl1
- changed license to proper one
- use %_* macro

* Thu Aug 10 2000 Yoichi Imai <yoichi@silver-forest.com>
- remove bug fix patch

* Fri Aug 04 2000 Yoichi Imai <yoichi@silver-forest.com>
- setlocale bug fix

* Sun Jul 23 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to version 2.7

* Sat Jul 1 2000 Yoichi Imai <yoichi@silver-forest.com>
- update to version 2.5

* Sat Jan 15 2000 Norihito Ohmori <nono@vinelinux.org>
- rebuild for Vine Linux

* Sat Dec 11 1999 Akira Higuchi <a@kondara.org>
- convert_kanji(): write reset sequences for state-dependent encodings

* Mon Nov  8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Sep 29 1999 Toru Hoshina <hoshina@best.com>
- fixed Nie-a bug :-P

* Thu Sep 23 1999 Toru Hoshina <hoshina@best.com>
- localedata-ja is no longer required because we decide to provide our own
  glibc including localedata-ja !!

* Sun Aug 29 1999 Toru Hoshina <hoshina@best.com>
- 1st release.
