Summary:        GoogleTalk implementation of Jingle
Summary(ja):    Jingle の GoogleTalk 実装

Name:           libjingle
Version:        0.3.11
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        BSD
URL:            http://code.google.com/apis/talk/libjingle/
Source0:        http://download.sourceforge.net/tapioca-voip/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig 


%description
Libjingle is Google Talk's implementation of Jingle and Jingle-Audio
(proposed extensions to XMPP) to interoperate with Google Talk's
peer-to-peer and voice calling capabilities.


%package        devel
Summary:        Development files for %{name}
Summary(ja):        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	openssl-devel
Requires:	expat-devel


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p0 -b .gcc43


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/relayserver
%{_bindir}/stunserver
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/jinglebase-0.3.pc
%{_libdir}/pkgconfig/jinglep2p-0.3.pc
%{_libdir}/pkgconfig/jinglesession-0.3.pc
%{_libdir}/pkgconfig/jinglexmllite-0.3.pc
%{_libdir}/pkgconfig/jinglexmpp-0.3.pc


%changelog
* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.11-1
- initial build for Vine Linux

* Sun Mar 16 2008 Brian Pepple <bpepple@localhost.localdomain> - 0.3.11-8
- Add patch to fix build w/ gcc4.3.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.11-7
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-6
- Rebuild for gcc-4.3.

* Wed Dec  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-5
- rebuild for new libssl.so.6/libcrypto.so.6

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-4
- Rebuild for expat 2.0.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-3
- Rebuild.

* Wed Jun 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-2
- Update URL.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-1
- Update 0.3.11.

* Mon Sep  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.10-1
- Initial FE spec.
