Name:           liblinebreak
Version:        2.0
Release:        1%{?_dist_release}
Summary:        A Unicode line-breaking library

Group:          Development/Libraries
License:        zlib
URL:            http://sourceforge.net/projects/vimgadgets/
Source0:        http://downloads.sourceforge.net/vimgadgets/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  autoconf automake libtool

%description
liblinebreak is an implementation of the line breaking algorithm as
described in Unicode 5.0.0 Standard Annex 14, Revision 19, available
at http://www.unicode.org/reports/tr14/tr14-19.html


%package      devel
Summary:      Development files for %{name}
Group:        Development/Libraries
Requires:     %{name} = %{version}-%{release}

%description  devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%configure --disable-static


%build
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec %__rm -f {} ';'


%clean
%__rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENCE NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Aug 12 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 2.0-1
- initial build based on Fedora development

* Sat Jul  3 2010 Michel Salim <salimma@fedoraproject.org> - 2.0-1
- Update to 2.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Michel Salim <salimma@fedoraproject.org> - 1.2-1
- Update to 1.2
- Build as dynamic library, instead of static

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-0.5.20080421cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Michel Salim <michel@berlin.local> - 0.9.6-0.4.20080421cvs%{?dist}
- Rename package to liblinebreak, providing -{devel,static}

* Mon Jul 14 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.3.20080421cvs
- Change versioning scheme
- Updated checkout instructions

* Mon Jun  9 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.2
- Rename to liblinebreak-devel, provides liblinebreak-static

* Wed Jun  4 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.6-0.1
- Initial package

