Summary:	Common libraries for MATE
Name:		libmate
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	libmatecomponent-devel
BuildRequires:	mate-conf-devel
BuildRequires:	mate-vfs-devel
BuildRequires:	glib2-devel
BuildRequires:	libcanberra-devel
BuildRequires:	popt-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,pre,preun):	mate-conf

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

# defualt settings
Patch100:	libmate-1.4.0-default-settings-vine.patch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is the non-gui part of the library formerly known as
mate-libs.


%package	devel
Summary:        Development tools for libmate
Summary(ja):    libmate の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       mate-corba-devel
Requires:       mate-conf-devel
Requires:       mate-vfs-devel
Requires:       libcanberra-devel

%description	devel
Header files and libraries for building a extension library for the
libmate.


%package        doc
Summary:        Documentation for libmate
Summary(ja):    libmate 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmate.


%prep
%setup -q
%patch100 -p1 -b .vine


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

SCHEMAS=" \
  desktop_mate_accessibility_keyboard.schemas \
  desktop_mate_accessibility_startup.schemas \
  desktop_mate_applications_at_mobility.schemas \
  desktop_mate_applications_at_visual.schemas \
  desktop_mate_applications_browser.schemas \
  desktop_mate_applications_office.schemas \
  desktop_mate_applications_terminal.schemas \
  desktop_mate_applications_window_manager.schemas \
  desktop_mate_background.schemas \
  desktop_mate_file_views.schemas \
  desktop_mate_interface.schemas \
  desktop_mate_lockdown.schemas \
  desktop_mate_peripherals_keyboard.schemas \
  desktop_mate_peripherals_mouse.schemas \
  desktop_mate_sound.schemas \
  desktop_mate_thumbnail_cache.schemas \
  desktop_mate_thumbnailers.schemas \
  desktop_mate_typing_break.schemas"
for S in $SCHEMAS; do
  echo %{_sysconfdir}/mateconf/schemas/$S; done \
  | xargs mateconftool-2 --makefile-install-rule >& /dev/null ||:

%pre
if [ "$1" -gt 1 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    desktop_mate_accessibility_keyboard.schemas \
    desktop_mate_accessibility_startup.schemas \
    desktop_mate_applications_at_mobility.schemas \
    desktop_mate_applications_at_visual.schemas \
    desktop_mate_applications_browser.schemas \
    desktop_mate_applications_office.schemas \
    desktop_mate_applications_terminal.schemas \
    desktop_mate_applications_window_manager.schemas \
    desktop_mate_background.schemas \
    desktop_mate_file_views.schemas \
    desktop_mate_interface.schemas \
    desktop_mate_lockdown.schemas \
    desktop_mate_peripherals_keyboard.schemas \
    desktop_mate_peripherals_mouse.schemas \
    desktop_mate_sound.schemas \
    desktop_mate_thumbnail_cache.schemas \
    desktop_mate_thumbnailers.schemas \
    desktop_mate_typing_break.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    desktop_mate_accessibility_keyboard.schemas \
    desktop_mate_accessibility_startup.schemas \
    desktop_mate_applications_at_mobility.schemas \
    desktop_mate_applications_at_visual.schemas \
    desktop_mate_applications_browser.schemas \
    desktop_mate_applications_office.schemas \
    desktop_mate_applications_terminal.schemas \
    desktop_mate_applications_window_manager.schemas \
    desktop_mate_background.schemas \
    desktop_mate_file_views.schemas \
    desktop_mate_interface.schemas \
    desktop_mate_lockdown.schemas \
    desktop_mate_peripherals_keyboard.schemas \
    desktop_mate_peripherals_mouse.schemas \
    desktop_mate_sound.schemas \
    desktop_mate_thumbnail_cache.schemas \
    desktop_mate_thumbnailers.schemas \
    desktop_mate_typing_break.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog NEWS README
%{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_keyboard.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_startup.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_mobility.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_visual.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_browser.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_office.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_terminal.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_window_manager.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_background.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_file_views.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_interface.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_lockdown.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_mouse.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_sound.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnail_cache.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnailers.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_typing_break.schemas
%{_sysconfdir}/sound/events/gtk2-mate-events.soundlist
%{_sysconfdir}/sound/events/mate.soundlist
%{_bindir}/mate-open
%{_libdir}/libmate-2.so.*
%{_libdir}/matecomponent/monikers/libmoniker_extra_2.so
%{_libdir}/matecomponent/servers/MATE_Moniker_std.server
%{_datadir}/mate-background-properties/mate-default.xml
%{_mandir}/man7/mate-options.7.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmate-2.0
%{_libdir}/libmate-2.so
%{_libdir}/pkgconfig/libmate-2.0.pc


%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmate


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- update Patch100 (libmate-1.4.0-default-settings-vine.patch)

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.2-1
- initial build for Vine Linux

