Summary:	The non-GUI part of the matecomponent component infrastructure for Mate
Name:		libmatecomponent
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-corba-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
libmatecomponent is the non-GUI part of the matecomponent component infrastructure,
it is most useful for creating aggregate interfaces & doing IPC
easily. It also contains a rather badly designed & implemented
per-system activation system. This needs re-writing & simplifying to
be per-display.

%package devel
Summary:        Development tools for libmatecomponent
Summary(ja):    libmatecomponent の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
libmatecomponent.


%package        doc
Summary:        Documentation for libmatecomponent
Summary(ja):    libmatecomponent 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmatecomponent.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB ChangeLog NEWS README
%{_sysconfdir}/matecomponent-activation/matecomponent-activation-config.xml
%{_bindir}/matecomponent-activation-client
%{_bindir}/matecomponent-activation-run-query
%{_bindir}/matecomponent-echo-client-2
%{_bindir}/matecomponent-slay
%{_libdir}/libmatecomponent-*.so.*
%{_libdir}/matecomponent
%{_libdir}/matecomponent-2.0
%{_libdir}/matecorba-2.0
%{_libexecdir}/mate/matecomponent-activation-server
%{_sbindir}/matecomponent-activation-sysconf
%{_datadir}/idl/matecomponent-2.0
%{_datadir}/idl/matecomponent-activation-2.0
%{_mandir}/man1/matecomponent-activation-server.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmatecomponent-2.0
%{_includedir}/matecomponent-activation-2.0
%{_libdir}/libmatecomponent-*.so
%{_libdir}/pkgconfig/libmatecomponent-2.0.pc
%{_libdir}/pkgconfig/matecomponent-activation-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmatecomponent
%{_datadir}/gtk-doc/html/matecomponent-activation


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

