Summary:	User Interface library for MateComponent
Name:		libmatecomponentui
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	libmate-devel
BuildRequires:	libmatecanvas-devel
BuildRequires:	libmatecomponent-devel
BuildRequires:	mate-corba-devel
BuildRequires:	mate-conf-devel
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libSM-devel
BuildRequires:	popt-devel
BuildRequires:	libglade2-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
MateComponent is a set of language and system independant CORBA interfaces
for creating reusable components, controls and creating compound
documents.

The MateComponent distribution includes a Gtk+ based implementation of the
MateComponent interfaces, enabling developers to create reusable
components and applications that can be used to form more complex
documents.


%package	devel
Summary:        Development tools for libmatecomponentui
Summary(ja):    libmatecomponentui の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       mate-corba-devel
Requires:       libxml2-devel

%description	devel
Header files and libraries for building a extension library for the
libmatecomponentui.


%package        doc
Summary:        Documentation for libmatecomponentui
Summary(ja):    libmatecomponentui 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmatecomponentui.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/mate-test-moniker
%{_bindir}/matecomponent-browser
%{_libdir}/libmatecomponentui-2.so.*
%{_libdir}/libglade/2.0/libmatecomponent.so
%{_libdir}/matecomponent/servers/*.server
%{_libdir}/matecomponent-2.0/samples/matecomponent-sample-controls-2
%{_datadir}/applications/matecomponent-browser.desktop
%{_datadir}/mate-2.0/ui/*.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmatecomponentui-2.0
%{_libdir}/libmatecomponentui-2.so
%{_libdir}/pkgconfig/libmatecomponentui-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmatecomponentui


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- initial build for Vine Linux

