Summary:	User Interface library for MATE
Name:		libmateui
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libmate-devel
BuildRequires:	libmatecanvas-devel
BuildRequires:	libmatecomponentui-devel
BuildRequires:	libmatekeyring-devel
BuildRequires:	mate-vfs-devel
BuildRequires:	mate-keyring-devel
BuildRequires:	libSM-devel
BuildRequires:	libglade2-devel
BuildRequires:	popt-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This is the non-gui part of the library formerly known as
mate-libs.


%package	devel
Summary:        Development tools for libmateui
Summary(ja):    libmateui の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       mate-corba-devel
Requires:       mate-conf-devel
Requires:       mate-vfs-devel
Requires:       libcanberra-devel

%description	devel
Header files and libraries for building a extension library for the
libmateui.


%package        doc
Summary:        Documentation for libmateui
Summary(ja):    libmateui 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmateui.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/libmateui-2.so.*
%{_libdir}/libglade/2.0/libmate.so
%{_datadir}/pixmaps/mate-about-logo.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmateui-2.0
%{_libdir}/libmateui-2.so
%{_libdir}/pkgconfig/libmateui-2.0.pc


%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmateui


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.1-1
- initial build for Vine Linux

