Summary:	Window Navigator Construction Kit library for Mate
Name:		libmatewnck
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	gtk2-devel
BuildRequires:	libX11-devel
BuildRequires:	startup-notification-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
libmatewnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.


%package	devel
Summary:        Development tools for libmatewnck
Summary(ja):    libmate の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gtk2-devel

%description	devel
Header files and libraries for building a extension library for the
libmatewnck.


%package        doc
Summary:        Documentation for libmatewnck
Summary(ja):    libmate 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for libmatewnck.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog NEWS README
%{_bindir}/matewnck-urgency-monitor
%{_bindir}/matewnckprop
%{_libdir}/girepository-1.0/Matewnck-1.0.typelib
%{_libdir}/libmatewnck.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmatewnck
%{_libdir}/libmatewnck.so
%{_libdir}/pkgconfig/libmatewnck.pc
%{_datadir}/gir-1.0/Matewnck-1.0.gir


%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libmatewnck


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- initial build

