Summary: libmcrypt is a data encryption library.
Name: libmcrypt
Version: 2.5.8
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://mcrypt.sourceforge.net/

Source: %{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
libmcrypt is a data encryption library. The library is thread safe
and provides encryption and decryption functions. This version of the
library supports many encryption algorithms and encryption modes. Some
algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package devel
Summary: Development files of the libmcrypt data encryption library.
Group: Development/Libraries
Requires: libmcrypt = %{version}-%{release}

%description devel
Header file and static libraries of libmcrypt data encryption library.

%prep
%setup -q

%build
%configure --disable-posix-threads --disable-static

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

## remove unused file
rm -f %{buildroot}/%{_libdir}/libmcrypt.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING.LIB KNOWN-BUGS NEWS README THANKS TODO
%{_libdir}/libmcrypt.so.*

%files devel
%defattr(-, root, root)
%doc doc/README* doc/example.c  
%{_bindir}/libmcrypt-config
%{_includedir}/mcrypt.h
%{_includedir}/mutils
%{_libdir}/libmcrypt.so
%{_mandir}/man3/mcrypt.*
%{_datadir}/aclocal/libmcrypt.m4

%changelog
* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.5.8-2
- rebuild

* Tue Apr 27 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.8-1
- new upstream release
- added URL tag
- built with new toolchain

* Sun Sep 07 2008 Shu KONNO <owa@bg.wakwak.com> 2.5.7-2vl5
- applied new versioning policy
- removed libmcrypt.la

* Sun Oct 29 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.7-1vl3
- use License tag instead of Copyright

* Sat Jun 26 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.5.7-1vl2
- build for VineSeed.

* Mon Mar  1 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.5.7-1vl1
- build for Vine Linux.

* Tue Dec 17 2002 Germano Rizzo <mano@pluto.linux.it>
- modified for new installation structure

* Fri Feb 01 2002 Germano Rizzo <mano@pluto.linux.it>
- built basing on Peter Soos' SPEC file

* Mon Oct 01 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.2 beta
- version 2.4.17

* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- rebuilt under RedHat Linux 7.1

* Wed Apr 18 2001 Peter Soos <sp@osb.hu>
- RedHat Linux 7.0

* Thu Feb 15 2001 Peter Soos <sp@osb.hu>
- version 2.4.9

* Thu Nov 02 2000 Peter Soos <sp@osb.hu>
- version 2.4.5

* Fri Jun 23 2000 Peter Soos <sp@osb.hu>
- version 2.4.4

* Sun Nov 07 1999 Peter Soos <sp@osb.hu>
- Separate this package from the mcrypt package
