Name:           libmowgli
Summary:        An algorithm framework
Summary(ja):    アルゴリズムフレームワーク
Version:        0.7.0
Release:        2%{?_dist_release}

Group:          System Environment/Libraries
License:        ISC
URL:            http://atheme.org/projects/mowgli.shtml

Source0:        http://distfiles.atheme.org/libmowgli-%{version}.tgz

BuildRoot:       %{_tmppath}/%{name}-%{version}-root

%description
mowgli is a development framework for C (like GLib), which provides high
performance and highly flexible algorithms. It can be used as a suppliment to
GLib (to add additional functions (dictionaries, hashes), or replace some of
the slow GLib list manipulation functions), or stand alone. It also provides a
powerful hook system and convenient logging for your code, as well as a high
performance block allocator.

%package devel
Summary:        Development files for libmowgli
Summary(ja):    libmowgli の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
mowgli is a development framework for C (like GLib), which provides high
performance and highly flexible algorithms. It can be used as a suppliment to
GLib (to add additional functions (dictionaries, hashes), or replace some of
the slow GLib list manipulation functions), or stand alone. It also provides a
powerful hook system and convenient logging for your code, as well as a high
performance block allocator.

This package contains the files necessary for writing programs that use
libmowgli.

%prep
%setup -q
# Make the build system more verbose
perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

# The build generates a wrong SONAME, fix it.
perl -pi -e "s/-soname=.*'/-soname=\\\$\{LIB\}.\\\$\{LIB_MAJOR\}'/" configure

%build
%configure \
    --disable-dependency-tracking

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc src/examples
%{_libdir}/*.so
%{_includedir}/libmowgli
%{_libdir}/pkgconfig/libmowgli.pc

%changelog
* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.0-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sat Apr 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.0-1
- new upstream release
- changed Group to System Environment/Libraires

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.0-1
- initial build for Vine Linux

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.0-2
- Autorebuild for GCC 4.3

* Sat Nov 10 2007 Ralf Ertzinger <ralf@skytale.net> 0.5.0-1
- Initial build for FE
