Name:           libnasl
Summary:        Nessus Attack Scripting Language
Version:        2.2.11
Release:        8%{?_dist_release}

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.nessus.org
#http://nessus.org/download/index.php
Source0:        libnasl-2.2.11.tar.gz
Patch0:         libnasl-config.patch
Patch1:         libnasl-2.2.4.pki.patch
Patch2:         libnasl-nasl-config-multi.patch
# fix #479655 bad signature check
Patch3:         libnasl-openssl.patch
Patch4:         libnasl-2.2.9-openssl-1.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  bison
BuildRequires:  nessus-libraries-devel >= %{version}
BuildRequires:  libpcap-devel
BuildRequires:  texlive

%description
NASL is a scripting language designed for the Nessus security scanner.
Its aim is to allow anyone to write a test for a given security hole
in a few minutes, to allow people to share their tests without having
to worry about their operating system, and to guarantee everyone that
a NASL script can not do anything nasty except performing a given
security test against a given target.

Thus, NASL allows you to easily forge IP packets, or to send regular
packets. It provides you some convenient functions that will make the
test of web and FTP server more easy to write. NASL garantees you that
a NASL script:
- will not send any packet to a host other than the target host,
- will not execute any commands on your local system.

%package devel
Summary:        Nessus Attack Scripting Language header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development
with %{name}.

%package doc
Summary:        Nessus Attack Scripting Language documentation
Group:          Documentation

%description doc
Documentation for the Nessus Attack Scripting Language.

%prep
%setup -q -n %{name}
%patch0
%patch1 -p1
%patch2
%patch3
%patch4

%build
export CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/pcap"
%configure --enable-shared --disable-static --with-pic
#smp_mflags will breake build
make 
cd doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/libnasl.la

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/libnasl/doc/
cp doc/nasl_guide.{ps,dvi} $RPM_BUILD_ROOT/%{_datadir}/libnasl/doc/

touch -r VERSION %{buildroot}%{_bindir}/nasl-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/nasl
%{_libdir}/libnasl.so.*
%{_mandir}/man1/nasl.1*
%{_localstatedir}/lib/nessus
%{_sysconfdir}/pki/nessus

%files devel
%defattr(-,root,root,-)
%{_bindir}/nasl-config
%{_libdir}/libnasl.so
%{_includedir}/nessus
%{_mandir}/man1/nasl-config.1*

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/libnasl/

%changelog
* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.11-8
- rebuilt with openssl-1.0.0d
- added Patch4

* Tue May 25 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2.11-7
- rebuilt w/ libpcap-1.1.1

* Sat Apr 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.2.11-6
- Initial build for Vine

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 2.2.11-4
- rebuild with new openssl

* Mon Jan 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.2.11-3
- fix #479655

* Mon Dec  1 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.2.11-2
- in doc pkg: include missing dirs and mark files as %%doc

* Sun Nov 23 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 2.2.11-1
- version upgrade
- fix #465106

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.2.10-5
- Autorebuild for GCC 4.3

* Sat Dec 08 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.10-4
- fix #342241

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.2.10-3
- Rebuild for deps

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.2.10-2
- Rebuild for deps

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.10-1
- version upgrade
- new license tag

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.9-2
- fix #228374

* Tue Dec 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.9-1
- version upgrade

* Mon Dec 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-3
- bump

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-2
- FE6 rebuild

* Sun Jun 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.8-1
- version upgrade

* Wed May 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.7-1
- version upgrade
- add CVE-2006-2093 patch

* Sat Mar 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-3
- fix BR

* Fri Feb 24 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-2
- add pki location patch
- tune BR
- honor now localstatedir

* Fri Feb 24 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.6-1
- initial version
