Name:		libnjb
Summary:	Creative Labs Nomad Jukebox library
Summary(ja): 	クリエイティブラボ社の Nomad ジュークボックスライブラリ
Version:	2.2.6
Release:	2%{?_dist_release}

License:	BSD
Group:		System Environment/Libraries
URL:		http://libnjb.sourceforge.net/

Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	pam
Requires:	udev
BuildRequires:	doxygen
BuildRequires:	libusb-devel
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel

Vendor:		Project Vine
Distribution:	Vine Linux

%description
A library for communicating with the Creative Nomad Jukebox MP3 player. More information can be found at the libnjb web site: http://sf.net/projects/libnjb/ 
This package contains the shared library.

%description -l ja
Creative Nomad Jukebox MP3プレーヤーとコミュニケートするためのライブラリです．libnjb ウェブサイトで詳しい情報を見つけることができます: http://sf.net/projects/libnjb/ 
このパッケージには共有ライブラリが含まれています．

%package examples
Summary:        Example programs for libnjb
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description examples
This package provides example programs for communicating with the
Creative Nomad Jukebox and Dell DJ line of MP3 players.

%package devel
Summary:        Development files for libnjb
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
# doc subpackage removed in newer releases, and included
# in the -devel package.
Provides:	libnjb-doc
#Obsoletes:	libnjb-doc <= 2.2-1
Requires:	libusb-devel
Requires:	ncurses-devel
Requires:	zlib-devel

%description devel
This package provides development files for the libnjb
library for Creative Nomad/Zen/Jukebox and Dell DJ line of MP3 players.

%description devel -l ja
このパッケージは MP3 プレーヤーの creative Nomad/Zen/Jukebox と Dell DJ 系列のための libnjb
ライブラリ用の開発ファイルを提供します。

%prep
%setup -q

%build
%configure --disable-static --program-prefix=njb-
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Remove libtool archive remnant
rm -f $RPM_BUILD_ROOT%{_libdir}/libnjb.la

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libnjb.fdi $RPM_BUILD_ROOT%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi
# Copy documentation to a good place
install -p -m 644 AUTHORS ChangeLog ChangeLog-old FAQ \
INSTALL LICENSE HACKING $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# Touch generated files to make them always have the same time stamp.
touch -r configure.ac \
      $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html/* \
      $RPM_BUILD_ROOT%{_includedir}/*.h \
      $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc
# Remove the Doxygen HTML documentation, this get different
# each time it is generated and thus creates multiarch conflicts.
# I don't want to pre-generate it but will instead wait for upstream
# to find a suitable solution that will always bring the same files,
# or that Doxygen is fixed not to do this.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi
%files examples
%defattr(-, root, root)
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.6-2
- rebuilt with current VineSeed

* Sat Jan 10 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 2.2.6-1vl5
- initial build for Vine SEED
- spec in utf-8

* Sat Feb 9 2008 Linus Walleij <triad@df.lth.se> 2.2.6-3
- Rebuild for GCC 4.3.

* Wed Oct 24 2007 Linus Walleij <triad@df.lth.se> 2.2.6-2
- Flat out KILL the Doxygen HTML docs to resolve multiarch conflicts.
  Either upstream (that's me!) needs to work around the HTML files being 
  different each time OR Doxygen must stop generating anchors that
  hash the system time, creating different files with each generation.
  Pre-generating the docs is deemed silly. (Someone will disagree.)

* Wed Sep 5 2007 Linus Walleij <triad@df.lth.se> 2.2.6-1
- Long overdue upstream release.
- Shape up udev rules so they look like the libsane stuff.
- Add HAL FDI file.

* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 2.2.5-4
- Fixup libnjb udev rules to work with new udev and HAL.

* Mon Aug 28 2006 Linus Walleij <triad@df.lth.se> 2.2.5-3
- Rebuild for Fedora Extras 6.

* Tue Feb 14 2006 Linus Walleij <triad@df.lth.se> 2.2.5-2
- Rebuild for Fedora Extras 5.

* Sun Jan 29 2006 Linus Walleij <triad@df.lth.se> 2.2.5-1
- New upstream release.

* Wed Jan 25 2006 Linus Walleij <triad@df.lth.se> 2.2.4-2
- Fix udev problem, let go of hotplug, fix console perms.
- Still working on libusb vs udev issues.

* Wed Oct 12 2005 Linus Walleij <triad@df.lth.se> 2.2.4-1
- New upstream release.

* Mon Sep 19 2005 Linus Walleij <triad@df.lth.se> 2.2.3-1
- New upstream release.

* Tue Sep 6 2005 Linus Walleij <triad@df.lth.se> 2.2.2-1
- New upstream release.

* Wed Aug 11 2005 Linus Walleij <triad@df.lth.se> 2.2.1-7
- Forgot one extraneous docdir, removing it.

* Wed Aug 10 2005 Linus Walleij <triad@df.lth.se> 2.2.1-6
- Even more fixes after more feedback from Michael.

* Tue Aug 9 2005 Linus Walleij <triad@df.lth.se> 2.2.1-5
- More fixes after feedback from Michael Schwendt.

* Sun Aug 7 2005 Linus Walleij <triad@df.lth.se> 2.2.1-4
- More fixes after feedback from Ralf Corsepius.

* Sat Aug 6 2005 Linus Walleij <triad@df.lth.se> 2.2.1-3
- Remove unnecessary macros.

* Mon Aug 1 2005 Linus Walleij <triad@df.lth.se> 2.2.1-2
- More work on Fedora compliance.

* Sat Jul 30 2005 Linus Walleij <triad@df.lth.se> 2.2.1-1
- Fedora extrafication, created a -devel package.

* Mon Jun 27 2005 Linus Walleij <triad@df.lth.se> 2.2-1
- Fixed a lot of RPM modernization for 2.2 release

* Mon May 23 2005 Linus Walleij <triad@df.lth.se> 2.1.2-1
- Interrim 2.1.2 release. Fixed program prefix.

* Fri May 13 2005 Linus Walleij <triad@df.lth.se> 2.1.1-1
- Interrim 2.1.1 release. Fixed library versioning.

* Tue May 10 2005 Linus Walleij <triad@df.lth.se> 2.1-1
- Final 2.1 release. Removed the checkings for old hotplug versions.

* Fri Mar 4 2005 Ed Welch <ed_welch@inbox.net> 2.0-1mdk
- Mandrake rpm for final 2.0 release.

* Wed Mar 2 2005 Linus Walleij <triad@df.lth.se> 2.0-1
- Final 2.0 release.

* Mon Feb 21 2005 Linus Walleij <triad@df.lth.se> 2.0-0.RC1
- Release candidate 1 for 2.0.

* Tue Feb 8 2005 Linus Walleij <triad@df.lth.se> 2.0-0.20050208
- Third CVS snapshot for the pre-2.0 series.

* Thu Jan 20 2005 Linus Walleij <triad@df.lth.se> 2.0-0.20050120
- Second CVS snapshot for the pre-2.0 series.

* Mon Jan 10 2005 Linus Walleij <triad@df.lth.se> 2.0-0.20050110
- A CVS snapshot for the first pre-2.0 series.

* Tue Nov 30 2004 Linus Walleij <triad@df.lth.se> 1.3-0.20041130
- A CVS snapshot for the new API and all.

* Wed Sep 29 2004 Linus Walleij <triad@df.lth.se> 1.2-0.20040929
- A CVS snapshot, much needed, which also works

* Fri Sep 24 2004 Linus Walleij <triad@df.lth.se> 1.2-0.20040924
- A CVS snapshot, much needed.

* Tue May 25 2004 Linus Walleij <triad@df.lth.se> 1.1-1
- Added hook to redistribute pkgconfig module

* Wed Apr 25 2004 Linus Walleij <triad@df.lth.se> 1.1-1
- Final 1.1 release!

* Wed Apr 21 2004 Linus Walleij <triad@df.lth.se> 1.0.2-0.20040421
- A new CVS snapshot.

* Fri Apr 9 2004 Linus Walleij <triad@df.lth.se> 1.0.2-0.20040409
- A new CVS snapshot.

* Sun Feb 22 2004 Linus Walleij <triad@df.lth.se> 1.0.2-0.20040222
- A new CVS snapshot. Adressing several bugs.

* Fri Jan 9 2004 Linus Walleij <triad@df.lth.se> 1.0.1-0.20040109
- A new CVS release adressing bugs, better numbering scheme

* Tue Dec 9 2003 Linus Walleij <triad@df.lth.se> 1.0.1-1
- Addressed some issues in 1.0

* Tue Dec 9 2003 Linus Walleij <triad@df.lth.se> 1.0-2
- Second package for samples

* Sat Dec 6 2003 Linus Walleij <triad@df.lth.se> 1.0-1
- Final 1.0 release

* Sun Aug 17 2003 Linus Walleij <triad@df.lth.se> 1.1.0b-6
- Seventh RPM

* Sun Aug 17 2003 Linus Walleij <triad@df.lth.se> 1.1.0b-5
- Sixth RPM

* Thu Jul 31 2003 Linus Walleij <triad@df.lth.se> 1.1.0b-4
- Fifth RPM

* Wed Jun 11 2003 Linus Walleij <triad@df.lth.se> 1.1.0b-3
- Fourth RPM.

* Mon Apr 21 2003 Linus Walleij <triad@df.lth.se> 1.1.0b-2
- Third RPM, big improvements in hotplug installation.

* Sun Mar 30 2003 Linus Walleij <triad@df.lth.se> 1.1.0b
- Second CVS RPM

* Thu Dec 26 2002 Dwight Engen <dengen40@yahoo.com> 0.9.1
- First RPM'ed