Summary: A library of functions for manipulating PNG image format files.
Summary(ja): PNG画像形式ファイル操作用の関数ライブラリ
Name: libpng10
Version: 1.0.18
Release: 2%{?_dist_release}
License: distributable
Group: System Environment/Libraries
Source: ftp://swrinde.nde.swri.edu/pub/png/src/libpng-%{version}.tar.bz2
Patch0: libpng-1.0.15-rhconf.patch

## Vine Patch(es)
Patch200: libpng-1.0.15-zlib.patch
Patch201: libpng-1.0.15-vine.patch

## Security Fix
Patch300: libpng-1.0.18-CVE-2006-3334.patch
Patch310: libpng-1.0.18-CVE-2006-5793.patch
Patch320: libpng-1.2.8_CVE-2007-2445.patch

Buildroot: %{_tmppath}/libpng-%{version}-root
BuildPrereq: zlib-devel
URL: http://www.libpng.org/pub/png/
%define LIBVER 2.%{version}
Obsoletes: libpng <= 2:1.0.15
Conflicts: libpng < 2:1.2.0

Vendor: Project Vine
Distribution: Vine Linux

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%description -l ja
libpng パッケージには PNG (Portable Network Graphics) 形式の
画像ファイルを作成/操作する為のライブラリが収められています．
PNG はビットマップの画像形式で，GIF によく似ています．
GIF が 特許保護された LZW データ圧縮アルゴリズムを利用している為，
PNG は GIF の代替画像形式として生まれました．

PNG 形式の画像ファイルを扱う場合は libpng をインストールして下さい．

%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Summary(ja): PNG 形式画像ファイルを扱うプログラム向け開発ツール
Group: Development/Libraries
Requires: libpng10 = %{version}-%{release}
Provides: libpng-devel = %{version}

%description devel
The libpng-devel package contains the header files and static
libraries necessary for developing programs using the PNG (Portable
Network Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You will also need to install
the libpng package.

%description devel -l ja
libpng-devel パッケージには，PNG (Portable Network Graphics) ライブラリを
使ったプログラムを開発するのに必要なヘッダファイルとスタティックライブラリが
収められています．

PNG 形式の画像ファイルを扱うプログラムを開発したいならば，
libpng-devel パッケージをインストールして下さい．同時に
libpng パッケージもインストールする必要があります．

%prep
%setup -q -n libpng-%{version}
ln -s scripts/makefile.linux Makefile
%patch0 -p1 -b .rhconf
%patch200 -p1 -b .zlib
%patch201 -p1 -b .vine

## Security Fix
%patch300 -p1 -b .CVE-2006-3334
%patch310 -p1 -b .CVE-2006-5793
%patch320 -p1 -b .CVE-2007-2445

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{_prefix} DL=$RPM_BUILD_ROOT%{_libdir}
strip -R .comments --strip-unneeded $RPM_BUILD_ROOT%{_libdir}/libpng.so.%{LIBVER}

# We do not need man
rm -rf $RPM_BUILD_ROOT%{_prefix}/man

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
%{_libdir}/libpng*.so.*

%files devel
%defattr(-,root,root)
## remove libpng-config (not libpng10-config)
## if we decide to go with libpng > 1.2 with libpng10
#%{_bindir}/libpng-config
%{_bindir}/libpng10-config
%{_includedir}/libpng10
# includedir/libpng deliberately omitted,
# conflicts with other libpng versions
%{_libdir}/libpng10.a
%{_libdir}/libpng10.so
# libpng.so, libpng.a deliberately omitted,
# conflicts with other libpng versions
%{_libdir}/pkgconfig/libpng10.pc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.18-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Sep 08 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.18-1vl5
- applied new versioning policy, spec in utf-8
- added DL option to make-install

* Thu May 31 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.18-0vl3
- rebuilt for VineSeed

* Fri May 18 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.18-0vl2.2
- add patch320 for fix CVE-2007-2445
- add Vendor/Distribution Tag
- built for VinePlus 4.x

* Fri Nov 24 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.18-0vl2.1
- add patch300 for fix CVE-2006-3334
- add patch310 for fix CVE-2006-5793

* Wed Dec 15 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.18-0vl2
- rebuild for VineSeed

* Wed Dec 15 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.18-0vl1
- new upstream release (bug fix)
- remove lines that we do not need (ex. install man)

* Mon Sep 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.17-0vl1
- new upstream release

* Thu Aug 6 2004 SATO Masakiyo <info@pocomoco.net>
- add patch105 to fix several vulnerabilities
- add patch201 for prefix bug

* Tue Jul  6 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.15-0vl3
- added Patch4 from Redhat WS updates
  * Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-14
  - Reinstate and improve the transfix patch which got lost sometime ago,
    but is still needed for CAN-2002-1363 (#125934)

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.15-0vl2
- rebuild with new toolchain
- use License tag
- change URL

* Mon Apr 14 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.0.15-0vl1
- initial compat package (libpng -> libpng10)
- revised files section (remove man, and libpng.*)
- remove Epoch and Serial
- add Obsoletes: libpng <= 2:1.0.15 and Conflicts: libpng < 2:1.2.0

* Sat Dec 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.15-0vl3
- added Patch200 for linking libz shared lib
- include libpng*-config

* Sat Dec 14 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.15-0vl2
- added missing libraries in the file list

* Thu Nov 12 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.15-0vl1
- update to 1.0.15
- now, security patch were merged source.

* Wed Aug 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.12-0vl3
- added another security patch to preserve libpng from processing too wide
  image files (a patch itself extracted from DSA 140-2)

* Fri Aug 02 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.12-0vl2
- added a patch to fix buffer overflow (Patch100)

* Fri Jul 05 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 1.0.12-0vl1
- updated 1.0.12

* Tue Jan 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0.7-0vl3
- use better macros
- added Japanese summary and description

* Tue Jul 18 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0.7-0vl2
- oops, spec was in Shift-JIS... Fixed it.

* Mon Jul  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- update to 1.0.7

* Tue Mar 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.6

* Mon Mar 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- change serial to Epoch to get dependencies working correctly

* Fri Feb 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- move buildroot and add URL

* Sat Feb  5 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- strip library
- rebuild to compress man pages

* Sun Nov 21 1999 Bernhard Rosenkr舅zer <bero@redhat.com>
- 1.0.5
- some tweaks to spec file to make updating easier
- handle RPM_OPT_FLAGS

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- changed requires in libpng-devel to include serial
- corrected typo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

