Summary: Library for handling PPD (PostScript Printer Description) files
Summary(ja): PPD ե򰷤Υ饤֥
Name:		libppd
Version:	0.10
Release:	1%{?_dist_release}
License:	GPL
Group:		System Environment/Libraries
Source:		http://sourceforge.net/projects/lpr/libppd-0.10.tar.bz2
Url:		http://sourceforge.net/projects/lpr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib >= 1.2.0
BuildRequires:	autoconf automake glib-devel >= 1.2.0

%description
libppd is a library for handling PPD (PostScript Printer Description)
files, its functions parse the files, list printer options and choices
described in the files to set up GUIs for printing, and it inserts
PostScript commands into PostScript files so that the option settings
of the user are applied to the PostScript print job.


%package devel
Summary: Headers and links to compile against the "libppd" library
Requires: libppd = %{version}
Group: Development/Libraries

%description devel
This package contains all files which one needs to compile programs using
the "libppd" library.

%package -n ppdfilt
Summary: Sets options according to a PPD file in a PostScript file.
Requires: libppd = %{version}
Group: Applications/Publishing

%description -n ppdfilt
ppdfilt is a filter which takes PostScript as input, inserts
PostScripy code according to a PPD file and user-supplied option
settings, and puts out the result. Sending a so prepared PostScript
file to the printer to which the PPD file belongs, the printer does
the job with the options as set by the user.


%prep
%setup -q -n libppd-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
#{_libdir}/*.la
%{_mandir}/man3/*

%files -n ppdfilt
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/postscript


%changelog
* Tue Jul 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-1
- applied new versioning policy
- removed lib*.la files

* Thu Sep 23 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-0vl2
- changed Group
- added Japanese summary

* Wed Apr 30 2003 Satoshi MACHINO <machino@vinelinux.org> 0.10-0vl1
- Initial release.
