Summary:	C library for parsing Adobe Flash media stream URLs
Summary(ja):	AdobeFlash メディアストリーム URL を解析するための C ライブラリ
Name:		libquvi
Version:	0.4.1
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	LGPLv2.1+
Group:		Applications/Internet 
URL:		http://quvi.sourceforge.net/ 

BuildRequires:	gzip
BuildRequires:	libquvi-scripts-devel
BuildRequires:	curl-devel
BuildRequires:	lua-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libquvi is a small C library that can be used to parse Flash media stream URLs.
It originates from the idea of working around the Flash requirement found on many
media hosting websites (e.g. YouTube).


%package devel
Summary:        Development tools for libquvi
Summary(ja):    libquvi の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:	quvi-devel
Obsoletes:	quvi-devel < 0.4

%description devel
Header files and libraries for building a extension library for the
libquvi.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

gzip $RPM_BUILD_ROOT%{_mandir}/man3/libquvi.3


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_libdir}/libquvi.so.*
%{_mandir}/man3/libquvi.3.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/quvi
%{_libdir}/libquvi.so
%{_libdir}/pkgconfig/libquvi.pc

%changelog
* Wed Apr 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- initial build for Vine Linux

