%define __libtoolize :

Name:        librep
Version:     0.16.1
Release:     1%{?_dist_release}
Summary:     An embeddable LISP environment
Summary(ja): 組込み LISP 環境
License:     GPL
Group:       Development/Languages
Source:      http://download.sourceforge.net/librep/librep-%{version}.tar.gz
Patch10:     librep-0.14-mipsel.patch
URL:         http://librep.sourceforge.net/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gmp-devel >= 4.1
BuildPrereq: gdbm-devel readline-devel texinfo
PreReq:      /sbin/install-info
Requires:    gdbm >= 1.8

Vendor: Project Vine
Distribution: Vine Linux
Packager: Ryoichi INAGAKI <ryo1@bc.wakwak.com>

%description
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

%description -l ja
librep は UNIX 向け軽量 Lisp 環境です．Lisp インタプリタ，バイトコード
コンパイラ，仮想マシンが収められています．アプリケーションから Lisp
インタプリタを機能拡張言語として使うことも出来ますし，単純にスタンドアロンの
スクリプト環境として使うことも出来ます．

元々は Emacs Lisp に影響を受けつつ，elisp に欠けている機能を補う為に
Common Lisp や Scheme 等の機能を取り入れています．


%package devel
Summary:     librep include files and link libraries
Summary(ja): librep 用インクルードファイルとライブラリ
Group:       Development/Languages
Requires:    %{name} = %{version}


%description devel
Link libraries and C header files for librep development.

%description devel -l ja
librep 開発用ライブラリと C ヘッダファイル


%prep
%setup -q
#%patch10 -p1 -b .mipsel


%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

%ifarch ppc
%configure --with-readline --with-stack-direction=1
%else
%configure --with-readline --with-extra-cflags=-fstrength-reduce
%endif
make host_type=%{_target_platform}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install \
    host_type=%{_target_platform} \
    DESTDIR=$RPM_BUILD_ROOT \
    aclocaldir=%{_datadir}/aclocal \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/librep*


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/librep.info.gz %{_infodir}/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/librep.info.gz %{_infodir}/dir
fi


%postun -p /sbin/ldconfig


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc NEWS README THANKS TODO BUGS
%{_bindir}/rep
%{_bindir}/rep-remote
%{_libdir}/librep.so.*
%{_datadir}/rep/%{version}
%{_libexecdir}/rep/%{version}/%{_target_platform}
%{_infodir}/librep*


%files devel
%defattr(-,root,root)
%{_bindir}/rep-config
%{_bindir}/rep-xgettext
%{_bindir}/repdoc
%{_libdir}/librep.so
%{_includedir}/rep.h
%{_includedir}/rep_*.h
%{_libexecdir}/rep/%{_target_platform}/libtool
%{_libexecdir}/rep/%{_target_platform}/rules.mk
%{_libexecdir}/rep/%{_target_platform}/install-aliases
%{_libexecdir}/rep/%{_target_platform}/rep_config.h
%{_datadir}/aclocal/rep.m4


%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 0.16.1-1vl5
- applied new versioning policy, spec in utf-8

* Tue Aug 28 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.16.1-0vl6
- small fix for configure script

* Sat Aug 25 2007 Shu KONNO <owa@bg.wakwak.com> 0.16.1-0vl5
- s/Copyright/License/

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.16.1-0vl4
- rebuilt with readline-4.3

* Mon Jan 20 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.16.1-0vl3
- rebuilt against gmp-4.1

* Sat Nov  9 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.1-0vl2
- update to 0.16.1
- remove Patch10
- add %define __libtoolize (If it isn't, sawfish can't compile...)

* Mon Jul 16 2001 Daisuke SUZUKi <daisuke@linux.or.jp> 0.14-0vl1
- update to 0.14
- add Patch10 for mipsel

* Sun May 20 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.13.6-1vl1
- built for Vine Linux

* Tue Jun 13 2000 John Harper <john@dcs.warwick.ac.uk>
- use better macros

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
