%define rpcsecgssvers 0.17

Summary: Library to allow secure rpc communication using the rpcsec_gss protocol
Name: librpcsecgss
Version: %{rpcsecgssvers}
Release: 2%{?_dist_release}
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL

%define _docdir             %{_defaultdocdir}/%{name}-%{version}
%define librpcsecgss_docdir %{_docdir}/%{name}-%{rpcsecgssvers}

Source0: http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{name}-%{rpcsecgssvers}.tar.gz

Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig, gettext, autoconf, automake
BuildRequires: libgssglue-devel, openldap-devel
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
Requires: libgssglue, openldap

%description
Librpcsecgss allows secure rpc communication using the rpcsec_gss protocol.


%prep
%setup -q


%build
%configure
make all


%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} make install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README

%{_libdir}/librpcsecgss.so.*
%{_libdir}/librpcsecgss.la
%{_libdir}/pkgconfig/librpcsecgss.pc
%{_libdir}/librpcsecgss.a
%{_libdir}/librpcsecgss.so
%{_includedir}/rpcsecgss/rpc/auth.h
%{_includedir}/rpcsecgss/rpc/auth_gss.h
%{_includedir}/rpcsecgss/rpc/svc.h
%{_includedir}/rpcsecgss/rpc/svc_auth.h
%{_includedir}/rpcsecgss/rpc/rpc.h
%{_includedir}/rpcsecgss/rpc/rpcsecgss_rename.h


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.17-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun May 11 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.17-1
- initial build for Vine Linux
