%define ver 2.0

Summary: A C++ wrapper for librsvg
Summary(ja): librsvg の C++ ラッパー
Name: librsvgmm
Version: 2.26.1
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/librsvgmm/2.26/%{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	librsvg2 >= 2.26.0
Requires:	cairomm >= 1.6.0
Requires:	glibmm >= 2.16.0
BuildRequires:	librsvg2-devel >= 2.26.0
BuildRequires:	cairomm-devel >= 1.6.0
BuildRequires:	glibmm-devel >= 2.16.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Librsvgmm is a C++ wrapper for librsvg.


%package	devel
Summary: 	Development tools for librsvgmm applications.
Summary(ja): 	librsvgmm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	librsvg2-devel >= 2.26.0
Requires:	cairomm-devel >= 1.6.0
Requires:	glibmm-devel >= 2.16.0

%description devel
Header files and libraries for building a extension library for the librsvgmm.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}/

# devhelp path fix
sed -i 's:doc/%{name}-%{ver}:gtk-doc/html/%{name}-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{ver}/%{name}-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-%{ver}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 2.26.1-2
- build with rpm-4.8.1-1 for pkg-config file

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.1-1
- initial build for Vine Linux

