%define version 1.2.7
%define release 2%{?_dist_release}

%define lib_name sigc++-1.2

Summary: The Typesafe Signal Framework for C++
Summary(ja): C++ 用の型安全なシグナルフレームワーク
Name: libsigc++12
Version: %{version}
Release: %{release}
Source: libsigc++-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
URL: http://libsigc.sourceforge.net/

BuildRequires: gcc-c++ m4
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. Originally part of the Gtk--
widget set, libsigc++ is now a seperate library to provide for more general
use. It is the most complete library of its kind with the ablity to connect
an abstract callback to a class method, function, or function object. It
contains adaptor classes for connection of dissimilar callbacks and has an
ease of use unmatched by other C++ callback libraries.

Package gtkmm2, which is a C++ binding to the GTK2 library, uses libsigc++.


%package devel
Summary: development tools for the Typesafe Signal Framework for C++ 
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%package examples
Summary: examples and tests for the Typesafe Signal Framework for C++ 
Group: Development/Libraries
Requires: %{name}-devel = %{version}

%description examples
The %{name}-devel package contains source code of example and test
programs for libsigc++.

%prep
%setup -q -n libsigc++-%{version}

%build
%configure
export tagname=CC
make %{_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

# Clean up the docs
find doc -name "Makefile*" | xargs rm -f

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{lib_name}

cp -a examples tests $RPM_BUILD_ROOT%{_libdir}/%{lib_name}
find $RPM_BUILD_ROOT%{_libdir}/%{lib_name} -type d -name .libs |xargs -r rm -rf
find $RPM_BUILD_ROOT%{_libdir}/%{lib_name} -type f |xargs file |
	grep -E '(relocatable|executable|shell script)' |cut -d: -f1 |xargs -r rm -f

for i in $RPM_BUILD_ROOT%{_libdir}/%{lib_name}/examples/Makefile; do
	rm -f $i.*
	cp -p scripts/examples.Makefile $i
done
for i in $RPM_BUILD_ROOT%{_libdir}/%{lib_name}/tests/Makefile; do
	rm -f $i.*
	cp -p scripts/tests.Makefile $i
done

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING.LIB README IDEAS NEWS ChangeLog TODO
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,755)
%doc doc/*
%{_includedir}/*
%{_libdir}/%{lib_name}/include
%{_libdir}/pkgconfig/*.pc
%attr(755,root,root) %{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/*a

%files examples
%defattr(-,root,root,755)
%{_libdir}/%{lib_name}/examples
%{_libdir}/%{lib_name}/tests

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.7-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.7-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.7-0vl2
- rebuilt with new toolchain

* Fri May 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.7-0vl1
- new upstream release

* Sun Nov 14 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl2
- package name changed to libsigc++12

* Sun Dec 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5-0vl1
- update to 1.2.5
- add Requires: pkgconfig

* Sat Oct  4 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.4-0vl3
- rebuild to remove dependance <5371>
- add Japanese summary
- use better macros
- s/Copyright/License/

* Mon Nov 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl2
- rebuild with new toolchain

* Wed Feb 06 2002 Satoshi IWMAOTO <satoshi.iwamoto@nifty.ne.jp>
- 1.0.4-0vl1
- Build for Vine Linux 2.5

* Wed Feb 21 2001 yoneda kenji <yoneda@n.isl.titech.ac.jp>
- packaged for Vine Linux 2.1

* Sat Apr 15 2000 Dmitry V. Levin <ldv@fandra.org>
- updated Url and Source fileds
- 1.0.0 stable release

* Sat Jan 22 2000 Dmitry V. Levin <ldv@fandra.org>
- filtering out -fno-rtti and -fno-exceptions options from $RPM_OPT_FLAGS
- minor install section cleanup

* Wed Jan 19 2000 Allan Rae <rae@lyx.org>
- autogen just creates configure, not runs it, so cleaned that up too.

* Wed Jan 19 2000 Dmitry V. Levin <ldv@fandra.org>
- minor attr fix
- removed unnecessary curly braces
- fixed Herbert's adjustement

* Sat Jan 15 2000 Dmitry V. Levin <ldv@fandra.org>
- minor package dependence fix

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %name, %name-devel and %name-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
