Name: libsigsegv
Summary: Library for handling page faults in user mode
Version: 2.8
Release: 2%{?_dist_release}
License: GPLv2
Group: System Environment/Libraries
URL: http://libsigsegv.sourceforge.net/
Source0: ftp://ftp.gnu.org/pub/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:

  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,
  - ...

%package devel
Summary: Development libraries and headers for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.

%prep
%setup -q

%build
%configure --enable-shared --enable-static
make

%install
rm -rf %{buildroot}
%makeinstall
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS PORTING README
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
#%{_libdir}/*.la

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 2.8-2
- rebuilt with rpm-4.8.1-3

* Tue Feb 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-1
- new upstream release
- built with new toolchain

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6-1
- new upstream release

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.4-1vl5
- applied new versioning policy
- removed *.la

* Sun Mar 18 2007 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.4-0vl1
- Initial build.

