Summary: Soup, an HTTP library implementation
Summary(ja): Soup - HTTP ライブラリ実装
Name: libsoup22
Version: 2.2.105
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/libsoup/2.2/libsoup-%{version}.tar.bz2
URL:  ftp://ftp.gnome.org/pub/gnome/sources/libsoup/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib2 >= 2.6.0
BuildRequires: glib2-devel, gnutls-devel, libxml2-devel, pkgconfig

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

%package devel
Summary: Header files for the Soup library
Summary(ja): Soup ライブラリのヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel, gnutls-devel, libxml2-devel, libgpg-error-devel
 
%description devel
Libsoup is an HTTP library implementation in C. This package allows 
you to develop applications that use the libsoup library.

%prep
%setup -q -n libsoup-%{version}

%build
%configure
make LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL 
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libsoup-2.2
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*

%changelog
* Mon Jun 22 2009 Toshiharu Kudoh <toshi.kd2@gmai.com> 2.2.105-1vl5
- new upstream release
- spec in UTF-8

* Sat Jan 17 2009 Toshiharu Kudoh <toshi.kd2@gmai.com> 2.2.104-2vl5
- rebuild with gnutls-2.6.3

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.104-1vl5
- package name has been changed

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.104-0vl1
- new upstream release

* Fri Mar 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.100-0vl1
- new upstream release

* Sun Jan 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.99-0vl1
- new upstream release
  (includes security fix CVE-2006-5876 <BTS:462>)

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.96-0vl2
- rebuild with gnutls-1.4.1

* Thu Sep 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.96-0vl1
- new upstream release

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.93-0vl1
- new upstream release

* Wed Nov 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.7-0vl1
- new upstream release

* Fri Sep 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.6.1-0vl1
- new upstream release
- added BuildRequires: gnutls-devel instead of openssl-devel

* Tue Apr 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl1
- new upstream release

* Sat Mar 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.28-0vl1
- new upstream release

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.26-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.23-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.22-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.20-1vl1
- build for Vine Linux

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.99.20-1
- 1.99.20

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-3
- include ssl proxy so that ssl urls work properly (#90165, #90166)

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-2
- forward port patch to use a union initializer to fix build on x86_64

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-1
- rename package to libsoup
- update to 1.99.17
- don't obsolete soup for now, it's parallel installable

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 0.7.11-1
- update to 0.7.11

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 0.7.10-5
- added soup-0.7.10-64bit.patch to fix 64 bit platforms (#86347)

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- only runtime libs in normal rpm

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Jeremy Katz <katzj@redhat.com> 
- update url (#82347)

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.7.10-2
- use pkgconfig's openssl configuration information, if it exists

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.7.10-1
- update to 0.7.10

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-4
- fix fpic patch
- soup-devel should require soup

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-3
- better lib64 patch
- fix building of libwsdl-build to use libtool so that it gets built 
  with -fPIC as needed

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-2
- change popt handling in configure slightly so that it will work on 
  multilib arches

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-1
- update to 0.7.9, pulling the tarball out of Ximian packages

* Wed Oct 23 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-3
- fix to not try to include non-existent doc files and remove all 
  unwanted files from the build
- include api docs 
- don't build the apache module

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-2
- various specfile tweaks to include in Red Hat Linux
- include all the files

* Tue Jan 23 2001 Alex Graveley <alex@ximian.com>
- Inital RPM config.
