Summary:	Secure RTP (SRTP) and UST Reference Implementations
Name:		libsrtp
Version:	1.4.4
Release:	1%{?_dist_release}

Source0:	srtp-%{version}.tgz
# Pkgconfig goodness
Source1:	libsrtp.pc
# Seriously. Who doesn't do shared libs these days?
# And how does Chromium always manage to find these projects and use them?
Patch0:		libsrtp-1.4.4-shared.patch

License:	BSD
Group:		System Environment/Libraries
URL:		http://srtp.sourceforge.net/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
The libSRTP library is an open-source implementation of the Secure Real-time
Transport Protocol (SRTP) originally authored by Cisco Systems, Inc.


%package devel
Summary:        Development environment for libsrtp
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for building a extension library for the
libsrtp


%prep
%setup -q -n srtp
%patch0 -p1 


%build
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
pushd %{buildroot}%{_libdir}
ln -sf libsrtp.so.0.0.0 libsrtp.so
ln -sf libsrtp.so.0.0.0 libsrtp.so.0
popd

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# Install the pkg-config file
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
install -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/
# Fill in the variables
sed -i "s|@PREFIX@|%{_prefix}|g" %{buildroot}%{_libdir}/pkgconfig/libsrtp.pc
sed -i "s|@LIBDIR@|%{_libdir}|g" %{buildroot}%{_libdir}/pkgconfig/libsrtp.pc
sed -i "s|@INCLUDEDIR@|%{_includedir}|g" %{buildroot}%{_libdir}/pkgconfig/libsrtp.pc


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{_libdir}/libsrtp.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/srtp
%{_libdir}/libsrtp.so
%{_libdir}/pkgconfig/libsrtp.pc



%changelog
* Tue Feb 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- initial build for Vine Linux based on fedora development

