%define gitdate 20120504git11e234a

Name: libteam
Version: 0.1
Release: 1.%{gitdate}%{?_dist_release}
Summary: Library for controlling team network device
Summary(ja): team ネットワークデバイスを制御するためのライブラリ
Group: System Environment/Libraries
License: LGPLv2+
URL: http://www.libteam.org
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://github.com/jpirko/libteam.git
#  cd libteam/
#  git reset --hard 11e234a
#  ./autogen.sh
#  ./configure
#  make distcheck
#  mv libteam-0.1.tar.gz libteam-20120504git11e234a.tar.gz
Source0: libteam-%{gitdate}.tar.gz
BuildRequires: jansson-devel
BuildRequires: libdaemon-devel
BuildRequires: libnl3-devel
BuildRequires: python-devel
BuildRequires: dbus-devel
BuildRequires: swig

%description
This package contains a library which is a user-space
counterpart for team network driver. It provides an API
to control team network devices

%package devel
Group: Development/Libraries
Summary: Libraries and header files for libteam development
Summary(ja): Libraries and header files for libteam development
Requires: libteam = %{version}-%{release}

%package -n teamd
Group: System Environment/Daemons
Summary: Team network device control daemon
Summary(ja): Team network device control daemon
Requires: libteam = %{version}-%{release}

%package -n python-libteam
Group: Development/Libraries
Summary: Team network device library bindings
Summary(ja): Team network device library bindings
Requires: libteam = %{version}-%{release}

%description devel
The libteam-devel package contains the header files and libraries
necessary for developing programs using libteam.

%description -n teamd
The teamd package contains team network device control daemon.

%description -n python-libteam
The team-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by team network device library.

This package should be installed if you want to develop Python
programs that will manipulate team network devices.

%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

%prep
%setup -q

# prepare example dir for -devel
mkdir -p _tmpdoc1/examples
cp -p src/*.c _tmpdoc1/examples
# prepare example dir for team-python
mkdir -p _tmpdoc2/examples
cp -p examples/python/*.py _tmpdoc2/examples
chmod -x _tmpdoc2/examples/*.py

%build
%configure --disable-static
make %{?_smp_mflags}
cd binding/python
python ./setup.py build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name \*.la -delete
rm -rf $RPM_BUILD_ROOT/%{_bindir}/team_*
cd binding/python
python ./setup.py install --root $RPM_BUILD_ROOT -O1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING _tmpdoc1/examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n teamd
%defattr(-,root,root,-)
%doc COPYING teamd/example_configs
%{_bindir}/teamd
%{_mandir}/man8/* 

%files -n python-libteam
%defattr(-,root,root,-)
%doc COPYING _tmpdoc2/examples
%{python_sitearch}/*

%changelog
* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-1.20120504git11e234a
- initial build for Vine Linux

* Thu May 04 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-6.20120504git11e234a
- Rebase to git commit 11e234a

* Thu Apr 05 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-5.20120405gita82f8ac
- Rebase to git commit a82f8ac

* Sat Feb 21 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-4.20120221gitfe97f63
- Rebase to git commit fe97f63

* Mon Jan 30 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-3.20120130gitb5cf2a8
- Rebase to git commit b5cf2a8

* Wed Jan 25 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-2.20120125gita1718f8
- Rebase to git commit a1718f8

* Wed Jan 18 2012 Jiri Pirko <jpirko@redhat.com> - 0.1-1.20120113git302672e
- Initial build.
