%define _tomoe_ver	0.5.0

Summary:	A class library for tomoe's GUI parts
Summary(ja):	tomoe の GUI パーツのクラスライブラリ
Name:		libtomoe-gtk
Version:	0.5.1
Release:	1%{?_dist_release}
Group:		System Environment/Libraries
License:	LGPL
URL:		http://tomoe.sourceforge.jp/
Source0:	libtomoe-gtk-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	tomoe-devel >= %{_tomoe_ver}
BuildRequires:	gtk2-devel >= 2.4.0, gtk-doc >= 1.4, gucharmap-devel >= 1.4.0
Requires:	tomoe >= %{_tomoe_ver}
Requires:	gtk2 >= 2.4.0
PreReq:		ldconfig

%description
The libtomoe-gtk is a class library for tomoe's GUI parts.

%description -l ja
libtomoe-gtk は tomoe の GUI パーツのクラスライブラリです。

%package devel
Summary:	Header files for developing libtomoe-gtk applications
Summary(ja):	libtomoe-gtk アプリケーション開発用ヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	tomoe-devel >= %{_tomoe_ver}
Requires:	gucharmap-devel >= 1.4.0
Requires:	pkgconfig

%description devel
The libtomoe-gtk-devel package includes the header files for the libtomoe-gtk
package.
Install this package if you want to develop programs which use libtomoe-gtk.

%description -l ja devel
libtomoe-gtk-devel パッケージには、libtomoe-gtk を使うアプリケーションを開発
するためのヘッダファイルが含まれています。

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name}
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
%__rm -rf %{buildroot}

%post
%{_syssbindir}/ldconfig

%postun
%{_syssbindir}/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*
%{_datadir}/libtomoe-gtk

%files devel
%defattr(-,root,root,-)
%{_includedir}/tomoe/gtk/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
#%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/gtk-doc/html/libtomoe-gtk

%changelog
* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.1-0vl1
- new upstream release
- drop obsolete test-fix.patch (patch0)

* Mon Jan 08 2007 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl2
- add Requires: gucharmap-devel to -devel package

* Mon Dec 31 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.5.0-0vl1
- new upstream release
- update required version of tomoe
- add test-fix.patch (patch0)
- add Requires: tomoe-devel to -devel package
- add BuildRequires: gtk-doc >= 1.4, gucharmap-devel >= 1.4.0

* Fri Nov 24 2006 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.3.0-0vl1
- new upstream release
- update required-version of tomoe
- add Requires: pkgconfig to -devel package
- update %%files

* Mon Nov 07 2005 KAZUKI SHIMURA <kazuki@ma.ccna.ne.jp> 0.1.0-0vl1
- initial release for Vine Linux
