
# Basic Information
Name:		libunistring
Version:	0.9.3
Release:	1%{?_dist_release}
License:	GPLv3+
Group:		Development/Libraries
URL:		http://www.gnu.org/software/libunistring/
Source0:	http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	library for manipulating Unicode strings
Summary(ja):	Unicode 文字列を処理するライブラリ

# Dependency
BuildRequires:	texinfo
BuildRequires:	texlive
BuildRequires:	perl

%description
Text files are nowadays usually encoded in Unicode, and may consist of very
different scripts – from Latin letters to Chinese Hanzi –, with many kinds
of special characters – accents, right-to-left writing marks, hyphens,
Roman numbers, and much more. But the POSIX platform APIs for text do not
contain adequate functions for dealing with particular properties of many
Unicode characters. In fact, the POSIX APIs for text have several
assumptions at their base which don't hold for Unicode text.

This library provides functions for manipulating Unicode strings and for
manipulating C strings according to the Unicode standard.

#%%description -l ja
#%ここに日本語で詳細を記述してください。

%package devel
Summary:	Development files and documentation for libunistring
Summary(ja):	libunistring の開発用ファイルとドキュメント

%description devel
Development files and documentation for libunistring

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libunistring.a
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libunistring.la
%{__rm} ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README THANKS
%{_libdir}/*.so.*

%files devel
%{_includedir}/uni*.h
%{_includedir}/unistring
%{_libdir}/libunistring.so
%{_docdir}/libunistring
%{_infodir}/libunistring.info.gz

%changelog
* Wed Aug 15 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.3-1
- initial build for Vine Linux
