Summary: A library which allows userspace access to USB devices
Summary(ja): USB デバイスにユーザスペースからアクセスするためのライブラリ
Name: libusb1
Version: 1.0.9
Release: 1%{?_dist_release}
Source0: http://downloads.sourceforge.net/libusb/libusb-%{version}.tar.bz2
License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://libusb.wiki.sourceforge.net/Libusb1.0
ExcludeArch: s390 s390x
BuildRequires: doxygen

%description
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

%description -l ja
このパッケージはアプリケーションが USB デバイスにアクセスする方法を提供します。
このライブラリはオリジナルの libusb-0.1 シリーズと互換性がないことに注意してください。

%package devel
Summary: Development files for libusb
Summary(ja): libusb の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, libraries and documentation needed to
develop applications that use libusb1.

%description devel -l ja
このパッケージは libusb1 を使うアプリケーションを開発するために
必要なヘッダファイル、ライブラリ、ドキュメントを含んでいます。

%package static
Summary: Static development files for libusb
Summary(ja): libusb の静的開発ファイル
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries to develop applications that use libusb1.

%description static -l ja
このパッケージは libusb1 を使うアプリケーションを開発するための
静的ライブラリを含んでいます。

%prep
%setup -q -n libusb-%{version}

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"
pushd doc
make docs
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/html examples/*.c
%{_libdir}/pkgconfig/libusb-1.0.pc
%{_includedir}/*
%{_libdir}/*.so

%files static
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Thu May 10 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.9-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-2
- rebuild with rpm-4.8.1 for pkg-config file

* Tue May 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.8-1
- new upstream release

* Thu Dec 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.6-1
- new upstream release

* Wed Sep 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.3-1
- new upstream release

* Mon Aug 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.2-1
- new upstream release

* Sun Jun 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.1-1
- new upstream release
- fixed BuildRoot
- added Japanese description, summary

* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-1
- initial build for Vine Linux

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 - Bastien Nocera <bnocera@redhat.com> - 1.0.0-1
- Update to 1.0.0

* Fri Nov 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.9.4-1
- Update to 0.9.4

* Tue Sep 23 2008 Jindrich Novy <jnovy@redhat.com> 0.9.3-0.1
- update to 0.9.3

* Sun Jul 06 2008 - Bastien Nocera <bnocera@redhat.com> - 0.9.1
- Update to 0.9.1

* Mon May 26 2008 Jindrich Novy <jnovy@redhat.com> 0.9.0-0.4
- update to official beta

* Thu May 23 2008 Jindrich Novy <jnovy@redhat.com> 0.9.0-0.3.gitbef33bb
- update comment on how the tarball was created
- use abbreviated git hash within package name to avoid conflicts
- add to %%description that libusb1 is incompatible with libsub-0.1

* Thu May 22 2008 Jindrich Novy <jnovy@redhat.com> 0.9.0-0.2.gitbef33bb
- add info on how the snapshot tarball was created

* Wed May 21 2008 Jindrich Novy <jnovy@redhat.com> 0.9.0-0.1.gitbef33bb
- use proper version to denote it is a git snapshot

* Thu May 15 2008 Jindrich Novy <jnovy@redhat.com> 0.9.0-0.1
- initial packaging
