%global backend intel-driver

Summary:        Intel graphics backend for VA API
Summary(ja):    VA-API の Intel グラフィックスバックエンド
Name:           libva-%{backend}
Version:        1.0.15
Release:        1%{?_dist_release}
License:        MIT
Url:            http://cgit.freedesktop.org/vaapi/%{backend}/
Group:          System Environment/Libraries

Source: http://cgit.freedesktop.org/vaapi/%{backend}/snapshot/%{backend}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf, automake, libtool, gettext
BuildRequires:  pkgconfig
BuildRequires:  libva-devel >= 1.0.15
BuildRequires:  libXext-devel
Obsoletes:      libva < 1.0.15

%description
HW video decode support for Intel integrated graphics.

%prep
%setup -q -n %{backend}-%{version}

%build
autoreconf -v --install
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/i965_drv_video.so

%changelog
* Thu Nov 03 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.15-1
- initial build for Vine Linux
- splitted from libva
