%global backend vdpau-video
%define pre .pre5

Summary:        A VDPAU-based backend for VA API
Summary(ja):    VA-API の VDPAU バックエンド
Name:           libva-%{backend}
Version:        0.7.3
Release:        1%{?pre}%{?_dist_release}
License:        MIT
Url:            http://www.splitted-desktop.com/~gbeauchesne/
Group:          System Environment/Libraries

Source:         http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/%{backend}-%{version}%{?pre}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf, automake, libtool, gettext
BuildRequires:  pkgconfig
BuildRequires:  libva-devel >= 1.0.7
BuildRequires:  libvdpau-devel >= 0.4
BuildRequires:  libXext-devel
Obsoletes:      vdpau-video < 0.7.2

%description
VAAPI-VDPAU Driver Bridge for NVidia/S3 Binary blob driver.

%prep
%setup -q -n %{backend}-%{version}%{?pre}

%build
autoreconf -v --install
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/nvidia_drv_video.so
%{_libdir}/dri/s3g_drv_video.so
%{_libdir}/dri/vdpau_drv_video.so

%changelog
* Fri Jan 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.3-1.pre5
- initial build for Vine Linux

* Wed Jul 21 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.6.10-1
- Adapted spec for Fedora.

* Sat Jun 12 2010 dominique-vlc.suse@leuenberger.net
- Initial package of nvidia vdpau driver for nvidia.
