%define ver 1.2

Summary: A C++ wrapper for libvte
Summary(ja): libvte の C++ ラッパー
Name: libvtemm
Version: 0.25.0
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libvtemm/0.25/%{name}-%{version}.tar.xz

Buildroot: %{_tmppath}/%{name}-%{version}-root

Requires:	vte >= 0.24.0
Requires:	glibmm >= 2.22.0
Requires:	pangomm >= 2.24.0
Requires:	gtkmm2 >= 2.20.0
BuildRequires:	vte-devel >= 0.24.0
BuildRequires:	glibmm-devel >= 2.22.0
BuildRequires:	pangomm-devel >= 2.24.0
BuildRequires:	gtkmm2-devel >= 2.20.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Libvtemm is a C++ wrapper for libvte.


%package	devel
Summary: 	Development tools for libvtemm applications.
Summary(ja): 	libvtemm アプリケーションの開発用ファイル
Group: 		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	vte-devel >= 0.24.0
Requires:	glibmm-devel >= 2.22.0
Requires:	pangomm-devel >= 2.24.0
Requires:	gtkmm2-devel >= 2.20.0

%description devel
Header files and libraries for building a extension library for the libvtemm.

%prep
%setup -q 

%build
%configure --disable-static
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Fix documentation installation, put everything under gtk-doc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}
mv ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{ver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-%{ver}/

# devhelp path fix
sed -i 's:doc/%{name}-%{ver}:gtk-doc/html/%{name}-%{ver}:g' $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{ver}/%{name}-%{ver}.devhelp2

# remove demos, examples
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/demo
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{ver}/examples

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}-%{ver}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/*
%{_datadir}/devhelp/books/*

%changelog
* Sun Oct 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.25.0-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Jul 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.0-1
- initial build for Vine Linux

