Summary:      Software development kit for Wnn7 Input Method
Summary(ja):  Wnn7 インプットメソッド用ソフトウェア開発キット
Name:         libwnn7
Version:      20011017
Release:      5%{?_dist_release}

Group:        System Environment/Libraries
License:      Commercial, Other License(s), see package
URL:          http://www.omronsoft.co.jp

Source0:      ftp://ftp.omronsoft.co.jp/pub/Wnn7/sdk_source/Wnn7SDK.tar.bz2
Patch0:       Wnn7-SDK-64bit.patch
Patch1:       Wnn7-SDK-do-not-return-random-data-in-functions.patch
Patch2:       Wnn7-SDK-gcc4.patch
Patch3:       Wnn7-SDK-malloc.patch
Patch4:       Wnn7-SDK-static.patch
Patch5:       Wnn7-SDK-vine.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: imake
BuildRequires: gtk2-devel pkgconfig

%description
Software development kit for Wnn7 Input Method

%description -l ja
Wnn7 インプットメソッド用ソフトウェア開発キット

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Software development kit for Wnn7 Input Method

This package contains development files for %{name}.


%prep
%setup -q -n src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"
#make World -f Makefile.ini
make World -f Makefile.ini CONFIGDIR=%{_datadir}/X11/config

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/usr/include/wnn7
install -m 644 Wnn/include/*.h $RPM_BUILD_ROOT/usr/include/wnn7
install -m 644 Wnn/jlib/*.a $RPM_BUILD_ROOT/%{_libdir}
cp -a Wnn/jlib/*.so* $RPM_BUILD_ROOT/%{_libdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc README
%{_libdir}/libwnn7.so.*
%{_includedir}/wnn7/

%files devel
%defattr(-,root,root)
%{_libdir}/libwnn7.a
%{_libdir}/libwnn7.so
%{_includedir}/wnn7/


%changelog
* Sat Apr 16 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20011017-5
- rebuilt with current VineSeed

* Sat Jul 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20011017-4
- added Summary(ja): and %%description -l ja
- added BuildRequires: imake
- added devel subpackage

* Sat Oct 25 2008 Shu KONNO <owa@bg.wakwak.com> 20011017-3
- added CONFIGDIR=%%{_datadir}/X11/config at make

* Sun Sep 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20011017-2
- spec in utf-8
- s!/usr/lib/X11/config!/usr/share/X11/config! in Wnn7-SDK-vine.patch

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20011017-1vl5
- initial build for VineSeed

#* Sun Mar 2 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 20011015-0vlmp1
#- initial build for VineSeed
#
#* Fri Dec 17 2004 - mfabian@suse.de
#- new package: wnn-sdk, Version 7.
#- apply 64 bit patch.
#- don't return random data in functions.
