Name:           libx86          
Version:        1.1    
Release:        3%{?_dist_release}
Summary:        Library for making real-mode x86 calls

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.codon.org.uk/~mjg59/libx86
Source0:        http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.gz
Patch0:         libx86-add-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
# does not build on ppc or ppc64 yet, due to the lack of port i/o redirection
# and video routing
ExcludeArch:    ppc ppc64

%description
A library to provide support for making real-mode x86 calls with an emulated
x86 processor.

%package devel
Summary:        Development tools for programs which will use libx86
Summary(ja):        Development tools for programs which will use libx86
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the static library and header file necessary for
development of programs that will use libx86 to make real-mode x86 calls.

%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" make BACKEND=x86emu LIBDIR=%{_libdir} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
rm $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYRIGHT
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/x86.pc

%changelog
* Fri Sep 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-3
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Mar 15 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-2
- add Patch0 to add pkgconfig

* Sun Oct 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- initial build for Vine Linux

* Tue May 20 2008 Matthew Garrett <mjg@redhat.com> 1.1-3
- Fix bizarre provides/obsoletes thinko 

* Tue May 20 2008 Matthew Garrett <mjg@redhat.com> 1.1-2
- Ensure RPM_OPT_FLAGS are passed. Patch from Till Maas.

* Mon May 19 2008 Matthew Garrett <mjg@redhat.com> 1.1-1
- Initial packaging of libx86
