Name: 		libxfcegui4
Summary: 	GTK widgets for xfce
Version: 	4.10.0
Release: 	1%{?_dist_release}

Group: 		System Environment/Libraries
License:	LGPLv2+
URL: 		http://www.xfce.org/

Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	gtk2-devel >= 2.10.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libSM-devel
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:  libxml2-devel >= 2.4.0
BuildRequires:  pkgconfig
BuildRequires:  startup-notification-devel >= 0.5
BuildRequires:  xfconf-devel >= 4.6.0
Requires(posttrans): gtk2
Requires(postun): gtk2
      
%description
The package includes various gtk widgets for Xfce.

%package devel
Summary:	developpment tools for libxfcegui4 library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxfce4util-devel >= 4.10.0
Requires:	gtk2-devel >= 2.10.0

%description devel
Static libraries and header files for the libxfcegui4 library.

%prep
%setup -q

%build
%configure --disable-gladeui --disable-static 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/*/*.la
#rm -f $RPM_BUILD_ROOT%{_libdir}/glade3/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun 
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING 
%{_libdir}/lib*.so.*
%{_libdir}/libglade/*/lib*.so
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-filemanager.svg

%files devel
%defattr(-, root, root)
%{_includedir}/xfce4
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/libxfcegui4

%changelog
* Wed Jun 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.0-1
- new upstream release

* Mon Mar 28 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- new upstream release

* Wed Sep 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-1
- new upstream release
- built with new toolchain

* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- removed lib*.a files from devel package
- added --disable-gladeui option 

* Sun Aug 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- appiled new versioning policy
- removed lib*.la files from devel package

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version
- remove dbh-devel from BuildRequires
- remove %{_libdir}/xfce4/modules from files section
- remove %{_datadir}/xfce4 from files section
- remove %{_includedir}/xfce4/xfce4-modules from files section
- add %{_datadir}/icons/hicolor/*/apps/* to files section

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release
- add dbh-devel to BuildRequires

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release
- add --enable-gtk-doc option to configure
- add Requires: libxml2 and BuildRequires: libxml2-devel

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Sun Jan 04 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release for vine

