# Note that this is NOT a relocatable package
%define ver	1.8.17
%define rel	5%{?_dist_release}
%define	name	libxml

Summary:	An XML library
Summary(ja):	XMLライブラリ
Name:		%name
Version:	%ver
Release:	%rel
License:	LGPL
Group:		System Environment/Libraries
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/libxml/1.8/%{name}-%{ver}.tar.bz2
Patch0:		libxml-1.8.6-zlib_fixed.patch
Patch100:       CAN-2004-0110.patch
Patch110:       libxml-1.8.17_CVE-2009-2414-2416.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	zlib-devel
URL:		http://xmlsoft.org

%description
The libxml package contains an XML library, which allows you to
manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

%description -l ja
libxmlパッケージは XMLファイルを操作するためのXMLライブラリを備
えています. XML (eXtensible Markup Language)は、
ウェブ経由でデータを交換するための構造化された形式です。


%package devel
Summary:	Libraries, includes and other files to develop libxml applications.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
The libxml-devel package contains the libraries, include and other
files you can use to develop libxml applications.

%description devel -l ja
libxml-develパッケージはlibxmlアプリケーションを開発するのに利用する
ライブラリやヘッダファイルを含んでいます。


%prep
%setup -q
%patch0 -p1

%patch100 -p1 -b .CAN-2004-0110
%patch110 -p0 -b .CVE-2009-2414-2416

%build
%configure --disable-static
# don't use parallel build
# make %{?_smp_mflags}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%doc doc/html
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root)
%{_bindir}/xml-config
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/pkgconfig
%{_includedir}/*
%docdir %{_datadir}/gnome-xml/html
%{_datadir}/gnome-xml


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.17-5
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Apr 29 2010 Shu KONNO <owa@bg.wakwak.com> 1.8.17-4
- rebuilt without smp option

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.17-3
- rebuilt with new toolchain
- added --disable-static to %%configure
- updated URL

* Wed Aug 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.8.17-2vl5
- add patch100 for fix CAN-2004-0110 (from RHEL3)
- add patch110 for fix CVE-2009-2414-2416 (from RHEL3)

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.8.17-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 03 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.17-0vl6
- rebuilt with new toolchain
- remove PreReq: install-info

* Sun Feb 05 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.8.17-0vl5
- rebuild
- add PreReq: install-info instead of /sbin/install-info
- contain %%{_libdir}/pkgconfig/*.pc instead of %%{_libdir}/pkgconfig

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.8.17-0vl4
- rebuild

* Sun Apr 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.17-0vl3
- fix %doc (removed Docdir: /usr/doc)

* Fri Apr 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.17-0vl2
- fix to contain %{_libdir}/pkgconfig

* Sun Apr 13 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.17-0vl1
- rebuild with new toolchains
- updated to 1.8.17

* Fri Nov 23 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.16-0vl1
- updated in sync with the new upstream 1.8.16 release

* Sun Jul 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.8.14-0vl1
- updated in sync with the new upstream 1.8.14 release

* Wed Mar  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.8.11-0vl1
- New upstream release.

* Thu Dec 28 2000 Akira TAGOH <tagoh@gnome.gr.jp>
- 1.8.10-0vl1
- updated to 1.8.10

* Mon Aug 14 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- updated to 1.8.9

* Tue May 23 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.8.7

* Wed Feb  9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.8.6

* Mon Jan 17 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.8.4

* Mon Jan 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added zlib_fixed patch for small bug in macro.

* Sun Jan 9 2000 Kazuhito Nishi <nishi@imasy.or.jp>
- version 1.8.3

* Sat Oct 16 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- modified spec file, %description, %files

* Sat Sep 18 1999 Kazuhito Nishi <nishi@imasy.or.jp>
- First try at a spec file for Vine
