Summary: Library providing XML and HTML support
Summary(ja): XML や HTML サポートを提供するライブラリ
Name: libxml2
Version: 2.8.0
Release: 1%{_dist_release}
License: MIT
Group: System Environment/Libraries
Source: ftp://xmlsoft.org/libxml2-%{version}.tar.gz

Patch0: libxml2-multilib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python
BuildRequires: python-devel
BuildRequires: zlib-devel
BuildRequires: pkgconfig

URL: http://xmlsoft.org/

Vendor: Project Vine
Distribution: Vine Linux

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%description -l ja
このライブラリはXMLファイルを扱う事ができます。XMLやHTMLファイルを読み込み、
修正、書き込みをサポートしています。DTDに対応しており、パース時や一度
ドキュメントが修正された後でも複雑なDTDであってもパースと確認が出来ます。
出力は簡単なSAXストリームやメモリ内のDOM形式を使えます。この場合、
選択したサブノードやレンジの実装に組み込まれたXPathやXPointerを使うことが
出来ます。HTTPやFTPモジュールやURIライブラリを使って柔軟な入力/出力が可能です。

%package -n compat32-%{name}
Summary: Library providing XML and HTML support
Summary(ja): XML や HTML サポートを提供するライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%description -n compat32-%{name} -l ja
このライブラリはXMLファイルを扱う事ができます。XMLやHTMLファイルを読み込み、
修正、書き込みをサポートしています。DTDに対応しており、パース時や一度
ドキュメントが修正された後でも複雑なDTDであってもパースと確認が出来ます。
出力は簡単なSAXストリームやメモリ内のDOM形式を使えます。この場合、
選択したサブノードやレンジの実装に組み込まれたXPathやXPointerを使うことが
出来ます。HTTPやFTPモジュールやURIライブラリを使って柔軟な入力/出力が可能です。

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Summary(ja): XML や HTML アプリケーションを開発するためのライブラリやヘッダ類
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%description devel -l ja
XMLアプリケーションを開発するためのライブラリやヘッダファイル類。
このライブラリはXMLファイルを扱う事ができます。
XMLやHTMLファイルを読み込み、修正、書き込みをサポートしています。
DTDに対応しており、パース時や一度ドキュメントが修正された後でも
複雑なDTDであってもパースと確認が出来ます。
出力は簡単なSAXストリームやメモリ内のDOM形式を使えます。この場合、
選択したサブノードやレンジの実装に組み込まれたXPathやXPointerを使うことが
出来ます。HTTPやFTPモジュールやURIライブラリを使って柔軟な入力/出力が可能です。

%package -n compat32-%{name}-devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Summary(ja): XML や HTML アプリケーションを開発するためのライブラリやヘッダ類
Group: Development/Libraries
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel    = %{version}-%{release}
Requires: compat32-zlib-devel

%description -n compat32-%{name}-devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%description -n compat32-%{name}-devel -l ja
XMLアプリケーションを開発するためのライブラリやヘッダファイル類。
このライブラリはXMLファイルを扱う事ができます。
XMLやHTMLファイルを読み込み、修正、書き込みをサポートしています。
DTDに対応しており、パース時や一度ドキュメントが修正された後でも
複雑なDTDであってもパースと確認が出来ます。
出力は簡単なSAXストリームやメモリ内のDOM形式を使えます。この場合、
選択したサブノードやレンジの実装に組み込まれたXPathやXPointerを使うことが
出来ます。HTTPやFTPモジュールやURIライブラリを使って柔軟な入力/出力が可能です。

%package static
Summary: Static library for libxml2
Summary(ja): libxml2 のスタティックライブラリ
Group: Development/Libraries
Requires: libxml2 = %{version}-%{release}

%description static
Static library for libxml2 provided for specific uses or shaving a few
microseconds when parsing, do not link to them for generic purpose packages.

%package python
Summary: Python bindings for the libxml2 library
Summary(ja): libxml2 ライブラリ用の python バインディング
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python >= 2.2

%description python
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DTDs, either
at parse time or later once the document has been modified.

%description python -l ja
libxml2-pythonはXMLファイルを扱うlibxml2ライブラリによって提供される
インターフェースを使用するためにpythonプログラム言語で書かれた
アプリケーションを許可するモジュール類を含んでいます。

このライブラリはXMLファイルを扱う事ができます。
XMLやHTMLファイルを読み込み、修正、書き込みをサポートしています。
DTDに対応しており、パース時や一度ドキュメントが修正された後でも複雑な
DTDであってもパースと確認が出来ます。

%prep
%setup -q

%patch0 -p1

%build
%configure
make %{?_smp_mflags}
gzip -9 ChangeLog


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
gzip -9 doc/libxml2-api.xml

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.{a,la}

# multiarch crazyness on timestamp differences or Makefile/binaries for examples
touch -m --reference=$RPM_BUILD_ROOT/%{_includedir}/libxml2/libxml/parser.h $RPM_BUILD_ROOT/%{_bindir}/xml2-config

(cd doc/examples ; make clean ; rm -rf .deps Makefile)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog.gz NEWS README COPYING Copyright TODO
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_libdir}/lib*.so.*
%{_mandir}/man1/xmllint.1*
%{_mandir}/man1/xmlcatalog.1*
%{_mandir}/man3/libxml.3*

%files devel
%defattr(-, root, root)
%doc doc/*.html doc/html doc/*.gif doc/*.png
%doc doc/tutorial doc/libxml2-api.xml.gz
%{_bindir}/xml2-config
%{_datadir}/aclocal/libxml.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/libxml-2.0.pc
%{_mandir}/man1/xml2-config.1*
%{_datadir}/gtk-doc/html/libxml2

%files static
%defattr(-, root, root)
%{_libdir}/lib*.a

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog.gz NEWS README Copyright
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests/*.py
%doc doc/*.py
%doc doc/python.html
%{_libdir}/python*/site-packages/*

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/libxml-2.0.pc
%endif

%changelog
* Sun Jul 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.0-1
- new upstream release
- remove Patch1 (libxml2-2.7.8-reactivate-versionning-script.patch)
 -remove Patch10 (libxml2-2.7.8-CVE-2010-4494.patch)
- remove Patch11 (libxml2-2.7.8-xpath.patch)

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.8-3
- rebuild with python-2.7.2

* Wed Jun 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.8-2
- add Patch11 (libxml2-2.7.8-xpath.patch)

* Mon Apr 25 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.7.8-1
- new upstream release with security fix (CVE-2010-4008)
- add patch1 from fc16
- add patch10 for fix CVE-2010-4494 (xpath)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.7.7-2
- build with rpm-4.8.1-1 for pkg-config file

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.7-1
- new upstream release

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.7.6-6
- rebuilt with gcc-4.4.3-3 on ppc

* Sat Feb  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.6-5
- removed %%{_libdir}/python*/site-packages/*.{a,la}

* Fri Feb  5 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.7.6-4
- rebuilt with rpm-4.8.0-3 (on ppc)

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 2.7.6-3
- rebuild with python-2.6

* Tue Feb  2 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.7.6-2
- rebuilt with new toolchain

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.6-1
- new upstream release

* Wed Aug 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.32-4
- use smp flag in make section

* Wed Aug 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.32-3
- add patch100 for fix CVE-2009-2414/2416

* Fri Jul 18 2008 Shu KONNO <owa@bg.wakwak.com> 2.6.32-2
- rebuilt with python-2.5.2

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.32-1
- new upstream release
- removed *.la files from devel package

* Fri Feb 29 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.31-0vl1
- new upstream release with security fix (CVE-2007-6284)

* Wed Oct  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.30-0vl1
- new upstream release

* Sun Feb  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.27-0vl1
- new upstream release

* Fri Jul 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.26-0vl1
- new upstream release
- fixed typo

* Sun May 21 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.23-0vl3
- added "libdir" options
- added compat32- packages for x86_64 architecture support

* Wed Jan 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.6.23-0vl2
- fix typo

* Tue Jan 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.6.23-0vl1
- new upstream release
- add Requires: zlib-devel for libxml2-devel
- add gtk-doc/html/libxml2 to libxml2-devel

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.22-0vl1
- new upstream release

* Mon Jul 18 2005 Satoshi MACHINO <machino@vinelinux.org> 2.6.20-0vl1
- new upstream release (libxml2-2.6.20)

* Mon Apr 04 2005 Satoshi MACHINO <machino@vinelinux.org> 2.6.19-0vl1
- new upstream version (libxml2-2.6.19)

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 2.6.17-0vl3
- rebuild with python-2.4.1-0vl1

* Sun Feb 06 2005 Satoshi MACHINO <machino@vinelinux.org> 2.6.17-0vl2
- fixed japanesedescription

* Sun Feb 06 2005 Satoshi MACHINO <machino@vinelinux.org> 2.6.17-0vl1
- new upstream version (libxml2-2.6.17)
- added japanese description

* Tue Dec 21 2004 Satoshi MACHINO <machino@vinelinux.org> 2.6.16-0vl1
- new upstream version (libxml2-2.6.16)

* Wed Nov 03 2004 Satoshi MACHINO <machino@vinelinux.org> 2.6.15-0vl1
- new upstream version (libxml2-2.6.15)
	-- some security fixes.(See http://secunia.com/advisories/13000/)

* Sun Oct 17 2004 Satoshi MACHINO <machino@vinelinux.org> 2.6.14-0vl1
- new upstream version (libxml2-2.6.14)

* Tue Sep 07 2004 Satoshi MACHINO <machino@vinelinux.org> 2.6.13-0vl1
- new upstream version (libxml2-2.6.13)

* Tue Apr 27 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.9-0vl1
- source upgrade

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.6.8-0vl2
- rebuild with python-2.3.3-0vl1

* Sun Apr 11 2004 Shu KONNO <owa@bg.wakwak.com> 2.6.8-0vl1.1
- rebuild with python-2.3.3-0vl0.3 (for TestPkg)

* Thu Mar 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.8-0vl1
- new upstream release

* Wed Jan 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.5-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.11-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.10-0vl1
- new upstream release

* Thu Jul 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.8-0vl1
- source upgrade

* Sat May 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.7-0vl1
- source upgrade

* Tue Feb 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.3-0vl1
- source upgrade

* Tue Jan 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.1-0vl2
- rebuild with python-2.2.2-9vl0
- add BuildPrereq: automake14

* Fri Jan 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.1-0vl1
- source upgrade
- update and cleanup %files section

* Sun Dec 15 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.4.30-0vl1
- source upgrade
- build with new toolchains

* Tue Oct 29 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.26-0vl1
- source update to 2.4.26

* Sun May 26 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.4.21-1vl1
- merged with 2.4.21-1
 -- Fri Feb  1 2002 Daniel Veillard <veillard@redhat.com>
  - Added the python package
- clean up spec

* Mon Mar 18 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.4.13-0vl2
- changed License to MIT (not LGPL)
- add BuildPrereq: zlib-devel >= 1.1.4

* Sat Feb 23 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.4.13-0vl1
- source update
- cleaned up specfile

* Sun Oct 14 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.4.12-0vl1
- source update

* Sun Oct 14 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.4.6-1vl1
- Build for VineSeed

* Thu Apr 26 2001 Toshio Kuratomi <badger@prtr-13.ucsc.edu>

[2.3.7]
- Added libxml.m4 to the distribution file list
- Moved the man pages from /usr/man to /usr/share/man to conform to FHS2.0
- Moved programmer documentation into the devel package

* Thu Sep 23 1999 Daniel Veillard <daniel@veillard.com>

- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <daniel@veillard.com>

- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <daniel@veillard.com>

- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>

- Built release 0.30
