%define src_name xosd

Summary: X On-Screen Display libraries
Summary(ja): X オンスクリーンディスプレイライブラリ
Name: libxosd
Version: 2.2.14
Release: 1%{?_dist_release}
Source0: http://ftp.debian.org/debian/pool/main/x/xosd/xosd_%{version}.orig.tar.gz
License: GPL
Group: System Environment/Libraries
URL: http://www.ignavus.net/software.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xmms-devel
BuildRequires: gtk+-devel >= 1.2.2
BuildRequires: gdk-pixbuf-devel >= 0.22.0
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel

Provides: xosd = %{version}-%{release}

%description
XOSD displays text on your screen, sounds simple right? The difference is 
it is unmanaged and shaped, so it appears transparent. This gives the effect 
of an On Screen Display, like your TV/VCR etc..

%package devel
Summary: Static libraries and header files for libxosd.
Summary(ja): libxosd の開発用ライブラリおよびヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: xosd-devel = %{version}-%{release}
Requires: libX11-devel
Requires: libXext-devel
Requires: libXinerama-devel

%description devel
Static libraries and header files for libxosd.

%package -n xmms-%{src_name}
Summary: On-Screen XMMS status information display plugin
Group: Applications/Multimedia
Requires: xmms >= 1.2.7
Requires: %{name} = %{version}-%{release}

%description -n xmms-%{src_name}
Xmms plugin, which automatically displays various interesting things 
as they change (song name, volume etc...) 

%prep
%setup -q -n %{src_name}-%{version}

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr(-,root,root)
%{_bindir}/osd_cat
%{_libdir}/libxosd.so.*
%{_datadir}/xosd
%{_mandir}/man1/osd_cat.1*
%{_mandir}/man3/xosd.3*

%files devel
%defattr(-,root,root)
%{_bindir}/xosd-config
%{_includedir}/xosd.h
%{_libdir}/libxosd.a
%{_libdir}/libxosd.so
%{_datadir}/aclocal/libxosd.m4
%{_mandir}/man1/xosd-config.1*
%{_mandir}/man3/xosd_*.3*

%files -n xmms-%{src_name}
%defattr(-,root,root)
%{_libdir}/xmms/General/libxmms_osd.*

%changelog
* Thu Jan 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.14-1
- new upstream release

* Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.12-1
- applied new versioning policy
- removed lib*.la files from devel package
- added Provides: xosd = %%{version}-%%{release}

* Thu Oct 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.12-0vl2
- fixed spec file encoding
- added %{_datadir}/xosd

* Sat Nov 20 2004 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 2.2.12-0vl1
- new upstream release

* Fri Sep 10 2004 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 2.2.10-0vl1
- new upstream release
- fixed Summary, Requires, BuildRequires and files section.
- added post, postun

* Tue Sep 17 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.4-0vl1
- new upstream release

* Sat Aug 31 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.3-0vl1
- new upstream release

* Wed Aug 21 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.2-0vl1
- upstream release

* Tue Aug 13 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.1-0vl2
- add patch to avoid xmms freeze

* Tue Aug 13 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.1-0vl1
- new upstream version.

* Mon Aug  5 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.0-0vl1
- version up to 1.0.0

* Fri Feb 22 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 0.7.0-0vl1
- initial release

