%define ver 1.5.5
%define rel 3

Summary: a multilingual text processing library for the C language
Name: m17n-lib
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
License: LGPLv2.1+
Group: System Environment/Libraries
URL: http://www.m17n.org/m17n-lib-ja/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gd-devel fontconfig-devel
BuildRequires: libxml2-devel
BuildConflicts: anthy-devel

Vendor: Project Vine
Distribution: Vine Linux


%description
The m17n library is a multilingual text processing library for the C
language.


%package devel
Summary: Development files for the %{name} package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Development files for the %{name} package.


%prep
%setup -q

%build
%configure --with-fontconfig --with-gd
#%{__make} %{?_smp_mflags}
## don't use smp_mflags
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{makeinstall}

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/*.a
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/*.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
make check


%post -p /sbin/ldconfig


%postun
if [ "$1" = "0" ] ; then
    /sbin/ldconfig
fi


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README TODO
%{_bindir}/m17n*
%{_libdir}/lib*.so.0.*

%files devel
%defattr(-,root,root)
%doc example
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.so.0
%{_libdir}/pkgconfig/m17n*.pc


%changelog
* Sun May  8 2011 IWAI, Masaharu <iwai@alib.jp> 1.5.5-3
- add BuildRequires: libxml2-devel
- add BuildConflicts: anthy-devel

* Fri Oct 01 2010 Shu KONNO <owa@bg.wakwak.com> 1.5.5-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Feb  7 2010 IWAI, Masaharu <iwai@alib.jp> 1.5.5-1
- new upstream release

* Tue Apr  7 2009 Shu KONNO <owa@bg.wakwak.com> 1.5.4-2
- dropt %%{?_smp_mflags}

* Wed Apr  1 2009 IWAI, Masaharu <iwai@alib.jp> 1.5.4-1
- initial release

