%define posix_version 2003
%define posix_release a

Summary: Man (manual) pages from the Linux Documentation Project.
Summary(ja): Linux ドキュメンテーションプロジェクトの Man (manual) ページ
Name: man-pages
Version: 3.23
Release: 1%{?_dist_release}
License: GPLv2+ and GPL+ and BSD and MIT and Copyright only and IEEE
Group:   Applications/Documentation

Source0: http://www.kernel.org/pub/linux/docs/manpages/man-pages-%{version}.tar.bz2
# POSIX man pages
Source1: http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/man-pages-posix-%{posix_version}-%{posix_release}.tar.bz2
Source2: man-pages_add-01.tar.bz2
Source3: man-pages-extralocale.tar.bz2
Source4: man-pages_syscalls-01.tar.bz2
# IBM-supplied man pages for suid binaries:
Source5: man-suid-bins.tar.bz2
Patch1: man-pages-1.51-iconv.patch
Patch28: man-pages-2.46-nscd.patch
Patch36: man-pages-2.63-unimplemented.patch
Patch41: man-pages-2.43-rt_spm.patch
Patch44: man-pages-2.43-fadvise.patch
Patch45: man-pages-2.48-passwd.patch
Patch46: man-pages-2.51-nscd-conf.patch
Patch49: man-pages-2.63-getent.patch
Patch50: man-pages-2.63-iconv.patch
Patch53: man-pages-2.78-stream.patch
Patch54: man-pages-2.80-malloc_h.patch
Patch55: man-pages-3.22-gai.conf.patch
Patch56: man-pages-3.22-strcpy.patch
Patch57: man-pages-3.22-nsswitch.conf.patch
Patch58: man-pages-3.23-proc.patch
Patch59: man-pages-3.23-ld.so.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).

%prep
%setup -q -n %{name}-%{version} -a 1 -a 2 -a 3 -a 4 -a 5

mv  man-pages-posix-%{posix_version}-%{posix_release}/* ./
rmdir man-pages-posix-%{posix_version}-%{posix_release}

%patch1 -p1
%patch28 -p1
%patch36 -p1
%patch41 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch49 -p1
%patch50 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1

### And now remove those we are not going to use:

# Part of quota
rm -v man2/quotactl.2

# Only briefly part of a devel version of glibc
rm -v man3/getipnodeby{name,addr}.3 man3/freehostent.3

# Part of libattr-devel
rm -v man2/{,f,l}{get,list,remove,set}xattr.2

# Problem with db x db4 (#198597) - man pages are obsolete
rm -v man3/{btree,dbopen,hash,mpool,recno}.3

# Remove rpcinfo page - obsolete
rm -v man8/rpcinfo.8

# Deprecated
rm -v man2/pciconfig_{write,read,iobase}.2

# Part of squid
rm -v man8/ncsa_auth.8

# Part of numactl package
rm -v man5/numa_maps.5

# Vine
# Part of shadow-utils
rm -v man3/getspnam.3

# part of bind
rm -v man5/resolv.conf.5

# Part of bind-utils
rm -v man5/resolver.5

# Compress/Uncompress man pages
rm -v man1p/uncompress.1p
rm -v man1p/compress.1p

# Part of util-linux
rm -v man1p/renice.1p

# Obsolete
rm -f man3/infnan.3

%build

%install
rm -rf $RPM_BUILD_ROOT

instdir=$RPM_BUILD_ROOT%{_mandir}
for sec in 0p 1 1p 2 3 3p 4 5 6 7 8 9; do
  mkdir -p $instdir{,/en}/man$sec
  for f in man$sec/*.$sec; do
    case $f in
      man$sec/'*'.$sec)
	# this dir is empty
	continue ;;
      man7/iso_8859-*.7)
	enc=${f#man7/}
	enc=${enc%.7}
	enc=ISO-${enc#iso_}
	LANG=en iconv -f $enc -t utf-8 -o $instdir/$f $f ;;
      man7/koi8-r.7)
	enc=${f#man7/}
	enc=${enc%.7}
	LANG=en iconv -f $enc -t utf-8 -o $instdir/$f $f ;;
      *)
	LANG=en iconv -f latin1 -t utf-8 -o $instdir/en/$f $f
	LANG=en iconv -f utf-8 -t ascii//translit -o $instdir/$f $instdir/en/$f
	cmp -s $instdir/$f $instdir/en/$f &&
	  rm $instdir/en/$f ;;
    esac
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README man-pages-%{version}.Announce POSIX-COPYRIGHT
%{_mandir}/man*/*
%lang(en) %{_mandir}/en/man*

%changelog
* Sun Nov 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.23-1
- added Japanese summary
- updated Sources and Patches based on Fedora 3.23-3

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.21-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.21-1vl2
- change Group to Applications/Documentation. <BTS:VineLinux:163>

* Mon Jan 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.21-1vl1
- added Japanese summary
- updated 2.21 based on Fedora 2.21-1
  * Mon Jan 16 2006 Ivana Varekova <varekova@redhat.com> 2.21-1
  - add the description of reload-count option (nscd.conf 
    man page - bug 177368)
  * Tue Dec 13 2005 Ivana Varekova <varekova@redhat.com> 2.16-2
  - fix bug 174628 - mmap(2) CAN return mappings at location 0
  * Thu Sep 29 2005 Ivana Varekova <varekova@redhat.com> 2.07-7
  - fix typo in nsswitch.conf man page (bug 169309)
  * Mon Sep 12 2005 Ivana Varekova <varekova@redhat.com> 2.07-3
  - fix socket.7 man page - fix information about SO_RCVLOWAT option
    (bug 163120)
  * Tue Aug 23 2005 Ivana Varekova <varekova@redhat.com> 2.07-2
  - add sln.8 man page (bug 10601)
  * Mon Jul 04 2005 Jiri Ryska <jryska@redhat.com> 2.05-1
  - update to 2.05
  - atanh(3) fix
  - issue(5) fix
  - ldd(1) fix
  - removed man1p/{compress,uncompress,renice}.1p

* Sun Mar 21 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.66-0vl1
- updated 1.66
- added Patch5--15 from Fedora 1.66-2

* Tue Sep 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.60-0vl1
- new upstream release 1.60
- dropped SOURCE3, 4 and 5

* Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.53-0vl1
- new upstream release 1.53

* Wed Aug 14 2002 IWAI Masaharu <iwai@alib.jp> 1.52-2vl1
- sync Rawhide 1.52-2
  - upstream release
  - added Patch1, 2 and 3
  - removed getipnodebyname.3, getipnodebyname.3, freehostent.3
    - Fix reference in rpcgen(1) - #69740
    - Fix #63547
    - Mentium mem=nopentium in bootparam(7) - #60487
    - Fix to iconv(1) - #66441
    - Ret value of iconv(3) was wrong (#65375)
    - Remove getipnodebyname, getipnodebyname, freehostent - they were
      only briefly part of a glibc devel version (#62646)

* Wed Mar 06 2002 Toru Sagami <sagami@vinelinux.org> 1.47-1vl1
- 1.47

* Wed Oct 10 2001 Toru Sagami <sagami@vinelinux.org> 1.40-1vl1
- remove resolv.conf.5

* Tue Sep 25 2001 Trond Eivind Glomsr藷?<teg@redhat.com> 1.40-1
- 1.40. Remove now included patches.

* Tue Sep  4 2001 Trond Eivind Glomsr藷?<teg@redhat.com> 1.39-2
- New strptime.3, from the ftp site. Matches glibc better.
- Fix missing .br in netdevices.7 (#53091)

* Tue Aug  7 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.39
- Drop obsolete patches

* Tue Jul 24 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- s/NSF/NFS/ in initrd.4 - (#48322)

* Mon Jul  2 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- regcomp and friends support collating elements now (#46939)

* Thu Jun 21 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.38

* Fri Jun  8 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.37

* Thu Jun  7 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Remove capset(2) - part of libcap (#43828)

* Fri Jun  1 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Remove diff.1 - let diffutils include it instead
- Remove capget.2 - it's included in libcap
- Keep resolv.conf.5 - it's useful on systems without bind packages
- Fix bootparam.7 (patch from Tim Waugh (twaugh@redhat.com)

* Tue May 22 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.36
- drop some old patches, redo others

* Thu May 17 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Work around bug in groff for latin1.7 (#41118)

* Wed Apr  4 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- use MS_SYNCHRONOUS instead of MS_SYNC in mount(2) (#34665)

* Tue Apr  3 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- roff fixes to multiple man pages

* Mon Apr  2 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- correct the URL for unicode in the charset manpage (#34291)
- roff fixes
- redo iconv patch, so we don't get a .orig from patch because of
  a two line offset

* Fri Mar 30 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- remove resolv.conf (bind-utils) and infnan (obsolete - #34171)

* Wed Mar 28 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- resurrect getnetent(3)

* Sun Mar 25 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.35, obsoletes patch for strsep
- move rpcinfo to section 8 (#33114)

* Fri Mar  9 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- Include man-pages on locales (#29713)

* Tue Feb 13 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- fix return value of strsep(3) call (#24789)

* Mon Jan 15 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.34

* Fri Dec 15 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- 1.33
- obsolete some old, now included patches
- remove netman-cvs, it's now older than the mainstream

* Tue Nov 21 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- Identify two of the macros in stat(2) as GNU, not POSIX. (#21169)

* Wed Nov 08 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- don't delete the man pages for dlopen() and friends, 
  they are no longer part of another package
- include man pages for ld*

* Thu Oct 24 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- remove const from iconv function prototype (#19486)

* Tue Aug 29 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- reference wctype(3) instead of non-existing ctype(3)
  from regex(7) (#17037)
- 1.31

* Sun Aug 27 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- remove lilo man pages (now included in package)
  (#16984)

* Fri Aug 04 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- fixed bad header specification (#15364)
- removed obsolete patches from package
- updated the rest

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr before docs in filelist

* Sun Jun 17 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- updated to 1.30

* Tue Jun 06 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- use %%{_tmppath}

* Wed May 31 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- remove resolv.conf(5) - part of bind-utils

* Tue May 30 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- Remove resolver, dlclose, dlerror, dlopen, dlsym as these
  are included in other packages.

* Tue May 30 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- use %%{_mandir) instead of /usr/man
- verify and fix bug in mmap man page (#7382)
- verify and fix missing data in recvfrom man page (#1736)
- verify and fix missing data in putw man page (#10104)
- fixed sendfile(2) man page (#5599)
- fixed tzset man page (#11623)

* Mon May 15 2000 Trond Eivind Glomsr藷?<teg@redhat.com>
- updated to 1.29
- split off other languages into separate RPMS 

* Thu Mar 16 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- do not use group "man"

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- don't apply the netman-cvs man pages anymore, as they seem to be really
  out of date

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- put back man3/resolver.3

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- remove non-man pages (#7814)

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- exclude dir.1 and vdir.1 (these are in the fileutils package)

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 1.28

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- Fixed SIGILL, SIGQUIT in signals.7

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- fix man page for getcwd

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- added man pages for set/getcontext

* Tue Sep 14 1999 Bill Nottingham <notting@redhat.com>
- remove some bad man pages

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- czech, german, spanish, russian man pages

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- version 1.26
- add french man pages
- add italian man pages

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.25.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- fiox man page fro ftw

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- spellnig fixse

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- updated to 1.23

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- added kernel net manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- updated printf man page
- added rpcgen man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- leave the lilo man pages alone (oops)

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #413

* Mon Jan 18 1999 Cristian Gafton <gafton@redhat.com>
- remove lilo man pages too
- got rebuilt for 6.0

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
