Summary:	MATE Config System
Name:		mate-conf
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Base
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-corba-devel
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	polkit-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
MateConf is a configuration database system, functionally similar to the
Windows registry but lots better. :-) It's being written for the MATE
desktop but does not require MATE; configure should notice if MATE
is not installed and compile the basic MateConf library anyway.

%package	devel
Summary:        Development tools for mate-conf
Summary(ja):    mate-conf の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       mate-corba-devel

%description	devel
Header files and libraries for building a extension library for the
mate-conf.


%package        doc
Summary:        Documentation for mate-conf
Summary(ja):    mate-conf 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-conf.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--enable-defaults-service \
	--enable-gsettings-backend=no

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mateconf/schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mateconf/mateconf.xml.system

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
if [ $1 -gt 1 ]; then
	if ! fgrep -q mateconf.xml.system %{_sysconfdir}/mateconf/2/path; then
		sed -i -e 's@xml:readwrite:$(HOME)/.mateconf@&\n\n# Location for system-wide settings.\nxml:readonly:/etc/mateconf/mateconf.xml.system@' %{_sysconfdir}/mateconf/2/path
	fi
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING ChangeLog NEWS README
%config %{_sysconfdir}/mateconf/2/path
%dir %{_sysconfdir}/mateconf
%dir %{_sysconfdir}/mateconf/2
%dir %{_sysconfdir}/mateconf/mateconf.xml.defaults
%dir %{_sysconfdir}/mateconf/mateconf.xml.mandatory
%dir %{_sysconfdir}/mateconf/mateconf.xml.system
%{_sysconfdir}/dbus-1/system.d/org.mate.MateConf.Defaults.conf
%{_bindir}/mateconf-merge-tree
%{_bindir}/mateconftool-2
%{_libdir}/libmateconf-2.so.*
%{_libdir}/MateConf
%{_libdir}/girepository-1.0/MateConf-2.0.typelib
%{_libexecdir}/mate/mateconf-defaults-mechanism
%{_libexecdir}/mate/mateconf-sanity-check-2
%{_libexecdir}/mate/mateconfd-2
%{_datadir}/aclocal/mateconf-2.m4
%{_datadir}/dbus-1/services/org.mate.MateConf.service
%{_datadir}/dbus-1/system-services/org.mate.MateConf.Defaults.service
%{_datadir}/polkit-1/actions/org.mate.mateconf.defaults.policy
%{_datadir}/sgml/mateconf/mateconf-1.0.dtd
%{_mandir}/man1/mateconftool-2.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/mateconf
%{_libdir}/libmateconf-2.so
%{_libdir}/pkgconfig/mateconf-2.0.pc
%{_datadir}/gir-1.0/MateConf-2.0.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mateconf


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

