Summary:	The MATE Display Manager
Name:		mate-display-manager
Version:	1.1.0
Release:	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		User Interface/X
URL:		https://matsusoft.com.ar/projects/mate/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-conf-devel
BuildRequires:	mate-panel-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libcanberra-devel
BuildRequires:	pam-devel
BuildRequires:	upower-devel
BuildRequires:	popt-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The MATE Display Manager is a system service that is responsible for
providing graphical log-ins and managing local and remote displays.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--disable-scrollkeeper \
	--with-working-directory=%{_localstatedir}/mdm

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang mdm


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

SCHEMAS=" \
  mdm-simple-greeter.schemas"
for S in $SCHEMAS; do
  echo %{_sysconfdir}/mateconf/schemas/$S; done \
  | xargs mateconftool-2 --makefile-install-rule >& /dev/null ||:

update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    mdm-simple-greeter.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi
/usr/sbin/useradd -M -u 44 -d %{_localstatedir}/mdm -s /sbin/nologin -r mdm > /dev/null 2>&1
/usr/sbin/usermod -d %{_localstatedir}/mdm -s /sbin/nologin mdm >/dev/null 2>&1

%preun
if [ "$1" -eq 0 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    mdm-simple-greeter.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi


%files -f mdm.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/dbus-1/system.d/mdm.conf
%{_sysconfdir}/mateconf/schemas/mdm-simple-greeter.schemas
%{_sysconfdir}/mdm
%{_sysconfdir}/pam.d/mdm
%{_sysconfdir}/pam.d/mdm-autologin
%{_bindir}/mdm-screenshot
%{_bindir}/mdmflexiserver
%{_libdir}/matecomponent/servers/MATE_FastUserSwitchApplet.server
%{_libexecdir}/mate/mdm-*
%{_sbindir}/mdm
%{_sbindir}/mdm-binary
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mate/help/mdm
%{_datadir}/mate-2.0/ui/MATE_FastUserSwitchApplet.xml
%{_datadir}/mdm
%{_datadir}/omf/mdm
%{_datadir}/pixmaps
%attr(1770, mdm, mdm) %dir %{_localstatedir}/mdm
%attr(1750, mdm, mdm) %dir %{_localstatedir}/mdm/.mateconf.mandatory
%attr(1640, mdm, mdm) %{_localstatedir}/mdm/.mateconf.mandatory/*.xml
%attr(1640, mdm, mdm) %dir %{_localstatedir}/mdm/.mateconf.path


%changelog
* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

