Summary:	A system tools for MATE
Name:		mate-system-tools
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Applications/System
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	mate-conf-devel
BuildRequires:	mate-polkit-devel
BuildRequires:	mate-file-manager-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-devel
BuildRequires:	liboobs-devel
BuildRequires:	system-tools-backends
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch0:		mate-system-tools-1.1.0-makefile.patch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
These tools are intended to simplify the tasks of configuring a Unix system
for workstations. They are not intended for configuring Unix servers.


%package	devel
Summary:        Development tools for mate-system-tools
Summary(ja):    mate-system-tools の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       mate-corba-devel

%description	devel
Header files and libraries for building a extension library for the
mate-system-tools.


%prep
%setup -q
%patch0 -p1


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/mate-system-tools/user-profiles.conf
%{_bindir}/mate-network-admin
%{_bindir}/mate-services-admin
%{_bindir}/mate-shares-admin
%{_bindir}/mate-time-admin
%{_bindir}/mate-users-admin
%{_libdir}/caja/extensions-2.0/libcaja-gst-shares.so
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.mate.system-tools.gschema.xml
%{_datadir}/icons/mate/*/*/*
%{_datadir}/mate/help/*
%{_datadir}/%{name}
%{_datadir}/omf/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-system-tools.pc

%changelog
* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Sun Dec 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

