Summary:	The MATE virtual file-system libraries
Name:		mate-vfs
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries 
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	mate-mime-data
BuildRequires:	mate-conf-devel
BuildRequires:	libmatecomponent-devel
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	bzip2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(post,pre,preun):	mate-conf

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
MATE VFS is currently used as one of the foundations of the Caja
file manager.


%package	devel
Summary:        Development tools for mate-vfs
Summary(ja):    mate-vfs の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
mate-vfs.


%package        doc
Summary:        Documentation for mate-vfs
Summary(ja):    mate-vfs 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for mate-vfs.


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static \
	--disable-hal \
	--disable-avahi \
	--disable-howl \
	--disable-openssl \
	--disable-selinux

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

SCHEMAS=" \
  desktop_default_applications.schemas \
  desktop_mate_url_handlers.schemas \
  system_dns_sd.schemas \
  system_http_proxy.schemas \
  system_http_proxy.schemas"
for S in $SCHEMAS; do
  echo %{_sysconfdir}/mateconf/schemas/$S; done \
  | xargs mateconftool-2 --makefile-install-rule >& /dev/null ||:

%pre
if [ "$1" -gt 1 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    desktop_default_applications.schemas \
    desktop_mate_url_handlers.schemas \
    system_dns_sd.schemas \
    system_http_proxy.schemas \
    system_http_proxy.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%preun
if [ "$1" -eq 0 ]; then
  export MATECONF_CONFIG_SOURCE=`mateconftool-2 --get-default-source`

  SCHEMAS=" \
    desktop_default_applications.schemas \
    desktop_mate_url_handlers.schemas \
    system_dns_sd.schemas \
    system_http_proxy.schemas \
    system_http_proxy.schemas"
  for S in $SCHEMAS; do
    echo %{_sysconfdir}/mateconf/schemas/$S; done \
    | xargs mateconftool-2 --makefile-uninstall-rule >& /dev/null ||:
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB ChangeLog NEWS README
%{_sysconfdir}/mate-vfs-2.0/modules/default-modules.conf
%{_sysconfdir}/mateconf/schemas/desktop_default_applications.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_url_handlers.schemas
%{_sysconfdir}/mateconf/schemas/system_dns_sd.schemas
%{_sysconfdir}/mateconf/schemas/system_http_proxy.schemas
%{_sysconfdir}/mateconf/schemas/system_smb.schemas
%{_bindir}/matevfs-*
%{_libdir}/libmatevfs-2.so.*
%{_libdir}/mate-vfs-2.0/modules/*.so
%{_libexecdir}/mate/mate-vfs-daemon
%{_datadir}/dbus-1/services/mate-vfs-daemon.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/mate-vfs-2.0
%{_includedir}/mate-vfs-module-2.0
%{_libdir}/libmatevfs-2.so
%{_libdir}/mate-vfs-2.0/include/mate-vfs-file-size.h
%{_libdir}/pkgconfig/mate-vfs-2.0.pc
%{_libdir}/pkgconfig/mate-vfs-module-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/mate-vfs-2.0


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

