%define texmf		%{_datadir}/texmf
%define updmapcfg	%{_datadir}/texmf-config/web2c/updmap.cfg
%define build_texmf	$RPM_BUILD_ROOT%{texmf}
%define mapdir		%{texmf}-dist/fonts/map/dvips/misc
%define mathabxdate	20050518

%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define exec_updmap	[ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys --nostop 2> /dev/null

Summary: The mathabx font series: extended and extendable series of mathematical symbols for TeX
Summary(ja): TeX 用の新しい数式フォント
Name: mathabx
Version: 2005
Release: 1%{?_dist_release}
Source0: mathabx-%{mathabxdate}.tar.bz2
Source1: abxtype1-%{mathabxdate}.tar.bz2
Source2: mathabx_docs-%{mathabxdate}.tar.bz2
URL: http://auemath.aichi-edu.ac.jp/~khotta/ghost/mathabx.html
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Publishing
BuildArch: noarch
PreReq: sed, sh-utils
Requires: task-tetex
Vendor: Project Vine
Distribution: Vine Linux

%description
The mathabx font series is a high quality extended and extendable series of 
mathematical symbols.
To use this package, you describe \usepackage{mathabx} at preamble in your 
TeX document.

%description -l ja
mathabx は CM + AMS の拡張であると考えられます。 全体的に色々な工夫が見られ,
例えば、積分記号 \int が CM より垂直に見え、不等号 ≦ は AMS のものより < と
 = がくっついているので、日本人が見慣れているものにより近いようです。

TeX 文書の最初の部分へ \usepackage{mathabx} と記述すれば、普通の数式モードに
て mathabx の利用が可能になります。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1 -a 2 -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p            %{build_texmf}/fonts/source/public/mathabx
cp -p source/*      %{build_texmf}/fonts/source/public/mathabx
mkdir -p            %{build_texmf}/tex/latex/mathabx
cp -p texinputs/*   %{build_texmf}/tex/latex/mathabx
mkdir -p            %{build_texmf}/fonts/type1/mathabx
cp -p abxtype1/pfb/*.pfb %{build_texmf}/fonts/type1/mathabx
mkdir -p	    %{buildroot}%{mapdir}
cp -p abxtype1/map/mathabx.map %{buildroot}%{mapdir}/mathabx.map

%post
MATHABX=`grep "mathabx" %{updmapcfg}`
if [ "$MATHABX" = "" ]; then
    echo "# mathabx" >> %{updmapcfg}
    echo "Map mathabx.map" >> %{updmapcfg}
fi

%{exec_texhash}
%{exec_updmap}
exit 0

%postun
if [ "$1" = "0" ]; then
    perl -pi -e 's/^# mathabx.*\n//; s/^Map mathabx.*\n//' \
    %{updmapcfg}
fi

%{exec_texhash}
%{exec_updmap}
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{texmf}/fonts/source/public/mathabx/*
%{texmf}/fonts/type1/mathabx/*
%{texmf}/tex/latex/mathabx/*
%{mapdir}/mathabx.map
%doc mathtest.tex mathtest.dvi mathtest.pdf


%changelog
* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 2005-1vl5
- applied new versioning policy, spec in utf-8

* Tue May 16 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl4
- fix exec_updmap: added --nostop option

* Fri Dec 02 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl3
- fix install dir of mathabx.mat

* Thu Nov 17 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl2
- fix exec_updmap

* Wed Nov 16 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 2005-0vl1
- source update
- modified for tetex-3.0

* Tue Feb 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl3
- fix exec_updmap

* Thu Dec 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl2
- source update

* Fri Aug 01 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2003-0vl1
- source update

* Wed Jun 12 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2002-1vl2
- update Type1 fonts

* Sun Jun 09 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2002-1vl1
- 1st release
