%define name mecab-ipadic
%define ver 2.7.0
%define date 20070801
%define release 4%{?_dist_release}

%define dicdir %(mecab-config --dicdir 2> /dev/null || echo %{_libdir}/mecab/dic)

Summary: IPA dictionary for MeCab
Summary(ja): MeCab用のIPA辞書
Name: %{name}
Version: %{ver}.%{date}
Release: %{release}
Source0: http://downloads.sourceforge.net/mecab/%{name}-%{ver}-%{date}.tar.gz
License: distributable
Group: Applications/Other
URL: http://mecab.sourceforge.net/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

BuildRequires: mecab-devel >= 0.96
Requires: mecab >= 0.96

%description
IPA dictionary for MeCab

%description -l ja
MeCab用のIPA辞書です。IPAコーパスに基づきCRFでパラメータ推定しています。

%prep
%setup -q -n %{name}-%{ver}-%{date}

%build
%configure \
    --with-dicdir=%{dicdir}/ipadic \
    --with-charset=utf-8
%__make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{dicdir}/ipadic

%changelog
* Sat Dec 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.7.0.20070801-4
- rebuild with mecab-0.99
- fixed ipadic path (for x86_64)

* Mon Apr 05 2010 Shu KONNO <owa@bg.wakwak.com> 2.7.0.20070801-3
- fixed ipadic path (for x86_64)

* Mon Mar 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.0.20070801-2
- converted to utf-8

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 2.7.0.20070801-1vl5
- applied new versioning policy, spec in utf-8
- set --with-dicdir at configure

* Fri Aug 3 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20070801-0vl2
- upstream release

* Thu Jun 20 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20070610-0vl2
- upstream release

* Sat Mar 24 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20060707-0vl4
- rebuild with mecab-0.95-0vl2

* Sat Mar 3 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20060707-0vl3
- rebuild with mecab-0.94-0vl2
- change Source0 and URL

* Wed Sep 7 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20060707-0vl2
- upstream release

* Sun Apr 9 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20060408-0vl2
- upstream release
- change Group: Applications/Other

* Fri Mar 31 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20051110-0vl2
- rebuild on VineSeed

* Fri Mar 31 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.7.0.20051110-0vl1
- initial build for Vine Linux 3.2
