Name:           menu-cache
Version:        0.3.3
Release:        1%{?_dist_release}
Summary:        Caching mechanism for freedesktop.org compliant menus
Summary(ja):    freedesktop.org 準拠メニューのキャッシュ機構

Group:          System Environment/Libraries
License:        LGPLv2+ and GPLv2+
URL:            http://lxde.org
Source0:        http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.16.0
Requires:       vine-menus

%description
Menu-cache is a caching mechanism for freedesktop.org compliant menus to 
speed up parsing of the menu entries. It is currently used by some of 
components of the LXDE desktop environment such as LXPanel or LXLauncher.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static

# remove rpath in menu-cache-gen
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libexecdir}/menu-cache-gen
%{_libexecdir}/menu-cached
%{_libdir}/libmenu-cache.so.*
#%{_datadir}/man/man1/*


%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/menu-cache/
%{_includedir}/menu-cache/*.h
%{_libdir}/libmenu-cache.so
%{_libdir}/pkgconfig/libmenu-cache.pc


%changelog
* Mon May 21 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.3-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Mar 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Thu Feb 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Mon Nov 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.6-1
- Update to 0.2.6

* Fri May 1 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.5-1
- Update to 0.2.5
- spec in UTF-8
- deleted man page file directory in %files
- changed directory at menu-cache-gen

* Sat Apr 25 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.4-1
- Update to 0.2.4
- added man page file directory in %files

* Fri Apr 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.3-1vl5
- Update to 0.2.3
- changed menu-cached directory in %files

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-1vl5
- initial build for VineSeed

* Wed Dec 10 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2.2-1
- Update to 0.2.2

* Tue Dec 09 2008 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Update to 0.2.0
- Split into base and devel package

* Sun Dec 07 2008 Christoph Wickert <fedora christoph-wickert de> - 0.1.3-1
- Initial Fedora package
