%define _docdir %{_defaultdocdir}
%define _noVersionedDependencies        1
# %define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")

%define       origver       6.5
%define       pkgver        %{origver}
%define       origname      mew        


Summary:       Mew - Messaging in the Emacs World
Summary(ja):   Emacs でメールを読むためのインターフェース
Name:          %{origname}
Version:       %{origver}
Release:       1%{?_dist_release}
License:       distributable
Group:         Applications/Editors/Emacs
URL:           http://www.mew.org/
Source0:       http://www.mew.org/Release/mew-%{pkgver}.tar.gz
Source1:       %{origname}-install.sh
Source2:       %{origname}-remove.sh
Source3:       vine.dot.mew

Source4:       %{name}-init.el
Source5:       vine-default-%{name}.el

Patch11:       mew-6.3-icondir.diff

Requires:      emacsen
Requires:      perl >= 5.004_jp-4
Provides:      %{origname} = %{origver}
#Conflicts:     %{origname}-el
Obsoletes:     mew-mule, mew-el
Obsoletes:     mew-xemacs, mew-xemacs-extra
Requires:      mew-common = %{version}
# PreReq:        /sbin/install-info

BuildRequires: emacsen
BuildRoot:     %{_tmppath}/%{name}-%{origver}-root

Vendor:        Project Vine
Distribution:  Vine Linux


%description
Messaging in the Emacs World.  It provides a very easy user interface
to e-mail, MIME and PGP (Pretty Good Privacy) on Emacsen. 

Please install Perl5 to use mew.

Don't forget to copy %{_docdir}/mew-%{version}/vine.dot.mew
to your ~/.mew.el file, and modify the site configurations, e.g.

    (setq mew-mail-domain-list '("your mail domain"))

%description -l ja
電子メールを Emacs / XEmacs 上で簡単に読み書きすることができるインター
フェース mew です。MIME や PGP にも対応しています。mewを使うためには、
perlが必要です。

%{_docdir}/mew-common-%{version}/vine.dot.mew を ~/.mew.el としてコピー
し、適切に設定してください。

    (setq mew-mail-domain-list '("your mail domain"))


%package -n mew-common
Summary:     Common files/programs for Mew Emacs/XEmacs
Summary(ja): Emacs/XEmacs 用 Mew 両方で利用するファイル/プログラム
Group:       Applications/Internet
Obsoletes:   mew-xemacs-extra


%description -n mew-common
This package contains common files/programs for Mew Emacs/XEmacs.

%description -n mew-common -l ja
Emacs/XEmacs 用 Mew に共通するファイル/プログラムです．


%prep
%setup -q -n mew-%{pkgver}
%patch11 -p1 -b .vine

%__cp -a %{SOURCE3} .

%build
%configure
%__make PREFIX=%_prefix CFLAGS="$RPM_OPT_FLAGS" bin


%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/%{origname}
%__mkdir_p %{buildroot}%{emacsen_pkgdir}/install
%__mkdir_p %{buildroot}%{emacsen_pkgdir}/remove
%__mkdir_p %{buildroot}%{_infodir}
%__mkdir_p %{buildroot}%{_datadir}/pixmaps/%{origname}

# install el files

# Add here commands to install the package into debian/mew.
%__cp -a *.el %{buildroot}%{_datadir}/emacs/site-lisp/%{origname}
%__cp -a %{SOURCE4} %{SOURCE5} \
     %{buildroot}%{_datadir}/emacs/site-lisp/%{origname}
%__make install-bin prefix=%{buildroot}%{_prefix} \
    mandir=%{buildroot}%{_mandir}/man1 \
    bindir=%{buildroot}%{_bindir}

# contrib 
#install -m 755 contrib/mewinc contrib/incdir contrib/incmbox \
# $RPM_BUILD_ROOT/%{_docdir}/%{origname}/contrib/

## install icons
%__cp -a etc/*.xpm %{buildroot}/usr/share/pixmaps/%{origname}
%__cp -a etc/*.png %{buildroot}/usr/share/pixmaps/%{origname}
%__cp -a etc/*.img %{buildroot}/usr/share/pixmaps/%{origname}

## install contrib
#%__cp -a contrib $(CURDIR)/debian/mew/usr/share/doc/mew




# install {info,jinfo} for mew-emacs
%__make infodir="%{buildroot}%{_infodir}" \
    INSTALLINFO="/sbin/install-info" install-info install-jinfo
%__rm -f %{buildroot}%{_infodir}/dir

gzip -9nf %{buildroot}%{_infodir}/*

%_installemacsenscript %{origname} %{SOURCE1} 

%_removeemacsenscript  %{origname} %{SOURCE2}

%post

if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}

/sbin/install-info %{_infodir}/mew.info.gz %{_infodir}/dir \
  --section="Message User Agent"
/sbin/install-info %{_infodir}/mew.ja.info.gz %{_infodir}/dir \
  --section="Message User Agent"


%preun
if [ "$1" = 0 ]; then

  %_emacsenPackageRemove %{origname}

  %_removeemacsenlist %{origname}


  /sbin/install-info --delete %{_infodir}/mew.info.gz %{_infodir}/dir \
  --section="Message User Agent"
  /sbin/install-info --delete %{_infodir}/mew.ja.info.gz %{_infodir}/dir \
  --section="Message User Agent"
fi


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_infodir}/mew.info*
%{_infodir}/mew.ja.info*
%{_datadir}/emacs/site-lisp/%{origname}/
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}
%{_datadir}/pixmaps/%{origname}


%files -n mew-common
%defattr(-,root,root)
%doc 00api 00changes* 00copyright* 00diff 00readme
%doc dot.emacs dot.mew dot.theme vine.dot.mew
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue May 08 2012 KOBAYASHI Taizo <tkoba@vinelinux.org> 6.5-1
- new upstream release

* Tue Mar 20 2012 Munehiro Yamamoto <munepi@vinelinux.org> 6.4-1
- new upstream release
- apply new vine-default
  - update mew-init.el, vine-default-mew.el
- use %%emacsen_pkgdir macro
- encode vine.dot.new to UTF-8

* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.3-2
- rebuild with rpm-4.8.1
- change pixmap directory
- fix Patch11

* Mon Dec 21 2009 KOBAYASHI Taizo <tkoba@vinelinux.org> 6.3-1
- new upstream release

* Tue Apr 21 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 6.2-3
- fixed mew-init.el

* Sat Apr 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 6.2-2
- added mew-init.el, vine-default-mew.el
- updated mew-install.sh, mew-remove.sh for vine-default-mew.el

* Fri Jan 16 2009 KOBAYASHI Taizo <tkoba@vinelinux.org> 6.2-1
- new upstream release

* Sun Jun 15 2008 KOBAYASHI Taizo <tkoba@vinelinux.org> 6.1-1
- applied new versioning policy

* Tue Jun 10 2008 KOBAYASHI Taizo <tkoba@vinelinux.org> 6.1-0vl1
- new upstream release

* Thu Aug 30 2007 Shu KONNO <owa@bg.wakwak.com> 5.2-0vl3
- added %%define _lib lib (for x86_64 support)

* Mon Mar 05 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 5.2-0vl2
- added support X-Spam-Flag header in vine.dot.mew

* Tue Jan 23 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 5.2-0vl1
- new upstream release

* Mon Nov 26 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 5.1-0vl1
- new upstream release
- modified vine.dot.mew for Mew-5.1 feature support

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2-0vl3
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Tue Jul 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2-0vl2
- changed Group to Applications/Editors/EmacsLisp
- changed common package's Group to Applications/Internet

* Mon Feb 14 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.2-0vl1
- source update

* Mon Oct 18 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 4.1-0vl1
- source update

* Mon Jul 28 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.3-0vl1
- source update

* Thu Mar 13 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.2-0vl1
- source update
- update vine.dot.mew
  Obsoleting the following variables:
        mew-noreplyto-to-list
        mew-noreplyto-cc-list
        mew-replyto-to-list
        mew-replyto-cc-list
        mew-fromme-to-list
        mew-fromme-cc-list
  And defining the following variables:
        mew-reply-all-alist
        mew-reply-sender-alist
        mew-reply-fromme-alist

* Sat Jan 11 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1-0vl3
- added vine.dot.mew(Source3)

* Wed Dec 11 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1-0vl2
- source update

* Tue Dec 03 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1-0vl1
- update to mew-3.1

* Thu Nov 21 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1-0vl0.2
- test package: update to mew-3.1rc2

* Fri Nov 01 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.1-0vl0.1
- test package: update to mew-3.1rc1

* Mon Mar 18 2002 Satoshi MACHINO <machino@vinelinux.org> 2.2-0vl4
- changed License to distributable (not GPL2)

* Mon Mar 18 2002 Hironobu MORIGUCHI <moriguti@luna.email.ne.jp> 2.2-0vl3
- incm and man pages are included in common subpackage

* Fri Mar 01 2002 Toru Sagami <sagami@vinelinux.org> 2.2-0vl2
- corrected Group for common subpackage

* Mon Feb 25 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.2-0vl1
- update to mew-2.2

* Thu Feb 21 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1.99.4-0vl1
- update to mew-2.2rc4

* Sun Jan 27 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2..99.2-0vl1
- update to mew-2.2rc2

* Sun Dec 30 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.1-0vl3
- mew-el -> mew
- added Patch11 to set default icon directory for Vine

* Wed Dec 12 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.1-0vl2
- added Obsoletes: mew-xemacs, mew-xemacs-extra
- install-info gzipped info files :)

* Thu Nov 01 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.1-0vl1
- update 2.1

* Sat Oct  6 2001 Kazuhisa TAKEI <takei@vinelinux.org> 2.0-0vl5
- change package name ( mew -> mew-el)
-  apply  emacsenc-oomon

* Thu Sep 06 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0-0vl4
- Oops, forgot to add %%defattr for mew-common. Fixed.

* Tue Sep 04 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0-0vl3
- split mew-common, obsoletes mew-xemacs-extra

* Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0-0vl2: eliminate executable bit in %%doc and bin files install 755
- install info files into %%{_infodir}

* Sun Aug 20 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 2.0-0vl1
- update

* Tue Oct 24 2000 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.94.2-3
- fixed %files section to handle compressed info pages

* Wed Jun  7 2000 Toru Sagami <czs14350@nifty.ne.jp>
- fix description: mess up with mule/emacs/xemacs...
- added BuildRequires and Conflicts

* Wed Apr 26 2000 Toru Sagami <czs14350@nifty.ne.jp>
- updated 1.94.2

* Wed Apr 26 2000 Toru Sagami <czs14350@nifty.ne.jp>
- added PreReq: /sbin/install-info
- attrib +x for /usr/bin/uumerge
- CFLAGS="$RPM_OPT_FLAGS"

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-2
 - changed destination to /usr/share/emacs/site-lisp/mew

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-1
 - updated in sync with 1.94.1 release
 - fixed %post and %preun section
 - Obsoletes: mew now changed to Obsoletes: mew-mule

* Fri Oct  8 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - fixed info path & install info
 - fixed '%description'

* Sat Oct  2 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - removed extra packages
 - fixed char-set "euc" of the spec file.
 - slight modifications for Vine-1.9

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 1.94-3
  - package name changed from mew-emacs to mew
  - make info, make jinfo now processed even under emacs

* Thu Sep 16 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- Released as version "1.94-2".

Changed from "mew-emacs 1.94-1".
- Deleted "NoSource: 0", the definition part of data. 
- Revised some, the definition part of data. 
- Revised some, part of "%post, %postun".
- Changerd "%postun" => "%preun".

* Mon Sep  6 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- First release.
