Summary:	Utility for converting TeX bitmap fonts to Type 1 or TrueType fonts
Summary(ja):	TeXビットマップフォントからType 1やTrueTypeフォントへ変換するユーティリティ
Name:		mftrace
Version:	1.2.15
Release:	1%{?_dist_release}
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/download/sources/mftrace/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Applications/Publishing
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	texlive-common python potrace t1utils fontforge
BuildRequires:	python potrace texinfo

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%setup -q
%__sed -i -e "s/-Wall -O2/$RPM_OPT_FLAGS/" GNUmakefile.in

%build
%configure
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog
%{_prefix}/bin/gf2pbm
%{_prefix}/bin/mftrace
%{_mandir}/man1/mftrace.1.gz
%{_datadir}/mftrace/afm.pyc
%{_datadir}/mftrace/afm.py
%{_datadir}/mftrace/tfm.pyc
%{_datadir}/mftrace/tfm.py


%changelog
* Sat Jan 28 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.15-1
- new upstream release

* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.14-3
- TeX Live 2009

* Wed Apr 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.14-2
- rebuilt with new environment

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.14-1vl5
- rebuilt with python-2.5.2
- applied new versioning policy

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.14-0vl3
- rebuilt for VineSeed

* Mon Jun 04 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.14-0vl2
- add BuildRequires: texinfo (makeinfo is required during package build)

* Wed May 29 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.14-0vl1
- new upstream release.

* Sat Jul  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.6-0vl2
- rebuilt for VineSeed

* Sat Mar 12 2005 Jun NISHII <jun@vinelinux.org> 1.1.6-0vl1
- build on Vine 3.1

* Tue Feb 19 2002 Han-Wen Nienhuys <hanwen@cs.uu.nl>
- Initial build.


