Summary: A MOD music file player.
Summary(ja): MOD ファイル再生プログラム
Name: mikmod
Version: 3.2.2
Release: 1%{?_dist_release}
License: GPL/LGPL
Group: Applications/Multimedia
Requires(post,postun): /sbin/ldconfig
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: gpm ncurses
Requires: libmikmod
BuildRequires: gpm-devel
BuildRequires: ncurses-devel texinfo
BuildRequires: libmikmod-devel >= 3.2.0
URL: http://mikmod.raphnet.net/
Source0: http://mikmod.raphnet.net/files/mikmod-%{version}.tar.gz

Vendor: Project Vine
Distribution: Vine Linux
Packager: OOI Keita <ooi.keita@gmail.com>, Takemikaduchi

%description
MikMod is one of the best and most well known MOD music file players
for UNIX-like systems.  This particular distribution is intended to
compile fairly painlessly in a Linux environment. MikMod uses the OSS
/dev/dsp driver including all recent kernels for output, and will also
write .wav files. Supported file formats include MOD, STM, S3M, MTM,
XM, ULT, and IT.  The player uses ncurses for console output and
supports transparent loading from gzip/pkzip/zoo archives and the
loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%description -l ja
mikmod はとても手軽な音楽トラック再生プログラムです。
幅広い種類のモジュール形式に対応しており、
その中には Impulse Tracker の圧縮サンプルも含まれます。
その他にも、多くのアーカイブ形式にも対応しています。


%prep
%setup -q 

%build
rm -rf $RPM_BUILD_ROOT
%configure 

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/mikmodrc
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release
- remove old patches
- remove Source1
- remove devel sub package
- add BuildRequires: libmikmod-devel

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 3.1.6-34vl5
- applied new versioning policy, spec in utf-8
- removed *.la

* Thu Mar 10 2005 OOI Keita <ooi.keita@gmail.com> 3.1.6-33vl2
- build for vine
- add ja summary and description from deb

* Tue Dec 21 2004 Martin Stransky <stransky@redhat.com> 3.1.6-33
- strip library (#143258)

* Mon Dec 13 2004 Bill Nottingham <notting@redhat.com> 3.1.6-31
- move mikmod binary back to main package (#142668)

* Fri Oct  8 2004 Bill Nottingham <notting@redhat.com> 3.1.6-30
- add texinfo buildreqs (#135088)

* Wed Oct  6 2004 Bill Nottingham <notting@redhat.com> 3.1.6-29
- install-info scripts go with -devel (#134882)

* Wed Sep 22 2004 Than Ngo <than@redhat.com> 3.1.6-28
- increase release number

* Wed Sep 22 2004 Than Ngo <than@redhat.com> 3.1.6-27
- new devel sub package, multiarch problem
- add /sbin/ldconfig in Prereq
- cleanup specfile

* Wed Aug  4 2004 Miloslav Trmac <mitr@redhat.com> - 3.1.6-26
- Update to libmikmod-3.1.11-a, fixes #116182

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 23 2003 Bill Nottingham <notting@redhat.com> 3.1.6-23
- remove URL (#77375)

* Mon Jul 14 2003 Bill Nottingham <notting@redhat.com> 3.1.6-22
- fix build with gcc-3.3 some more

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Bill Nottingham <notting@redhat.com> 3.1.6-21
- fix build with gcc-3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Jeff Johnson <jbj@redhat.com> 3.1.6-19
- don't include -debuginfo files in package.

* Sat Nov 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add further lib64 support, clean up spec file

* Sat Oct 12 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- add 64bit patch

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com>
- don't strip binaries
- fix buffering with esd output (#57154, <stssppnn@yahoo.com>)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- add buildprereq for ncurses-devel (#49524)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Dec  7 2000 Bill Nottingham <notting@redhat.com>
- fix %doc generation

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- FHS fixes, etc.

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses
- library 3.1.9
- fix build when libmikmod is not already installed

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- gzip info page (Bug #9035)
- Update URL and Source fields to present location

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- get rid of useless defines

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- update lib to 3.1.8

* Mon Aug  2 1999 Bill Nottingham <notting@redhat.com>
- add more patches

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 3.1.6/3.1.7

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.

