Name:    ming
Summary: Ming - an SWF output library
Summary(ja): SWF 出力ライブラリ
Version: 0.4.3
Release: 2%{?_dist_release}
License: LGPL
Group:   System Environment/Libraries
URL:     http://sourceforge.net/projects/ming/
Source:  %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: freetype2 zlib libungif libpng
BuildRequires: freetype2-devel zlib-devel libungif-devel libpng-devel
BuildRequires: swig

%description
Ming is a library for generating Macromedia Flash files (.swf), written in C,
and includes useful utilities for working with .swf files. 
It has wrappers that allow it to be used in C++, PHP, Python, Ruby, and Perl.
See http://www.libming.net/FrontPage

%package devel
Summary:    A SWF output library
Group:      Development/Libraries
Requires:   %{name} = %{version}
Requires:   freetype2-devel zlib-devel libungif-devel libpng-devel

%description devel
The ming-devel package includes the static libraries,
header files, and developer docs for the ming package.

Install ming-devel if you want to develop programs which
will use ming.

%package python
Summary:    Ming Python wrapper
Group:      Development/Libraries
Requires:   %{name} = %{version}
BuildRequires: python-devel 
%description python
%{summary}

%package tcl
Summary:    Ming Tcl wrapper
Group:      Development/Libraries
Requires:   %{name} = %{version}
%description tcl
%{summary}

%package perl
Summary:    Ming Perl wrapper
Group:      Development/Libraries
Requires:   %{name} = %{version}
%description perl
%{summary}

%package php
Summary:    Ming PHP wrapper
Group:      Development/Libraries
Requires:   %{name} = %{version}
BuildRequires: php5-devel 
%description php
%{summary}

%prep
%setup -q

%build
%configure \
	--enable-python \
	--enable-tcl \
	--enable-php \
	--enable-perl \
	--with-pic \
	;
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_libdir}/pkgconfig \
	docdir=$RPM_BUILD_ROOT%{_docdir}/%{name} \
	;
chmod 755 $RPM_BUILD_ROOT%{perl_sitearch}/auto/SWF/*.so
make -C ./docs/man mandir=$RPM_BUILD_ROOT%{_mandir} install-man1
make -C ./docs/man mandir=$RPM_BUILD_ROOT%{_mandir} install-man3

%post -p /sbin/ldconfig
%post python -p /sbin/ldconfig
%post tcl -p /sbin/ldconfig
%post perl -p /sbin/ldconfig
%post php -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%postun python -p /sbin/ldconfig
%postun tcl -p /sbin/ldconfig
%postun perl -p /sbin/ldconfig
%postun php -p /sbin/ldconfig
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/libming*.so.*
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libming.so
%{_libdir}/pkgconfig
%{_mandir}/man3/*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%files python
%defattr(-, root, root)
%{python_sitearch}/*.so
%{python_sitearch}/*.py*
%{python_sitearch}/mingc-%{version}-py%{pyver}.egg-info

%files tcl
%defattr(-, root, root)
%{_libdir}/%{name}/tcl/*.so
%exclude %{_libdir}/%{name}/tcl/*.a
%exclude %{_libdir}/%{name}/tcl/*.la

%files perl
%defattr(-, root, root)
%{_libdir}/perl5/*

%files php
%defattr(-, root, root)
%{_libdir}/php5/*

%changelog
* Sun Sep 26 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.3-2
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Feb 16 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.3-1
- updated ming to 0.4.3
- added %{name}-python, -tcl, -perl, -php sub packages
- added BR: swig python-devel php-devel

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.2-1vl5
- updated ming to 0.4.2
- added tags: BuildRequires Requires
- added sub package: ming-devel
- added script at %%clean 
- applied new versioning policy, spec in utf-8

* Wed Sep 22 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2a-4vl3
- fixed args type of addString function (Patch1)
- added Japanese Summary

* Sat May 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2a-4vl2
- removed Vendor: tag
- fixed post and postun section

* Sat May 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2a-4vl1
- rebuild for Vine Linux
- based on TLD 10, but removed Serial:

* Thu Apr 24 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- modified spec file for x86_64.

* Thu Feb 28 2002 Kiichiro NAKA <knaka@turbolinux.co.jp>
- I have gotten SRPM from http://rpms.arvin.dk/ming/source/

* Tue Aug 21 2001 Troels Arvin <troels@arvin.dk>
  [0.2a-2.arvin]
- Add Hansuck Jo's listmp3.c patch.
- Build and include some of the utils.

* Mon Aug 20 2001 Troels Arvin <troels@arvin.dk>
  [0.2a-1.arvin]
- Uses new source version.

* Sat Apr 14 2001 Troels Arvin <troels@arvin.dk>
  [0.1.1-3.arvin]
- Added distribution to release-tag.

* Sat Apr 14 2001 Troels Arvin <troels@arvin.dk>
  [0.1.1-2.arvin]
- Fixed a permission problem for the documentation 
  area.
* Sat Apr 14 2001 Troels Arvin <troels@arvin.dk>
  [0.1.1-1.arvin]
- Rebuilt with new source version.
* Mon Mar 19 2001 Troels Arvin <troels@arvin.dk>
  [0.1.0-1.arvin]
- Rebuilt with new source version. Patches shouldn't be need
  any more.
* Mon Jan 29 2001 Troels Arvin <troels@arvin.dk>
  [0.0.9c-1.arvin]
- First Ming RPM package. Currently, the RPM doesn't include
  anyting but the shared library and the C-oriented include
  file. None of the wrappers for other languages are handled by this
  RPM, currently. Also, none of the utilities are included in the
  package yet.
