Summary: Writes a kickstart description of the current machine.
Summary(ja): 現在のマシンに関するキックスタート設定ファイル作成します
Name: mkkickstart
%define version 2.1
Version: %{version}
Release: 2%{?_dist_release}
License: GPL
Group: System Environment/Base
Source: mkkickstart-%{version}.tar.gz
Patch0: mkkickstart-%{version}-mandir.patch
Exclusiveos: Linux
Requires: sed fileutils textutils grep
BuildArch: noarch
Vendor: Project Vine
Distribution: Vine Linux
Buildroot: %{_tmppath}/%{name}-root

%description
The mkkickstart program writes a kickstart description from the host
machine.  The kickstart description can then be used, during a CD-ROM
or NFS installation, to automatically build that machine's
configuration of Vine Linux on one or more other machines.

Install mkkickstart if you want to use the kickstart method to
automatically install Vine Linux.


%description -l ja
mkkickstart は現在のマシン構成などキックスタートインストールに必要な情報を
書き出します。これを使うことで CDROM や NFS による Vine Linux のインストール
を自動化することが出来ます。


%prep
%setup
%patch0 -p0

%install
make BUILDROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/sbin/mkkickstart
%attr(644,root,root) %{_mandir}/man8/mkkickstart.8*

%changelog
* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 2.1-2vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 16 2001 <sagami@vinelinux.org>
- install manpage into %%{_mandir}

* Thu Aug  3 2000 Jun Nishii <jun@vinelinux.org>
- 2.1-1vl1

* Thu Mar 17 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- Changed for Vine Linux
- several bug fixed

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Nov 22 1999 Matt Wilson <msw@redhat.com>
- Added patch from Jay Turner to make mkkickstart work with 6.1 and up

* Sun Apr 11 1999 Erik Troan <ewt@redhat.com>
- partition sizes could come out wrong
- dig password out of /etc/shadow
- create auth line

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- small partitions were being set as 0 MB

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- integrated alan's rel 4 fixes

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated spec file

* Wed Feb  3 1999 Bill Nottingham <notting@redhat.com>

- make noarch

* Thu Sep 10 1998 Alan Cox <alan@redhat.com>

- Fix nox

* Thu Aug 27 1998 Alan Cox <alan@redhat.com>

- Made the program output files to the correct format, rather than the 
  original (and buggy) specification
