%define min_apache_version 1.3.6
%define configfile_sample httpd.conf.mod_dav

Summary: A DAV module for Apache.
Name: mod_dav
Version: 1.0.3
Release: 4vl1
Group: System Environment/Daemons
URL: http://www.webdav.org/mod_dav/
Source0: http://www.webdav.org/mod_dav/mod_dav-%{version}-%{min_apache_version}.tar.gz
Source99: %{configfile_sample}
Distribution: Vine Linux
Vendor: Project Vine
Packager: IWAI Masaharu <iwaim@cc.mbn.or.jp>
Copyright: Apache-style

BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel
Requires: apache

%description 
mod_dav enables Apache to understand DAV protocol (extensions to
HTTP). DAV stands for "Distributed Authoring and Versioning", and is
defined by RFC 2518. DAV is intended to replace proprietary authoring
protocols such as those used by Frontpage or NetObjects' Fusion, but
is also a complete set of protocols for manipulating a webserver's
files and directories, and their properties.

%prep
%setup -q -n %{name}-%{version}-%{min_apache_version}
cp %{SOURCE99} httpd.conf.sample
rm -rf ${RPM_BUILD_ROOT}

%build
%configure --with-apxs=%{_sbindir}/apxs
make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/apache
install -m 755 libdav.so ${RPM_BUILD_ROOT}%{_libdir}/apache

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README CHANGES INSTALL LICENSE.html httpd.conf.sample sdbm util
%{_libdir}/apache/libdav.so

%changelog
* Tue Nov  6 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.0.3-4vl1
- upstream release
- added sdbm and util directory in %%doc

* Wed Aug 15 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 1.0.2-4vl2
- add sample for Apache Configuration file

* Tue Aug 14 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 1.0.2-4vl1
- first release for VineLinux (based RedHat7.1 1.0.2-4)

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2
- depend on external expat-devel

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.1

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to mod_dav-1.0.0 for the main distribution

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to mod_dav-0.9.17 for Power Tools
- add URL: tag
- rename apache_version macro to min_apache_version
- add defattr
- remove outdated faq and readme

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for new Apache (release 2)

* Thu Feb 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- upgraded to 0.9.15 for 3.2

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.9.11.

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
