Summary: An embedded Perl interpreter for the Apache Web server Version 2
Summary(ja): Apache2 Web サーバ用 組み込み Perl インタプリタ
Name: mod_perl2
Version: 2.0.5
Release: 1%{?_dist_release}
URL: http://perl.apache.org/
Source0: http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
Source1: perl.conf
Source2: filter-requires.sh
Source3: filter-provides.sh
License:  The Apache Software License, Version 2.0
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: apache2-devel >= 2.0.51
BuildRequires: perl >= 5.6.0
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
# Provide perl-specific find-{provides,requires}.
%define __find_requires %{SOURCE2}
%define __find_provides %{SOURCE3}
%else
%define __perl_requires %{SOURCE2}
%endif

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install mod_perl if you're installing the Apache web server and you'd
like for it to directly incorporate a Perl interpreter.


%prep
%setup -q -n mod_perl-%{version}


%build
perl Makefile.PL PREFIX=%{buildroot}/usr \
  MP_APXS=%{_bindir}/apxs \
  INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
%makeinstall \
  MODPERL_AP_INCLUDEDIR=%{buildroot}%{_includedir}/apache2 \
  MODPERL_AP_LIBEXECDIR=%{buildroot}%{_libdir}/apache2/modules

install -d -m 755 %{buildroot}%{_sysconfdir}/apache2/conf.d
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache2/conf.d/

find %{buildroot} -type f -name perllocal.pod -exec rm -f {} ';'
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

chmod -R u+w %{buildroot}/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE README* STATUS SVN-MOVE docs
%config(noreplace) %{_sysconfdir}/apache2/conf.d/*.conf
%{_bindir}/*
%{_mandir}/man3/*
%{_includedir}/apache2/mod_perl*
%{_includedir}/apache2/modperl*
%{_libdir}/apache2/modules/mod_perl.so
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/APR
%{perl_vendorarch}/Apache
%{perl_vendorarch}/Apache2
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/ModPerl
%{perl_vendorarch}/auto


%changelog
* Fri Sep  9 2011 IWAI, Masaharu <iwai@alib.jp> 2.0.5-1
- new upstream release
- add Requires: perl:(MODULE_COMPAT_x.y.z)
- update Requires filter routine
- add Vendor and Distribution tags

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.0.4-2
- rebuilt with openldap-2.4.16

* Fri Jan 23 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.4-1
- new upstream release
- new versioning policy
- add default config file (SOURCE1) and prov/req filters (SOURCE2/3)
- install under vendor_perl dir instead of site_perl

* Mon Sep 22 2003 IWAI, Masaharu <iwai@alib.jp> 1.99_09-0vl1
- Initial build.
