Summary: Kernel module management utilities.
Summary(ja): カーネルモジュール管理ユーティリティ
Name: module-init-tools
Version: 3.16
Release: 1%{?_dist_release}
License: GPLv2+
Group: System Environment/Kernel
Source: http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-%{version}.tar.gz
Source1: http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-%{version}.tar.gz.sign
#Source2: modprobe-dist.conf
Source3: weak-modules
Source4: depmod-dist.conf

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel, docbook-utils
BuildRequires: zlib-static
BuildRequires: glibc-static
Exclusiveos: Linux
Requires(post): chkconfig, coreutils
Obsoletes: modutils-devel, modutils
Provides: modutils = %{version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The module-init-tools package includes various programs needed for automatic
loading and unloading of modules under 2.6 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

%description -l ja
module-init-tools パッケージには，バージョン 2.6 以上の kernel モジュールを
自動的にロード/アンロードする為の様々なプログラムや，モジュール管理の
為のプログラムなどが収められています．モジュールとしては，デバイスドライバ，
ファイルシステム，その他が挙げられます．

%prep
%setup -q 

%build
export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS -DCONFIG_NO_BACKWARDS_COMPAT=1"
%configure --enable-zlib
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

install -m 755 generate-modprobe.conf \
 $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
mkdir -p $RPM_BUILD_ROOT/lib/modprobe.d

#install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/modprobe-dist.conf
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/sbin/weak-modules

mkdir -p $RPM_BUILD_ROOT/etc/depmod.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/depmod.d/depmod-dist.conf

mv $RPM_BUILD_ROOT/%{_bindir}/lsmod $RPM_BUILD_ROOT/sbin

touch $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf
touch $RPM_BUILD_ROOT/etc/modprobe.d/local.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -e /etc/modprobe.conf ] && [ ! -e /etc/modprobe.d/local.conf ]
then
    mv /etc/modprobe.conf /etc/modprobe.d/local.conf
fi

%files
%defattr(-,root,root)
/etc/modprobe.d
/lib/modprobe.d
/etc/depmod.d
/sbin/*
%{_mandir}/*/*
%ghost %config(noreplace) %verify(not md5 size mtime) /etc/modprobe.d/modprobe.conf
%ghost %config(noreplace) %verify(not md5 size mtime) /etc/modprobe.d/local.conf

%changelog
* Sat Jan 07 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 3.16-1
- update to 3.16

* Tue Apr 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.12-2
- add BR: glibc-static
- add V/D/P tags

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.12-1
- new upstream release

* Tue May 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8-4
- remove kernel 2.4 compatibility from %%post

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8-3
- move /etc/modprobe.conf to /etc/modprobe.d/modprobe.conf

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8-2
- rename /etc/modprobe.d/{depmod,modprobe}.conf.dist to 
  {depmod,modprobe}-dist.conf

* Sun May 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8-1
- new upstream release
- add BR: zlib-static

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-1
- new upstream release
- rename to module-init-tools
  - Provides: modutils, Obsoletes: modules, modutils-devel
- drop modutils compatibility support

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 3.2.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.2-0vl4
- add Patch102 to build with gcc4
- enable combined-rmmod for insmod.static (initramfs needs rmmod)

* Sun Oct 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.2-0vl3
- update modprobe.conf.dist
  - load mmc_block when sdhci is loaded

* Sun Aug 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.2-0vl2
- enable %%build_small
- add modutils-devel subpackage for internal use.

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.2-0vl1
- update module-init-tools-3.2.2
- use module-init-tools version for package version
- update modprobe.conf.dist, move to /etc/modprobe.d
- remove "include" statement from /etc/modprobe.conf if found.

* Thu May  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.27-0vl1
- new upstream release
  - modutils-2.4.27
  - module-init-tools-3.0
- import fedora fixes
  * Wed May  5 2004 Bill Nottingham <notting@redhat.com> 2.4.26-16
  - fix sound restoring on module load when done via OSS compat
  * Thu Apr 15 2004 Bill Nottingham <notting@redhat.com> 2.4.26-15
  - don't buildreq autoconf-2.13 (#116770)
  - sound-slot-0/snd-card-0 hacking-around
  * Mon Mar 29 2004 Bill Nottingham <notting@redhat.com> 2.4.26-14
  - modinfo: use new modinfo if passed <foo>.ko
  * Tue Mar 23 2004 Steve Dickson <SteveD@RedHat.com>
  - Added the mounting of /proc/fs/nfsd to modprobe.conf.dist
    so it gets mounted when nfsd is loaded.
  * Tue Mar 16 2004 Steve Dickson <SteveD@RedHat.com>
  - /var/lib/nfs/rpc_pipefs not /var/lib/rpc_pipes should be
    mounted when sunrpc is loaded.
  * Fri Mar 12 2004 Steve Dickson <SteveD@RedHat.com>
  - umount rpc_pipefs when sunrpc is unloaded
  * Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 2.4.26-9
  - add nfsv4 aliases to modprobe.conf.dist
  - clean out upstreamed aliases in modprobe.conf.dist
  - mount rpc_pipefs when sunrpc is loaded
  * Fri Mar  5 2004 Bill Nottingham <notting@redhat.com> 2.4.26-7
  - blacklist eth1394 (#117383)
  * Mon Feb 23 2004 Bill Nottingham <notting@redhat.com> 2.4.26-6
  - update module-init-tools to 3.0pre10
  - fix modinfo (#116305)
  - always include /etc/modprobe.conf.dist (don't require the line in modprobe.conf)
  - ship a static modprobe.conf.dist, don't generate it at build time
  - clean up modprobe.conf.dist a little (#113772, #113768)
  * Wed Feb 11 2004 Bill Nottingham <notting@redhat.com>
  - don't use trampolines in insmod, working around #106005
  * Thu Jan 29 2004 Bill Nottingham <notting@redhat.com> 2.4.26-3
  - fix irda (#114268), bluetooth (#114019) and alsa aliases

* Wed Jan 14 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.26-2vl1
- syncd with fedora

* Fri Nov 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.26-0vl1
- new upstream release

* Thu May 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.25-0vl1
- new upstream release

* Tue Dec 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.22-0vl3
- enable build with dietlibc also on ppc and alpha

* Tue Dec 10 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.22-0vl2
- enable zlib
- remove pre-defined "above"s. it's not needed for Vine Linux.

* Sun Dec  8 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.22-0vl1
- new upstream release

* Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.20-0vl1
- new upstream release

* Thu Jul 18 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.16-1vl2
- BuildPreReq: dietlibc for ix86 only

* Tue Jul 09 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.16-1vl1
- new upstream release

* Sun May 05 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.14-1vl2
- rebuild with diet.
- merged with Skipjack.
  * Mon Apr  1 2002 Bill Nottingham <notting@redhat.com> 2.4.14-2
  - fix support for symbols that contain _R (<streeter@redhat.com>)

* Thu Mar 21 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.14-1vl1
- source update
	* Sat Mar  2 2002 Bill Nottingham <notting@redhat.com> 2.4.14-1
	- update to 2.4.14
	- take out genksyms.old, no more buildprereq for gperf

	* Thu Feb 28 2002 Bill Nottingham <notting@redhat.com> 2.4.13-7/8
	- rebuild against diet
	- reenable rmmod in the library version, shrink it too

	* Wed Feb 27 2002 Bill Nottingham <notting@redhat.com> 2.4.13-5
	- rebuild in earlier environments

* Fri Feb 22 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.4.13-4vl1
- modified for Vine
- merged devel-package with parent package

* Sun Feb 10 2002 Bill Nottingham <notting@redhat.com> 2.4.13-4
- various space shavings in -devel

* Fri Feb  8 2002 Bill Nottingham <notting@redhat.com> 2.4.13-3
- bump rev
- buildprereq gperf

* Mon Feb  4 2002 Bill Nottingham <notting@redhat.com> 2.4.13-1
- update to 2.4.13
- fix GPL symbol export

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 2.4.12-9
- shrink insmod.static

* Thu Jan 24 2002 Bill Nottingham <notting@redhat.com> 2.4.12-8
- fix installation of extra libraries (#58427)

* Thu Jan 17 2002 Bill Nottingham <notting@redhat.com> 2.4.12-7
- hack to allow depmod of 64bit kernels on 32bit PPC

* Tue Jan 15 2002 Bill Nottingham <notting@redhat.com> 2.4.12-6
- more ppc64 fixes 

* Thu Jan 10 2002 Bill Nottingham <notting@redhat.com> 2.4.12-5
- fix build on combined 32/64 targets (ppc/sparc)

* Tue Dec 11 2001 Matt Wilson <msw@redhat.com>
- added a -devel subpackage that contains libraries that apps can use
  to implement insmod and rmmod

* Tue Dec  4 2001 Bill Nottingham <notting@redhat.com>
- get rid of some obsolete patches, other tweaks

* Thu Nov 29 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.4.12

* Sat Nov 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.4.11

* Tue Oct  2 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.10
- deprecate -i, -m arguments to depmod

* Tue Sep 25 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.9

* Wed Aug 29 2001 Bill Nottingham <notting@redhat.com>
- replace modutils-2.4.6-error patch with version that was integrated
  upstream

* Sat Aug 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- disable char-major-4 for s390/s390x

* Mon Jul  8 2001 Bill Nottingham <notting@redhat.com>
- remove /etc/cron.d/kmod

* Fri Jul  6 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.6
- alias binfmt-0000 off (#9709)
- turn off 'modules.conf is more recent than modules.dep' message (#14276,
  others)
- return nonzero from depmod if there are errors (#40935)
- fix manpage typo (#33123)

* Thu Jul 05 2001 Karsten Hopp <karsten@redhat.de>
- new S390 patch from IBM

* Tue Jun 26 2001 Elliot Lee <sopwith@redhat.com> 2.4.5-3
- Add modutils-2.4.5-stblocal.patch from Jakub. See the e-mail message
  inside the patch file for details.
- Use smp_mflags macro

* Thu Jun 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390/s390x support

* Tue Apr 24 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.5

* Tue Mar  6 2001 Bill Nottingham <notting@redhat.com>
- add default post/preun for binfmt_misc

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- change ipv6 alias to 'alias net-pf-10 off'

* Tue Feb 13 2001 Bill Nottingham <notting@redhat.com>
- add 'net-pf-10 ipv6' alias (#25405)

* Sun Jan 28 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- change "#ifdef s390" -> "#if defined(__s390__) || defined(__s390x__)"

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.2
- ship a genksyms.old 

* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix ppp aliases

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- oops, I blew away other people's changes. Fix that.
- only have tty-ldisc-11 in the aliases once

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.0
- tweak irda aliases
- remove vixie-cron dependency (it's not *required*)
- add missing %build (where did that go?)

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.4.0
- Get rid of obsolete char-major-60==ircom-tty patch
  (moved to 161)

* Sat Jan 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add "ctc{0,1,2} -> ctc" alias for s390
 
* Sat Dec 23 2000 Bill Nottingham <notting@redhat.com>
- add missing comma in alias list
- add irda aliases

* Tue Dec 12 2000 Bill Nottingham <notting@redhat.com>
- add char-major-108 ppp_async alias

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix ide-probe aliases (now ide-probe-mod)

* Wed Nov 22 2000 Matt Wilson <msw@redhat.com>
- 2.3.21, fixes more security problems.

* Thu Nov 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.20, fixes security holes

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.19
- add IrDA devices to alias patch
- update source URL

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 module loading

* Mon Oct  2 2000 Bill Nottingham <notting@redhat.com>
- stupid ia64 tricks

* Fri Sep 29 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.3.17.
- sparc64 ELF hacks.

* Mon Aug 21 2000 Michael K. Johnson <johnsonm@redhat.com>
- Use %{_mandir} for removing kerneld-related man pages.

* Wed Aug  9 2000 Jakub Jelinek <jakub@redhat.com>
- fix build on SPARC

* Tue Aug  8 2000 Jakub Jelinek <jakub@redhat.com>
- update to 2.3.14

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3.13
- turn psaux off again
- remove sound patch; it's obsolete

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.12
- fix up ia64

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  1 2000 Florian La Roche <laroche@redhat.com>
- add aliases for cipcb[0-3]

* Wed Jun 14 2000 Matt Wilson <msw@redhat.com>
- fix build on combined 32/64 bit sparc

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- modules.confiscation

* Wed May 17 2000 Bill Nottingham <notting@redhat.com>
- add ia64 patch from Intel

* Wed May 17 2000 Jakub Jelinek <jakub@redhat.com>
- fix build with glibc 2.2

* Tue May 09 2000 Doug Ledford <dledford@redhat.com>
- Correct %description to reflect that we don't build kerneld by default

* Fri Apr 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.11

* Mon Apr  3 2000 Bill Nottingham <notting@redhat.com>
- fix net-pf-* aliases for ipx, appletalk

* Fri Mar 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.3.10

* Thu Feb 17 2000 Matt Wilson <msw@redhat.com>
- added alias for agpgart

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- hardcode psaux alias to off everywhere

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add a symlink from conf.modules.5 to modules.conf.5

* Fri Jan 29 2000 Bill Nottingham <notting@redhat.com>
- fix breakage *correctly*

* Sat Jan 22 2000 Bill Nottingham <notting@redhat.com>
- fix breakage of our own cause w.r.t sound modules

* Thu Jan 06 2000 Jakub Jelinek <jakub@redhat.com>
- update to 2.3.9.
- port RH patches from 2.1.121 to 2.3.9 where needed.
- disable warning about conf.modules for now, in 7.0
  we should move to modules.conf.

* Wed Oct 13 1999 Jakub Jelinek <jakub@redhat.com>
- hardcode psaux alias on sparc to off.

* Tue Oct 05 1999 Bill Nottingham <notting@redhat.com>
- hardcode parport aliases....

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Wed Sep 15 1999 Jakub Jelinek <jakub@redhat.com>
- rewrite sparckludge so that separate *64 binaries
  are not needed anymore.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- apply the last patch in the %prep section (doh!)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- add support for the ppp compression modules by default

* Tue Apr 13 1999 Michael K. Johnson <johnsonm@redhat.com>
- add cron.d file to run rmmod -as

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- take out kerneld

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make all raid personalities recognized

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- obsoletes modules
- get rid of the /lib/modules/preferred hack

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
