%bcond_with firstbuild

Summary: .NET runtime environment
Summary(ja): .NET ランタイム環境
Name: mono
Version: 2.10.8
Release: 1%{?_dist_release}
Group: Development/Languages
License: GPL, LGPL, MIT X11
URL: http://www.mono-project.com/
Source0: http://ftp.novell.com/pub/mono/sources/mono/%{name}-%{version}.tar.bz2
Source1: monodir.c
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: libicu-devel
BuildRequires: libgdiplus-devel >= 2.0
BuildRequires: zlib-devel
%{!?with_firstbuild:BuildRequires: mono-devel}
# JIT only availible on these:
ExclusiveArch: %{ix86} x86_64 ppc ia64 s390 s390x armv4l sparc
Obsoletes: %{name}-jscript < 2.8
Obsoletes: %{name}-data-sybase < 2.8
Obsoletes: %{name}-data-firebird < 2.8
Obsoletes: bytefx-data-mysql < 2.8
Distribution: Vine Linux
Vendor: Project Vine
Packager: owa

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.

%description -l ja
Mono ランタイムは ECMA CLI 仮想機械用 JIT エンジンの実装です。バイト
コードインタプリタ、クラスローダ、ガベージコレクタ、スレッドシステム
およびメタデータアクセスライブラリの機能を持ちます。

%package core
Summary: The Mono CIL runtime, suitable for running .NET code
Summary(ja): .NET の実行に適した Mono CIL ランタイム
Group: Development/Languages
Requires: libgdiplus

%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package devel
Summary:        Development tools for Mono
Summary(ja):    Mono 開発ツール
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       glib2-devel

%description devel
This package completes the Mono developer toolchain with the mono profiler,
assembler and other various tools.

%package nunit
Summary:        NUnit Testing Framework
Summary(ja):    NUnit テストフレームワーク
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       glib2-devel

%description nunit
NUnit is a unit-testing framework for all .NET languages. Initially
ported from JUnit, the current release, version 2.2, is the fourth
major release of this Unit based unit testing tool for Microsoft .NET.
It is written entirely in C# and  has been completely redesigned to
take advantage of many .NET language features, for example
custom attributes and other reflection related capabilities. NUnit
brings xUnit to all .NET languages.

%package locale-extras
Summary:        Extra locale information for Mono
Summary(ja):    Mono 用追加ロケール情報
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package extras
Summary:        Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description extras
This package provides the libary and application to run services
and daemons with Mono. It also includes stubs for the following
.NET 1.1 and 2.0 assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%package winforms
Summary:        Windows Forms implementation for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package web
Summary:        ASP.NET, Remoting, and Web Services for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package data
Summary:        Database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       sqlite

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package data-postgresql
Summary:        Postgresql database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-postgresql
This package contains the ADO.NET Data provider for the PostgreSQL
database.

%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package -n monodoc
Summary:	The Mono documentation system
Group:		Development/Tools
Requires:	mono-core = %{version}-%{release}
Requires:	libgluezilla >= 2.4
Obsoletes:      monodoc-core <= 2.0-1vl5

%description -n monodoc
monodoc is the documentation package for the mono .NET environment

## macros
%define mono_dir %{_prefix}/lib/mono
%define mono_doc %{_prefix}/lib/monodoc
%define bin_and_exe(bin, exe) %{_bindir}/%{1} \
	%{mono_dir}/%{2}.exe \
	%{mono_dir}/%{2}.exe.* \
	%{nil}
%define gac_and_1dll(dll)  %{mono_dir}/gac/%{1} \
	%{mono_dir}/%{2}/%{1}.dll \
	%{nil}
%define gac_and_2dll(dll)  %{mono_dir}/gac/%{1} \
	%{mono_dir}/%{2}/%{1}.dll \
	%{mono_dir}/%{3}/%{1}.dll \
	%{nil}
%define gac_and_3dll(dll)  %{mono_dir}/gac/%{1} \
	%{mono_dir}/%{2}/%{1}.dll \
	%{mono_dir}/%{3}/%{1}.dll \
	%{mono_dir}/%{4}/%{1}.dll \
	%{nil}


%prep
%setup -q

## These are only needed if there are patches to the runtime
#rm -f libgc/libtool.m4
#autoreconf --force --install
#autoreconf --force --install libgc

## Remove prebuilt binaries
#rm -rf mcs/class/lib/monolite/*

%build
gcc -o monodir %{SOURCE1} -DMONODIR=\"%{mono_dir}\"

export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--with-jit=yes \
	--with-ikvm-native=yes \
	--with-sigaltstack=no \
	--with-sgen=no \
	;

# don't use parallel builds
# make %{?_smp_mflags}
make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

install monodir %{buildroot}%{_bindir}

## Remove unused files
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_libdir}/*.a
%{__rm} -f %{buildroot}%{_bindir}/mono-find-provides
%{__rm} -f %{buildroot}%{_bindir}/mono-find-requires

## This was removed upstream:
%{__rm} -rf %{buildroot}%{_datadir}/mono-2.0/mono/cil
%{__rm} -f %{buildroot}%{_bindir}/prj2make
%{__rm} -f %{buildroot}%{_mandir}/man1/prj2make.*
%{__rm} -f %{buildroot}%{_mandir}/man1/cilc.*
## This was referring to fedora:
%{__rm} -rf %{buildroot}%{mono_dir}/gac/Mono.Security.Win32
%{__rm} -rf %{buildroot}%{mono_dir}/2.0/Mono.Security.Win32.dll
%{__rm} -rf %{buildroot}%{mono_dir}/4.0/Mono.Security.Win32.dll
%{__rm} -rf %{buildroot}%{mono_dir}/xbuild/Microsoft
%{__rm} -f %{buildroot}%{mono_dir}/2.0/mcs.exe.so
%{__rm} -f %{buildroot}%{mono_dir}/2.0/mscorlib.dll.so
%{__rm} -f %{buildroot}%{_datadir}/libgc-mono/README*
%{__rm} -f %{buildroot}%{_datadir}/libgc-mono/barrett_diagram
%{__rm} -f %{buildroot}%{_datadir}/libgc-mono/*.html
%{__rm} -f %{buildroot}%{_datadir}/libgc-mono/gc.man
%{__rm} -rf %{buildroot}%{_bindir}/mono-configuration-crypto
%{__rm} -rf %{buildroot}%{_mandir}/man?/mono-configuration-crypto*


%find_lang mcs


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %{__rm} -rf %{buildroot}

%post core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig


%files core -f mcs.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_bindir}/mcs
%{_bindir}/mono
%{_bindir}/monodir
%{_bindir}/mono-api-*
%{_bindir}/mono-heapviz
%{_bindir}/peverify
%{_bindir}/mprof-report
%{_bindir}/mono-test-install
%{_libdir}/libMonoPosixHelper.so
%{_libdir}/libmono-2.0.so.*
%{_libdir}/libmono-profiler-aot.so.*
%{_libdir}/libmono-profiler-cov.so.*
%{_libdir}/libmono-profiler-iomap.so.*
%{_libdir}/libmono-profiler-log.so*
%dir %{mono_dir}
%dir %{mono_dir}/4.0
%dir %{mono_dir}/3.5
%dir %{mono_dir}/2.0
%dir %{mono_dir}/gac
%dir %{mono_dir}/compat-2.0
%bin_and_exe ccrewrite 4.0/ccrewrite
%bin_and_exe csharp 4.0/csharp
%bin_and_exe csharp2 2.0/csharp
%bin_and_exe certmgr 4.0/certmgr
%bin_and_exe chktrust 4.0/chktrust
%bin_and_exe dmcs 4.0/dmcs
%bin_and_exe lc 4.0/lc
%bin_and_exe gacutil 4.0/gacutil
%bin_and_exe gacutil2 2.0/gacutil
%bin_and_exe gmcs 2.0/gmcs
%bin_and_exe installvst 4.0/installvst
%bin_and_exe mconfig 4.0/mconfig
%{mono_dir}/2.0/mcs.exe
%bin_and_exe mod 4.0/mod
%bin_and_exe mono-cil-strip 4.0/mono-cil-strip
%bin_and_exe monolinker 2.0/monolinker
%bin_and_exe mozroots 4.0/mozroots
%bin_and_exe setreg 4.0/setreg
%bin_and_exe sn 4.0/sn
%bin_and_exe sqlmetal 4.0/sqlmetal
%bin_and_exe svcutil 4.0/svcutil
%{mono_dir}/4.0/browsercaps-updater.exe*
%{mono_dir}/4.0/monolinker.exe*
%{mono_dir}/4.0/ictool.exe*
%{mono_dir}/4.0/installutil.exe*
%{mono_dir}/4.0/mono-api-info.exe
%{mono_dir}/4.0/mscorlib.dll*
%{mono_dir}/2.0/mscorlib.dll*
%{mono_dir}/3.5/Microsoft.Build.*
%exclude %{mono_dir}/3.5/Microsoft.Build.xsd
%{mono_dir}/4.0/Microsoft.Build.*
%exclude %{mono_dir}/4.0/Microsoft.Build.xsd
%{mono_dir}/4.0/Microsoft.CSharp.targets
%{mono_dir}/3.5/Microsoft.CSharp.targets
%{mono_dir}/2.0/Microsoft.CSharp.targets
%{mono_dir}/4.0/Microsoft.Common.targets
%{mono_dir}/3.5/Microsoft.Common.targets
%{mono_dir}/2.0/Microsoft.Common.targets
%{mono_dir}/4.0/Microsoft.VisualBasic.targets
%{mono_dir}/3.5/Microsoft.VisualBasic.targets
%{mono_dir}/2.0/Microsoft.VisualBasic.targets
%{mono_dir}/compat-*/ICSharpCode.SharpZipLib.dll
%{mono_dir}/gac/Mono.Cecil
%{mono_dir}/gac/Mono.Cecil.Mdb
%{mono_dir}/mono-configuration-crypto/4.0/Mono.Configuration.Crypto.dll*
%{mono_dir}/mono-configuration-crypto/4.0/mono-configuration-crypto.exe*
%gac_and_2dll cscompmgd 4.0 2.0
%gac_and_2dll Commons.Xml.Relaxng 4.0 2.0
%gac_and_2dll CustomMarshalers 4.0 2.0
%gac_and_2dll I18N 4.0 2.0
%gac_and_2dll I18N.West 4.0 2.0
%gac_and_2dll ICSharpCode.SharpZipLib 4.0 2.0
%gac_and_1dll Microsoft.CSharp 4.0
%gac_and_2dll Mono.C5 4.0 2.0
%gac_and_2dll Mono.Cairo 4.0 2.0
%gac_and_2dll Mono.CompilerServices.SymbolWriter 4.0 2.0
%gac_and_2dll Mono.Posix 4.0 2.0
%gac_and_2dll Mono.Security 4.0 2.0
%gac_and_2dll Mono.CSharp 4.0 2.0
%gac_and_1dll Mono.CodeContracts 4.0
%gac_and_2dll Mono.Debugger.Soft 4.0 2.0
%gac_and_2dll Mono.Management 4.0 2.0
%gac_and_2dll Mono.Simd 4.0 2.0
%gac_and_2dll Mono.Tasklets 4.0 2.0
%gac_and_2dll System 4.0 2.0
%gac_and_2dll System.Configuration 4.0 2.0
%gac_and_1dll System.Dynamic 4.0
%gac_and_2dll System.Drawing 4.0 2.0
%gac_and_2dll System.Core 4.0 2.0
%gac_and_1dll System.ComponentModel.Composition 4.0
%gac_and_2dll System.ComponentModel.DataAnnotations 4.0 2.0
%gac_and_2dll System.IdentityModel 4.0 2.0
%gac_and_2dll System.IdentityModel.Selectors 4.0 2.0
%gac_and_2dll System.Net 4.0 2.0
%gac_and_1dll System.Numerics 4.0
%gac_and_1dll System.Runtime.Caching 4.0
%gac_and_1dll System.Runtime.DurableInstancing 4.0
%gac_and_2dll System.Runtime.Serialization 4.0 2.0
%gac_and_2dll System.Runtime.Serialization.Formatters.Soap 4.0 2.0
%gac_and_2dll System.Security 4.0 2.0
%gac_and_1dll System.Xaml 4.0
%gac_and_2dll System.Xml 4.0 2.0
%gac_and_2dll System.Xml.Linq 4.0 2.0
%gac_and_2dll OpenSystem.C 4.0 2.0
%gac_and_2dll WindowsBase 4.0 2.0
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/4.0
%dir %{_sysconfdir}/mono/2.0
%dir %{_sysconfdir}/mono/mconfig
%config (noreplace) %{_sysconfdir}/mono/config
%config (noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/4.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/mono/2.0/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.0/settings.map
%{_prefix}/lib/mono-source-libs/
%{_mandir}/man1/ccrewrite.1.gz
%{_mandir}/man1/certmgr.1.gz
%{_mandir}/man1/chktrust.1.gz
%{_mandir}/man1/csharp.1.gz
%{_mandir}/man1/gacutil.1.gz
%{_mandir}/man1/lc.1.gz
%{_mandir}/man1/mconfig.1.gz
%{_mandir}/man1/mcs.1.gz
%{_mandir}/man1/mono.1.gz
%{_mandir}/man1/monolinker.1.gz
%{_mandir}/man1/mozroots.1.gz
%{_mandir}/man1/mprof-report.1.gz
%{_mandir}/man1/setreg.1.gz
%{_mandir}/man1/sn.1.gz
%{_mandir}/man1/resgen.1.gz
%{_mandir}/man1/mono-api-info.1.gz
%{_mandir}/man1/mono-cil-strip.1.gz
%{_mandir}/man5/mono-config.5.gz

%files devel
%defattr(-,root,root,-)
%{_bindir}/genxs
%{_bindir}/mkbundle
%{_bindir}/mono-gdb.py
%{_bindir}/monodis
%{_bindir}/monograph
%{_bindir}/pedump
%{_bindir}/xbuild
%{_libdir}/libmono-2.0.so
%{_libdir}/libmono-profiler-aot.so
%{_libdir}/libmono-profiler-cov.so
%{_libdir}/libmono-profiler-iomap.so
%{_libdir}/libMonoSupportW.so
%{_libdir}/libikvm-native.so
%{mono_dir}/4.0/mkbundle.exe*
%{mono_dir}/2.0/mkbundle.exe*
%{mono_dir}/4.0/genxs.exe*
%{mono_dir}/2.0/genxs.exe*
%{mono_dir}/2.0/ilasm.exe*
%bin_and_exe al 4.0/al
%bin_and_exe al2 2.0/al
%bin_and_exe caspol 4.0/caspol
%bin_and_exe cert2spc 4.0/cert2spc
%bin_and_exe dtd2xsd 4.0/dtd2xsd
%bin_and_exe dtd2rng 4.0/dtd2rng
%bin_and_exe sgen 4.0/sgen
%bin_and_exe ilasm 4.0/ilasm
%bin_and_exe macpack 4.0/macpack
%bin_and_exe makecert 4.0/makecert
%bin_and_exe monop 4.0/monop
%bin_and_exe monop2 2.0/monop
%bin_and_exe mono-shlib-cop 4.0/mono-shlib-cop
%bin_and_exe mono-xmltool 4.0/mono-xmltool
%bin_and_exe pdb2mdb 4.0/pdb2mdb
%bin_and_exe permview 4.0/permview
%bin_and_exe resgen 4.0/resgen
%bin_and_exe resgen2 2.0/resgen
%bin_and_exe secutil 4.0/secutil
%bin_and_exe signcode 4.0/signcode
%{mono_dir}/xbuild
%{mono_dir}/xbuild-frameworks
%{mono_dir}/4.0/xbuild.*
%{mono_dir}/3.5/xbuild.*
%{mono_dir}/2.0/xbuild.*
%{mono_dir}/4.0/culevel.exe*
%{mono_dir}/2.0/culevel.exe*
%{mono_dir}/4.0/MSBuild/*.xsd
%{mono_dir}/3.5/MSBuild/*.xsd
%{mono_dir}/2.0/MSBuild/*.xsd
%{mono_dir}/4.0/Microsoft.Build.xsd
%{mono_dir}/3.5/Microsoft.Build.xsd
%{mono_dir}/2.0/Microsoft.Build.xsd
%{mono_dir}/4.0/Microsoft.*.targets
%{mono_dir}/3.5/Microsoft.*.targets
%{mono_dir}/2.0/Microsoft.*.targets
%{mono_dir}/4.0/Microsoft.Common.tasks
%{mono_dir}/3.5/Microsoft.Common.tasks
%{mono_dir}/2.0/Microsoft.Common.tasks
%gac_and_2dll PEAPI 4.0 2.0
%gac_and_3dll Microsoft.Build.Engine 4.0 3.5 2.0
%gac_and_3dll Microsoft.Build.Framework 4.0 3.5 2.0
%gac_and_1dll Microsoft.Build.Tasks 2.0
%gac_and_1dll Microsoft.Build.Tasks.v4.0 4.0
%gac_and_1dll Microsoft.Build.Tasks.v3.5 3.5
%gac_and_1dll Microsoft.Build.Utilities 2.0
%gac_and_1dll Microsoft.Build.Utilities.v4.0 4.0
%gac_and_1dll Microsoft.Build.Utilities.v3.5 3.5
%gac_and_2dll Microsoft.VisualC 4.0 2.0
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/mono-2.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/wcf.pc
%{_includedir}/mono-2.0
%{_mandir}/man1/al.1.gz
%{_mandir}/man1/cert2spc.1.gz
%{_mandir}/man1/dtd2xsd.1.gz
%{_mandir}/man1/genxs.1.gz
%{_mandir}/man1/ilasm.1.gz
%{_mandir}/man1/macpack.1.gz
%{_mandir}/man1/makecert.1.gz
%{_mandir}/man1/mkbundle.1.gz
%{_mandir}/man1/mono-shlib-cop.1.gz
%{_mandir}/man1/mono-xmltool.1.gz
%{_mandir}/man1/monodis.1.gz
%{_mandir}/man1/monop.1.gz
%{_mandir}/man1/pdb2mdb.1.gz
%{_mandir}/man1/permview.1.gz
%{_mandir}/man1/secutil.1.gz
%{_mandir}/man1/sgen.1.gz
%{_mandir}/man1/signcode.1.gz
%{_mandir}/man1/xbuild.1.gz

%files nunit
%defattr(-,root,root,-)
%bin_and_exe nunit-console 4.0/nunit-console
%bin_and_exe nunit-console2 2.0/nunit-console
%gac_and_2dll nunit.core 4.0 2.0
%gac_and_2dll nunit.framework 4.0 2.0
%gac_and_2dll nunit.util 4.0 2.0
%gac_and_2dll nunit.mocks 4.0 2.0
%gac_and_2dll nunit-console-runner 4.0 2.0
%gac_and_2dll nunit.core.extensions 4.0 2.0
%gac_and_2dll nunit.core.interfaces 4.0 2.0
%gac_and_2dll nunit.framework.extensions 4.0 2.0
%{_libdir}/pkgconfig/mono-nunit.pc

%files locale-extras
%defattr(-,root,root,-)
%gac_and_2dll I18N.MidEast 4.0 2.0
%gac_and_2dll I18N.Rare 4.0 2.0
%gac_and_2dll I18N.CJK 4.0 2.0
%gac_and_2dll I18N.Other 4.0 2.0

%files extras
%defattr(-,root,root,-)
%{_mandir}/man1/mono-service.1.gz
%bin_and_exe mono-service 4.0/mono-service
%bin_and_exe mono-service2 2.0/mono-service
%{mono_dir}/gac/mono-service
%gac_and_2dll System.Configuration.Install 4.0 2.0
%gac_and_2dll System.Management 4.0 2.0
%gac_and_2dll System.Messaging 4.0 2.0
%gac_and_2dll System.ServiceProcess 4.0 2.0
%gac_and_2dll System.ServiceModel 4.0 2.0
%gac_and_1dll System.ServiceModel.Discovery 4.0
%gac_and_1dll System.ServiceModel.Routing 4.0
%gac_and_2dll Mono.Messaging.RabbitMQ 4.0 2.0
%gac_and_2dll Mono.Messaging 4.0 2.0
%gac_and_2dll RabbitMQ.Client 4.0 2.0
%{mono_dir}/4.0/RabbitMQ.Client.Apigen.exe*
%{mono_dir}/2.0/RabbitMQ.Client.Apigen.exe*

%files winforms
%defattr(-,root,root,-)
%gac_and_2dll Accessibility 4.0 2.0
%gac_and_2dll System.Design 4.0 2.0
%gac_and_2dll System.Drawing.Design 4.0 2.0
%gac_and_2dll System.Windows.Forms 4.0 2.0
%gac_and_1dll System.Windows.Forms.DataVisualization 4.0

%files web
%defattr(-,root,root,-)
%{mono_dir}/2.0/xsd.exe*
%{mono_dir}/compat-2.0/System.Web.Extensions*dll
%{mono_dir}/compat-2.0/System.Web.Mvc.dll
%bin_and_exe disco 4.0/disco
%bin_and_exe soapsuds 4.0/soapsuds
%bin_and_exe xsd 4.0/xsd
%bin_and_exe wsdl 4.0/wsdl
%bin_and_exe wsdl2 2.0/wsdl
%bin_and_exe httpcfg 4.0/httpcfg
%gac_and_2dll Mono.Http 4.0 2.0
%gac_and_2dll Mono.Web 4.0 2.0
%gac_and_2dll Mono.WebBrowser 4.0 2.0
%gac_and_2dll System.Runtime.Remoting 4.0 2.0
%gac_and_2dll System.Runtime.Serialization.Formatters.Soap 4.0 2.0
%gac_and_2dll System.ServiceModel.Web 4.0 2.0
%gac_and_2dll System.Web 4.0 2.0
%gac_and_1dll System.Web.ApplicationServices 4.0
%gac_and_2dll System.Web.Abstractions 4.0 2.0
%gac_and_2dll System.Web.DynamicData 4.0 2.0
%gac_and_1dll System.Web.Mvc 2.0
%gac_and_2dll System.Web.Routing 4.0 2.0
%gac_and_2dll System.Web.Services 4.0 2.0
%gac_and_2dll System.Web.Extensions.Design 4.0 2.0
%gac_and_2dll System.Web.Extensions 4.0 2.0
%gac_and_1dll Microsoft.Web.Infrastructure 4.0
%gac_and_1dll WebMatrix.Data 4.0
%{_mandir}/man1/disco.1.gz
%{_mandir}/man1/soapsuds.1.gz
%{_mandir}/man1/wsdl.1.gz
%{_mandir}/man1/xsd.1.gz
%config (noreplace) %{_sysconfdir}/mono/browscap.ini
%config (noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.0/web.config
%config (noreplace) %{_sysconfdir}/mono/2.0/web.config
%{_mandir}/man1/httpcfg.1.gz
%{_libdir}/pkgconfig/mono.web.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc

%files data
%defattr(-,root,root,-)
%bin_and_exe sqlsharp 4.0/sqlsharp
%gac_and_2dll Mono.Data.Tds 4.0 2.0
%gac_and_2dll Novell.Directory.Ldap 4.0 2.0
%gac_and_2dll System.Data 4.0 2.0
%gac_and_2dll System.Data.DataSetExtensions 4.0 2.0
%gac_and_2dll System.Data.Linq 4.0 2.0
%gac_and_2dll System.Data.Services 4.0 2.0
%gac_and_2dll System.Data.Services.Client 4.0 2.0
%gac_and_2dll System.DirectoryServices 4.0 2.0
%gac_and_2dll System.EnterpriseServices 4.0 2.0
%gac_and_2dll System.Transactions 4.0 2.0
%{_mandir}/man1/sqlsharp.1.gz

%files data-sqlite
%defattr(-,root,root,-)
%gac_and_2dll Mono.Data.Sqlite 4.0 2.0

%files data-oracle
%defattr(-,root,root,-)
%gac_and_2dll System.Data.OracleClient 4.0 2.0

%files data-postgresql
%defattr(-,root,root,-)
%gac_and_2dll Npgsql 4.0 2.0

%files -n ibm-data-db2
%defattr(-,root,root,-)
%gac_and_2dll IBM.Data.DB2 4.0 2.0

%files -n monodoc
%defattr(-, root, root)
%bin_and_exe mdoc 2.0/mdoc
%{_bindir}/mdoc-*
%{_bindir}/mdass*
%{_bindir}/mdval*
%{_bindir}/mod
%{_bindir}/monodoc*
%{mono_dir}/gac/monodoc
%{mono_dir}/monodoc/monodoc.dll
%{mono_doc}/*
%{_mandir}/man1/md*
%{_mandir}/man1/monodoc*
%{_mandir}/man5/mdoc*
%{_libdir}/pkgconfig/monodoc.pc


%changelog
* Sun Jan 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.8-1
- updated mono to 2.10.8

* Sat Oct 08 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.6-1
- updated mono to 2.10.6

* Sat May 07 2011 Shu KONNO <owa@bg.wakwak.com> 2.10.2-1
- updated mono to 2.10.2
- dropt Patch1: mono-2.10.1-ppc-len.patch (fixed in the upstream)

* Sun Apr 24 2011 Shu KONNO <owa@bg.wakwak.com> 2.10.1-3
- added '--with-sgen=no' to all arch
- dropt %%{mono_dir}/2.0/{mcs.exe,mscorlib.dll}.so

* Sat Apr 16 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.10.1-2
- remove the old ppc patch (similar codes already in the upstream)
- add Patch1 (from Gentoo)
- mono/2.0/mcs.exe.so not available on ppc - remove from the filelist
  (TODO: see the Fedora's srpm - removing mono/2.0/{mcs,gmcs}.exe.so etc.)

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.10.1-1
- updated mono to 2.10.1

* Sat Jan 08 2011 Shu KONNO <owa@bg.wakwak.com> 2.8.2-1
- updated mono to 2.8.2

* Tue Dec 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.1-2
- add Patch0 (mono-2.8.1-ppc.patch)
- add configure option "--with-sgen=no" and "--disable-system-aot" (ppc only)
- fix %%files (add %%ifnarch ppc)

* Sun Nov 21 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.1-1
- updated mono to 2.8.1

* Sat Nov 06 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-2
- comment out script that removes prebuilt binaries, because gmcs.exe require

* Fri Oct 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-1
- updated mono to 2.8
- modified macros used in %%files
- removed below:
  - packages:
    %{name}-jscript, %{name}-data-sybase, %{name}-data-firebird, bytefx-data-mysql
  - libraries:
    ByteFX.Data, FirebirdSql.Data.Firebird
    Mono.Data Mono.Data.TdsClient, Mono.Data.SybaseClient, Mono.Data.SqliteClient
    Microsoft.JScript, Microsoft.Vsa
  - commands:
    cilc, mjs, prj2make (replaced by xbuild)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.6.7-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.7-1
- updated mono to 2.6.7

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.4-1
- updated mono to 2.6.4

* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6.3-1
- updated mono to 2.6.3
  added RabbitMQ.Client.Apigen.exe

* Thu Dec 31 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.1-2
- unuse _smp_mflags

* Sat Dec 26 2009 Shu KONNO <owa@bg.wakwak.com> 2.6.1-1
- updated mono to 2.6.1
- simplified macros

* Mon Dec 14 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.3-1
- updated mono to 2.4.3
  added %%{mono_dir}/2.0/lc.exe*
  added %%gac_dll System.Web.Mvc
  added %%{mono_dir}/xbuild/*
  added %%{_mandir}/man1/lc.1.gz
  added %%{_mandir}/man1/xbuild.1.gz

* Wed Jul 29 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2.3-1
- updated mono to 2.4.2.3

* Fri Jul 24 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2.2-1
- updated mono to 2.4.2.2

* Tue Jul 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.4.2.1-1
- new upstream release
- build with latest rpm to update mono-dependencies

* Thu Jul 02 2009 Shu KONNO <owa@bg.wakwak.com> 2.4.2-1
- updated mono to 2.4.2

* Mon Apr 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4-3
- fix temporary workaround against build failure on ppc,
  from RH bugzilla #494026
  - statically link mono to libmono: remove "--disable-static" from configure
  - ensure removing *.a files in the install section
- remove prebuilt binaries under mcs/class/lib/monolite/ before building

* Sun Apr  5 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-2
- fixed paths using %%mono_dir, %%mono_doc macros
- added Requires:libgluezilla >= 2.4 in monodoc

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4-1
- new upstream release
- added monodoc package (Obsoletes: monodoc-core <= 2.0-1vl5)

* Mon Nov 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.0.1-1
- new upstream release
- dropt %%{_bindir}/mono-find-{provides,requires}
- added --with-libgdiplus=installed

* Mon Oct 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-3
- update to mono-2.0 released source
- BR: libgdiplus-devel >= 2.0

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-2vl5
- removed *.la

* Wed Sep 17 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- updated mono to 2.0
- updated url
- changed macro %%monodir to %%mono_dir
- dropt mono-1.1.13.4-selinux-ia64.patch
- dropt mono-1.1.13.4-ppc-threading.patch
- dropt mono-1.2.3-use-monodir.patch

* Tue Aug 26 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.5.1-1vl5
- applied new versioning policy, spec in utf-8
- dropt mono-1.2.5-libdir.patch
- reverted monodir macro to using %%{_prefix}/lib/mono

* Sat Dec 29 2007 Shu KONNO <owa@bg.wakwak.com> 1.2.5.1-0vl2
- updated monodir to %%{_libdir}/mono

* Sat Sep 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.5.1-0vl1
- new upstream release
- splited mono-basic package

* Sat Oct 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.8.1-0vl1
- new upstream release

* Fri May  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.6-0vl1
- new upstream release

* Thu Apr 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.13.4-2vl2
- disabled Patch2 on Vine/ppc environment

* Wed Mar 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.13.4-2vl1
- updated source and sub-packages based on Fedora packages
  * Tue Feb 22 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.6-0vl1
  - new upstream version(mono-1.0.6)
  * Sun Jan 16 2005 Satoshi MACHINO <machino@vinelinux.org> 1.0.5-0vl1
  - new upstream version(mono-1.0.5)
  * Sat Nov 06 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.4-0vl1
  - new upstream version(mono-1.0.4)
	-- changed to use configure 
  * Sun Oct 24 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.2-0vl1
  - rebuild for Vine Linux (based on mono.spec inside src archive)
  - Fixed BuildRequires: gc-devel, libicu-devel
  - add Japanese translation

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com> - 1.1.13.4-2
- rebuild for ppc TLS issue (#184446)

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.4-1
- Update to 1.1.13.4
- Add patch so mono doesn't segfault on PPC SMP machines
- Minor spec cleanup

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-5
- Updated patch from Jakub (1.1.13.2-3 to 1.1.13.2-5 are 
  for bug 182965)

* Tue Feb 28 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-4
- Updated patch from Paolo Molaro <lupus@ximian.com>

* Mon Feb 27 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-3
- Patch from Jakub to make work with SELinux better

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-2
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.13.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-1
- Update to 1.1.13.2

* Fri Jan 13 2006 Alexander Larsson <alexl@redhat.com> - 1.1.13-1
- Update to 1.13
- Add libgdiplus dep to mono-core
- Add s390x to build

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.12.1-1
- Update to 1.1.12.1

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.10-4
- rebuild

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-3
- Disable s390 due to some build failure

* Thu Nov 17 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-2
- Build on s390 and x86-64 now

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 1.1.10-1
- Initial version
