Summary: Distributed version control system
Summary(ja): ʬСƥ
Name: monotone
Version: 0.40
Release: 2%{?_dist_release}
Source0: http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Development
URL: http://monotone.ca/

PreReq: install-info
BuildRequires: zlib-devel texinfo libboost-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
monotone is a free distributed version control system. it provides a simple,
single-file transactional version store, with fully disconnected operation
and an efficient peer-to-peer synchronization protocol. it understands
history-sensitive merging, lightweight branches, integrated code review and
3rd party testing. it uses cryptographic version naming and client-side RSA
certificates. it has good internationalization support, has no external
dependencies, runs on linux, solaris, OSX, windows, and other unixes,
and is licensed under the GNU GPL.

%description -l ja
monotoneϥե꡼ʬСƥǤץñե
ˤСѤ󶡤ƱνȸΨŪʥԥġԥƱ
ץȥξ󶡤ޤ˴Ťޡǽȷ̤ʥ֥ǽ
Ūʥɥӥ塼ȥɥѡƥˤƥȤˤбƤޤ
Ź沽줿С̿̾ˡȥ饤ȥɤRSAǧڤѤƤޤ
ݲ⥵ݡȤLinux, Solaris, OSX, WindowsӤ¾Unixư
饤󥹤GPLǤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
###%configure BOOST_SUFFIX=-gcc41 --enable-static-boost
%configure
%__make

%check
%__make check || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Prepare documents
rm -f figures/*.pdf
rm -f ${RPM_BUILD_ROOT}%{_docdir}/monotone/monotone.html
rmdir ${RPM_BUILD_ROOT}%{_docdir}/monotone

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/monotone.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/monotone.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README README.changesets UPGRADE monotone.html figures
%{_infodir}/*
%{_bindir}/*
%{_localedir}/*/LC_MESSAGES/*.mo

%changelog
* Sat May 17 2008 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.40-2vl5
- rebuild with libboost-devel-1.35.0-1vl5

* Sun Apr 27 2008 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.40-1vl5
- upstream release

* Sun Aug 19 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.36-0vl2
- upstream release
- remove Patch0 (merged in upstream source)
- remove BuildRequires: libboost-filesystem-devel, libboost-test-devel, libboost-program-options-devel

* Fri Jun 15 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.35-0vl2
- upstream release
- change BOOST_SUFFIX from -gcc to -gcc41

* Wed May 2 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.34-0vl2
- upstream release
- remove BuildRequires: libboost-date-time-devel

* Sat Mar 3 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.33-0vl2
- upstream release
- change Source0 and URL
- man page is removed from upstream source
- add %%check scriptlet

* Fri Dec 29 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.32-0vl2
- upstream release
- drop Patch1 (merged into upstream)

* Tue Dec 12 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.31-0vl2
- upstream release
- update Patch1

* Fri Sep 8 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.29-0vl1
- upstream release
- add BuildRequires: libboost-program-options-devel
- add Patch1: monotone-gcc-before3.4-workaround.patch

* Tue Jun 20 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.27-0vl1
- upstream release

* Mon Apr 10 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.26-0vl1
- upstream release
- change Group: Applications/Development

* Sun Feb 5 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.25-0vl1
- upstream release
- add configure option: --enable-static-boost

* Sun Oct 2 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.23-0vl2
- add *.mo files

* Sat Oct 1 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.23-0vl1
- upstream release
- remove --with-bundled-sqlite=no from %%configure
  (currently bundled source is always used)
- remove BuildRequires: sqlite3-devel
- add BuildRequires: texinfo
- add install-info scripts

* Sun Sep 11 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.22-0vl1
- initial release for Vine Linux

* Sat Sep 10 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.22-0vl0.2
- build with libboost-* packages

* Wed Sep 7 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.22-0vl0.1
- upstream release

* Wed Jul 6 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.20-0vl0.1
- upstream release
- comment out configure option, Requires: sqlite3 and
  BuildRequires: sqlite3-devel to use bundled sqlite3 source
  (Local modification is required to complete the build process.
   See Changelog for details)

* Sat Jun 18 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.19-0vl0.3
- remove figures/*.pdf instead of installing figures/*.png

* Sat Jun 18 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.19-0vl0.2
- install documents to %%_docdir

* Sat Jun 18 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.19-0vl0.1
- initial build for Vine Linux
