%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary:	Good Plugins for the Moovida Media Center 
Summary(ja): 	Moovida メディアセンター用 Good プラグイン
Name:		moovida-plugins-good
Version:	1.0.9
Release: 	1%{?_dist_release}
Source0:	http://www.moovida.com/media/public/%{name}-%{version}.tar.gz
Source101:	elisa-plugin-base-ja.po
License:	GPLv3
Group:		Applications/Multimedia
URL:		http://www.moovida.com/

Requires:	python
Requires:	moovida = %{version}
BuildRequires:	python, python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes:	elisa-plugins-good

Packager:	kazutaka

%description
This package contains the good set of plugins for the Moovida 
Media Center, plugins which are considered stable and do not
present any licensing issues.

%description -l ja
このパッケージは Moovida メディアセンター用のプラグインのセットを
含んでいます。ここに含まれるプラグインは安定しており、また特許等
の問題も抱えていません。


%prep

%setup -q -n elisa-plugins-good-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
            --single-version-externally-managed \
            --root ${RPM_BUILD_ROOT}

# remove unnecessary windows plugin
%{__rm} -rf ${RPM_BUILD_ROOT}/%{python_sitelib}/elisa/plugins/winscreensaver
%{__rm} -rf ${RPM_BUILD_ROOT}/%{python_sitelib}/elisa_plugin_winscreensaver-*

# install japanese message catalog
%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/base/i18n/ja/LC_MESSAGES
%{__cp} %{SOURCE101} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/base/i18n/ja.po
msgfmt %{SOURCE101} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/base/i18n/ja/LC_MESSAGES/elisa-plugin-base.mo


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{python_sitelib}/elisa/plugins/base
%{python_sitelib}/elisa/plugins/gnome
%{python_sitelib}/elisa/plugins/hal
%{python_sitelib}/elisa_plugin_*


%changelog
* Sat Dec 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.9-1
- new upstream release

* Sun Nov 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.8-1
- new upstream release
- add japanese translation as Source101 (export from launchpad)

* Fri Sep 18 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.7-1
- new upstream release

* Mon Aug 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.6-1
- new upstream release

* Sat Jun 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.3-1
- new upstream release with new name
- add Obsoletes: elisa-plugins-good

* Fri May 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.37-1
- new upstream release

* Thu Apr 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.36-1
- new upstream release

* Thu Apr 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.35-1
- new upstream release

* Wed Apr 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.34-1
- new upstream release

* Tue Mar 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.32-1
- new upstream release

* Fri Mar 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.31-1
- new upstream release

* Sun Mar 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.29-1
- new upstream release

* Fri Feb 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.28-1
- new upstream release

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.26-1
- new upstream release

* Tue Jan 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.25-1
- new upstream release

* Wed Jan 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.24.1-1
- new upstream release

* Sat Jan 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.23-1
- new upstream release

* Wed Dec 24 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-1
- new upstream release

* Thu Dec 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.20-1
- new upstream release

* Sun Nov 16 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.17-1
- initial build for Vine Linux
