%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary:	Ugly Plugins for the Moovida Media Center 
Summary(ja): 	Moovida メディアセンター用 Ugly プラグイン
Name:		moovida-plugins-ugly
Version:	1.0.9
Release: 	1%{?_dist_release}
Source0:	http://www.moovida.com/media/public/%{name}-%{version}.tar.gz
Source101:	elisa-plugin-flickr-ja.po
Source102:	elisa-plugin-shoutcast-ja.po
Source103:	elisa-plugin-youtube-ja.po
License:	GPLv3
Group:		Applications/Multimedia
URL:		http://www.moovida.com/

Requires:	python
Requires:	moovida = %{version}
BuildRequires:	python, python-devel

# Plugin requirements, in order, only once each
# flickr
Requires:	python-twill, python-twisted-web2
# lirc
Requires:	lirc
# shoutcast
#Requires:	python-twisted-web2
# youtube
#Requires:	python-twisted-web2
#Requires:	gstreamer-plugins-ugly (but it should not depends non-free package...)

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes:	elisa-plugins-ugly

Packager:	kazutaka

%description
This package contains the ugly set of plugins for the Moovida 
Media Center, plugins which are ugly quality but do not
present any licensing issues. 

%description -l ja
このパッケージは Moovida メディアセンター用のプラグインのセットを
含んでいます。ここに含まれるプラグインは品質は悪いですが、特許等
の問題は抱えていません。


%prep

%setup -q -n elisa-plugins-ugly-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
            --single-version-externally-managed \
            --root ${RPM_BUILD_ROOT}
# install japanese message catalog
%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/flickr/i18n/ja/LC_MESSAGES
%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/shoutcast/i18n/ja/LC_MESSAGES
%{__mkdir_p} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/youtube/i18n/ja/LC_MESSAGES

%{__cp} %{SOURCE101} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/flickr/i18n/ja.po
%{__cp} %{SOURCE102} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/shoutcast/i18n/ja.po
%{__cp} %{SOURCE103} ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/youtube/i18n/ja.po

msgfmt %{SOURCE101} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/flickr/i18n/ja/LC_MESSAGES/elisa-plugin-flickr.mo
msgfmt %{SOURCE102} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/shoutcast/i18n/ja/LC_MESSAGES/elisa-plugin-shoutcast.mo
msgfmt %{SOURCE103} -o ${RPM_BUILD_ROOT}%{python_sitelib}/elisa/plugins/youtube/i18n/ja/LC_MESSAGES/elisa-plugin-youtube.mo


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{python_sitelib}/elisa/plugins/flickr/
%{python_sitelib}/elisa/plugins/lirc/
%{python_sitelib}/elisa/plugins/shoutcast/
%{python_sitelib}/elisa/plugins/youtube/
%{python_sitelib}/elisa_plugin_*


%changelog
* Sat Dec 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.9-1
- new upstream release

* Sun Nov 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.8-1
- new upstream release
- add japanese translations as Source101,102 and 103 (export from launchpad)

* Fri Sep 18 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.7-1
- new upstream release

* Mon Aug 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.6-1
- new upstream release

* Sat Jun 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.3-1
- new upstream release with new name
- add Obsoletes: elisa-plugins-ugly

* Fri May 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.37-1
- new upstream release

* Thu Apr 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.36-1
- new upstream release

* Thu Apr 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.35-1
- new upstream release

* Wed Apr 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.34-1
- new upstream release

* Tue Mar 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.32-1
- new upstream release

* Fri Mar 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.31-1
- new upstream release

* Sun Mar 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.29-1
- new upstream release

* Fri Feb 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.28-1
- new upstream release

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.26-1
- new upstream release

* Tue Jan 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.25-1
- new upstream release

* Wed Jan 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.24.1-1
- new upstream release

* Sat Jan 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.23-1
- new upstream release

* Sun Dec 28 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-1
- initial build for Vine Linux

