Summary: 	A graphical project management tool.
Name: 		mrproject
Version: 	0.10
Release:        0vl2
License: 	GPL
Group: 		Applications/Productivity
URL:		http://mrproject.codefactory.se/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib2 >= 2.0.4
Requires:	gtk2 >= 2.0.3
Requires:       libmrproject >= 0.10
Requires:	libgnomecanvas >= 2.0.1
Requires:	libgnomeui >= 2.0.1
Requires:	libglade2 >= 2.0.0
Requires:	libbonoboui >= 2.0.0
Requires:       libgnomeprintui >= 2.2.0
Requires:	gnome-vfs2 >= 2.0.0
Requires:	postgresql
PreReq:         scrollkeeper >= 0.1.4

BuildRequires:	glib2-devel >= 2.0.4
BuildRequires:	gtk2-devel >= 2.0.3
BuildRequires:	libmrproject-devel >= 0.10
BuildRequires:	libgnomecanvas-devel >= 2.0.1 
BuildRequires:	libgnomeui-devel >= 2.0.1
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	intltool
BuildRequires:  postgresql-devel

%description
MrProject is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install MrProject if you wish to manage schedules, allocate
resources, and track the progress of your projects.

%prep
%setup -q

%build

intltoolize
%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall MRP_PLUGINDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/plugins MRP_VIEWDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/views

desktop-file-install --vendor codefactory --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  --add-category Gnome                                      \
  --add-category Office                                     \
  --add-category Application                                \
  $RPM_BUILD_ROOT%{_datadir}/applications/mrproject.desktop

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/mrproject/*.la
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/mrproject/plugins/*.la
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/mrproject/views/*.la


%find_lang %name

%post
scrollkeeper-update &> /dev/null

%postun
scrollkeeper-update &> /dev/null


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/mrproject
%{_libdir}/mrproject
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/mrproject/*
%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/mime-info/*
%{_datadir}/mrproject
%{_datadir}/omf/mrproject/mrproject-C.omf
%{_datadir}/pixmaps/*

%changelog
* Sun Sep 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10-0vl2
- new upstream release

* Sat Jul 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.1-0vl2
- fixed desktop menu

* Mon Jun 30 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.1-0vl1
- rebuild for Vine Linux
- based on Redhat Rawhide 0.9-5 and updated to 0.9.1
- fixed Requires and BuildRequires

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.9-3
- remove extraneous BuildRequires, #84825

* Mon Feb 17 2003 Jonathan Blandford <jrb@redhat.com> 0.9-1
- new version.  Removed desktop patch which made it upstream
- Fix #84002

* Wed Feb  5 2003 Jonathan Blandford <jrb@redhat.com> 0.8-1
- fix desktop file, add BuildRequires

* Mon Jan 27 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Jonathan Blandford <jrb@redhat.com>
- update to new version
- remove .la files, #68343

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- Ungrab cursor

* Wed Aug 21 2002 Jonathan Blandford <jrb@redhat.com>
- clean up summary and description fields

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version

* Mon Aug  5 2002 Jonathan Blandford <jrb@redhat.com>
- Switch Generic Name and Name, as I got this wrong

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Updated to 0.5.92

* Thu Feb 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.5.1-8
- Use %%{_tmppath}
- Move changelog to end of specfile
- langify
- s/Copyright/License/
- Lose Vendor tag
- Lose evil macros before tags 
- Don't specify a wrong docdir


* Thu Feb 28 2002 Jonathan Blandford <jrb@redhat.com>
- Change Group to be a real one.
- add changelog
