Summary: A multi-threaded implementation of Apple's DAAP server
Name: mt-daapd
Version: 0.2.4.2
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Daemons
URL: http://www.mt-daapd.org/
Source0: %{name}-%{version}.tar.gz
Patch0: mt-daapd-0.2.4.2-cp932.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libid3tag-devel gdbm-devel libogg-devel libvorbis-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
A multi-threaded implementation of Apple's DAAP server, mt-daapd
allows a Linux machine to advertise MP3 files to to used by 
Windows or Mac iTunes clients.  This version uses Apple's ASPL Rendezvous
daemon.

%prep
%setup -q
%patch0 -p1

%build
#configure --enable-howl --with-howl-includes=%{_includedir}/avahi-compat-howl
%configure --enable-oggvorbis

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/cache/mt-daapd
cp contrib/mt-daapd $RPM_BUILD_ROOT/etc/rc.d/init.d
cp contrib/mt-daapd.conf $RPM_BUILD_ROOT/etc
cp contrib/mt-daapd.playlist $RPM_BUILD_ROOT/etc

%post
/sbin/chkconfig --add mt-daapd

%preun
if [ $1 = 0 ]; then
    /sbin/service mt-daapd stop > /dev/null 2>&1
    /sbin/chkconfig --del mt-daapd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README
%config /etc/mt-daapd.conf
%config /etc/mt-daapd.playlist
/etc/rc.d/init.d/mt-daapd
%{_datadir}/mt-daapd
/usr/sbin/mt-daapd
/var/cache/mt-daapd

%changelog
* Sun May 02 2010 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4.2-1
- upstream release
- adjust Patch0
- add Vendor and Distribution

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.4-2vl5
- applied new versioning policy

* Tue Nov 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.4-1vl2
- replaced Patch0 from http://www.kzsoft.to/~kazu/mt-daapd/
- disabled avahi
- enabled ogg, vorbis

* Sat May  6 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.4-1vl1
- Initial build for Vine Linux
- added Patch0 from http://ouchi.nahi.to/~kaidempa/mt-daapd/
- used avahi (instead of howl) 

* Tue Jan 18 2005 ron <ron@pedde.com>
- Update to 0.2.1, add oggvorbis

* Tue Jun 01 2004 ron <ron@pedde.com>
- Update to 0.2.0

* Mon Apr 06 2004 ron <ron@pedde.com>
- Update to 0.2.0-pre1
- Add /var/cache/mt-daapd

* Thu Jan 29 2004 ron <ron@pedde.com>
- Update to 0.1.1

* Fri Nov 14 2003 root <root@hafnium.corbey.com> 
- Initial build.


