Summary: Install mt-st if you need a tool to control tape drives.
Summary(ja): テープドライブを使うためのツール
Name: mt-st
Version: 1.1
Release: 1%{?_dist_release}
License: BSD
Group: Applications/System
Source: ftp://metalab.unc.edu/pub/Linux/system/backup/mt-st-%{version}.tar.gz
Patch0: mt-st-0.6-redhat.patch
Patch1: mt-st-0.7-SDLT220.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
The mt-st package contains the mt and st tape drive management
programs. Mt (for magnetic tape drives) and st (for SCSI tape devices)
can control rewinding, ejecting, skipping files and blocks and more.

Install mt-st if you need a tool to  manage tape drives.

%description -l ja
mt-st パッケージは、テープドライブを使うためのプログラム mt と st が
はいってます. 磁気テープデバイスには Mt, SCSI テープデバイスには st
を使います。テープの巻き戻し、ファイルやブロックのスキップ、テープの
取り出しなどができます。

テープドライブを操作するツールが必要でしたら、mt-st をインストールし
てください.

%prep
%setup -q
#%patch0 -p1 -b .redhat
#%patch1 -p1 -b .sdlt220

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
rm -rf ${RPM_BUILD_ROOT}
install -d $RPM_BUILD_ROOT/bin
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT/%{_mandir}
make install \
	BINDIR=$RPM_BUILD_ROOT/bin \
	SBINDIR=$RPM_BUILD_ROOT/sbin \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING README README.stinit stinit.def.examples
/bin/mt
/sbin/stinit
#%{_mandir}/man1/*
#%{_mandir}/man8/*

%changelog 
* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-1vl5
- updated mt-st to 1.1
- applied new versioning policy, spec in utf-8

* Wed Mar 27 2002 Jun Nishii <jun@vinelinux.org> 0.7-3vl1
- added Japanese summary and description

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.7-3
- rebuild

* Wed Feb 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.7-2
- Add density code 0x48 for Quantum SDLT220 tape drive (#59442)

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.7-1
- Update to 0.7

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 24 2001 Than Ngo <than@redhat.com>
- update to 0.6, supports all ioctls up to kernel 2.4.0

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sat Apr 15 2000 Jeff Johnson <jbj@redhat.com>
- permit leading whitespace in config file.
- cortrect spelling error.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for Red Hat 6.2.

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- enable "datcompression" command (#3654).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- upgrade to .5b, which fixes some cmd. line arg issues (bugzilla #18)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- package for 5.2.

* Sun Jul 19 1998 Andrea Borgia <borgia@cs.unibo.it>
- updated to version 0.5
- removed the touch to force the build: no binaries are included!
- added to the docs: README.stinit, stinit.def.examples
- made buildroot capable

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
