Summary: Programs for accessing MS-DOS disks without mounting the disks.
Summary(ja): mount せずに MS-DOS disk にアクセスするためのプログラム
Name: mtools
Version: 4.0.10
Release: 2%{?_dist_release}
License: GPL
Group: Applications/System
Source: http://mtools.linux.lu/mtools-%{version}.tar.bz2
URL: http://mtools.linux.lu/
Buildroot: %{_tmppath}/mtools-%{version}-root
Patch0: mtools-3.9.6-config.patch
Patch3: mtools-3.9.7-bigdisk.patch
Patch4: mtools-3.9.9-noargs.patch
PreReq: install-info

BuildRequires: texinfo

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%description -l ja
mtool は MS-DOS ファイルにアクセスするためのユーティリティの集合体
です。mtools は MS-DOS ファイルシステム(通常は MS-DOS ディスク)にお
いて、読み出し、書きこみ、移動をすることができます。Windows95 の長
いファイル名、OS/2 の XDF ディスク、2m ディスクをサポートします。

MS-DOS ディスクを使う必要があるならインストールしてください。

%prep
%setup -q
%patch0 -p1 -b .config
%patch3 -p1 -b .big
%patch4 -p1 -b .nooargs

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/%{_infodir}
%makeinstall
install -m644 mtools.conf $RPM_BUILD_ROOT/etc
gzip -9f $RPM_BUILD_ROOT/%{_infodir}/*

# We aren't shipping this.
find $RPM_BUILD_ROOT -name "floppyd*" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/mtools.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mtools.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%config /etc/mtools.conf
%doc COPYING Changelog README Release.notes
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 4.0.10-2
- rebuilt with rpm-4.8.1-3

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.10-1
- new upstream release
- spec in utf-8

* Tue May 13 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.9.11-1
- new upstream release
- apply new versioning policy

* Sat Sep 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.9.10-0vl1
- new upstream release

* Sun Jan  4 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.9.9-6vl1
- based on Fedora 3.9.9-6
  * Tue Dec  9 2003 Tim Waugh <twaugh@redhat.com> 3.9.9-5
  - Fix mistaken variable assignment in comparison (bug #110823).
  * Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com>
  - Build requires texinfo (bug #111000).
  * Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.9.7-6
  - Fix support for disks > 1.44 MB (#40857)
- s/Copyright/License/
- rebuild with new toolchains

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.9.7-5vl2
- rebuild to remove bad requires (rpmlib)

* Sun May 27 2001 <sagami@vinelinux.org>
- 3.9.7-5vl1: added Japanese summary and description

* Tue May  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.9.7-5
- Update to 20010507

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply the author's current patches, fixes among other things
  ZIP drive support and doesn't crash when trying to access a BSD disk

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Trond Eivind Glomsrod <teg@redhat.com>
- specify ownership

* Wed Jun 07 2000 Trond Eivind Glomsrナ <teg@redhat.com>
- Version 3.9.7
- use %%{_mandir}, %%{_makeinstall}, %%configure, %%makeinstall
  and %%{_tmppath}

* Wed Feb 09 2000 Cristian Gafton <gafton@redhat.com>
- get rid of mtools.texi as a doc file (we have the info file)
- fix config file so mtools work (#9264)
- fix references to the config file to be /etc/mtools.conf

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- expunge floppyd

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description
- version 3.9.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- patch to make the texi sources compile
- fix the spec file group and description
- fixed floppy drive sizes

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- fixed invalid SAMPLE_FILE configuration file

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.
- Updated Source to 3.9.1.
- Cleaned up spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.8

* Tue Oct 21 1997 Otto Hammersmith
- changed buildroot to /var/tmp, rather than /tmp
- use install-info

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed sysconfdir to be /etc

* Mon Apr 14 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.6
