%define jfversion 20090320
%define _docdir %{_defaultdocdir}

Summary: Data base file of JF documents for namazu.
Summary(ja): namazuでJFの全文検索するためのdata baseです
Name: namazu_JFdb
Version: %{jfversion}
Release: 1%{?_dist_release}
License: distributable
Group: Applications/Documentation
Requires: namazu >= 2.0.6, JF >= %{jfversion}
BuildRequires: namazu >= 2.0.6, JF >= %{jfversion}
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
Data base file of JF documents for namazu.

%description -l ja
namazuで日本語文書(JF)の全文検索をするためのdata baseです.
%{_docdir}/JF 以下におかれているドキュメント類をデータベース化し
ています。(DBは mknmz -auH %{_docdir}/JF/ で作成しています)

%install
rm -rf %{buildroot}
NMZDBDIR=%{buildroot}%{_datadir}/namazu/index
mkdir -p ${NMZDBDIR}/JF

cd ${NMZDBDIR}/JF
mknmz -auH --indexing-lang=ja_JP.eucJP %{_docdir}/JF/ | tee log
tail -14 log >mknmz.log
rm -f NMZ.slog NMZ*.ja NMZ*.en

ln -s ../NMZ.body.ja .
ln -s ../NMZ.foot.ja .
ln -s ../NMZ.head.ja .
cd -

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/namazu/index/JF/NMZ*
%{_datadir}/namazu/index/JF/mknmz.log

%changelog
* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 20090320-1
- as of 20090320
- spec in utf-8

* Sun May 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20080415-1
- as of 20080415

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20070728-0vl1
- as of 20070728

* Fri Sep 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20060910-0vl1
- as of 20060910
- changed Group to Applications/Documentation

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20060412-0vl1
- as of 20060412
- changed Group

* Wed Sep 14 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20050910-0vl1
- as of 20050910

* Thu Dec 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20041213-0vl1
- as of 20041213

* Sat Sep 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20040924-0vl1
- as of 20040924

* Sat Mar 20 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20040316-0vl1
- as of 20040316

* Wed Sep 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20030914-0vl1
- as of 20030914

* Wed Apr 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20030415-0vl1
- as of 20030415

* Tue Feb 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20030216-0vl1
- as of 20030216

* Sun Sep 22 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 20020905-0vl1
- as of 20020905

* Tue Jan 15 2002 Toru Sagami <sagami@vinelinux.org> 20020115-0vl1
- as of 20020115

* Mon Nov 19 2001 Toru Sagami <sagami@vinelinux.org>
- 20011115-0vl1

* Fri Aug 17 2001 <sagami@vinelinux.org>
- 20010815-0vl1: introduced %%{_docdir} definition
- add --indexing-lang for mknmz, which is newly supported by namazu-2.0.6

* Sun Jul 15 2001 <sagami@vinelinux.org>
- 20010715-0vl1

* Sun May 27 2001 Yasuhide OMORI <dasen@icntv.ne.jp>
- 20010527-0vl1

* Wed Apr 18 2001 sagami@vinelinux.org
- 20010415-0vl1
- mknmz -auH

* Mon Dec 25 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 20001225-0vl1
- changed to be src.rpm from nosrc.rpm actually without source

* Mon Sep  4 2000 Jun Nishii <jun@vinelinux.org>
- 20000831-0vl1

* Wed Jun 28 2000 Jun Nishii <jun@vinelinux.org>
- 20000509-0vl2
- build by namazu2

* Wed May 10 2000 Toru Sagami <czs14350@nifty.ne.jp>
- 20000509-0vl1
- fixed Buildroot, Distribution, added BuildPreReq

* Mon Mar  6 2000 Yasuhide OOMORI <baoying@flatout.org>
- [namazu_JFdb-20000306-1]
- updated for JF-20000306.

* Thu Jan 27 2000 Yasuhide OOMORI <baoying@flatout.org>
- [namazu_JFdb-20000125-1]
- updated for JF-20000125.

* Wed Sep 22 1999 Jun Nishii <jun@vinelinux.org>
- updated for JF-199909
- added %defattr

* Sat Aug 21 1999 Jun Nishii <jun@vinelinux.org>
- updated for JF-199907

* Fri Apr 23 1999 Jun Nishii <jun@vinelinux.org>
- user mknmz -auRH instead of -auKRH

* Tue Feb 15 1999 Jun Nishii <jun@vinelinux.org>
- updated for JF-199902

* Tue Feb 2 1999 Jun Nishii <jun@vinelinux.org>
- updated for JF-199901
- modify requires; using JF >= version insteadof "="
  to avoid update problem

* Fri Jan 15 1999 Jun Nishii <jun@vinelinux.org>
- include phrase search db
- nosrc
