%define rel 20081015
%define idir %{_datadir}/namazu/index
%define jmdir %{_datadir}/jman

Summary: Data base file of Japanese Manuals for namazu.
Summary(ja): namazu で jman, xjman の全文検索するためのデータベース
Name: namazu_JMANdb
Version: 05x04
Release: %{rel}%{?_dist_release}
License: distributable
Group: Applications/Documentation
Requires: namazu >= 2.0, jman_pages >= 0.5-%{rel}
BuildRequires: namazu >= 2.0, jman_pages >= 0.5-%{rel}
BuildRequires: nkf
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Data base file of Japanese manuals pages for namazu.

%description -l ja
namazuで日本語マニュアル(JMAN,XJMANプロジェクトによる翻訳マニュアル)
全文検索をするためのdata baseです. (DBは mknmz -auH で作成してます)

%install
rm -rf %{buildroot}
NMZDBDIR=%{buildroot}%{idir}/
mkdir -p ${NMZDBDIR}/JMAN

FLIST=%{_tmppath}/%{name}.list
find %{jmdir} -type f | \
    grep -v %{jmdir}/whatis > $FLIST
#find /usr/X11R6/man/ja/ -type f >> $FLIST

cd ${NMZDBDIR}/JMAN
mknmz -auH  --indexing-lang=ja_JP.eucJP -F $FLIST | tee log
tail -14 log | nkf -w > mknmz.log
rm -f NMZ.slog NMZ*.ja NMZ*.en

ln -s ../NMZ.body.ja .
ln -s ../NMZ.foot.ja .
ln -s ../NMZ.head.ja .
cd -

rm $FLIST

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{idir}/JMAN/NMZ*
%{idir}/JMAN/mknmz.log

%changelog
* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20081015vl5
- Source as of 20081015

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 05x04-20080315vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20080315vl1
- Source as of 20080315

* Fri Aug 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20070815vl1
- Source as of 20070815

* Thu Oct 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20061015vl1
- Source as of 20061015

* Wed Jul 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20060715vl1
- Source as of 20060715
- changed Group to Applications/Documentation

* Mon Jan 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20060115vl1
- Source as of 20060115
- changed Group:

* Mon Sep 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20050915vl1
- Source as of 20050915

* Fri Jun 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20050615vl1
- Source as of 20050615

* Wed Feb 16 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20050215vl1
- Source as of 20050215

* Wed Sep 22 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20040915vl1
- Source as of 20040915

* Wed Jun 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20040615vl1
- Source as of 20040615

* Wed May 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20040415vl1
- Source as of 20040415
- rebuild with namazu-2.0.13

* Sun Dec 21 2003 IWAI, Masaharu <iwai@alib.jp> 05x04-20031215vl1
- Source as of 20031215

* Wed Oct 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20031015vl1
- Source as of 20031015

* Wed Apr 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20030415vl1
- as of 20030415

* Tue Feb 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20030217vl1
- as of 20030217

* Sun Sep 22 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 05x04-20020915vl1
- as of 20020915

* Tue Jan 15 2002 Toru Sagami <sagami@vinelinux.org> 05x04-20020115vl1
- as of 20020115

* Mon Nov 19 2001 Toru Sagami <sagami@vinelinux.org>
- 05x04-20011115vl1

* Sat Aug 18 2001 <sagami@vinelinux.org>
- 05x04-20010815vl1

* Mon Jul 16 2001 <sagami@vinelinux.org>
- 05x04-20010715vl1
- use %%{_tmppath} for FLIST directory

* Wed Apr 18 2001 sagami@vinelinux.org
- 05x04-20010415vl1
- changed to be src.rpm from nosrc.rpm actually without any source
- mknmz -auH
- note: silent BuildPreReq: XFree86, XFree86-{3DLabs,8514,AGX,I128,Mach32,Mach64,Mach8,Mono,P9000,S3,S3V,SVGA,VGA16,W32,XF86Setup,Xnest,Xvfb,devel,xfs} 

* Fri Sep  8 2000 Jun Nishii <jun@vinelinux.org>
- 05x04-20000815vl1
- build for jman_pages-0.5-20000815vl1 by namazu2

* Wed Jun 28 2000 Jun Nishii <jun@vinelinux.org>
- build for jman_pages-0.5-20000415.1 by namazu2

* Tue Mar 14 2000 Jun Nishii <jun@vinelinux.org>
- rebuild with /usr/X11R6/man/ja/

* Mon Dec 20 1999 Yasuhide OOMORI <baoying@flatout.org>
- build for jman_pages-0.5-19991215.1

* Fri Nov 12 1999 Jun Nishii <jun@flatout.org>
- build for jman_pages-0.5 and xjman in XFree86

* Tue Sep 28 1999 Jun Nishii <jun@flatout.org>
- added %defattr

* Sat Aug 21 1999 Jun Nishii <jun@flatout.org>
- build for jman_pages-0.4x0.3.1

* Fri Apr 23 1999 Jun Nishii <jun@flatout.org>
- use mknmz -rRH instead of -rKRH

* Fri Mar 5 1999 Jun Nishii <jun@flatout.org>
- rebuild to adapt updated jman_pages

* Wed Feb 3 1999 Jun Nishii <jun@flatout.org>
- modify requires; using jman_pages >= version insteadof "="
  to avoid update problem

* Fri Jan 15 1999 Jun Nishii <jun@flatout.org>
- include phrase search db
- nosrc

* Sat Jan 2 1999 Jun Nishii <jun@flatout.org>
- build for jman-0.4 and xjman-0.2
