%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}

%define pkg_version 2.31.1
%define pkg_release 2%{?_dist_release}

Summary:	An easy way to control what your kids are doing in the computer.
Summary(ja):	子どもがコンピュータ上で操作できる内容を簡単に制限する
Name:		nanny
Version:	%{pkg_version}
Release:	%{pkg_release}

Source0:	%{name}-%{version}.tar.bz2
Source1:	initd.nanny

Patch0:		nanny-fix-admin-console-desktop.patch

License:	GPL2
Group:		Applications/System 
URL:		http://projects.gnome.org/nanny/ 

Requires:	python >= 2.6
Requires:	gnome-python-libgtop2
Requires:	python-hachoir-regex
Requires:	python-imaging
Requires:	python-twisted

BuildRequires:	python-devel >= 2.6
BuildRequires:	glib2-devel >= 2.16.0
BuildRequires:	gtk2-devel >= 2.17.4
BuildRequires:	gnome-desktop-devel >= 2.26.0
BuildRequires:	GConf2-devel >= 2.16.0
BuildRequires:	cairo-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	dbus-python-devel
BuildRequires:	glade3-devel
BuildRequires:	libgtop2-devel
BuildRequires:	pango-devel
BuildRequires:	pygtk2-devel

BuildRequires:	python-twisted
BuildRequires:	python-imaging
BuildRequires:	python-hachoir-regex
BuildRequires:	gnome-python-libgtop2
BuildRequires:	gnome-doc-utils >= 0.3.2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Gnome Nanny is an easy way to control what your kids are doing in the computer.
You can limit how much time a day each one of them is browsing the web, chatting
or doing email. You can also decide at which times of the day the can do this
things. Gnome Nanny filters what web pages are seen by each user, so you can block
all undesirable webs and have your kids enjoy the internet with ease of mind,
no more worries!

%prep
%setup -q
%patch0


%build
%configure --with-init-scripts=redhat
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/nanny

%find_lang %{name} --with-gnome


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
touch --no-create %{_datadir}/icons/hicolor & > /dev/null
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database -q & > /dev/null || :
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor & > /dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor & > /dev/null
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%config %{_sysconfdir}/dbus-1/system.d/nanny-daemon.conf
%{_sysconfdir}/%{name}/applists/*
%{_sysconfdir}/rc.d/init.d/nanny
%{_sysconfdir}/xdg/autostart/nanny-systray.desktop
%{_bindir}/nanny-systray
%{python_sitelib}/%{name}/*
%{_sbindir}/nanny-admin-console
%{_sbindir}/nanny-desktop-blocker
%{_datadir}/applications/nanny-admin-console.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}/*
%{_datadir}/polkit-1/actions/org.gnome.nanny.policy


%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.1-2
- rebuild with python-2.7.2

* Sat Aug 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.31.1-1
- initial build for Vine Linux

