Summary: cd burning extensions for Nautilus
Summary(ja): Nautilus の CD burner 拡張
Name: nautilus-cd-burner
Version: 2.25.3
Release: 1%{?_dist_release}
License: LGPL/GPL
Group: User Interface/Desktops
Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post,pre,preun): GConf2
Requires(post,postun): gtk2
BuildRequires: nautilus-devel >= 2.26.0
BuildRequires: gnome-vfs2-devel >= 2.24.0
BuildRequires: gnome-mount-devel
BuildRequires: hal-devel >= 0.5.9
BuildRequires: dbus-devel >= 1.0
BuildRequires: eel2-devel >= 2.24.0
BuildRequires: libgnome-devel >= 2.26.0

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%prep
%setup -q

%build
%configure --enable-hal --enable-gnome-mount
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.*a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.*a
#rm $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmapping.*a
#rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas > /dev/null

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/nautilus-cd-burner
%{_libdir}/nautilus/extensions-2.0/*.so*
%{_libdir}/lib*.so*
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.25.3-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- rebuild with nautilus 2.26.0

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Dec 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.1-0vl2
- s/ncb.schemas/nautilus-cd-burner.schemas/ in %%post

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Wed Oct 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.14.3-0vl2
- add BuildRequires: eel2-devel >= 2.13.3

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Sat Apr 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0.2-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Jul 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.2-0vl1
- new upstream version
- fixed Group
- fixed description
- removed --enable-hal=no option (error in configure)

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.5-0vl1
- new upstream release

* Wed Nov 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.3-0vl1
- new upstream release

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.3-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl1
- new upstream release

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.3-0vl1
- new upstream release

* Thu Apr  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- new upstream release

* Tue Jan 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.1-0vl1
- new upstream release

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-0vl1
- initial build

