Summary: A Nautilus media package with views and thumbnailers.
Name: nautilus-media
Version: 0.8.1
Release: 0vl1
Group: User Interface/Desktop
License: LGPL
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: 	gstreamer >= 0.6.0
Requires: 	gstreamer-plugins >= 0.6.0

BuildRequires:	gstreamer-devel >= 0.6.0
BuildRequires:	gstreamer-plugins-devel >= 0.6.0
BuildRequires:	nautilus >= 2.2.0
BuildRequires:	eel2-devel

# gstreamer-plugins is currently excluding ia64, so we do too
ExcludeArch: ia64

%description
This package contains a Nautilus view for audio using GStreamer.

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#remove unwanted packages
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la

%find_lang %name


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gst-thumbnail.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/gst-thumbnail
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo/*.so
%{_libexecdir}/nautilus-audio-view
%{_datadir}/pixmaps/nautilus-media
%{_datadir}/gnome-2.0/ui/nautilus-audio-view-ui.xml
%{_datadir}/nautilus/glade/audio-properties-view.glade
%{_sysconfdir}/gconf/schemas/*


%changelog
* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.1-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.1-0vl1
- new upstream release
- build with gstreamer-0.6.0
- import rawhide patch

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-0vl1
- new upstream release

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.2-0vl1
- new upstream release
- initial build for Vine Linux

* Tue Dec 17 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-5
- rebuild with new gstreamer

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-4
- Excludearch ia64 since it has no gstreamer-plugins yet

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-3
- Buildreq gstreamer-plugins-devel. Revert last change.

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-2
- Don't require gstreamer-libs. That doesn't seem to exist

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-1
- Update to 0.1.0

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com>
- Initial package

