Summary:        Nautilus Open Terminal
Name:           nautilus-open-terminal
Version:        0.19
Release:        1%{?_dist_release}
URL:            http://ftp.gnome.org/pub/GNOME/sources/nautilus-open-terminal/
Group:          User Interface/Desktops
License:       GPLv2+

Source:         %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  gnome-desktop3-devel, gnutls-devel, intltool, libglade2-devel
BuildRequires:	libgnomeprintui-devel, libwnck-devel, gnome-vfs2-devel, perl-XML-Parser
BuildRequires:	libtool automake autoconf gettext nautilus-devel

Requires: nautilus

%description
Nautilus extension that allows you to open a terminal in arbitrary
local folders.

%description -l ja
任意のローカルフォルダでターミナルエミュレータを開くための
Nautilus 拡張です。


%prep
%setup -q
#libtoolize --force --copy

%build
#autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS"

%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-3.0/*.{l,}a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 \
	    --makefile-install-rule \
	    %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_libdir}/nautilus/extensions-3.0/*.so


%changelog
* Sat Oct 15 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.19-1
- new upstream release
- changed BuildRequires: gnome-desktop-devel to gnome-desktop3-devel

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-3
- rebuilt with new environment

* Sun Feb 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-2
- rebuilt with python-2.6.4
- disabled libtoolize, autoreconf

* Thu Jan 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.18-1
- Updated to version 0.18

* Wed Aug 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.17-1
- Updated to version 0.17

* Tue Aug 4 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.16-1
- Updated to version 0.16
- dropt Patch0,1

* Thu Jul 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.13-2
- added Patch0,1 (import fedora)
- changed BuildRequires: nautilus to Requires: nautilus
- aded %post section

* Mon May 25 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.13-1
- Updated to version 0.13
- dropt all patch
- changed URL
- added BuildRequires:  gnome-vfs2-devel

* Tue Apr 14 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9-1
- Updated to version 0.9
- dropt all patch
- spec in UTF-8
- applied new versioning policy
- added Patch0,1 (import Fedora package)
- added BuildRequires:	libtool automake autoconf gettext nautilus-devel
- fixed License tag
- fixed BuildRoot

* Sat Jun 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- initial build for Vine Linux based on opensuse package

* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.6.
* Thu Aug 11 2005 - sbrabec@suse.cz
- New SuSE package (#103995, #99703).
