%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')
%define extver		beta1.2
%define srcextver	beta1-2

Summary:	Integrated Subversion support for Nautilus
Summary(ja): 	Subversion サポートを Nautilus に追加する拡張
Name:		nautilussvn
Version:	0.12
Release: 	3.%{extver}%{?_dist_release}
Source0:	%{name}_%{version}-%{srcextver}.tar.gz
Source1:	nautilussvn-ja.po
License:	GPL
Group:		Development/Tools
URL:		http://code.google.com/p/nautilussvn/

Requires:	nautilus, pygtk2,  python-configobj
Requires:	pygobject, glade2, pygtk2-libglade
Requires:	subversion, pysvn
Requires:	nautilus-python    
BuildRequires:	python-devel, gettext
Requires(post): gtk2
Requires(postun): gtk2
BuildArch:	noarch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
An extension to Nautilus to allow better integration with 
the Subversion source control system.

%description -l ja
Nautilus に Subversion バージョン管理システムとの統合機能を
追加する拡張です。


%prep
%setup -q

%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}

# install japanese message catalog
%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES
msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/NautilusSvn.mo


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/
%{_bindir}/nautilussvn
%{_libdir}/nautilus/extensions-2.0/python/NautilusSvn.py
%{_libdir}/python%{pyver}/site-packages/
%{_datadir}/icons/hicolor/scalable/actions/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/emblems/
%{_datadir}/locale/
# only usefull for ubuntu (and debian??)
%exclude %{_datadir}/nautilussvn/do-nautilussvn-restart-nautilus
%exclude %{_datadir}/nautilussvn/nautilussvn-restart-required.update-notifier


%changelog
* Fri Jun 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-3.beta1.2
- update japanese translation

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-2.beta1.2
- add japanese translation as Source1
- add BuildRequires: gettext

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.12-1.beta1.2
- initial build for Vine Linux
