%define For_Vine 1
%define	sversion 0.15.1
%define	srelease 1
Name: neXtaw
Version: %{sversion}
Source0: http://siag.nu/pub/neXtaw/neXtaw-%{sversion}.tar.gz
# Patch0: neXtaw-0.11.glibc22x.time.h
License: distributable
Packager: Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
Group: System Environment/Libraries
Summary: N*XTStep-ish replacement library for Xaw
Summary(ja): N*XTライクなAthenaウィジェット
URL: http://www.siag.nu/neXtaw/
Icon: AFstep.gif
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

%if %{For_Vine}
Release: %{srelease}%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
%else
Release: %{srelease}
%endif

# NoSource: 0

%description
neXtaw is a modified version of the Athena Widgets with a N*XTStep look. Goes
great with a nice tall glass of Afterstep! 
This RPM contains the shared libraries.

%description -l ja
Athenaウィジェットを使ったアプリケーションの外観をN*XTSTEPのように変えます。
利用するには、プログラムを修正してneXtawのライブラリを明示的にリンクし、
/usr/doc/neXtaw-*/Xdefaults を各自の ~/.Xdefaults あるいは ~/.Xresources に
追加する必要があります。
このパッケージには、shared library が納められています。

%package devel
Summary: Files for developing programs that use neXtaw
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
neXtaw is a modified version of the Athena Widgets with a N*XTStep look.
This RPM contains all of the fun things that you'll need to compile things
with neXtaw.

%description devel -l ja
Athenaウィジェットを使ったアプリケーションの外観をN*XTSTEPのように変えます。
このパッケージには、neXtaw を用いたプログラムのコンパイルに必要なファイル
群が納められています。

%prep
%setup -q
# %patch0 -p1

%build
if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
    fi
    if [ $NRPROC -gt 1 ] ; then
	NRPROC=2
    fi
else
    NRPROC=1
fi

CFLAGS=${RPM_OPT_FLAGS} ./configure \
	--prefix=%{prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}

make -j $NRPROC MAKE="make -j $NRPROC" 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
ln -s ./X11/neXtaw $RPM_BUILD_ROOT%{prefix}/include/neXtaw

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/README.XAW3D doc/CHANGES doc/FAQ  doc/TODO doc/app-defaults
%{prefix}/%{_lib}/libneXtaw.so*

%files devel
%defattr(-,root,root)
%{prefix}/%{_lib}/libneXtaw.a
#%{prefix}/lib/libneXtaw.la
%{prefix}/include/neXtaw
%{prefix}/include/X11/neXtaw/

%changelog
* Wed Oct 08 2008 Shu KONNO <owa@bg.wakwak.com> 0.15.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la
- modified library-path

* Sun Nov 19 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.15.1-0vl1
- build for VinePlus 4.0

* Sat Nov 11 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.15.1-0vl0.32
- new upstream release
- build for VinePlus 3.2

* Sun Aug 03 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.14-0vl4
- rebuild for VineSeed Plus

* Sun Jun 22 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.14-0vl3
- fix typo in changelog

* Sun Jun 22 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.14-0vl2
- fix typo in changelog
- remove rpm macros (distribution, vender) from build env
- add Vendor, Distribution tags for VinePlus

* Fri Apr 12 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.14-0vl1
- update source
* Fri May 03 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.12-0vl1 / 0.12-1
- update source
- remove patch (neXtaw-0.11.glibc22x.time.h)
* Mon Feb 11 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.11-0vl1 / 0.11-1
- update source
- update patch (neXtaw-0.11.glibc22x.time.h)
- update URL
- remove neXtaw-neXtclock package
* Tue Jan 01 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.9-0vl4 / 0.9-4
- enable neXtaw.glibc22x.time.h patch for glibc 2.2.x
* Sun Nov 25 2001 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.9-0vl3 / 0.9-3
- add switch For VineLinux
* Wed Nov 14 2001 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.9-0vl2
- fix files list
* Wed Nov 14 2001 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.9-0vl1
- This package based neXtaw-0.9-8k.nosrc.rpm (Kondara)

