Summary:        Libraries for the Unidata network Common Data Form
Name:           netcdf
Version:        4.0.1
Release:        1%{?_dist_release}
Source0:	ftp://ftp.unidata.ucar.edu/pub/netcdf/%{name}-%{version}.tar.gz
Group:          Applications/Engineering
License:        NetCDF
URL:            http://my.unidata.ucar.edu/content/software/netcdf/index.html

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
#BuildRequires:  gcc-g77
BuildRequires:  gcc-gfortran

%description
NetCDF (network Common Data Form) is an interface for
array-oriented data access and a freely-distributed collection of
software libraries for C, Fortran, C++, and perl that provides an
implementation of the interface.  The NetCDF library also defines a
machine-independent format for representing scientific data. Together,
the interface, library, and format support the creation, access, and
sharing of scientific data. The NetCDF software was developed at the
Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing: A NetCDF file includes information about the
     data it contains.

   o Network-transparent:  A NetCDF file is represented in a form that
     can be accessed by computers with different ways of storing
     integers, characters, and floating-point numbers.

   o Direct-access:  A small subset of a large dataset may be accessed
     efficiently, without first reading through all the preceding
     data.

   o Appendable:  Data can be appended to a NetCDF dataset along one
     dimension without copying the dataset or redefining its
     structure. The structure of a NetCDF dataset can be changed,
     though this sometimes causes the dataset to be copied.

   o Sharable:  One writer and multiple readers may simultaneously
     access the same NetCDF file.

%package devel
Summary:        Development files for netcdf
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the netCDF header files, libs, and man
pages.


%prep
%setup -q -n %{name}-%{version}


%build
#cd src
%configure --enable-shared
%__make

%post
/sbin/install-info /%{_infodir}/%{name}.info.gz /%{_infodir}/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete /%{_infodir}/%{name}.info.gz /%{_infodir}/dir
fi


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/netcdf
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}
#cd src
%makeinstall INCDIR=${RPM_BUILD_ROOT}%{_includedir}/netcdf \
  LIBDIR=${RPM_BUILD_ROOT}%{_libdir} \
  MANDIR=${RPM_BUILD_ROOT}%{_mandir}

# Remove unpackaged files
rm ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm ${RPM_BUILD_ROOT}%{_infodir}/dir

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYRIGHT README
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_infodir}/*.info*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Mon Jan 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.0.1-1
- new upstream release

* Sun Oct  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6.0.p1-1
- new versioning policy

* Sat Aug 25 2007 Shu KONNO <owa@bg.wakwak.com> 3.6.0.p1-0vl2
- changed BuildRequires gcc-g77 to gcc-gfortran

* Fri Oct 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.0.p1-0vl1
- initial build for Vine Linux
