Name:           nettle
Version:        2.4
Release:        1%{?_dist_release}
Summary:        A low-level cryptographic library
Summary(ja):     低レベル暗号化ライブラリ

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.lysator.liu.se/~nisse/nettle/
Source0:        http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gmp-devel
BuildRequires:  m4

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Vendor:		Project Vine
Distribution:	Vine Linux

%package devel
Summary:        Development headers for a low-level cryptographic library
Summary(ja):     低レベル暗号化ライブラリの開発ヘッダ
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

#%package static
#Summary:        Static libraries for a low-level cryptographic library
#Group:          Development/Libraries
#Requires:       %{name}-devel = %{version}-%{release}

%description
Nettle is a cryptographic library that is designed to fit easily in more
or less any context: In crypto toolkits for object-oriented languages
(C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in
kernel space.

%description devel
Nettle is a cryptographic library that is designed to fit easily in more
or less any context: In crypto toolkits for object-oriented languages
(C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in
kernel space.  This package contains kernel headers.

#%description static
#Nettle is a cryptographic library that is designed to fit easily in more
#or less any context: In crypto toolkits for object-oriented languages
#(C++, Python, Pike, ...), in applications like LSH or GNUPG, or even in
#kernel space.  This package contains a static library.


%prep
%setup -q


%build
%configure --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make install-shared DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
#/usr/bin/iconv -f iso8859-1 -t utf-8 README > README.conv && /bin/mv -f README.conv README
#/usr/bin/iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && /bin/mv -f ChangeLog.conv ChangeLog
#/usr/bin/iconv -f iso8859-1 -t utf-8 nettle.info > nettle.info.conv && /bin/mv -f nettle.info.conv nettle.info
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -p -m 644 nettle.info $RPM_BUILD_ROOT%{_infodir}/

rm -rf %{buildroot}/%{_libdir}/*.a
rm -rf %{buildroot}/%{_infodir}/dir

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README TODO
%{_infodir}/nettle.info.gz
%{_bindir}/nettle-hash
%{_bindir}/nettle-lfib-stream
%{_bindir}/pkcs1-conv
%{_bindir}/sexp-conv
%{_libdir}/libhogweed.so*
%{_libdir}/libnettle.so*


%files devel
%defattr(-,root,root,-)
%doc descore.README nettle.html nettle.pdf COPYING.LIB
%{_includedir}/nettle
%{_libdir}/pkgconfig/

#%files static
#%defattr(-,root,root,-)
#%doc COPYING
#%{_libdir}/libhogweed.a
#%{_libdir}/libnettle.a

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi

%postun -p /sbin/ldconfig



%changelog
* Fri Dec 02 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.4-1
- initial build for VineSeed

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 10 2008 Ian Weller <ianweller@gmail.com> 1.15-5
- Moved static lib to -static

* Mon Mar 24 2008 Ian Weller <ianweller@gmail.com> 1.15-4
- Added libraries and ldconfig

* Mon Feb 18 2008 Ian Weller <ianweller@gmail.com> 1.15-3
- Added provides -static to -devel

* Sun Feb 17 2008 Ian Weller <ianweller@gmail.com> 1.15-2
- Removed redundant requires
- Removed redundant documentation between packages
- Fixed license tag
- Fixed -devel description
- Added the static library back to -devel
- Added make clean

* Fri Feb 08 2008 Ian Weller <ianweller@gmail.com> 1.15-1
- First package build.
