%define svndate 20080912
%define mono_dir %{_prefix}/lib/mono
%define monodoc_dir %{_prefix}/lib/monodoc
Name:           notify-sharp
Version:        0.4.0
Release:        7.%{svndate}svn%{?_dist_release}
Summary:        A C# implementation for Desktop Notifications
Summary(ja):	デスクトップ通知の C# による実装
Group:          System Environment/Libraries
License:        MIT
URL:            http://trac.galago-project.org/wiki/DesktopNotifications
#svn checkout, revision 3017. To reproduce tarball:
#svn co -r 3017  http://svn.galago-project.org/trunk/notify-sharp notify-sharp-20080912 && tar -cvjf notify-sharp-20080912.tar.bz2 notify-sharp-20080912
Source0:        %{name}-%{svndate}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel, gtk-sharp2, gnome-sharp2, ndesk-dbus-glib
BuildRequires:  autoconf, automake, libtool
BuildRequires:  monodoc

Packager:	kazutaka

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:        Development files for notify-sharp
Summary(ja):	notify-sharp の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description devel
Development files for notify-sharp

%package doc
Summary:        Documention files for notify-sharp
Summary(ja):	notify-sharp のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release} 
Requires:       monodoc

%description doc
Documentation files for notify-sharp

%prep
%setup -qn %{name}-%{svndate}
sed -i -e 's!${exec_prefix}/lib!%{_prefix}/lib!' notify-sharp.pc.in

%build
autoreconf --install
%configure --libdir=%{_prefix}/lib
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} pkgconfigdir=%{_libdir}/pkgconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README AUTHORS
%{mono_dir}/gac/notify-sharp/
%{mono_dir}/notify-sharp/notify-sharp.dll

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/notify-sharp.pc

%files doc
%defattr(-,root,root,-)
%{monodoc_dir}/sources/*

%changelog
* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 0.4.0-7.20080912svn
- rebuilt with mono-2.10.1-3

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 0.4.0-6.20080912svn
- rebuilt with mono-2.10.1

* Sat Oct 09 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.0-5.20080912svn
- rebuilt with mono-2.8

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.0-4.20080912svn
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jul 10 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-3.20080912svn
- rebuild with latest rpm to update mono-dependencies

* Sat Jun 13 2009 Shu KONNO <owa@bg.wakwak.com> 0.4.0-2.20080912svn
- added mono_dir, monodoc_dir macros
- added --libdir=%%{_prefix}/lib option to %%configure
- added pkgconfigdir=%%{_libdir}/pkgconfig option to make install

* Thu Jun 11 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-1.20080912svn
- initial build for Vine Linux based on fedora development

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-0.6.20080912svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 9 2008 Sindre Pedersen Bj淡rdal <sindrepb@fedoraproject.org - 0.4.0-0.5.20080912svn
- Fix doc package dependencies. 

* Wed Sep 24 2008 Sindre Pedersen Bj淡rdal <sindrepb@fedoraproject.org - 0.4.0-0.4.20080912svn
- Replace with simple sed line in spec
- Build documentation, add monodoc dependencies.

* Wed Sep 24 2008 Sindre Pedersen Bj淡rdal <sindrepb@fedoraproject.org - 0.4.0-0.3.20080912svn
- Add patch to fix libdir on all arches.

* Mon Sep 22 2008 Sindre Pedersen Bj淡rdal <sindrepb@fedoraproject.org - 0.4.0-0.2.20080912svn
- Update changelog
- Fix whitespace issues

* Fri Sep 12 2008 Sindre Pedersen Bj淡rdal <sindrepb@fedoraproject.org - 0.4.0-0.1.20080912svn
- Redid svn checkout and tarball creation process
- Added autoreconfig shebang + autotools deps

* Sat May 31 2008 Nigel Jones <dev@nigelj.com> - 0.4.0-0.1.20080531svn
- Initial RPM based on David Nielsen's work on fedorapeople.org
