Name: a52dec
Version: 0.7.4
Release: 6%{?_dist_release}
Summary: ATSC A/52 decoding library
Summary(ja): ATSC A/52 デコーディングライブラリ
License: GPLv2
Group: System Environment/Libraries
URL: http://liba52.sourceforge.net
Source: a52dec-%{version}.tar.gz
Patch0:	a52dec-configure-optflags.patch
Patch1:	a52dec-0.7.4-rpath64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Packager: TOSHI <vine-jp@mail.goo.ne.jp>

%description
liba52 is a free library for decoding ATSC A/52 streams. 
The A/52 standard is used in a variety of applications, including digital television and DVD. It is also known as AC-3.

%description -l ja
liba52 は、ATSC A/52 ストリームのデコード用フリーライブラリです。
デジタルテレビや DVD を含む、さまざまなアプリケーションは A/52 標準で使用されています。

%package devel
Summary: Development libraries for liba52
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: liba52-devel

%description devel
liba52 is a free library for decoding ATSC A/52 streams. 

This package contains development files for a52dec.

%prep
%setup -q
%patch0
%patch1 -p1

%__perl -pi -e 's/-prefer-non-pic\b/-prefer-pic/' \
    configure liba52/configure.incl

%build
%configure \
	--prefix=%{_prefix} \
	--disable-static \
	--enable-shared
	
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${_RPM_BUILD_ROOT}

%makeinstall

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
%{__rm} -rf ${_RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY NEWS TODO
%{_libdir}/liba52.so.*
%{_bindir}/a52dec
%{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files devel
%defattr(-,root,root,-)
%doc doc/liba52.txt
%{_includedir}/a52dec
%{_libdir}/liba52.so


%changelog
* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.7.4-6
- change release to sync with self-build-a52dec

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.7.4-5
- change release to sync with self-build-a52dec

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.7.4-4
- dropped some tags: 
  - Autoprov: on
  - Autoreq: on
  - Prefix: %%{_prefix}
- s/-prefer-non-pic\b/-prefer-pic/ in configure liba52/configure.incl
- changed configure options: --disable-static
  - removed a static library: liba52.{la,a}

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.7.4-3
- change release to sync with self-build-a52dec

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.7.4-2
- spec in utf8
- remove *.la

* Sun May 18 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.7.4-1
- apply new versioning policy

* Sun Mar  9 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.7.4-0vl2
- s/GPL/GPLv2/
- change to System Environment/Libraries
- separate devel
- apply a52dec-configure-optflags.patch
- apply a52dec-0.7.4-rpath64.patch

* Sat Feb 23 2008 TOSHI <vine-jp@mail.goo.ne.jp> 0.7.4-0vl1
- initial build for Vine Linux

# end of file
