%define _pkgbuilddir %{_builddir}/%{name}_%{version}

Name:           avidemux
Version:        2.5.5
Release:        1%{?_dist_release}
Summary:        Graphical video editing and transcoding tool

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.avidemux.org/
Source0:        http://download.berlios.de/avidemux/avidemux_%{version}.tar.gz
Source1:        %{name}-gtk.desktop
Source2:        %{name}-qt.desktop
# Patch0 obtained from avidemux-2.5.0-patches-1.tar.bz2:
# http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/distfiles/avidemux-2.5.0-patches-1.tar.bz2
Patch0:         2.5.0-coreImage-parallel-build.patch
Patch1:         avidemux-2.5-pulseaudio-default.patch
Patch2:         avidemux-2.4-qt4.patch
# Prevents avidemux from creating the symlinks for .so files, which we do below
Patch3:         avidemux-2.5.3-tmplinktarget.patch
# libADM_xvidRateCtl.so and libADM_vidEnc_pluginOptions.so are supposed to be
# build statically according to upstream... Let's get them installed instead
Patch4:         avidemux-2.5.3-mpeg2enc.patch
Patch5:         avidemux-2.5.3-pluginlibs.patch
# Patch8 obtained from http://lists.rpmfusion.org/pipermail/rpmfusion-developers/2010-October/008645.html
#Patch6:         avidemux_2.5.4-ffmpeg-aac.patch
Patch6:         avidemux_2.5.5-ffmpeg_aac.patch
Patch7:         avidemux-2.5.5-gcc46_tmp_fix.patch
# Patch needed for version of x264 in F15/rawhide.
# Use system libraries
Patch8:         avidemux-2.5.4-libass.patch
Patch9:         avidemux-2.5.4-liba52.patch
Patch10:        avidemux-2.5.4-libmad.patch
Patch11:        avidemux-2.5.4-libtwolame.patch
Patch12:        avidemux-2.5.5_fix_lav_audio_encoder.patch
# Patch for ABI change in x264 115.
Patch13:        avidemux-2.5.5-x264_i_to_b_open_gop.patch
# Uses a header file not found in the standard package
#Patch16:        avidemux-2.5.4-mpeg2enc.patch

## Vine customization patches
Patch50:         avidemux-2.5.2-no-qt4-ui.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes:      %{name}-cli %{name}-gui %{name}-qt
Obsoletes:      %{name}-devel <= 2.5.5

# *-devel pacages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as PreReq.

# Compiling
BuildRequires:	cmake
#BuildRequires:  gettext-devel
BuildRequires:  gettext

# Libraries
BuildRequires:  nasm >= 0.98.38
BuildRequires:  libxml2-devel >= 2.6.8
BuildRequires:  fontconfig-devel
#BuildRequires:  freetype-devel
BuildRequires:  freetype2-devel
BuildRequires:  js-devel
BuildRequires:  libXv-devel
BuildRequires:  libXmu-devel
# Required by gtk: libXi-devel, libXext-devel, libX11-devel
# Required by qt: libXt-devel, libXext-devel, libX11-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	jack-audio-connection-kit-devel

# Sound out
BuildRequires:  alsa-lib-devel >= 1.0.3
BuildRequires:  pulseaudio-libs-devel

# Video out 
BuildRequires:  SDL-devel >= 1.2.7

# Audio Codecs
#BuildRequires:  a52dec-devel >= 0.7.4
#BuildRequires:  faac-devel >= 1.24
#BuildRequires:  faad2-devel >= 2.0
#BuildRequires:  lame-devel >= 3.96.1
#BuildRequires:  libmad-devel >= 0.15.1
BuildRequires:  libogg-devel >= 1.1
BuildRequires:  libvorbis-devel >= 1.0.1
# BuildRequires:  self-build-a52dec >= 0.7.4
# BuildRequires:  self-build-faac >= 1.24
# BuildRequires:  self-build-faad2 >= 2.0
# BuildRequires:  self-build-lame >= 3.96.1
# BuildRequires:  self-build-libmad >= 0.15.1
#BuildRequires:  libdca-devel
# BuildRequires:  self-build-libdca

# Video Codecs
#BuildRequires:  xvidcore-devel >= 1.0.2
#BuildRequires:  x264-devel
#BuildRequires:  ffmpeg-devel
# BuildRequires:  self-build-xvidcore >= 1.0.2
# BuildRequires:  self-build-x264
# BuildRequires:  self-build-ffmpeg

# FIXME: aften not packaged, add BR when it is

# Finally...
BuildRequires:  desktop-file-utils

#gtk
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:  cairo-devel

%if %{?with_qt_ui:1} %{!?with_qt_ui:0}
BuildRequires:  qt4-devel >= 4.5.0-9
BuildRequires:  qt4-designer
%endif

%description
Avidemux is a free video editor designed for simple cutting, filtering and
encoding tasks. It supports many file types, including AVI, DVD compatible
MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
using projects, job queue and powerful scripting capabilities.

For compatability reasons, avidemux is a meta-package which installs the
graphical, command line and plugin packages. If you want a smaller setup,
you may selectively install one or more of the avidemux-* subpackages.


%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q -n avidemux_%{version}

# Remove unneeded external libraries
rm -rf plugins/ADM_videoFilters/Ass/ADM_libAss
rm -rf plugins/ADM_audioEncoders/twolame/ADM_libtwolame
rm -rf plugins/ADM_audioDecoders/ADM_ad_mad/ADM_libMad
rm -rf plugins/ADM_audioDecoders/ADM_ad_ac3/ADM_liba52
#rm -rf plugins/ADM_videoEncoder/ADM_vidEnc_mpeg2enc/mpeg2enc

# change hardcoded libdir paths
%ifarch x86_64 ppc64
%__sed -i.bak 's/startDir="lib";/startDir="lib64";/' avidemux/ADM_core/src/ADM_fileio.cpp
%__sed -i.bak 's/startDir="lib";/startDir="lib64";/' avidemux/main.cpp
%endif

%patch0 -p1 -b .parallel
%patch1 -p1 -b .pulse
#%patch2 -p1 -b .qt4
%patch3 -p1 -b .tmplinktarget
%patch4 -p1 -b .mpeg2enc
%patch5 -p1 -b .pluginlibs
#%patch6 -p1 -b .ffmpegaac
%patch7 -p1 -b .gcc46tmpfix
%patch8 -p1 -b .libass
%patch9 -p1 -b .liba52
%patch10 -p1 -b .libmad
%patch11 -p1 -b .libtwolame
%patch12 -p1 -b .lavencode
%patch13 -p1 -b .x264

%{!?with_qt_ui:%patch50 -p1 -b .qt4}

%build
# Out of source build
%__mkdir_p build && cd build
%cmake -DAVIDEMUX_INSTALL_PREFIX=%{_prefix} \
       -DAVIDEMUX_SOURCE_DIR="%{_pkgbuilddir}" \
       -DAVIDEMUX_CORECONFIG_DIR="%{_pkgbuilddir}/build/config" \
       -DUSE_SYSTEM_SPIDERMONKEY:BOOL=OFF \
       ..
%__make %{?_smp_mflags}
# Create the temp link directory manuall since otherwise it happens too early
%__mkdir_p %{_pkgbuilddir}/build/%{_lib}
find %{_pkgbuilddir}/build/avidemux -name '*.so*' | \
     xargs ln -sft %{_pkgbuilddir}/build/%{_lib}

%__mkdir_p ../build_plugins && cd ../build_plugins
%cmake -DAVIDEMUX_INSTALL_PREFIX="%{_pkgbuilddir}/build/" \
       -DAVIDEMUX_SOURCE_DIR="%{_pkgbuilddir}" \
       -DAVIDEMUX_CORECONFIG_DIR="%{_pkgbuilddir}/build/config" \
       ../plugins
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT

%__make -C build install DESTDIR=$RPM_BUILD_ROOT
%__make -C build_plugins install DESTDIR=$RPM_BUILD_ROOT

# Find and remove all la files
find $RPM_BUILD_ROOT -type f -name "*.la" -exec %__rm -f {} ';'

# Remove Windows-only executables
# Must check this for new Linux-relevant files upon new avidemux releases
%__rm -rf %{buildroot}%{_datadir}/ADM_addons/avsfilter
%__rm -rf %{buildroot}%{_datadir}/ADM_addons/

# Install .desktop shortcuts
desktop-file-install --vendor vine \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    %{SOURCE1}

%if %{?with_qt_ui:1} %{!?with_qt_ui:0}
desktop-file-install --vendor vine \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    %{SOURCE2}

# Remove duplicated Qt translations
rm -f %{buildroot}%{_datadir}/%{name}/i18n/qt_*.qm
# find_lang.sh doesn't recognize this one, and there already is avidemux_sr.qm
rm -f %{buildroot}%{_datadir}/%{name}/i18n/avidemux_sr@latin.qm

# Qt-style translations
%find_lang %{name} --with-qt --without-mo
mv -f %{name}.lang %{name}-qt.lang
%endif

%find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_datadir}/%{name}/
%{_datadir}/ADM_scripts/
%{_libdir}/libADM*
%{_libdir}/ADM_plugins/
%{_bindir}/avidemux2_cli
%{_bindir}/avidemux2_gtk
%{_datadir}/applications/*gtk*.desktop
%if %{?with_qt_ui:1} %{!?with_qt_ui:0}
%{_bindir}/avidemux2_qt4
%{_datadir}/applications/*qt*.desktop
%endif


%changelog
* Sun Dec 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.5.5-1
- new upstream release
- Obsoletes: avidemux-cli avidemux-gui avidemux-qt avidemux-devel <= 2.5.5

* Wed Jul 13 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.5.2-5
- dropped BuildRequires: esound-devel

* Sun May 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.5.2-4
- add Patch7 (avidemux-2.5.4-x264-X264_WEIGHTP_BLIND-fix.patch)

* Sat Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.5.2-3
- unapply avidemux-2.4-qt4.patch

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.5.2-2
- change release to sync with self-build-avidemux

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.5.2-1
- new upstream release

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.4-1
- new upstream release
  - update patches accordingly
  - build with x264 >= 0.0.0-9.20090522
- dropped avidemux-2.4.3-ppc.patch, avidemux-x264.patch

* Sat Feb 14 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 2.4.3-7
- corrected release number

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.3-5
- changed to PreReq:  self-build-faad2 >= 2.0 from faad2-devel
- changed to PreReq:  self-build-libmad >= 0.15.1 from libmad-devel

* Sun Feb 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.3-4
- change release to sync with self-build-avidemux

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.3-3
- added avidemux-x264.patch from Gentoo

* Mon Dec 08 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.3-2
- applied avidemux-2.4.3-alsa-device-default.patch

* Mon Nov 24 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.4.3-1
- initial build based on RPM Fusion of Fedora package
  - changed to BuildRequires: gettext from gettext-devel
  - added BuildRequires: qt4-designer for gtk subpackage
  - dropped avidemux-2.4.3-qt4.patch
  
* Thu Sep 18 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.3-5
- Add CMake patch for PPC64
- Update patches for 2.4.3
- Remove outdated libmad patch (Nov. 2007)

* Thu Sep 18 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.3-4
- Add another patch to fix ppc64 build (pointer type), first
  patch was for libmad

* Fri Aug 22 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.3-3
- Add patch to fix ppc64 build

* Sat Aug 16 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.3-2
- retag

* Sat Aug 16 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.3-1
- Update to 2.4.3

* Tue Aug 12 2008 Stewart Adam <s.adam at diffingo.com> - 2.4.2-3
- ppc64 uint_32 fun

* Sun Aug 03 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 2.4.2-2
- rebuild

* Sat Jul 19 2008 Thorsten Leemhuis <s.adam at diffingo.com> - 2.4.2-1
- Update to 2.4.2

* Wed May 21 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4.1-3.20080521svn
- Disable --new-faad
- 20080521 subversion snapshot

* Sat Mar 15 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4.1-2
- Disable %%{?_smp_mflags}

* Sat Mar 15 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4.1-1
- Update to 2.4.1
- Don't list the bin files twice, revisited
- Default to GTK frontend

* Wed Feb 20 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-6.20080126svn
- Make pulseaudio default for sound out
- Don't list the bin files twice
- Don't build with arts support

* Fri Feb 15 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-5.20080126svn
- Don't list the .desktop files twice (bz#1870)
- Oops, we should have %%{svndate}svn in release tag!

* Sat Feb 2 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-4
- F-8/F-7 x86_64 does seem to need --with-newfaad

* Fri Feb 1 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-3
- Update to version 2.4 (20080126svn) and include fixes from devel branch

* Mon Jan 14 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-2
- Fix many copy/paste errors and desktop file's Exec field

* Sun Jan 13 2008 Stewart Adam <s.adam AT diffingo DOT com> - 2.4-1
- Update to 2.4 final
- Split up desktop files and make them pass desktop-file-validate
- Add structure to split into gtk and qt pacakges
- Disable qt4 for now, doesn't compile

* Sun Oct 7 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info>3- 2.3.0-4.3
- move js-include to a place where it is honored

* Sun Oct 7 2007 Stewart Adam <s.adam AT diffingo DOT com> - 2.3.0-4.2
- Fix macro problem
- Fix changelog date
- Rebuild with faad, but don't pass --newfaad

* Sun Oct 7 2007 Stewart Adam <s.adam AT diffingo DOT com> - 2.3.0-4.1
- Rebuild with no faad

* Sat Oct 6 2007 Stewart Adam <s.adam AT diffingo DOT com> - 2.3.0-4
- Rebuild for ffmpeg dependency problems
- Update License: tag per Fedora guidelines

* Sat Jan 13 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.3.0-3
- more features with new BR's: x264-devel libXv-devel
- make a note regarding the libdca-devel problem
- remove the "0:" from the versioned BR's

* Thu Jan 04 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.3.0-2
- don't use smp_mflags during make for now

* Sat Dec 23 2006 kwizart < kwizart at gmail.com > - 2.3.0-1
- Update to 2.3.0 Final
- Use find_lang

* Mon Apr 03 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.1.2-1
- Update to 2.1.2

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed Jan 04 2006 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.1.0-0.lvn.1
- Update to 2.1.0
- Drop epoch
- gtk 2.6 now, so drop FC3 support

* Sat Aug 27 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.3
- Remove bogus BR ffmpeg-devel (#555)

* Thu Jul 09 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.2
- Add missing BR desktop-file-utils (thanks to ixs)

* Thu Jul 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.42-0.lvn.1
- Update to 2.0.42

* Sat Jan 22 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.36-0.lvn.1
- Update to 2.0.34
- Rename package to avidemux -- no need for avidemux2 afaics

* Sun Nov 21 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.34-0.lvn.1.test1
- Update to 2.0.34-test1
- BR gettext, libtool

* Tue Oct 18 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:2.0.30-0.lvn.1
- Initial RPM release.
