%define pkgname k3b-extra
%define name	self-build-%{pkgname}
%define version 2.0.2
%define release	2%{?_dist_release}

%define sourceurl0	http://downloads.sourceforge.net/project/k3b/k3b/%{version}/k3b-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec

License:	GPLv2
Group:		Restricted Software

Requires(post):	self-build-setup >= 0.8
Requires(post):	self-build-ffmpeg
Requires(post):	self-build-lame
Requires(post):	self-build-libmad

Requires(post):	desktop-file-utils
Requires(post):	gettext
Requires(post):	kdelibs4-devel
Requires(post):	kdemultimedia4-devel
Requires(post):	libdvdread-devel
Requires(post):	libmusicbrainz-devel
Requires(post):	libsamplerate-devel
Requires(post):	libXpm-devel
Requires(post):	taglib-devel

Requires:	k3b >= %{version}

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	inagaki

%description
This package contains additional plugins for K3b.

- FFMpeg decoder for decoding WMA file(s)
- MAD decoder for decoding MP3 file(s)
- Lame MP3 encoder for encoding MP3 file(s)

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of k3b-extra.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
K3b 向けに以下の追加プラグインを提供します．

- WMA ファイルをデコードするための FFMpeg デコーダ
- MP3 ファイルをデコードするための MAD デコーダ
- MP3 ファイルをエンコードするための Lame MP3 エンコーダ

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、k3b-extra の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}"

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Fri Mar  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-2
- added BR: libXpm-devel

* Sat Feb 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-1
- new upstream release

* Sun Sep 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-2
- fixed %%build section to remove qt-devel dependency 

* Wed Sep  8 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-1
- new upstream release

* Thu Jul 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.0-1
- initial bulid for Vine Linux
