Name: kino
Version: 1.3.4
Release: 4%{?_dist_release}
Summary: Kino - A simple non-linear video editor
Summary(ja): Kino - シンプルなノンリニアビデオ編集ツール

Group: Applications/Multimedia
License: GPLv2+
URL: http://www.kinodv.org/
Source0: http://prdownloads.sourceforge.net/kino/%{name}-%{version}.tar.gz
#Patch0:         kino-udev.patch
Patch1:        kino-1.3.4-dso.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: libraw1394-devel
BuildRequires: libavc1394-devel
BuildRequires: libiec61883-devel
BuildRequires: libdv-devel
BuildRequires: libXv-devel
BuildRequires: libbonoboui-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: imlib-devel
BuildRequires: desktop-file-utils
BuildRequires: libsamplerate-devel
BuildRequires: zlib-devel
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl(XML::Parser)
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: alsa-lib-devel
BuildRequires: XOrg-devel
# *-devel packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as Requires(post).
# BuildRequires: libquicktime-devel
# BuildRequires: ffmpeg-devel

Requires: libdv
Requires: libavc1394
Requires: libraw1394
Requires: libogg
Requires: libvorbis
Requires: gtk2
Requires: imlib
Requires: libxml2
Requires(post): shared-mime-info

# These packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as Requires(post).
# Requires: mjpegtools
# Requires: mplayer
# Requires: ffmpeg
# Requires: ffmpeg2theora

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%description -l ja
デジタルビデオカメラの新世代は 
Digital Video (DV) データフォーマットを使います。
Kino は DV デジタルビデオカメラで録画された動画を
録画、作成、編集、再生できます。
他の編集ソフトとは異なり、
動画の中へ素早く移動や編集するために
多くのキーボードコマンドを使えます。

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

This package contains development files to build kino plugins.


%prep
%setup -q
#%patch0 -p1 -b .udev
%patch1 -p1 -b .dso


%build
%configure \
    --disable-static \
    --disable-dependency-tracking \
    --disable-local-ffmpeg \
    --enable-quicktime \
    ;

%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
%__ln_s -f kino $RPM_BUILD_ROOT%{_bindir}/kino2raw
%__rm $RPM_BUILD_ROOT%{_datadir}/applications/Kino.desktop
%__ln_s Kino.desktop kino.desktop

%find_lang kino

desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    --add-category AudioVideoEditing \
    --add-category X-AudioVideoCapture \
    kino.desktop

## remove unuse files
%__rm -f %{buildroot}%{_libdir}/kino-gtk2/lib*.la

%check
%__make check

%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%postun
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f kino.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README* TODO
%{_bindir}/kino
%{_bindir}/kino2raw
%{_mandir}/man1/*
%{_datadir}/kino
%{_datadir}/applications/*kino.desktop
%{_datadir}/pixmaps/kino.png
%exclude %config(noreplace) %{_sysconfdir}/udev/rules.d/kino.rules
%{_datadir}/mime/packages/kino.xml
%{_libdir}/kino-gtk2


%files devel
%defattr(-,root,root,-)
%{_includedir}/kino

%changelog
* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.4-4
- applied kino-1.3.4-dso.patch from RPM Fusion development
  - rebuilt for gcc bug
- drop the udev rules patch

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.4-3
- change release to sync with self-build-kino.spec

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.4-2
- change release to sync with self-build-kino.spec

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.4-1
- new upstream release
  - with recent ffmpeg

* Sun Jun 28 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.3.3-2
- added devel subpackage
  - dropped Obsoletes: %{name}-devel
- added BuildRequires: 
  - desktop-file-utils
  - gettext
  - intltool
- added --disable-local-ffmpeg --enable-quicktime in configure options

* Fri Jun 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.3.3-1
- new upstream release
- added BuildRequires: libiec61883-devel
- added %%description -l ja
- dropped --with-avcodec and added --disable-static in configure options

* Mon Sep 08 2008 Shu KONNO <owa@bg.wakwak.com> 1.3.2-1vl5
- new upstream release
- fixed gnome-kino.desktop
- remove lib*.la
- applied new versioning policy, spec in utf-8

* Thu May 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.1-0vl1
- new upstream release
- run update-mime-database at %post and %postun section
- rebuilt with new libraw1394

* Sun May 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl2
- added BuildRequires: libsamplerate-devel

* Thu Apr 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- new upstream release

* Wed Jan 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.0-0vl1
- new upstream release
- gtk2 version

* Tue Sep 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.4-0vl1
- Build for Vine Linux
- add Japanese translation for summary and desktop files.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.6.4-0
- Updated to 0.6.4.

* Wed Feb 12 2003 Dag Wieers <dag@wieers.com> - 0.6.3-0
- Initial package. (using dar)
