#% define with_pdflib_lite 1

%define pkgname swftools
%define name    self-build-%{pkgname}
%define version 0.9.1
%define release 1%{?_dist_release}

%define sourceurl0	http://www.swftools.org/%{pkgname}-%{version}.tar.gz

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source100:      swftools-0.9.1-prefix.patch

# swftools is GPLv2+ licensed, lib/MD5.c is BSD licensed,
# lib/action/actioncompiler.c is LGPLv2+ licensed
License:	GPLv2+ and LGPLv2+ and BSD
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

Requires(post):  fftw-devel
Requires(post):  fontconfig-devel
Requires(post):  giflib-devel
Requires(post):  libjpeg-devel
Requires(post):  self-build-lame
#Requires(post):  python-imaging-devel
Requires(post):  python-devel
Requires(post):  python-imaging
Requires(post):  zziplib-devel
%{?with_pdflib_lite:Requires(post):  pdflib-lite-devel}

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Packager:	munepi

%description
SWFTools is a collection of utilities for working with Adobe Flash files (SWF
files). The tool collection includes programs for reading SWF files, combining
them, and creating them from other content (like images, sound files, videos or
source code).


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
SWFTools は Adobe Flash ファイル（SWF）を操作するためのユーティリティ集です。
ユーティリティ集には、SWF ファイルを読んだり、SWF ファイルを結合したり、
画像や音声、動画、ソースコードのような他のコンテンツからSWF ファイルを
作成するプログラムが含まれています。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。

%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE100} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 108000


%files
%defattr(-,root,root)
%{_datadir}/%{name}/*

%changelog
* Fri Apr 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 0.9.1-1
- initial build for Vine Linux.
