%define source_name xine-lib
%define libname libxine1
%define plugindir %{_libdir}/xine/plugins
%define pluginver 1.29

Name: xine-lib-extras
Summary: addtional plugins for xine
Summary(ja): xine 用の追加プラグイン
Version: 1.1.19
Release: 1%{?_dist_release}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.xine-project.org/
Source0: http://prdownloads.sourceforge.net/xine/%{source_name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
%if %{?_dist_release} == "vl4"
BuildRequires:  XOrg-devel XOrg-gl-devel
%else
BuildRequires:	libX11-devel
BuildRequires:  libXv-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXvMC-devel
BuildRequires:  libGLU-devel
BuildRequires:  libxcb-devel
%endif
# Video 
# Audio
#BuildRequires:  faad2-devel
# Other
BuildRequires:	pkgconfig libtool-ltdl-devel
BuildRequires:  vine-release >= 4.2-1vl4

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains addtional plugins for xine:
 decoder
  - dts
  - dvaudio
  - ffmpeg
  - libmpeg2
  - nsf
 demuxer
  - asf
 input
  - DVD, Video-CD

%description -l ja
このパッケージには xine 向けの追加プラグインが含まれています。

%package -n xine-lib-mad
Summary: MAD audio decode plugin for xine
Summary(ja): xine 用 MP3 オーディオデコードプラグイン
Group: System Environment/Libraries

%description -n xine-lib-mad
MAD audio decode plugin for xine

%description -n xine-lib-mad -l ja
このパッケージには MP3 オーディオデコードプラグインが含まれています。

%package -n xine-lib-faad
Summary: FAAD audio decode plugin for xine
Summary(ja): xine 用 AAC オーディオデコードプラグイン
Group: System Environment/Libraries

%description -n xine-lib-faad
FAAD audio decode plugin for xine

%description -n xine-lib-faad -l ja
このパッケージには AAC オーディオデコードプラグインが含まれています。

%package -n xine-lib-a52dec
Summary: ATSC A-52 stream decode plugin for xine
Summary(ja): xine 用 ATSC A-52 ストリームデコードプラグイン
Group: System Environment/Libraries

%description -n xine-lib-a52dec
ATSC A-52 stream decode plugin for xine

%description -n xine-lib-a52dec -l ja
このパッケージには ATSC A-52 ストリームデコードプラグインが含まれています。

%prep
%setup -q -n %{source_name}-%{version}

# Avoid standard rpaths on lib64 archs:
sed -i -e 's|"/lib /usr/lib\b|"/%{_lib} %{_libdir}|' configure

%build
%configure \
%if %{?_dist_release} == "vl4"
	--with-xv-path=%{_prefix}/X11R6/%{_lib} \
%else
	--with-xv-path=%{_libdir} \
%endif
	--enable-faad \
        --with-external-libfaad \
        --with-libflac \
        --disable-opengl \
        --disable-syncfb \
        --disable-v4l --disable-libv4l \
        --disable-xvmc \
        --disable-xinerama \
        --disable-aalib \
        --disable-fb \
        --disable-dxr3 \
        --disable-vidix \
        --disable-aalib \
        --disable-musepack \
        --disable-mng \
 	--disable-gnomevfs \
 	--disable-gdkpixbuf \
	--disable-samba \
	--without-sdl \
	--without-pulseaudio \
        --without-vorbis \
        --without-theora \
        --without-speex \
        --without-imagemagick \
        --without-alsa \
        --without-esound \
        --without-jack

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT 

## Clean out files that should not be part of the rpm.

%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}
%{__rm} -rf $RPM_BUILD_ROOT%{_includedir}
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/libxine.{a,so*,la}
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%{__rm} -rf $RPM_BUILD_ROOT%{_mandir}
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/mime.types
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_bitplane.so
#{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_d*.so
#{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_ff.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_image.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_lpcm.so
#{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_nsf.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_qt.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_r*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_yuv.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_g*.so
#{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_m*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_s*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_vorbis.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_theora.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_w32dll.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_ao*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_vo*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_audio.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_avi.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_f*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_games.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_iff.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_m*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_nsv*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_pva.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_qt.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_r*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_s*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_dmx_y*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_cdda.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_dvb.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_file.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_http.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_net.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_p*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_r*.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_stdin_fifo.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_inp_v4l.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_flac.so
#%___rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/xineplug_decode_a52.so
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/vidix
%{__rm} -rf $RPM_BUILD_ROOT%{plugindir}/%{pluginver}/post

#%find_lang %{libname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n xine-lib-mad -p /sbin/ldconfig

%postun -n xine-lib-mad -p /sbin/ldconfig

%post -n xine-lib-faad -p /sbin/ldconfig

%postun -n xine-lib-faad -p /sbin/ldconfig

%post -n xine-lib-a52dec -p /sbin/ldconfig

%postun -n xine-lib-a52dec -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_dts.so
%{plugindir}/%{pluginver}/xineplug_decode_dvaudio.so
%{plugindir}/%{pluginver}/xineplug_decode_ff.so
%{plugindir}/%{pluginver}/xineplug_decode_mpeg2.so
%{plugindir}/%{pluginver}/xineplug_decode_nsf.so
%{plugindir}/%{pluginver}/xineplug_dmx_asf.so
%{plugindir}/%{pluginver}/xineplug_inp_dvd.so
%{plugindir}/%{pluginver}/xineplug_inp_mms.so
%{plugindir}/%{pluginver}/xineplug_inp_vcd.so
%{plugindir}/%{pluginver}/xineplug_inp_vcdo.so

%files -n xine-lib-mad
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_mad.so

%files -n xine-lib-faad
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_faad.so

%files -n xine-lib-a52dec
%defattr(-,root,root)
%{plugindir}/%{pluginver}/xineplug_decode_a52.so

%changelog
* Sat Oct  2 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.19-1
- new upstream release
- built with ImageMagick-6.6.4.8

* Fri Mar 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.18.1-1
- new upstream release
- built with new toolchain

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.16.3-2
- change release to sync with self-build-xine-lib-extras

* Sat Apr  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.3-1
- new upstream release with security fix
  - Fix another possible int overflow in the 4XM demuxer.
    (ref. TKADV2009-004, CVE-2009-0385)
  - Fix an integer overflow in the Quicktime demuxer.

* Sun Mar  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-3
- removed BuildRequires: faad2-devel
- updated URL

* Wed Feb 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-2
- fixed Provides and Obsoletes in self-build-xine-lib-extras.spec 

* Sat Feb 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.2-1
- new upstream release

* Wed Feb 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.16.1-1
- new upstream release
- added more plugins

* Sun Feb  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.15-7
- changed package name xine-lib-extras

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.15-6
- spec in utf8
- add the list of all PreReq: packages in self-build-xine-lib-faad.spec
  to BuildRequires: in xine-lib-faad.spec

* Sun Sep 28 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-5
- Typo Fixes(%changelog)
* Sun Sep 28 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-4
- drop self-build-faac(PreReq)
* Tue Sep 16 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-2
- devel package to add prereq > self-build-xine-lib-faad.spec.
- Drop BuildRequires > xine-lib-faad.spec
* Sun Aug 24 2008 TOSHI <milk-tea1977@dune.ocn.ne.jp> 1.1.15-1
- 1st Release.

# end of file

