Summary: MPEG-4 Simple and Advanced Simple Profile codec
Name:		xvidcore
Version:	1.3.2
Release:	1%{?_dist_release}
Source:		http://downloads.xvid.org/downloads/%{name}-%{version}.tar.bz2
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.xvid.org/

BuildRequires:	nasm >= 2.0

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Xvid video codec implements MPEG-4 Simple Profile and Advanced Simple
Profile standards. It permits compressing and decompressing digital video
in order to reduce the required bandwidth of video data for transmission
over computer networks or efficient storage on CDs or DVDs. Due to its
unrivalled quality Xvid has gained great popularity and is used in many
other GPLed applications, like e.g. Transcode, MEncoder, MPlayer, Xine and
many more.

%package        devel
Summary:        Development files for the Xvid video codec
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains header files, static library and API
documentation for the Xvid video codec.


%prep
%setup -q -n %{name}
chmod -x examples/*.pl
f=AUTHORS ; iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f && touch -r $f $f.utf8 && mv $f.utf8 $f
# Yes, we want to see the build output.
%{__perl} -pi -e 's/^\t@(?!echo\b)/\t/' build/generic/Makefile


%build
cd build/generic
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%configure
%__make %{?_smp_mflags} 
cd -


%install
%__rm -rf $RPM_BUILD_ROOT
%__make -C build/generic install DESTDIR=$RPM_BUILD_ROOT
%__rm $RPM_BUILD_ROOT%{_libdir}/libxvidcore.a
cd $RPM_BUILD_ROOT%{_libdir}
chmod 755 libxvidcore.so*
/sbin/ldconfig -n .
%__ln_s libxvidcore.so.? libxvidcore.so
cd -


%clean
%__rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README AUTHORS ChangeLog
%{_libdir}/libxvidcore.so.*

%files devel
%defattr(-,root,root,-)
%doc CodingStyle TODO examples/
%{_includedir}/xvid.h
%{_libdir}/libxvidcore.so

%changelog
* Sat Jun 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.3.2-1
- new upstream release
- dropped upstreamed noexec stack patch

* Sat Dec 25 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.2-1
- new upstream release
- applied a rebase noexec-stack patch from RPM Fusion development

* Sun Mar 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.2.1-4
- change release to sync with self-build-xvidcore

* Fri Jun 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-3
- change release to sync with self-build-xvidcore

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-2
- change release to sync with self-build-xvidcore

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.1-1
- new upstream release
- dropped xvidcore-1.1.3_bitstream.patch

* Sun Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-3
- spec in utf8

* Sun May 18 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.1.3-2
- release +1 to sync with self-build-xvidcore

* Fri Apr 11 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-1vl4
- build with new versioning policy
- apply xvidcore-1.1.3_bitstream.patch

* Tue Feb 19 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.1.3-0vl1
- initial build for Vine Linux 4.2

### end of file
