%define pkgname zsnes
%define name    self-build-%{pkgname}
%define version 1.51
%define release 3%{?_dist_release}

%define srcversion %(echo "%{version}src" | %{__sed} 's/\\.//')

%define sourceurl0	http://prdownloads.sourceforge.net/%{pkgname}/%{pkgname}%{srcversion}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source101:	zsnes-1.51-Makefile.in.FIX.BROKENESS.patch
Source102:	zsnes-1.51-FORTIFY_SOURCE.patch
Source103:	zsnes-1.51-gcc43.patch
Source104:	zsnes-1.51-pulseaudio.patch

License:	GPLv2
Group:		Restricted Software

Requires(post):		self-build-setup

Requires:	SDL >= 1.2.0
Requires:	hicolor-icon-theme
Requires(post):		automake
Requires(post):		nasm >= 0.98 
Requires(post):		zlib >= 1.1.0 
Requires(post):		libpng >= 1.2.0
Requires(post):		SDL-devel >= 1.2.0 
Requires(post):		zlib-devel >= 1.1.0 
Requires(post):		libpng-devel >= 1.2.0 
Requires(post):		ncurses-devel
Requires(post):		libao-devel
Requires(post):		desktop-file-utils
%if %{?_dist_release} != "vl4"
Requires:	mesa-libGL
Requires(post):		xorg-x11-devel 
Requires(post):		mesa-libGL-devel
%else
Requires:	XOrg-gl
Requires(post):		XOrg-devel 
Requires(post):		XOrg-gl-devel
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	%{ix86}

Packager:	munepi

%description
ZSNES is one of Super Nintendo Entertainment System (SNES) emulators. 

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
ZSNESはスーパーファミコンエミュレーターの1つです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE101} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE102} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE103} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE104} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}"

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*

%changelog
* Sun Jun 19 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.51-3
- applied zsnes-1.51-gcc43.patch, zsnes-1.51-pulseaudio.patch

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.51-2
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Mon Nov 02 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.51-1
- make self-build package from zsnes-1.51-0vl2.nosrc.rpm
 - applied new versioning policy
 - spec in utf8
 - dropped NoSource: 0
 - applied zsnes-1.51-Makefile.in.FIX.BROKENESS.patch, 
   zsnes-1.51-FORTIFY_SOURCE.patch
 #, zsnes-1.51-gcc43.patch
 - added Requires: hicolor-icon-theme
   BuildRequires: automake ncurses-devel libao-devel desktop-file-utils
 - For vl5, added Requires: mesa-libGL
   BuildRequires: xorg-x11-devel mesa-libGL-devel
 - fixed ExclusiveArch: %{ix86}

### end of file
