%define python_sitelib %(%{__python} -c "from distutils import sysconfig; print sysconfig.get_python_lib()")
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
%define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

Name: obexftp
Summary: Tool to access devices via the OBEX protocol
Summary(ja): OBEX プロトコルを使用する機器のためのツールです
Group: Applications/System
Version: 0.23
Release: 1%{?_dist_release}
License: GPLv2+
URL: http://openobex.triq.net/
Source: http://triq.net/obexftp/%{name}-%{version}.tar.bz2
Patch0: obexftp-norpath.patch
Patch1: obexftp-perl.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: bluez-libs-devel
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: openobex-devel >= 1.2
## BuildRequires: perl-ExtUtils-CBuilder
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: python-devel
BuildRequires: ruby
BuildRequires: ruby-devel
BuildRequires: tcl


#----------------------------------------------------------------------------
%description
The overall goal of this project is to make mobile devices featuring
 the OBEX protocol and adhering to the OBEX FTP standard accessible
 by an open source implementation.
The common usage for ObexFTP is to access your mobile phones memory to
 store and retrieve e.g. your phonebook, logos, ringtones, music,
 pictures and alike.

%description -l ja
このプロジェクトは OBEXプロトコルおよび、標準的で便利なOBEX-FTPを
フィーチャーしたモバイルデバイスを、オープンソースで実装する事を
全体的な目標としています。
ObexFTPの共通の使い方
 お使いの携帯電話にアクセスし、メモリへ保存したり取り外したりする、
 例えば、お客様の電話帳、ロゴ、着メロ、音楽、写真等も同様に扱えます。

#----------------------------------------------------------------------------
%package -n python-%{name}
Summary: Python library to access devices via the OBEX protocol
Summary(ja): OBEX プロトコルを使って機器を扱うPythonライブラリです
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
The overall goal of this project is to make mobile devices featuring
 the OBEX protocol and adhering to the OBEX FTP standard accessible
 by an open source implementation.
The common usage for ObexFTP is to access your mobile phones memory to
 store and retrieve e.g. your phonebook, logos, ringtones, music,
 pictures and alike.

%description -n python-%{name} -l ja
このプロジェクトは OBEXプロトコルおよび、標準的で便利なOBEX-FTPを
フィーチャーしたモバイルデバイスを、オープンソースで実装する事を
全体的な目標としています。
ObexFTPの共通の使い方
 お使いの携帯電話にアクセスし、メモリへ保存したり取り外したりする、
 例えば、お客様の電話帳、ロゴ、着メロ、音楽、写真等も同様に扱えます。
(このパッケージはpython向けライブラリです)

#----------------------------------------------------------------------------
%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Summary(ja): OBEX プロトコルを使って機器を扱うPerlライブラリです
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring
 the OBEX protocol and adhering to the OBEX FTP standard accessible
 by an open source implementation.
The common usage for ObexFTP is to access your mobile phones memory to
 store and retrieve e.g. your phonebook, logos, ringtones, music,
 pictures and alike.

%description -n perl-%{name} -l ja
このプロジェクトは OBEXプロトコルおよび、標準的で便利なOBEX-FTPを
フィーチャーしたモバイルデバイスを、オープンソースで実装する事を
全体的な目標としています。
ObexFTPの共通の使い方
 お使いの携帯電話にアクセスし、メモリへ保存したり取り外したりする、
 例えば、お客様の電話帳、ロゴ、着メロ、音楽、写真等も同様に扱えます。
(このパッケージはperl向けライブラリです)

#----------------------------------------------------------------------------
%package -n ruby-%{name}
Summary: Ruby library to access devices via the OBEX protocol
Summary(ja): OBEX プロトコルを使って機器を扱うRubyライブラリです
Group: Development/Libraries
BuildRequires: ruby
BuildRequires: ruby-devel
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
The overall goal of this project is to make mobile devices featuring
 the OBEX protocol and adhering to the OBEX FTP standard accessible
 by an open source implementation.
The common usage for ObexFTP is to access your mobile phones memory to
 store and retrieve e.g. your phonebook, logos, ringtones, music,
 pictures and alike.

%description -n ruby-%{name} -l ja
このプロジェクトは OBEXプロトコルおよび、標準的で便利なOBEX-FTPを
フィーチャーしたモバイルデバイスを、オープンソースで実装する事を
全体的な目標としています。
ObexFTPの共通の使い方
 お使いの携帯電話にアクセスし、メモリへ保存したり取り外したりする、
 例えば、お客様の電話帳、ロゴ、着メロ、音楽、写真等も同様に扱えます。
(このパッケージはruby向けライブラリです)

#----------------------------------------------------------------------------
%package devel
Summary: Header files and libraries for %{name}
Summary(ja): OBEX-FTP の開発用ヘッダーファイル等のパッケージです
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: openobex-devel >= 1.2
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%description devel -l ja
このパッケージには OBEX-FTPのヘッダファイル、静的ライブラリおよび開発者用の
ドキュメントが含まれています。
あなたがOBEX-FTPを使用してプログラムを開発する場合は、この obexftp-develを
インストールする必要があります。

#----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1 -b .norpath
%patch1 -p1 -b .p

%build
autoreconf -f -i
%configure --disable-static --disable-dependency-tracking --disable-rpath
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT RUBYARCHDIR=$RPM_BUILD_ROOT%{rarchdir} install 
chmod 755 $RPM_BUILD_ROOT%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so
# chmod 755 %{buildroot}%{perl_sitearch}/*/OBEXFTP/OBEXFTP.so

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/*/OBEXFTP/{.packlist,OBEXFTP.bs}
# %{__rm} -f %{buildroot}%{perl_sitearch}/*/OBEXFTP/{.packlist,OBEXFTP.bs}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/bfb/
%{_includedir}/multicobex/
%{_includedir}/obexftp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/obexftp.pc

%files -n python-%{name}
%defattr(-, root, root, -)
# %dir %{python_vendorarch}/obexftp
# %{python_vendorarch}/obexftp/_obexftp.so*
# %{python_vendorarch}/obexftp/__init__.py*
%dir %{python_sitearch}/obexftp
%{python_sitearch}/obexftp/_obexftp.so*
%{python_sitearch}/obexftp/__init__.py*

%files -n perl-%{name}
%defattr(-, root, root, -)
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/*/OBEXFTP
%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so
# %{perl_sitearch}/OBEXFTP.pm
# %dir %{perl_sitearch}/*/OBEXFTP
# %{perl_sitearch}/*/OBEXFTP/OBEXFTP.so

%files -n ruby-%{name}
%defattr(-, root, root, -)
%{rarchdir}/obexftp.so
#{ruby_sitearch}/obexftp.so


#----------------------------------------------------------------------------
# Maintainers: babasaki@mindgear.org
#
#----------------------------------------------------------------------------
%changelog
* Sat Dec 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.23-1
- new upstream release
- removed Requires: ruby(abi) (= 1.8) <BTS:799>

* Thu Apr 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.22-4
- rebuild (ruby-obexftp subpackage not uploaded on i386/x86_64 yet)

* Fri Oct 24 2008 Seiichirou Babasaki 0.22-3
- change %{perl_sitearch} -> %{perl_vendorarch}
- added "# Maintainers: " comments.
- changed UTF-8 encode at obexftp.vs.spec
- Updated specfile

* Wed Oct 2 2008 Seiichirou Babasaki 0.22-2
- change %{perl_vendorarch} -> %{perl_sitearch}
- Updated specfile

* Wed Jan 16 2008 Seiichirou Babasaki 0.20-0.5_2-1
- Import obexftp - Packager: Babasaki
- Updated specfile

#----------------------------------------------------------------------------
* Thu Sep 06 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.5.rc7
- updated to 0.22-rc7
- added pkgconfig file
- make perl BR more specific

* Mon Aug 27 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.4.rc6
- rebuilt for BuildID
- updated license tag

* Mon Aug 06 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.3.rc6
- updated to 0.22-rc6
- added ruby bindings (patch by Andy Shevchenko)
- dropped upstreamed patch
- added missing BRs for F7+

* Mon Mar 26 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.2.pre4
- fix segfault in obexftpd (patch by Jan Kratochvil), closes (#230991)

* Fri Mar 23 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.22-0.1.pre4
- updated to 0.22-pre4
- updated patches

* Fri Jan 26 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-3
- add missing disttag

* Thu Jan 25 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-2
- added missing defattr
- require openobex-devel > 1.2
- added missing MODULE_COMPAT Requires: to perl subpackage
- renamed subpackages to perl/python-obexftp
- fixed rpaths

* Mon Jan 01 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.20-1
- updated to 0.20

* Sun Jan 29 2006 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
