Summary:	O'Caml package manager
Summary(ja):	O'Caml パッケージ管理ツール
Name:		ocaml-findlib
Version:	1.2.7
Release:	1%{?_dist_release}

License:	MIT/X11
Group:		Development/Tools
URL:		http://www.ocaml-programming.de/packages/

Source:		http://www.ocaml-programming.de/packages/findlib-%{version}.tar.gz

# Vine Patch
# Patch100:       ocaml-findlib-installpath.patch

Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ocaml
BuildRequires:  ocaml-camlp4
BuildRequires:  ocaml-labltk
BuildRequires:  ncurses-devel
Requires:	ocaml

Vendor:		Project Vine
Distribution:	Vine Linux

%define srcname findlib

%description
The "findlib" software provides a scheme to manage reusable software
components in the form of libraries, and includes tools that support this
scheme. A library installed as a findlib component is also called a
package. The point is that the findlib scheme allows it to store
metainformation about the library, especially how it can be used in
programs. The packages are kept in the filesystem hierarchy, but the
directory structure is defined by findlib, and there is no way to deviate
from this standard. The library contains functions to look the directory
up that stores a package, to query metainformation about a package, and
to retrieve dependency information about multiple packages. There is also
a tool that allows the user to enter queries on the command-line. In
order to simplify compilation and linkage, there are new frontends of the
various OCaml compilers that can directly deal with packages.

%prep
%setup -q -n %{srcname}-%{version}
#patch100 -p1 -b .install

%build
./configure \
	-bindir %{_bindir} \
	-mandir %{_mandir} \
	-sitelib $(ocamlc -where) \
	-config %{_sysconfdir}/ocamlfind.conf \
	-with-toolbox
make all opt

%install
%__rm -rf %{buildroot}
make prefix=$RPM_BUILD_ROOT install

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE doc/*
%config %{_sysconfdir}/ocamlfind.conf
%{_bindir}/ocamlfind
%{_bindir}/safe_camlp4
%{_libdir}/ocaml/*
%{_mandir}/man*/*

%changelog
* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.7-1
- updated to 1.2.7
- added BR: ncurses-devel

* Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.4-1
- new upstream release
- spec in UTF-8

* Sun Aug  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.2-1
- new upstream release (dropped Patch100 was merged into upstream)

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.2pl1-0vl2
- rebuilt for VineSeed

* Sun Sep 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.2pl1-0vl1
- new upstream release
- rebuilt with ocaml 3.10.0

* Sat May 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- initial build
