Summary: 2ch browser using Gtk+2
Summary(ja): GTK+2 を用いた2ちゃんねるブラウザ
Name: ochusha
Version: 0.6
Release: 2%{?_dist_release}
URL: http://ochusha.sourceforge.jp/
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.desktop
#Patch0: ochusha-0.5.8.2-glib-2.10.patch
#Patch1: ochusha-0.5.8.2-hana-mogera.patch
#Patch2: ochusha-0.5.8.2-default-browser.patch
Patch3: ochusha-0.6-bbs_jbbs_utils.patch
Patch4: ochusha-0.6-bbs_2ch_utils.patch
Patch5: ochusha-0.6-hashtable.patch
Patch6: ochusha-0.6-html_utils.patch
License: BSD License
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: ldconfig
Requires: gtk2 >= 2.6.0, glib2 >= 2.6.0, libxml2 >= 2.6.0
Requires: openssl zlib sqlite3 oniguruma
BuildRequires: gtk2-devel >= 2.6.0 glib2-devel >= 2.6.0 libxml2-devel >= 2.6.0 oniguruma-devel
BuildRequires: libICE-devel libSM-devel
BuildRequires: openssl-devel sqlite3-devel zlib-devel

%description
The ochusha is browser using Gtk+2 for 2ch. It relieves access to 2ch.

%description -l ja
おちゅ〜しゃは GTK+2 を用いてつくられた、2ちゃんねる用ブラウザです。

%prep
%setup -q

#%patch0 -p1 -b .glib2.10
#%patch1 -p1 -b .hana
#%patch2 -p1 -b .default-browser
%patch3 -p1 -b .bbs_jbbs_utils
%patch4 -p1 -b .bbs_2ch_utils
%patch5 -p1 -b .hashtable
%patch6 -p1 -b .html_utils

%build
%configure --with-external-oniguruma
%{__make} %{?_smp_flags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
#%find_lang %{name}

%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENT AUTHORS BUGS COPYING ChangeLog INSTALL* NEWS README TODO
%doc ochusha/ochusha-gtkrc.*
%{_bindir}/ochusha
%{_libdir}/*.so*
%{_datadir}/ochusha
%{_datadir}/locale/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man*/*

%changelog
* Sat Apr 4 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.6-2vl5
- added Requires: oniguruma
- fixed Requires: sqlite3
- added BuildRequires: oniguruma-devel, libICE-devel, libSM-devel
- added Patch3,4,5,6
  - to fix post and read messages for Machi-BBS (Patch3, but unstable..)
  - Patch4,5,6: for recently change merge

* Thu Mar 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.6-1vl5
- upstream release
- built with oniguruma-5.9.1 (used configure option "--with-external-oniguruma")
- fixed many build problems
 -updated Requires, BuildRequires
- dropped Patch0,1,2
- applied new versioning policy

* Sun Jun 03 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.8.2-0vl4
- rebuilt with new toolchain

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.8.2-0vl3
- add default-browser.patch (patch2)
  to use 'firefox -new-window "%s"' as default browser

* Tue May 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.8.2-0vl2
- add ad-hoc patches:
  - patch0 to build with glib-2.10
  - patch1 to post message with 'hana=mogera'
- remove unneeded files at %%install

* Wed Sep 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.8.2-0vl1
- upstream release

* Mon Aug 02 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.8.1-0vl1
- upstream release

* Sat Jun 11 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.8-0vl1
- upstream release

* Sun Feb 20 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.7.2-0vl2
- rebuild

* Sun Feb 20 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.7.2-0vl1.1
- update ochusha.desktop
- drop (Build)Requires: libghttp(-devel)
- update (Build)Requires: libxml2(-devel)
- add PreReq: ldconfig

* Fri Dec 31 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.7.2-0vl1
- upstream release

* Thu Dec 30 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.7.1-0vl1
- upstream release

* Mon Nov 29 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.7-0vl1
- upstream release

* Mon Jul 12 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.5.5-1vl2
- use more macros
- add Summary(ja)
- add (Build)Requires: openssl(-devel), zlib(-devel)
- add ochusha.desktop
- fix typo

* Sat Jul 10 2004 <ryo1@bc.wakwak.com> 0.5.5-1vl1
- rebuild for Vine Linux

* Sat Jul 03 2004 <yuhei@users.sourceforge.jp> 0.5.5-1
- Version up.
* Sun Jun 20 2004 <yuhei@users.sourceforge.jp> 0.5.4.10-1
- Version up.
* Wed Jun 16 2004 <yuhei@users.sourceforge.jp> 0.5.4.9-1
- Version up.
* Tue Jun 15 2004 <yuhei@users.sourceforge.jp> 0.5.4.8-1
- Version up.
* Mon Jun 14 2004 <yuhei@users.sourceforge.jp> 0.5.4.7-1
- Version up.
* Sun Jun 13 2004 <yuhei@users.sourceforge.jp> 0.5.4.5-1
- Version up.
* Sat Jun 12 2004 <yuhei@users.sourceforge.jp> 0.5.4.4-1
- Version up.
* Sun Jun 06 2004 <yuhei@users.sourceforge.jp> 0.5.4.3-1
- Version up.
* Mon May 24 2004 <yuhei@users.sourceforge.jp> 0.5.4.2-1
- Version up.
* Mon May 17 2004 <yuhei@users.sourceforge.jp> 0.5.4.1-1
- Version up.
* Sun May 02 2004 <yuhei@users.sourceforge.jp> 0.5.2-1
- Version up.
* Sat Apr 10 2004 <yuhei@users.sourceforge.jp> 0.5.1-1
- Version up.
- Added manfile to filelist.
- Added mandir option to configure script.
* Mon Mar 01 2004 <yuhei@users.sourceforge.jp> 0.5-1
- Version up.
- Changed filelist.
* Wed Jan 28 2004 <yuhei@users.sourceforge.jp> 0.4.10.3-1
- Version up.
* Fri Jan 23 2004 <yuhei@users.sourceforge.jp> 0.4.10.1-1
- Version up.
* Wed Jan 21 2004 <yuhei@users.sourceforge.jp> 0.4.10-1
- Version up.
* Sun Jan 18 2004 <yuhei@users.sourceforge.jp> 0.4.9.7-1
- Version up.
* Sat Jan 17 2004 <yuhei@users.sourceforge.jp> 0.4.9.6-1
- Version up.
* Fri Jan 16 2004 <yuhei@users.sourceforge.jp> 0.4.9.5-1
- Version up.
* Wed Jan 14 2004 <yuhei@users.sourceforge.jp> 0.4.9.4-1
- Version up.
* Wed Jan 14 2004 <yuhei@users.sourceforge.jp> 0.4.9.3-1
- Version up.
* Tue Jan 13 2004 <yuhei@users.sourceforge.jp> 0.4.9.2-1
- Version up.
* Mon Jan 12 2004 <yuhei@users.sourceforge.jp> 0.4.9.1-1
- Version up.
* Tue Jan 01 2004 <yuhei@users.sourceforge.jp> 0.4.8.2-1
- Version up.
* Wed Dec 31 2003 <yuhei@users.sourceforge.jp> 0.4.8.1-1
- Version up.
* Tue Dec 30 2003 <yuhei@users.sourceforge.jp> 0.4.8-1
- Version up.
- Added files about libtsengine.
- Added ochusha-init.scm file.
- Added to run ldconfig when (un)installing. 
* Mon Dec 29 2003 <yuhei@users.sourceforge.jp> 0.4.7.1-1
- Version up.
* Wed Dec 24 2003 <yuhei@users.sourceforge.jp> 0.4.7-1
- Version up.
* Mon Dec 22 2003 <yuhei@users.sourceforge.jp> 0.4.6-1
- Version up.
* Sun Dec 21 2003 <yuhei@users.sourceforge.jp> 0.4.5.10-1
- Version up.
* Fri Dec 19 2003 <yuhei@users.sourceforge.jp> 0.4.5.7-1
- Version up.
* Tue Dec 16 2003 <yuhei@users.sourceforge.jp> 0.4.5.6-1
- Version up.
* Tue Dec 16 2003 <yuhei@users.sourceforge.jp> 0.4.5.5-1
- Version up.
* Sun Dec 14 2003 <yuhei@users.sourceforge.jp> 0.4.5.4-1
- Version up.
* Sat Dec 13 2003 <yuhei@users.sourceforge.jp> 0.4.5.3-1
- Version up.
* Mon Dec 09 2003 <yuhei@users.sourceforge.jp> 0.4.5.1-1
- Version up.
* Sat Dec 06 2003 <yuhei@users.sourceforge.jp> 0.4.5-1
- Version up.
- Added png icon file. 
- Added gtkrc file.
* Thu Nov 27 2003 <yuhei@users.sourceforge.jp> 0.4.4.8-1
- Added xpm icon file.
- Version up.
* Fri Nov 21 2003 <yuhei@users.sourceforge.jp> 0.4.4.3-1
- Version up.
* Fri Nov 14 2003 <yuhei@users.sourceforge.jp> 0.4.4.2-1
- Version up.
- Added some libraries. 
* Mon Jun 23 2003 <yuhei@users.sourceforge.jp> 0.4.3.6-1
- Version up.
* Wed Jun 11 2003 <yuhei@users.sourceforge.jp> 0.4.3.4-1
- Version up.
- changed prefix enviromental valuable.
- changed URL.
* Mon May 19 2003 <yuhei@users.sourceforge.jp> 0.4.3.3-1
- Version up.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.3.2-1
- Version up.
- Fixed Group.
* Mon May 12 2003 <yuhei@users.sourceforge.jp> 0.4.2.1-1
- Initial build.
