%define pkgver v1_18_0

Summary: Library for H323 spec.
Summary(ja): H323 饤֥
Name: openh323
Version: 1.18.0
Release: 0vl5
URL: http://openh323.sourceforge.net/
Source0: %{name}-%{pkgver}-src-tar.gz

Patch1: openh323-1.13.2-libname.patch
Patch2: openh323-1.12.0-asnparser.patch
Patch3: openh323-1.12.0-nosamples.patch
Patch4: openh323-1.12.0-prefix.patch
Patch5: openh323-1.12.0-PIC.patch
Patch6: openh323-1.13.2-ptlib-config.patch
License: MPL
Group: System Environment/Libraries
Requires: pwlib >= 1.6.3
Requires: speex
BuildRequires: pwlib-devel >= 1.6.3
BuildRequires: XOrg-devel speex-devel openldap-devel
BuildRequires: gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Implementation of the ITU H.323 teleconferencing protocol.

%package devel
Summary: Development package for openh323
Group: Development/Libraries
Requires: openh323 = %{version}-%{release}
Requires: pwlib-devel >= 1.6.3

%description devel
Static libraries and header files for development with openh323.

%prep 
%setup -q -n openh323_%{pkgver}
#patch1 -p1 -b .libname
#patch2 -p1 -b .ansparser
#patch3 -p1 -b .nosamples
#patch4 -p1 -b .prefix
#patch5 -p1 -b .PIC
#patch6 -p1 -b .ptlib-config

%build
#autoconf
CFLAGS="$CFLAGS -fPIC"; export CFLAGS
CCFLAGS="$CCFLAGS -fPIC"; export CCFLAGS
%configure
#configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-localspeex=no

%ifarch ia64
# Disable optimization due to g++ segfault (#116369)
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" || true
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_1.cxx -o lib/obj_linux_ia64_r/h245_1.o
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_2.cxx -o lib/obj_linux_ia64_r/h245_2.o
g++  -DP_USE_PRAGMA -fno-rtti -D_REENTRANT -Wall  -DP_64BIT -fPIC -DPTRACING -Iinclude -DHAS_OSS -DPTRACING -I/usr/share/pwlib//include -DNDEBUG  -x c++ -c src/h245_3.cxx -o lib/obj_linux_ia64_r/h245_3.o
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
%else
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
%endif

#Remove this for now, seems to break stuff: %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

#makeinstall
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_libdir}/libopenh323.@SHAREDLIBEXT@ $RPM_BUILD_ROOT%{_libdir}/libopenh323.so

#chmod 755 $RPM_BUILD_ROOT%{_libdir}/libh323_linux_x86_r.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libh323_linux_*_r.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ReadMe.txt mpl-1.0.htm
%{_libdir}/*.so.*
%{_libdir}/pwlib/codecs/audio/*.so

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%changelog
* Sun Oct  7 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.18.0-0vl5
- rebuilt with pwlib-1.10.10

* Tue May 23 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.18.0-0vl4
- rebuilt with new toolchain and pwlib-1.10.7

* Sat Mar 17 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.18.0-0vl3
- Hey Mr.Somebody, don't assume that there is only x86 target on Vine :(
  libh323_linux_x86_r.so.* -> libh323_linux_*_r.so.* in %%install section

* Fri Feb 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.18.0-0vl2
- rebuilt with pwlib-1.10.4

* Sat Feb  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.18.0-0vl1
- new upstream release
- updated URL

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.13.2-1vl1
- initial build for Vine Linux

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-1
- update to 1.13.2 final

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-0.pre1.1
- better ia64 workaround

* Fri Feb 20 2004 Alexander Larsson <alexl@redhat.com> 1.13.2-0.pre1.0
- update to 1.13.2pre1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-2
- Rebuild with right P_64BIT define on ppc64

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.12.0-1
- Update to 1.12.0
- Redo all patches for new makefiles

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-3
- Update the PIC patch for the speex codec.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-2
- Actually mkdir datadir/openh323

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.11.2-1
- Update to 1.11.2
- Removed extra speex source as it's now built in
- Update build patches
- Moved openh323u.mak to datadir/openh323

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.9.10-5
- Rebuild

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-4
- Add speex header files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-3
- Fix unpackages files

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-2
- Fix speex linking
- Remove custom strndup that was colliding with system one

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.9.10-1
- Update to 1.9.10
- Include speex tarball

* Wed Oct  9 2002 Alex Larsson <alexl@redhat.com> 1.9.3-5
- Change to use _libdir etc. throughout specfile
- Build with -fPIC

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Aug  6 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-3
- Removed excludearch ia64

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.9.3-2
- rebuild using gcc-3.2-0.1

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.9.3-1
- Update to 1.9.3

* Tue Jul  2 2002 Alexander Larsson <alexl@redhat.com> 1.9.1-1
- Updated to 1.9.1, some changes borrowed from
- the rpms by Carl-Johan Kjellander 

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Add versioned dependency on main package in devel package
- Fix to long line in desctiption

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Bump version to rebuild against new pwlib

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.8.0

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.6.1-3
- made the devel package require the binary package

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-2
- Changed libname to liboh323

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.6.0-1
- Upgraded to 1.6.0

* Thu Jul  5 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-3
- Remove PLATFORM_TYPE from libname

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com> 1.5.5-2
- More fixups. The patch is not named IHATEYOU because of a loving relationship...

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
