%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:        A free, open source, flexible, and extensible screen reader 
Name:           orca
Version:        3.4.2
Release:        1%{?_dist_release}

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://projects.gnome.org/orca/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.4/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gnome-doc-utils >= 0.17.3
BuildRequires:	gtk3-devel >= 3.1.91
BuildRequires:	pycairo-devel
BuildRequires:	pygobject3-devel >= 2.90.3
BuildRequires:	pyxdg
BuildRequires:	at-spi2-core-devel >= 2.1.92
BuildRequires:	python-brlapi
BuildRequires:	brlapi-devel
BuildRequires:	brltty
BuildRequires:	speech-dispatcher-python

Requires: python-brlapi
Requires: speech-dispatcher
Requires: speech-dispatcher-python

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
Orca is a free, open source, flexible, and extensible screen reader
that provides access to the graphical desktop via user-customizable
combinations of speech, braille, and/or magnification.

Orca works with applications and toolkits that support the assistive
technology service provider interface (AT-SPI), which is the primary
assistive technology infrastructure for the Solaris and Linux
operating environments.  Applications and toolkits supporting the
AT-SPI include the GNOME GTK+ toolkit, the Java platform's Swing
toolkit, OpenOffice, and Mozilla.  AT-SPI support for the KDE Qt
toolkit is currently being pursued.

%prep
%setup -q

%build
%configure --disable-static

make V=0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="%{__install} -p -c"

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%{_bindir}/%{name}
%{python_sitearch}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- add BuildRequires: pycairo-devel, pyxdg

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-2
- rebuild with python-2.7.2

* Tue Nov 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Fri Nov 04 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- initial build for Vine Linux

