Summary:   A PAM module that execute gnome-keyring-daemon and unlock the default keyring
Summary(ja): gnome-keyring-daemon を実行しデフォルトのキーリングをアンロックするPAMモジュール
Name:      pam_keyring
Version:   0.0.9
Release:   1%{?_dist_release}
License:   GPLv2+
Group:     System Environment/Base
Source:    http://www.hekanetworks.com/opensource/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL:       http://www.hekanetworks.com

Requires: gnome-session
Requires: gnome-keyring
Requires: pam

BuildRequires: gnome-keyring-devel
BuildRequires: pam-devel
BuildRequires: libtool autoconf automake


%description
The pam_keyring module allows GNOME users to automatically unlock 
their default keyring using their system password when they log in. 
This allows the data in the default keyring to be used more 
transparently. Ideally, users should only every have to enter one 
password (or physical token, etc.): the password they use to 
authenticate themselves to the system when they log in.


%prep
%setup -q
./autogen.sh


%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.a
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_mandir}/man8/*
%{_libexecdir}/pam-keyring-tool
/%{_lib}/security/pam_keyring*.so


%changelog
* Thu Aug 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.9-1
- initial build for Vine Linux

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Denis <denis@new-host.home> - 0.0.9-3
- Added autogen call to fix old libtool scripts

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.9-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Denis Leroy <denis@poolshark.org> - 0.0.9-1
- Update to upstream 0.0.9
- Updated License tag 

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 0.0.8-3.fc6
   - Rebuild for FC6.

* Tue Aug 22 2006 W. Michael Petullo <mike[@]flyn.org> - 0.0.8-2.fc6
   - BuildRequires libtool.

* Tue Aug 22 2006 W. Michael Petullo <mike[@]flyn.org> - 0.0.8-1.fc6
   - Updated to pam_keyring 0.0.8.

* Thu Jun 08 2006 W. Michael Petullo <mike[@]flyn.org> - 0.0.7-2
   - Don't package empty FAQ.

* Mon Apr 03 2006 W. Michael Petullo <mike[@]flyn.org> - 0.0.7-1
   - Updated to pam_keyring 0.0.7.
   - Add BuildRequires.
   - New upstream maintainer.

* Sat Aug 27 2005 W. Michael Petullo <> - 0.0.4-0.fdr.1
   - Updated to pam_keyring 0.0.4.
   - Should now build properly on x86-64.

* Wed Jun 9 2004 W. Michael Petullo <> - 0.0.1-0.fdr.1
   - Initial RPM.
