Summary:        Management tool for PulseAudio
Summary(ja):    PulseAudio 管理ツール

Name:           paprefs
Version:        0.9.10
Release:        1%{?_dist_release}

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://0pointer.de/lennart/projects/paprefs
Source0:        http://0pointer.de/lennart/projects/paprefs/paprefs-%{version}.tar.gz
Source10:	%{name}-0.9.9-ja.po
Patch10:	%{name}-0.9.6-ja.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       pulseaudio-module-gconf
BuildRequires:  gconfmm-devel libglademm2-devel desktop-file-utils
BuildRequires:  pulseaudio-libs-devel, dbus-glib-devel


%description
PulseAudio Preferences (paprefs) is a simple GTK based configuration dialog
for the PulseAudio sound server.

%description -l ja
PulseAudio 設定 (paprefs) は PulseAudio サウンドサーバ用の
GTK ベースのシンプルな設定ダイアログです。

%prep
%setup -q
%patch10 -p1 -b .ja

cp -f %{SOURCE10} po/ja.po

%build
%configure --disable-lynx
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --vendor= \
    --remove-category Application \
    --add-category HardwareSettings \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE doc/README
%{_bindir}/paprefs
%{_datadir}/paprefs/paprefs.glade
%{_datadir}/applications/paprefs.desktop
%{_datadir}/locale/*

%changelog
* Sat Jun 30 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.10-1
- new upstream release
- added BuildRequires: pulseaudio-libs-devel, dbus-glib-devel

* Sun Sep 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.9-1
- new upstream release

* Sun Aug 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.8-1
- new upstream release
- add category HardwareSettings to desktop file.

* Mon Sep 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.6-2
- add ja.po

* Sun Sep 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.6-1
- initial build for Vine Linux

* Thu Mar 27 2008 Christopher Aillon <caillon@redhat.com> - 0.9.6-3
- Add compile patch for GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.6-2
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Julian Sikorski <belegdol[at]gmail[dot]com> 0.9.6-1
- Update to 0.9.6

* Thu Sep 25 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.6-0.2.svn20070925
- Update SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.6-0.1.svn20070816
- Get snapshot from SVN

* Thu Jul 2 2007 Eric Moret <eric.moret@epita.fr> 0.9.5-2
- Update license field

* Wed Jan 10 2007 Eric Moret <eric.moret@epita.fr> 0.9.5-1
- Initial package for Fedora
