Summary: a collection of tools for manipulating patch files
Summary(ja): パッチファイル処理ツール集
Name: patchutils
Version: 0.2.31
Release: 3%{?_dist_release}
License: GPL
Group: Development/Tools
URL: http://cyberelk.net/tim/patchutils/
Source0: http://cyberelk.net/tim/data/%{name}/stable/%{name}-%{version}.tar.bz2
Patch0: patchutils-author.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: interdiff
Provides: interdiff
BuildRequires: xmlto

%description
Patchutils contains a collection of tools for manipulating patch files.
You can use interdiff to create an incremental patch between two patches
that are against a common source tree, and combinediff for creating a 
cumulative diff from two incremental patches. Filterdiff is for
extracting or excluding patches from a patch set based on modified files
matching shell wildcards. Lsdiff lists modified files in a patch. Rediff
corrects hand-edited patches. 

%prep
%setup -q
%patch0 -p1 -b .author

%build
touch doc/patchutils.xml

%configure
make
make check

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING BUGS NEWS
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.2.31-3
- rebuilt with rpm-4.8.1-3

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.31-2vl5
- applied new versioning policy, spec in utf-8

* Thu Jun  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.31-2vl1
- updated to 0.2.31
- added BuildReqires: xmlto, Obsoletes: interdiff, Provides: interdiff
- added Japanese summary
- added Patch0 from Fedora development
  * Tue Jan  6 2004 Tim Waugh <twaugh@redhat.com>
  - Ship AUTHORS and ChangeLog as well (bug #112936).

* Thu Oct 30 2003 Satoshi MACHINO <machino@vinelinux.org> 0.2.24-0vl1
- new upstream version (patchutils-0.2.24)

* Fri Mar 14 2003 Satoshi MACHINO <machino@vinelinux.org> 0.2.19-0vl1
- updated to 0.2.19

* Fri Mar 08 2002 Toru Sagami <sagami@vinelinux.org> 0.2.10-0vl1
- updated to 0.2.10

* Mon Jan 07 2002 Toru Sagami <sagami@vinelinux.org>
- 0.2.7-0vl1: initial release
