Summary:      A partitioning tool for Apple Macintosh-style partitioned disks
Summary(ja):  Apple Macintosh 用ディスクのパーティションツール
Name:         pdisk
Version:      0.8
Release:      5%{?_dist_release}
License:      Apple Free Copyright
Group:        Applications/Administration
Source:       pdisk.20000516.src.tar
Patch10:      pdisk.20000516.jp.patch
Patch11:      pdisk.20000516.getopt.patch
Patch12:      pdisk.20000516.bootstrap.patch
Patch13:      pdisk.20000516.smallsize.patch
Patch14:      pdisk.20000516.llseek.patch
Patch15:      pdisk.20000516.remove_strnlen_def.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: libjconv
Requires:      libjconv

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     shaolin


%description
pdisk enables you to view and modify Apple Macintosh-style partition maps.
Normally, it is used to create MkLinux (or LinuxPPC) partitions on your
disk, however, it can create partitions of any type, including HFS (except
it would be up to MacOS or some other tool to actually create the HFS
filesystem in that HFS partition).  pdisk won't put MacOS disk drivers onto
your disk.

%description -l ja
pdisk を使うことで, Apple Macintosh 形式のパーティションマップを
調べたり編集したりすることができます.
一般的には MkLinux (と LinuxPPC) 用パーティションを作成するのに使われますが,
HFS など他のパーティションも作成可能です.
ただし HFS ファイルシステムは MacOS 上や他のツールをつかわないと
作成できません.
pdisk は MacOS ディスクドライバはインストールしません.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -q -n pdisk
%patch10 -p0
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1


%build
make


%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_syssbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

install -m700 pdisk   ${RPM_BUILD_ROOT}%{_syssbindir}/pdisk
install -m444 pdisk.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/pdisk.8


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README pdisk.html
%{_syssbindir}/pdisk
%{_mandir}/man8/pdisk.8*


%changelog
* Sat Apr 16 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.8-5
- add Patch15

* Sun Mar  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.8-4
- fixed Group to Applications/Administration

* Sat Feb 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.8-3
- changed Group to Application/Administration

* Sat Oct 04 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.8-2
- spec in UTF-8

* Thu Apr 17 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8-1
- rebuilt

* Fri Sep 01 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8-0vl5
- Requires: libjconv

* Fri Sep 01 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8-0vl4
- rebuild

* Fri Aug 26 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8-0vl3
- added Patch12 to enable 'b' option (create 800K bootstrap partition)
  this was borrowed from Debian's mac-fdisk
- added Patch13 to print HFS/Bootstrap/UNIX_SVR2 partition
  which is smaller than 1MG
- added Patch14 to use lseek64 in place of llseek (to avoid gcc warnings)

* Fri Jun 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.8-0vl2
- added a patch to enable 'f' option

* Fri Jun 15 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.8-0vl1
- updated to 0.8, based on 0.8-0hl1 from HOLON Linux

* Thu Feb 27 2001 Kazuhide Takahashi <kazu@ppc.linux.or.jp>
- support kanji code conversion at dump disk info

* Tue Feb 20 2001 Kazuhide Takahashi <kazu@ppc.linux.or.jp>
- Just recompile for HOLON Linux 2.0.1

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.7-2vl3
- use better macros

* Mon Sep 04 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.7-2vl2
- modified %files section to handle compressed man page(s)
- added %defattr

* Sun Mar 12 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.7-2vl1
- based on 0.7-2 from LinuxPPC 1999 Q3
- added Japanese summary/description

* Fri Mar 06 1998 Gilbert Coville <coville@apple.com>
- Initial version - some bits ripped off from Mark Hatle's old pfdisk spec file.
