Summary: Object-oriented Perl extension for parsing Apache log files
Name: perl-Apache-ParseLog
Version: 1.02
Release: 1%{?_dist_release}
License: distributable
Group: Development/Libraries
Source0: http://www.cpan.org/authors/id/A/AK/AKIRA/Apache-ParseLog-%{version}.tar.gz
URL: http://search.cpan.org/search?dist=Apache-ParseLog
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004
Requires: perl >= 5.004
BuildArch: noarch

%description
Apache::ParseLog provides an easy way to parse the Apache log files, 
using an object-oriented constructs. The data obtained using this 
module are generic enough that it is flexible to use the data for 
your own applications, such as CGI, simple text-only report generater, 
feeding RDBMS, data for Perl/Tk-based GUI application, etc.

%prep
%setup -q -n Apache-ParseLog-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT pure_install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

#%check
#make test

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes HTTPStatusCodes.txt ISO3166CountryCodes.txt t
%{_mandir}/*/*

%changelog
* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.02-1
- applied new versioning policy
- rebuilt with perl-5.10.0

* Thu Feb 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.02-0vl2
- s/Copyright/License/
- changed Group to Development/Libraries

* Tue Apr 30 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.02-0vl1
- first build for Vine Linux
