Summary: Perl5 module for reading configuration files and parsing command line arguments
Name: perl-AppConfig
Version: 1.66
Release: 2%{?_dist_release}
License: distributable
Group: Development/Libraries
Source0: http://www.cpan.org/authors/id/ABW/AppConfig-%{version}.tar.gz
URL: http://search.cpan.org/~abw/AppConfig/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.004

%description
AppConfig is a bundle of Perl5 modules for reading configuration files 
and parsing command line arguments.  This is a descendant of, and 
supercedes the App::Config module.  Functionality is extended over the
final version of App::Config (1.09) and includes many new features.  This
module has been developed and in the process, renamed, as part of an 
effort to unify the various Perl modules for parsing configuration files
and command line arguments.


%prep
%setup -q -n AppConfig-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes TODO
%dir %{perl_vendorlib}/AppConfig
%{_mandir}/man3/*3pm*

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.65-2
- rebuild with perl-5.12.3

* Sat Sep 13 2008 Shu KONNO <owa@bg.wakwak.com> 1.65-1vl5
- applied new versioning policy

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.65-0vl1
- new upstream release
- s/Copyright/License/
- changed Group to Development/Libraries
- installed modules to vendor_perl dir

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 1.56-0vl1
- new upstream release

* Mon Dec 29 2003 IWAI, Masaharu <iwai@alib.jp> 1.55-0vl1
- new upstream release
- drop obsolete patch (Patch0): perl-AppConfig-pod-syntax.patch
- drop obsolete examples directory in %%doc dir

* Tue Apr 29 2003 IWAI Masaharu <iwai@alib.jp> 1.52-0vl2
- build with perl-5.8.0

* Mon Apr 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.52-0vl1
- first build for Vine Linux
