%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

Summary: Authen::SASL - SASL Authentication framework
Summary(ja): Authen::SASL - perl 用 SASL 認証フレームワーク
Name: perl-Authen-SASL
Version: 2.12
Release: 2%{?_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~gbarr/Authen-SASL/
Source0: Authen-SASL-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl 
BuildRequires: perl-Digest-HMAC
BuildRequires: perl-GSSAPI
Requires: perl 
Requires: perl-Digest-HMAC
Requires: perl-GSSAPI

%description
SASL is a generic mechanism for authentication used by several network 
protocols. Authen::SASL provides an implementation framework that 
all protocols should be able to share.

%description -l ja
SASL とは、ネットワークプロトコルの一部で使われる、認証のための汎用的な
メカニズムです。Authen::SASL ではすべてのプロトコルで共有できるフレーム
ワークを提供します。

%prep
%setup -q -n Authen-SASL-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Authen-SASL-%{version}-filelist
if [ "$(cat Authen-SASL-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files -f Authen-SASL-%{version}-filelist
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/Authen
%dir %{perl_vendorlib}/Authen/SASL

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.12-2
- rebuild with perl-5.12.3

* Wed Mar 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12-1
- new upstream release
- added BuildRequires: perl-GSSAPI
- applied new versioning policy, spec in UTF-8
- changed Group to Development/Libraries

* Mon Sep 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.09-0vl1
- new upstream release

* Sun Apr 03 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.08-0vl1
- new upstream release

* Tue Feb 08 2005 HOTTA Michihide <hotta@net-newbie.com> 2.06-0vl1
- Initial build for Vine Linux 3.1.

* Mon Feb 23 2004  <yasuma@miraclelinux.com> 2.06-1
- Initial build.
