Summary: Framework for building reusable web-applications
Name: perl-CGI-Application
Version: 4.31
Release: 2%{?_dist_release}
Group: Development/Libraries
License: GPL or Artistic
URL: http://search.cpan.org/~markstos/CGI-Application/
Source0: http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/CGI-Application-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl-HTML-Template
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
CGI::Application is intended to make it easier to create sophisticated,
reusable web-based applications. This module implements a methodology which,
if followed, will make your web software easier to design, easier to
document, easier to write, and easier to evolve.

%prep
%setup -q -n CGI-Application-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

perllocalfile=`find %{buildroot} -name perllocal.pod`
echo "mv $perllocalfile ."
mv $perllocalfile .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes README perllocal.pod
%dir %{perl_vendorlib}/CGI
%dir %{perl_vendorlib}/CGI/Application
%{_mandir}/man3/*.3*

%changelog
* Sun May 22 2011 IWAI, Masaharu <iwai@alib.jp> 4.31-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Thu Nov 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.31-1
- new upstream release

* Mon Apr 28 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 4.06-1
- rebuild with perl-5.10.0-1

* Fri Feb 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.06-0vl1
- updated to 4.06
- changed Group to Development/Libraries

* Fri Sep  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.03-0vl1
- Initial package for Vine Linux (VineSeed Plus)
