#
# Rebuild option:
#
#   --with testsuite         - run the test suite
#

Name:           perl-Cairo
Version:        1.061
Release: 1%{?_dist_release}
Summary:        Perl interface to the cairo library
Summary(ja):        Cairo ライブラリの Perl 用インターフェイス

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/Cairo/
Source0:        http://www.cpan.org/authors/id/T/TS/TSCH/Cairo-%{version}.tar.gz
Patch0:		perl-Cairo-ATSUItoQUARTZ.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl(ExtUtils::Depends), perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Test::Number::Delta)
BuildRequires:  cairo-devel >= 1.0.0
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
Cairo provides Perl bindings for the vector graphics library cairo.
It supports multiple output targets, including the X Window Systems,
PDF, and PNG.  Cairo produces identical output on all those targets
and makes use of hardware acceleration wherever possible.


%prep
%setup -q -n Cairo-%{version}
%patch0 -p1
chmod -c a-x examples/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE NEWS README TODO examples/
%{perl_vendorarch}/Cairo*
%{perl_vendorarch}/auto/Cairo/
%{_mandir}/man3/*.3pm*


%changelog
* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 1.061-1
- new upstream release
- add Vendor and Distribution tags

* Tue Nov 04 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.060-1
- new upstream release

* Mon Jul 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.045-1
- initial build for Vine Linux

* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.045-1
- update to 1.045
- change references to ATSUI to QUARTZ (resolves bz 440741)

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.044-4
- Rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.044-3
- Autorebuild for GCC 4.3

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.044-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.044-1
- 1.044

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.041-2
- Rebuild for selinux ppc32 issue.

* Tue Jun 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.041-1
- Update to 1.041.

* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.040-1
- Update to 1.040.

* Mon Feb 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.023-1
- Update to 1.023.

* Sun Dec 31 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.022-1
- Update to 1.022.

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.021-1
- Update to 1.021.

* Sat Nov 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- Update to 1.02.

* Mon Oct  2 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-2
- Rebuild (https://www.redhat.com/archives/fedora-maintainers/2006-October/msg00005.html).

* Tue Sep 26 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.01-1
- Update to 1.01.

* Tue Sep  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.00-1
- Update to 1.00.

* Wed Aug 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.92-1
- Update to 0.92.

* Sat Aug 12 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.91-1
- Update to 0.91.

* Sun Jul 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.90-1
- Update to 0.90.

* Tue Apr 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.03-2
- Disabled the test suite as it fails in mock.

* Sun Mar 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.03-1
- First build.
