%define	module	Convert-PEM
%define name	perl-%{module}
%define	version	0.07
%define	release	2%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Read/write encrypted ASN.1 PEM files
Group:          Development/Languages
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz
Requires:       perl-Convert-ASN1
Requires:       perl-Crypt-DES_EDE3
Requires:       perl-Class-ErrorHandler

BuildRequires:  perl-Class-ErrorHandler
BuildRequires:  perl-Convert-ASN1
BuildRequires:  perl-Crypt-DES_EDE3

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded objects. 
The files can optionally be encrypted using a symmetric cipher algorithm, 
such as 3DES.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.07-2
- rebuild with perl-5.12.3

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-1vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl1
- built for VineSeed

* Sat Mar 08 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl0.43
- add Requires: perl-Convert-ASN1/perl-Crypt-DES_EDE3/perl-Class-ErrorHandler

* Mon Mar 03 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.07-0vl0.42
- built for Vine 4.2 (testing)
- 1st build for Vine


