Name:           perl-DBM-Deep
Version:        2.0004
Release:        1%{?_dist_release}
Summary:        A pure perl multi-level hash/array DBM
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBM-Deep/
Source0:        http://www.cpan.org/modules/by-module/DBM/DBM-Deep-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(FileHandle::Fmode)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# not automatically detected
Requires:       perl(Digest::MD5)

%description
A unique flat-file database module, written in pure perl. True multi-level
hash/array support (unlike MLDBM, which is faked), hybrid OO / tie()
interface, cross-platform FTPable files, and quite fast. Can handle
millions of keys and unlimited hash levels without significant slow-down.
Written from the ground-up in pure perl -- this is NOT a wrapper around a
C-based DBM. Out-of-the-box compatibility with Unix, Mac OS X and Windows.

%prep
%setup -q -n DBM-Deep-%{version}

%build
export PERL_MM_USE_DEFAULT=1
%{__perl} Build.PL installdirs=vendor 
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
LONG_TESTS=1 ./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 08 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0004-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 09 2011 Iain Arnell <iarnell@gmail.com> 2.0004-2
- R/BR perl(Digest::MD5)

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.0004-1
- update to 2.004
- clean spec, add BR Test::Deep, Test::Warn

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.983-12
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.983-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.983-10
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.983-9
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.983-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.983-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.983-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.983-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.983-3
- rebuild for new perl

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.983-2
- FE6 Rebuild

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.983-1
- Specfile autogenerated by cpanspec 1.64.
- Cleaned up for FE
