%define pkgver 0.17016

Summary: Error/exception handling in an OO-ish way with Perl
Name: perl-Error
Version: 0.17
Release: 2%{?_dist_release}
License: Aristic and GPL
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/U/UA/UARUN/Error-%{pkgver}.tar.gz
Url: http://search.cpan.org/dist/Error/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.005
Requires: perl >= 5.005
Vendor: Project Vine
Distribution: Vine Linux
BuildArch: noarch
SUmmary(ja): エラーや例外をオブジェクト指向的に扱う Perl モジュール

%description
The Error package provides two interfaces. Firstly Error provides
a procedural interface to exception handling. Secondly Error is a
base class for errors/exceptions that can either be thrown, for
subsequent catch, or can simply be recorded.

Errors in the class Error should not be thrown directly, but the
user should throw errors from a sub-class of Error

%description -l ja
Errorパッケージはふたつのインターフェースを提供します。まず、
Errorは例外を扱うための手続き型インターフェースを提供します。
またErrorは、throw したり、あとでcatchしたり、もしくは単に
recordしたりするための、エラーや例外のベースクラスとなること
ができます。

Errorクラスのエラーを直接throwするべきではありません。Errorの
サブクラスを使ってエラーを投げるようにしてください。

%prep
%setup -q -n Error-%{pkgver} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot}%{_prefix} -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc README ChangeLog examples
%dir %{perl_vendorlib}/Error
%{_mandir}/*/*

%changelog
* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 0.17-2
- updated to 0.17016
- add %%{perl_vendorlib}/Error directory in %%files

* Thu Aug 28 2008 Shu KONNO <owa@bg.wakwak.com> 0.17-1vl5
- applied new versioning policy, spec in utf-8
- built with perl-5.10.0

* Tue Sep 25 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-0vl1
- updated to 0.17009
- changed Group to Development/Libraries
- install module files to vendor_perl dir

* Sat May 10 2003 IWAI Masaharu <iwai@alib.jp> 0.15-0vl1
- first build for Vine Linux
