Name:           perl-GDTextUtil
Version:        0.86
Release:        1%{?_dist_release}
Summary:        Text utilities for use with GD

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/GDTextUtil/
Source0:        http://www.cpan.org/authors/id/M/MV/MVERB/GDTextUtil-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(GD)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry
about different interface functions to call. Apart from an abstract
interface to all font types and strings for GD, this library also
provides some utility in aligning and wrapping your string.


%prep
%setup -q -n GDTextUtil-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README demo/
%{perl_vendorlib}/GD/
%{_mandir}/man3/*.3pm*


%changelog
* Fri Mar 09 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.86-1
- updated to 0.86; font removed (only used for buildtime tests)
- spec revamped
- previous Vine changelogs as follows:

  - Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.86-7
  - rebuild with perl-5.12.3
  
  - Wed Jun 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.86-6
  - applied new versioning policy
  - rebuilt with perl-5.10.0
  
  - Sun Sep  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.86-5vl2
  - changed Group to Development/Libraries
  
  - Sat Sep 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.86-5vl1
  - rebuild for Vine


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.86-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.86-19
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.86-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.86-17
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.86-16
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.86-15
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.86-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.86-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.86-12
- no need to package this font, only used for buildtime tests

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.86-11
- Rebuild for perl 5.10 (again)

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.86-10
- rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> - 0.86-9
- Add BR: perl(Test::More) (BZ 419631).

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.86-8.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Fri Sep  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.86-8
- Rebuild for FC6.

* Thu Feb 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.86-7
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 22 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.86-6
- Dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.86-5
- rebuilt

* Sun Jul 11 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.86-0.fdr.4
- Unowned directory: %%{perl_vendorlib}/GD (see bug 1800 comment #1).

* Tue Jul  6 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.86-0.fdr.3
- Install the Dustismo_Sans TrueType font (bug 1757).

* Wed Jun 16 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.86-0.fdr.2
- Bring up to date with current fedora.us perl spec template.

* Sun Oct 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.86-0.fdr.1
- First build.
