Name:           perl-Glib
Version:        1.223
Release:        1%{?_dist_release}
Summary:        Perl interface to GLib
Summary(ja):    Glib の Perl インタフェース

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/Glib/
Source0:        http://www.cpan.org/authors/id/T/TS/TSCH/Glib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  perl >= 5.8.0
BuildRequires:  glib2-devel
BuildRequires:  perl(ExtUtils::Depends), perl(ExtUtils::PkgConfig)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
This module provides perl access to Glib and GLib's GObject libraries.
GLib is a portability and utility library; GObject provides a generic
type system with inheritance and a powerful signal system.  Together
these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.


%prep
%setup -q -n Glib-%{version}

# Provides: exclude perl(MY)
cat <<__EOF__ > %{name}-perl.prov
#!/bin/sh
/usr/lib/rpm/perl.prov \$* | grep -v '^perl(MY)$'
__EOF__
%define __perl_provides %{_builddir}/Glib-%{version}/%{name}-perl.prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.pre-git LICENSE NEWS README TODO
%{perl_vendorarch}/auto/Glib/
%{perl_vendorarch}/Glib*
%{_mandir}/man3/*.3pm*

%changelog
* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 1.223-1
- new upstream release
- add Vendor and Distribution tags
- update files in doc

* Tue Nov 04 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.200-1
- new upstream release

* Mon Jul 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.162-1
- initial build for Vine Linux

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.162-5
- Rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.162-4
- Autorebuild for GCC 4.3

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.162-3
- rebuild for new perl

* Tue Jan 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.162-2
- disable smp_mflags, they break on massively SMP boxes (bz 428911)

* Mon Dec 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.162-1
- 1.162

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.144-1.2
- add BR: perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.144-1.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Feb 26 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.144-1
- Update to 1.144.

* Sun Feb 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.143-1
- Update to 1.143.

* Thu Dec  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.142-1
- Update to 1.142.

* Wed Nov 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.141-1
- Update to 1.141.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.140-1
- Update to 1.140.

* Tue Mar 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.120-1
- Update to 1.120.

* Mon Feb 13 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.105-2
- make tag problem.

* Mon Feb 13 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.105-1
- Update to 1.105.

* Mon Feb  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.104-1
- Update to 1.104 (fails one test in perl 5.8.8).

* Thu Jan 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.103-1
- Update to 1.103.
- Provides list: filtered out perl(MY) (#177956).

* Wed Nov 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.102-1
- Update to 1.102.

* Thu Oct  6 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.101-1
- Update to 1.101.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.100-1
- Update to 1.100.

* Mon Jun 27 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.082-1
- Update to 1.082.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.080-1
- Update to 1.080.

* Tue Feb 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.062-1
- Update to 1.062.

* Mon Oct 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.061-0.fdr.2
- Removed irrelevant documentation file - Glib.exports.

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.061-0.fdr.1
- Update to 1.061.

* Sun Jul 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.043-0.fdr.1
- First build.
