Name:		perl-Gnome2
Version:	1.042
Release:	2%{?_dist_release}
Summary:	Perl interface to the 2.x series of the GNOME libraries
License:	LGPLv2
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Gnome2/
Source0:	http://www.cpan.org/authors/id/T/TS/TSCH/Gnome2-%{version}.tar.gz
Patch0:		perl-Gnome2-test-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::Depends) >= 0.20
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Glib) >= 1.04
BuildRequires:	perl(Glib::MakeHelper)
BuildRequires:	perl(Gnome2::Canvas) >= 1.00
BuildRequires:	perl(Gnome2::VFS) >= 1.00
BuildRequires:	perl(Gtk2) >= 1.00
BuildRequires:	libgnomeui-devel
BuildRequires:	libSM-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
The Gnome2 module allows a perl developer to use the Gnome libraries.  Find out
more about Gnome+ at http://www.gnome.org.


%prep
%setup -q -n Gnome2-%{version}
%patch0 -p1 -b .test-fix

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog doctypes gnome.typemap LICENSE maps NEWS README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gnome2*
%{_mandir}/man3/*

%changelog
* Fri Apr 01 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.042-2
- build with perl 5.12.3
- add Vendor and Distribution tags
- add BuildRequires: libSM-devel

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.042-1
- initial build for Vine Linux based on fedora development
- add patch0: fix icon name in t/GnomeIconTheme.t

* Thu Jul 30 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 1.042-4
- Fix mass rebuild breakdown: Add BR: perl(Glib::MakeHelper).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.042-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.042-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Allisson Azevedo <allisson@gmail.com> 1.042-1
- Initial rpm release.
