%define name perl-HTML-Parser
%define real_name HTML-Parser
%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl
%endif

%define rel 2

Summary: A Perl module for parsing HTML.
Summary(ja): HTML を解析するための Perl モジュール
Name: %{name}
Version: 3.68
Release: %{rel}%{?_dist_release}
License: GPL or Artistic
Group: Development/Libraries
Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/HTML/%{real_name}-%{version}.tar.gz
Url: http://search.cpan.org/~gaas/HTML-Parser/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.8.6, perl-HTML-Tagset >= 3.03
BuildRequires: perl >= 5.8.6, perl-HTML-Tagset >= 3.03
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
The HTML-Parser module for perl to parse and extract information from
HTML documents, including the HTML::Entities, HTML::HeadParser,
HTML::LinkExtor, HTML::PullParser, and HTML::TokeParser modules.

%prep
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
make

%install
rm -rf $RPM_BUILD_ROOT
# make install
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
        sed "s@^$RPM_BUILD_ROOT@@g" | 
        grep -v perllocal.pod | 
        grep -v "\.packlist" > perl-HTML-Parser-%{version}-filelist
if [ "$(cat perl-HTML-Parser-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f perl-HTML-Parser-%{version}-filelist
%defattr(-,root,root)
%dir %{perl_vendorarch}/HTML
%dir %{perl_vendorarch}/auto/HTML
%dir %{perl_vendorarch}/auto/HTML/Parser

%changelog
* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 3.68-2
- add directory in files

* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 3.68-1
- new upstream release
- add Requires: perl(:MODULE_COMPAT_...)
- defined __find_{provides,requires} with vl4 and vl5 (updated 3.64-2)
- add Vendor and Distribution tags

* Tue Apr 13 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.64-2
- undefine __find_provides and __find_requires at VineSeed
- added Japanese summary

* Sun Nov  1 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.64-1
- new upstream release with security fix (CVE-2009-3627)

* Fri Apr 25 2008 IWAI, Masaharu <iwaim@cc.mbn.or.jp> 3.56-2vl5
- build on perl-5.10.0-1vl5

* Tue Jul 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  3.56-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp>  3.41-0vl1
- new upstream release
- build on perl-5.8.6-0vl1
- fix typo changelog: 3.34-0vl1 and 3.34-0vl2
- update Url value
- using perl_sitearch macro

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 3.34-0vl2
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 3.34-0vl1
- new upstream version
- built on perl-5.8.1

* Wed Apr 16 2003 Satoshi MACHINO <machino@vinelinux.org> 3.27-0vl1
- New upstream version
- build on perl-5.8.0
	-- changed Requires, Buildrequires
 
* Tue Oct 08 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 3.26-14vl2
- Fix Requires, Buildrequires

* Mon Oct 07 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 3.26-14vl1
- first build for Vine Linux
- add define __find_provides / __find_requires
- modefy files list (dir)

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Mon Jun  3 2002 Chip Turner <cturner@redhat.com>
- fix for Makefile.PL sometimes prompting for input

* Wed Mar 27 2002 Chip Turner <cturner@redhat.com>
- update to 3.26, move to vendor_perl

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 3.25-2
- imported from mandrake. tweaked man path.

* Tue Jul 03 2001 Fran輟is Pons <fpons@mandrakesoft.com> 3.25-1mdk
- 3.25.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.18-3mdk
- Fixed distribution tag.
- Updated Requires.
- Added an option to %makeinstall.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 François Pons <fpons@mandrakesoft.com> 3.18-1mdk
- 3.18.

* Tue Jan 30 2001 François Pons <fpons@mandrakesoft.com> 3.15-1mdk
- 3.15.

* Tue Dec 05 2000 François Pons <fpons@mandrakesoft.com> 3.14-1mdk
- 3.14.

* Thu Oct 12 2000 François Pons <fpons@mandrakesoft.com> 3.13-1mdk
- 3.13.

* Tue Aug 29 2000 François Pons <fpons@mandrakesoft.com> 3.11-1mdk
- 3.11.

* Thu Aug 03 2000 François Pons <fpons@mandrakesoft.com> 3.10-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 François Pons <fpons@mandrakesoft.com> 3.10-1mdk
- removed perllocal.pod from files.
- 3.10.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.08-1mdk
- update to 3.08

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
