Name:		perl-HTTP-Server-Simple
Version:	0.40
Release:	2%{?_dist_release}
Summary:	Very simple standalone HTTP daemon

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/HTTP-Server-Simple/
Source0:	http://www.cpan.org/authors/id/J/JE/JESSE/HTTP-Server-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	perl(URI::Escape)
BuildRequires:	perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
HTTP::Server::Simple is a very simple standalone HTTP daemon with no non-core
module dependencies.  It's ideal for building a standalone http-based UI to
your existing tools.


%prep
%setup -q -n HTTP-Server-Simple-%{version}
chmod -c a-x lib/HTTP/Server/*.pm
%{__perl} -pi -e 's|^#!perl\b|#!%{__perl}|' ex/sample_server


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README ex/
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/*.3pm*


%changelog
* Mon Apr 25 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.40-2
- build with perl 5.12.3
- add Vendor and Distribution tags

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.40-1
- initial build for Vine Linux based on fedora development

* Tue Sep 08 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 0.40-1
- Upstream update.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 0.38-1
- Upstream update.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 26 2008 Ralf Cors辿pius <corsepiu@fedoraproject.org> - 0.34-1
- Upstream update (Required by rt >= 3.8.0).

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.27-2
- rebuild for new perl

* Sat Jan 20 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.27-1
- Update to 0.27.

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.26-1
- Update to 0.26.

* Wed Nov 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.24-1
- Update to 0.24.

* Mon Oct 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.23-1
- Update to 0.23.

* Tue Jun 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.20-1
- Update to 0.20.

* Fri Feb 24 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-2
- Rebuild for FC5 (perl 5.8.8).

* Thu Feb  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-1
- Update to 0.18.

* Mon Jan 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-1
- Update to 0.17.

* Tue Nov  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.16-1
- Update to 0.16.

* Tue Oct 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.15-1
- Update to 0.15.

* Thu Aug 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.13-1
- First build.
