%define real_name Jcode

Summary: a Perl extension interface to convert Japanese text
Summary(ja): さまざまな日本語文字コードを Perl で扱うための Module
Name: perl-Jcode
Version: 2.07
Release: 1%{?_dist_release}
License: Free (the same terms as Perl itself)
Group: Development/Libraries
Source0: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Net/%{real_name}-%{version}.tar.gz
Requires: perl >= 5.8.1
BuildRequires: perl >= 5.8.1
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
This is a Perl module for using Japanese charset.

%description -l ja
さまざまな日本語文字コードを Perl で扱うための Module

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
             
rm -f %{buildroot}%{perl_vendorarch}/mac_install.pl
rm -f %{buildroot}%{perl_vendorarch}/win_install.pl


find $RPM_BUILD_ROOT%{_libdir} -type f -print |
         sed "s@^$RPM_BUILD_ROOT@@g" |
	 grep -v perllocal.pod |
	 grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

perllocalfile=`find %{buildroot} -name perllocal.pod`
echo "mv $perllocalfile ."
mv $perllocalfile .

%clean 
rm -rf %{buildroot}

%check
make test

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes MANIFEST README perllocal.pod
%dir %{perl_vendorlib}/Jcode
#dir %{perl_vendorarch}/Jcode/Unicode
#dir %{perl_vendorarch}/auto/Jcode
#dir %{perl_vendorarch}/auto/Jcode/Unicode
%{_mandir}/man3/*

%changelog
* Sat Apr 23 2011 IWAI, Masaharu <iwai@alib.jp> 2.07-1
- new upstream release
- update {,Build}Requires perl version: 5.8.1+

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-2
- spec in UTF-8

* Wed Apr 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-1
- applied new versioning policy

* Fri Feb 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.06-0vl1
- new upstream release
- changed Group to Development/Libraries
- changed noarch

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 0.88-0vl1
- build on perl-5.8.6-0vl1

* Tue Nov 11 2003 IWAI, Masaharu <iwai@alib.jp> 0.83-0vl4
- build with perl-5.8.2

* Thu May  8 2003 IWAI Masaharu <iwai@alib.jp> 0.83-0vl3
- drop scripts for installing on the MS Windows and MacOS

* Tue May 06 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.83-0vl2
- fixed install dir of perllocal.pod

* Wed Apr 16 2003 IWAI Masaharu <iwai@alib.jp> 0.83-0vl1
- update to 0.83
- build with perl-5.8.0
- eliminate perl-MIME-Base64 in {Build,}Requires

* Sat Feb 15 2003 IWAI Masaharu <iwai@alib.jp> 0.82-0vl1
- update to 0.82

* Sun May 19 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.80-0vl1
- updated to 0.80
- HISTORY -> Changes

* Thu Sep 06 2001 Toru Sagami <sagami@vinelinux.org>
- 0.75-0vl2: was ported to VineSeedPlus with minor spec fixes

* Tue Jul 24 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- updated to 0.75

* Thu Jun 14 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- fixed Copyright.

* Thu Jun 14 2001 Yasuhide OOMORI <dasen@icntv.ne.jp>
- first version of rpm.

# end of file
