Name:           perl-LDAP
Version:        0.44
Release:        2%{?_dist_release}
Summary:        LDAP Perl module

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/perl-ldap/
Source0:        http://www.cpan.org/authors/id/G/GB/GBARR/perl-ldap-%{version}.tar.gz

BuildArch:      noarch
# [Core Features]
BuildRequires:  perl(Convert::ASN1)
BuildRequires:  perl(IO::Socket::SSL)
# [optional modules]
BuildRequires:  perl(Authen::SASL) >= 2.00
BuildRequires:  perl(URI::ldap) >= 1.1
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(XML::SAX::Writer)
# [test]
BuildRequires:  perl(Test::More)
BuildRequires:  perl(LWP::UserAgent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Authen::SASL)

Provides:       perl-ldap = %{version}-%{release}
Obsoletes:      perl-ldap < 0.44

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin


%description
Net::LDAP is a collection of modules that implements a LDAP services API
for Perl programs. The module may be used to search directories or perform
maintenance functions such as adding, deleting or modifying entries.

%description -l ja
Net::LDAP は、LDAP サービス API を実装する Perl モジュール集です。
このモジュールを使って、LDAP ディレクトリ検索や、LDAP エントリの
追加・削除・修正などの機能を Perl から利用可能になります。


%prep
%setup -q -n perl-ldap-%{version}
chmod -c 644 bin/* contrib/* lib/Net/LDAP/DSML.pm
%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' contrib/*

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Net::LDAP::Filter)$/d'
EOF

%define __perl_provides %{_builddir}/perl-ldap-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test
 
%clean
rm -rf %{buildroot}

%files
%doc Changes CREDITS
%doc contrib/ bin/
%{perl_vendorlib}/Bundle/
%{perl_vendorlib}/LWP/
%{perl_vendorlib}/Net/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.44-2
- rebuild

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.44-1
- renamed to perl-LDAP from perl-ldap for consistency
- updated to 0.44
- previous Vine changelog as follows:

  - Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 0.3202-1vl5
  - spec in utf-8
  - applied vine5 versioning policy
  
  - Sun Sep 03 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3202-0vl2
  - changed Group to Development/Libraries
  
  - Sun Apr 03 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3202-0vl1
  - new upstream release
  
  - Tue Feb 08 2005 HOTTA Michihide <hotta@net-newbie.com> 0.31-0vl1
  - Initial build for Vine Linux 3.1.
  
  - Mon Feb 23 2004  <yasuma@miraclelinux.com> 0.31-1
  - Initial build.

* Mon Feb  6 2012 Marcela Maslanova <mmaslano@redhat.com> - 1:0.44-1
- update which should fix RT#66753
- clean specfile according to new guidelines

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.40-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1:0.40-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:0.40-3
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:0.40-2
- Mass rebuild with perl-5.12.0

* Mon Apr 12 2010 Marcela Mašláňová <mmaslano@redhat.com> - 1:0.40-1
- update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1:0.34-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.34-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.34-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.34-4
- rebuild for new perl

* Mon Apr 09 2007 Robin Norwood <rnorwood@redhat.com> - 1:0.34-3
- Resolves: bz#226267
- Only filter out the unversioned Provides: perl(Net::LDAP::Filter) to
  avoid breaking dependencies.

* Thu Apr 05 2007 Robin Norwood <rnorwood@redhat.com> - 1:0.34-2
- Resolves: bz#226267
- Filter out provides perl(Net::LDAP::Filter) per package review.

* Tue Feb 13 2007 Robin Norwood <rnorwood@redhat.com> - 1:0.34-1
- New version: 0.34

* Wed Sep 27 2006 Robin Norwood <rnorwood@redhat.com> - 1:0.33-3
- Bugzilla: 207430
- Incorporate fixes from Jose Oliveira's patch
- Add perl(IO::Socket::SSL) as a BuildRequires as well
- Other cleanups from Jose

* Wed Sep 27 2006 Robin Norwood <rnorwood@redhat.com> - 0.33-1.3
- Add a requirement for IO::Socket::SSL, per bug #122066

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 0.33-1.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Tue Apr 26 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.33-1
- Update to 0.33.

* Sat Apr 02 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.3202-1
- Update to 0.3202.
- Specfile cleanup. (#153766)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 0.31-5
- rebuild

* Wed Mar 10 2004 Chip Turner <cturner@redhat.com> - 0.31-1
- Specfile autogenerated.

