%define	pkgname	Log-Dispatch-FileRotate

# Basic Information
Name:		perl-%{pkgname}
Version:	1.19
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MARKPF/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Log::Dispatch::FileRotate - Log to files that archive/rotate themselves
#Summary(ja):	

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
This module provides a simple object for logging to files under the
Log::Dispatch::* system, and automatically rotating them according to
different constraints. This is basically a Log::Dispatch::File wrapper
with additions. To that end the arguments

        name, min_level, filename and  mode

behave the same as Log::Dispatch::File. So see its man page (perldoc
Log::Dispatch::File)

#%%description -l ja

%prep
%setup -q -n Log-Dispatch-FileRotate-1.19

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Thu Jan 26 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.19-1
- initial build for Vine Linux
