%define	pkgname	Log-Dispatch

# Basic Information
Name:		perl-%{pkgname}
Version:	2.29
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Log::Dispatch - Dispatches messages to one or more outputs
Summary(ja):	Log::Dispatch - 1 つ以上の出力へのメッセージの急送

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
This module manages a set of Log::Dispatch::* output objects that can be
logged to via a unified interface.

The idea is that you create a Log::Dispatch object and then add various
logging objects to it (such as a file logger or screen logger). Then you
call the log method of the dispatch object, which passes the message to each
of the objects, which in turn decide whether or not to accept the message
and what to do with it.

This makes it possible to call single method and send a message to a log
file, via email, to the screen, and anywhere else, all with very little code
needed on your part, once the dispatching object has been created.

%description -l ja
このモジュールは、統一されたインターフェース経由でログを記録できる
Log::Dispatch::* 出力オブジェクトのセットを管理します。

このアイディアは、Log::Dispatch オブジェクトを作成し、(ファイルロガーや
スクリーンロガーといった)さまざまなログ記録オブジェクトを追加します。
それから、dispatch オブジェクトのメソッドを呼び出します。このメソッドは、
メッセージをそれぞれのオブジェクトへ渡し、それぞれのオブジェクトはメッセージ
を受理すべきかどうか決定します。

これにより単一のメソッドを呼び出して一旦、dispatching オブジェクトが生成され
たならば、ログファイル、E-メール経由、画面やその他すべてに僅かなコードで
メッセージを送信できます。

%prep
%setup -q -n Log-Dispatch-2.29

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Log/Dispatch/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes LICENSE README

%changelog
* Sat Jan 21 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.29-1
- initial build for Vine Linux
