%define	pkgname	Log-Dump

# Basic Information
Name:		perl-%{pkgname}
Version:	0.09
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	simple logger mainly for debugging
Summary(ja):	主にデバッグのための簡単なロガー

# Dependency
Requires:	perl
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:	perl

%description
Log::Dump is a simple logger mix-in mainly for debugging. This installs five
methods into a caller (the class that used Log::Dump) via Sub::Install. The
point is you don't need to load extra dumper modules or you don't need to
concatenate messages. Just log things and they will be dumped (and
concatenated if necessary) to stderr, and to a file if you prefer. Also, you
can use these logging methods as class methods or object methods (though
usually you don't want to mix them, especially when you're doing something
special).

#%%description -l ja

%prep
%setup -q -n Log-Dump-0.09

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Log/Dump/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_sitelib}/Log/Dump
%{_mandir}/*/*

%changelog
* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.09-1
- initial build for Vine Linux
