Name:           perl-MIME-Lite
Version:        3.028
Release:        1%{?_dist_release}
Summary:        MIME::Lite - low-calorie MIME generator

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/MIME-Lite/
Source0:        http://www.cpan.org/authors/id/Y/YV/YVES/MIME-Lite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Test::More)
BuildRequires:  perl(Email::Date::Format) perl(Mail::Address)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(MIME::Types) >= 1.28
# Tests
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# not detected by automated find-requires:
Requires:       perl(Email::Date::Format)
Requires:       perl(MIME::Types) >= 1.28

%description
MIME::Lite is intended as a simple, standalone module for generating (not 
parsing!) MIME messages... specifically, it allows you to output a simple,
decent single- or multi-part message with text or binaryattachments.  It does
not require that you have the Mail:: or MIME:: modules installed.

%prep
%setup -q -n MIME-Lite-%{version}
sed -i 's/\r//' examples/*
sed -i 's/\r//' contrib/README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -empty -exec rmdir ';'

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc changes.pod README examples contrib COPYING LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.028-1
- updated to 3.028

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.01-6
- rebuild with perl-5.12.3

* Tue Nov 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.01-5vl1
- Initial build for Vine Linux

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> 3.01-5
- Rebuild

* Thu Mar 30 2006 Mike McGrath <imlinux@gmail.com> 3.01-4
- New maintainer

* Thu Jun 23 2005 Ralf Corsepius <ralf@links2linux.de> 3.01-3
- Add %%{dist}.

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 3.01-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 3.01-1
- Initial packageing.
