%define	pkgname	Net-SNMP

# Basic Information
Name:		perl-%{pkgname}
Version:	6.0.1
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/D/DT/DTOWN/%{pkgname}-v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Net::SNMP - Object oriented interface to SNMP
Summary(ja):	Net::SNMP - SNMP へのオブジェクト指向インターフェース

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
The Net::SNMP module implements an object oriented interface to the 
Simple Network Management Protocol.  Perl applications can use the  
module to retrieve or update information on a remote host using the 
SNMP protocol.  The module supports SNMP version-1, SNMP version-2c 
(Community-Based SNMPv2), and SNMP version-3.  The Net::SNMP module 
assumes that the user has a basic understanding of the Simple Network 
Management Protocol and related network management concepts.

%description -l ja
Net::SNMP モジュールは、Simple Network Management Protocol へのオブジェクト
指向インターフェースを実装しています。Perl アプリケーションでこのモジュール
を利用すれば、 SNMP プロトコルを利用してリモートホストの情報を受信や更新でき
ます。このモジュールは、SNMP version-1、SNMP version-2c (コミュニティーベー
ス SNMPv2) および SNMP version-3 をサポートしています。Net::SNMP モジュール
は、ユーザーが Simple Network Management Protocol および関連するネットワーク
管理の概念について基本的な理解をもっているものと仮定しています。

%prep
%setup -q -n Net-SNMP-v6.0.1

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes LICENSE README

%changelog
* Sat Feb 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 6.0.1-1
- initial build for Vine Linux
