%define	pkgname	Net-SSLeay

# Basic Information
Name:		perl-%{pkgname}
Version:	1.42
Release:	1%{?_dist_release}
# COPYING  などを参照して License を修正してください。
License:	Artistic or GPL
# /usr/share/doc/rpm-4.9.1.2/GROUPS_for_vine.txt を参照して Group を修正してください。
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Net::SSLeay - Perl extension for using OpenSSL
Summary(ja):	Net::SSLeay - OpenSSL を利用するための Perl 拡張

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel

%description
This module offers some high level convenience functions for accessing web
pages on SSL servers (for symmetry, the same API is offered for accessing
http servers, too), an sslcat() function for writing your own clients, and
finally access to the SSL api of the SSLeay/OpenSSL package so you can write
servers or clients for more complicated applications.

%description -l ja
このモジュールは、SSL サーバー上の web ページに接続するための高レベルで便利
な関数を提供します。(調和のため、http サーバーに接続するのも同じ API を提供
します。) あなたのクライアントで sslcat() 関数を使い、SSLay/OpenSSL パッケー
ジの SSL API にアクセスすることでより複雑なアプリケーションでのためサーバーや
クライアントを記述することができます。

%prep
%setup -q -n Net-SSLeay-1.42

%build
perl Makefile.PL << EOI
n
EOI
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README TODO

%changelog
* Sat Feb 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.42-1
- initial build for Vine Linux
