Name:           perl-NetPacket
Version:        1.3.1
Release:        1%{?_dist_release}
Summary:        Assemble/disassemble network packets at the protocol level
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetPacket/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/NetPacket-%{version}.tar.gz
Patch0:         NetPacket-1.3.0-Build.PL-downgrade-modules-requirements.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

%description
NetPacket provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each NetPacket descendant
module knows how to encode and decode packets for the network protocol it
implements. Consult the documentation for the module in question for protocol-
specific implementation.

%prep
%setup -q -n NetPacket-%{version}
%patch0 -p1
mv t/000-report-versions.t t/000-report-versions.t.disable

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.3.1-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 24 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.1-1
- Update to 1.3.1.

* Mon Nov 14 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.0-1
- Update to 1.3.0.
- Rebased patch0.

* Sat Jul 30 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2.0-1
- Update to 1.2.0.

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1-2
- Perl mass rebuild

* Thu Feb 10 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.1.1-1
- Update to 1.1.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.1.0-1
- Update to 1.1.0.

* Fri Dec 24 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0.1-1
- Update to 1.0.1.
- Disable test t/000-report-versions.t and downgrade build requirements
  (NetPacket-1.0.1-Build.PL-downgrade-modules-requirements.patch) in order
  to support EPEL >= 5 and Fedora >= 12.

* Mon Mar 29 2010 Jan Klepek 0.42.0-1
- Changed license to Artistic 2.0 and updated version

* Mon Mar 15 2010 Jan Klepek 0.41.1-1
- Specfile autogenerated by cpanspec 1.78.
