Name:           perl-PPIx-Regexp
Version:        0.025
Release:        2%{?_dist_release}
Summary:        Represent a regular expression of some sort
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PPIx-Regexp/
Source0:        http://www.cpan.org/authors/id/W/WY/WYANT/PPIx-Regexp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(PPI::Document) >= 1.117
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(PPI::Document) >= 1.117
Requires:       perl(Task::Weaken)

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

%description
The purpose of the PPIx-Regexp package is to parse regular expressions in a
manner similar to the way the PPI package parses Perl. This class forms the
root of the parse tree, playing a role similar to PPI::Document.

%prep
%setup -q -n PPIx-Regexp-%{version}
chmod -x eg/*
sed -i '1 s|/usr/local/bin/perl|/usr/bin/perl|' eg/*

%if %{_dist_release} > "vl6"
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(PPI::Document\\)$
%else
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(PPI::Document)/d'
EOF

%global __perl_requires %{_builddir}/PPIx-Regexp-%{version}/%{name}-req
chmod +x %{__perl_requires}
%endif

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf ${RPM_BUILD_ROOT}
./Build install destdir=${RPM_BUILD_ROOT} create_packlist=0
find ${RPM_BUILD_ROOT} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} ${RPM_BUILD_ROOT}/*

%check
./Build test

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc Changes eg LICENSES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.025-2
- rebuild

* Fri Feb 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.025-1
- initial build for Vine Linux

* Mon Jan 23 2012 Petr Pisar <ppisar@redhat.com> - 0.025-1
- 0.025 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Petr Pisar <ppisar@redhat.com> - 0.024-1
- 0.024 bump

* Fri Dec 09 2011 Petr Pisar <ppisar@redhat.com> - 0.023-1
- 0.023 bump

* Fri Nov 25 2011 Petr Pisar <ppisar@redhat.com> - 0.022-1
- 0.022 bump

* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 0.021-1
- 0.021 bump
- Remove RPM 4.8 filter

* Mon Jul 25 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.020-3
- add new filter

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.020-2
- Perl mass rebuild

* Mon Apr 04 2011 Petr Pisar <ppisar@redhat.com> - 0.020-1
- 0.020 bump

* Wed Mar 02 2011 Petr Pisar <ppisar@redhat.com> - 0.019-1
- 0.019 bump

* Thu Feb 17 2011 Petr Pisar <ppisar@redhat.com> - 0.018-1
- 0.018 bump
- Remove BuildRoot stuff

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.017-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Petr Pisar <ppisar@redhat.com> - 0.017-1
- 0.017 bump

* Thu Jan 06 2011 Petr Pisar <ppisar@redhat.com> - 0.016-1
- 0.016 bump

* Wed Oct 27 2010 Petr Pisar <ppisar@redhat.com> - 0.015-1
- 0.015 bump

* Mon Oct 18 2010 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Mon Oct 04 2010 Petr Pisar <ppisar@redhat.com> - 0.012-1
- 0.012 bump

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> - 0.011-1
- 0.011 bump
- Remove unversioned Requires

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Tue Jun  8 2010 Petr Pisar <ppisar@redhat.com> - 0.007-1
- Specfile autogenerated by cpanspec 1.78 (bug #598553).
