%define	pkgname	Params-Validate

# Basic Information
Name:		perl-%{pkgname}
Version:	1.00
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Params::Validate - Validate method/function parameters
Summary(ja):	Params::Validate - メソッド/関数のパラメーターを検証する

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
The Params::Validate module allows you to validate method or function call
parameters to an arbitrary level of specificity. At the simplest level, it
is capable of validating the required parameters were given and that no
unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific type,
that it is an object of a certain class hierarchy, that it possesses certain
methods, or applying validation callbacks to arguments.

#%%description -l ja
#Params::Validate モジュールを使えば、

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Build.PL
./Build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} ./Build install

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes LICENSE README

%changelog
* Thu Jan 26 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.00-1
- initial build for Vine Linux
