%define	pkgname	Path-Extended

# Basic Information
Name:		perl-%{pkgname}
Version:	0.19
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	yet another Path class
#Summary(ja):	ここに日本語で概要を記述してください

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
This is yet another file/directory handler that does a bit more than
Path::Class for some parts, and a bit less for other parts. One of the main
difference is Path::Extended always tries to use forward slashes when
possible, ie. even when you're on the MS Windows, so that you don't need to
care about escaping paths that annoys you from time to time when you want to
apply regexen to a path, especially in file tests that use 'like' or
'compare'.

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n Path-Extended-0.19

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Path/Extended/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_sitelib}/Path/Extended
%dir %{perl_sitelib}/Path/Extended/Class
%{_mandir}/*/*


%changelog
* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.19-1
- initial build for Vine Linux
