Name:		perl-SUPER
Version:	1.17
Release:	1%{?_dist_release}
Summary:	Sane superclass method dispatcher
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/SUPER/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/SUPER-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Scalar::Util) >= 1.20
BuildRequires:	perl(Sub::Identify) >= 0.03
BuildRequires:	perl(Test::Simple) >= 0.61
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Scalar::Util) >= 1.20
Requires:	perl(Sub::Identify) >= 0.03

# Filter out bogus provides (rpm 4.9 onwards)
%global __provides_exclude ^perl\\((DB|UNIVERSAL)\\)

%description
When subclassing a class, you occasionally want to dispatch control to the
superclass - at least conditionally and temporarily. This module provides
an easier, cleaner way for class methods to access their ancestor's
implementation.

%prep
%setup -q -n SUPER-%{version}

# Filter out bogus provides (prior to rpm 4.9)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Evx 'perl[(](DB|UNIVERSAL)[)]'"
%define __perl_provides %{provfilt}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/SUPER.pm
%{_mandir}/man3/SUPER.3pm*

%changelog
* Thu Mar 08 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.17-1
- initial build for Vine Linux

* Tue Mar  6 2012 Paul Howarth <paul@city-fan.org> - 1.17-7
- Add provides filters that work with all supported distributions
- BR: perl(Carp) and perl(Exporter)
- Make %%files list more explicit
- Drop explicit requires of perl(Exporter) since it's auto-detected by rpm
  4.9 onwards, and is bundled with perl on all older distributions
- Don't need to remove empty directories from buildroot
- Don't use macros for commands
- %%defattr redundant since rpm 4.4
- Use tabs

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.17-5
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.17-3
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.17-2
- Mass rebuild with perl-5.12.0

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.17-1
- Update filtering
- Auto-update to 1.17 (by cpan-spec-update 0.01)
- Added a new br on perl(Scalar::Util) (version 1.20)
- Altered br on perl(Sub::Identify) (0 => 0.03)
- Altered br on perl(Test::Simple) (0 => 0.61)
- Added a new req on perl(Scalar::Util) (version 1.20)
- Added a new req on perl(Sub::Identify) (version 0.03)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.16-3
- Rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> - 1.16-2
- Adjust License-tag
- BR: perl(Test::Simple) (BZ 419631)

* Wed Apr 04 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.16-1
- Update to 1.16

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.15-1
- Update to 1.15
- Add explict requires on perl(Exporter); missed due to a use base construct

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-4
- Bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-3
- Update %%description and %%summary

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-2
- Filter errant perl(DB) provide

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-1
- Specfile autogenerated by cpanspec 1.69.1
