%define	pkgname	Test-Classy

# Basic Information
Name:		perl-%{pkgname}
Version:	0.09
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/I/IS/ISHIGAKI/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	write your unit tests in other modules than *.t
Summary(ja):	*.t 以外のモジュールで単体テストを書く

# Dependency
Requires:	perl
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:	perl

%description
This is yet another Test::Class-like unit testing framework. As stated in
Test::Class pod, you don't need to care if your tests are small and working
correctly. If not, this may be one of your options.

Unlike Test::Class, Test::Classy (actually Test::Classy::Base) is based on
Test::More and exports everything Test::More exports. Test::Classy doesn't
control test flow as fully as Test::Class, but it may be easier to skip and
limit tests.

#%%description -l ja

%prep
%setup -q -n Test-Classy-0.09

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Test/Classy/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_sitelib}/Test/Classy
%{_mandir}/*/*


%changelog
* Mon Oct 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.09-1
- initial build for Vine Linux
