Summary: a unit testing interface for Perl
Name: perl-Test-Unit
Version: 0.25
Release: 2%{?_dist_release}
License: Perl's
Group: Development/Libraries
Source0: http://prdownloads.sourceforge.net/perlunit/Test-Unit-%{version}.tar.gz
Url: http://perlunit.sourceforge.net/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004
BuildRequires: perl-Class-Inner
BuildRequires: perl-Devel-Symdump
BuildRequires: perl-Error
Requires: perl >= 5.004
Requires: perl-Error
Requires: perl-Devel-Symdump
Requires: perl-Class-Inner
Requires: perl-Tk
BuildArch: noarch

%description
Test::Unit is the procedural style interface to a sophisticated
unit testing framework for Perl that is derived from the JUnit
testing framework for Java by Kent Beck and Erich Gamma. 

%prep
%setup -q -n Test-Unit-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README doc examples *.pl AUTHORS ChangeLog
%{_mandir}/*/*
%dir %{perl_vendorlib}/Test
%dir %{perl_vendorlib}/Test/Unit
%dir %{perl_vendorlib}/Test/Unit/Assertion
%dir %{perl_vendorlib}/Test/Unit/Runner

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.25-2
- rebuild with perl-5.12.3

* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.25-1vl5
- applied new versioning policy
- added BuildRequires: perl-Class-Inner, perl-Devel-Symdump, perl-Error

* Thu Feb 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.25-0vl1
- updated to 0,25
- changed Group to Development/Libraires
- added Requires: perl-Tk

* Sat May 10 2003 IWAI Masaharu <iwai@alib.jp> 0.24-0vl1
- version up to 0.24
- replace Copyright tag with License tag
- clarify the License
- update Requires:
    add perl-Error, perl-Devel-Symdump and perl-Class-Inner

* Fri Apr  5 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.14-0vl1
- first release for Vine Linux

