%include %{_rpmconfigdir}/macros.perl

# Basic Information
Name:		perl-Text-CharWidth
Version:	0.04
Release:	2%{?_dist_release}
License:	Artistic/GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/K/KU/KUBOTA/Text-CharWidth-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Text-CharWidth module for perl
Summary(ja):	Perl の Text-CharWidth モジュール

# Dependency
# 以下に依存関係を記述してください。

Requires:	perl
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	glibc

BuildRequires:	perl
BuildRequires:	glibc-devel
BuildRequires:	glibc-headers

%description
This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3).  This also provides mblen(3) equivalent subroutine.
mbwidth() and mbswidth() are provided subroutines corresponding
wcwidth(3) and wcswidth(3) in C language.  The prefix "mb" expresses
that they handles "multibyte character" in C meaning, i.e., character
encoding specified by LC_CTYPE locale.

%description -l ja
このモジュールは、wcwidth(3)、wcswidth(3) および mblen(3) と同等の機能を提供
します。
mbwidth() および mbswidth() は、C言語の wcwidth(3) および wcswidth(3) に対応
するサブルーチンとして提供されます。接頭辞「mb」は、Cでは、「マルチバイト文
字」を扱うことを意味します。文字エンコーディングは、LC_CTYPE によって指定し
ます。

%prep
%setup -q -n Text-CharWidth-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
%{__make}

%check
%{__make} test

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove unnecessary files.
%{__rm} -rf  ${RPM_BUILD_ROOT}/%{perl_archlib}/perllocal.pod
%{__rm} -rf  ${RPM_BUILD_ROOT}/%{perl_vendorarch}/auto/Text/CharWidth/.packlist

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Text
%dir %{perl_vendorarch}/auto/Text
%dir %{perl_vendorarch}/auto/Text/CharWidth
%{_mandir}/*/*

%changelog
* Wed Mar 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.04-2
- Fixed [VineSeed:22926]

* Sun Dec 26 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.04-1
- initial build for Vine Linux

