%include %{_rpmconfigdir}/macros.perl

# Basic Information
Name:		perl-Text-WrapI18N
Version:	0.06
Release:	2%{?_dist_release}
License:	Artistic/GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/K/KU/KUBOTA/Text-WrapI18N-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Text-WrapI18N module for perl
Summary(ja):	perl の Text-WrapI18N モジュール

# Dependency
# 以下に依存関係を記述してください。
BuildArch:	noarch
Requires:	perl
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl-Text-CharWidth

BuildRequires:	perl
BuildRequires:	perl-Text-CharWidth

%description
This is a module which intends to substitute Text::Wrap,
which supports internationalized texts including:
 - multibyte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5,
 - fullwidth characters like east Asian characters which appear in
   UTF-8, EUC-JP, EUC-KR, GB2312, Big5, and so on,
 - combining characters like diacritical marks which appear in UTF-8,
   ISO-8859-11 (aka TIS-620), and so on, and
 - languages which don't use whitespaces between words, like Chinese
   and Japanese.

#%%description -l ja

%prep
%setup -q -n Text-WrapI18N-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
%{__make} 

%check
%{__make} test

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove unnecessary files.
%{__rm} -rf  ${RPM_BUILD_ROOT}/%{perl_archlib}/perllocal.pod
%{__rm} -rf  ${RPM_BUILD_ROOT}/%{perl_vendorarch}/auto/Text/WrapI18N/.packlist

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*

%changelog
* Wed Mar 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.06-2
- rebuild with perl-5.12.3 (fixed [VineSeed:22926])

* Sun Dec 26 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.06-1
- initial build for Vine Linux
