%define real_name Thread-Conveyor-Monitored

Summary:        Monitor a belt for specific content
Name:           perl-Thread-Conveyor-Monitored
Version:        0.14
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Thread-Conveyor/
Source:         http://www.cpan.org/modules/by-module/Thread/Thread-Conveyor-Monitored-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(load)
BuildRequires:  perl(Thread::Conveyor) >= 0.15
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
The Thread::Conveyor::Monitored module implements a single worker
thread that takes of boxes of values from a belt created with 
Thread::Conveyor and which checks the boxes for specific content.

It can be used for simply logging actions that are placed on the belt.
Or only output warnings if a certain value is encountered in a box. Or
create a safe sandbox for Perl modules that are not thread-safe yet.

This module only functions on Perl versions 5.8.0 and later.
And then only when threads are enabled with -Dusethreads.  It
is of no use with any version of Perl before 5.8.0 or without
threads enabled.
%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc MANIFEST README CHANGELOG TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.14-1
- initial build for Vine Linux
