%define perlversion %(rpm -q perl --qf "%%{epoch}:%%{version}")
%define pkgname Video-Frequencies

Summary:	A perl module for the Video4linux tuner frequencies.
Name:		perl-%{pkgname}
Version:	0.03
Release:	1%{?_dist_release}
Group:		Development/Libraries
License:	distributable
URL:		http://ivtv.sf.net/
Source0:	%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	perl = %{perlversion}

%description
Video::Frequencies provides a table of hashes that represent all the current
frequency mappings that are used by Video4Linux programs.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{pkgname}-%{version}-filelist
if [ "$(cat %{pkgname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{pkgname}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST

%changelog
* Tue Jan 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.03-1
- apply new versioning policy 
- rebuild with perl v5.10.0

* Thu Nov 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.03-0vl3
- add Require: perl = %%{perlversion}

* Wed May 16 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.03-0vl2
- rebuild with new environment

* Sun Oct 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.03-0vl1
- initial build for Vine Linux

