%define _use_internal_dependency_generator 0

Name: perl-XML-Twig
Version: 3.29
Release: 3%{?_dist_release}
Summary: A perl module for processing huge XML documents in tree mode.
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~mirod/XML-Twig/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.2, perl-XML-Parser >= 2.23
Requires: perl >= 5.8.2, perl-XML-Parser >= 2.23
Buildarch: noarch
Source0: XML-Twig-%{version}.tar.gz

%description
This module provides a way to process XML documents. It is build on
top of XML::Parser.  XML::Twig offers a tree interface to the
document, while allowing you to output the parts of it that have been
completely processed.  It allows minimal resource (CPU and memory)
usage by building the tree only for the parts of the documents that
need actual processing, through the use of the twig_roots and
twig_print_outside_roots options.

%prep
%setup -q -n XML-Twig-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor <<_OPT_
y
_OPT_
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
        grep -v %{_mandir}    | \
	grep -v "\.packlist" > XML-Twig-%{version}-filelist
if [ "$(cat XML-Twig-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

#%check
#make test || /bin/true

%clean
rm -rf $RPM_BUILD_ROOT

%files -f XML-Twig-%{version}-filelist
%defattr(-,root,root)
%{_mandir}/man1/xml*.1*
%{_mandir}/man3/*3pm*

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.29-3
- fix typo

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.29-2
- rebuilt with perl-5.12.3

* Sun Jul 27 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.29-1
- rebuilt with perl-5.10.0
- applied new versioning policy

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.29-0vl1
- new upstream
- changed Group to Development/Libraries

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.15-0vl2
- rebuilt for VineSeed (4.0)
- changed Group to Development/Languages

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 3.15-0vl1
- new upstream release
- build on perl-5.8.6-0vl1

* Sat Dec 13 2003 Satoshi MACHINO <machino@vinelinux.org> 3.11-0vl2
- built on perl-5.8.2

* Thu Nov 06 2003 Satoshi MACHINO <machino@vinelinux.org> 3.11-0vl1
- new updtream version
- built on perl-5.8.1

* Sun Apr 20 2003 Satoshi MACHINO <machino@vinelinux.org> 3.09-3vl2
- build on perl-5.8.0

* Sun Mar 02 2003 Satoshi MACHINO <machino@vinelinux.org> 3.09-3vl1
- build for VineLinux

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Mon Aug 26 2002 Chip Turner <cturner@redhat.com>
- rebuild for build failure

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Wed May 29 2002 cturner@redhat.com
- Specfile autogenerated

