%define _noVersionedDependencies 1
%define initdir /etc/rc.d/init.d

Summary: An implementation of the RFC1413 identification server.
Name: pidentd
Version: 3.0.19
Release: 1%{?_dist_release}
License: Public domain
Group: System Environment/Daemons
Source: ftp://ftp.lysator.liu.se/pub/unix/ident/servers/pidentd-%{version}.tar.gz
Patch0: pidentd-3.0.10-dummy.patch
Patch1: pidentd-3.0.12-nospace.patch
Source1: identd.conf
Source2: identd.init
Source3: sysconfig.identd
Provides: identd = %{version}
PreReq: chkconfig, fileutils, sed, initscripts >= 5.54, util-linux >= 2.11a-4
BuildRequires: openssl-devel glibc-devel
BuildRoot: %{_tmppath}/%{name}-root
Distribution: Vine Linux
Vendor: Project Vine

%description
The pidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

Install pidentd if you need to look up information about specific
TCP/IP connections.

%prep
%setup -q
#%patch0 -p1 -b .dummy
%patch1 -p1 -b .nospace

%build
%configure --with-threads=yes --with-des=yes
make
make -C src # itest idecrypt ikeygen

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

%makeinstall

pushd $RPM_BUILD_ROOT

ln -s identd .%{_sbindir}/in.identd    # XXX /etc/inetd.conf may need this
ln -s identd.8 .%{_mandir}/man8/in.identd.8

mkdir -p ./%{_sysconfdir} ./%{initdir}
install -m 0644 %SOURCE1 .%{_sysconfdir}/identd.conf
install -m 0755 %SOURCE2 .%{initdir}/identd

popd

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/identd
touch $RPM_BUILD_ROOT/%{_sysconfdir}/identd.key

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_sbindir}/ibench

%clean
rm -rf $RPM_BUILD_ROOT

%pre
groupadd -g 98 ident >/dev/null 2>&1 || :
useradd -M -n -g ident -o -r -d / -s /sbin/nologin \
	-c "pident user" -u 98 ident >/dev/null 2>&1 || :

%post
/sbin/chkconfig --add identd

# XXX forcibly remove pidentd from inetd's control
cd /etc &&
  [ -f inetd.conf ] &&
  sed -e 's/^[  ]*auth[         ]/#&/' < inetd.conf > inetd.conf.xxx &&
  cat inetd.conf.xxx > inetd.conf
rm -f /etc/inetd.conf.xxx

%preun
if [ $1 = 0 ]; then
    /sbin/service identd stop > /dev/null 2>&1
    /sbin/chkconfig --del identd
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service identd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt KNOWNBUGS
%{_sbindir}/idecrypt
%{_sbindir}/ikeygen
%{_sbindir}/identd
%{_sbindir}/in.identd
%attr(0644,root,root)	%config	%{_sysconfdir}/identd.conf
%attr(0644,root,root)   %config(noreplace) %{_sysconfdir}/sysconfig/identd
%config(missingok,noreplace) %ghost  %attr(0600,root,root) %{_sysconfdir}/identd.key
%attr(0755,root,root)   %config %{initdir}/identd
%{_mandir}/man8/*

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 3.0.19-1vl5
- new upstream release
- dropt pidentd-3.0.10-dummy.patch
- applied new versioning policy

* Mon Mar 29 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.0.16-0vl2
- resync fedora 3.0.16-2

* Thu Mar  4 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.16-0vl1
- add PreReq: chkconfig, sed
- new upstream release

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-5vl6
- rebuild to remove rpmlib dependancy

* Tue May 29 2001 <sagami@vinelinux.org>
- 3.0.10-5vl5: use better macros due to building difficulty

* Thu Nov 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.0.10-5vl4
- added _noVersionedDependencies flag

* Mon Nov 6 2000 Kazuhisa TAKEI <takei@vinelinux.org> 3.0.10-5vl2
- rebuild on rpm 3.0.6

* Wed Jul 12 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.0.10-5vl1
- added --without-des argument for %configure line

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- forcibly remove pidentd from inetd's control in %post.

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- add patch to drop privs correctly

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix depenencies

* Wed Jan 19 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.10.

* Wed Jan 12 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.8.
- reduce no. of kernel threads to 2 in default configuration.

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- return of the init script

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- fix unaligned traps on Alpha
- oops, take init script out

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Sat Sep  4 1999 Jeff Johnson <jbj@redhat.com>
- start identd through inetd.conf.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- start after NFS mounts (for NFS /usr)

* Thu Aug 19 1999 Jeff Johnson <jbj@redhat.com>
- start identd with same options as were used when started by inetd.

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.7.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.2.
- use %configure

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
