%global	pidgin_version 2.0.0

Name:		pidgin-libnotify
Version:	0.14
Release:	1%{?_dist_release}
Summary:	Libnotify Pidgin plugin 

Group:		Applications/Internet
License:	GPLv2+
URL:		http://gaim-libnotify.sourceforge.net/
Source0:	http://downloads.sourceforge.net/gaim-libnotify/%{name}-%{version}.tar.gz
Source1:	pidgin-libnotify-0.14-ja.po

BuildRequires:	gettext
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	perl(XML::Parser)
BuildRequires:	pidgin-devel >= %{pidgin_version}
BuildRequires:	intltool
Requires:	pidgin >= %{pidgin_version}

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Packager:	kazutaka

%description
This is a plugin for the open-source Pidgin instant messaging client that uses
libnotify to display graphic notifications of new messages and other events
such as a buddy signing on or off.


%prep
%setup -q -n "%{name}-%{version}"


%build
%configure --disable-static --disable-deprecated
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

#install japanese massage catalog
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES
msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/%{name}.mo

%find_lang %{name}


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%exclude %{_libdir}/purple-2/*.la
%{_libdir}/purple-2/%{name}.so


%changelog
* Tue Mar 16 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.14-1
- initial build for Vine Linux based on fedora development
- add Source1 for japanese translation

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Erik van Pienbroek <erik-fedora@vanpienbroek.nl> - 0.14-1
- Update to version 0.14 (BZ #477267)
- Add BR: intltool

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.13-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.13-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.13-2
- Rebuild for selinux ppc32 issue.

* Sun Jul 01 2007 Peter Gordon <peter@thecodergeek.com> - 0.13-1
- Update to new upstream release (0.13).
- Drop renamed-to-pidgin patch (fixed upstream):
  - renamed-to-pidgin.patch
- Alphabetize BuildRequires (aesthetic-only change).

* Fri May 18 2007 Peter Gordon <peter@thecodergeek.com> - 0.12-7
- Make Provides/Obsoletes tags use macros for the Version/Release of the
  upgrade.

* Fri May 18 2007 Peter Gordon <peter@thecodergeek.com> - 0.12-6
- Package renamed to pidgin-libnotify.
- Reword earlier %%changelog entry.

* Fri May 18 2007 Warren Togami <wtogami@redhat.com> - 0.12-5
- buildreq gettext (#240604)

* Sat May 12 2007 Peter Gordon <peter@thecodergeek.com> - 0.12-4
- Gaim has been renamed to Pidgin: adjust the sources accordingly.  
- Add patch based on the Arch Linux packaging to make the sources and build
  scripts properly use the new Pidgin/Libpurple nomenclature of what was
  formerly called Gaim.
  + renamed-to-pidgin.patch
- Drop gtk2-devel build dependency (pulled in by libnotify-devel).
- Update Source0 to point to simpler SourceForge URL.

* Sun Dec 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-3
- Bump EVR to fix CVS tagging issue

* Sun Dec 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-2
- Shorten line lengths in %%description (and rewrite it a bit)
- Add gaim runtime requirement so that the parent directory of the plugin in
  %%{_libdir}/gaim is properly owned
- Removed unnecessary perl(XML::Parser) and gettext BuildRequires
- Add TODO to %%doc

* Sat Dec 09 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-1
- Initial packaging for Fedora Extras
