Name:           plt-scheme
Version:        4.2.1
Release:        1%{?_dist_release}
Epoch:          1
Summary:        Graphical environment for developing programs using Scheme
Summary(ja):    グラフィカルな Scheme 開発環境

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.drscheme.org
Source:		http://download.plt-scheme.org/bundles/%{version}/plt/plt-%{version}-src-unix.tgz
Source1:	drscheme.png
Patch0:		plt-x86_64-lib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:	libICE-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXext-devel
BuildRequires:	libXft-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXt-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	xorg-x11-xbitmaps
BuildRequires:	desktop-file-utils
BuildRequires:  cairo-devel
BuildRequires:  pkgconfig
Obsoletes:	plt, drscheme
Provides:	plt, drscheme, mzscheme, mred, mrflow


%description
DrScheme is an interactive, integrated, graphical programming
environment for the MzScheme programming language, and the MrEd
windowing toolbox.

DrScheme provides source highlighting for syntax and run-time errors,
support for multiple language levels, an algebraic stepper, objects,
modules, a GUI library, TCP/IP, and much more. It includes an
extensive, hyper-linked help system called Help Desk, available from
the Help menu.

You can enhance DrScheme with many add-ons, including MrFlow, a static
debugger.

MzScheme is R5RS-compliant, including the full numerical tower. It
also provides threads (on all platforms), exceptions, modules,
class-based objects, regular-expression matching, TCP/IP, and more.

MrEd provides a windowing toolbox for creating windows and menus; a
drawing toolbox for drawing to windows, bitmaps, and printer devices;
and an editor toolbox for creating multimedia editors.


%define __arch_install_post %{nil}

%prep
%setup -q -n plt-%{version}
##%ifarch x86_64
##%patch0 -p1
##%endif


%build
cd src
##%%ifarch x86_64
##%%define plt_opt_flags `echo $RPM_OPT_FLAGS | sed 's/-O2/-O1/g'`
##%%configure --enable-gl --enable-xrender --enable-xft CFLAGS="%plt_opt_flags" CXXFLAGS="%plt_opt_flags"
##%endif

%ifarch ppc
echo 'ac_cv_lib_Xaw_vendorShellClassRec=yes' > config.cache
%configure -C --enable-gl --enable-xrender --enable-xft
%endif

%ifarch ppc64
%configure --enable-gl --enable-xrender --enable-xft --enable-cgcdefault
%endif

%ifnarch ppc ppc64
%configure --enable-gl --enable-xrender --enable-xft
%endif

make # %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd src
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

#find $RPM_BUILD_ROOT -size 0 | xargs rm -f
#fgrep -lr "$RPM_BUILD_ROOT" $RPM_BUILD_ROOT | xargs rm -f

mv $RPM_BUILD_ROOT%{_bindir}/planet $RPM_BUILD_ROOT%{_bindir}/plt-planet 

cat > drscheme.desktop <<EOF
[Desktop Entry]
Name=DrScheme
GenericName=Scheme programming
Comment=Programming environment for the Scheme programming language
Exec=drscheme
Terminal=false
Icon=drscheme.png
Type=Application
Encoding=UTF-8
X-Desktop-File-Install-Version=0.4
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                     \
        --vendor vine                                    \
        --add-category Development                       \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
        drscheme.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc readme.txt
%{_bindir}/*
%{_libdir}/plt
%{_libdir}/*.a
%{_mandir}/man*/*
%{_datadir}/plt
%{_includedir}/plt
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Sun Sep 27 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1:4.2.1-1
- new upstream release

* Thu Apr 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1:4.1.5-3
- really drop optimization settings expected on 4.1.5-2 (see below)

* Wed Apr 15 2009 Shu KONNO <owa@bg.wakwak.com> 1:4.1.5-2
- dropt plt-x86_64-lib.patch
- dropt special optimize setting "s/-O2/-O1/" for only x86_64

* Fri Mar 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1:4.1.5-1
- new upstream release
- add Epoch due to upstream versioning scheme change
- spec heavily revised based on Fedora 1:4.1-1
  (different configure options for each arch)

* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 370-2vl5
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 370-1vl5
- applied new versioning policy, spec in utf-8

* Wed Aug 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 370-0vl2
- rebuilt for VineSeed

* Wed Aug 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 370-0vl1
- new upstream release

* Sat May 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 360-0vl2
- rebuilt with new toolchain

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 360-0vl1
- new upstream release

* Fri Aug 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 352-2vl2
- rebuilt for VineSeed (4.0)

* Fri Aug 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 352-2vl1
- new upstream release
- removed %post section

* Wed May  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 301-2vl2
- Rebuild for VineSeed Plus

* Wed May  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 301-2vl1
- Rebuild for Vine Linux

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 301-2
- Rebuild for Fedora Extras 5

* Sat Jan 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 301-1
- new version 301

* Wed Dec 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 300-2
- xft patch no longer necessary

* Mon Dec 19 2005 Gerard Milmeister <gemi@bluewin.ch> - 300-1
- New Version 300

* Sat Nov 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.400-1
- New Version 299.400

* Mon Nov 21 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-16
- patch to use pkg-config instead of xft-config

* Wed Nov 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-13
- updated for modular xorg

* Tue Nov 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-11
- replaced XFree86-devel by xorg-x11-devel

* Sat Oct 15 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-9
- use lib64 instead of lib

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-8
- try x86_64 again using patch for disabling dependency checking for openssl

* Thu Oct  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-6
- use %%{_libdir} and %%{_lib} in creating links

* Wed Aug 17 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-4
- Increase font size from 10 to 12

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-3
- Added openssl-devel buildreq

* Tue Aug 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-2
- Correct post install procedure

* Fri Aug 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.200-1
- New Version 299.200

* Sat Apr 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- Renamed to plt-scheme

* Sun Mar 27 2005 Gerard Milmeister <gemi@bluewin.ch> - 299.100-1
- New Version 299.100

* Sat Mar 26 2005 Gerard Milmeister <gemi@bluewin.ch> - 209-1
- Renamed package from plt to drscheme

* Sat Dec 18 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:209-0.fdr.1
- New Version 209

* Sat Nov 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:208-0.fdr.1
- New Version 208
- Added desktop file
- Added icon

* Sun Nov  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:205-0.fdr.1
- First Fedora release
