Summary:     The BSD 4.4 version of make.
Summary(ja): make (BSD 4.4 バージョン)
Name:        pmake
Version:     1.45
Release:     5%{?_dist_release}
Epoch:       1
License:     BSD
Group:       Development/Tools
Source0:     http://ftp.debian.org/debian/dists/potato/main/source/devel/%{name}_%{version}-3.2.tar.gz
Patch0:      pmake-1.45-gcc4.patch
Patch1:      pmake-1.45-mktemp.patch
Patch2:      pmake-1.45-zeroinit.patch
Patch3:      pmake-1.45-dotdirs.patch
Patch4:      pmake-1.45-groffpath.patch
Obsoletes:   pmake-customs
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
Requires:    /bin/mktemp


%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process. Details about
how the program should be built are included in the program's
Makefile. Pmake is a particular version (BSD 4.4) of make. Pmake
supports some additional syntax which is not in the standard make
program. Some Berkeley programs have Makefiles written for pmake.


%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .mktemp
%patch2 -p1 -b .zeroinit
%patch3 -p1 -b .dotdirs
%patch4 -p1 -b .groff-1.18.1

%build
make -f Makefile.boot CFLAGS="${RPM_OPT_FLAGS} -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
    -I. -DMACHINE=\\\"redhat\\\" -DMACHINE_ARCH=\\\"`arch`\\\"" CC=gcc
touch build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
install bmake %{buildroot}/%{_bindir}/pmake
install -m 755 mkdep %{buildroot}/%{_bindir}
install make.1 %{buildroot}/%{_mandir}/man1/pmake.1
install mkdep.1 %{buildroot}/%{_mandir}/man1

mkdir -p %{buildroot}/%{_datadir}/mk
rm mk/*~
for file in mk/*; do
    install -m 644 $file %{buildroot}/%{_datadir}/mk
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc PSD.doc/tutorial.ms
%{_bindir}/*
%{_datadir}/mk
%{_mandir}/man1/*


%changelog
* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.45-5
- applied new versioning policy
- spec in UTF-8
- added Patch0 from Mandriva
- added Patch2, 3 from RHEL4
- updated Patch4 (Patch1 in previous version)

* Sun Oct 08 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.45-4vl4
- replaced Serial directive with Epoch

* Wed Oct 04 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.45-4vl3
- removed obsolete Serial

* Sat Jun 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.45-4vl2
- rebuild with new toolchains

* Sun Dec 23 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.45-4vl1
- based on 1.45-4 from Rawhide and built for Vine Linux

* Tue Aug 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- bad. Hardcoded path including a version number for groff.

* Fri May 11 2001 Preston Brown <pbrown@redhat.com>
- use mktemp in mkdep script

* Mon Jan 08 2001 Preston Brown <pbrown@redhat.com>
- report newer pmake from Debian who got it from 4.4BSD

