Name:		po4a
Version:	0.41
Release:	1%{?_dist_release}
License:	GPL
Group:		Development/Tools
URL:		http://po4a.alioth.debian.org/
Source:		https://alioth.debian.org/frs/download.php/3472/%{name}-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	po4a extracts the translatable material from its input in a PO file.
Summary(ja):	po4a は、入力ファイルから翻訳できる素材を抽出し、PO ファイルを作成します。

BuildArch:	noarch
Requires:	perl
Requires:	perl-Text-WrapI18N
BuildRequires:	perl
BuildRequires:	perl-Text-WrapI18N
BuildRequires:	perl-TermReadKey
BuildRequires:	perl-SGMLSpm
BuildRequires:	texlive
BuildRequires:	docbook-style-xsl

%description
The po4a (PO for anything) project goal is to ease translations (and
more interestingly, the maintenance of translations) using gettext
tools on areas where they were not expected like documentation.

In po4a each documentation format is handled by a module. For now, we have a
module for the POD format (in which the perl documentation is written), the
good old man pages, and the documentation of the kernel compilation options.
Some other modules are underway, like for sgml, xml or texinfo.

%description -l ja
po4a (PO for anything) プロジェクトは、gettext ツールが想定していないドキュ
メントのような領域で翻訳をしやすくすること (またより興味深いのは、翻訳文の保
守がしやすくなること) を目標にしています。

po4aでは、それぞれのドキュメント形式をモジュールによって扱います。現在のところ、
POD形式(perlドキュメンテーション形式で書かれている)、古き良き man ページ、
およびカーネルコンパイルオプションに対応したモジュールを有しています。
他に sgml、xml や textinfo に対応したモジュールの開発も進められています。

%prep
%setup -q

%build
%{__perl} ./Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%check
./Build test

%files -f %{name}.lang
%defattr(-,root,root)
%doc README* COPYING TODO
%{_bindir}/po4a*
%{_bindir}/msguntypot
%{perl_vendorlib}/Locale
%{_mandir}/man1/po4a*.1*
%{_mandir}/man1/msguntypot.1*
%{_mandir}/man3/Locale::Po4a::*.3*
%{_mandir}/man5/po4a-build.conf*.5*
%{_mandir}/man7/po4a-runtime.7*
%{_mandir}/man7/po4a.7*
%{_mandir}/*/man1/po4a*.1*
%{_mandir}/*/man1/msguntypot.1*
%{_mandir}/*/man3/Locale::Po4a::*.3*
%{_mandir}/*/man5/po4a-build.conf.5*
%{_mandir}/*/man7/po4a.7*
%{_mandir}/*/man7/po4a-runtime.7*

%changelog
* Tue Mar 29 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.41-1
- Initial build for Vine.

