#%define build_mysql %{?_with_mysql:1}%{!?_with_mysql:0}
#%define build_pgsql %{?_with_pgsql:1}%{!?_with_pgsql:0}

%define build_mysql 1
%define build_pgsql 1

%define _sysconfdir   /etc
%define _data_dir     %{_var}/lib/postfix

%define origversion 2.8.10

# japanese documant for 2.5.x is not ready.
# %define jconfversion 2.2.0
# %define jmanversion 2.2.9
# %define jhtmlversion 2.2.9
# %define jreadmeversion 2.2.9

Summary:   Postfix Mail Transport Agent
Summary(ja):   Postfix メールトランスポートエージェント
Name:      postfix
Version:   %{origversion}
Release:   1%{?_dist_release}
URL:       http://www.postfix.org/
License:   Distributable - IBM PUBLIC LICENSE VERSION 1.0 - SECURE MAILER
Group:     System Environment/Daemons

Source0:   ftp://postfix.cloud9.net/official/%{name}-%{version}.tar.gz
Source1:   postfix.aliases
Source2:   postfix.cron
Source3:   postfix.init

# japanese documents for 2.5.x is not ready.
# Source10:  http://www.kobitosan.net/postfix/archives/postfix_jconf-%{jconfversion}.tar.gz
# Source20:  http://www.kobitosan.net/postfix/archives/postfix_jman-%{jmanversion}.tar.gz
# Source30:  http://www.kobitosan.net/postfix/archives/postfix_jhtml-%{jhtmlversion}.tar.gz
# Source40:  http://www.kobitosan.net/postfix/archives/postfix_jreadme-%{jreadmeversion}.tar.gz

Patch0:    postfix-2.1.5-vine.patch
Patch1:    postfix-2.2.10-main.cf-lib64.patch

# patches 100-199 are imported from debian package.
# patches 100/101 for postfix 2.8.x are from suse.  
Patch100: postfix-2.8.2-dynamicmaps.patch
Patch101: postfix-2.8.2-dynamicmaps-pie.patch

# patches 200-299 are imported from rh/fedora
Patch200: postfix-2.5.7-large-fs.patch	   
Patch210: postfix-2.5.5-open_define-vine.patch

Provides:  smtpdaemon
Conflicts: sendmail
Requires(pre):    chkconfig
BuildRequires: db4-devel >= 4.6.21, pam-devel, gdbm-devel
BuildRequires: cyrus-sasl-devel >= 2
BuildRequires: openldap-devel, openssl-devel
BuildRequires: pcre-devel
%if %build_mysql
BuildRequires: MySQL-devel
%endif
%if %build_pgsql
BuildRequires: postgresql-devel
%endif

Requires:    cyrus-sasl >= 2, cyrus-sasl-md5, cyrus-sasl-plain 
Requires:    gdbm, pam, openssl
Requires(pre):      db4 >= 4.6.21
Obsoletes: postfix-beta
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
Postfix aims to be an alternative to the widely-used sendmail
program.  Sendmail is responsible for 70 percent of all e-mail delivered
on the Internet.  With an estimated 100 million users, that's an
estimated 10 billion (10^10) messages daily. A stunning number.

Although IBM supported the Postfix development, it abstains from
control over its evolution. The goal is to have Postfix installed
on as many systems as possible. To this end, the software is given
away with no strings attached to it, so that it can evolve with
input from and under control by its users.

#'
%description -l ja
Postfix は現在広く使われている sendmail を置き換える目的で
開発されています。sendmail は約 70% の E-mail サーバで使用
されています。また、その使用者は 100万人にもおよび、およそ
一日 1 千万通ものメールを処理しています。

Postfix の開発は IBM によってサポートされており、全世界の
全てのシステムを postfix にすることを目標としています。

%if %build_pgsql
%package pgsql
Summary: PGSQL map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
Requires: postgresql-libs, postgresql
%description pgsql
This package contains shared lib module which support
PostgreSQL map on Postfix.
%description -l ja pgsql
このパッケージには、Postfix で PostgreSQL を使うのに必要な
ライブラリが納められています。
%endif

%if %build_mysql
%package mysql
Summary: MySQL map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
%description mysql
This package contains shared lib module which support
MySQL map on Postfix.
%description -l ja mysql
このパッケージには、Postfix で MySQL を使うのに必要な
ライブラリが納められています。
%endif

%package ldap
Summary: LDAP map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
Requires: openldap
%description ldap
This package contains shared lib module which support
OpenLDAP map on Postfix.
%description -l ja ldap
このパッケージには、Postfix で OpenLDAP を使うのに必要な
ライブラリが納められています。

%package pcre
Summary: PCRE map support for Postfix
Group:     System Environment/Daemons
Requires(pre): postfix = %{version}-%{release}
Requires: pcre
%description pcre
This package contains shared lib module which support
PCRE map on Postfix.
%description -l ja pcre
このパッケージには、Postfix で PCRE マップを使うのに必要な
ライブラリが納められています。

%prep
# japanese documant for 2.4.x is not ready.
# %setup -q -a 10 -a 20 -a 30 -a 40
%setup -q 

%patch0 -p1 -b .vine

%ifarch x86_64
%patch1 -p1 -b .lib64
%endif

%patch100 -p1 -b .dynamicmaps
%patch101 -p0 -b .dynamicmaps-pie
perl -pi -e 's,/usr/lib/,/usr/lib64/,' conf/postfix-files
perl -pi -e 's,-lmysqlclient,-lmysqlclient -L%{_libdir}/mysql,' src/global/Makefile.in

%patch200 -p1 -b .large-fs
%patch210 -p1 -b .open_define

# patching src/global/Makefile to remove dependency
pushd src/global
%if %build_mysql
:
%else
sed -ie "s/ dict_mysql.so/ /" Makefile.in
%endif
%if %build_pgsql
:
%else
sed -ie "s/ dict_pgsql.so/ /" Makefile.in
%endif
popd

%build
export PIE="-pie"
make makefiles \
	CCARGS="-DMAX_DYNAMIC_MAPS \
	        -DUSE_SASL_AUTH -I/usr/include/sasl \
	        -DUSE_CYRUS_SASL \
		-DHAS_LDAP \
		-DHAS_SSL -I/usr/include/openssl \
	        -DHAS_PCRE -I/usr/include/pcre \
%if %build_mysql
	        -DHAS_MYSQL -I/usr/include/mysql  \
%endif
%if %build_pgsql
		-DHAS_PGSQL -I/usr/include/pgsql \
%endif
		-DUSE_TLS" \
	AUXLIBS="-lsasl2 -lssl -lcrypto" \
	OPT="$RPM_OPT_FLAGS" DEBUG=""
for libs in master global util dns tls milter
do
  ln -sf lib${libs}.a lib/libpostfix-${libs}.so.1
done

# make %{?_smp_mflags} DEBUG="" OPT="$RPM_OPT_FLAGS" \
#      LD_LIBRARY_PATH=$(pwd)/lib:${LD_LIBRARY_PATH}

# using _smp_mflags makes build error. why? (2008.10.11)
make DEBUG="" OPT="$RPM_OPT_FLAGS" \
     LD_LIBRARY_PATH=$(pwd)/lib:${LD_LIBRARY_PATH} CDBSO=""

%install
rm -rf $RPM_BUILD_ROOT
rm -f html/Makefile.in
rm -f README_FILES/*.*

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
install -d $RPM_BUILD_ROOT%{_sysconfdir}/postfix
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_libdir}/postfix
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_mandir}/ja/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,incoming,pid,public}
install -d $RPM_BUILD_ROOT%{_var}/spool/postfix/{bounce,defer,flush,maildrop,private,saved}

install -m755 bin/* $RPM_BUILD_ROOT%{_sbindir}
install -m755 libexec/* $RPM_BUILD_ROOT%{_libdir}/postfix
install -m755 lib/dict_* $RPM_BUILD_ROOT%{_libdir}/postfix
install -m755 lib/lib*.so.1 $RPM_BUILD_ROOT%{_libdir}

touch conf/dynamicmaps.cf
for i in main.cf master.cf access aliases canonical header_checks \
         main.cf.default post-install postfix-files postfix-script \
	 relocated transport virtual dynamicmaps.cf
do
  install -m644 conf/$i $RPM_BUILD_ROOT%{_sysconfdir}/postfix
done
for i in post-install postfix-script
do
  install -m755 conf/$i $RPM_BUILD_ROOT%{_sysconfdir}/postfix
done

install -m644 man/man1/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 man/man5/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m644 man/man8/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

# japanese documant for 2.4.x is not ready.
# install jman
# for i in 1 5 8
# do
#   install -m644 man-%{jmanversion}/ja/man$i/*.$i $RPM_BUILD_ROOT%{_mandir}/ja/man$i
# done

# jconf, jhtml, jreadme
# cp -a conf-%{jconfversion} sample.ja
# cp -a jhtml-%{jhtmlversion} html.ja
# cp -a readme-%{jreadmeversion} README_FILES.ja

install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/aliases
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/postfix
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/postfix

ln -sf postfix/aliases $RPM_BUILD_ROOT%{_sysconfdir}/aliases
ln -sf postfix/aliases.db $RPM_BUILD_ROOT%{_sysconfdir}/aliases.db

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -sf ../sbin/sendmail mailq
  ln -sf ../sbin/sendmail newaliases
)
( cd $RPM_BUILD_ROOT%{_libdir}
  ln -sf ../sbin/sendmail sendmail
)

for I in etc/postfix/{aliases,access,canonical,header_check,relocated,transport,virtual}
do
   touch $RPM_BUILD_ROOT/$I{,.db}
done

# data dir
install -d $RPM_BUILD_ROOT%{_data_dir}

%pre
if [ `grep postfix %{_sysconfdir}/passwd | wc -l` = 0 ]; then
   %{_sbindir}/useradd -M -r -d %{_var}/spool/postfix -s "" \
                     -c "postfix" postfix || :
fi
if [ `grep postfix %{_sysconfdir}/group | wc -l` = 0 ]; then
  %{_sbindir}/groupadd -r postfix
fi
if [ `grep postdrop %{_sysconfdir}/group | wc -l` = 0 ]; then
  %{_sbindir}/groupadd -r postdrop
fi
#if [ -f %{_var}/lock/subsys/postfix ]; then
#   %{_sysconfdir}/rc.d/init.d/postfix stop
#fi


%post
/sbin/ldconfig
if ! grep -q "^tcp[[:space:]]" /etc/postfix/dynamicmaps.cf; then
  echo "Adding tcp map entry to /etc/postfix/dynamicmaps.cf"
  echo "tcp	%{_libdir}/postfix/dict_tcp.so		dict_tcp_open" >> /etc/postfix/dynamicmaps.cf
fi
/sbin/chkconfig --add postfix
if [ ! -f %{_sysconfdir}/postfix/aliases.db ]; then
  touch %{_sysconfdir}/postfix/aliases.db
fi
%{_sbindir}/postalias %{_sysconfdir}/postfix/aliases ||:
if [ ! -e %{_libdir}/sendmail ]; then
	ln -sf %{_sbindir}/sendmail %{_libdir}/sendmail
fi
/sbin/chkconfig --del sendmail &> /dev/null ||:
%{_sbindir}/postfix check >/dev/null 2>&1 ||:
if [ -f %{_var}/lock/subsys/postfix ]; then
   %{_sysconfdir}/rc.d/init.d/postfix restart
fi


%preun
if [ $1 = 0 ]; then
   if [ -f %{_var}/lock/subsys/postfix -a -f %{_sysconfdir}/rc.d/init.d/postfix ]; then
      %{_sysconfdir}/rc.d/init.d/postfix stop
   fi
   /sbin/chkconfig --del postfix
fi


%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   if [ `grep postfix %{_sysconfdir}/passwd | wc -l` = 1 ]; then
      %{_sbindir}/userdel postfix
   fi
   if [ `grep postfix %{_sysconfdir}/group | wc -l` = 1 ]; then
      %{_sbindir}/groupdel postfix
   fi
   if [ `grep postdrop %{_sysconfdir}/group | wc -l` = 1 ]; then
      %{_sbindir}/groupdel postdrop
   fi
   if ! [ -f %{_var}/lock/subsys/postfix ]; then
        rm -rf %{_var}/lock/subsys/postfix
   fi
fi

%if %build_pgsql
%post pgsql
if ! grep -q "^pgsql[[:space:]]" /etc/postfix/dynamicmaps.cf; then
  echo "Adding pgsql map entry to /etc/postfix/dynamicmaps.cf"
  echo "pgsql	%{_libdir}/postfix/dict_pgsql.so		dict_pgsql_open" >> /etc/postfix/dynamicmaps.cf
fi

%preun pgsql
if [ $1 = 0 ]; then
  if grep -q "^pgsql[[:space:]]" /etc/postfix/dynamicmaps.cf; then
    cp -f /etc/postfix/dynamicmaps.cf /etc/postfix/dynamicmaps.cf.rpmsave
    grep -v "^pgsql[[:space:]]" /etc/postfix/dynamicmaps.cf.rpmsave > /etc/postfix/dynamicmaps.cf
  fi
fi
%endif

%if %build_mysql
%post mysql
if ! grep -q "^mysql[[:space:]]" /etc/postfix/dynamicmaps.cf; then
  echo "Adding mysql map entry to /etc/postfix/dynamicmaps.cf"
  echo "mysql	%{_libdir}/postfix/dict_mysql.so		dict_mysql_open" >> /etc/postfix/dynamicmaps.cf
fi

%preun mysql
if [ $1 = 0 ]; then
  if grep -q "^mysql[[:space:]]" /etc/postfix/dynamicmaps.cf; then
    cp -f /etc/postfix/dynamicmaps.cf /etc/postfix/dynamicmaps.cf.rpmsave
    grep -v "^mysql[[:space:]]" /etc/postfix/dynamicmaps.cf.rpmsave > /etc/postfix/dynamicmaps.cf
  fi
fi
%endif

%post ldap
if ! grep -q "^ldap[[:space:]]" /etc/postfix/dynamicmaps.cf; then
  echo "Adding ldap map entry to /etc/postfix/dynamicmaps.cf"
  echo "ldap	%{_libdir}/postfix/dict_ldap.so		dict_ldap_open" >> /etc/postfix/dynamicmaps.cf
fi

%preun ldap
if [ $1 = 0 ]; then
  if grep -q "^ldap[[:space:]]" /etc/postfix/dynamicmaps.cf; then
    cp -f /etc/postfix/dynamicmaps.cf /etc/postfix/dynamicmaps.cf.rpmsave
    grep -v "^ldap[[:space:]]" /etc/postfix/dynamicmaps.cf.rpmsave > /etc/postfix/dynamicmaps.cf
  fi
fi

%post pcre
if ! grep -q "^pcre[[:space:]]" /etc/postfix/dynamicmaps.cf; then
  echo "Adding pcre map entry to /etc/postfix/dynamicmaps.cf"
  echo "pcre	%{_libdir}/postfix/dict_pcre.so		dict_pcre_open" >> /etc/postfix/dynamicmaps.cf
fi

%preun pcre
if [ $1 = 0 ]; then
  if grep -q "^pcre[[:space:]]" /etc/postfix/dynamicmaps.cf; then
    cp -f /etc/postfix/dynamicmaps.cf /etc/postfix/dynamicmaps.cf.rpmsave
    grep -v "^pcre[[:space:]]" /etc/postfix/dynamicmaps.cf.rpmsave > /etc/postfix/dynamicmaps.cf
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COMPATIBILITY COPYRIGHT HISTORY LICENSE INSTALL PORTING RELEASE_NOTES
# japanese documant for 2.4.x is not ready.
# %doc conf.ja
# %doc html html.ja
# %doc README_FILES README_FILES.ja
%doc README_FILES
# %doc man-%{jmanversion}/readme_ja.txt
%{_sysconfdir}/aliases
%{_sysconfdir}/aliases.db
%config %{_sysconfdir}/cron.daily/postfix
%dir %{_sysconfdir}/postfix
%config %{_sysconfdir}/postfix/main.cf.default
%config %{_sysconfdir}/postfix/master.cf
%config(noreplace) %{_sysconfdir}/postfix/aliases
%config(noreplace) %{_sysconfdir}/postfix/access
%config(noreplace) %{_sysconfdir}/postfix/canonical
%config(noreplace) %{_sysconfdir}/postfix/header_check
%config(noreplace) %{_sysconfdir}/postfix/header_checks
%config(noreplace) %{_sysconfdir}/postfix/main.cf
%config(noreplace) %{_sysconfdir}/postfix/relocated
%config(noreplace) %{_sysconfdir}/postfix/transport
%config(noreplace) %{_sysconfdir}/postfix/virtual
%config(noreplace) %{_sysconfdir}/postfix/dynamicmaps.cf
%config %{_sysconfdir}/postfix/postfix-files
%config %{_sysconfdir}/postfix/post-install
%config %{_sysconfdir}/postfix/postfix-script
%config %{_sysconfdir}/rc.d/init.d/postfix
%{_bindir}/*
%dir %{_libdir}/postfix
%{_libdir}/postfix/*

%if %{build_pgsql}
%exclude %{_libdir}/postfix/dict_pgsql.so
%endif
%if %{build_mysql}
%exclude %{_libdir}/postfix/dict_mysql.so
%endif

%exclude %{_libdir}/postfix/dict_ldap.so
%exclude %{_libdir}/postfix/dict_pcre.so
%{_libdir}/lib*.so.1
%{_sbindir}/postalias
%{_sbindir}/postcat
%{_sbindir}/postconf
%attr(2755,root,postdrop) %{_sbindir}/postdrop
%{_sbindir}/postfix
%{_sbindir}/postkick
%{_sbindir}/postlock
%{_sbindir}/postlog
%{_sbindir}/postmap
%{_sbindir}/postmulti
%attr(2755,root,postdrop) %{_sbindir}/postqueue
%{_sbindir}/postsuper
%{_sbindir}/qmqp-sink
%{_sbindir}/qmqp-source
%{_sbindir}/sendmail
%{_sbindir}/smtp-sink
%{_sbindir}/smtp-source
%attr(-,root,man) %{_mandir}/man*/*
# %attr(-,root,man) %{_mandir}/ja/man*/*
%dir %{_var}/spool/postfix
%attr(0750,postfix,root) %dir %{_data_dir}
%attr(1733,postfix,postdrop) %dir %{_var}/spool/postfix/maildrop
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/active
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/corrupt
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/deferred
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/incoming
%attr(0755,root,root) %dir %{_var}/spool/postfix/pid
%attr(0710,postfix,postdrop) %dir %{_var}/spool/postfix/public
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/bounce
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/defer
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/flush
%attr(0710,postfix,postfix) %dir %{_var}/spool/postfix/private
%attr(0700,postfix,postfix) %dir %{_var}/spool/postfix/saved
%{_libdir}/sendmail

%if %build_pgsql
%files pgsql
%defattr(-,root,root)
%{_libdir}/postfix/dict_pgsql.so
%endif

%if %build_mysql
%files mysql
%defattr(-,root,root)
%{_libdir}/postfix/dict_mysql.so
%endif

%files ldap
%defattr(-,root,root)
%{_libdir}/postfix/dict_ldap.so

%files pcre
%defattr(-,root,root)
%{_libdir}/postfix/dict_pcre.so

%changelog
* Tue May 01 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.10-1
- update to 2.8.10

* Sun Mar 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.9-1
- update to 2.8.9

* Thu May 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.3-1
- update to 2.8.3

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-1
- update to 2.8.2
- update dynamicmaps patch

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.6.8-5
- rebuilt with postgresql-9.0.3

* Sun Jan  9 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.8-4
- rebuilt with openssl 1.0.0c
- fix changelog typo..

* Wed Dec 01 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.8-3
- new upstream release.
- updated %%patch100 and %%patch210.

* Sat Feb 20 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.5-2
- removed MySQL-shared from "Requires:" and "BuildRequires:".
- replaced "Prereq:" with "Requires(pre):".
- replaced "BuildPrereq:" with "BuildRequires:".

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.5-1
- new upstream release
- rebuild with db4-4.8.0

* Sun Aug 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.3-2
- change /var/spool/postfix/pid owner and permission
  (0700,postfix,postfix -> 0755,root,root)

* Mon Aug  3 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.6.3-1
- new upstream release

* Sat Jun  6 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.2-1
- new upstream release.

* Sat May 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.1-2
- added a missing file.

* Sat May 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.1-1
- new upstream release.
- updated dynamicmaps patch.

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.5.7-2
- made to build -mysql and -pgsql as default.
- rebuilt with MySQL-5.1.34.

* Wed May 13 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.7-1
- new upstream release
- update Patch200 from fc10

* Sun Mar 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.5.6-2
- rebuilt with openldap-2.4.11

* Mon Jan 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.6-1
- new upstream release

* Sun Oct 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-4
- add patch200/patch210 from fedora

* Sun Oct 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-3
- add Requires cyrus-sasl-md5, cyrus-sasl-plain for smtp auth
- add Japanese description into sub packages

* Sat Oct 11 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-2
- update patch100/101 to fix libxsasl build issue
- remove smp flag in build section to solve build error
- add _data_dir

* Fri Oct 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.5.5-1
- new upstream release
- update patch100/101 to fit 2.5.5 (from suse)
- add %exclude dict_{my,pg}sql.so to %%files to avoid unneeded dependancy
  when option "--with XXsql" is specified. (from Vine 4.x update package)
- remove HAS_DLOPEN macro.

* Sat Sep 06 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.9-1
- new upstream release with security fix

* Sat Aug 30 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.8-2
- add %%if %%build_mysql and %%if %%mysql from BuildRequires section again
- remove unnessary dependency

* Thu Aug 28 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.8-1
- new upstream release with security fix

* Mon Aug 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.7-4
- spec in UTF-8

* Fri Jun 20 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.7-3
- rebuilt against db4-4.6.21

* Tue Apr 15 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.4.7-2
- add HAS_DLOPEN macro.
- add USE_CYRUS_SASL macro.
- modify dynamicmaps.cf (/usr/lib -> %%{_libdir}).

* Thu Mar 25 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.4.7-1
- new upstream release
- update patch100 (it is based from mdk 2008.0)
- add smp_mflags in make section
- build under new versioning policy

* Thu Sep 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.10-0vl10
- rebuilt with postgresql-devel 8.2.5
- updated Source20, 30 and 40

* Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl9
- rebuild with new openssl

* Wed May 09 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2.10-0vl8
- rebuilt with new toolchain and db4-4.3.x

* Fri Apr 13 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.2.10-0vl7
- <BTS:493> fix typo in %%if statement for %%files mysql section.
- remove %%if %%build_mysql and %%if %%mysql from BuildRequires section,
  (Patch100 always builds dict_mysql.o and dict_pgsql.o)

* Fri Oct 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl6
- disable MySQL, PostgreSQL support by default.
  use "--with {mysql|pgsql}" to build them.

* Mon Sep 18 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.2.10-0vl5
- add lib64 patch to correct daemon_directory on x86_64 architecture

* Wed Sep 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl4
- remove duplicated entry from aliases. (<BTS:170>)

* Wed Sep 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl3
- add some pseudo accounts to aliases. (<BTS:170>)
- add BuildPreReq: MySQL-shared

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.2.10-0vl2
- rebuilt with openldap-2.3.27-0vl1

* Sun Apr 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.10-0vl1
- new upstream release

* Thu Jan 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8-0vl1
- new upstream release

* Fri Sep 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.5-0vl1
- new upstream release
  - update to 2.2.5
- update dynamicmaps from debian package
- update Japaese manpages and jconf
- add jhtml and jreadme
- enable TLS/SSL

* Mon Jan 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release
- update all patches
- link sasl2 instead of sasl1

* Mon Jan 24 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.0.20-0vl6
- enable cyrus-sasl.
- add TLS/IPv6 patch.
- modify main.cf to disable IPv6 as default.

* Wed Oct 28 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.20-0vl5
- add PreReq: db4 >= 4.2.52
  (to avoid errors when upgrading from db40-linked version)

* Mon Oct 11 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.20-0vl4
- rebuilt with db4-4.2.52

* Tue Jun  8 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl3
- fix first installation time bugs...
  - remove aliases.db from %%files again
  - add 'touch aliases.db' in %%post script
- update default main.cf to use /etc/postfix/aliases as default alias_database

* Mon Jun  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl2
- add /etc/postfix/aliases.db to %%files

* Sat May  8 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.20-0vl1
- new upstream release

* Tue Apr 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.19-0vl1
- new upstream release
- build with new postgresql

* Fri Sep 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.16-0vl1
- new upstream release
- update jconf/jman/jhtml

* Fri Jul  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.13-0vl1
- new upstream release
- update jman/jhtml/jreadme

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.12-0vl1
- new upstream release
- update jconf/jman/jhtml/jreadme

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.10-0vl1
- new upstream release

* Fri May 23 2003 Satoshi MACHINO <machino@vinelinux.org> 2.0.9-0vl5
- rebuild by new cyrus-sasl(2.1.13-3vl1)

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl4
- add more BuildPreReq, Requires
- fix some typo
- add missing files to %%files.

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl3
- rebuild

* Sat Apr 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl2
- add debian's dynamic map patch.
  some additional feature is divided to sub package.
  - postfix-ldap, postfix-mysql, postfix-pgsql, postfix-pcre
- split common postfix libraries as shared libs.
  - libpostfix-{master,global,util,dns}.so.1
- use cyrus-sasl for SMTP-AUTH

* Wed Apr 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-0vl1
- new upstream release 2.0.9
- update jman/jhtml/jconf to 2.0.8

* Wed Apr  9 2003 IWAI Masaharu <iwai@alib.jp> 2.0.7-0vl1
- new upstream version
- update documents
    - jman (source4)
    - jconf (Source5)
    - faq.html (Source6)
    - INSTALL.jp (Source7)
    - jhtml (Source12)

* Sun Jan 19 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.12-0vl3
- rebuilt against db4

* Wed Dec 18 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.12-0vl2
- rebuild to remove unnecessary dependancy.

* Sat Nov 23 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.12-0vl1
- new upstream version
- modified /etc/init.d/postfix

* Sun Oct 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl3
- fixed brainless mistakes...
  update main.cf again.

* Thu Oct 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl2
- update main.cf patch
  - do not use procmail for local mailer.
  - do not show version and OS name for smtpd greeting banner.

* Thu Jun 04 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.11-0vl1
- new upstream release
- update jman, jconf, jhtml

* Tue May 28 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl2
- updated main.cf patch ( Patch0 )
    undefine myhostname

* Fri May 24 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl1
- changed %%{_var}/spool/postfix/private directory permission (0700 -> 0710)
    Thanks Mr. Daisuke SUZUKI ([VineSeed:06454])

* Thu May 23 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.10-0vl0
- upstream release
- updated japanese documents Source4-9
    ( and the unofficial Japanese Web Site moved. )
- added japanese documents  Source10-12
- updated main.cf patch ( Patch0 )
- added postdrop group
- added some directories in %%{_var}/spool/postfix/
    active, corrupt, deferred, incoming, pid, public, bounce, 
    defer,flush,private and saved directories

* Mon Feb 18 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl3
- not stop in %%pre
- not start but restart in %%post

* Mon Dec 31 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.0.20010228pl08-0vl2
- added BuildPreReq: db3-devel

* Sat Nov 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl08-0vl1
- updated to 20010228-pl08

* Fri Nov  9 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl06-0vl1
- updated to 20010228-pl06

* Sun Sep 23 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl05-0vl1
- updated to 20010228-pl05

* Wed Aug  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl04-0vl1
- updated to 20010228-pl04

* Wed Jun 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl2
- update Japanese documents and manpages

* Sun May 27 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl03-0vl1
- updated to 20010228-pl03

* Mon May 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl3
- modified %%preun script again
  (to check whether %%{_sysconfidir}/rc.d/init.d/postfix already exists)

* Wed May 02 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.0.20010228pl02-0vl2
- fixed incorrect %%preun script :-P

* Tue May  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl02-0vl1
- updated to 20010228-pl02

* Wed Apr 11 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl4
- add {pcre,regexp}_table to %files
- don't replace config files
- start postfix after install/upgrade

* Mon Apr 09 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl2
- updated jman pages and translations.
- added japanese sample config files.

* Sat Mar 31 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228pl01-0vl1
- updated to 20010228-pl01

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl2
- fixed file location

* Thu Mar  1 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20010228-0vl1
- updated to 20010228

* Tue Dec 26 2000 Tomoya TAKA <tomoya@olive.plala.or.jp> 0.0.199912310pl13-0vl2
- fixed about mandir

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl13-0vl1
- updated to 19991231-pl13
- use rpm macros in spec

* Thu Nov 23 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl11-0vl1
- updated to 19991231-pl11

* Thu Nov  9 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.199912310pl10-0vl1
- updated to 19991231-pl10

* Thu Oct 12 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- fix newaliases problem by adding slink

* Sat Oct  2 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- add japanese man pages

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- updates to 19991231-pl09-0vl2
- fixed Group

* Sat Sep 22 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl09

* Wed Aug 09 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- %build, removed bzip2 -9 and strip
- fixed %files section to handle compressed man page

* Wed Jun 21 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- Version name changes to 0.0.version
- updates to 19991231-pl08
  + Major changes with postfix-19991231-pl08: 
    Specify "body_checks = regexp:%{_sysconfdir}/postfix/body_checks" for a quick
    and dirty emergency content filter that looks at non-header lines
    one line at a time (including MIME headers inside the message body).
    Details in conf/sample-filter.cf.
  + Incompatible changes with postfix-19991231-pl07:
    As required by RFC 822, Postfix now inserts a generic destination
    message header when no destination header is present.  The text is
    specified via the undisclosed_recipients_header configuration
    parameter (default:  "To: undisclosed-recipients:;").

* Thu Apr  6 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- updates to 19991231-pl06
- added percent hack to main.cf

* Sun Feb 20 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- adopted to Vine Linux

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 19991231
- added postfix group
- corrected aliases.db bug

* Mon Dec 27 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- Add postfix check in post to create sub dirs in spool

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add -a $DOMAIN -d $LOGNAME to procmail (philippe).
- New banner.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix if conflicts with sendmail.

* Sat Jun  5 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- install bins from libexec/

* Sat Jun  5 1999 Bernhard Rosenkr舅zer <bero@mandrakesoft.com>
- 19990601
- .spec cleanup for easier updates

* Wed May 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- created link from %{_sbindir}/sendmail to %{_libdir}/sendmail
  so it doesn't bug out when i rpm -e sendmail
- Now removes %{_var}/lock/subsys/postfix like a good little prog
  upon rpm -e

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adptations.

* Tue Apr 13 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl04-1]

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl03-2]
- Castro, Castro, pay attention my friend. You're making it very hard
  maintaining the package if you don't follow the flow of the releases

* Thu Mar 25 1999 Arne Coucheron <arneco@online.no>
  [19990317-pl02-1]

* Tue Mar 23 1999 Arne Coucheron <arneco@online.no>
  [19990317-3]
- added bugfix patch01

* Sat Mar 20 1999 Arne Coucheron <arneco@online.no>
  [19990317-2]
- removed the mynetworks line in main.cf, let postfix figure it out
- striping of the files in %{_sbindir}
- alias database moved to %{_sysconfdir}/postfix and made a symlink to it in %{_sysconfdir}
- enabled procmail support in main.cf and added it to Requires:
- check status on master instead of postfix in the init script
- obsoletes postfix-beta
- had to move some of my latest changelog entries up here since Edgard Castro
  didn't follow my releases

* Thu Mar 18 1999 Edgard Castro <castro@usmatrix.net>
  [19990317]

* Tue Mar 16 1999 Edgard Castro <castro@usmatrix.net>
  [alpha-19990315]

* Tue Mar  9 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-2]
- shell and gecho information changed to complie with Red Hat stardand
- changed the name of the rpm package to postfix, instead of postfix-beta

* Tue Feb 16 1999 Edgard Castro <castro@usmatrix.net>
  [19990122-pl01-1]

* Sun Jan 24 1999 Arne Coucheron <arneco@online.no>
  [19990122-1]
- shell for postfix user changed to /bin/true to avoid logins to the account
- files in %{_libdir}exec/postfix moved to %{_libdir}/postfix since this complies
  more with the Red Hat standard

* Wed Jan 06 1999 Arne Coucheron <arneco@online.no>
  [19981230-2]
- added URL for the source
- added a cron job for daily check of errors
- sample config files moved from /etc/postfix/sample to the docdir 
- dropped making of symlinks in %{_sbindir} and instead installing the real
  files there
- because of the previous they're not needed anymore in %{_libdir}exec/postfix,
  so they are removed from that place

* Fri Jan 01 1999 Arne Coucheron <arneco@online.no>
  [19981230-1]

* Tue Dec 29 1998 Arne Coucheron <arneco@online.no>
  [19981222-1]
- first build of rpm version
