%define plperl %{?_without_perl:0}%{!?_without_perl:1}
%define plpython %{?_without_python:0}%{!?_without_python:1}
%define non6xpamdeps 0
#%define rel 0
%define beta 0
%{?beta:%define __os_install_post /usr/lib/rpm/brp-compress}

%define tcl 1
%define jdbc 1
%define test 0
%define pltcl 1
%define pls 1
%define ssl 1
%define kerberos 0
%define nls 1
%define pam 1

%define pgver 8.4
%define jdbc2ver 606
%define jdbcver 702

Summary: PostgreSQL client programs and libraries.
Summary(ja): PostgreSQL のクライアントプログラム群およびライブラリ
Name: postgresql8
Version: %{pgver}.7
Release: 2%{?_dist_release}
# Conventions for PostgreSQL Global Development Group RPM releases:
#
# Official PostgreSQL Development Group RPMS have a PGDG after the release number.
# Integer releases are stable -- 0.1.x releases are Pre-releases, and x.y are
# test releases.
#
# Pre-releases are those that are built from CVS snapshots or pre-release
# tarballs from postgresql.org.  Official beta releases are not 
# considered pre-releases, nor are release candidates, as their beta or
# release candidate status is reflected in the version of the tarball. Pre-
# releases' versions do not change -- the pre-release tarball of 7.0.3, for
# example, has the same tarball version as the final official release of 7.0.3:
# but the tarball is different.
#
# Test releases are where PostgreSQL itself is not in beta, but certain parts of
# the RPM packaging (such as the spec file, the initscript, etc) are in beta.
#
# Pre-release RPM's should not be put up on the public ftp.postgresql.org server
# -- only test releases or full releases should be.

License: BSD
Group: Applications/Databases
Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source3: postgresql.init
Source5: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2.md5
Source6: README.rpm-dist
Source10: http://jdbc.postgresql.org/download/postgresql-8.3-%{jdbc2ver}.jdbc2.jar
Source11: http://jdbc.postgresql.org/download/postgresql-8.3-%{jdbc2ver}.jdbc2ee.jar
Source12: http://jdbc.postgresql.org/download/postgresql-%{pgver}-%{jdbcver}.jdbc3.jar
Source13: http://jdbc.postgresql.org/download/postgresql-%{pgver}-%{jdbcver}.jdbc4.jar
Source15: postgresql-bashprofile
Patch2: postgresql-8.3.3-nls.patch
Patch3: postgresql-7.4-ecpg-patch
Buildrequires: perl build-essential
Requires: /sbin/ldconfig initscripts
%if %plpython
Buildrequires: python python-devel
%endif
%if %tcl
Buildrequires: tcl
%endif
Buildrequires: readline-devel
Buildrequires: zlib-devel >= 1.0.4
%if %ssl
Buildrequires: openssl-devel
%endif
%if %kerberos
Buildrequires: krb5-devel
%endif
%if %nls
Buildrequires: gettext >= 0.10.35
%endif

%if %pam
%if %non6xpamdeps
Buildrequires: pam-devel
%endif
%endif

BuildRequires: bison, flex, pam-devel

Url: http://www.postgresql.org/ 
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: postgresql-clients
Obsoletes: postgresql-python
Obsoletes: postgresql7
Provides: postgresql

%if %pls
Obsoletes: postgresql7-plperl
%endif

# This is the PostgreSQL Global Development Group Official RPMset spec file,
# or a derivative thereof.
# Copyright 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
# and others listed.

# Major Contributors:
# ---------------
# Lamar Owen
# Trond Eivind Glomsrd <teg@redhat.com>
# Thomas Lockhart
# Reinhard Max
# Karl DeBisschop
# Peter Eisentraut
# Joe Conway
# and others in the Changelog....

# This spec file and ancilliary files are licensed in accordance with 
# The PostgreSQL license.

# On top of this file you can find the default build package list macros.  These can be overridden by defining
# on the rpm command line:
# rpm --define 'packagename 1' .... to force the package to build.
# rpm --define 'packagename 0' .... to force the package NOT to build.
# The base package, the lib package, the devel package, and the server package always get built.


%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the docs
in HTML for the whole package, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server. 

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%description -l ja
PostgreSQLはSQLの構成要素(トランザクション、副問い合わせおよびユーザ
定義型やユーザ定義関数など)のほとんどすべてをサポートした、先進的なオブ
ジェクト指向のデータベース管理システム(DBMS)です。postgresqlのパッケー
ジにはPostgreSQL DBMS サーバにアクセスするために必要なクライアントプロ
グラムおよびライブラリを収録しています。PostgreSQLクライアントプログラ
ムは、PostgreSQLサーバ上のPostgreSQLデータベースの内部構造を直接操作す
るためのプログラムです。これらのクライアントプログラムは、PostgreSQLサ
ーバと同じマシン上で動いていてもよいですし、ネットワークコネクションの
向こう側にあるリモートマシン上にあっても構いません。このパッケージには
PostgreSQLサーバ上のPostgreSQLデータベースを管理するためのユーティリテ
ィに加え、全パッケージのドキュメントがHTML形式で収録されています。

リモートにあるPostgreSQLサーバ上のPostgreSQLデータベースを操作する場合
はこのパッケージが必要です。またpostgresql-serverパッケージをインスト
ールする場合にも、このパッケージをインストールする必要があります。

%package libs
Summary: The shared libraries required for any PostgreSQL clients.
Summary(ja): PostgreSQL クライアントに必要な共有ライブラリ
Group: System Environment/Libraries
Obsoletes: postgresql7-libs
Provides: postgresql-libs

%description libs
The postgresql-libs package provides the essential shared libraries for any 
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%description -l ja libs
postgresql-libs パッケージは、すべての PostgreSQL クライアントプログラ
ムやインターフェースのための中核的な共有ライブラリを提供します。
PostgreSQL サーバに接続する必要のある、PostgreSQL パッケージやクライア
ントを使う場合には、このパッケージをインストールする必要があります。

%package server
Summary: The programs needed to create and run a PostgreSQL server.
Summary(ja): PostgreSQL サーバを構築・実行するのに必要なプログラム
Group: Applications/Databases
Requires: /usr/sbin/useradd /sbin/chkconfig 
Requires: %{name} = %{version}
Obsoletes: postgresql7-server
Provides: postgresql-server

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql package.

%description -l ja server
postgresql-server パッケージには、PostgreSQL サーバを生成して実行する
ために必要なプログラムが含まれています。これらにより、PostgreSQL のデ
ータベースを新規に作成したり、メンテナンスしたりできるようになります。
PostgreSQL は先進的でオブジェクト指向的なデータベース管理システム(DBMS)
であり、(トランザクション、副問い合わせ、ユーザ定義型および関数といっ
た)ほとんどすべての SQL 構造をサポートしています。自分自身の PostgreSQL
サーバを動かして、自分自身の PostgreSQL データベースを作成したりメン
テナンスしたりしたい場合は postgresql-server をインストールする必要が
あります。さらに postgresql パッケージもインストールしてください。

%package docs
Summary: Extra documentation for PostgreSQL
Summary(ja): PostgreSQL に関するその他の文書
Group: Applications/Documentation
Obsoletes: postgresql7-docs
Provides: postgresql-docs

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.

%package contrib
Summary: Contributed source and binaries distributed with PostgreSQL
Summary(ja): PostgreSQL と一緒に配布される、寄贈されたソースとバイナリ
Group: Applications/Databases
Requires: %{name} = %{version} perl-DBD-Pg
Obsoletes: postgresql7-contrib
Provides: postgresql-contrib

%description contrib
The postgresql-contrib package contains contributed packages that are
included in the PostgreSQL distribution.

%package devel
Summary: PostgreSQL development header files and libraries.
Summary(ja): PostgreSQL の開発用ヘッダファイルとライブラリ群
Group: Development/Libraries
Requires: %{name}-libs = %{version}
Obsoletes: postgresql7-devel
Provides: postgresql-devel

%description devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

%description -l ja devel
postgresql-devel パッケージには、PostgreSQL データベースと直接に会話
するための C / C++ アプリケーションをコンパイルするのに必要なヘッダフ
ァイルとライブラリ、および C 言語埋め込み型の PostgreSQL プリプロセサ
が含まれています。PostgreSQL サーバと会話するアプリケーションを開発
したい場合にはこのパッケージをインストールしてください。また、
postgresql-server をインストールする場合、このパッケージもいっしょに
インストールする必要があります。

#------------
%if %pls
%package pl
Summary: The PL procedural languages for PostgreSQL.
Summary(ja): PostgreSQL 用の手続き言語 PL
Group: Applications/Databases
Requires: %{name} = %{version}
Obsoletes: postgresql7-pl
Provides: postgresql-pl

%description pl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-pl package contains the the PL/Perl, PL/Tcl, and PL/Python
procedural languages for the backend.  PL/Pgsql is part of the core server package.
%endif

#------------
%if %tcl
%package tcl
Summary: A Tcl client library for PostgreSQL.
Summary(ja): PostgreSQL の Tcl クライアントライブラリ
Group: Applications/Databases
Requires: tcl >= 8.0
Obsoletes: postgresql7-tcl
Provides: postgresql-tcl

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the libpgtcl client library,
the pg-enhanced pgtclsh,and the pg-enhanced tksh, if so configured at buildtime.
%endif

#----------
%if %jdbc
%package jdbc
Summary: Files needed for Java programs to access a PostgreSQL database.
Summary(ja): PostgreSQL データベースにアクセスする Java プログラムのために必要なファイル群
Group: Applications/Databases
Obsoletes: postgresql7-jdbc
Provides: postgresql-jdbc

%description jdbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-jdbc package includes the .jar file needed for
Java programs to access a PostgreSQL database.
%endif

#------------
%if %test
%package test
Summary: The test suite distributed with PostgreSQL.
Summary(ja): PostgreSQL と共に配布されるテストスート
Group: Applications/Databases
Requires: postgresql = %{version}
Obsoletes: postgresql7-test
Provides: postgresql-test

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.
%endif


%prep
%setup -q -n postgresql-%{version}


%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Strip out -ffast-math from CFLAGS....

CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath \
%if %beta
	--enable-debug \
	--enable-cassert \
%endif
%if %plperl
	--with-perl \
%endif
%if %tcl
	--with-tcl \
	--with-tclconfig=%{_libdir} \
%endif
%if %plpython
	--with-python \
%endif
%if %ssl
	--with-openssl \
%endif
%if %pam
	--with-pam \
%endif
%if %kerberos
	--with-krb5=/usr/kerberos \
%endif
%if %nls
	--enable-nls \
%endif
	--sysconfdir=%{_sysconfdir}/sysconfig/pgsql \
	--mandir=%{_mandir} \
	--with-docdir=%{_docdir} \
	--includedir=%{_includedir}/pgsql \
	--datadir=%{_datadir}/pgsql

make %{?_smp_mflags} all
make %{?_smp_mflags} -C contrib all

%if %test
	pushd src/test
	make all
	popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make -C contrib DESTDIR=$RPM_BUILD_ROOT install

# copy over Makefile.global to the include dir....
install -m644 src/Makefile.global $RPM_BUILD_ROOT%{_includedir}/pgsql
install -m644 src/Makefile.shlib $RPM_BUILD_ROOT%{_includedir}/pgsql

%if %jdbc
	# Java/JDBC
	# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...

	# JDBC jars 
	install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/pgsql
	install -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/pgsql
	install -m 755 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/pgsql
	install -m 755 %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/pgsql
%endif

# initscript
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
sed "s/^PGVERSION=.*/PGVERSION=%{pgver}/" %{SOURCE3} \
	> $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
chmod 755 $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/data

# backups of data go here...
install -d -m 700 $RPM_BUILD_ROOT/var/lib/pgsql/backups

# postgres' .bash_profile
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT/var/lib/pgsql/.bash_profile

# Create the multiple postmaster startup directory
install -d -m 700 $RPM_BUILD_ROOT/etc/sysconfig/pgsql


%if %test
	# tests. There are many files included here that are unnecessary, but include
	# them anyway for completeness.
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	cp -a src/test/regress $RPM_BUILD_ROOT%{_libdir}/pgsql/test
	install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress
	pushd  $RPM_BUILD_ROOT%{_libdir}/pgsql/test/regress/
	strip *.so
	popd
%endif

# Fix some more documentation
# gzip doc/internals.ps
cp %{SOURCE6} README.rpm-dist
cp -pr $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/postgresql/html

%find_lang initdb-%{pgver}
%find_lang libpq5-%{pgver}
%find_lang pg_config-%{pgver}
%find_lang pg_controldata-%{pgver}
%find_lang pg_ctl-%{pgver}
%find_lang pg_dump-%{pgver}
%find_lang pg_resetxlog-%{pgver}
%find_lang pgscripts-%{pgver}
%find_lang postgres-%{pgver}
%find_lang psql-%{pgver}
%ifarch !x86_64
%find_lang scripts-%{pgver}
%endif

%find_lang ecpg-%{pgver}
%find_lang ecpglib6-%{pgver}
%find_lang plperl-%{pgver}
%find_lang plpgsql-%{pgver}
%find_lang plpython-%{pgver}
%find_lang pltcl-%{pgver}

cat libpq5-%{pgver}.lang > libpq.lst
cat psql-%{pgver}.lang pg_dump-%{pgver}.lang > main.lst
cat pg_config-%{pgver}.lang > devel.lst
cat initdb-%{pgver}.lang pg_ctl-%{pgver}.lang postgres-%{pgver}.lang \
	pg_resetxlog-%{pgver}.lang pg_controldata-%{pgver}.lang > server.lst
%ifarch !x86_64
cat scripts-%{pgver}.lang >> server.lst
%endif

cat ecpg-%{pgver}.lang ecpglib6-%{pgver}.lang >> devel.lst
cat plperl-%{pgver}.lang > pl.lst
cat plpgsql-%{pgver}.lang >> pl.lst
cat plpython-%{pgver}.lang >> pl.lst
cat pltcl-%{pgver}.lang > tcl.lst


%post libs -p /sbin/ldconfig 
%postun libs -p /sbin/ldconfig 

%pre server
groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
touch /var/log/pgsql
chown postgres.postgres /var/log/pgsql
chmod 0700 /var/log/pgsql


%post server
chkconfig --add postgresql
/sbin/ldconfig

%preun server
if [ $1 = 0 ] ; then
	chkconfig --del postgresql
fi

%postun server
/sbin/ldconfig 
if [ $1 -ge 1 ]; then
  /sbin/service postgresql condrestart >/dev/null 2>&1
fi
if [ $1 = 0 ] ; then
    if [ ! -x /usr/bin/postgres ] ; then
	    userdel postgres >/dev/null 2>&1 || :
	    groupdel postgres >/dev/null 2>&1 || : 
    fi
fi

%if %tcl
%post -p /sbin/ldconfig   tcl
%postun -p /sbin/ldconfig   tcl
%endif

%if %pls
%post -p /sbin/ldconfig   pl
%postun -p /sbin/ldconfig   pl
%endif

%if %test
%post test
chown -R postgres.postgres %{_datadir}/pgsql/test >/dev/null 2>&1 || :
%endif


%clean
rm -rf $RPM_BUILD_ROOT

# FILES section.

%files -f main.lst
%defattr(-,root,root)
%doc doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
%doc COPYRIGHT README HISTORY INSTALL doc/bug.template
%doc README.rpm-dist
%doc doc/html
%{_bindir}/clusterdb
%{_bindir}/createdb
%{_bindir}/createlang
%{_bindir}/createuser
%{_bindir}/dropdb
%{_bindir}/droplang
%{_bindir}/dropuser
%{_bindir}/pg_dump
%{_bindir}/pg_dumpall
%{_bindir}/pg_restore
%{_bindir}/psql
%{_bindir}/reindexdb
%{_bindir}/vacuumdb
%{_bindir}/vacuumlo
%{_mandir}/man1/clusterdb.*
%{_mandir}/man1/createdb.*
%{_mandir}/man1/createlang.*
%{_mandir}/man1/createuser.*
%{_mandir}/man1/dropdb.*
%{_mandir}/man1/droplang.*
%{_mandir}/man1/dropuser.*
%{_mandir}/man1/pg_dump.*
%{_mandir}/man1/pg_dumpall.*
%{_mandir}/man1/pg_restore.*
%{_mandir}/man1/psql.*
%{_mandir}/man1/reindexdb.*
%{_mandir}/man1/vacuumdb.*
%{_mandir}/man7/*
%{_localedir}/*/LC_MESSAGES/pgscripts-%{pgver}.mo

%files docs
%defattr(-,root,root)
%doc doc/src/*

%files contrib
%defattr(-,root,root)
%doc %{_defaultdocdir}/postgresql/contrib/*.example
%{_libdir}/postgresql/_int.so
%{_libdir}/postgresql/adminpack.so
%{_libdir}/postgresql/ascii_and_mic.so
%{_libdir}/postgresql/auto_explain.so
%{_libdir}/postgresql/autoinc.so
%{_libdir}/postgresql/btree_gin.so
%{_libdir}/postgresql/btree_gist.so
%{_libdir}/postgresql/chkpass.so
%{_libdir}/postgresql/citext.so
%{_libdir}/postgresql/cube.so
%{_libdir}/postgresql/cyrillic_and_mic.so
%{_libdir}/postgresql/dblink.so
%{_libdir}/postgresql/dict_int.so
#%{_libdir}/postgresql/dict_snowball.so
%{_libdir}/postgresql/dict_xsyn.so
%{_libdir}/postgresql/earthdistance.so
%{_libdir}/postgresql/euc_cn_and_mic.so
%{_libdir}/postgresql/euc_jp_and_sjis.so
%{_libdir}/postgresql/euc_kr_and_mic.so
%{_libdir}/postgresql/euc_tw_and_big5.so
%{_libdir}/postgresql/fuzzystrmatch.so
%{_libdir}/postgresql/hstore.so
%{_libdir}/postgresql/insert_username.so
#%{_libdir}/postgresql/int_aggregate.so
%{_libdir}/postgresql/isn.so
%{_libdir}/postgresql/latin2_and_win1250.so
%{_libdir}/postgresql/latin_and_mic.so
%{_libdir}/postgresql/lo.so
%{_libdir}/postgresql/ltree.so
%{_libdir}/postgresql/moddatetime.so
%{_libdir}/postgresql/pageinspect.so
%{_libdir}/postgresql/pg_buffercache.so
%{_libdir}/postgresql/pg_freespacemap.so
%{_libdir}/postgresql/pg_stat_statements.so
%{_libdir}/postgresql/pg_trgm.so
%{_libdir}/postgresql/pgcrypto.so
%{_libdir}/postgresql/pgrowlocks.so
%{_libdir}/postgresql/pgstattuple.so
%{_libdir}/postgresql/plpgsql.so
%{_libdir}/postgresql/refint.so
%{_libdir}/postgresql/seg.so
%{_libdir}/postgresql/sslinfo.so
%{_libdir}/postgresql/tablefunc.so
%{_libdir}/postgresql/test_parser.so
%{_libdir}/postgresql/timetravel.so
%{_libdir}/postgresql/tsearch2.so
%{_libdir}/postgresql/utf8_and_ascii.so
%{_libdir}/postgresql/utf8_and_big5.so
%{_libdir}/postgresql/utf8_and_cyrillic.so
%{_libdir}/postgresql/utf8_and_euc_cn.so
%{_libdir}/postgresql/utf8_and_euc_jp.so
%{_libdir}/postgresql/utf8_and_euc_kr.so
%{_libdir}/postgresql/utf8_and_euc_tw.so
%{_libdir}/postgresql/utf8_and_gb18030.so
%{_libdir}/postgresql/utf8_and_gbk.so
%{_libdir}/postgresql/utf8_and_iso8859.so
%{_libdir}/postgresql/utf8_and_iso8859_1.so
%{_libdir}/postgresql/utf8_and_johab.so
%{_libdir}/postgresql/utf8_and_sjis.so
%{_libdir}/postgresql/utf8_and_uhc.so
%{_datadir}/pgsql/contrib/
%{_bindir}/oid2name
%{_bindir}/pgbench
%{_bindir}/vacuumlo

%files libs -f libpq5-%{pgver}.lang
%defattr(-,root,root)
%{_libdir}/libecpg.so.*
%{_libdir}/libecpg_compat.so.*
%{_libdir}/libpgtypes.so.*
%{_libdir}/libpq.so.*

%files server -f server.lst
%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/postgresql
%dir %{_sysconfdir}/sysconfig/pgsql
%{_bindir}/initdb
#%{_bindir}/ipcclean
%{_bindir}/pg_controldata
%{_bindir}/pg_ctl
%{_bindir}/pg_resetxlog
%{_bindir}/pg_standby
%{_bindir}/postgres
%{_bindir}/postmaster
%{_mandir}/man1/initdb.*
#%{_mandir}/man1/ipcclean.*
%{_mandir}/man1/pg_controldata.*
%{_mandir}/man1/pg_ctl.*
%{_mandir}/man1/pg_resetxlog.*
%{_mandir}/man1/postgres.*
%{_mandir}/man1/postmaster.*
%{_libdir}/postgresql/*_and_*.so
%{_libdir}/postgresql/plpgsql.so
%{_libdir}/postgresql/dict_snowball.so
%{_datadir}/pgsql/*.sql
%{_datadir}/pgsql/postgres.bki
%{_datadir}/pgsql/postgres.description
%{_datadir}/pgsql/postgres.shdescription
%{_datadir}/pgsql/*.sample
%{_datadir}/pgsql/sql_features.txt
%{_datadir}/pgsql/timezone
%{_datadir}/pgsql/timezonesets
%{_datadir}/pgsql/tsearch_data
%dir %{_libdir}/postgresql
%dir %{_datadir}/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql/data
%attr(700,postgres,postgres) %dir /var/lib/pgsql/backups
%attr(644,postgres,postgres) %config(noreplace) /var/lib/pgsql/.bash_profile

%files devel -f devel.lst
%defattr(-,root,root)
%{_includedir}/*
%{_bindir}/ecpg
%{_bindir}/pg_config
%{_libdir}/libecpg.a
%{_libdir}/libecpg.so
%{_libdir}/libecpg_compat.a
%{_libdir}/libecpg_compat.so
%{_libdir}/libpgport.a
%{_libdir}/libpgtypes.a
%{_libdir}/libpgtypes.so
%{_libdir}/libpq.a
%{_libdir}/libpq.so
%{_libdir}/postgresql/pgxs/*
%{_mandir}/man1/ecpg.*
%{_mandir}/man1/pg_config.*

%if %tcl
%files tcl -f tcl.lst
%defattr(-,root,root)
%endif

%if %pls
%files pl -f pl.lst
%defattr(-,root,root)
%if %plperl
%{_libdir}/postgresql/plperl.so
%endif
%if %pltcl
%{_libdir}/postgresql/pltcl.so
%{_bindir}/pltcl_delmod
%{_bindir}/pltcl_listmod
%{_bindir}/pltcl_loadmod
%{_datadir}/pgsql/unknown.pltcl
%endif
%if %plpython
%{_libdir}/postgresql/plpython.so
%endif
%endif

%if %jdbc
%files jdbc
%defattr(-,root,root)
%{_datadir}/pgsql/postgresql-8.3-%{jdbc2ver}.jdbc2.jar
%{_datadir}/pgsql/postgresql-8.3-%{jdbc2ver}.jdbc2ee.jar
%{_datadir}/pgsql/postgresql-%{pgver}-%{jdbcver}.jdbc3.jar
%{_datadir}/pgsql/postgresql-%{pgver}-%{jdbcver}.jdbc4.jar
%endif

%if %test
%files test
%defattr(-,postgres,postgres)
%attr(-,postgres,postgres) %{_libdir}/postgresql/test/*
%attr(-,postgres,postgres) %dir %{_libdir}/postgresql/test
%endif

%changelog
* Mon Apr 11 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.7-2
- changed name to postgresql8 

* Thu Feb 03 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.7-1
- updated postgresql to 8.4.7 (contains a variety of fixes)

* Sat Jan 29 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.6-1
- updated postgresql to 8.4.6
- updated JDBC2 driver to postgresql-8.3-606.{jdbc2,jdbc2ee}.jar
- updated JDBC3 driver to postgresql-8.4-702.jdbc3.jar
- updated JDBC4 driver to postgresql-8.4-702.jdbc4.jar

* Thu Jan 13 2011 Shu KONNO <owa@bg.wakwak.com> 8.4.5-2
- rebuilt with openssl-1.0.0c

* Thu Oct 07 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.5-1
- updated postgresql to 8.4.5

* Sun May 16 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.4-1
- updated postgresql to 8.4.4

* Thu Apr 15 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.3-1
- updated postgresql to 8.4.3
- s/BuildPrereq/Buildrequires/

* Wed Feb 17 2010 Shu KONNO <owa@bg.wakwak.com> 8.4.2-1
- updated postgresql to 8.4.2
- rebuilt with new environment

* Thu Sep 10 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.1-1
- updated postgresql to 8.4.1

* Fri Aug 21 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-2
- moved dict_snowball.so from conrib to server

* Tue Jul 07 2009 Shu KONNO <owa@bg.wakwak.com> 8.4.0-1
- updated postgresql to 8.4.0
- updated jdbc3,4 to 701
- dropt postgresql-8.3.3-nls.patch (fixed)
- dropt postgresql-7.4-ecpg-patch (no effect)

* Sat Apr 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.3.7-2
- changed libs Group to System Environment/Libraries

* Sun Apr 12 2009 Shu KONNO <owa@bg.wakwak.com> 8.3.7-1
- updated postgresql to 8.3.7

* Sun Jan 25 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-2
- remove "-E EUC_JP --no-locale" option from initdb in postgresql.init

* Thu Jan 22 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 8.3.5-1
- new upstream release (postgresql to 8.3.5, jdbc to 604)

* Sat Jul 05 2008 Shu KONNO <owa@bg.wakwak.com> 8.3.3-1vl5
- applied new versioning policy, and spec in utf-8
- updated postgresql to 8.3.3
- updated jdbcver to 603
- added postgresql-8.3.3-nls.patch instead of postgresql-8.2.0-nls.patch.gz
- added a script to replace PGVERSION in postgresql.init

* Sun Feb 17 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl2
- rebuild with tcl/tk-8.4.18

* Tue Jan 08 2008 Shu KONNO <owa@bg.wakwak.com> 8.2.6-0vl1
- updated postgresql to 8.2.6
- included security fixes: CVE-{2007-6600, 2007-4772, 2007-6067, 2007-4769, 2007-6601}

* Tue Oct 16 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl3
- updated PGVERSION to 8.2 in postgresql.init (sorry;)

* Tue Oct 09 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl2
- rebuild with tcl/tk-8.4.16

* Wed Sep 19 2007 Shu KONNO <owa@bg.wakwak.com> 8.2.5-0vl1
- updated postgresql to 8.2.5
- updated jdbc driver to 8.2-506, and added 8.2-506.jdbc4.jar
- updated nls-patch to 8-2-0
- dropt postgresql-8.1.4-Pg.patch.gz

* Wed Sep 19 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 8.1.10-0vl1
- for VineSeed
- updated to 8.1.10 (8.1.9 and up has fixes for CVE-2007-2138)
- JDBC driver updated to 410

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 8.1.5-0vl1
- rebuilt for VineSeed
- fixed install script

* Thu Nov 23 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.5-0vl0
- upstream release
- fix missing %defattr in %files server 

* Fri Sep 15 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl2
- fix version number in postgresql.init

* Tue Sep 12 2006 HOTTA Michihide <hotta@net-newbie.com> 8.1.4-0vl1
- upstream release
- drop rpm-pgsql-8.0.0.patch
- add Requires: perl-DBD-Pg for contrib
- add postgresql-8.1.4-Pg.patch.gz
- update nls patches
- new JDBC driver

* Sat Mar 18 2006 Shu KONNO <owa@bg.wakwak.com> 8.0.3-0vl4
- added build options --without perl, --without python
- rebuilt for x86_64 architecture support

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl3
- drop Provides: on postgresql-libs
- drop Requires: libpq.so on postgresql-server

* Tue May 31 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl2
- change SONAME -- Provides: libpq.so.4 libpq.so.4.0 libpq.so

* Thu May 26 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.3-0vl1
- upstream release
- update nls patches

* Fri Apr 22 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.2-0vl1
- upstream release
- update nls patches

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl3
- rebuilded with python-2.4.1-0vl1

* Sat Mar 26 2005 Shu KONNO <owa@bg.wakwak.com> 8.0.1-0vl2
- Dropped PyGreSQL-3.4.tgz.
- Dropped PyGreSQL-3.4-setup-2.patch.
- Dropped plpython.so in postgresql-server, because it's exist in postgresql-pl.
- Dropped pyver and pynextver macros.
- Changed macro name "python" to "plpython" like plperl.
- Added "Obsoletes: postgresql-python"

* Fri Feb 18 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.1-0vl1
- Major version up
- Obsoletes: postgresql7
- update nls patch(es)
- modify %postun not to delete postgres account on upgrade

* Thu Jan 27 2005 HOTTA Michihide <hotta@net-newbie.com> 8.0.0-0vl1
- upstream release (release as a new package)
- Conflicts: postgresql
- update nls patch(es)
- (this package revision was rejected by Vine Project)

* Fri Dec 04 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.6-0vl2
- upstream release
- new JDBC driver
- add BuildRequires: bison, flex, pam-devel
- drop postgresql-7.4.5-tempfile.patch (repaired)

* Thu Nov 18 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 7.4.5-0vl2
- Added a security fix patch postgresql-7.4.5-tempfile.patch
  from Gentoo Linux (CAN-2004-0977).
- Changed Patch4:
  from PyGreSQL-3.4-setup-2.patch into PyGreSQL-3.4-setup-2.patch
  It is possible to compile this package without pre-installed postgresql.
- Removed Patch5 because Patch4 was changed.

* Tue Aug 24 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.5-0vl1
- upstream release

* Mon Jun 21 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.3-0vl1
- upstream release
- new jdbc driver 

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl3
- rebuild with python-2.3.3-0vl1

* Tue Apr 13 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.3
- changed mode to 644 at Makefile.global, Makefile.shlib

* Mon Apr 12 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.2
- updated python install section

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 7.4.2-0vl2.1
- added PyGreSQL-3.4.tgz and set python flag
- added PyGreSQL-3.4-setup.patch
- added PyGreSQL-3.4-pgmodule.patch
- rebuilded with python-2.3.3-0vl0.3 (for TestPkg)

* Sun Mar 28 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 7.4.2-0vl2
- rebuild with new openssl

* Wed Mar 17 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.2-0vl1
- upstream release
- change all of %{?foo:%define foo 0} -like descriptions to simple 
  %define format for latest rpm to build.

* Sat Feb 14 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl3
- rebuild on latest tcl package environment.

* Wed Feb 11 2004 HOTTA Michihide <hotta@net-newbie.com> 7.4.1-0vl2
- fixed lacking files at server's %files

* Fri Dec 05 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl2
- include JDBC driver for 7.4
- fix typo in postgresql-7.4-psql-patch

* Thu Nov 20 2003 HOTTA Michihide <hotta@net-newbie.com> 7.4-0vl1
- upstream release
- change '--includedir=' option to avoid conflicting with unixODBC
- add postgresql-7.4-ecpg-patch

* Wed Sep 10 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.4-0vl1
- upstream release

* Wed Jul 23 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl2
- drop previous version of libpq's trash

* Wed May 28 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.3-0vl1
- upstream release with new nls patch
- fix postgresql-bashprofile (value of PGDATA)
- fix postgresql-init for Japanese-specific use (-E EUC_JP --no-locale)

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 7.3.2-0vl2
- rebuild with tcltk8.4 and readline-4.3

* Fri Mar 07 2003 HOTTA Michihide <hotta@net-newbie.com> 7.3.2-0vl1
- upstream release

* Wed Dec 25 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3.1-0vl1
- upstream release
- remove garbage changelog

* Mon Dec 23 2002 HOTTA Michihide <hotta@net-newbie.com> 7.3-0vl1
- upstream release based on 7.3-2PGDG
- add nls patch

* Thu Dec 05 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-2PGDG
- Fix typo in initscript.  Argh!!

* Wed Dec 04 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.5PGDG
- Jerk out all perl client stuff and kludgage
- Rename plperl subpackage to a pl subpackage containing all but PL/Pgsql PL's
- Eliminate locale and multibyte explicit enables -- they are both defaults now
- Eliminate pgaccess code; it's not a part of the main tarball anymore
- Eliminate ODBC stuff -- it's also separate now.  Use unixODBC instead.
- Eliminated separate tk client package -- rolled the tk client into the tcl client.
- Moved pltcl into the pl subpackage.
- Added plpython to the pl subpackage.
- /etc/sysconfig/pgsql is sysconfdir for multiple postmaster startup.

* Mon Dec 02 2002 Lamar Owen <lamar.owen@ramifordistat.net>
- 7.3-0.1PGDG (not released)
- Integrate 7.3 jar's courtesy Joe Conway
- Integrate multi-postmaster initscript courtesy Karl DeBisschop
- Some renames and restructures.
- Stripped out the last dregs of the postgresql-dump migration script.
- Conflicts with less than 7.3.

- (See below for old changelogs from VineSeed) 

* Wed Oct 04 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.3-0vl1
- updated to 7.2.3.

* Wed Sep 10 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl3
- absorbed previous patch8 into original nlspatch
- fixed configure options (--enable-nls and --enable-locale to be antinomy)

* Tue Aug 30 2002 Shoji Matsumoto <shom@vinelinux.org> 7.2.2-0vl2
- add patch8 (ja.po for psql was invalid)

* Wed Aug 29 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.2-0vl1
- updated to 7.2.2.
- improved nlspatch to enable japanese SQL help in psql.

* Wed Jul 06 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl3
- fixed garbage chars in description(ja).

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl2
- imported & replaced changelog (following VineSeed's).
  add some stuff to '%%files'.

* Wed Jul 03 2002 HOTTA Michihide <hotta@net-newbie.com> 7.2.1-5vl1
- Modified for Vine Linux 2.5. Originaly from RHL 7.2.1-5, adding
  nls patch, pg_dump patch, date_part patch by Jun Kuwamura

* Thu May 23 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- replace nls patch.
- add *.mo to '%%files'.

* Mon Mar 04 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- fix initscript

* Sun Mar 03 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- add /usr/bin/pg_id to the package (fix)

* Sat Mar 01 2002 Satoshi MACHINO <machino@vinelinux.org> 7.2-0vl1
- updated 7.2
- added nls.patch
- fixed spec file
- added New JDBC
-- pgjdbc1.jar(for JDK1.1.x), pgjdbc2(for Java2)

* Sat Sep 22 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.3-4vl1
- updated 7.1.3

* Tue Aug 21 2001 Hisao SHIBUYA <shibuya@alpha.or.jp>
- 7.1.2-7vl3
- merge 7.1.2-7vl2 and 7.1.2-7

* Sun Aug 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 7.1.2-7vl2
- fixed spec typo (%%{_includesir} -> %%{_includedir})

* Tue Aug 14 2001 Satoshi MACHINO <machino@vinelinux.org> 7.1.2-7vl1
- updated 7.1.2 (used postgresql-7.1.2-7)
- used psqlj patch for 7.1.2
- used jumbo-20010801.patch.gz

* Mon Aug  6 2001 Trond Eivind Glomsr <teg@redhat.com> 7.1.2-7
- Add patches from 7.1-stable branch. This should fix #50799 and #50797
- Enable kerberos authentication (#50644)
- handle stop with stale pid file (#50499)
- make the test subpackage (not built by default) own /usr/lib/pgsql/test

* Mon Jul  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make the -devel subpackage depend on -libs, not the main package

* Tue Jun 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- Make sure the python subpackage depends on mx - otherwise, you'd get an error when importing

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add changes for s390x

* Fri Jun 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Many path fixes for contrib packages
- Newer intarray
- Don't use nested ifs for tkpkg/pgaccess
- Turn off test package for Red Hat Linux - it makes most sense just to use 
  this during development
- One "pgacess" -> "pgaccess"

* Wed Jun 13 2001 Lamar Owen <lamar.owen@wgcr.org> <lamar@postgresql.org>
- -4PGDG
- patchset update for pg_regress.sh
- can the dot in the release -- confused too many people and some programs.
- -3.PGDG
- updated README.rpm-dist
- updated patch to 7.1.2, fixing some places where /usr/share/pgsql 
  was still being used where /usr/lib/pgsql was intended.
- PGLIB now set to /usr/lib/pgsql -- initdb doesn't use it to find the bki's.

* Tue Jun 12 2001 Trond Eivind Glomsr <teg@redhat.com>
- sync
- Run chkconfig --add on server install
- Move the prereqs on useradd on chkconfig to the server package
- don't disable the %%clean section

* Sat Jun 09 2001 Lamar Owen <lamar.owen@wgcr.org>
- Sync up with Trond Eivind's set.

* Thu Jun  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Don't create postgres' .bashrc from the server post script: include it instead
- Move the test packages from /usr/share/pgsql to /usr/lib/pgsql
- Move the symlinks libpq.so, libecpg.so, libpq++.so and libpgeasy.so to the devel subpackage from 
  libs
- Source the i18n data from the .bashrc instead of in the initscript

* Mon May 28 2001 Trond Eivind Glomsr <teg@redhat.com>
- Handle i18n for database startup - backend needs to have the same locale everytime, 
  but this certainly can't be hardcoded to C either
- Fix stop, restart in initscript (#42217)
- Make database init _much_ less verbose
- other minor fixes to the initscript

* Fri May 25 2001 Trond Eivind Glomsr <teg@redhat.com>
- 7.1.2

* Thu May 24 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.2-0.1.1.PGDG PRERELEASE
- Changed versioning and release numbering a little for better flexibility,
-- particularly for distribution packagers.
- Release numbering comment at top of spec, where it's more useful.
- Trimmed changelog to 7.1.x. See the last 7.0.3's specfile for the 7.0
  changlog, and the last 6.5.3's specfile for the changelog prior to
  7.0.

* Sun May 20 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-4.PGDG
- _really_ got Python version agnosticism working.

* Sat May 19 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-3.PGDG Release
- Python version agnosticism.....

* Tue May 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- Use openssl
- Make it obsolete subpackages if they aren't built

* Mon May 14 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1.1-2.PGDG Release.
- Appended .PGDG to release string to differentiate our RPM set from the others.
- /bin/sh fix in initscript
- README.rpm-dist updates.

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 7.1.1-0.7
- Rebuild with new readline

* Thu May 10 2001 Trond Eivind Glomsr <teg@redhat.com>
- Initial 7.1.1

* Mon May  7 2001 Trond Eivind Glomsr <teg@redhat.com>
- Specify shell when running commands through su in the initscript, to avoid problems 
  when people switch the postgres user to use tcsh

* Thu Apr 19 2001 Trond Eivind Glomsr <teg@redhat.com>
- JDBC driver for Postgresql 7.1

* Sun Apr 15 2001 Trond Eivind Glomsr <teg@redhat.com>
- slightly different versioning scheming, will go back to the official
  later when I'm sure the package is ready to use

* Fri Apr 13 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- 7.1 RELEASE
- 7.1-1 RPM RELEASE
- Change to COPTS -- strip out -ffastmath -- Considered Harmful.
- Back to old versioning scheme, kept teg's other fixes.
- README.rpm-dist updated.
- PGVERSION updated all-around (hopefully!)
- Couple of fixes from Peter E.
- Rearrange dependencies -- only the -libs subpackage is required for most stuff
- Removed broken and confusing logrotate script.

* Mon Apr  9 2001 Trond Eivind Glomsr <teg@redhat.com>
- chown considered harmful - removed
- fix dangling symlimks (pg_crc.c)
- libpq.so changes for maximum compatiblity
- different versioning scheme, to avoid trouble later
- remove temporary perl file from the file list
- fix spelling error in tcl description
- mark odbcinst.ini as a config file
- use %%defattr on packages which didn't have it

* Sat Apr 07 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Integrated the PL/Perl stuff from Karl DeBisschop --conditional.
- Packaging reorg: added contrib and docs subpackages.
- Removed sgml source docs from main package --> docs subpackage.
- Removed contrib tree from main package --> contrib subpackage.
- Contrib tree is now prebuilt -- HOWEVER, very little install work is
  currently done with this. 

* Fri Apr 06 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- Quickie RC3.  There will be a 7.1RC3-2 shortly with other stuff.

* Tue Apr 03 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC2
- eliminate versioning information for ancilliary files in prep for CVS.
- Fix docs mixup.

* Tue Mar 27 2001 Lamar Owen <lamar@postgresql.org> <lamar.owen@wgcr.org>
- RC1 quickie.

* Tue Mar 20 2001 Lamar Owen <lamar@postgresql.org>
- Beta 6 initial build.
- Use make install-all-headers instead of cpio hack for devel headers.
- Split out the libs into the libs subpackage.
- Updated initscript to use pg_ctl to stop
- Updated initscript to initdb and start postmaster with LC_ALL=C to 
  prevent index corruption.


* Sun Jan 28 2001 Lamar Owen <lamar@postgresql.org>
- Beta4
- Return to 'pgsql' directories instead of 'postgresql'
- Better perl patches.

* Mon Jan 15 2001 Lamar Owen <lamar@postgresql.org>
- Edit patches to get rid of some cruft.
- Eliminate some more pre-7.1 specfile baggage that is no longer necessary.
- Moved pg_id to server
- added Makefile.global and pg_config to devel
- Corrected /usr/include/pgsql to /usr/include/postgresql
- Fixed some configure options.  Will be trying the configure macro next release
- Since it is terminally ill in this version pg_upgrade is _gone_.
- Thanks to Peter E for a good review.

* Sun Jan 14 2001 Lamar Owen <lamar@postgresql.org>
- Running regression. 1 on the release-o-meter.
- Minor patches to get regression running right.  
- Initscript tweaking -- the old test for a database structure fails with 7.1's new structure.

* Sat Jan 13 2001 Lamar Owen <lamar@postgresql.org>
- Perl 5 needs to be built with PREFIX set on the Makefile, not GNUmakefile....
- The 7.1 build is different from the 7.0 build -- see the configure line.
- NOTE: many files that used to be in /usr/share/postgresql are now in /usr/share/postgresql!
- by request, conditional packages are now supported. See the top of the spec.
- Fixed the server postinstall problems.

* Mon Jan 08 2001 Lamar Owen <lamar@postgresql.org>
- First 7.1 beta test-build

