%define pkgversion 3.6

Summary: A widely used ray tracing package.
Name: povray
Version: %{pkgversion}.1
Release: 1%{?_dist_release}
License: Other
Group: Applications/Multimedia
URL: http://www.povray.org
Source: http://www.povray.org/redirect/www.povray.org/ftp/pub/povray/Official/Unix/povray-%{pkgversion}.tar.bz2
#ExclusiveArch: %{ix86} ppc sparc ia64
ExclusiveArch: %{ix86} ppc x86_64
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
A widely used ray tracing package, Persistence of Vision's Ray Tracer
(POV-ray) is based on David Buck's original ray tracer, DKB-Trace.
POV-ray is currently developed and supported by members of CompuServe
Graphics Developers' Forum.  The first stage of the process is
describing what you want to depict, either by using an interactive
modeling system like a CAD package, or by creating a text file which
uses a programming language-like syntax to describe the elements of
the image.  In both cases, you have to specify the objects, their
shape, their location, their color, their texture and their
illumination. Then you input the information to the raytracer program
and wait (and wait and wait...raytracing isn't speedy) for its
output (the image).

%prep
%setup

%build
%configure --with-x COMPILED_BY="Vine Caves, Ltd. <info@vinecaves.com>"
pushd libraries/tiff
./configure.gnu
popd
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%{__rm} -rf %{buildroot}%{_docdir}/%{name}-%{pkgversion}

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README
%doc doc/*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}-%{pkgversion}
%config(noreplace) %{_sysconfdir}/%{name}/%{pkgversion}/povray.*

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 3.6.1-1vl5
- applied new versioning policy

* Fri Dec 28 2007 Shu KONNO <owa@bg.wakwak.com> 3.6.1-0vl2
- added x86_64 to ExclusiveArch

* Sat Oct 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.1-0vl1
- new upstream release

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 3.1g-1vl3
- a bit tweak spec
- s/Buildarch/ExclusiveArch/ and enabled it for %%{ix86}
- install man pages into %%{_mandir}

* Sun Oct 15 2000 MACHINO, Satoshi <machino@vinelinux.org> 3.1g-1vl2
- added sparc in Buildarch
- fixed for brp-redhat scripts

* Sun Jun 11 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.1g-1vl1
- added a small patch for non-ix86 archtectures

* Tue May 11 1999 Matt Wilson <msw@redhat.com>
- fixed POVLIBDIR to point at /usr/lib/povray31

* Wed Apr 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.1e.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com> 
- fixed spec file, built for 5.2 powertools.

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- checked spec file and source, rebuilt package.

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- fixed symlink problem

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot to /var/tmp

* Wed Apr 30 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.01 and changed to use a Buildroot

