%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
Summary:     The password database library.
Summary(ja): パスワードデータベースライブラリ
Name: pwdb
Version: 0.62
Release: 1%{?_dist_release}
License: GPL or BSD
Group: System Environment/Base
Source: pwdb-%{PACKAGE_VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: pam = 0.75-48vl1

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%description -l ja
pwdb パッケージにはパスワードデータベースライブラリである libpwdb が
収められています．libpwdb は汎用ユーザ情報データベースを実装した
ライブラリで，特に Linux の PAM (Pluggable Authentication Modules) と
連係して動作することを念頭に置かれて設計されています．
libpwdb を使うと /etc/passwd, /etc/shadow はもとより NIS や Radius と
いったネットワーク認証システムへのアクセスや管理が可能になります．


## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: The password database library.
Group: System Environment/Base
%description -n compat32-%{name}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.


%prep
%setup -q -n pwdb-%{version}
rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .


%build
%if %{build_compat32}
export LDEMULATION="elf_i386"
make CC="gcc -m32" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,%{_lib},%{_includedir}/pwdb}

make INCLUDED=$RPM_BUILD_ROOT%{_includedir}/pwdb \
	LIBDIR=$RPM_BUILD_ROOT/%{_lib} \
	LDCONFIG=":" \
	install

install -m 644 conf/pwdb.conf $RPM_BUILD_ROOT/etc/pwdb.conf


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if !%{build_compat32}
%files
%defattr(-,root,root)
%doc Copyright doc/pwdb.txt doc/html
%config /etc/pwdb.conf
%{_includedir}/pwdb
/%{_lib}/libpwdb.a
/%{_lib}/libpwdb.so
/%{_lib}/libpwdb.so.%{PACKAGE_VERSION}
%endif

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
/%{_lib}/libpwdb.a
/%{_lib}/libpwdb.so
/%{_lib}/libpwdb.so.%{PACKAGE_VERSION}
%endif


%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.62-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 12 2006 Shu KONNO <owa@bg.wakwak.com> 0.62-0vl3
- s/Copylight/License/
- added compat32-* for x86_64

* Sat Apr 10 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.62-0vl2
- rebuild

* Thu Mar 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.62-0vl1
- new upstream release
- splitted from pam-0.75-48vl1

* Fri Aug 02 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.61.2-0vl1
- source update
- fix includes

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.61.1-1vl1
- based on 0.61.1-1 from Rawhide
- use better macros (%%{_includedir})
- added Japanese summary and description

* Wed Aug 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- add missing header files (#16951)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix setting the password for passwordless accounts. Patch from Thomas
  Sailer

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
