Summary: Portable Windows Libary
Name: pwlib
Version: 1.10.10
Release: 2%{?_dist_release}
URL: http://openh323.sourceforge.net/
Source0: http://www.ekiga.org/admin/downloads/latest/sources/sources/pwlib-%{version}.tar.gz
License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: expat, openssl-devel, pkgconfig
BuildRequires: openldap-devel, alsa-lib-devel
BuildRequires: libdv-devel, libraw1394-devel, libavc1394-devel
BuildRequires: libdc1394-devel
Requires: libdv, libraw1394, libavc1394

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire. 

You should install some add-on plugin packages to use sound/video devices.
There are following plugins.
- pwlib-alsa : ALSA sound plugin
- pwlib-v4l  : V4L/V4L2 video plugin
- pwlib-avc  : libavc1394 video plugin
- pwlib-dc   : libdc1394 video plugin

#'
%package devel
Summary: Development package for pwlib
Group: Development/Libraries
Requires: pwlib = %{version}-%{release}
Requires: openssl-devel

%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%package alsa
Summary: ALSA sound plugin for pwlib
Group: System Environment/Libraries
Requires: pwlib = %{version}-%{release}
Requires: alsa-lib >= 1.0.2
Obsoletes: %{name}-oss < 1.10.1

%description alsa
ALSA sound plugins for pwlib.

%package v4l
Summary: V4L video plugin for pwlib
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description v4l
V4L video plugins for pwlib.

%package avc
Summary: libavc1394 video plugin for pwlib
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394, libdv, libavc1394

%description avc
libavc1394 video plugins for pwlib.

%package dc
Summary: libdc1394 video plugin for pwlib
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394, libdv, libdc1394

%description dc
libdc1394 video plugins for pwlib.

%prep
%setup -q 

%build
autoconf
%configure --prefix=%{_prefix} --enable-opal --enable-openh323 \
    --enable-plugins --disable-oss --enable-v4l2
make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}

make PREFIX=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir} install

rm -rf $RPM_BUILD_ROOT%{_includedir}/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptclib/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/CVS
rm -rf $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib/CVS
rm -rf $RPM_BUILD_ROOT%{_datadir}/pwlib/make/CVS

perl -pi -e 's@PWLIBDIR.*=.*@PWLIBDIR = /usr/share/pwlib@' $RPM_BUILD_ROOT%{_datadir}/pwlib/make/ptbuildopts.mak

# changed permission
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libpt*.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/pwlib/devices/*/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm
%{_libdir}/libpt*.so.*
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput

%files alsa
%defattr(-,root,root)
%{_libdir}/pwlib/devices/sound/alsa_*.so

%files v4l
%defattr(-,root,root)
%{_libdir}/pwlib/devices/videoinput/v4l_*.so
%{_libdir}/pwlib/devices/videoinput/v4l2_*.so

%files avc
%defattr(-,root,root)
%{_libdir}/pwlib/devices/videoinput/avc_*.so

%files dc
%defattr(-,root,root)
%{_libdir}/pwlib/devices/videoinput/*

%files devel
%defattr(-,root,root)
%{_libdir}/libpt*.so
%{_includedir}/*
%{_datadir}/pwlib
%attr(755,root,root) %{_bindir}/*

%changelog
* Sat Jun 13 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.10.10-2vl5
- rebuilt with new libdc1394

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.10.10-1vl5
- applied new versioning policy

* Sat Sep 29 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.10-0vl1
- new upstream release

* Thu May 17 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10.7-0vl3
- rebuild with new openssl

* Sat May 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.7-0vl2
- rebuilt with new toolchains

* Sat Apr 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.7-0vl1
- new upstream release
- fixed typo in spec file

* Fri Feb 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.4-0vl1
- new upstream release
- updated Source URL

* Sat Feb  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.3-0vl1
- new upstream release
- updated URL

* Tue Aug 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10.1-0vl1
- new upstream release
- add BuildRequires: openldap-devel, alsa-lib-devel
- rebuild with new openldap-2.3.24
- disable oss support

* Thu Aug  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-1vl5
- rebuild with libraw1394-1.2.0, libavc1394-0.5.3, libdc1394-1.2.0, libdv-0.104

* Sat Jun 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.3-1vl4
- rebuild with libraw1394-1.1.0, libavc1394-0.5.0, libdc1394-1.1.0, libdv-0.102

* Thu Apr 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-1vl3
- rebuild with libdv-0.102

* Sat Mar 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-1vl2
- build with alsa-lib, libdc1394
- split each plugins to sub-packages.

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.3-1vl1
- initial build for Vine Linux

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1.6.3-1
- update to 1.6.3 final

* Fri Feb 20 2004 Alexander Larsson <alexl@redhat.com> 1.6.3-0.pre1.0
- update to 1.6.3pre1

* Tue Feb 17 2004 Alexander Larsson <alexl@redhat.com> 1.5.0-4
- add ranges security fix

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jul  4 2003 Alexander Larsson <alexl@redhat.com> 1.5.0-2
- Add patch to recognize ppc64 ad 64bit

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.5.0-1
- Update to 1.5.0
- Update all patches for new makefile

* Mon Jun 30 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-6.EL
- rebuild for ppc64 crt*.o problems

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-5
- Add patch to workaround bison problem (bug #92262)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-3
- pwlib-1.4.7-noipv6.patch: Disable ipv6 check, damien claims it's unstable.

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-2
- Oops. deleted a bit much from the specfile

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-1
- Update to 1.4.7

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.3.11-2
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Use pkg-config to find OpenSSL if pkg-config admits to knowing anything.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.3.11-1
- Upgrade to 1.3.11
- Remove pwlib-alpha patch. I don't think it's necessary anymore.
- fix %doc

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-5
- Use %{_libdir} etc instead of hardcoding 

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.3-3
- rebuilt using gcc-3.2-0.1

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.3.3-2
- Use glibc regex (and at the same time get rid of non-fpic code)

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul  1 2002 Alexander Larsson <alexl@redhat.com> 1.3.1-1
- Update to 1.3.1

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
