Summary: Python bindings for ORBit2.
Name: pyorbit
Version: 2.24.0
Release: 4%{?_dist_release}
License: LGPL
Group: Development/Languages
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ORBit2 >= 2.14
Requires: libIDL >= 0.7.1
Requires: glib2 >= 1.3.10
Requires: python >= 2.4
Buildrequires: python-devel >= 2.4
Buildrequires: ORBit2-devel >= 2.14
Buildrequires: libIDL-devel >= 0.7.1
Buildrequires: glib2-devel >= 1.3.10
Obsoletes: orbit-python
# needed for automake/autoconf to work right with multilib python
Buildrequires: automake >= 1.6.3-5, autoconf, libtool

Vendor:        Project Vine
Distribution:  Vine Linux

%description
pyorbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for ORBit2 addon libraries.
Group: Development/Libraries
Obsoletes: orbit-python-devel
Requires: %{name} = %{version}

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with pyorbit

%prep
%setup -q

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%files
%defattr(755, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/python?.?/site-packages/*.so
%{_libdir}/python?.?/site-packages/*.py
%{_libdir}/python?.?/site-packages/*.pyc
%{_libdir}/python?.?/site-packages/*.pyo

%files devel
%defattr(755, root, root, 755)
%dir %{_includedir}/pyorbit-2
%{_includedir}/pyorbit-2/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.0-4
- rebuild with python-2.7.2

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 2.24.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- rebuild for python-2.6

* Wed Sep 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5
- new upstream release

* Sat Jul 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.14.3-2vl5
- rebuilt with python-2.5.2-1vl5

* Sat Jul 19 2008 Shu KONNO <owa@bg.wakwak.com> 2.14.3-1vl5
- rebuilt with libIDL-0.8.10 without libIDL-2.la
- applied new versioning policy

* Wed Jan  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Sun Apr 03 2005 Shu KONNO <owa@bg.wakwak.com> 2.0.1-0vl2
- rebuild with python-2.4.1-0vl1

* Mon Dec 27 2004 Kazuhisa TAKEI <takei@vinelinux.org> 2.0.1-0vl1
- update upstream version

* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.0.0-1vl3
- rebuild with python-2.3.3-0vl1

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 2.0.0-1vl2.1
- rebuild with python-2.3.3-0vl0.3 (for TestPkg)

* Sat Jan 17 2004 Tomoya TAKA <taka@vinelinux.org> 2.0.0-1vl2
- rebuild with new toolchain
- s/Copyright/License/

* Fri Sep 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.0-1vl1
- build for Vine Linux

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-1
- 2.0.0

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.99.6-1
- 1.99.6

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.3-5
- rebuild against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.3-4
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-2
- fix defattr

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-1
- update to pyorbit 1.99.3, obsolete orbit-python

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall
- don't install .la files
- use %%_libdir for pkgconfig files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- initial package

