%define python_sitearch %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
Summary: Python module for GNU parted
Summary(ja): parted の python モジュール
Name:    pyparted
Version: 3.8
Release: 3%{?_dist_release}
License: GPLv2+
Group:   System Environment/Libraries

Source0: https://fedorahosted.org/releases/p/y/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python-devel, parted-devel >= 3.0
Requires: parted >= 3.0

%description
Python modules for the parted library.  It is used for manipulation
partition tables.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog
%{python_sitearch}/parted
%{python_sitearch}/*.egg-info
%{python_sitearch}/*.so

%changelog
* Sun Jul 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-3
- rebuild with parted-3.1

* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-2
- rebuild with python-2.7.2

* Fri Jan 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8-1
- new upstream release

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.9-3
- rebuild with parted-2.3

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.8.9-2
- rebuilt with python-2.6.4

* Tue Aug 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.9-1
- new upstream release
- build with parted-1.8.8

* Mon Jul 21 2008 Shu KONNO <owa@bg.wakwak.com> 1.8.1-4vl5
- rebuilt with python-2.5.2
- added pyexeclib macro
- applied new versioning policy and spec in utf-8

* Wed Dec 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.1-3vl1
- rebuilt for VineSeed with parted-1.8.1 and python-2.4

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 1.8.1-3
- rebuild for python 2.5

* Tue Dec 05 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-2
- Rebuild for GNU parted-1.8.1

* Thu Nov 30 2006 David Cantrell <dcantrell@redhat.com> - 1.8.1-1
- Determine Python version to use in %%build so the source RPM is more
  easily moved between distribution releases.

* Fri Nov 17 2006 David Cantrell <dcantrell@redhat.com> - 1.8.0-1
- Bump version to 1.8.0 and require parted >= 1.8.0
- Remove python-abi Requires line since rpm handles that automatically

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.3-1
- Include parted/constraint.h in required header files

* Wed Aug 30 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-2
- Require parted-1.7.1 or higher

* Tue Jul 25 2006 David Cantrell <dcantrell@redhat.com> - 1.7.2-1
- Add HPSERVICE, PALO, PREP, and MSFT_RESERVED to partition types list

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.7.1-1.1
- rebuild

* Sun May 28 2006 David Cantrell <dcantrell@redhat.com> - 1.7.1-1
- Bump version to 1.7.1 and require parted >= 1.7.1

* Fri May 19 2006 David Cantrell <dcantrell@redhat.com> - 1.7.0-1
- Bump version to 1.7.0 and require parted >= 1.7.0

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Peter Jones <pjones@redhat.com> - 1.6.10-1
- rebuild for new parted.
- add debugging options for make so debuginfo isn't useless

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 1.6.9-5
- rebuild for new parted

* Wed Aug 31 2005 Chris Lumens <clumens@redhat.com> 1.6.9-4
- Rebuilt for new parted library.

* Wed Mar 16 2005 Chris Lumens <clumens@redhat.com> 1.6.9-3
- Updated for gcc4 and python2.4.  Fixed build warnings.

* Tue Dec 14 2004 Jeremy Katz <katzj@redhat.com> - 1.6.9-2
- add support for sx8 devices

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-3
- rebuild for python 2.4

* Mon Oct 11 2004 Warren Togami <wtogami@redhat.com> - 1.6.8-2
- #135100 req python-abi (Robert Scheck)

* Tue Aug 17 2004 Jeremy Katz <katzj@redhat.com> - 1.6.8-1
- update for new parted ABI
  - device -> heads, sectors, cylinders now refer to the bios geometry
- require parted >= 1.6.12

* Thu Jul 22 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-3
- build on ppc64 again

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> - 1.6.7-1
- fix build for newer versions of gcc (fix from Jeff Law)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 1.6.6-2
- fix PARTITION_PROTECTED definition (#118451)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com>
- Initial build split out into separate source from the parted package.
- Don't build on ppc64 right now due to parted build problems (#118183)
