%define	oname	virtualenv-clone

# Basic Information
Name:		python-%{oname}
Version:	0.2.4
Release:	1%{?_dist_release}
License:	MIT
Group:		Development/Tools
URL:		http://github.com/edwardgeorge/virtualenv-clone
Source0:	http://pypi.python.org/packages/source/v/%{oname}/%{oname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	script to clone virtualenvs.
Summary(ja):	virtualenv 環境を複製するスクリプト

# Dependency
Requires:	python
Requires:	python-virtualenv
BuildRequires:	python
BuildRequires:	python-setuptools

%description
virtualenv cloning script.

A script for cloning a non-relocatable virtualenv.

Virtualenv provides a way to make virtualenv's relocatable which could then
be copied as we wanted. However making a virtualenv relocatable this way
breaks the no-site-packages isolation of the virtualenv as well as other
aspects that come with relative paths and '/usr/bin/env' shebangs that may
be undesirable.

#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
/usr/bin/%{oname}
%{python_sitelib}/clonevirtualenv.py
%{python_sitelib}/clonevirtualenv.pyc
%{python_sitelib}/virtualenv_clone-%{version}-py%{pyver}.egg-info


%changelog
* Fri Aug 03 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.2.4-1
- initial build for Vine Linux
