%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           qedje
Version:        0.4.0
Release:        6%{?_dist_release}
Summary:        A library combining the benefits of Edje and Qt

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://code.openbossa.org/projects/%{name}
Source0:        http://code.openbossa.org/projects/%{name}/repos/mainline/archive/0206ec8f2a802bf51455179933d8b7ab3e41a38b.tar.gz
Patch0:         qedje-0.4.0-fix_python_install.patch
Patch1:         qedje-0.4.0-fix-install.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  qt4-devel
BuildRequires:  eet-devel
BuildRequires:  qzion-devel
BuildRequires:  qzion-python-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  sip-devel
BuildRequires:  PyQt4-devel

%description
The main purpose of the QEdje project is to build a bridge among components
that proved to have great value for open source developers: Edje and Qt. This
will extend the Qt toolkit with the flexibility of a declarative language, such
as Edje, and also enable Qt widgets to be embedded into Edje UI design.

%package devel
Summary:   Development files for %{name}
Group:     Development/Libraries
Requires:  cmake
Requires:  pkgconfig
Requires:  %{name} = %{version}-%{release}
Requires:  qzion-devel
Requires:  eet-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package python
Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: PyQt4
Requires: qzion-python

%description python
The %{name}-python package contains python bindings for %{name}

%package python-devel
Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: sip
Requires: PyQt4-devel
Requires: qzion-python-devel
Requires: %{name}-python = %{version}-%{release}

%description python-devel
The %{name}-python-devel package contains the development files
for the python bindings for %{name}

%prep
%setup -q -n %{name}-mainline
%patch0 -p1
%patch1 -p1 -b .fix-install

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DPYTHON_SITE_PACKAGES_DIR=%{python_sitearch} \
    -DQZION_SIP_DIR=%{_datadir}/sip/qzion \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/qedje_viewer
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc

%files python
%defattr(-,root,root,-)
%{python_sitearch}/%{name}

%files python-devel
%defattr(-,root,root,-)
%{_datadir}/sip/%{name}

%changelog
* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.0-6
- rebuilt with rpm-4.8.1 for pkg-config
- added qedje-0.4.0-fix-install.patch (from mandriva)

* Mon Apr 19 2010 Shu KONNO <owa@bg.wakwak.com> 0.4.0-5
- rebuilt with python-2.6

* Sun Sep 06 2009 NAKAMURA Kenta <kenta@vinelinux.org> -0.4.0-3
- use %%cmake macro

* Sat Aug 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.4.0-3
- Initial build for Vine Linux

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 John5342 <john5342 at, fedoraproject.org> 0.4.0-1
- Updated to new upstream release (0.4.0)

* Fri Mar 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.3.0-5
- revert (previous borkage probably due to qt-4.5-rc1)

* Wed Mar 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.3.0-4
- BR: phonon-devel

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-2
- Fixed a license
- BR: qzion-devel
- devel R: qzion-devel, eet-devel

* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-1
- Initial package
