%define name qhull
%define version 2003.1

Summary: General dimension convex hull programs
Name: %{name}
Version: %{version}
Release: 2%{?_dist_release}
License: Distributable
Group: System Environment/Libraries
URL: http://www.qhull.org

Source0: http://www.qhull.org/download/qhull-%{version}.tar.gz

Patch0: poly.c-qh_gethash.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package devel
Summary: Development files for qhull
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p2


%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
  docdir=%{_docdir}/%{name}-%{version} install

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/libqhull.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/qhull
#{_libdir}/*.*a
%{_libdir}/libqhull.so

%changelog
* Sat Feb 19 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2003.1-2
- added Patch0 from upstream
- added --disable-static to %%configure

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2003.1-1vl5
- applied new versioning policy
- removed *.la

*Thu Jan 03 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2003.1-0vl2
- rebuild on VineSeed

*Thu Oct 6 2005 g-staff <g-staff@math.sci.hokudai.ac.jp> 2003.1-0vl1
- taken from FC
- rebuild on Vine Linux 3.2

* Sun Aug 08 2004 Ralf Corsepius <ralf[AT]links2linux.de>	- 2003.1-0.fdr.2
- Use default documentation installation scheme.

* Fri Jul 16 2004 Ralf Corsepius <ralf[AT]links2linux.de>	- 2003.1-0.fdr.1
- Initial Fedora RPM.
