Summary: Revision Control System (RCS) file version management tools.
Summary(ja): RCS (Revision Control System) ファイルバージョン管理ツール
Name: rcs
Version: 5.7
Release: 22%{?_dist_release}

Group: Development/Tools
License: GPL

Source: ftp://prep.ai.mit.edu:/pub/gnu/%{name}-%{version}.tar.gz
Patch0: rcs-5.7-stupidrcs.patch
Patch1: rcs-5.7-security.patch
Patch2: rcs-5.7-sameuserlocks.patch
Patch3: rcs-5.7-option.patch
Patch4: rcs-5.7-newsvnsyntax.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automake

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%description -l ja
RCS (Revision Control System) はファイルのバージョン管理を行う為の
システムです．RCS を使うとファイルの更新履歴を保存したり，更新ファイルを
取得したり，複数の変更をマージしたりといった作業を自動化することが
出来ます．RCS は，プログラム，ドキュメント，グラフィック，論文，手紙等
頻繁に変更されるファイル群の管理に適しています

ファイルのバージョン管理システムが必要ならば rcs パッケージを
インストールして下さい．


%prep
%setup -q
%patch0 -p1 -b .stupidrcs
%patch1 -p1 -b .security
%patch2 -p1 -b .sameuserlocks
%patch3 -p1 -b .option
%patch4 -p1 -b .newsvnsyntax

autoconf

%build

%configure --with-diffutils

touch src/conf.h
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

#make prefix=${RPM_BUILD_ROOT}/%{_prefix} install
%makeinstall man1dir=${RPM_BUILD_ROOT}%{_mandir}/man1 man5dir=${RPM_BUILD_ROOT}%{_mandir}/man5


%files
%defattr(-,root,root)
%doc ChangeLog CREDITS NEWS rcs_func.ms rcs.ms README REFS 
%{_bindir}/*
%{_mandir}/man[15]/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Apr 19 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-22
- rebuilt with current VineSeed

* Sat Aug 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-21vl5
- added Patch3 and 4 from FC
  * Tue Jul 17 2007 Jiri Moskovcak <jmoskovc@redhat.com> - 5.7-31
  - Addded support for new svn syntax.
  - Resolves: #247998
  * Mon Oct 10 2005 Phil Knirsch <pknirsch@redhat.com> 5.7-29
  - Fixed bug with obsolete and changed -u option for diff (#165071)

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 5.7-20vl5
- applied new versioning policy, spec in utf-8

* Sun Oct  3 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-20vl2
- added Patch2 from Fedora development
  * Fri Oct 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.7-22
  - Included sameuserlocks patch from James Olin Oden (#107947).
- s/Copyright/License/

* Thu Mar 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.7-20vl1
- rebuild with new toolchains
- based on 5.7-20 from Rawhide (add the following patch)
  - tmpfile security patch from Olaf Kirch <okir@lst.de>

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 5.7-13vl1
- based on 5.7-13 from Rawhide
- added Japanese summary and description

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file; added BuildRoot

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
-built against glibc
