Summary: A Remote Desktop Protocol Client
Summary(ja): リモートデスクトッププロトコルクライアント
Name: rdesktop
Version: 1.7.1
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
Patch10: rdesktop-win2k-ts-license-hack.patch
Patch11: rdesktop-1.6.0-skip-load-license.patch
Patch12: rdesktop-enable-fontsmoothing.patch
URL: http://www.rdesktop.org/
License: GPLv3
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
BuildRequires: libX11-devel
BuildRequires: alsa-lib-devel
BuildRequires: libsamplerate-devel
BuildRequires: libao-devel

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 Terminal Services, capable of natively speaking Remote
Desktop Protocol (RDP) in order to present the user's NT
desktop. Unlike Citrix ICA, no server extensions are required.

%description -l ja
rdesktop は Windows NT ターミナルサーバ、Windows 20000 ターミナルサービス
のオープンソースクライアントです。リモートデスクトッププロトコル(RDP)を
利用してユーザの Windows デスクトップを表示します。Citrix ICA のような
サーバ拡張は必要ありません。

%prep
%setup -q
%patch10 -p1 -b .win2k-ts-license-hack
%patch11 -p1 -b .skip-load-license
%patch12 -p1 -b .enable-font-smoothing

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING doc/ChangeLog doc/AUTHORS doc/HACKING doc/TODO doc/*.txt
%{_bindir}/rdesktop
%{_datadir}/rdesktop
%{_mandir}/man1/*

%changelog
* Fri Jul 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.1-1
- new upstream release 

* Thu May 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.0-1
- remove upstreamed Patch0 
- add Patch10 to solve windows server licensing issue.
- add Patch11 to skip license file loading. (for w2k8)
- add patch12 to enable font smoothing

* Thu May 12 2011 IWAI, Masaharu <iwai@alib.jp> 1.6.0-4
- SECURITY FIX: CVE-2011-1595
  - add remote-file-access patch (Patch0): from RHEL6 1.6.0-8.1

* Sat Jan 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-3
- rebuild with openssl-1.0.0c
- add BuildRequires: libap-devel

* Thu May 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-2
- add BR: alsa-lib-devel, libX11-devel, libsamplerate-devel
- remove BR: XOrg-devel

* Mon Oct 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.0-1vl5
- new upstream release

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.5.0-1vl5
- applied new versioning policy, spec in utf-8

* Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0-0vl2
- rebuild with new openssl

* Thu Dec 07 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.0-0vl1
- new upstream release
- fixed typo in spec file <BTS:425>

* Thu Oct 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-0vl1
- new upstream release

* Sun Apr 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0-0vl1
- new upstream release

* Fri Feb 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.1-0vl1
- new upstream release

* Thu Dec 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-0vl1
- new upstream release
- initial build for Vine Linux

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 10 2003 Alexander Larsson <alexl@redhat.com> 1.2.0-1
- 1.2.0, new stable release
- Removed now-upstream ssl patch

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.1.0-5
- work around now-private definition of BN_CTX

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 1.1.0-4
- Fix multilib builds by passing LDLIBS on make command line
- Use _smp_mflags

* Mon Nov 18 2002 Tim Powers <timp@redhat.com>
- rebuild in current tree

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 12 2002 Alexander Larsson <alexl@redhat.com>
- Initial build.

