Name: rekonq
Version: 1.0
Release: 1%{?_dist_release}
Summary: KDE browser based on QtWebkit
Summary(ja): QtWebkit に基づいた KDE ブラウザー

Group: Applications/Internet
License: GPLv3
URL: http://rekonq.kde.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs-devel >= 4.7
BuildRequires: qt4-devel >= 4.8
BuildRequires: soprano-devel

Requires: kdebase-runtime
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
Requires(post): gtk2
Requires(postun): gtk2

%description
rekonq is a KDE browser based on QtWebkit. Its code is based on Nokia 
QtDemoBrowser, just like Arora. It's implementation is going to embrace 
KDE technologies to have a full-featured KDE web browser.

%prep
%setup -qn %{name}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT

#%find_lang %{name} --with-kde

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/rekonq.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

#%files -f %{name}.lang
%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/%{name}
%{_bindir}/kwebapp
%{_libdir}/libkdeinit4_rekonq.so
%{_datadir}/config.kcfg/rekonq.kcfg
%{_datadir}/doc/HTML/*
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/locale/

%changelog
* Sat Aug 18 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0-1
- initial build for VineSeed

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-1
- rekonq 0.8.0
- BR: pkgconfig(QtWebKit), s/kdebase-workspace-devel/kdelibs4-devel/
- Requires: s/kdebase-workspace/kdebase-runtime/
- add tighter, versioned qt runtime dep

* Thu Jul 28 2011 Eelko Berkenpies <fedora@berkenpi.es> 0.7.0-1
- new upstream version
- dropped rekonq_fix_CVE-2010-2536.patch, fixed upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.1-1
- rekonq 0.6.1

* Wed Sep 29 2010 jkeating - 0.6.0-2
- Rebuilt for gcc bug 634757

* Fri Sep 24 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-1
- rekonq 0.6.0

* Tue Aug 03 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0-2
- added patch to fix CVE-2010-2536 (patch by Eelko)
- fixes #620897

* Tue Jul 13 2010 Eelko Berkenpies <fedora@berkenpi.es> 0.5.0-1
- rekonq 0.5.0

* Thu Jun 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.95-1
- rekonq 0.4.95

* Wed Apr 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.0-1
- rekonq-0.4.0

* Wed Nov 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.3.0-2
- fix requirements

* Wed Nov 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.3.0-1
- new upstream version

* Mon Aug 31 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-3
- fix directory ownership in spec file

* Sat Aug 29 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-2
- fix build requirements in spec file

* Tue Aug 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-1
- version 0.2.0
- multiple spec file improvements

* Fri May 29 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.1.0-1
- version 0.1.0

* Mon Mar 23 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.0.4-2
- cleaning up spec file.

* Tue Mar 17 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.0.4-1
- Initial package.
