%define         package_version 0.7.12
%define         package_release 2%{?_dist_release}

Name:           rest
Version:        %{package_version}
Release:        %{package_release}
Summary:        RESTful web api query library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://git.gnome.org/browse/librest
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libsoup-devel
BuildRequires:	openssl-devel
BuildRequires:	gtk-doc

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This library has been designed to make it easier to access web services that
claim to be "RESTful". A reasonable definition of what this means can be found
on Wikipedia [1]. However a reasonable description is that a RESTful service
should have urls that represent remote objects which methods can then be
called on.


%package	devel
Summary:        Development tools for rest
Summary(ja):    rest の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel
Requires:       libsoup-devel
Requires:       libxml2-devel

%description	devel
Header files and libraries for building a extension library for the
rest.


%package        doc
Summary:        Documentation for rest
Summary(ja):    rest 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for rest.


%prep
%setup -q

%build
%configure \
	--enable-gtk-doc \
	--disable-static \
	--enable-introspection=yes \
	--with-ca-certificates=%{_datadir}/ssl/certs

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}-0.7
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/%{name}-0.7


%changelog
* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.12-2
- fix URL

* Wed Nov 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.12-1
- new upstream release
- add BuildRequires: openssl

* Thu Nov 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.11-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.10-1
- initial build for Vine Linux

