%define appsdir	 %{_datadir}/rox-filer
%define dsktopentdir    %{_datadir}/applications

Summary:    rox appdir generator
Name:		rox-appdirgen
Version:	0.5.0
Release:	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		User Interface/Desktops
URL:		http://add10.hp.infoseek.co.jp/rox/
Vendor:		Project Vine
Distribution:		Vine Linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	rox-filer bash diffutils patch nkf tree coreutils

%description
ROX Application directory generator.

%description -l ja
ROX用 アプリケーションディレクトリ・ジェネレータ

%prep
%setup -q

%build

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}%{appsdir}
%__cp -a %{_builddir}/%{name}-%{version}/ROX-AppDirGen %{buildroot}%{appsdir}/
%__mkdir -p %{buildroot}%{_bindir}
%__install -m 755 %{_builddir}/%{name}-%{version}/appdirgen %{buildroot}%{_bindir}/
%__ln_s %{_bindir}/appdirgen %{buildroot}%{_bindir}/rox-appdirgen
%__mkdir -p %{buildroot}%{dsktopentdir}
%__install -m 644 %{_builddir}/%{name}-%{version}/AppDirGen.desktop %{buildroot}%{dsktopentdir}/

%post
if [ -d /usr/apps ]; then
    if [ ! -f /usr/apps/* ]; then
	rmdir /usr/apps 2> /dev/null
    fi
fi
local_lang=`echo $LANG | grep ja_JP`
if ! [ -z "$local_lang" ]; then
    l_lang=`echo $LANG | grep ja_JP | cut -d '.' -f 2`
    case $l_lang in
        UTF-8)
            nkfopt="-w"
            ;;
        eucJP)
            nkfopt="-e"
            ;;
    esac
fi

cat << EOF | nkf $nkfopt

rox-appdirgen がインストール／アップグレードされました。
運用に際しては /usr/share/rox-filer/ROX-AppDirGen をクリックし、表示される
ターミナル上の指示に従ってください。
(詳細は /usr/share/rox-filer/ROX-AppDirGen の右クリック - '使い方を見る'
を実行して、各ドキュメントをご覧下さい)
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{appsdir}/*
%{dsktopentdir}/*

%changelog
* Sun Jan 22 2012 TANAKA hiroaki <mosaicist@par.odn.ne.jp> 0.5.0-2
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- rebuild by rpm-4.8

* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 0.5.0-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- source update
- changed system directory to /usr/share/rox-filer

* Tue Jul 22 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.4.8-1
- source update
- added switch function of category folder mode.
  - "application directory" or "normal directory"
- updated document files
  - manual.html, tutorial.html
- bug fix:
  - deleted unnecessary exit code(ROX-AppDirGen/AppRun)

* Sat Jul 19 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.4.8-1
- source update
  - rewrited install-script(ROX-AppDirGen/AppRun)
  - added startup message(START)
  - rewrited document files
    - README.first, REQUIREMENT, manual.html 
- added requirement(tree package)

* Wed Jul 16 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.4.7-1
- added menu item
  - '-r': browse documents
- added new document(tutolial.html)
- added new icon path(AppDirGen/AppsGen: "$HOME/.icons/AppIcons/")

* Sun Jul 13 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.4.6-1
- initial package

