Name:           roxterm
Version:        1.17.1
Release:        1%{?_dist_release}
Summary:        A fast terminal emulator
Summary(ja):    高速ターミナルエミュレータ

Group:          User Interface/X
License:        GPLv2+
URL:            http://roxterm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         roxterm-1.14.2-help.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  vte-devel libglade2-devel gtk2-devel dbus-glib-devel desktop-file-utils
BuildRequires:  dbus-devel

%description
ROXTerm is a terminal emulator intended to provide similar 
features to gnome-terminal, based on the same VTE library, 
but with a smaller footprint and quicker start-up time. It 
achieves this by not using the Gnome libraries and by using 
a separate applet to provide the configuration GUI. It can 
be used as a ROX application, as the name implies, or in 
any other X environment.

%prep
%setup -q
%patch0 -p0 -b .help

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/roxterm

desktop-file-install --vendor "fedora"                        \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications        \
        --remove-category Utility                             \
        --add-category System                                 \
        --delete-original                                     \
    $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc Help/AUTHORS Help/Changes Help/COPYING Help/imgs Help/index.html Help/NEWS Help/README 
%{_bindir}/roxterm
%{_bindir}/roxterm-config
%{_datadir}/applications/fedora-roxterm.desktop
%{_datadir}/roxterm/
%{_datadir}/icons/hicolor/scalable/apps/roxterm.svg

%changelog
* Wed Mar 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.1-1
- initial build for Vine Linux

* Wed Jan 06 2010 Sebastian Vahl <svahl@fedoraproject.org> - 1.17.1-1
- new upstream release: 1.17.1

* Tue Dec 22 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.16.3-1
- new upstream release: 1.16.3

* Tue Aug 11 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.15.2-1
- new upstream release: 1.15.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.14.2-2
- Rebuilt for libvte SONAME bump

* Thu Apr 16 2009 Sebastian Vahl <fedora@deadbabylon.de> - 1.14.2-1
- new upstream version: 1.14.2
- fix help link

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 1.14.1-1
- new upstream version: 1.14.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.13.0-1
- new upstream version: 1.13.0

* Sat Jun 22 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.1-2
- new upstream version: 1.12.2
- move menu entry to category "System"

* Fri May 23 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.1-1
- new upstream version: 1.12.1

* Tue May 20 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.0-1
- new upstream version: 1.12.0

* Sun Mar 31 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.11.1-1
- new upstream version: 1.11.1

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.10.1-1
- new upstream version: 1.10.1

* Wed Jan 23 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.10.0-1
- new upstream version: 1.10.0

* Wed Jan 02 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.9.1-1
- new upstream version: 1.9.1

* Tue Jan 01 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.9.0-1
- new upstream version: 1.9.0

* Thu Dec 13 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.8.1-1
- new upstream version: 1.8.1

* Mon Nov 12 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.8.0-1
- new upstream version: 1.8.0

* Wed Sep 19 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-4
- correct %%doc in spec

* Wed Sep 19 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-3
- own directories
- set %%{_docdir} to %%{name}-%%{version}

* Tue Sep 18 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-2
- use gtk-update-icon-cache in %%post and %%postun

* Tue Sep 18 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-1
- new upstream version: 1.7.4
- correct url

* Tue Sep 11 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.1-1
- new upstream version
- change license to GPLv2+
- BR: dbus-devel

* Tue May 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.5.1-2
- BR: dbus-glib-devel, desktop-file-utils

* Fri Mar 30 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.5.1-1
- new upstream version: 0.5.1

* Tue Feb 20 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.4.1-1
- Initial Release
