Name:		rply
Version:	1.1.1
Release:	1%{?_dist_release}
Summary:	A library to read and write PLY files
Group:		Development/Libraries
License:	MIT
URL:		http://www.tecgraf.puc-rio.br/~diego/professional/%{name}/
Source0:	http://www.tecgraf.puc-rio.br/~diego/professional/%{name}/%{name}-%{version}.tar.gz
Source1:	rply_CMakeLists.txt
Source2:	RPLYConfig.cmake.in
Source3:	rply_cmake_export_cmakelists.txt
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake >= 2.6.0


%description
RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

RPly is easy to use, well documented, small, free, open-source, ANSI C, 
efficient, and well tested. The highlights are:

* A callback mechanism that makes PLY file input straightforward;
* Support for the full range of numeric formats;
* Binary (big and little endian) and text modes are fully supported;
* Input and output are buffered for efficiency;
* Available under the MIT license for added freedom. 


%package        devel
Summary:	Libraries and headers for rply
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Rply Library Header Files and Link Libraries


%prep
%setup -q

# Add CMakeLists.txt file
cp %{SOURCE1} CMakeLists.txt

# Add CMake detection modules
mkdir -p CMake/export
mkdir -p CMake/Modules
cp %{SOURCE2} CMake/Modules/
cp %{SOURCE3} CMake/export/CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE:STRING="Release"\
       -DCMAKE_VERBOSE_MAKEFILE=ON .

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE
%doc manual/*
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/*.so
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/rplyConfig.cmake

%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.1.1-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.01-1
- initial build for Vine Linux


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Mar 21 2010 Mario Ceresa mrceresa@gmail.com 
- Added CMake modules to detect the package

* Thu Mar 04 2010 Mario Ceresa mrceresa@gmail.com 
- Fixed problems detected in https://bugzilla.redhat.com/show_bug.cgi?id=570258#c2

* Wed Mar 03 2010 Mario Ceresa mrceresa@gmail.com 
- Initial RPM Release
