
# Basic Information
Name:		rrdtool
Version:	1.4.7
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/System
URL:		http://oss.oetiker.ch/rrdtool/
Source0:	http://oss.oetiker.ch/%{name}/pub/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	RRDtool - Round Robin Database tool
Summary(ja):	RRDtool - ラウンドロビンデータベースツール

# Dependency
BuildRequires:	glib2-devel
BuildRequires:	glibc-devel
BuildRequires:	libxml2-devel
BuildRequires:	lua-devel
BuildRequires:	pango-devel
BuildRequires:	tcl

%description
It is pretty easy to gather status information from all sorts of things,
ranging from the temperature in your office to the number of octets which
have passed through the FDDI interface of your router. But it is not so
trivial to store this data in a efficient and systematic manner. This is
where RRDtool kicks in. It lets you log and analyze the data you gather from
all kinds of data-sources (DS). The data analysis part of RRDtool is based
on the ability to quickly generate graphical representations of the data
values collected over a definable time period.

#%%description -l ja

%package devel
Summary:	Libraries and include files of RRDtool
Requires:	%{name} = %{version}

%description devel
Libraries and include files of RRDtool

%package tcl
Summary:	RRDTool modules for tcl
Requires:	%{name} = %{version}

%description tcl
RRDTool modules for tcl

%package -n perl-rrdtool
Summary:	RRDTool module for perl
Requires:	%{name} = %{version}

%description -n perl-rrdtool
RRDTool module for perl

%package -n python-rrdtool
Summary:	RRDTool module for python
Requires:	%{name} = %{version}
BuildRequires:	python-devel

%description -n python-rrdtool
RDTool module for python

%prep
%setup -q

%build
%configure --disable-ruby --enable-perl-site-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -f ${RPM_BUILD_ROOT}%{_prefix}/lib/lua/*/rrd.a
%{__rm} -f ${RPM_BUILD_ROOT}%{_prefix}/lib/lua/*/rrd.la
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/librrd*.a
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/librrd*.la
%{__rm} -f ${RPM_BUILD_ROOT}%{_mandir}/man3/RRD?.3pm*
%{__rm} -f ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} -f ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/RRDp/.packlist
%{__rm} -f ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/RRDs/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO
#/usr/local/lib64/site_ruby/1.8/x86_64-linux/RRD.so
%{_bindir}/rrd*
%{_prefix}/lib/lua/*/rrd.so.*
%{_libdir}/librrd*.so.*
%{_mandir}/man1/*.1*
%{_mandir}/man3/librrd.3*
%{_datadir}/rrdtool/examples/cgi-demo.cgi

%files devel
%defattr(-,root,root)
%{_includedir}/rrd*.h
%{_prefix}/lib/lua/*/rrd.so
%{_libdir}/librrd.so
%{_libdir}/librrd_th.so
%{_libdir}/pkgconfig/librrd.pc

%files tcl
%defattr(-,root,root)
%{_libdir}/rrdtool/ifOctets.tcl
%{_libdir}/rrdtool/pkgIndex.tcl
%{_libdir}/tclrrd*.so

%files -n perl-rrdtool
%defattr(-,root,root)
%{perl_sitelib}/RRDp.pm
%{perl_sitearch}/RRDs.pm
%{perl_sitearch}/auto/RRDs/RRDs.bs
%{perl_sitearch}/auto/RRDs/RRDs.so
%{_datadir}/rrdtool/examples/*.pl
%{_datadir}/rrdtool/examples/rrdcached/RRDCached.pm
%{_datadir}/rrdtool/examples/rrdcached/rrdcached-size.pl

%files -n python-rrdtool
%defattr(-,root,root)
%{python_sitearch}/py_rrdtool-*-py*.egg-info
%{python_sitearch}/rrdtoolmodule.so

%changelog
* Fri Feb 17 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.4.7-1
- initial build for Vine Linux
