# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")} 

Name: rubber
Version: 1.1
Release: 2%{?_dist_release}
Summary: An automated system for building LaTeX documents

Group: Applications/Publishing
License: GPL+

URL: http://rubber.sourceforge.net/

Source0: http://rubber.sourceforge.net/%{name}-%{version}.tar.gz

Patch0: rubber-python26.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch

BuildRequires: python-devel texinfo

Requires: texlive

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

Vendor: Project Vine
Distribution: Vine Linux

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%setup -q
%patch0 -p1
for file in doc/man-fr/*; do
iconv -f ISO88591 -t utf8 $file -o $file
done

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__python} setup.py install --root  %{buildroot}

%clean
%{__rm} -fr %{buildroot}

%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun 
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/*
%{_datadir}/rubber
%{_datadir}/info/*
%{python_sitelib}/*
%{_mandir}/man1/*.gz
%{_mandir}/fr/man1/*.gz

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-2
- rebuild with python-2.7.2

* Mon Oct 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1-1
- initial build for Vine Linux


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com>
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Dec 28 2009 Sergio Pascual <sergiopr@fedoraproject.org>
- Adding virtual dependency on latex (bz #550792)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Sergio Pascual <sergiopr@fedoraproject.org>
- Patch to remove a Deprecation Warning in Python 2.6 (bz #506053)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com>
- Rebuild for Python 2.6

* Wed Sep 17 2008 Sergio Pascual <sergiopr@fedoraproject.org>
- ***

* Wed Sep 17 2008 Sergio Pascual <sergiopr@fedoraproject.org>
- Initial specfile

