%define srcname bdb

Summary: Ruby binding for Berkeley DB
Summary(ja): Berkeley DB の Ruby バインディング
Name: ruby-%{srcname}
Version: 0.6.5
Release: 2%{?_dist_release}
Source0: ftp://moulon.inra.fr/pub/ruby/%{srcname}-%{version}.tar.gz
License: GPL
Group: Development/Libraries
URL: http://moulon.inra.fr/ruby/bdb.html

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby ruby-devel
BuildRequires: db4-devel >= 4.8
Requires: ruby

Vendor: Project Vine
Distribution: Vine Linux


%description
This is an interface to Berkeley DB, distributed by Sleepycat
(http://www.sleepycat.com/)

%desctiption -l ja
Ruby に Berkeley DB ライブラリへのインタフェースを提供する
拡張ライブラリです。

%prep
%setup -q -n %{srcname}-%{version}

%build
%{ruby} extconf.rb --with-db-version="-4.8 48"
%{__make}
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall sitearchdir=%{buildroot}%{rarchdir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc Changes README* bdb.* docs examples
%{rarchdir}/*.so


%changelog
* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.5-2
- rebuild with db4-4.8.x; spec fix

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.5-1
- new upstream release
- built with db-4.6.21
- applied new versioning policy
- spec in UTF-8

* Fri Dec 28 2007 Shu KONNO <owa@bg.wakwak.com> 0.6.0-0vl4
- s|/usr/lib|%%{_libdir}| in install

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-0vl3
- remove Requires: db4

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-0vl2
- rebuilt for VineSeed
- rebuilt with new db-4.3.29

* Sat Jun  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-0vl1
- new upstream release

* Wed Nov  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.6-3vl2
- rebuild for VineSeed 

* Wed Oct 23 2005 Atsushi SHICHI <ats7@a.email.ne.jp> 0.5.6-3vl1
- initial build for Vine Linux

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.5.6-3m)
- /usr/lib/ruby

* Sun Jun 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.6-2m)
- fixed missing directory name by tarball

* Mon May 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.6-1m)
- initial import to Momonga
