%define rarchdir %(ruby -r rbconfig -e 'print Config::CONFIG["archdir"]')

Summary: Ruby module binding of ``KAKASI''
Summary(ja): KAKASI を Ruby から用いるためのモジュール
Name: ruby-kakasi
Version: 020928
Release: 1%{?_dist_release}
License: Ruby's
Group: Development/Libraries
Source: http://www.notwork.org/~gotoken/ruby/p/kakasi/kakasi-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ruby ruby-devel kakasi-devel
Requires: ruby kakasi

%description
This extension module is a Ruby binding of ``KAKASI'', which is
developed by Hironobu Takahashi.  KAKASI is the language processing
filter to convert Kanji characters to Hiragana, Katakana or Romaji
and may be helpful to read Japanese documents.

%description -l ja
このモジュールは、高橋裕信さんの作成されたソフトウェアKAKASIをrubyから
用いるためのものです。KAKASIとは漢字かなまじり文をひらがな文やローマ字
文に変換することを目的として作成したプログラムと辞書の総称です。文字種
(半角カナ等)や文字コードの変換も行えます。

%prep
%setup -q -n kakasi-%{version}

%build
ruby extconf.rb
make

%install
rm -rf ${RPM_BUILD_ROOT}
make sitearchdir=${RPM_BUILD_ROOT}%{rarchdir} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README README.jp ChangeLog wdcnt* test.rb
%{rarchdir}/kakasi.so

%changelog 
* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 020928-1
- applied new versioning policy
- spec in UTF-8

* Sat Aug 21 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 020928-0vl3
- rebuild for Ruby 1.8
- change make environment valuable 'sitearchdir' for install

* Thu Oct 10 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 020928-0vl1
- 1st release

