Name: ruby-ldap
Version: 0.9.7
Release: 1%{?_dist_release}
License: BSD
Group: Development/Libraries
Source: http://prdownloads.sourceforge.net/ruby-ldap/%{name}-%{version}.tar.gz
URL: http://ruby-ldap.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel >= 1.8
BuildRequires: openldap-devel >= 2.0
BuildRequires: openssl-devel
Summary: Interface to some LDAP libraries for Ruby
Summary(ja): Ruby 用の LDAP ライブラリへのインタフェース

%description
Ruby/LDAP is an extension module for Ruby, it provides the interface to some
LDAP libraries (for example, OpenLDAP, UMich LDAP, Netscape SDK). The common
API for application developments is described in RFC1823, Most of libraries
comply with it. Ruby/LDAP supports those libraries. 

%description -l ja
Ruby/LDAP は Ruby 用の拡張ライブラりで，各種 LDAP ライブラリ(OpenLDAP, UMich
LDAP, Netscape SDKなど)に対するインタフェースを提供します．API は RFC1823 に
記述されています．

%prep
%setup -q -c

%build
cd %{name}-%{version}
ruby extconf.rb \
  --with-openldap2 \
  --with-libssl=/usr/include/openssl
make
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

# installing binaries ...
cd %{name}-%{version}
make install sitedir=${RPM_BUILD_ROOT}%{_libdir}/ruby
cd ..

(find \
  $RPM_BUILD_ROOT%{_libdir} \
      -type f -o -type l) | 
 sort | sed -e "s,^$RPM_BUILD_ROOT,," > ruby-ldap.files

%clean
rm -f ruby-ldap.files
rm -rf ${RPM_BUILD_ROOT}

%pre

%post

%files -f ruby-ldap.files
%defattr(-, root, root)
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/FAQ
%doc %{name}-%{version}/README
%doc %{name}-%{version}/TODO
%doc %{name}-%{version}/example
%doc %{name}-%{version}/test

%changelog
* Thu Apr  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.7-1
- applied new versioning policy, spec in UTF-8
- rebuilt with openldap-2.4.11

* Sun Jun 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.7-0vl2
- rebuilt with openssl-0.9.8e

* Sat Sep 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.7-0vl1
- new upstream version.
- rebuilt with ruby 1.8.4 and openldap 2.3.27

* Mon Dec 08 2003 akira yamada <akira@vinelinux.org> 0.8.2-0vl1
- new upstream version.
- build with Ruby 1.8.

* Thu Jul 25 2002 Satoshi MACHINO <macino@vinelinux.org> 0.7.1-0vl1
- new upstream version.

* Tue Jul 02 2002 Satoshi MACHINO <macino@vinelinux.org> 0.7.0-0vl1
- new upstream version.

* Wed Apr 03 2002 Satoshi MACHINO <macino@vinelinux.org> 0.6.1-0vl1
- new upstream version.

* Mon Mar 18 2002 akira yamada <akira@vinelinux.org> 0.6.0-0vl1
- new upstream version.

* Wed Jan 09 2002 Satoshi MACHINO <machino@vinelinux.org> 0.5.0-0vl1
- update ruby-ldap-0.5.0
- update BuildPreReq's ruby version to 1.6.6-0vl3

* Mon Dec 10 2001 akira yamada <akira@vinelinux.org> 0.4.0-0vl1
- Initial packaging.
