%define ruby    /usr/bin/ruby
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print Config::CONFIG["archdir"]')

Name: ruby-narray
Version: 0.5.9p6
Release: 1%{?_dist_release}
License: distributable
Source0: http://rubyforge.org/frs/download.php/46303/narray-%{version}.tar.gz
URL: http://narray.rubyforge.org/index.html.ja
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel, fftw-devel
Requires: ruby >= 1.6.6, fftw
Group: Development/Libraries
Summary: NArray is a class of Numerical N-dimensional Array for ruby.

Vendor: Project Vine
Distribution: Vine Linux

%description
NArray is a class of Numerical N-dimensional Array, whose elements are 1/2/4-byte Integer, single/double-prec Real/Complex, and Ruby Object.
This extension library incorporates fast calculation and easy manipulation of large numerical arrays into the Ruby language.
NArray has features similar to NumPy, but NArray has vector and matrix subclasses.

%prep
%setup -q -n narray-%{version}

%build
ruby extconf.rb
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT hdrdir=%{rarchdir} RUBYLIBDIR=$RPM_BUILD_ROOT%{rlibdir} RUBYARCHDIR=$RPM_BUILD_ROOT%{rarchdir} install
%__cp narray.h narray_config.h $RPM_BUILD_ROOT%{rarchdir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README.en README.ja SPEC.en SPEC.ja depend
%doc test/ bench/
%{rlibdir}/narray_ext.rb
%{rlibdir}/nmatrix.rb
%{rarchdir}/narray.so
%{rarchdir}/narray.h
%{rarchdir}/narray_config.h


%changelog
* Sun Nov 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.9p6-1
- new upstream release, updated URL
- appled new versining policy
- changed Group to Development/Libraries

* Fri May 25 2007 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.9-0vl1
- source version up

* Wed Aug 24 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.8-0vl1
- source version up

* Mon Feb 28 2005 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.7-0vl1
- source version up

* Wed May 03 2004 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.7-0vl2
- source version up
- compile with fftw
- del ruby-devel from Require
- add ruby-devel to BuildRequire

* Sat Nov 08 2003 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.7-0vl2
- compile for ruby-1.8.0

* Mon Mar 24 2003 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.7-0vl1
- source version up

* Mon Jun 24 2002 Seiya Nishizawa <seiya@kugi.kyoto-u.ac.jp> 0.5.6p2-0vl0
- First package.
