Summary:     Displays who is logged in to local network machines.
Summary(ja): ローカルネットワーク機に誰がログインしているか表示する
Name: rwho
Version: 0.17
Release: 27%{?_dist_release}

License: BSD
Group: Applications/Internet

Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-rwho-%{version}.tar.gz
Source1: rwhod.init
Patch0: netkit-rwho-0.15-alpha.patch
Patch1: netkit-rwho-0.17-bug22014.patch
Patch2: rwho-0.17-fixbcast.patch
Patch3: rwho-0.17-fixhostname.patch
Patch4: netkit-rwho-0.17-strip.patch
Patch5: netkit-rwho-0.17-include.patch
Patch6: netkit-rwho-0.17-wd_we.patch
Patch7: netkit-rwho-0.17-time.patch
Patch8: netkit-rwho-0.17-gcc4.patch
Patch9: netkit-rwho-0.17-getloadavg.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Requires: /sbin/chkconfig /etc/init.d
Requires: /sbin/chkconfig


%description
The rwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the rwho daemon.

Install the rwho command if you need to keep track of the users who
are logged in to your local network.

%description -l ja
rwho コマンドは who コマンド (誰がログインしているかを表示します) の
出力に似た表示をするプログラムで，rwho デーモンが動作しているローカル
ネットワーク上の全マシンの情報を出力します．

あなたのローカルネットワーク上のマシンに誰がログインしているかを
知りたい場合は rwho コマンドをインストールして下さい．


%prep
%setup -q -n netkit-rwho-%{version}
%patch0 -p1 -b .alpha
%patch1 -p1 -b .bug22014
%patch2 -p1 -b .fixbcast
%patch3 -p1 -b .fixhostname
%patch4 -p1 -b .strip
%patch9 -p0 -b .getloadavg

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_initdir}
mkdir -p ${RPM_BUILD_ROOT}/var/spool/rwho

make INSTALLROOT=${RPM_BUILD_ROOT} install
make INSTALLROOT=${RPM_BUILD_ROOT} install -C ruptime

install -m 755 $RPM_SOURCE_DIR/rwhod.init ${RPM_BUILD_ROOT}%{_initdir}/rwhod


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/chkconfig --add rwhod


%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwhod
fi


%files
%defattr(-,root,root)
%doc README
%{_bindir}/ruptime
%{_mandir}/man1/ruptime.1*
%{_bindir}/rwho
%{_mandir}/man1/rwho.1*

%{_sbindir}/rwhod
%{_mandir}/man8/rwhod.8*
/var/spool/rwho
%config %{_initdir}/rwhod


%changelog
* Sun May  1 2011 Shu KONNO <owa@bg.wakwak.com> 0.17-27
- rebuilt with current VineSeed

* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 0.17-26vl5
- added netkit-rwho-0.17-getloadavg.patch
- applied new versioning policy, spec in utf-8

* Mon Jul 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-19vl1
- added Patch5, 6, 7 and 8 from Fedora 0.17-25.2.1 
  * Thu Mar 17 2005 Phil Knirsch <pknirsch@redhat.com> 0.17-25
  - gcc4 rebuild fixes
  * Fri Oct 22 2004 Phil Knirsch <pknirsch@redhat.com> 0.17-23
  - Fixed long standig bug with only 42 entries per host showing up (#27643)
  - Fixed some warnings of missing prototypes.
  * Wed May 12 2004 Phil Knirsch <pknirsch@redhat.com> 0.17-21
  - Enabled PIE for server and application.
- changed Group to Applications/Internet

* Mon Jul 16 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-19vl1
- based on Redhat Rawhide 0.17-19
- added Patch2, 3 and 4
- rebuild with new toolchains

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.17-7vl1
- based on 0.17-7 from Rawhide
- use better macros (%%{_initdir})
- added Japanese summary and description

* Wed Dec 27 2000 Jeff Johnson <jhbj@redhat.com>
- use glibc's <protocols/rwhod.h>, internal version broken on alpha (#22014).

* Thu Aug 10 2000 Bill Nottingham <notting@redhat.com>
- fix broken init script

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to 0.17.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- postun should have been preun.

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- fix unaligned trap on alpha.
- update to 0.15.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- add ruptime (#2023)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added /var/spool/rwho

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed init script

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added an init script
- uses chkconfig
- uses %attr tags

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
