Summary: A color VT102 terminal emulator for the X Window System.
Summary(ja): X Window System のカラー VT102 端末エミュレータ
Name: rxvt
Version: 2.7.3
Release: 1%{?_dist_release}
License: distributable
Group: User Interface/X
URL: http://www.rxvt.org
#Source: ftp://ftp.rxvt.org/pub/rxvt/%{name}-%{version}.tar.gz
Source: %{name}-%{version}.tar.bz2
%define conf rxvt-vine-%{version}
Source1: %{conf}.tar.gz
Patch0: rxvt-2.7.3-bsdel.patch
Patch1: rxvt-2.7.3-xim.patch
Patch2: rxvt-2.7.3-ximfix.patch
Patch3: rxvt-2.7.3-mbwrap.patch
# security fix patch(es)
# modified rxvt-2.7.8-security.patch for RedHat-2.7.8-3.6.2.1
Patch10: rxvt-2.7.3-security.patch
Buildroot: %{_tmppath}/%{name}-root
Distribution: Vine Linux
Vendor: Project Vine
BuildRequires: autoconf213

%description
Rxvt is a color VT102 terminal emulator for the X Window System.  Rxvt
is intended to be an xterm replacement for users who don't need the
more esoteric features of xterm, like Tektronix 4014 emulation,
session logging and toolkit style configurability.  Since it doesn't
support those features, rxvt uses much less swap space than xterm
uses.  This is a significant advantage on a machine which is serving a
large number of X sessions.

The rxvt package should be installed on any machine which serves a
large number of X sessions, if you'd like to improve that machine's
performance.

%description -l ja
Rxvt は軽く高機能な X ターミナルソフトです。背景に画像をはり
つけたり、 メニューを設定したりすることができます。

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch10 -p1

autoconf-2.13 -l autoconf autoconf/configure.in > configure

%build
%configure \
%if 1
	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--mandir=%{_mandir} \
%else
	--prefix=%{_prefix}/X11R6 \
	--exec-prefix=%{_prefix}/X11R6 \
	--mandir=%{_prefix}/X11R6/man \
%endif
	--enable-utmp --enable-xpm-background \
	--enable-xgetdefault --enable-ttygid \
	--enable-transparency --enable-menubar \
	--enable-languages --with-encoding=eucj \
	--enable-xim --enable-kanji \
	--enable-delete-key --enable-backspace-key
make

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
#%makeinstall \
#	DESTDIR=$RPM_BUILD_ROOT \
#	bindir=%{_prefix}/X11R6/bin \
#	mandir=%{_prefix}/X11R6/man/man1

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir}/man1

#install -m644 doc/rxvt.1 $RPM_BUILD_ROOT/%{_prefix}/X11R6/man/man1
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities
#cat > $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/rxvt.desktop <<EOF
install -m644 doc/rxvt.1 $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/rxvt.desktop <<EOF
[Desktop Entry]
Name=Rxvt
Type=Application
Comment=small, fast X terminal application
Icon=rterm.xpm
MiniIcon=mini-sh1.xpm
Exec=rxvt
EOF

# Extract configuration files for Vine
cd %{conf}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%attr(2755,root,utmp) %config(missingok) %{_bindir}/rxvt
%{_bindir}/rclock
%{_mandir}/man*/*
%attr(644,root,root) %config(missingok) %{_datadir}/applications/rxvt.desktop

%{_prefix}/X11R6/lib/X11/rxvt/vine.menu
%{_prefix}/X11R6/lib/X11/rxvt/terminal.menu
%{_prefix}/X11R6/lib/X11/app-defaults/Rxvt

%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 2.7.3-1vl5
- applied new versioning policy, spec in utf-8
- updated configure options

* Mon Aug 20 2007 Shu KONNO <owa@bg.wakwak.com> 2.7.3-0vl12
- s/Copyright/License/

* Thu Apr  3 2003 IWAI Masaharu <iwai@alib.jp> 2.7.3-0vl11
- SECURITY FIX: add rxvt-2.7.3-security.patch (Patch10)
    -  modified rxvt-2.7.8-security.patch for RedHat-2.7.8-3.6.2.1
- fix typo in %%changelog :)

* Tue Apr  1 2003 IWAI Masaharu <iwai@alib.jp> 2.7.3-0vl10
- rebuild with new toolchain
- add BuildRequires: autoconf213
- using autoconf-2.13

* Fri Nov 30 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp> 2.7.3-0vl9
- change key code of backspace and delete
  fixed XIM
  fixed a bug of multi byte character wrap

* Wed Apr 11 2001 Jun Nishii <jun@vinelinux.org> 2.7.3-0vl8
- put scroll bar on right side

* Sat Feb 24 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- fixed: install location of man [2.7.3-0vl7]

* Thu Feb 15 2001 Kunio Murasawa <murasawa@marineroad.com>
- 2.7.3-0vl6
- fixed files section changed attribute of rxvt

* Mon Feb 05 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- fixed files section so as not to own mandir itself

* Thu Feb 01 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- rebuild for VineSeed

* Wed Jan 31 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- use better macros
- --enable-delete-key --enable-backspace-key
- fixed Rxvt resource around xim (kinput2) 

* Tue Jul 18 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- 2.7.3-0vl1
- lynx -> w3m, mule -> emacs

* Tue Jun 20 2000 Jun Nishii <jun@vinelinux.org>
- 2.7.3-0vl1

* Thu Feb 23 2000 Preston Brown <pbrown@redhat.com>
- remove app defaults file, we patched keys in the source

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- complies with debian keyboard bindings / xterm

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- fix scrolling behaviour when scrollbar at bottom of range (#9335)

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- color approximation patch for 8bpp from Hans (bug #9171)
- gzip man pages
- app defaults not config files
- wmconfig -> desktop

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- fix up key bindings

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- fix man page doc error (#6098)

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- get rid of the stupid %configure macro that scrwed up the UTMP support in
  rxvt (--enable-everything was a devel release option only, should've
  checked that is still valid before reverting!!!)
- why did we revert in the first place?

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- downgraded to rxvt 2.6.1.  2.7.x is the devel. branch!
- removed meta-key hotkey patch, phasing this nonstandard patch out.

* Mon Aug  9 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 2.7.0.

* Thu Jun 16 1999 Bill Nottingham <notting@redhat.com>
- turn on some stuff in configure

* Tue Jun 14 1999 Bill Nottingham <notting@redhat.com>
- use --enable-ttygid

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.6.0.
- add --enable-xgetdefault (#3309).

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- added unix98 pty support

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- updated for utmpwrap

* Tue Mar 23 1999 Michael Johnson <johnsonm@redhat.com>
- added back the "old" alt-< and alt-> font change behaviour
- put the manpage in the right place

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 2.6.PRE2.  Marked as unstable, but rxvt is always unstable...

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- fix glibc-2.1 utmpx compilation problem -- add -D_GNU_SOURCE (#638).

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- bumped spec # for 6.0 build

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- fix to enable keypad

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 2.4.7
- old version used to be called 2.20, so now we are Serial: 1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- make rxvt use standard XGetDefault instead of built-in one.
