Summary: A statically linked shell, including some built-in basic commands.
Summary(ja): 基本的な組み込みコマンドを持つ，静的リンクされたシェル
Name: sash
Version: 3.7
Release: 9%{?_dist_release}
License: GPL
Group: System Environment/Shells
Source0: http://members.tip.net.au/~dbell/programs/sash-%{version}.tar.gz
Patch0: sash-3.6-misc.patch
Patch1: sash-3.6-scriptarg.patch
Patch2: sash-3.4-losetup.patch
Patch3: sash-pwdfunc.patch
Patch4: sash-3.7-segfault.patch

Patch100: sash-3.7-fixinclude.patch

BuildRequires: zlib-devel, e2fsprogs-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%description -l ja
sash はシンプルかつ単独で利用できる，スタティックリンクされた
シェルです．ls, dd, gzip といったコマンドが組み込まれています．
sash は一切共有ライブラリがない環境でも動作する様にスタティック
リンクされており，システムのトラブル時にも利用することが出来ます．
また sash は共有ライブラリを安全にアップグレードする際にも
使うことが出来ます．


%prep
%setup -q
%patch0 -p1 -b .misc
%patch1 -p1 -b .scriptarg
%patch2 -p1 -b .losetup
%patch3 -p1 -b .pwd
%patch4 -p1 -b .segf

%patch100 -p1 -b .fixinclude

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_syssbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

install -s -m755 sash $RPM_BUILD_ROOT%{_syssbindir}
install -m644 sash.1 $RPM_BUILD_ROOT%{_mandir}/man8/sash.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_syssbindir}/sash
%{_mandir}/man8/sash.8*


%changelog
* Mon Jun 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.7-9
- spec in utf-8

* Fri May  9 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.7-8
- add Patch100 (s|linux/ext2_fs.h|ext2fs/ext2_fs.h|)
- add e2fsprogs-devel to BuildRequires

* Sun May  4 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7-7
- applied new versioning policy

* Mon Oct 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7-6vl2
- rebuilt with new toolchain
- updated Source0 URL

* Sat Nov 12 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7-6vl1
- updated to 3.7 based on Fedora package
  * Fri Mar 26 2004 Karsten Hopp <karsten@redhat.de> 3.7-3
  - add some functions from the ELKS libc-8086/pwd package to fix static 
    linking
  - fix segfault (#119206)
  * Fri Jan 23 2004 Karsten Hopp <karsten@redhat.de> 3.7-1 
  - update

* Tue Sep 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4-8vl3
- rebuild with new toolchains
- s/Copyright/License/
- add BuildPrereq: zlib-devel 

* Fri Mar 15 2002 Satoshi MACHINO <machino@vinelinux.org> 3.4-8vl2
- rebuild on zlib-1.1.4(security fix.)

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.4-8vl1
- based on 3.4-8 from Rawhide
- use better macros (%%{_tmppath}, %%{_syssbindir})
- added Japanese summary and description

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against new glibc in the sparc tree

* Mon Aug  2 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.3 (#4301).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build
