%define src_name honoka-plugin-wnn
%define version  0.9.0
%define release  4%{_dist_release}

%global honoka_version   0.9.0

Name:       scim-honoka-plugin-wnn
Summary:    a Wnn input plugin for HONOKA-TAN
Summary(ja): ほのかたんのための Wnn 入力プラグイン
Version:    %{version}
Release:    %{release}
Group:      System Environment/Libraries
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0:    http://nop.net-p.org/files/honoka/%{src_name}-%{version}.tar.gz
Patch0:     scim-honoka-plugin-wnn-0.9.0_for-wnn8.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Requires:      libwnn7
Requires:      scim-honoka-plugin-ascii     >= %{honoka_version}
Requires:      scim-honoka-plugin-kanainput >= %{honoka_version}
Requires:      scim-honoka-plugin-romkan    >= %{honoka_version}
Requires:      scim-honoka-plugin-simpleprediction >= %{honoka_version}
BuildRequires: scim-honoka-devel >= %{honoka_version}
BuildRequires: libwnn7-devel
BuildRequires: automake
BuildRequires: libtool-ltdl

%description
scim-honoka-plugin-wnn is a Wnn input plugin for HONOKA-TAN.

%description -l ja
scim-honoka-plugin-wnn はほのかたんのための Wnn 入力プラグインです．

%prep
%setup -q -n %{src_name}-%{version}
%patch0 -p1 -b .wnn8

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken: --> OK???
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/honoka/*.{a,la}

%find_lang %{src_name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{src_name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/*/honoka/*.so


%changelog
* Sat Jul 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-4
- changed BuildRequires: libwnn7-devel

* Sun Oct 25 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-3
- spec in utf-8

* Sun Mar 23 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-2vl5
- change Group: System Environment/Libraries

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-1vl5
- initial build for VineSeed
  with scim-honoka-plugin-wnn-0.9.0_for-wnn8.patch

### end of file
