%define src_name honoka
%define version  0.9.1
%define release  2%{_dist_release}

Summary: HONOKA-TAN is an SCIM IMEngine module for Japanese
Summary(ja): ほのかたんは日本語のための SCIM IMEngine モジュールの 1 つです
Name:       scim-honoka
Version:    %{version}
Release:    %{release}
Source0:    %{src_name}-%{version}.tar.bz2
License:    GPLv2
URL:        http://nop.net-p.org/modules/pukiwiki/index.php?%5B%5Bhonoka%5D%5D
Group:      System Environment/Libraries

Requires:      scim >= 1.4.3
BuildRequires: scim-devel >= 1.4.7
BuildRequires: automake, libtool-ltdl
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
HONOKA-TAN is an SCIM IMEngine module for Japanese.

%description -l ja
ほのかたんは日本語のための SCIM IMEngine モジュールの 1 つです．

%package devel
Summary:    Development package for %{name}
Summary(ja): %{name} のための開発パッケージ
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
HONOKA-TAN is an SCIM IMEngine module for Japanese.
This package contains development files for %{name}.


%prep
%setup -q -n %{src_name}-%{version}

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken: --> OK???
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{src_name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/IMEngine/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/SetupUI/*.{a,la}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{src_name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%{_libdir}/*.so.*
#%{_libdir}/scim-1.0/*/Helper/*.so
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so

%files devel
%defattr(-,root,root)
%{_includedir}/%{src_name}/*.h
%{_libdir}/*.a
#%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{src_name}.pc


%changelog
* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.1-2vl5
- removed *.la
- spec in utf-8

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.1-1vl5
- initial build for VineSeed

### end of file
