# -*- coding: utf-8-unix -*-
%define name scim-prime
%define version	1.0.0
%define release	1%{?_dist_release}

Summary:	An SCIM IMEngine module for PRIME
Summary(ja):	PRIME のための SCIM IMEngine モジュール
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System Environment/Libraries
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:		prime
Requires:		scim
BuildRequires:		prime
BuildRequires:		scim-devel
BuildRequires:		automake, libtool-ltdl

%description
scim-prime is an SCIM IMEngine module for prime.

%description -l ja
scim-prime は PRIME のための SCIM IMEngine モジュールです．

%prep
%setup -q

%build
[[ ! -x configure ]] && ./bootstrap

## temporary hack to fix ltmain.sh version
set -x
aclocal -I m4
autoheader
libtoolize -c --automake 
automake --add-missing --copy --include-deps
autoconf

%configure
# (tv) parallel build is broken: --> OK???
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/IMEngine/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/SetupUI/*.{a,la}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
#%{_libdir}/scim-1.0/*/Helper/*.so
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so


%changelog
* Sat Nov 01 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1
- initial build for VineSeed

* Sat Mar 29 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1vl5
- initial build for VineSeed

### end of file
