#%define qtver	3.3.5
%define qtver	3.3.8
%define qtdir	%{_libdir}/qt-%{qtver}

Summary:	A plugin for using SCIM with Qt
Summary(ja):	QtでSCIMを使うためのプラグイン
Name:		scim-qtimm
Version:	0.9.4
Release:	2%{?_dist_release}
License:	GPL+
Group:		System Environment/Libraries
URL:		http://www.scim-im.org/projects/scim_qtimm/
Source0:	http://prdownloads.sourceforge.net/scim/scim-qtimm-%{version}.tar.bz2

# patches from Fedora (original:suse)
Patch1:         scim-qtimm-0.9.4-silence-debug-output-244200.patch
Patch2:         scim-qtimm-suse116220-keyboard-layout.patch
Patch3:         scim-qtimm-suse206547-scim-qtimm-crash.patch

Requires:	scim >= 1.4.2, qt = %{qtver}
BuildRequires:	scim-devel >= 1.4.2, qt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
A plugin for using SCIM with Qt.

%description -l ja
QtでSCIMを使うためのプラグインです。

%prep
%setup -q
%patch1 -p1 -b .1-debug
%patch2 -p1 -b .2-kbd
%patch3 -p1 -b .1-crash

%build
export QTDIR=%{qtdir}
%configure
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make install DESTDIR=%{buildroot}

%find_lang %{name}

# remove unneeded files
%__rm -f %{buildroot}%{qtdir}/plugins/inputmethods/*.{a,la}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{qtdir}/plugins/inputmethods/*.so

%changelog
* Mon Feb 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.4-2vl5
- added Patch1,Patch2,Patch3 (import from Fedora)
- added Summary(ja), %description -l ja
- fixed license tag

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.4-1vl5
- applied new versioning policy
- set qtver macro to 3.3.8

* Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.4-0vl1
- initial build
