%define name scim-wnn
%define version 1.0.0
%define release 4%{?_dist_release}

Summary: an SCIM IMEngine module for Wnn
Summary(ja): Wnn のための SCIM IMEngine モジュール
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch0: scim-wnn-1.0.0_for-wnn8.patch
License: GPLv2
URL: http://sourceforge.jp/projects/scim-imengine/
Group: System Environment/Libraries

Requires: libwnn7
Requires: scim, gtk2, atk, pango, freetype2, glib2
BuildRequires: libwnn7-devel
BuildRequires: scim-devel, gtk2-devel, atk-devel, pango-devel, 
BuildRequires: freetype2-devel, glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description 
scim-wnn is an SCIM IMEngine module for Wnn.

%description -l ja
scim-wnn は，Wnn のための SCIM IMEngine モジュールです．

%prep
%setup -q

%patch0 -p1 -b .wnn8

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%{find_lang} %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/IMEngine/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/SetupUI/*.{a,la}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog  NEWS README
#%{_libdir}/scim-1.0/*/Helper/*.so
%{_libdir}/scim-1.0/*/IMEngine/wnn.so
%{_libdir}/scim-1.0/*/SetupUI/wnn-imengine-setup.so
%{_datadir}/scim/scim-wnn/*.rkt
%{_datadir}/scim/icons/*.png

%changelog
* Sat Jul 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-4
- changed BuildRequires: libwnn7-devel

* Sat Oct 25 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-3
- rebuild

* Sun Sep 7 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-2
- spec in utf-8

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1vl5
- initial build for VineSeed

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1vl5
- initial build for VineSeed

* Sat Mar 8 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-0vlmp1
- initial build
  with scim-wnn-1.0.0_for-wnn8.patch

### end of file
