%define pyver %(python -c 'import sys;print(sys.version[0:3])')
%define pysite %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(0)')

Summary:	Widget-like mini-applications for Linux-desktop
Summary(ja): 	Linux デスクトップ向けのウィジェット風ミニアプリケーション
Name:		screenlets
Version:	0.1.2
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	screenlets-manager-ja.po
Source2:	screenlets-ja.po
License:	GPL
Group:		Applications/Accessories
URL:		http://www.screenlets.org/

Requires:	pyxdg
Requires:	dbus-python
Requires:	gnome-python
Requires:	gnome-python-desktop
Requires:	gnome-python-rsvg
Requires:	gnome-python-libwnck
Requires:	gnome-python-gnomekeyring
Requires:	librsvg2
BuildRequires:	python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Packager:	kazutaka

%description
Screenlets (short form of "Screen-Applets") are small owner-drawn
applications that can be described as "the virtual representation
of things lying/standing around on your desk": Sticknotes, clocks,
rulers, ... the possibilities are endless.

Screenlets work without composite window manager (like Compiz),
but it works better with them. 

%description -l ja
Screenlets ("Screen-Applets"の略) は、あなたの身の回りにある
色々な道具(付箋や時計、定規等々)を仮想的に表現する、ウィジェット
風のミニアプリケーションです。

Screenlets は (Compiz のような)コンポジットウィンドウマネージャ
が無くても問題なく動作しますが、透過表示等はコンポジット環境の
方が綺麗に表示されます。


%prep
%setup -q -n %{name}
# install updated japanese translation
%{__cp} %{SOURCE1} po
%{__cp} %{SOURCE2} po


%build
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root %{buildroot}
%find_lang %{name}
%find_lang %{name}-manager
cat %{name}-manager.lang >> %{name}.lang

# Remove useless egg-info file
%{__rm} -f %{buildroot}%{pysite}/*.egg-info

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-manager
%{_bindir}/%{name}-packager
%{_bindir}/screenletsd
%{_datadir}/%{name}
%{_datadir}/%{name}-manager
%{pysite}/%{name}
%{_datadir}/applications/%{name}-manager.desktop
%{_datadir}/icons/%{name}.svg

%changelog
* Mon Jul 26 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.1.2-1
- initial build for Vine Linux
