Summary: Second Life client
Summary(ja): ɥ饤 饤
Name:    secondlife
Version: 1.18.0.6
Release: 0vl2
Group:     Applications/Games
License:   GPL
URL:       http://secondlife.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: http://secondlife.com/developers/opensource/downloads/2007/07/slviewer-src-%{version}.tar.gz
Source1: http://secondlife.com/developers/opensource/downloads/2007/07/slviewer-artwork-%{version}.zip
Source2: secondlife.png
Source3: lindenlab-secondlife.desktop
Source4: secondlife.sh
Source5: secondlife.sysconfig
#Source10: slviewer-1.17.1.0-png-support-missing-files.tar.bz2

# Build fixes
Patch1: slviewer-1.17.3.0-fix-buildsystem.patch
Patch3: slviewer-1.13.3.57837-systempaths.patch
Patch6: slviewer-1.14.0.1-no-crash-reports.patch
Patch7: slviewer-1.14.0.1-fonts.patch
Patch8: slviewer-1.14.0.1-llfasttimer-no-asm.patch
Patch9: slviewer-1.16.0.5-no-updater.patch
Patch10: slviewer-1.14.0.1-gnome-open.patch
Patch11: slviewer-1.17.3.0-llstatusbar-extra-qualification.patch
Patch12: slviewer-1.17.1.0-no-Werror.patch
Patch13: slviewer-1.17.3.0-no-llresolv6.patch

# Bug fixes
Patch100: slviewer-1.17.1.0-linked_list.patch
Patch102: slviewer-1.17.2.0-fix-AllowIdleAFK.patch
Patch103: slviewer-1.17.3.0-VWR-1475.patch
Patch105: VWR-1465-hires_snapshot_crash_v3.patch
Patch106: slviewer-1.17.0.12-fix-mismatched-delete.patch
Patch107: slviewer-1.18.0.6-VWR-1354_lldrawpool_crash_V2.patch

# Enhancements
Patch200: slviewer-1.17.2.0-no-evil.patch
Patch201: slviewer-1.17.3.0-openal.patch
Patch210: slviewer-1.16.0.5-new-gpu.patch

BuildRequires: scons
BuildRequires: bison
BuildRequires: flex
BuildRequires: SDL-devel
BuildRequires: gtk2-devel
BuildRequires: libjpeg-devel
BuildRequires: openjpeg-devel >= 1.2
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel
BuildRequires: apr-util-devel
BuildRequires: libboost-devel
BuildRequires: curl-devel
BuildRequires: xmlrpc-epi-devel
BuildRequires: openldap-devel
BuildRequires: openal-devel >= 1:0.0.8
BuildRequires: freealut-devel
BuildRequires: elfio
BuildRequires: desktop-file-utils

#BuildRequires: gcc3-c++ = 3.3.6

ExclusiveArch: i686 x86_64

%description
The Second Life client for Linux, currently in alpha testing.

%prep
%setup -q -b 1 -n linden
# Build fixes
%patch1 -p1 -b .buildfix
%patch3 -p1 -b .systempath
%patch6 -p1 -b .no-crash-reports
%patch7 -p1 -b .fonts
%patch8 -p1 -b .llfasttimer-no-asm
%patch9 -p1 -b .no-updater
%patch10 -p1 -b .gnome-open
%patch11 -p1 -b .llstatusbar-extra-qualification
%patch12 -p1 -b .no-Werror
%patch13 -p1 -b .no-llresolv6

# Bugfixes
%patch100 -p1 -b .linked_list
%patch102 -p1 -b .allowidleafk
%patch103 -p1 -b .vwr-1475
%patch105 -p1 -b .vwr-1465
%patch106 -p1 -b .fix-mismatched-delete
%patch107 -p1 -b .vwr-1354

# Enhancements
%patch200 -p1 -b .no-evil
%patch201 -p1 -b .openal
%patch210 -p1 -b .new-gpu

sed -i 's/g++-3.4/g++/g' indra/SConstruct

%build
pushd indra
  scons BUILD=release BTARGET=client MOZLIB=no FMOD=no DISTCC=no CXX=g++ ARCH=%{_target_cpu} %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}

install -D -p -m 755 indra/newview/secondlife-%{_target_cpu}-bin-globalsyms \
                     %{buildroot}%{_bindir}/secondlife.bin

install -m 755 %{SOURCE4} %{buildroot}%{_bindir}/secondlife

install -d %{buildroot}%{_datadir}/secondlife
pushd indra/newview
cp -pr app_settings \
       character \
       res-sdl \
       skins \
       featuretable.txt \
       featuretable_linux.txt \
       gpu_table.txt \
       %{buildroot}%{_datadir}/secondlife/
popd

install -d %{buildroot}%{_libdir}/secondlife
install -m755 indra/lib_release_client/%{_target_cpu}-linux/*.so %{buildroot}%{_libdir}/secondlife

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/secondlife


# Make rpmlint stop complaining
find %{buildroot}%{_datadir}/secondlife/skins/ -type f|xargs chmod 644

install -p -m 644 scripts/messages/message_template.msg %{buildroot}%{_datadir}/secondlife/app_settings/

mkdir -p %{buildroot}%{_datadir}/secondlife/fonts
ln -s /usr/X11R6/lib/X11/fonts/TTF/Vera.ttf \
      %{buildroot}%{_datadir}/secondlife/fonts/sans.ttf
ln -s /usr/X11R6/lib/X11/fonts/TTF/VeraBd.ttf \
      %{buildroot}%{_datadir}/secondlife/fonts/sansbold.ttf
ln -s /usr/X11R6/lib/X11/fonts/TTF/VeraMono.ttf \
      %{buildroot}%{_datadir}/secondlife/fonts/mono.ttf
ln -s /usr/X11R6/lib/X11/fonts/TrueType/VL-PGothic-Regular.ttf \
      %{buildroot}%{_datadir}/secondlife/fonts/unicode.ttf

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/192x192
cp -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/192x192/secondlife.png

desktop-file-install --vendor lindenlab \
                     --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE-source.txt LICENSE-logos.txt doc/*
%doc indra/newview/linux_tools/client-readme.txt
%doc indra/newview/lsl_guide.html
%doc indra/newview/releasenotes.txt
%config %{_sysconfdir}/sysconfig/secondlife
%{_bindir}/secondlife*
%{_datadir}/applications/lindenlab-secondlife.desktop
%{_datadir}/icons/hicolor/192x192/secondlife.png
%{_datadir}/secondlife/
%{_libdir}/secondlife

%changelog
* Tue Jul 17 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.18.0.6-0vl2
- add Patch107 to fix VWR-1354

* Fri Jul 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.18.0.6-0vl1
- new upstream release

* Sat Jul 07 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.3.0-0vl1
- new upstream release
- add Patch103 to use lossy encoding with openjpeg(VWR-1475)

* Thu Jun 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.2.0-0vl2
- add patch101 to fix VWR-1203
- add patch102 to fix AllowIdleAFK

* Thu Jun 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.2.0-0vl1
- new upstream release

* Wed Jun 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.1.0-0vl2
- add VWR-1396 patches
- build with openjpeg-1.2

* Tue Jun 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.1.0-0vl1
- new upstream release

* Tue Jun 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.17.0.12-0vl1
- new upstream release

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.16.0.5-0vl2
- add patch210 to support GeForce8500/8600

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.16.0.5-0vl1
- initial build for Vine Linux
- update to 1.16.0.5
- use Bitstream Vera instead of DejaVu LGC

* Thu Apr 26 2007 Callum Lerwick <seg@haxxed.com> 1.15.0.2-1
- New upstream.
- Non-redistributable fonts are no longer included, substitute DejaVu LGC
  for now.

* Thu Apr 19 2007 Callum Lerwick <seg@haxxed.com> 1.14.0.1-1
- New upstream.

* Thu Mar 29 2007 Callum Lerwick <seg@haxxed.com> 1.14.0.0-1
- New upstream.

* Sun Mar 25 2007 Callum Lerwick <seg@haxxed.com> 1.13.4.8-0.1.20070321a
- First submission to Fedora.

* Sat Feb 10 2007 Callum Lerwick <seg@haxxed.com> 1.13.3.3-1
- Initial packaging.
