%define	_bindir	/bin

Summary:     A utility for configuring serial ports.
Summary(ja): シリアルポートを設定するユーティリティ
Name: setserial
Version: 2.17
Release: 14%{?_dist_release}
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.gz
Patch0: setserial-2.17-fhs.patch
Patch1: setserial-2.17-rc.patch
Patch2: setserial-2.17-readme.patch
Patch3: setserial-2.17-spelling.patch
License: GPL
Group: Applications/System
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: s390 s390x
URL: http://setserial.sourceforge.net/

%description
Setserial is a basic system utility for displaying or setting serial
port information. Setserial can reveal and allow you to alter the I/O
port and IRQ that a particular serial device is using, and more.

You should install setserial because you may find it useful for
detecting and/or altering device information.

%description -l ja
setserial はシリアルポートの状態を表示したり設定したりする
基本的なシステムユーティリティです．setserial を使って
I/O ポートの変更や，特定のシリアルデバイスが使う IRQ を設定したり
することが出来ます．

デバイス情報を検出したり変更したり出来るのは非常に便利なので
setserial をインストールして下さい．


%prep
%setup -q
%patch0 -p1 -b .fhs
%patch1 -p1 -b .rc
%patch2 -p1 -b .readme
%patch3 -p1 -b .spelling
rm -f config.cache


%build

%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

%makeinstall STRIP=:


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README rc.serial
%{_bindir}/setserial
%{_mandir}/man*/*


%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 2.17-14vl5
- applied new versioning policy, spec in utf-8

* Fri Jul 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.17-13vl1
- rebuild with new toolchains
- s/Copyright/License/
- based on 2.17-13 from Rawhide
  - Fri Jan 10 2003 Tim Waugh <twaugh@redhat.com> 2.17-11
  - Fix spelling mistake (bug #80896).

  - Mon Apr 22 2002 Tim Waugh <twaugh@redhat.com> 2.17-7
  - Don't strip binaries explicitly (bug #62566).

  - Tue Sep 11 2001 Tim Waugh <twaugh@redhat.com> 2.17-5
  - Fix init script (bug #52862).

  - Avoid temporary file vulnerability in init script.
  - Update README: it's --add, not -add.

  - Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de> 2.17-4
  - add ExcludeArch: s390 s390x

* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.17-2vl1
- based on 2.17-2 from Rawhide
- added Japanese summary and description

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- update to 2.17.
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- fixed bug #363

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 2.1.14

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- pulled into distribution
- used setserial-2.12_CTI.tgz instead of setserial-2.12.tar.gz (former is
  all that sunsite has) - not sure what the difference is.

* Thu Sep 25 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added %attr's
- added sanity check for RPM_BUILD_ROOT
- setserial is now installed into /bin, where util-linux puts it and all
  startup scripts expect it.
