Summary: A text mode system configuration tool
Summary(ja): テキストモードのシステム設定ツール
# the name is "setuptool" because we already have a package
# named "setup".  Oh, well.
Name: setuptool
Version: 1.19.4
Release: 2%{?_dist_release}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Source10: %{name}-1.19.4-ja.po
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

Requires: usermode
BuildRequires: newt-devel, desktop-file-utils

%description
Setuptool is a user-friendly text mode menu utility which allows you
to access all of the text mode configuration programs included in the
Vine Linux operating system.

%description -l ja
setuptool は Vine Linux オペレーティングシステムに含まれる全ての
テキストモード設定プログラムにアクセスするためのユーザフレンドリーな
テキストモードのメニューユーティリティーです。

%prep
if [ -e %{buildroot} ] ; then
    [ "%{buildroot}" != "/" ] && %{__rm} -r %{buildroot}
fi

%setup -q

cp -f %{SOURCE10} po/ja.po

%build
%configure
%{__make}
%{__make} setuptool.desktop

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications setuptool.desktop

%find_lang setup

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
    %{_bindir}/update-desktop-database %{_datadir}/applications
fi


%clean
%{__rm} -rf %{buildroot}

%files -f setup.lang
%defattr(-,root,root)
%doc README
%{_sysconfdir}/pam.d/setup
%{_sysconfdir}/security/console.apps/setup
%dir %{_sysconfdir}/setuptool.d
%{_sysconfdir}/setuptool.d/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/*


%changelog
* Thu Apr 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.19.4-2
- rebuild for Vine 6

* Wed Aug 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.19.4-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2-6vl5
- applied new versioning policy, spec in utf-8

* Wed Feb 20 2008 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 1.2-5vl9
- rebuild for Vine Seed

* Wed Feb 20 2008 Takuya Kobayashi <ruby11@cocoa.ocn.ne.jp> 1.2-5vl8
- update desktop entry file <BTS:VineLinux:509>
-  merge Source10,Source11 into new Source10
-  add %{_sbindir}/setup-with-su for xfce
-  update Source1(setuptool-ja.po) for %{_sbindir}/setup-with-su
- update Spec File
-  update %%description
-  add %%check, %%post, and %%postun for desktop entry file
-  update %%prep and %%install for deleting unnecessary files
-  add Requires: newt
-  add BuildRequires: newt-devel desktop-file-utils
-  use macros

* Sun Sep 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-5vl7
- use alsaconf instead of sndconfig
- add lokkit

* Sun Aug 20 2006 NAKAMURA Kenta <kenta@vinelinux.org> 1.2-5vl6
- use License instead of Copyright

* Sun Jul 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-5vl5
- add Japanese translation for desktopfile. (SOURCE11)
- add setuptool icon. (SOURCE10)

* Sun Jul 07 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org>
- 1.2-5vl4
- added Patch12
    - Xconfigurator -> Xautoconfig4 for ppc
    - disable sndconfig for ppc

* Thu Jun 28 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp>
- 1.2-5vl3
- change checkbox color
- use better macros

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuilt in new environment

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- port to C, so we can get python out of base component

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- add support for authconfig, remove cabaret

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- initial version

