Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Summary(ja): シェルアーカイブのパッケージングを取り扱う GNU shar ユーティリティ
Name: sharutils
%define eversion 4.2.1
Version: %{eversion}_jp
#Release: 1.6.1vl6
Release: 1.6.2%{?_dist_release}
License: GPL
Group: Applications/Archiving
Source: ftp://prep.ai.mit.edu/pub/gnu/sharutils/sharutils-%{eversion}.tar.gz
Patch1: sharutils-4.2-gmo.patch
Patch2: sharutils-4.2-man.patch
Patch3: sharutils-4.2-po.patch
Patch4: sharutils-4.2-share.patch
Patch5: sharutils-4.2-uudecode.patch
Patch6: sharutils-4.2.1-mktemp.patch
Patch7: sharutils-4.2.1-uudecode.patch
Patch8: sharutils-4.2.1-shar_unshar.patch
Patch9: sharutils-4.2.1-CAN-2005-0990.patch
Prereq: /sbin/install-info

Buildroot: %{_tmppath}/%{name}-%{version}-root


%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%description -l ja
sharuitls パッケージは(バイナリーかテキスト形式の)ファイルを
シェルアーカイブ(shar) と呼ばれる特殊なプレインテキスト形式に
エンコーディングとデコーディングのためのツールのセットである、
GNU shar ユーティリティを含んでいる。このフォーマットは email で送信する
ことが可能である。(通常のバイナリファイルは問題となりうる)。
shar ユーティリティは幅広い機能をもっている(圧縮、uuencode、マルチパート
メールのための長いファイルの分割、チェックサムの提供)、というわけで
shar ファイルを作成するうえで融通がきく。ファイルが送られたあと、
unshar ツールが shar ファイルを見つけるためにメールのメッセージを走査する。
unshar は自動的にメールのヘッダと予備のテキストを落とし、shar ファイルを
アンパックする。

email でバイナリファイルをよく使うなら sharutils をインストールしなさい。


%prep
%setup -n %{name}-%{eversion}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p2 -b shar_unshar
%patch9 -p1 -b .CAN-2005-0990


%build
%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}

#make prefix=${RPM_BUILD_ROOT}%{_prefix} install install-man
%makeinstall install-man
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/sharutils*
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/remsync*

# fix jp location
mv ${RPM_BUILD_ROOT}%{_localedir}/ja_JP.EUC \
        ${RPM_BUILD_ROOT}%{_localedir}/ja

%find_lang %{name}

%post
/sbin/install-info %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sharutils.info.gz %{_infodir}/dir ||:
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_infodir}/*info*
%{_mandir}/*/*


%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 4.2.1_jp-1.6.2vl5
- applied new versioning policy, spec in utf-8

* Sat Jul  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.2.1_jp-1.6.1vl6
- rebuilt for VineSeed

* Sun Jul 17 2005 SATO Masakiyo <info@pocomoco.net> 4.2.1_jp-1.6.1vl5
- Added Patch9 for CAN-2005-0990

* Wed Oct 20 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 4.2.1_jp-1.6.1vl4
- Added Patch8 for buffer overflows.

* Sat Apr 10 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 4.2.1_jp-1.6.1vl3
- added Patch[67]

* Tue Jan 23 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.2.1_jp-1.6.1vl2
- rebuilt on VineSeed with new environment
- use better macros (%%{_bindir}, %%{_infodir}, %%{_mandir}, %%{_localedir},
  %%configure, %%makeinstall, %%{_tmppath}, etc.)

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- updated to 4.2.1

* Mon Jun 28 1999 Norihito Ohmori <ohmori@flatout.org>
- Moved Japanese catalog from ja_JP.ujis to ja
- rebuild from sharutils-4.2-10
- configure --with-gnu-gettext to enable nls

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

