%define svnver	r1134

Summary:	Shoes - tiny graphics/windowing toolkit using Ruby
Summary(ja):	Shoes - Ruby を使ったグラフィック/ウィンドウツールキット
Name:		shoes
Version:	0.%{svnver}
Release:	2%{?_dist_release}
License:	MIT
Group:		Development/Tools
URL:		http://shoooes.net/
Source0:	http://shoooes.net/dist/shoes2.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	gtk2-devel
BuildRequires:	pixman-devel
BuildRequires:	libjpeg-devel
BuildRequires:	sqlite3-devel
BuildRequires:	curl-devel
BuildRequires:	ruby-devel
BuildRequires:	giflib-devel


%description
Shoes is a very informal graphics and windowing toolkit for making simple
graphical applications.  It blends ideas from the web (hyperlinks, simple text
layout, and more) from traditional windowing toolkits (buttons, progress bars,
dialogs and the like) and applications like NodeBox and Processing (drawing
anywhere on the window with shapes and curves, simple animation).

%description -l ja
Shoes は簡単なグラフィカルアプリケーション作成に役立つグラフィックス /
ウィンドウツールキットです。Shoes のアイデアは、web (ハイパーリンク、
シンプルなテキストレイアウトなど)、従来のウィンドウツールキット (ボタン、
プログレスバー、ダイアログなど)、そして NudeBox や Processing といった
アプリケーション (ウィンドウ内のどこにでも図形やカーブ、シンプルな
アニメーションを描くことができる) などからきています。


%package examples
Summary:	example scripts for Shoes - tiny graphics/windowing toolkit
Summary(ja):	Shoes ツールキット のサンプルスクリプト集
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}


%description examples
Example scripts for Shoes toolkit
(under %{_libdir}/shoes/samples)

%description examples -l ja
Shoes 用サンプルスクリプト集
(%{_libdir}/shoes/samples に収録されています)


%prep
%setup -q


%build
%__make


%install
%__rm -rf %{buildroot}

%__make PREFIX=%{buildroot}/usr install

# remove unneccesary libruby*so* copy under /usr/lib/shoes directory
%__rm -f %{buildroot}/usr/lib/shoes/libruby*so*


%clean
%__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/shoes
%{_libdir}/shoes
%exclude %{_libdir}/shoes/samples


%files examples
%{_libdir}/shoes/samples


%changelog
* Thu Jan 22 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.r1134-1
- initial build for Vine Linux
