Summary: python-based vector drawing program
Summary(ja): ベクタ型ドローイングプログラム
Name: skencil
Version: 0.6.17
Release: 3.svn20070606%{?_dist_release}
License: LGPL, Python style
Distribution: Vine Linux
Vendor: Project Vine
Group: Applications/Graphics
URL: http://www.nongnu.org/skencil/
Source0: http://dl.sf.net/sketch/skencil-0.6.tar.gz
Source1: skencil-logo.png
Source2: skencil.desktop
Source3: skencil.xml
Patch1: skencil-font.patch
Patch2: skencil-0.6.17-fill-missing-bldshared.patch
# https://bugs.launchpad.net/ubuntu/+source/skencil/+bug/361636
Patch3: skencil-0.6.17-deletecommand.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python >= 1.5.1, tkinter, python-imaging
BuildRequires: python >= 1.5.1, python-imaging
BuildRequires: xorg-x11-devel desktop-file-utils
Prefix: %{_prefix}
obsoletes: sketch < %{version}

%description
Skencil is an interactive X11 vector drawing program. It is written
almost completely in Python, an object oriented interpreted programming
language.

%prep
%setup -q -n skencil-0.6
%patch1 -p1 -b .font
%patch2 -p1 -b .bldshared
%patch3 -p2 -b .deletecommand
%ifarch x86_64
grep -rl lib/ . | xargs perl -pi -e's,lib/,%{_lib}/,g'
grep -rl lib\' . | xargs perl -pi -es,lib\',%{_lib}\',g
%endif

# remove .svn directories
find . -type d -name .svn -print0 | xargs -0r rm -rf

%build
%{__python} setup.py configure --with-nls
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=%{_prefix} --dest-dir=$RPM_BUILD_ROOT

%{__install} -m 755 Tools/mkfontdb.py $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/
ln -s %{_libdir}/%{name}-%{version}/mkfontdb.py $RPM_BUILD_ROOT%{_bindir}/mkfontdb

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/mime/packages/

strip -S $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/Lib/*.so
strip -S $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/Sketch/Modules/*.so

%clean
rm -rf %{buildroot}

%post
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-, root, root)
%doc Doc Examples Misc README INSTALL BUGS CREDITS COPYING TODO PROJECTS FAQ NEWS
%doc --parents */README */COPYING
%{_libdir}/%{name}-%{version}
%{_bindir}/mkfontdb
%{_bindir}/sk2ppm
%{_bindir}/sk2ps
%{_bindir}/skconvert
%{_bindir}/skencil
%{_bindir}/sketch
%{_bindir}/skshow
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/*

%changelog
* Wed Dec 16 2009 Kazutaka HARADA <kazutaka@vinelinux.org> - 0.6.17-3.svn20070606
- update source to latest svn version of 0.6 seriese
- add Patch3 to fix tcl command deleteion error
  (<BTS:VineLinux:848>)

* Thu Aug 21 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.6.17-2
- add Patch2 to fix build failure

* Wed Jun 25 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.17-1vl5
- applied new versioning policy and spec in utf-8
- added BuildRequires: xorg-x11-devel desktop-file-utils

* Fri Jan 18 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.17-0vl1
- updated skencil to 0.6.17
- added skencil.desktop
- dropt savannah-bug-10345.diff (fixed)

* Mon May 23 2005 Shu KONNO <owa@bg.wakwak.com> 0.6.16-0vl3
- added skencil-font.patch (by Ishikawa)

* Sun May 22 2005 Shu KONNO <owa@bg.wakwak.com> skencil-0.6.16-0vl2
- changed name to skencil
- changed URL
- updated 0.6.16
- rebuilt with python-2.4
- added savannah-bug-10345.diff
  http://savannah.nongnu.org/bugs/?func=detailitem&item_id=10345

* Thu May 02 2002 Satoshi MACHINO <machino@vinelinux.org> 0.6.13-0vl1
- updated 0.6.13

* Tue Jul 24 2001 Satoshi MACHINO <machino@vinelinux.org> 0.6.12-0vl1
- updated

* Thu Nov  9 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 0.6.7-0vl2
- added BuildPrereq:

* Thu Aug 03 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- Update to 0.6.7

* Sat Jan 12 2000 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.4

* Sat Dec  4 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.3

* Thu Oct  8 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.2

* Tue Aug 17 1999 SAITO Atsushi <saito4@slb.com>
- Update to 0.6.1

* Sun Mar  7 1999 MATSUMOTO Shoji <vine@flatout.org>
- make spec
