Summary: A login program for SLIP connections.
Name: sliplogin
Version: 2.1.1
Release: 11%{?_dist_release}
License: BSD
Group: Applications/Communications
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/serial/sliplogin-%{version}.tar.gz
Patch0: sliplogin-2.1.0-misc.patch
Patch1: sliplogin-2.1.1-modes.patch
Patch2: sliplogin-2.1.0-path.patch
Patch4: sliplogin-2.1.0-glibc.patch
Patch5: sliplogin-2.1.1-includes.patch
Patch6: sliplogin-2.1.1-netdev.patch
Patch7: sliplogin-2.1.1-kernel24.patch
BuildRoot: %{_tmppath}/sliplogin-root
Vendor: Project Vine
Distribution: Vine Linux

%description
The sliplogin utility turns the terminal line on standard input into a
SLIP (Serial Line Internet Protocol) link to a remote host. Sliplogin
is usually used to allow dial-in SLIP connections.

Install the sliplogin package if you need to support dial-in SLIP
connections.

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 -b .modes
%patch2 -p1 -b .path
%patch4 -p1 -b .glibc
%patch5 -p1 -b .includes
%patch6 -p1 -b .netdev
%patch7 -p1 -b .kernel24

%build
make clean
rm -f sliplogin
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" access
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_sysconfdir}/slip,%{_sbindir},%{_mandir}/man8}

make	SLIP=$RPM_BUILD_ROOT%{_sysconfdir}/slip \
	SBIN=$RPM_BUILD_ROOT%{_sbindir} \
	MAN=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 slip.tty $RPM_BUILD_ROOT%{_sysconfdir}/slip/
install -m644 slip.hosts $RPM_BUILD_ROOT%{_sysconfdir}/slip/
install -m644 slip.route $RPM_BUILD_ROOT%{_sysconfdir}/slip/
install -m644 slip.passwd $RPM_BUILD_ROOT%{_sysconfdir}/slip/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.dynamic README.nis CHANGES TROUBLE_SHOOTING TODO
%config %{_sysconfdir}/slip/slip.tty
%config %{_sysconfdir}/slip/slip.login
%config %{_sysconfdir}/slip/slip.logout
%config %{_sysconfdir}/slip/slip.hosts
%config %{_sysconfdir}/slip/slip.passwd
%config %{_sysconfdir}/slip/slip.route
%{_sbindir}/sliplogin
%{_mandir}/man8/sliplogin.8*

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 2.1.1-11vl5
- applied new versioning policy

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 2.1.1-10vl1
- rebuild for %%{_mandir}

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix /proc/net/dev parsing
- make it compile with 2.4.0-test3 kernels

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS fixes.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 2.1.1
- struct password needs <pwd.h>

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- removed excludearch for alpha

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
