%define __perl_requires %{SOURCE98}

Summary: The Squid proxy caching server.
Summary(ja): Squid ウェブプロキシキャッシュ
Name: squid26
Version: 2.6.STABLE22
Release: 2%{_dist_release}
Epoch: 7
License: GPL
Group: System Environment/Daemons
URL: http://www.squid-cache.org/
Source: http://www.squid-cache.org/Squid/Versions/v2/2.6/squid-%{version}.tar.bz2
Source1: http://www.squid-cache.org/Squid/FAQ/FAQ.sgml
Source2: squid.init
Source3: squid.logrotate
Source4: squid.sysconfig
Source5: squid.pam
Source98: perl-requires-squid.sh

# Upstream patches (reserved patch100-)

# External patches

# Local patches
# Applying upstream patches first makes it less likely that local patches
# will break upstream ones.
Patch201: squid-2.6.STABLE17-config.patch
Patch202: squid-2.6.STABLE19-location.patch
# Patch203: squid-2.6.STABLE2-build.patch
Patch204: squid-2.5.STABLE4-perlpath.patch
Patch205: squid-2.5.STABLE12-smb-path.patch
Patch206: squid-2.6.STABLE5-fd-config.patch
Patch207: squid-2.6.STABLE2-build-vine.patch

# Vine Patch
# Patch300: squid-2.6.STABLE20-configure-linux-2.6.25.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig logrotate shadow-utils
BuildRequires: openjade linuxdoc-tools
BuildRequires: openldap-devel pam-devel openssl-devel krb5-devel 
BuildRequires: cyrus-sasl-devel
Obsoletes: squid-novm
Provides:  squid

Vendor:	Project Vine
Distribution: Vine Linux

%description
Squid is a high-performance proxy caching server for Web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests.

Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools.

%description -l ja
Squid はウェブクライアントのための高性能のプロキシキャッシュサーバで、
FTP, gopher, HTTP データオブジェクトに対応しています。これまでの
キャッシュソフトウェアと違い、 Squid は全ての要求を、単一の
ブロックしない I/O 駆動のプロセスで処理します。 Squid はメタデータや
ホットなオブジェクトを RAM に保持し、 DNS 問い合わせをキャッシュし、
DNS 問い合わせでブロックせず、失敗した要求を負のキャッシングします。

Squid は、メインのサーバプログラム squid と、 Domain Name System
問い合わせプログラム (dnsserver) と、 FTP データを取得するプログラム
(ftpget) と、いくつかの管理用またはクライアントツールから成ります。

%define squidconfdir	%{_sysconfdir}/squid
%define squidlibdir	%{_libdir}/squid
%define squiddatadir	%{_datadir}/squid
%define errordir	%{squiddatadir}/errors

%prep
%setup -q -n squid-%{version}

%patch201 -p1 -b .config
%patch202 -p1 -b .location
# %patch203 -p1 -b .build
%patch207 -p1 -b .build
%patch204 -p1 -b .perlpath
%patch205 -p1 -b .smb
%patch206 -p1 -b .fd

# %patch300 -p1

%build
# %{__automake} --foreign
# automake-1.5 --foreign
# aclocal
# automake --foreign
autoconf

%configure \
   --exec_prefix=%{_exec_prefix} \
   --bindir=%{_sbindir} \
   --libexecdir=%{squidlibdir} \
   --localstatedir=/var \
   --datadir=%{squiddatadir} \
   --sysconfdir=%{squidconfdir} \
   --enable-poll \
   --enable-snmp \
   --enable-removal-policies="heap,lru" \
   --enable-storeio="aufs,coss,diskd,ufs" \
   --enable-ssl \
   --enable-delay-pools \
   --enable-linux-netfilter \
   --enable-carp \
   --with-pthreads \
   --enable-cachemgr-hostname=localhost \
   --enable-underscores \
   --enable-auth="basic,digest,ntlm,negotiate" \
   --enable-basic-auth-helpers="LDAP,MSNT,NCSA,PAM,SMB,YP,getpwnam,multi-domain-NTLM,SASL" \
   --enable-negotiate-auth-helpers="squid_kerb_auth"

#   --enable-basic-auth-helpers="NCSA,PAM,SMB,MSNT"  # --enable-icmp

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e %{_includedir}/sys/resource.h ]; then
cat >>include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

make %{?_smp_mflags}

mkdir faq
cp %{_sourcedir}/FAQ.sgml faq
cd faq 
sgml2html FAQ.sgml

%install
rm -rf %{buildroot}
%makeinstall  \
	sysconfdir=%{buildroot}%{squidconfdir} \
	localstatedir=%{buildroot}/var \
	bindir=%{buildroot}%{_sbindir} \
	libexecdir=%{buildroot}%{squidlibdir} \
	datadir=%{buildroot}%{squiddatadir}
#install -m 4750 src/pinger %{buildroot}%{squidlibdir}

ln -s %{errordir}/English %{buildroot}%{squidconfdir}/errors

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/pam.d

install -m 755 %{_sourcedir}/squid.init %{buildroot}%{_sysconfdir}/rc.d/init.d/squid
install -m 644 %{_sourcedir}/squid.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/squid
install -m 644 %{_sourcedir}/squid.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/squid
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/pam.d/squid

mkdir -p %{buildroot}/var/log/squid
mkdir -p %{buildroot}/var/spool/squid

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{squidconfdir}
%config(noreplace) %{squidconfdir}/squid.conf
%config(noreplace) %{squidconfdir}/mime.conf
%config(noreplace) %{squidconfdir}/msntauth.conf
%config(noreplace) %{squidconfdir}/cachemgr.conf
%{squidconfdir}/squid.conf.default
%{squidconfdir}/mime.conf.default
%{squidconfdir}/msntauth.conf.default
%config(noreplace) %{squidconfdir}/errors
%config(noreplace) %{_sysconfdir}/sysconfig/squid
%config(noreplace) %{_sysconfdir}/pam.d/squid
%config %{_sysconfdir}/rc.d/init.d/squid
%config %{_sysconfdir}/logrotate.d/squid
%{squidlibdir}
%attr(4750,root,squid) %{squidlibdir}/ncsa_auth
%attr(4750,root,squid) %{squidlibdir}/pam_auth
%{squiddatadir}
%{_sbindir}/squid
%{_sbindir}/squidclient
%{_sbindir}/RunCache
%{_sbindir}/cossdump
%{_mandir}/man8/*
%doc faq/* README ChangeLog QUICKSTART doc/debug-sections.txt
%doc contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
%attr(750,squid,squid) %dir /var/log/squid
%attr(750,squid,squid) %dir /var/spool/squid

%pre
%{_sbindir}/useradd -u 23 -d /var/spool/squid -r -s /dev/null squid >/dev/null 2>&1

for i in /var/log/squid /var/spool/squid ; do
	if [ -d $i ] ; then
		for adir in `find $i -maxdepth 0 \! -user squid`; do
			chown -R squid.squid $adir
		done
	fi
done

exit 0

%post
/sbin/chkconfig --add squid
if [ $1 = 0 ]; then
 case "$LANG" in
  bg*)
     DIR=Bulgarian
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac
 ln -snf %{errordir}/$DIR %{squidconfdir}/errors
fi

%preun
if [ $1 = 0 ] ; then
	service squid stop >/dev/null 2>&1
	rm -f /var/log/squid/*
	/sbin/chkconfig --del squid
fi

%postun
if [ "$1" -ge "1" ] ; then
	service squid condrestart
fi

%changelog
* Mon May 04 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE22-2
- change package name squid -> squid26
- enable krb5 auth

* Fri Jan 30 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE22-1
- new upstream release
- add /etc/pam.d/squid into package
- change permission/group of ncsa_auth,pam_auth ([vine-users:079136])
- drop Patch300 (is included in new release)

* Fri May 09 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE20-1
- new upstream release
- add patch300 to fix linux 2.6.25 header file uncompatibility
- run autoconf before configure

* Fri Mar 28 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE19-1
- build under new versioning policy with rpm macro

* Wed Mar 19 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE19-0vl1
- new upstream release with security fix (CVE-2008-1612)
- update patch202
- drop old patches

* Fri Nov 30 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE17-0vl1
- new upstream release
- update patch201

* Tue Aug 21 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE14-0vl1
- new upstream release

* Fri Mar 23 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE12-0vl2
- turn on daemon restart message (%postun)

* Fri Mar 23 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.6.STABLE12-0vl1
- new upstream release (including CVE-2007-1560)

* Sun Jan 14 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE7-0vl1
- rebuilt for VinePlus4.0 / VineSeedPlus

* Sun Jan 14 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE7-0vl0.32
- new upstream release (included CVE-2007-0247,0248)
- build for VinePlus 3.x

* Wed Jan 03 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE6-0vl0.32
- new upstream release
- build for VinePlus 3.x
- add Vendor/Distribution tag

* Thu Nov 09 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE5-0vl0.32
- new upstream release
- build for VinePlus 3.x
- drop old patches

* Wed Oct 11 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE4-0vl1
- rebuild for VineSeed/Vine 4.0

* Tue Oct 05 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE4-0vl0.2
- stop automake in build section
- enable ssl in configure
- enable underscore in configure
- add some file to files list

* Tue Oct 05 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.6.STABLE4-0vl0.1
- new upstream release 2.6
- test package

* Fri Aug  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- s/Serial/Epoch/

* Sun Apr 24 2005 NISHIMURA Daisuke <nishi@mozilla.gr.jp>
- 2.5.STABLE5-0vl5
- additional security patches 24-28; exclude WCCP patches

* Mon Jan 17 2005 SATO Masakiyo <info@pocomoco.net>
- 2.5.STABLE5-0vl4
- add patch 21 for CAN-2005-0094:buffer overflow bug in gopherToHTML().
- add patch 22 for CAN-2005-0095:Denial of service with forged WCCP messages.
- add patch 23 for Sanity check username in ldap_auth.

* Sat Oct 30 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp>
- 2.5.STABLE5-0vl3
- security fix: CAN-2004-0918: SNMP related denial of service

* Sat Apr 17 2004 Tomoya TAKA <taka@vinelinux.org>
- BuildPrereq: automake15
- exec automake in %%build section

* Sun Apr 11 2004 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp>
- 2.5.STABLE5-0vl1
- new upstream release
- "client" command is renamed "squidclient"
- many files move:
  - errors and icons from /usr/lib/squid to /usr/share/squid
  - mib.txt from /etc/squid to /usr/share/squid
  - squid.8 is installed in mandir
- add Japanese summary and description
- extensive use of macros for dirs
- incorporate patch 10 (squid-2.1-make.patch) into patch 13

* Fri Feb 14 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.4.STABLE7-0vl3
- build for VineSeed

* Thu Feb 13 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 2.4.STABLE7-0vl2
- build for Vine 2.5/2.6
- re-number patch 0,1,2,3 -> 10,11,12,13
- add patch 0,1,2 from http://www.squid-cache.org/Versions/v2/2.4/bugs/
- very small cleanup specfile

* Thu Jul 04 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp>
- 2.4.STABLE7-0vl1
- update source to fix many security holes.
- remove stripping (delegate to brp-strip).

* Mon Jul 01 2002 kawa <kawakawa@sa.il24.net> 2.4.STABLE6-0vl2
- add squid-2.4.STABLE6-deny_transfer_encoding.patch 
- see http://www.linuxsecurity.com/articles/server_security_article-5210.html

* Sun Apr 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.STABLE6-0vl1
- new upstream release

* Fri Mar 01 2002 Toru Sagami <sagami@vinelinux.org> 2.4.STABLE3-0vl1
- followed RHSA 2.4.STABLE3-1.7.2 
 - 2.4.STABLE3 + patches
 - turn off HTCP at request of maintainers
 - leave SNMP enabled in the build, but disabled in the default config

* Fri Oct 05 2001 Toru Sagami <sagami@vinelinux.org> 2.4.STABLE1-5vl3
- added a patch(#20) for Mkdir-only PUT Requests DoS Attack

* Tue Sep 04 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.STABLE-5vl2
- remove file depend (/etc/init.d/)

* Sat Aug 18 2001 <sagami@vinelinux.org>
- 2.4.STABLE1-5vl1: was ported to Vine
- disable LDAP auth-modules

* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- fix uninstall (#50411)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- add some buildprereqs (#49705)

* Sun Jul 22 2001 Bill Nottingham <notting@redhat.com>
- update FAQ

* Tue Jul 17 2001 Bill Nottingham <notting@redhat.com>
- own /etc/squid, /usr/lib/squid

* Tue Jun 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- s/Copyright:/License:/

* Tue Apr 24 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE1 + patches
- enable some more configure options (#24981)
- oops, ship /etc/sysconfig/squid

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb  6 2001 Trond Eivind Glomsrod <teg@redhat.com>
- improve i18n
- make the initscript use the standard OK/FAILED

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism

* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix path references in QUICKSTART (#15114)
- fix initscript translations (#24086)
- fix shutdown logic (#24234), patch from <jos@xos.nl>
- add /etc/sysconfig/squid for daemon options & shutdown timeouts
- three more bugfixes from the Squid people
- update FAQ.sgml
- build and ship auth modules (#23611)

* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- initscripts translations

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp (greg@wirex.com)

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Sat Nov 11 2000 Bill Nottingham <notting@redhat.com>
- fix the acl matching cases (only need the second patch)

* Tue Nov  7 2000 Bill Nottingham <notting@redhat.com>
- add two patches to fix domain ACLs
- add 2 bugfix patches from the squid people

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- clean up init script; fix condrestart
- update to STABLE4, more bugfixes
- update FAQ

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error in init script
- finish adding condrestart support

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d
- add bugfix patch
- update FAQ

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- don't prereq new initscripts

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild for exciting FHS stuff

* Wed May 31 2000 Bill Nottingham <notting@redhat.com>
- fix init script again (#11699)
- add --enable-delay-pools (#11695)
- update to STABLE3
- update FAQ

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix init script (#11087)

* Fri Apr  7 2000 Bill Nottingham <notting@redhat.com>
- three more bugfix patches from the squid people
- buildprereq jade, sgmltools

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make %pre more portable

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- bugfix patches
- fix dependency on /usr/local/bin/perl

* Sat Mar  4 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE2

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Yet More Bugfix Patches

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- add more bugfix patches
- --enable-heap-replacement

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- grab some bugfix patches

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE1 (whee, another serial number)

* Tue Dec 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with ftp RFCs
  (http://www.wu-ftpd.org/broken-clients.html)
- Work around a bug in some versions of autoconf
- BuildPrereq sgml-tools - we're using sgml2html

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- add a couple of bugfix patches

* Wed Oct 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE5.
- update FAQ, fix URLs.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- transform restart in reload and add restart to the init script

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- add squid user as user 23.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- fix conflict between logrotate & squid -k (#4562)

* Wed Jul 28 1999 Bill Nottingham <notting@redhat.com>
- put cachemgr.cgi back in /usr/lib/squid

* Wed Jul 14 1999 Bill Nottingham <notting@redhat.com>
- add webdav bugfix patch (#4027)

* Mon Jul 12 1999 Bill Nottingham <notting@redhat.com>
- fix path to config in squid.init (confuses linuxconf)

* Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE4

* Wed Jun 9 1999 Dale Lovelace <dale@redhat.com>
- logrotate changes
- errors from find when /var/spool/squid or
- /var/log/squid didn't exist

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE3

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE.2

* Sun Apr 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE1

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't need to run groupdel on remove
- fix useradd

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix effective_user (bug #2124)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- duh. adduser does require a user name.
- add a serial number

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- add an adduser in %pre, too

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- oog. chkconfig must be in %preun, not %postun

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- switch to using group squid
- turn off icmp (insecure)
- update to 2.2.DEVEL3
- build FAQ docs from source

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.PRE2

* Wed Dec 30 1998 Bill Nottingham <notting@redhat.com>
- cache & log dirs shouldn't be world readable
- remove preun script (leave logs & cache @ uninstall)

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- fix initscript to get cache_dir correct

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.1.PATCH2
- merge in some changes from RHCN version

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.1.22

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- don't make packages conflict with each other...

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- added a proxy auth patch from Alex deVries <adevries@engsoc.carleton.ca>
- fixed initscripts

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.21/1.NOVM.21

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated the init script to use reconfigure option to restart squid instead
  of shutdown/restart (both safer and quicker)

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.20
- added the NOVM package and tryied to reduce the mess in the spec file

* Wed Jan 7 1998 Cristian Gafton <gafton@redhat.com>
- first build against glibc
- patched out the use of setresuid(), which is available only on kernels
  2.1.44 and later

