Summary:        FUSE-Filesystem to access remote filesystems via SSH
Summary(ja):    SSH 経由でリモートのファイルシステムにアクセスする FUSE ファイルシステム
Name:           sshfs-fuse
Version:        2.2
Release:        2%{?_dist_release}
Group:          System Environment/Base
License:        GPL
URL:            http://fuse.sourceforge.net/sshfs.html
Source0:        http://dl.sourceforge.net/sourceforge/fuse/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:       fuse >= 2.6
BuildRequires:  fuse-devel >= 2.6
BuildRequires:  glib2-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
This is a FUSE-filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set
up: i.e. on the server side there's nothing to do.  On the client side 
mounting the filesystem is as easy as logging into the server with ssh.

%description -l ja
sshfs-fuse は SSH ファイル転送プロトコル(sftp)に基づく FUSE
ファイルシステムです。ほとんどの SSH サーバは SFTP をサポートして
いるため、サーバ側で特別なセットアップすることなく利用可能です。
クライアント側から SSH ログインするのと同様にファイルシステムを
マウントすることができます。


%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/sshfs
%{_mandir}/man1/*

%changelog
* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-2
- rebuild for Vine 6

* Mon Jun 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-1
- new upstream release

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 1.7-1vl5
- applied new versioning policy, spec in utf-8

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7-0vl1
- initial build for Vine Linux

