# ----------------------------------------------------------
# (1) Data definition
# ----------------------------------------------------------

Summary:	The starttls provides STARTTLS extensions for emacs.
Summary(ja):	emacs 用の STARTTLS 拡張パッケージ
Name:		starttls
Version:	0.10
Release:	1%{?_dist_release}
Source0:	ftp://ftp.opaopa.org/pub/elisp/starttls-%{version}.tar.gz
Source1:       %{name}-install.sh
Source2:       %{name}-remove.sh
Source3:       %{name}-init.el
URL:		ftp://ftp.opaopa.org/pub/elisp/
License:	GPL
Group:		Applications/Editors/Emacs

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}

Provides:	starttls-el = %{version}-%{release}
Requires:	emacsen
Requires(post,preun):	emacsen, emacsen-common
BuildRequires:	openssl-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	shaolin
#Packager:	Takashi `Muneharu' SUGIMOTO <mailto:muneharu@raug.net>


%description
The starttls provides STARTTLS extensitons for emacs.
Several elisp applications can use secure connection with openssl.

%description -l ja
starttls は emacs 用の STARTTLS 拡張を提供します。
いくつかの elisp アプリケーションで openssl を利用した
安全な接続を使うことができるようになります。



# ----------------------------------------------------------
# (2) Scripts
# ----------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=${RPM_BUILD_ROOT}/usr
# compile binary only
make starttls

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

# install binary only
make install-exec

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/install
mkdir -p ${RPM_BUILD_ROOT}%{emacsen_pkgdir}/remove

cp starttls.el %{SOURCE3} \
   ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/%{name}

%_installemacsenscript %{name} %{SOURCE1} 

%_removeemacsenscript  %{name} %{SOURCE2}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post
if [ "$1" = 2 ]; then

%_emacsenPackageRemove %{name}

fi

%_addemacsenlist %{name}

%_emacsenPackageInstall %{name}

%preun
if [ "$1" = 0 ]; then

%_emacsenPackageRemove %{name}

%_removeemacsenlist %{name}

fi

# ----------------------------------------------------------
# (3) File Lists
# ----------------------------------------------------------

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/starttls
%{_datadir}/emacs/site-lisp/%{name}/
%{emacsen_pkgdir}/install/%{name}
%{emacsen_pkgdir}/remove/%{name}


# ----------------------------------------------------------
# (4) Change Log
# ----------------------------------------------------------

%changelog
* Wed Aug 24 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.10-1
- updated to the newest release
- emacsenize

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9-2
- rebuild with openssl-1.0.0c

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.9-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl3
- rebuilt with openssl-0.9.8e

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl2
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- s/Copyright/License/

* Mon Aug 19 2002 Takashi `Muneharu' Sugimoto
- 0.9-0vl1

