Summary: A tool which displays the status of serial port modem lines.
Summary(ja): シリアルポートのモデムラインの状態を表示するツール
Name: statserial
Version: 1.1
Release: 31%{?_dist_release}
License: BSD
Group: Applications/System
Source: ftp://metalab.unc.edu/pub/Linux/system/serial/statserial-1.1.tar.gz
Patch0: statserial-1.1-config.patch
Patch1: statserial-1.1-dev.patch
Patch2: statserial-1.1--n.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
ExcludeArch: s390 s390x


%description
The statserial utility displays a table of the signals on a standard
9-pin or 25-pin serial port and indicates the status of the
handshaking lines.  Statserial is useful for debugging serial port
and/or modem problems.

%description -l ja
statserial ユーティリティは，9ピンあるいは25ピンといった標準的な
シリアルポートの状態を一覧表示します．statserial はシリアルポートと
モデムの問題をデバッグするのに便利です．

シリアルポートやモデムの問題をデバッグするツールが必要ならば
statserial パッケージをインストールして下さい．


%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .dev
%patch2 -p1 -b .-n


%build
make LDFLAGS=


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -m 755 -s statserial ${RPM_BUILD_ROOT}%{_bindir}/statserial
install -m 644 statserial.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/statserial.1


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/statserial
%{_mandir}/man1/*


%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-31vl5
- applied new versioning policy, spec in utf-8

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.1-30vl2
- rebuild

* Fri Dec 06 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1-30vl1
- based on 1.1-30 from Rawhide and built for Vine Linux
- added Japanese summary and description

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 22 2002 Tim Waugh <twaugh@redhat.com> 1.1-28
- Don't strip binaries explicitly (bug #62567).

* Tue Feb 26 2002 Tim Waugh <twaugh@redhat.com> 1.1-27
- Rebuild in new environment.

* Sat Feb 16 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not specify archaic "-N" anymore for linking

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Nov 16 2001 Tim Waugh <twaugh@redhat.com> 1.1-24
- s/Copyright:/License:/.
- Fix -n (bug #56299).

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de> 1.1-23
- add ExcludeArch: s390 s390x

* Mon Jun 18 2001 Tim Waugh <twaugh@redhat.com> 1.1-22
- Build requires ncurses-devel.

* Wed May 30 2001 Tim Waugh <twaugh@redhat.com> 1.1-21
- Sync description with specspo.

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com> 1.1-20
- rebuild to cope with glibc locale binary incompatibility, again

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- change default device from /dev/cuar to /dev/ttyS1 (#14624).

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt against new glibc in the sparc tree

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 13)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root
- include arch sparc

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
