Summary:      Manage the installation of software packages from source
Name:         stow
Version:      1.3.3
Release:      9%{?_dist_release}

License:      GPLv2+
Group:        Development/Tools
URL:          http://www.gnu.org/software/stow/stow.html
Source:       http://ftp.gnu.org/gnu/stow/stow-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildArch:    noarch
Requires(pre):   /sbin/install-info
Requires(post):  /sbin/install-info

%description
GNU Stow is a program for managing the installation of software packages,
keeping them separate (/usr/local/stow/emacs vs. /usr/local/stow/perl, for
example) while making them appear to be installed in the same place
(/usr/local). Software to ease the keeping track of software built from
source, making it easy to install, delete, move etc.

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Remove info database, will be generated at install-time by scriptlets
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS INSTALL ChangeLog NEWS THANKS TODO
%doc %{_mandir}/man8/stow*
%doc %{_infodir}/stow*
%{_bindir}/*

%changelog
* Sat Jan 30 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.3.3-9
- initial build for Vine Linux

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.3.3-6
- fix license tag

* Thu Aug 31 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.3.3-5
- rebuild

* Tue Jun 20 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.3-4
- remove the _infodir/dir file in %%install

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.3.3-3
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat May 15 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.3.3-0.fdr.1
- initial RPM
