Summary: A graphical interface for modifying the system language
Summary(ja): システムの言語を変更するためのグラフィカルインタフェース
Name: system-config-language
Version: 1.1.18
Release: 2%{?_dist_release}
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch0: remove-firstboot-module.patch
Obsoletes: redhat-config-language
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
Requires: pygtk2
Requires: python
Requires: rhpl
Requires: usermode
Prereq: gtk2 >= 2.6

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
system-config-language is a graphical user interface that 
allows the user to change the default language of the system.

%prep
%setup -q
%patch0 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
desktop-file-install --vendor system --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category System \
  --add-category Settings \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-language.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/system-config-language
%dir /usr/share/system-config-language
/usr/share/system-config-language/*
%attr(0644,root,root) %{_datadir}/applications/system-config-language.desktop
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-language.png
%attr(0644,root,root) %config /etc/security/console.apps/system-config-language
%attr(0644,root,root) %config /etc/pam.d/system-config-language

%changelog
* Wed Apr 20 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.18-2
- rebuild for Vine 6

* Thu Oct 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.18-1
- initial build for Vine Linux

* Fri Feb 15 2008 Chris Lumens <clumens@redhat.com> 1.1.18-2
- Remove the firstboot module.
  Resolves: rhbz#431143

* Wed Dec 13 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.18-1
- Update translations (#216093)

* Fri Dec 01 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.17-1
- Update translations (#216093)
- Add new languages (#217125)

* Wed Nov 22 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.16-1
- Update translations (#216093)

* Thu Nov 16 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.15-1
- Use correct Norwegian language (#209438)
- Fix traceback in text mode (#215319)
- Update potfile

* Fri Oct 20 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.14-1
- Fix typos (#211434)

* Mon Oct 16 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.13-1
- Fix Chinese locale re-selection (#208407)

* Fri Oct 13 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.12-1
- Add Orya support (#210373)

* Mon Jul 17 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.11-2
- Don't nuke *.pyc in preun (#198959)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.11-1.1
- rebuild

* Tue Feb 28 2006 Paul Nasrat <pnasrat@redhat.com> - 1.1.11-1
- Update translations
- Serbian locales (#172600)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Oct 24 2005 Paul Nasrat <pnasrat@redhat.com> - 1.1.10-1
- pam_stack deprecated (#170631)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 1.1.9-2
- silence %%post

* Fri Apr 01 2005 Paul Nasrat <pnasrat@redhat.com> 1.1.9-1
- Translation updates
- pygtk deprecations

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 1.1.8-2
- Update the GTK+ theme icon cache on (un)install

* Fri Oct 01 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.8-1
- Indic UTF-8 locales
- Translations

* Wed Sep 29 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.7-1
- update locale-list (bug# 134034)

* Tue Sep 07 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.6-2
- Buildrequires intltool

* Tue Sep 07 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.6-1
- Translatable desktop

* Mon Sep 06 2004 Paul Nasrat <pnasrat@redhat.com> 1.1.5-3
- fix gtk.mainloop/mainquit 

* Thu Apr  8 2004 Brent Fox <bfox@redhat.com> 1.1.5-2
- fix icon path (bug #120177)

* Mon Jan 12 2004 Brent Fox <bfox@redhat.com> 1.1.5-1
- update locale-list (bug #107450)

* Fri Jan  9 2004 Brent Fox <bfox@redhat.com> 1.1.4-1
- enable TUI mode

* Wed Jan 07 2004 Than Ngo <than@redhat.com> 1.1.3-1
- make changes for Python2.3

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- fix typo in the Obsoletes

* Wed Nov 19 2003 Brent Fox <bfox@redhat.com> 1.1.1-1
- rebuild

* Wed Nov 12 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- add Obsoletes for redhat-config-language
- make changes for Python2.3

* Mon Nov 10 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- convert redhat-config-language into system-config-language

* Mon Oct 13 2003 Brent Fox <bfox@redhat.com> 1.0.16-1
- rebuild for latest translations (bug #106618)

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.15-2
- bump release num and rebuild

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.15-1
- add Requires for rhpl (bug #104210)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.14-1
- tag on every release

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.12-1
- remove python-tools dependency

* Thu Jul 31 2003 Brent Fox <bfox@redhat.com> 1.0.11-2
- bump relnum and rebuild

* Thu Jul 31 2003 Brent Fox <bfox@redhat.com> 1.0.11-1
- fix build problem

* Thu Jul 31 2003 Brent Fox <bfox@redhat.com> 1.0.10-2
- bump relnum and rebuild

* Thu Jul 31 2003 Brent Fox <bfox@redhat.com> 1.0.10-1
- change runPriority

* Thu Jul  3 2003 Brent Fox <bfox@redhat.com> 1.0.9-2
- bump relnum and rebuild

* Thu Jul  3 2003 Brent Fox <bfox@redhat.com> 1.0.9-1
- use UTF-8 in CJK locales (bug #98522)

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.8-2
- bump relnum and rebuild

* Wed Jul  2 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- use rhpl translation module

* Thu Jun 26 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- make sure the config file is written before calling changeLocale()

* Thu Jun 26 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- add some hooks for firstboot so locale can change on the fly (#91984)

* Wed May 21 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- add some hacks to make simplified chinese work (bug #84772)

* Tue Feb 18 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- update locale-list (bug #84183)

* Wed Feb 12 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- fixes for cjk tui (#83518)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.3-2
- fix a po file encoding problem.  please use utf-8 in the future

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- bump and build

* Thu Jan 23 2003 Brent Fox <bfox@redhat.com> 1.0.2-2
- add Bulgarian to locale-list

* Thu Jan 23 2003 Brent Fox <bfox@redhat.com> 1.0.2-1
- update translations in desktop file

* Tue Dec 17 2002 Bill Nottingham <notting@redhat.com> 1.0.1-13
- fix dangling symlink that broke firstboot

* Mon Dec 16 2002 Brent Fox <bfox@redhat.com> 1.0.1-12
- fix a typo

* Mon Dec 16 2002 Brent Fox <bfox@redhat.com> 1.0.1-11
- show a warning if run in console mode (bug #78739)

* Sun Dec 15 2002 Brent Fox <bfox@redhat.com> 1.0.1-10
- strip off @euro from the supported langs (bug #77637)

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-9
- pam path changes

* Tue Oct 15 2002 Brent Fox <bfox@redhat.com> 1.0.1-8
- Handle upgrading with different encodings in /etc/sysconfig/clock

* Thu Sep 19 2002 Brent Fox <bfox@redhat.com> 1.0.1-7
- Patch to desktop file from kmraas@online.no applied for [no] translation

* Tue Sep 10 2002 Bill Nottingham <notting@redhat.com> 1.0.1-6
- don't write SYSFONTACM="utf8"; switch default font to match anaconda

* Tue Sep  3 2002 Trond Eivind Glomsrød <teg@redhat.com> 1.0.1-5
- Obsolete locale_config

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Remove dupe for Romanian

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- Only apply the changes if the user actually changed something

* Wed Aug 21 2002 Preston Brown <pbrown@localhost.localdomain> 1.0.1-1
- we were writing to the wrong gdm file...

* Fri Aug 16 2002 Brent Fox <bfox@redhat.com> 1.0-2
- pull translations into locale-list
- convert locale-list to UTF-8

* Fri Aug 16 2002 Preston Brown <pbrown@redhat.com> 1.0-1
- reset GDM config if lang changes

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.9.9-8
- call destroy on window close

* Tue Aug 13 2002 Tammy Fox <tfox@redhat.com> 0.9.9-7
- better icon

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-6
- Fix desktop file icon path

* Mon Aug 12 2002 Brent Fox <bfox@redhat.com> 0.9.9-5
- update locale list

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-4
- Replace System with SystemSetup in desktop file categories

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- fix desktop file

* Mon Aug 05 2002 Brent Fox <bfox@redhta.com> 0.9.9-1
- pull in desktop file translations

* Fri Aug 02 2002 Tammy Fox <tfox@redhat.com> 0.9.8-2
- Fix desktop file categories

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Tue Jul 23 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fix desktop file (bug #69475)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Update for pygtk2 API change

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Thu Jun 27 2002 Brent Fox <bfox@redhat.com> 0.9.1-2
- Added a message dialog when applying changes

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.4-5
- Create pot file

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.4-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- Remove cancel button
- init doDebug to None

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Don't pass doDebug into init
- Add snapsrc to Makefile

* Wed May 29 2002 Brent Fox <bfox@redhat.com> 0.2.0-6
- handle an existing but empty i18n file 

* Sun May 26 2002 Brent Fox <bfox@redhat.com> 0.2.0-5
- raise a RuntimeError if /etc/sysconfig/i18n file doesn't exist

* Tue May 14 2002 Brent Fox <bfox@redhat.com>
- improved check for existing i18n file
- added debug mode capability

* Tue Nov 28 2001 Brent Fox <bfox@redhat.com>
- initial coding and packaging

