Summary: A menu-driven file backup system.
Name: taper
Version: 6.9b
Release: 6%{?_dist_release}

License: GPL
Group: Applications/Archiving
URL: http://taper.sourceforge.net/

Source: http://prdownloads.sourceforge.net/taper/%{name}-%{version}.tar.gz
Patch0: taper-6.9a-rh.patch
Patch1: taper-6.9-sparc.patch
Patch2: taper-6.9b-taper_h.patch
Patch3:	taper-7.0pre-1-umode_t.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel

%description
Taper is a backup and restoration program with a friendly user
interface.  Files may be backed up to a tape drive or to a hard disk.
The interface for selecting files to be backed up/restored is very
similar to the Midnight Commander interface, and allows easy traversal
of directories.  Taper supports recursive selection of directories.
Taper also supports backing up SCSI, ftape, zftape and removable
drives.  By default, taper is set for incremental backups and
automatic most recent restore.

Install the taper package if you need a user friendly file backup and
restoration program.


%prep
%setup -q
%patch0 -p1 -b .rh
%ifarch sparc
%patch1 -p1 -b .sparc
%endif
%patch2 -p0 -b .taper_h
%patch3 -p1 -b .umode_t

find . -name CVS -type d | xargs rm -rf

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/*/*
%doc docs/*

%changelog
* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.9b-6
- rebuilt with current VineSeed
- added BR: ncurses-devel

* Sat Apr 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.9b-5
- added Patch3 from Mandriva

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 6.9b-4vl5
- added taper-6.9b-taper_h.patch
- applied new versioning policy

* Sat Jul 19 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.9b-3vl2
- rebuild with new toolchains
- s/Copyright/License/
- change URL

* Mon Dec 18 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 6.9b-3vl1
- rebuild for Vine Linux with ncurses5

* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix messy symlinks (Bug #16129)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- update to 0.69b (bugfix release)
- use RPM macros
- FHS fixes

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- fix --unattended-backup cmd line option (#7027)

* Tue Aug 31 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 6.9a bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed file symlinks in /usr/bin -- taper is a root only sysadmin tool
- changed -g to RPM_OPT_FLAGS for CFLAGS variable

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Sep 28 1998 Cristian Gafton <gafton@redhat.com>
- fixed bg_backup and bg_restore segv when called from command line

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 6.9.
- move to /usr/{bin,sbin}
- sparc is big endian.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.4
- buildroot

* Tue Jan  6 1998 Otto Hammersmith <otto@redhat.com>
- readded -DGLIBC_2 to Makefile.common

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.0

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
