Summary:        A Jabber/XMPP connection manager
Summary(ja):    Jabber/XMPP 接続マネージャ

Name:           telepathy-gabble
Version:        0.16.0
Release:        1%{?_dist_release}

Group:          Applications/Communications
# The entire source code is LGPLv2+, except src/libmd5-rfc/ and src/sha1/ which are BSD.
License:        LGPLv2+ and (BSD)
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.16.0
BuildRequires:  dbus-devel >= 1.1.0
BuildRequires:  dbus-glib-devel >= 0.78
BuildRequires:  loudmouth-devel >= 1.3.2
BuildRequires:  telepathy-glib-devel >= 0.7.37
BuildRequires:  libxslt
BuildRequires:  python >= 2.5
BuildRequires:  libsoup-devel
BuildRequires:  libuuid-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libnice-devel >= 0.0.11

Requires:	telepathy-filesystem

Vendor: Project Vine
Distribution: Vine Linux


%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.


%prep
%setup -q


%build
%configure --with-ca-certificates=%{_datadir}/ssl/certs/ca-bundle.crt
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## Don't package html doc to incorrect doc directory
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/*.html

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc docs/*.html
%{_bindir}/telepathy-gabble-xmpp-console
%{_libdir}/telepathy/gabble-0
%{_libdir}/telepathy-gabble-tests
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz


%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.0-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.7-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.3-1
- new upstream release
- add configure option (--with-ca-certificates=%{_datadir}/ssl/certs/ca-bundle.crt)

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.2-1
- new upstream release
- add BuildRequires: sqlite3-devel, libnice-devel
- fix %install and %files (add gateway.so)

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.2-1
- new upstream release

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.8-1
- initial build for Vine Linux

* Sat Aug 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.8-1
- Update to 0.7.8.
- Drop assertion patch.  Fixed upstream.

* Thu Aug  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.7-2
- Add patch to fix assertion. (#457659)

* Thu Jul 31 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.7-1
- Update to 0.7.7.
- Bump min version of tp-glib needed.

* Fri May 16 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6.

* Mon May  5 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.

* Fri May  2 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Package new documentation.

* Thu Feb 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-3
- Rebuild for gcc-4.3.

* Fri Jan 18 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-2
- Rebuild for new version of loudmouth.

* Wed Nov  7 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Mon Oct  1 2007 Matej Cepl <mcepl@redhat.com> - 0.6.0-1
- New upstream version.

* Fri Sep  7 2007 Matej Cepl <mcepl@redhat.com> - 0.5.14-1
- New upstream version

* Thu Aug 30 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.
- Bump minimum version of telepathy-glib.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-5
- Add python as a BR.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-4
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-3
- Update license tag.

* Tue Jun 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-2
- Correct version check for loudmouth

* Tue Jun 19 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.12-1
- Update to 0.5.12.
- Add BR on telepathy-glib-devel

* Tue Feb 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-2
- Rebuild for new loudmouth.

* Mon Jan 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1.

* Tue Dec 12 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0.

* Thu Dec  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9.

* Fri Dec  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8.

* Thu Nov 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5.

* Sat Nov  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3.

* Fri Oct 27 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2.

* Mon Oct 23 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1.

* Thu Oct 19 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0.

* Fri Oct 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.13-1
- Update to 0.3.13.

* Wed Oct 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.11-1
- Update to 0.3.11.

* Thu Oct  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.10-1
- Update to 0.3.10.

* Wed Oct  4 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.9-1
- Update to 0.3.9.

* Sun Oct  1 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7.
- Add requires on telepathy-filesystem.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6.

* Sun Sep 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5.

* Mon Sep 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4.
- Use -disable-loudmouth-versioning to build with stable version of loudmouth.

* Sat Sep  9 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-2
- Bump.

* Mon Aug 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.1-1
- Initial FE spec.

