Summary:	A multi-protocol Libpurple connection manager
Summary(ja):	マルチプロトコル Libpurple 接続マネージャ

Name:		telepathy-haze
Version:	0.6.0
Release:        1%{?_dist_release}

Group:		Applications/Communications
License:	GPLv2+
URL:		http://developer.pidgin.im/wiki/Telepathy

Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	libpurple-devel
BuildRequires:	telepathy-glib-devel
BuildRequires:	libxslt-devel
  
Requires:	telepathy-filesystem    

%description
telepathy-haze is a connection manager built around libpurple, the core of
Pidgin (formerly Gaim), as a Summer of Code project under the Pidgin umbrella.
Ultimately, any protocol supported by libpurple will be supported by
telepathy-haze; for now, XMPP, MSN and AIM are known to work acceptably, and
others will probably work too.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libexecdir}/telepathy-haze
%{_datadir}/dbus-1/services/*.haze.service
%{_mandir}/man8/telepathy-haze.8*

%changelog
* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- new upstream release

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 	0.3.2-1
- new upstream release

* Tue Sep 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.2.0-1
- initial build for Vine Linux

* Wed Aug 13 2008 Peter Gordon <peter@thecodergeek.com> - 0.2.0-3
- Remove the mission-control subpackage in favor of using the profiles from
  Empathy upstream.

* Tue Jul 29 2008 Peter Gordon <peter@thecodergeek.com> - 0.2.0-2
- Fix the ICQ Mission Control profile to properly use the "icq" configuration
  UI, rather than the one for jabber.
- Resolves: bug #456565 (Wrong entry in haze-icq.profile)

* Sat Mar 01 2008 Peter Gordon <peter@thecodergeek.com> - 0.2.0-1
- Update to new upstream release (0.2.0)
- Add ICQ Mission-Control profile.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.4-3
- Autorebuild for GCC 4.3

* Sun Dec 16 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.4-2
- Add patch from upstream Darcs to fix bug 425870 (bad apostrophe escaping with
  Yahoo! messages).
  + fix-yahoo-apostrophe-escaping.patch

* Thu Nov 22 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.4-1
- Update to new upstream build-fix release (0.1.4).
- Add Yahoo! IM support to the mission-control profiles, with default
  login/server information taken from Pidgin/Finch.

* Wed Nov 14 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.3-1
- Update to new upstream release (0.1.3), which fixes the accidental
  ~/.purple directory deletion with Pidgin 2.3.0+ (among other notable fixes
  and enhancements).
- Drop compile fix with recent telepathy-glib releases (fixed upstream):
  - fix-deprecated-tp_debug-call.patch

* Tue Nov 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-4
- Add patch to fix build error due to calling deprecated
  tp_debug_set_flags_from_env function.
  + fix-deprecated-tp_debug-call.patch

* Sun Nov 11 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-3
- Fix Source0 URL.

* Thu Nov 01 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-2
- Add haze-msn.profile (based on the profile provided by the PyMSN-based
  Butterfly connection manager) so that MC-using applications (such as
  Empathy) can use the libpurple-based MSN connection manager instead of
  Butterfly, at the user's option. 
  
* Sun Sep 16 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-1
- Update to new upstream release (0.1.2), which fixes sending messages with
  <, >, and & characters and properly cleans up zombie children.   

* Fri Aug 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.1-1
- Update to new upstream release (0.1.1), which fixes segfaults when closing
  text and list channels, and some potential g_free corruptions.
- Sync %%description with upstream release announcements.

* Mon Aug 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.0-1
- Initial packaging for Fedora.

