Summary:        Telepathy client to handle media streaming
Summary(ja):    メディアストリーミングを扱うための Telepathy クライアント

Name:           telepathy-stream-engine
Version:        0.5.15
Release:        2%{?_dist_release}

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/stream-engine/%{name}-%{version}.tar.gz

Patch0:		telepathy-stream-engine-no-hal.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	gtk2-devel >= 2.22.0
BuildRequires:	dbus-devel >= 1.4.0
BuildRequires:	dbus-glib-devel >= 0.88
BuildRequires:	telepathy-glib-devel >= 0.13.0
BuildRequires:  farsight2-devel >= 0.0.17
BuildRequires:	gstreamer-devel >= 0.10.30
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.30
BuildRequires:	telepathy-farsight-devel >= 0.0.15
BuildRequires:	libX11-devel
BuildRequires:	libxslt
BuildRequires:	autoconf


%description
A Telepathy client that uses Farsight and GStreamer to handle media
streaming for channels with the IceSignalling interface.


%prep
%setup -q
%patch0 -p1 -b .no-hal

%build
autoreconf -if
%configure --disable-seq-dias
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_sysconfdir}/stream-engine/*.conf
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.maemo.Telepathy.StreamEngine.service


%changelog
* Sat Jan 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.15-2
- remove BuildRequires: hal-devel
- add Patch0 (telepathy-stream-engine-no-hal.patch)

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.15-1
- new upstream release
- add BuildRequires: hal-devel, gtk2-devel

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.12-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.3-1
- initial build for Vine Linux

* Thu May 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3.

* Tue Apr 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2.

* Fri Mar 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-4
- Rebuild for new farsight.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-3
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-2
- Rebuild.

* Fri Aug 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-1
- Update to 0.3.25.
- Bump min version of farsight-devel needed to 0.1.23.

* Fri Aug  3 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.23-2
- Update license tag.

* Sun May 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.23-1
- Update to 0.3.23.
- Add min ver for farsight & libtelepathy.

* Wed Feb 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.21-1
- Update to 0.3.21.

* Sat Jan  6 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.20-1
- Update to 0.3.20.

* Mon Dec 25 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.18-2
- Disable sequence-diagrams.

* Fri Dec 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18.

* Sun Dec  3 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.16-1
- Initial FE Spec.

