Summary: The terminal feature database used by certain applications.
Summary(ja): 様々なアプリケーションから使用される端末機能のデータベース
Name: termcap
Version: 11.0.1
Release: 2%{?_dist_release}
License: none
Group: System Environment/Base
Source0: http://www.catb.org/~esr/terminfo/termtypes.tc.gz
Patch0: termcap-linuxlat.patch
Patch1: termcap-xtermchanges.patch
# Vine stuff
Patch2: termcap-kon.patch
Patch3: termcap-kterm.patch
Patch4: termcap-xtermvine.patch
# Vine stuff above
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Vendor: Project Vine
Distribution: Vine Linux

# XXX termcap used to be noarch but that is impossible with per-arch patches
%ifarch sparc
Obsoletes: termfiles_sparc
Provides: termfiles_sparc
%endif

%description
The termcap package provides the /etc/termcap file.  /etc/termcap is a
database which defines the capabilities of various terminals and
terminal emulators.  Certain programs use the /etc/termcap file to
access various features of terminals (the bell, colors, and graphics,
etc.).

%description -l ja
termcap パッケージは /etc/termcap ファイルを提供します。/etc/termcap
ファイルは様々な種類の端末や端末エミュレータの機能を列記したデータベース
です。プログラムは /etc/termcap ファイルを読み込んで、端末の様々な機能
(ベル、カラー、グラフィックス等)を利用します。

%prep
mkdir -p $RPM_BUILD_ROOT/etc
zcat $RPM_SOURCE_DIR/termtypes.tc.gz > $RPM_BUILD_ROOT/etc/termcap
(cd $RPM_BUILD_ROOT/etc;
%patch0 -p0 -b .linuxlat
%patch1 -p0 -b .xtermchanges
%patch2 -p0 -b .kon
%patch3 -p0 -b .kterm
%patch4 -p0 -b .xtermvine
)
chmod 644 $RPM_BUILD_ROOT/etc/termcap

# remove unpackaged files.
%{__rm} -f ${RPM_BUILD_ROOT}/etc/termcap.kon
%{__rm} -f ${RPM_BUILD_ROOT}/etc/termcap.kterm
%{__rm} -f ${RPM_BUILD_ROOT}/etc/termcap.linuxlat
%{__rm} -f ${RPM_BUILD_ROOT}/etc/termcap.xtermchanges
%{__rm} -f ${RPM_BUILD_ROOT}/etc/termcap.xtermvine


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/termcap

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 11.0.1-2vl5
- applied new versioning policy, spec in utf-8

* Fri Jul 06 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 11.0.1-1vl6
- rebuild with new toolchains.
- update URI of Source0.
- use License tag instead of Copylight.
- remove unpackaged files in %%prep section.
- add japanese summary and description.

* Thu Oct 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.1-1vl5
- modify patch3 to fix bug.
  ( tc=xterm -> tc=xterm-r6 )

* Wed Feb 21 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- apply patch4 correctly 

* Tue Nov 21 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- added termcap-xtermvine.patch (fixes a bug of termcap-xtermchanges.patch)

* Wed Jul  5 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- 11.0.1-1vl1: from Vine 9.12.6-15vl2 and RH 11.0.1-1 
- fixed: Distribution

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 11.0.1

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- add end key mappings for linux console (fix /bin/vi)

* Sat Mar 04 2000 Preston Brown <pbrown@redhat.com>
- remove typo

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- shifted fkey 3-20 added for xterm

* Fri Feb 18 2000 Preston Brown <pbrown@redhat.com>
- xterm entries from XFree86 3.3.6.
- completely apply debian policy for backspace and delete.

* Sun Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix xterm (#9141)

* Tue Feb 01 2000 Preston Brown <pbrown@redhat.com>
- small patch from Hans for xterm (#8634), revert HJ fix.

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- sync the xterm entry with the XFree86 3.3.6 one

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add patch form Hans de Goede <hans@highrise.nl> to get the termcap
  descriptions in sync with the terminfo (ncurses) ones
- make it a noarch package

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 10.2.7 - this should finally fix the "telnet from FreeBSD to Linux"
  problem

* Thu Oct 28 1999 Jun NISHII <jun@flatout.org>
- added defattr

* Thu Oct 21 1999 Jun NISHII <jun@flatout.org>
- merge 9.12.6-15

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- termcap used to be noarch but that is impossible with per-arch patches

* Mon Dec 21 1998 MATSUMOTO Shoji <vine@flatout.org>
- added kterm and kon entries

* Thu May 07 1998 Erik Troan <ewt@redhat.com>

- added linux-lat entry
- build rooted

* Fri May 01 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

