%define texmf		%{_datadir}/texmf
%define build_texmf	%{buildroot}%{texmf}
%define ptetexver	20090610

%define exec_texhash  [ -x %{_bindir}/texhash     ] && PATH=%{_bindir}:$PATH %{_bindir}/texhash 2>/dev/null
%define exec_updmap   [ -x %{_bindir}/updmap-sys  ] && PATH=%{_bindir}:$PATH %{_bindir}/updmap-sys --nostop 2>/dev/null
%define exec_fmtutil  [ -x %{_bindir}/fmtutil-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/fmtutil-sys --all >/dev/null
%define vartexfonts %{_var}/lib/texmf

# alternative updmap: 
# for tetex-tt2001-fmex789 (subpackage), tetex-bakoma-cmex789 (non-free package)
%define alt_updmap        %{_bindir}/updmap
%define fixed_small_cmex  1

# boolean value can be enabled from command line by: rpm -bs --define "nosrc 1"
%define nosource %{?nosrc} %{!?nosrc:0}

Summary: The TeX text formatting system.
Summary(ja): tetex TeX 文書整形システム
Name: tetex
Version: 3.0
Release: 12%{?_dist_release}
License: distributable
Group: Applications/Publishing
URL: http://www.nn.iij4u.or.jp/~tutimura/tex/ptetex.html

Source0: ftp://cam.ctan.org/tex-archive/systems/unix/teTeX/%{version}/distrib/tetex-src-%{version}.tar.bz2
Source1: ftp://cam.ctan.org/tex-archive/systems/unix/teTeX/%{version}/distrib/tetex-texmf-%{version}po.tar.bz2
%{?nosrc:NoSource: 0}
%{?nosrc:NoSource: 1}

## Japanese ptex
Source20: http://tutimura.ath.cx/~nob/tex/ptetex/ptetex3/ptetex3-%{ptetexver}.tar.gz
Source26: sample.tex
Source31: ps-morisawa.map
Source32: ps-morisawa-noEmbed.map

## etc...
Source100: tetex.cron
Source101: dvi-to-ps.fpi
Source102: http://auemath.aichi-edu.ac.jp/~khotta/ghost/disk1/jtygm.sty

######
# teTeX patches from Fedora
######

## others


PreReq: coreutils ghostscript
Requires: coreutils ghostscript
Requires: tetex-macros >= 3.0
Requires: tmpwatch libpng
Requires: ed mktemp
Requires: perl-Tk
Requires: nkf
Requires(post): ed mktemp
BuildRequires: bison flex
BuildRequires: zlib-devel libpng-devel gd-devel ncurses-devel libjpeg-devel
BuildRequires: XOrg-devel freetype2-devel >= 2.1.10
BuildRequires: autoconf213
BuildRequires: t1utils
BuildRequires: unzip
Obsoletes: pTeX pLaTeX2e pLaTeX2e_Macros dvipsk tetex-latex tetex-afm tetex-type1 tetex-devel
Obsoletes: dvipdfm texmacro-aps
Obsoletes: makejvf <= 1.1a
Conflicts: task-texmacro-phys < 1.1
Provides:  tetex-latex
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install tetex if you want to use the TeX text formatting system.  
You will also need to install xdvik to preview .dvi files in X.
In VinePlus, you will also find tetex-extra (extra latex related 
binaries and fonts), tetex-doc (tetex related documents), dvi2tty
(dvi previewer in console).

%package doc
Summary: The documentation files for the TeX text formatting system.
Summary(ja): TeX テキスト整形システムに関する説明文書類
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you're not an expert at it, you should
install the tetex-doc package.  You'll also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX), tetex-dvilj
(for converting .dvi files to HP PCL format for printing on HP and HP
compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use
interface for TeX) and tetex-xdvi/xdvik (for previewing .dvi files).

%package extra
Summary: Extra package of tetex
Summary(ja): tetex 関連の追加バイナリ・フォント
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Obsoletes: pxfonts txfonts
Provides:  pxfonts txfonts

%description extra
This package includes extra binaries and fonts of tetex.


%if %{fixed_small_cmex}
%package tt2001-fmex789
Summary: replacemets of tt2001/fmex{7,8,9}.pfb for tetex
Summary(ja): replacemets of tt2001/fmex{7,8,9}.pfb for tetex
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
#Conflicts: tetex-bakoma-cmex789

%description tt2001-fmex789
This package corrects a problem for some output devices, 
that some characters (at least, glyph name "/space") vanish. 

This package contains replacemets of tt2001/fmex{7,8,9}.pfb 
that all Glyph /space are replaced with Glyph /visiblespace. 

%description tt2001-fmex789 -l ja
このパッケージは，一部の出力デバイスにおいて，
cmex{7,8,9} (fmex{7,8,9}.pfb) が埋め込まれた PDF ファイルから，
いくつかの文字が出力されない不具合に対処します．

少なくとも判明している不具合は，
グリフ名が /space になっている 0x0020 である左パーレンです．

このパッケージには，
グリフ /space をグリフ /visiblespace へ置換した 
tt2001/fmex{7,8,9}.pfb を同梱しています．
%endif


%package -n libkpathsea
Summary: path search library for tetex
Summary(ja): tetex 用パス検索ライブラリ
Group: System Environment/Libraries

%description -n libkpathsea
This package includes runtime part of the Kpathsea library.


%package -n libkpathsea-devel
Summary: path search libary and header files for tetex
Summary(ja): tetex 用パス検索ライブラリとヘッダファイル
Group: Development/Libraries
Requires: libkpathsea = %{version}-%{release}

%description -n libkpathsea-devel
This package includes static library and header files of the Kpathsea library.


%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q -n tetex-src-%{version} -a 20

pushd ptetex3-%{ptetexver}
cat <<EOF > my_option
#KANJI_CODE=EUC
KANJI_CODE=UTF8
SRC_DIR=%{_sourcedir}
TMP_PREFIX=%{_builddir}/tetex-src-%{version}/build
PREFIX=%{_prefix}
DATADIR=%{_datadir}
TEXSRC_EXTRACTED=%{_builddir}
SYSTEM_FREETYPE2=yes
XDVI=echo
#TEXMFDIST=%{_datadir}/texmf-dist
make_option vartexfonts=%{vartexfonts}

conf_option --without-dviljk
#conf_option --without-info
conf_option --without-texi2html
conf_option --without-texinfo
conf_option --without-dvipng
conf_option --without-dialog
conf_option --without-x
conf_option --without-xdvik
conf_option --without-oxdvik

conf_option --with-system-zlib
conf_option --with-system-pnglib
conf_option --with-system-gd
conf_option --with-system-ncurses
conf_option --with-system-t1lib
conf_option --enable-shared
conf_option --enable-kanji-iconv
EOF

perl -pi -e 's|VER.tar.gz|VER.tar.bz2|g' 3extract-texmf.sh
make x
popd

######
# teTeX patches
######

##
## texmf stuff
##
# Needed for installing other files in texmf (bug #89478).
rm -f texmf/ls-R

## others


## etc ...
rm -rf texk/dvipdfmx/data/CMap/CVS
rm -rf texk/dvipdfmx/data/config/CVS
find . -name CVS -exec rm -r '{}' \;
find . -name .cvsignore -exec rm '{}' \;


%build
set -x
unset TEXINPUTS || :
unset HOME || :

pushd ptetex3-%{ptetexver}
. common.sh
popd

./configure --prefix=$PREFIX --datadir=$DATADIR \
    --disable-multiplatform --enable-kanji=$KANJI_CODE \
    $CONF_OPTION

# Avoid pollution from internal libraries.
rm -rf ./libs/{ncurses,zlib,libpng,libwww}

# XXX Hacks to avoid accidental version clashs with system libraries.
mkdir -p ./libs/zlib
ln -s /usr/include/{zconf,zlib}.h ./libs/zlib
mkdir -p ./libs/libpng
ln -s %{_includedir}/{png,pngconf}.h ./libs/libpng

make $MAKE_OPTION
make $MAKE_OPTION \
	prefix=$TMP_PREFIX texmf=$TEXMF datadir=$TMP_DATADIR \
	install

## for babel
pushd ptetex3-%{ptetexver}
./6babel.sh
popd

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{vartexfonts}
cp -a build/bin     %{buildroot}%{_bindir}
cp -a build/share   %{buildroot}%{_datadir}
cp -a build/include %{buildroot}%{_includedir}
cp -a build/lib     %{buildroot}%{_libdir}
cp -a build/man     %{buildroot}%{_mandir}
cp -a build/info    %{buildroot}%{_infodir}

mkdir -p %{build_texmf}/fonts/opentype
mkdir -p %{build_texmf}/fonts/truetype
rm -r   %{buildroot}%{_datadir}/texmf/web2c/texmf.cnf.* \
	%{buildroot}%{_datadir}/texmf/web2c/fmtutil.cnf.* \
	%{buildroot}%{_infodir}/dir


## for ptex filter
%__cat <<EOF >> %{build_texmf}/web2c/texmf.cnf

% for ptex filter
PTEX_IN_FILTER = /usr/bin/nkf -w
EOF


# Create symlinks for Euler fonts (#9782)
pushd %{build_texmf}-dist/tex/latex/amsfonts
for i in ex f r s ; do
  ln -sf ueu${i}.fd Ueu${i}.fd
done
popd

#move the man pages
mkdir -p %{buildroot}%{_mandir}/man1
[ -e "%{buildroot}%{_mandir}/dvips.1" ] && \
    mv %{buildroot}%{_mandir}/*.1 %{buildroot}%{_mandir}/man1

rm -f %{buildroot}%{_infodir}/dir
gzip -9nf %{buildroot}%{_infodir}/*info*

install %{SOURCE102} %{build_texmf}/ptex/platex/base/

## alternative updmap (for tetex-bakoma-cmex789)
%__mv %{buildroot}%{_bindir}/updmap %{buildroot}%{_bindir}/updmap-tetex

## morisawa map files remaped PS Kanji (CIDFont) Name
%__install -m 0644 %{SOURCE31} %{SOURCE32} \
   %{buildroot}%{texmf}/fonts/map/dvipdfm/

## replace /space with /visiblespace for tt2001/fmex{7,8,9}.pfb
%if %{fixed_small_cmex}
%__mkdir_p %{build_texmf}/fonts/type1/public/tt2001
(cd %{build_texmf}-dist/fonts/type1/public/tt2001
    for f in fmex*.pfb; do
	t1disasm $f | sed -e 's|/space |/visiblespace |g' | \
	    t1asm > %{build_texmf}/fonts/type1/public/tt2001/$f
    done
)
%endif

## avoid dependency on perl-Tk
#rm -rf %{build_texmf}-dist/scripts/context/perl

## for dvipdfmx
rm %{buildroot}%{_bindir}/dvipdfm
rm %{buildroot}%{_bindir}/dvipdft
## dvipdfm is proveided by dvipdfmx

## delete useless files (conflict with jvf package)
rm -rf %{build_texmf}/fonts/vf/ptex
rm -rf %{build_texmf}/fonts/tfm/ptex/*[a-zA-Z].tfm

## xkeyval, pgf, beamer, pict2e in tetex-3.0 are very old. 
## these packages is provides by tetex-macros-3.0-3vl5 (or above higher)
%__rm -rf %{build_texmf}-dist/tex/generic/xkeyval
%__rm -rf %{build_texmf}-dist/tex/latex/xkeyval
%__rm -rf %{build_texmf}-dist/doc/generic/xkeyval
%__rm -f %{build_texmf}-dist/doc/help/Catalogue/entries/xkeyval.html
%__rm -rf %{build_texmf}-dist/tex/latex/pgf
%__rm -rf %{build_texmf}-dist/doc/latex/pgf
%__rm -f %{build_texmf}-dist/doc/help/Catalogue/entries/pgf.html
%__rm -rf %{build_texmf}-dist/tex/latex/beamer
%__rm -rf %{build_texmf}-dist/doc/latex/beamer
%__rm -f %{build_texmf}-dist/doc/help/Catalogue/entries/beamer.html
%__rm -rf %{build_texmf}-dist/tex/latex/pict2e
%__rm -rf %{build_texmf}-dist/doc/latex/pict2e
%__rm -f %{build_texmf}-dist/doc/help/Catalogue/entries/pict2e.html

# for created fonts
mkdir -p %{buildroot}%{_var}/lib/texmf
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -m 755 %{SOURCE100} %{buildroot}%{_sysconfdir}/cron.daily/

#
mkdir -p %{build_texmf}/fonts/cmap

# Strip binaries
strip %{buildroot}%{_bindir}/* || :

# Compress man pages
[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress

# remove unpackaging files
rm -f %{build_texmf}/dvips/config/config.ps.teTeX-texmf-2.0-no-lp-dvips.patch
rm -f %{build_texmf}/web2c/texmf.cnf.orig
rm -f %{build_texmf}/xdvi/XDvi

# Don't ship unneeded log files (bug #65689).
rm -f %{build_texmf}/web2c/*.log
rm -f %{buildroot}%{_datadir}/texmf-var/web2c/*.log

# Remove things we don't package.
rm -f   %{buildroot}%{_bindir}/dvilj* \
	%{buildroot}%{_bindir}/readlink \
	%{buildroot}%{_libdir}/lib*.la \
	%{buildroot}%{_mandir}/*/dvilj* \
	%{buildroot}%{_mandir}/*/readlink* \
	%{build_texmf}/web2c/texmf.cnf.* \
	%{build_texmf}/web2c/fmtutil.cnf.* \
	%{build_texmf}/xdvi/XDvi.orig \
	%{build_texmf}-var/fonts/map/xdvi/updmap/vfontmap \
	%{build_texmf}/tex/latex/base/latex.ltx.orig
	rm -rf  %{buildroot}%{_prefix}/html

### Files list
find %{buildroot} -type f -or -type l | \
    sed -e "s|%{buildroot}||g" | \
    grep -v -e "^%{_sysconfdir}" -e ".patch$" -e ".diff$" -e ".orig$" | \
    grep -v "%{_includedir}/kpathsea" | \
    grep -v "%{_libdir}/libkpathsea" | \
    grep -v "%{_infodir}/kpathsea" | \
    sed -e "s|.*\.\(cnf\|cfg\)$|%config(noreplace) &|" \
	-e "s|.*ls-R$|%ghost &|" \
	-e "s|^.*/updmap$|%config &|" \
	-e "s|%{texmf}*/dvips/config/\(psfonts.*\|ps2pk.*\|pdftex.*\|dvipdfm.*\|.*35\)\.map$|%ghost &|" \
	-e "s|%{texmf}*/web2c/.*\.\(fmt\|efmt\|log\|base\|mem\|oft\)$|%config &|" \
	-e "s|%{texmf}*/dvips/config/config\.\(generic\|pdf\|ps\|www\)$|%config &|" \
	-e "s|%{texmf}*/tex/generic/config/.*|%config &|" \
	-e "s|%{texmf}*/pdftex/config/pdftex.cfg$|%config &|" \
	-e "s|%{texmf}*/xdvi/vfontmap$|%config &|" \
	-e "s|%{texmf}*/xdvi/XDvi|%config &|" \
	-e "s|%{_mandir}/.*|&*|" \
	> filelist.full

find %{buildroot}%{texmf} -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"                         >> filelist.full
find %{buildroot}%{texmf}-dist -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"                         >> filelist.full
find %{buildroot}%{texmf}-var -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"                         >> filelist.full
find %{buildroot}%{texmf}-config -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"                         >> filelist.full
#echo "%dir %{_includedir}/kpathsea"           >> filelist.full

# subpackages
grep "/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full

# extract extra package
cat /dev/null > filelist.extra
grep "/bin/dvi2fax" filelist.full >> filelist.extra
# Omega related guys
grep "lambda" filelist.full >> filelist.extra
grep "omega" filelist.full >> filelist.extra
grep "/ofm" filelist.full >> filelist.extra
grep "/otangle" filelist.full >> filelist.extra
grep "/ocp" filelist.full >> filelist.extra
grep "/otp" filelist.full >> filelist.extra
grep "/outocp" filelist.full >> filelist.extra
grep "/ovf" filelist.full >> filelist.extra
grep "/ovp" filelist.full >> filelist.extra
# extra fonts
grep "/antt/" filelist.full >> filelist.extra # Polish font
grep "/bh/" filelist.full >> filelist.extra
grep "/bitstrea/" filelist.full >> filelist.extra
grep "/cg/" filelist.full >> filelist.extra
grep "/cyrillic/" filelist.full >> filelist.extra
grep "/cc-pl/" filelist.full >> filelist.extra
grep "/cg/" filelist.full >> filelist.extra
grep "/cmcyr/" filelist.full >> filelist.extra # Russian font
grep "/ecc/" filelist.full >> filelist.extra
grep "/euxm/" filelist.full >> filelist.extra
grep "/gothic/" filelist.full >> filelist.extra
grep "/sauter/" filelist.full >> filelist.extra
grep "/lh/" filelist.full >> filelist.extra
grep "/lm/" filelist.full >> filelist.extra # Latin Modern font
grep "/mathpple/" filelist.full >> filelist.extra
grep "/marvosym/" filelist.full >> filelist.extra
grep "/pl/" filelist.full >> filelist.extra
grep "/stmaryrd/" filelist.full >> filelist.extra
grep "/urw/" filelist.full >> filelist.extra
grep "/wasy/" filelist.full >> filelist.extra
grep "/yandy/" filelist.full >> filelist.extra
grep "/pxfonts" filelist.full >> filelist.extra
grep "/txfonts" filelist.full >> filelist.extra

sort filelist.extra | uniq > filelist.tmp
mv -f filelist.tmp filelist.extra
cat filelist.extra filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full

# tt2001-fmex789 package
grep "/texmf/fonts/type1/public/tt2001" filelist.full > filelist.fmex789
cat filelist.fmex789 filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full


#grep "xdvi" filelist.full | grep "/texmf-var/" > filelist.xdvi
grep "t1mapper" filelist.full >> filelist.xdvi || true
cat filelist.xdvi filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full

# prepare docs
rm -rf pTeX
mkdir pTeX
cp -p texk/web2c/ptex/{COPYRIGHT,COPYRIGHT.jis,Changes.txt,README.txt} pTeX
cp -p texk/mendexk/{COPYRIGHT,COPYRIGHT.jis,ChangeLog,README,mendex.doc} pTeX

%clean
rm -rf %{buildroot}
#rm -f filelist.*

%pre

%post
%if %{fixed_small_cmex}
/sbin/update-alternatives --install %{alt_updmap} updmap \
    %{_bindir}/updmap-tetex 30
%endif

/sbin/ldconfig
/sbin/install-info %{_infodir}/web2c.info.*    %{_infodir}/dir
/sbin/install-info %{_infodir}/latex.info.*    %{_infodir}/dir
/sbin/install-info %{_infodir}/dvips.info.*    %{_infodir}/dir
%{exec_texhash}
%{exec_updmap}
exit 0

%post -n libkpathsea
/sbin/ldconfig
/sbin/install-info %{_infodir}/kpathsea.info.* %{_infodir}/dir
exit 0


## uninstall script
%postun
/sbin/ldconfig

if [ "$1" = 0 ]; then
    %if %{fixed_small_cmex}
    /sbin/update-alternatives --remove-all updmap
    %endif
fi
exit 0

%preun
rm -rf %{_var}/lib/texmf/*
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/web2c.info.*    %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/latex.info.*    %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/dvips.info.*    %{_infodir}/dir
fi
exit 0

%preun -n libkpathsea
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/kpathsea.info.* %{_infodir}/dir
fi
exit 0


%post extra
%{exec_texhash}
%{exec_updmap}
exit 0

%postun extra
if [ "$1" = 0 ]; then
    %{exec_texhash}
    %{exec_updmap}
fi
exit 0


%post tt2001-fmex789
%{exec_texhash}
%{exec_updmap}
exit 0

%postun tt2001-fmex789
if [ "$1" = 0 ]; then
    %{exec_texhash}
    %{exec_updmap}
fi
exit 0


%triggerin -- ghostscript
rm -f %{texmf}/fonts/cmap/ghostscript
if [ -d "%{_datadir}/ghostscript/$(gs --version| cut -d . -f 1-2)/Resource/CMap" ] ; then
  ln -s %{_datadir}/ghostscript/$(gs --version| cut -d . -f 1-2)/Resource/CMap %{texmf}/fonts/cmap/ghostscript
elif [ -d "%{_datadir}/ghostscript/Resource/CMap" ] ; then
  ln -s %{_datadir}/ghostscript/Resource/CMap %{texmf}/fonts/cmap/ghostscript
fi
%{exec_texhash}
%{exec_updmap}
exit 0


%files -f filelist.full
%defattr(-,root,root)
%attr(1777,root,root) %dir %{_var}/lib/texmf
%config %{_sysconfdir}/cron.daily/tetex.cron
%doc INSTALL PROBLEMS QuickInstall README pTeX/

%files -f filelist.doc doc
%defattr(-,root,root)

%files -f filelist.extra extra
%defattr(-,root,root)

%files -f filelist.fmex789 tt2001-fmex789
%defattr(-,root,root)

%files -n libkpathsea
%defattr(-,root,root)
%{_libdir}/libkpathsea.so.4*
%{_infodir}/kpathsea.info*

%files -n libkpathsea-devel
%defattr(-,root,root)
%{_libdir}/libkpathsea.a
%{_libdir}/libkpathsea.so
%dir %{_includedir}/kpathsea
%{_includedir}/kpathsea/*


%changelog
* Fri Jul 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-12
- ptetex3-20090610
- added BuildRequires: unzip
- moved to exec update-alternatives before %%{exec_updmap} in %%post

* Sun May 17 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-11
- proveided tetex-tt2001-fmex789 subpackage
  - added BuildRequires: t1utils

* Sat May 16 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-10
- added "PTEX_IN_FILTER = /usr/bin/nkf -w" 
  in /usr/share/texmf/web2c/texmf.cnf [VineSeed:17572]
  - added Requires: nkf

* Fri May 15 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-9
- added ps-morisawa{-noEmbed}.map

* Sun May 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-8
- removed xkeyval, pgf, beamer, pict2e packages from /use/share/texmf-dist tree
  - these packages is provided from tetex-macros
- added /usr/bin/makejvf (applied makejvf-1.1a-ptexenc.patch)
  - obsoletes makejvf <= 1.1a
- dropped tetex-updmap-use_bakoma_cmex789.patch, 
  removed bakoma/cmex{7,8,9}.pfb and pdftexenc/cmex.enc
  (provided tetex-bakoma-cmex789 package)

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-7
- new upstream release
  - ptetex3-20090507
- applied tetex-updmap-use_bakoma_cmex789.patch
  - added bakoma/cmex{7,8,9}.pfb and pdftexenc/cmex.enc

* Tue Mar 17 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.0-6
- libkpathsea into separete subpackages

* Sun Jan 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-4
- remove /usr/bin/makejvf (provided by makejvf package)
- add ConTeXt, Requires: perl-Tk

* Tue Jan 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-3vl5
- create ghostscript cmap symlink in triggerin scriptlet

* Sat Jan 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-2vl5
- new upstream release
  - ptetex3-20080616
- set KANJI_CODE=UTF8

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 08 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl12
- build for VineSeed

* Mon Oct 08 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl11
- ptetex3-20061213 + xdvi-ptex.map extend from ptetex3-20070210

* Sat Oct 06 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl10
- ptetex3-20061213
- use more Tsuchimura-san's scripts

* Tue Jun  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0-0vl9
- rebuilt with new toolchain

* Thu Feb  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0-0vl8
- rebuilt for VineSeed

* Sat Jan 20 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.0-0vl7.1
- add patch200 for fix CVE-2007-0104 (PDF Catalog Dictionary Handling DoS)

* Wed Sep 06 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl7
- ptetex-20060815 [VineSeed:11299]
- cleanup patches

* Thu Aug 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0-0vl6
- add Requires(pots) ed and mktemp
- suffix '*' to man pages in filelist.full

* Mon Aug 07 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl5
- added Requires ed and mktemp [VineSeed:11082]

* Mon May 29 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl4
- drop Provides: dvipdfmx

* Wed May 10 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl3
- ptetex-20060506

* Wed Nov 16 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl2
- ptetex-20051115
- moved etex, pdfetex from tetex-extra to tetex package

* Sun Nov 06 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl1
- ptetex-20051106

* Wed Aug 31 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl0.3
- ptetex-20050830

* Mon Jul 11 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl0.2
- ptetex-20050701 and use more ptetex scripts
  (Thanks a lot ! Tsuchimura-san)

* Sun Jun 05 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl0.1
- teTeX-3.0 based on Tsuchimura-san's ptetex-20050614

* Tue Feb 03 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl15
- rebuilt for VineSeed

* Sun Jan 30 2005 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.0.2-0vl14
- added security patches
  for CAN-2004-0888, CAN-2004-0889 and CAN-2004-1125 from Gentoo.
  - Patch300:  xdvizilla.patch
  - Patch301:  xpdf-CESA-2004-007-xpdf2-newer.diff
  - Patch302:  xpdf-goo-sizet.patch
  - Patch303:  xpdf2-underflow.patch
  - Patch304:  xpdf-3.00pl2-CAN-2004-1125.patch
  - adde a security patch xpdf-3.00pl3.patch for CAN-2005-0064.
          
* Tue Jan 18 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl13
- source update
  ptex-texmf-2.3

* Sun Jan 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl12
- update vine-dvips-kanjifonts.map3 to use Ricoh/Dyna fonts in 3.1CR
  with kanjifont.sty.

* Mon Dec 27 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl11
- source update
  ptex-src-3.1.5, dvipsk-jpatch-p1.6a1
- fix bracket
  http://oku.edu.mie-u.ac.jp/~okumura/texfaq/qa/32659.html

* Mon Nov 29 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl10
- remove dvipdfm symlink to dvipdfmx

* Wed Oct 20 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl9
- built on behalf of Tsuchimura-san [VineSeed:09487]
- modified BuildPreReq: added XOrg-devel bison flex
- remove TEXMF/dvips/base/config.ps

* Thu Sep 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl8
- updated ptex-3.1.4, mendexk2.5a, ptex-texmf-2.2, dvipsk-jpatch-p1.6a

* Wed Jul 28 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0vl7
- updated udvips-5.94a-p1.6.patch (2004/06/13).
- added Requires: zlib-devel libpng-devel.
- removed dvipdft command. (dvipdfmx drops thumbnail support)

* Tue Feb 24 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0vl6
- added tetex-src-2.0.2-omegaware.patch.gz.
  (overwrites ovf2ovp by version 1.11)
- added mendexk2.5-tetex2.0.tar.gz to build in tetex tree.
  (obsoleted tetex-mendex2.5.patch)

* Thu Feb 05 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl5
- fixed updmap generating dvipdfm.map

* Tue Feb 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0vl4
- make alternative binaries "ovf2ovp-1.11 ovp2ovf-1.11 ofm2opl-1.11
  opl2ofm-1.11" for OTF package

* Mon Feb  2 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0vl3
- updated to ptex-3.1.3.
- added udvips-5.94a-p1.6.patch.
- added udvips.
- added ptex-src-3.1.3.mkconf.

* Sun May  4 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0vl2
- removed xdvik-dot.patch.
- add --without-xdvik --without-oxdvik.
- removed /usr/bin/t1mapper (in xdvik).
- modified vine-tetex-texmf.in (for jadetex).
- dvipdfm -> symlink of dvipdfmx

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0vl1
- rebuild for VineSeed.

* Mon Mar 24 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0t2
- removed teTeX-src-beta-20020530-dvips.def.patch which causes
  \scalebox{} bug in xdvik-jp.

* Tue Mar 11 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.0.2-0t1.1
- added Obsoletes dvipdfm texmacro-aps
- added Conflicts tasc-texmacro-phys < 1.1

* Mon Mar  3 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.2-0t1
- updated to tetex-2.0.2
- updated vine-tetex-texmf.in.
- include dvipdfm.

* Tue Feb 25 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.1-0t2
- updated to ptex-3.1.2.
- updated to dvipsk-jpatch-p1.6

* Mon Feb 17 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.1-0t1
- updated to teTeX-2.0.1, ptex-3.1.1.
- removed needless ptex2.1.10.timebomb.patch.
- removed dvipdfm.

* Fri Jan 24 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.99rc1-0t1
- updated to teTeX-2.0-rc1, ptex-3.0.5, dvipsk-5.92a-p1.5g.tar.gz.
- updated vine-tetex-texmf.in.
- removed teTeX-dvips-paper-size.patch. (already in upstream)
- added teTeX-texmf-2.0-no-lp-dvips.patch.

* Mon Jul 22 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> beta20020530-0t2
- updated to dvipsk-jpatch-p1.5g.tar.gz.
- applied teTeX-src-beta-20020530-dvips.def.patch to avoid a numerical error.

* Mon Jul  1 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> beta20020530-0t1
- updated to tetex-beta-20020530.
- updated sources (vine-tetex-texmf.in, teTeX-beta-20020530-fmtutil.patch).
- updated patches (dvipsk590a.patch, dvipsk-vflib-1.1alpha-p1.5d-590a.patch.gz,
    teTeX-beta-20020530-extmap.patch).
- removed new LaTeX macros, new skyblue fonts, and some up-streamed patches.
- removed comments about devel sub package.
- included txfonts and pxfonts as extra sub package.
- added work around of gsftopk (teTeX-beta-20020530-gs550-nosubstfont.patch).

* Thu Jun 27 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl18
- fix PKFONTS in vine-tetex-texmf.cnf, again

* Tue Jun 25 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl17
- fix PKFONTS in vine-tetex-texmf.cnf
- apply teTeX-1.0.7-badscript.patch (bug #43342)

* Sun May 12 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl16
- fix core dump 'ptex -version'
- enlarge main_memory main_memory = 526000
- enable teTeX-dvips-paper-size.patch instead of vine-teTeX-texmf.diff

* Tue May  7 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl15
- enable main_memory in texmf.cnf (install texmf.cnf BEFORE 'texconf init')

* Sat Mar 30 2002 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl4
- fix texmf.cnf which makes mendex seg.fault.

* Tue Mar 26 2002 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl3
- update kanjifonts.ps for dvips to use RICOH fonts

* Tue Mar 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl12
- added A5 size setting to texmf/dvips/config/config.ps
- added Requires tag for tetex-doc
- added "-%{PACKAGE_RELEASE}" for Requires: tetex = %{PACKAGE_VERSION}
- move /usr/bin/pdfeinitex to tetex-extra

* Wed Feb 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl11
- updated to dvipsk-jpatch-p1.5f
- added Source102: jtygm.sty

* Wed Jan 30 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl10
- tetex-devel was merged into tetex package.

* Wed Jan 23 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl9
- update to ptex-3.0.1, ptex-texmf-2.0, mendexk2.5

* Fri Sep 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl8
- add LD_LIBRARY_PATH=... in %install
- fixed installed dir of man, again (add man1)
- move omega.map under extmap

* Tue Sep 18 2001 Satoshi MACHINO <machino@vinelinux.org> 1.0.7-0vl7
- fixed installed dir of man

* Tue Sep 18 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl6
- added %post, %postun for extra and devel sub package

* Sat Sep 15 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl5
- bug fix (mendex Makefile)

* Wed Aug 15 2001 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl3
- merge and divide packages to tetex, tetex-doc, tetex-devel, and tetex-extra.

* Sat Aug  4 2001 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl2
- remove xdvik
- remove some trigger, use post and postun instead.
- --without-texinfo --enable-shared
- update dvipsk patch (p1.5e)
- modify texmf.cnf

* Fri Jul 20 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- tetex-1.0.7-0vl1 renamed from 0test8 

* Fri Apr 13 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- not released yet!

* Tue Feb  6 2001 Tim Waugh <twaugh@redhat.com>
- Turn on Japanese changes (bug #26249).
- Japanese support clashed with xaw3d patch; fixed up.
- Replace dvi-to-ps (rhs-printfilters) with mf40-tetex_filters
  (printconf).  Create testpage.dvi (from tex/latex/base/testpage.tex).
- Default to lj instead of cx in gray.mf and black.mf (bug #25988).
- Build requires VFlib2-devel.

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Update tetex-dvilj description.
- Patch latex2html to support tabularx environments better (bug #24852).
- Make xdvi work with files that end in '.' (bug #11478).
- Mark ls-R as %%ghost (bug #12275).
- Build requires w3c-libwww-devel.

* Fri Dec 29 2000 Jeff Johnson <jbj@redhat.com>
- sync with Mandrake version.
- Revert gcc296 patch, no longer needed.
- Enable i18n hyphenation for several languages (#11570,#17040).
- jadetex hash is now 50000 (#9092)
- create symlinks for Euler fonts (#9782).
- correct comment tetex.cron (#10022).
- unset TEXINPUTS in %%build/%%install (#10412).
- use Xaw3d rather than Xaw (#17415).
- insert thumbnails into pdflatex correctly (#19278).
- update to texi2html-1.64 (#20604).
- add latex2html (but not on ia64) (#16966).
- hacks to avoid accidental version clash with system libraries (#21263).
- rebuild with gcc-2.96-69 so that latex.fmt is built (#22838).

* Thu Oct 19 2000 Jeff Johnson <jbj@redhat.com>
- merge japanese changes (disabled for now, per msw@redhat.com).
- add support for Icelandic (Richard Allen <ra@hp.is>).

* Thu Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt on RedHat7.0 again

* Mon Aug 28 2000 Masato Taruishi <taru@debian.org>
- Fixed xdvik-ja to work in 1.0.7 correctly.
- Added a Japanese fontdata for a Japanized dvipsk.

* Fri Aug 25 2000 Giuseppe Ghib<t <ghibo@mandrakesoft.com> 1.0.7-8mdk
- increased trie size for allowing more hyphenation patterns (i18n).

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- Japanese enbaled

* Wed Jul 19 2000 Trond Eivind Glomsrxd <teg@redhat.com>
- fix man pages in man, not man1
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use _infodir

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace *.cnf

* Fri Jun 02 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com> 1.0.7-7mdk
- updated the LaTeX hyperref package to version 6.70f for getting jadetex
  working.
- added support for spanish, portuguese and sweden pattern hyphenation in the
  default LaTeX format files (hope trie values are enough...).

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- patched for NORETURN functions in gcc 2.96, rebuilt against new libstdc++

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- remove explicit xpm-devel prereq (subsumed into XFree86)
- fixes for ia64

* Sat Apr 29 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com> 1.0.7-5mdk
- changed arrays texmf.cnf the array value for jadetex, pdfjadetex, according to  the Christoph, Rahtz, Pepping's "Installing JadeTeX" document.

* Mon Mar 20 2000 Jeff Johnson <jbj@redhat.com>
- Sync with Mandrake (tetex-1.0.7-2mdk).
- update to teTeX-texmf-1.0.2.tar.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 11 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark /usr/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghibr changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark /usr/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
