## -*- coding: utf-8-unix -*-
%bcond_with firstbuild

%if %{?_dist_release} != "vl5"
exit 1
%endif

# From $ apt-cache whatdepends jadetex
# docbook-utils-0.6.14-2vl5
#   Depends: jadetex
Provides:    jadetex
Conflicts:   tetex dvipdfmx xdvik xdvik-motif jvf
Conflicts:   texlive

%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf

Summary: TeX Live: teTeX transitional package
Summary(ja): TeX Live: teTeX から TeX Live への移行用パッケージ
Name: texlive-tetex-trans
Version: 2009
Release: 2%{?_dist_release}
License: distributable
Group: Applications/Publishing
URL: http://www.tug.org/texlive/

BuildArch:	noarch
Buildroot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     munepi


%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a transitional package to bring teTeX environment
TeX Live environment. 
If your system has installed teTeX environment, 
you can install TeX Live environment to execute the following steps: 
  \# apt-get install %{name}
  \# apt-get install task-texlive


%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは teTeX 環境から TeX Live 環境へ移行するための
パッケージです。
teTeX 環境がインストールされていたら、
以下のコマンドを実行することで TeX Live 環境をインストールできます。
  \# apt-get install %{name}
  \# apt-get install task-texlive


%files


%posttrans
_trans_time=$(date +%Y%m%d)
echo "Running transitional process of your TeX system ... "
for dir in %{texmf}-var %{texmf}-config; do
    _trans_dir=${dir}.${_trans_time}.rpmorig
    [ -d ${_trans_dir}.old ] && \
	echo -n "  " && \
	echo "Found ${_trans_dir}.old: " && \
	echo -n "    " && \
	%__rm -rvf ${_trans_dir}.old
    [ -d ${_trans_dir} ] && \
	echo -n "  " && \
	echo "Found ${_trans_dir}: " && \
	echo -n "    " && \
	%__mv -v ${_trans_dir} ${_trans_dir}.old
    [ -d ${dir} ] && \
	echo -n "  " && \
	echo "Found ${dir}: " && \
	echo -n "    " && \
	%__mv -v ${dir} ${_trans_dir}
done
echo "done."

exit 0


%postun
exit 0


%changelog
* Tue Jan 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- fixed %%posttrans

* Sat Jan 08 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial package
