Summary: TeX Live packaging utilities for Vine Linux
Summary(ja): Vine Linux 用 TeX Live パッケージングユーティリティ
Name: texlive-vtlpkg
Version: 2011
Release: 2%{?_dist_release}
License: GPLv2+
Group: Development/Tools
Url: http://trac.vinelinux.org/wiki/TeXEnvironment

# %{name}-%{version}.tar.xz is generated by running "$ make rpm"
Source0: %{name}-%{version}.tar.xz
Source10: texlive-vtlpkg-2011-vine.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: sed
BuildRequires: xz
Requires: bash
Requires: texlive-sources = %{version}

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
texlive-vtlpkg is used to create a package of TeX Live for Vine Linux. 
It provides tlpdb2rpmspec. 

%description -l ja
texlive-vtlpkg は Vine Linux 用 TeX Live パッケージを作るユーティリティです。
tlpdb2rpmspec を提供しています。


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup

%build
%__make

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

## modified texlive.tlpdb
pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
    patch -p0 < %{SOURCE10} || exit 1
popd

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/tlpdb2rpmspec
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- updated tlpdb2rpmspec.sh.in and dot.vtlpkg.conf.in: 
  - set external dependencies (texlive-collection-binextra, 
    texlive-collection-fontutils)

* Sun Oct 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- updated to TeX Live 2011
- merged texlive-vtlpkg-2009-osx.patch from OSXWS
- added %%doc README (%%files)

* Mon Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- applied texlive-vtlpkg-2009-vine.patch
  - remove arch dependent binaries
- updated tlpdb2rpmspec.sh.in: 
  - improved tlpdb4a()
  - make symlinks of core script utils (texlive-collection-binextra, 
    texlive-collection-context, texlive-collection-fontutils, 
    texlive-collection-langgreek, texlive-collection-langindic, 
    texlive-collection-latex, texlive-collection-latexextra, 
    texlive-collection-latexrecommended, texlive-collection-pictures, 
    texlive-collection-pstricks, texlive-collection-science)

* Wed Jan 12 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- updated tlpdb2rpmspec.sh.in: 
  - improved %%post

* Sun Sep 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- updated tlpdb2rpmspec.sh.in: 
  - removed arch dependent binaries (texlive-collection-latexextra)
  - improved updmap process in %%post and %%postun
  - fixed perl path

* Fri Jul 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial build
