%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define texmf		%{_datadir}/texmf
%define build_texmf	%{buildroot}%{texmf}

%define altplatex	platex --kanji=utf8
%define makepdf(%1)	%altplatex %1 && %altplatex %1 && %altplatex %1 && dvipdfmx %1;

Summary: TeX Live macro packages of writing manuscript for the Institute of Electronics, Information and Communication Engineers
Summary(ja): TeX Live で使うマクロパッケージ 電子情報通信学会論文原稿、技術研究報告作成用
Name: texmacro-ieice
Version: 1.6
Release: 1%{?_dist_release}
BuildArch: noarch
Source0: http://www.ieice.org/ftp/tex/ieicej/LaTeX2e/ieicej1.6a.tgz
Source1: http://www.ieice.org/ftp/tex/ieice/LaTeX2e/ieice1.8.tgz
URL: http://www.ieice.org/ftp/
License: distributable
Group: Applications/Publishing
BuildRequires: texlive-common
Requires: texlive-common
Requires(post): texlive
Requires(postun): texlive
Buildroot: %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor: Project Vine

%description
TeX Live macro packages of writing manuscript for the 
Institute of Electronics, Information and Communication Engineers.
Users can use this macro specifying "ieicej" class (in Japanese) 
or "ieice" class (in English).
Including
	ieice.cls  1.8
	ieicej.cls 1.6a

%description -l ja
電子情報通信学会の技術研究報告（研究会発表論文）和・英論文誌 原稿作成用
の TeX Live で用いる追加マクロパッケージです。
和文は ieicej クラスを、英文は ieice クラスを指定します。
以下のマクロが含まれています
	ieice.cls  1.8
	ieicej.cls 1.6a


%prep
%setup -T -c %{name}-%{version}

tar xzf %{SOURCE0}
%__mv ieicej1.6a/UNIXEUC jp
%__rm -rf ieicej1.6a

tar xzf %{SOURCE1}
%__mv ieice1.8/UNIXEUC en
%__rm -rf ieice1.8

%build

(cd jp
    for x in *.cls *.tex readme.1st *.bst; do 
    	nkf -w --overwrite ${x} || exit 1
    done
    for i in *.tex; do
    	ft=$(basename ${i} .tex)
        # if [ "${ft}" != "chklist" -a "${ft}" != "template" ]; then
        #     # %__sed -i -e "s/\documentclass\[\(.*\)\]{ieicej}/\documentclass\[\1,tombo\]{ieicej}/" -e "s/\documentclass{ieicej}/\documentclass\[tombo\]{ieicej}/" ${i} || exit 1
	#     # %__sed -i -e "s/\documentclass\[\(.*\)\]{ieicej}/\documentclass\[\1,mentuke\]{ieicej}/" -e "s/\documentclass{ieicej}/\documentclass\[mentuke\]{ieicej}/" ${i} || exit 1
	# fi
	%makepdf ${ft}
	##!! override to fix paper size/position
    done
)

(cd en
    for x in *.cls *.tex ; do 
    	nkf -w --overwrite ${x} || exit 1
    done
    for i in *.tex; do
    	ft=$(basename ${i} .tex)
	%makepdf ${ft}
    done
)


%install
%__rm -rf %{buildroot}

%__mkdir_p %{build_texmf}/ptex/platex/ieice
%__cp -a */*.cls %{build_texmf}/ptex/platex/ieice

%__mkdir_p %{build_texmf}/bibtex/bst/ieice
%__cp -a */*.bst %{build_texmf}/bibtex/bst/ieice

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc jp/*.{tex,pdf} jp/readme.1st
%doc en/*.{tex,pdf} en/readme-e.1st
%{texmf}/ptex/platex/ieice
%{texmf}/bibtex/bst/ieice


%changelog
* Thu Jun  7 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.6-1
- merged the following changes <BTS:wishes:307>; 
  Thanks to Masaki Kawamura <kawamura@is.sci.yamaguchi-u.ac.jp>
  - update sources: ieicej1.6a.tgz and ieice1.8.tgz
  - convert EUC to UTF8 for ieicej.cls 

* Sun Jul 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-2
- TeX Live 2009

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.5-1
- update sources
- new versioning policy
- spec in utf8

* Tue Apr 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3-0vl1
- update sources
- drop tech_2e_euc.tgz
- drop BuildRequires: nkf
- install ieicetr.bst
- s/Copyright/License/
- use %%{_bindir} instead of %%{_prefix}/bin
- use %%{_datadir} instead of %%{_prefix}/share

* Thu Jan 30 2003 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl2
- fix file access permissions
- use %%{texmf} at %%files instead of /usr/share/texmf

* Sat Jan 18 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.1-0vl1
- update Source2

* Mon Sep 10 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl1
- first release
