Summary: compile stings in tgif as TeX source
Summary(ja): tgif の図中の文字列を TeX で処理する
Name: tgif2tex
Version: 2.13
Release: 2%{?_dist_release}
Source0: http://www.fse.hiroshima-u.ac.jp/~nakano/tgif2tex/%{name}-%{version}.tar.gz
URL: http://www.fse.hiroshima-u.ac.jp/~nakano/tgif2tex/
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Multimedia
Requires: perl tgif >= 4.1 texlive ghostscript ImageMagick netpbm-progs
BuildRequires: perl tgif >= 4.1 texlive ghostscript
BuildArch: noarch
Vendor: Project Vine
Distribution: Vine Linux

%description
tgif2tex compiles strings in tgif as TeX source.


%description -l ja
Tgifを用いて複数ページからなる発表用スライドを作成したり，\LaTeX で書
かれている論文中にTgifで作成した図を張り付けることがよく行われる．とこ
ろが、tgifを用いると、図中の文字列に`$\sqrt{n\log n}$'のような数式がう
まく書けず、かわりに`\verb+√n log n+'などと書くことが多い．これを解決
するのがtgif2texである．tgif2texを用いれば、tgifの図中の文字列として
`\verb+$\sqrt{n\log n}$+'と書いておけば，これを\LaTeX の文字列と処理さ
せることができ、`$\sqrt{n\log n}$'と印刷される．


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
cp Makefile Makefile.orig
sed -e 's|pdvips|dvips|g' \
    -e 's|\./tgif2tex|tgif2tex|g' \
    < Makefile.orig > Makefile
cp tgif2tex tgif2tex.orig
sed -e 's|/pdvips|/dvips|g' \
    -e 's/documentstyle/documentclass/g' \
    -e '/\\thispagestyle/ i\' \
    -e '	print TEX "\\\\usepackage[dvips]{color}\\n";' \
    < tgif2tex.orig > tgif2tex

%build
make TGIF2TEX=./tgif2tex

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp tgif2tex $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/tgif2tex
%doc Makefile how-to-use.ps how-to-use.tex sample1.obj sample2.obj
%doc example.tex example.obj

%changelog
* Sun Aug 08 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.13-2
- TeX Live 2009

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 2.13-1vl5
- applied new versioning policy, spec in utf-8

* Fri Jan 30 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.13-0vl1
- updated to 2.13.
- added \usepackage[dvips]{color}

* Wed Jun 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.12-0vl1
- updated to 2.12.
- removed useless patch

* Wed Jun 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.10-0vl2
- update patch (enable -color option)

* Tue Jun 11 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.10-0vl1
- 1st release
