Summary: Text mode tools for setting system time parameters.
Summary(ja): システムの時間のパラメータを設定するテキストモードのツール
Name: timeconfig
Version: 3.0.3
Release: 4%{?_dist_release}
License: GPL
Group: Applications/System
Source: timeconfig-%{version}.tar.gz
Source1: timeconfig.ja.po
Source2: setclock.8
Source3: timeconfig.8
Patch0: timeconfig.vine.patch
Patch1: timeconfig-3.0.3-mandir.patch
Patch2: timeconfig-3.0.3-checkbox.patch
Requires: initscripts >= 2.81, glibc >= 2.0.5-5
Requires(post): coreutils, gawk
BuildRequires: newt-devel
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux 

%description
The timeconfig package contains two utilities:  timeconfig and setclock.
Timeconfig provides a simple text mode tool for configuring the time
parameters in /etc/sysconfig/clock and /etc/localtime. The setclock tool
sets the hardware clock on the system to the current time stored in the
system clock.

%description -l ja
timeconfig パッケージは二つのユーティリティを含んでいます: timeconfig と
setclock です。timeconfig /etc/sysconfig/clock と /etc/localtime の
時間のパラメータを設定するシンプルなテキストモードのツールを供給します。
setclock ツールはシステムクロックに入っている現在の時間をシステムの
ハードウェアクロックにセットします。

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

#copy ja.po
cp %{SOURCE1} po/ja.po

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
rm -f %{_libdir}/zoneinfo

mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man8/
install -m 644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/ja/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -L /etc/localtime ]; then
    _FNAME=`ls -ld /etc/localtime | awk '{ print $11}' | sed 's/lib/share/'`
    rm /etc/localtime
    cp -f $_FNAME /etc/localtime
    if ! grep -q "^ZONE=" /etc/sysconfig/clock ; then
      echo "ZONE=\"$_FNAME"\" | sed -e "s|[^\"]*/usr/share/zoneinfo/||" >> /etc/sysconfig/clock
    fi
fi

%files
%defattr(-,root,root)
%{_sbindir}/timeconfig
%{_sbindir}/setclock
%{_localedir}/*/LC_MESSAGES/timeconfig.mo
%{_mandir}/man8/*
%{_mandir}/ja/man8/timeconfig.8*
%{_mandir}/ja/man8/setclock.8*

%changelog
* Thu Aug 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-4vl5
- rebuild with newt-0.52

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.0.3-3vl5
- applied new versioning policy, spec in utf-8

* Sat Oct 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.3-2vl6
- add BuildRequires: newt-devel

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-2vl5
- rebuild to add gpg sign
- use License:

* Thu Jun 28 2001 MATUBARA Kazuyuki <matubara@mb.asmnet.ne.jp>
- 3.0.3-2vl4
- change checkbox color
- use better macros

* Sat Jun 09 2001 <sagami@vinelinux.org>
- 3.0.3-2vl3: install manpage into _mandir and mode 644
- fixed typo in ja.po

* Thu Jul 13 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.0.3-2vl2
- modified %files section to handle compressed man pages

* Thu Jun  1 2000 Jun Nishii <jun@vinelinux.org>
- 3.0.3-2vl1

* Sat Sep 9 1999 Norihito Ohmori <ohmori@flatout.org>
- added Japanese descrition and summary
- change default timezone to Japan
- add Japanese Message Catalog
- add Japanese Man Page

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- fix %post

* Thu Jul  8 1999 Bill Nottingham <notting@redhat.com>
- fix %post

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- fix link in %post, too...

* Wed Jun 16 1999 Bill Nottingham <notting@redhat.com>
- copy file to /etc/localtime, don't link it
- add a field to /etc/sysconfig/clock to point to the actual file

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat Linux 6.0

* Tue Mar  9 1999 Jeff Johnson <jbj@redhat.com>
- add in_ID.po

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.40

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po.

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- built for Raw Hide (slang-1.2.2)

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- updated czech translation (and use cs instead of cz)

* Fri Sep 25 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added pt_BR translations
- pt_BR man translations
- man tree, with Makefile
- top level Makefile calls make -C po clean & make -C man install

* Fri Sep 25 1998 Jeff Johnson <jbj@redhat.com>
- add sr.po.

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- added NEWT_FLAG_SCROLL to listbox creation for newt 0.30
- added --test

* Fri Jun 05 1998 Erik Troan <ewt@redhat.com>
- return 0 on success

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- many more translations

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- uses a build root
- added de and en_RN translations

* Mon Mar 23 1998 Erik Troan <ewt@redhat.com>
- shortended window a bit -- white (rather, blue) space is a good thing

* Sun Mar 22 1998 Erik Troan <ewt@redhat.com>
- added --back option

* Sat Oct 11 1997 Erik Troan <ewt@redhat.com>
- use proper flags for hwclock

* Tue Sep 16 1997 Erik Troan <ewt@redhat.com>
- instead of creating /usr/lib/zoneinfo, just update /etc/localtime

* Wed Sep 10 1997 Erik Troan <ewt@redhat.com>
- look for zoneinfo in /usr/share instead of /usr/lib
- provide /usr/lib/zoneinfo symlink
