Name:		tint2
Summary:	Tint2 - A Lightweight Panel and Taskbar
Summary(ja):	Tint2 - 軽量なパネルとタスクバー
Version:	0.11
Release:	4%{?_dist_release}
License: 	GPLv2+
Group:		User Interface/Desktops
URL:		http://code.google.com/p/tint2/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: cairo-devel
BuildRequires: cmake
BuildRequires: libX11-devel
BuildRequires: pango-devel
BuildRequires: libXinerama-devel
BuildRequires: imlib2-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel

Source0:	tint2-%{version}.tar.bz2
Requires: orage

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers.
The goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%description -l ja
Tint2 は openbox3 のために作成されたシンプルなパネルとタスクバーですが、
他のウィンドウマネージャでも動作するはずです。
目標は freedesktop の仕様への準拠と軽量なコードでありながらも
さっぱりとしたでしゃばらない外観を維持することです。


%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr ./
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# delete unnecessary files
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/tint2/*

# Remove tintwizard.py and package it separately
rm -rf %{buildroot}%{_bindir}/tintwizard.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/applications/%{name}conf.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/
%{_mandir}/man1/*


%changelog
* Fri Jun 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.11-4
- added Requires: orage

* Sun Sep 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.11-3
- added BuildRequires: cmake, gtk2-devel (see [BTS:VineLinux:0928] again)

* Thu Aug 26 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.11-2
- removed tintwizard.py (it would like to separately make package)
- dropt Requires: pygtk2

* Sun Jun 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.11-1
- new updtream release
- changed %%build script
- changed %%files section

* Wed Jun 9 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.10-1
- new updtream release
- added Requires: pygtk2 (for tint2 GUI config tool(tintwizard))
- added BuildRequires: libXrender-devel

* Thu Feb 11 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9-2
- added BuildRequires: libXcomposite-devel (see [BTS:VineLinux:0928])
- added BuildRequires: libXdamage-devel
- added Japanese description

* Sat Jan 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9-1
- new upstream release

* Mon Dec 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8-1
- new upstream release

* Thu Oct 15 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.1-1
- initial build for VineSeed

* Thu Jul 30 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.7.1-1mdv2010.0
+ Revision: 404604
- Fix libx11 requirement for 64bit system
- Update to tint2 0.7.1
- It's a release, not an svn checkout
- s/GPL2/GPLv2 (from rpmlint)
- s/libx11-devel/libx11_6-devel (from rpmlint)
- Old patches do not apply anymore, but I'm still keeping them in the repo
  (don't know if they are still necessary)

* Wed Mar 11 2009 Caio Begotti <caio1982@mandriva.org> 0.6.0-svn69.1mdv2009.1
+ Revision: 353812
- even more deps...
- yet another missing dependency fixed
- now it builds fine
- i have forgot to fix the pkgconfig line as well (removing the incomplete/obsolete patch now)
- i have forgot to fix the pkgconfig line as well
- fixing the 'lib' part of my buildrequires according to salem's advice
- a couple of fixes per review, thanks to salem and blino
- fixes the building of the debug package, upstream was using stripping code manually
- removing an wrongly package checkout from upstream svn
- fixing the release tag
- fixing building errors that i should be aware of before even trying it
- import tint2
