%define locale_ja ja
Summary: An X editor for editing runlevel services.
Name: tksysv
Version: 1.1
Release: 4%{?_dist_release}
License: GPL
Group: Applications/System
Source: tksysv-%{version}.tar.gz
# Vine stuff
Source1: tksysv.ja
Source2: about-ja.txt
Source3: sysvinit-ja.txt
Source4: tksysv-ja.txt
Source5: tksysv.8
Source6: tksysv.exe
Requires: tcl tk chkconfig
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
Summary(ja): サービスの runlevel をエディットするための X のエディタ

%description
Tksysv is an X Window System based graphical interface for editing the
services provided by different runlevels.  Tksysv is used to set which
services are stopped and which services are started in the different
runlevels on your system.

Install the tksysv package if you'd like to use a graphical tool for
editing runlevel services.

%description -l ja
tksysv は異なる runlevel によって提供されるサービスをエディットするための
X Window System ベースのグラフィカルインターフェースである。tksysv は
あなたのシステムの異なる runlevel で起動するサービスを起動したり終了したり
するよう set するために使われる。

もし runlevel サービスをエディットするグラフィカルツールが使いたいときは、
tksysv パッケージをインストールしなさい。


%prep
%setup -q
sed -e 's|/usr/man|%{_mandir}|g' Install > Install.new
mv -f Install.new Install
chmod 755 Install


%install
rm -rf $RPM_BUILD_ROOT

PREFIX=$RPM_BUILD_ROOT ./Install

##mv $RPM_BUILD_ROOT/usr/X11R6/bin/tksysv $RPM_BUILD_ROOT/usr/X11R6/bin/tksysv.en
##install -p -m 0755  %SOURCE1 $RPM_BUILD_ROOT/usr/X11R6/bin
##cp -p %SOURCE2 %SOURCE3 %SOURCE4  $RPM_BUILD_ROOT/usr/lib/tksysv
##install -p -m 0755 %SOURCE6 $RPM_BUILD_ROOT/usr/X11R6/bin/tksysv

install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/usr/X11R6/bin/tksysv $RPM_BUILD_ROOT%{_bindir}/tksysv.en
install -p -m 0755  %SOURCE1 $RPM_BUILD_ROOT%{_bindir}
cp -p %SOURCE2 %SOURCE3 %SOURCE4  $RPM_BUILD_ROOT/usr/lib/tksysv
install -p -m 0755 %SOURCE6 $RPM_BUILD_ROOT%{_bindir}/tksysv

mkdir -p $RPM_BUILD_ROOT%{_mandir}/%{locale_ja}/man8
cp -p %SOURCE5 $RPM_BUILD_ROOT%{_mandir}/%{locale_ja}/man8 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING
%{_bindir}/tksysv
%{_bindir}/tksysv.en
%{_bindir}/tksysv.ja
/usr/lib/tksysv
/usr/lib/rhs/control-panel/tksysv.init
/usr/lib/rhs/control-panel/tksysv.gif
/usr/lib/rhs/control-panel/tksysv.xpm
%{_mandir}/man8/tksysv.8*
%{_mandir}/%{locale_ja}/man8/tksysv.8*


%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-4vl5
- applied new versioning policy, spec in utf-8
- s/Copyright/License/
- /usr/X11R6/bin -> %%{_bindir}

* Mon Jun 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.1-3vl2
- /usr/man -> %%{_mandir}

* Wed Jul  5 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- 1.1-2vl1: from Vine 1.0_jp-2 and RHL 1.1-2 in RH 6.2
- fixed: version number and Japanese doc/man in source
- fixed: manpath (for BRP) and Distribution in spec

* Thu Feb 10 2000 Bill Nottingham <notting@redhat.com>
- re-introduce djb's changes (why weren't these in CVS??)

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man page

* Wed Nov 24 1999 Donnie Barnes <djb@redhat.com>
- added two patches from Florent Villard <warly@mandrakesoft.com>
  to fix man page syntax bug and root depends in install scripts
- added defattr(-,root,root) to file list
- updated %clean to be "safer"
- fixed broken version number in title bar and .

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- modiry for Vine Linux

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Nov 1 1999 Norihito Ohmori <ohmori@flatout.org>
- fix help file [Kondara-devel: 00390]
- change file name -j -> -ja.

* Thu Aug 5 1999 Norihito Ohmori <ohmori@flatout.org>
- Japanese SPEC file
- Japanise tksysv
- Japanese man page added.

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- set BOOTUP for new initscripts (no ANSI in capture, please!)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for 6.0 build

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- fixed version number in title bar
