Summary: A utility for removing files based on when they were last accessed.
Summary(ja): 古いものから順にファイルを削除するユーティリティ
Name: tmpwatch
Version: 2.10.1
Release: 1%{?_dist_release}

Group: System Environment/Base
License: GPLv2
URL: https://fedorahosted.org/tmpwatch/

Source0: %{name}-%{version}.tar.bz2
Source1: tmpwatch.daily

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: psmisc

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%description -l ja
tmpwatch ユーティリティは，指定したディレクトリを再帰的に調べ，
一定期間アクセスされていないファイルを削除するプログラムです．
tmpwatch は通常一時保存ファイルを置くディレクトリ (例えば /tmp)
を整理するのに使われます．tmpwatch はシンボリックリンクの削除や
ファイルシステムを跨いだ削除は行いません．削除対象は空のディレクトリと
通常ファイルのみです．


%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} SBINDIR=%{_sbindir} MANDIR=%{_mandir} install

mkdir -p %{buildroot}/etc/cron.daily
cp %{SOURCE1} %{buildroot}/etc/cron.daily/tmpwatch
chmod +x %{buildroot}/etc/cron.daily/tmpwatch

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_sbindir}/tmpwatch
%{_mandir}/man8/tmpwatch.8*
%config(noreplace) /etc/cron.daily/tmpwatch

%changelog
* Sat Mar 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-1
- new upstream release

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.14-1
- new upstream release
- spec in utf-8

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.13-1
- new upstream release
- added %%doc section
- added URL:

* Sat Jul 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.11-1vl1
- updated tmpwatch-2.9.11 based on Fedora
  * Sat Mar 31 2007 Miloslav Trmac <mitr@redhat.com> - 2.9.11-1
  - Fix a misleading message in --test
    Resolves: 234596
  - Compress the tarball using bzip2
  - Move the cron.daily script to a separate source file

* Mon Jun 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.3-1vl1
- updated tmpwatch-2.9.3-1 based on Fedora
  * Sat Apr 16 2005 Miloslav Trmac <mitr@redhat.com> - 2.9.3-1
  - Silently ignore ENOENT if somebody removes files faster than us (#154960)
  - Handle failures to exec fuser
  - Fix check for negative grace periods
  * Wed Dec 22 2004 Miloslav Trmac <mitr@redhat.com> - 2.9.2-1
  - Mention skipping of lost+found in the man page (#143526)
  * Sat Aug 14 2004 Miloslav Trmac <mitr@redhat.com> - 2.9.1-1
  - Add --exclude, use it to preserve X socket directories (#107069)
  - Allow multiple directory arguments with relative paths (#91097)
  - Don't manually strip the binary

* Mon Dec 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.0-2vl1
- updated tmpwatch-2.9.0 based on Fedora
- rebuild with new toolchains
- s/Copyright/License/

* Thu Jan 17 2002 Satoshi MACHINO <machino@vinelinux.org> 2.8.1-1vl1
- updated tmpwatch-2.8.1
    -- cron script fix (#52785) from RHBA-2001-104
    -- changed noreplace of /etc/cron.daily/tmpwatch
- removed Makefile.patch (merged upstream) :)
- fixed %install in spec file

* Wed Apr 25 2001 <sagami@vinelinux.org>
- 2.6.2-2vl2: added ja/cat? definition to cron.daily/tmpwatch script

* Fri Jan 19 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.6.2-2vl1
- based on 2.6.2-2 from Rawhide
- use better macros (Patch100, %%{_sbindir})
- added Japanese summary and description

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- increased interval for removal to 30 days for /var/tmp per FHS (#19951)

* Tue Sep 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- use execle() instead of system() to get the correct return code, fixes from
  Jeremy Katz <katzj@linuxpower.org>

* Thu Sep  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- rework to not have to fork() (#17286)
- set utime() after we're done reading a directory

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- defattr

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- FHS compliance

* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
- don't complain about failure to remove non-empty directories.
- fix man page path

* Wed May 17 2000 Preston Brown <pbrown@redhat.com>
- support /var/cache/man and /var/catman (FHS 2.1 compliance).

* Fri May 05 2000 Preston Brown <pbrown@redhat.com>
- support for CTIME from jik@kamens.brookline.ma.us
- fixes for fuser checks from Ian Burrell <iburrell@digital-integrity.com>.
- remove directories when empty without --all flag, to be consistent w/docs.

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- option to use fuser to see if file in use before removing

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- null terminal opt struct (#7836)
- test flag implies verbose (#2383)

* Wed Jan 12 2000 Paul Gear <paulgear@bigfoot.com>
- HP-UX port (including doco update)
- Tweaked Makefile to allow installation into different base directory
- Got rid of GETOPT_... defines which didn't do anything, so that short
  equivalents for all long options could be defined.
- Fixed bug in message() where 'where' file handle was set but unused
- Changed most fprintf() calls to message()

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- skip lost+found directories
- option to use file's atime instead of mtime (# 4178)

* Mon Jun  7 1999 Jeff Johnson <jbj@redhat.com>
- cleanup more man pages, this time adding in cvs (#224).

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- I am the new maintainer
- fixed cleanup of directories
- added --quiet flag
- freshen manpage
- nice patch from Kevin Vajk <kvajk@ricochet.net> integrated

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- make /etc/cron.daily/tmpwatch executable

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- version 1.5
- fixed flags passing
- cleaned up message()

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added man page to package
- uses a buildroot and %attr
- fixed error message generation for directories
- fixed flag propagation

* Mon Mar 24 1997 Erik Troan <ewt@redhat.com>
- Don't follow symlinks which are specified on the command line
- Added a man page

* Sun Mar 09 1997 Erik Troan <ewt@redhat.com>
- Rebuilt to get right permissions on the Alpha (though I have no idea
  how they ended up wrong).
