Summary: A numeric library for scientific computing in C++ 
Name: tnt
Version: 0.126
Release: 0vl1
URL: http://math.nist.gov/tnt/
Source: http://math.nist.gov/tnt/src/tnt_126.zip
License: public domain
Group: Development/Libraries
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The Template Numerical Toolkit is a collection of mathematical
libraries for numeric computation in C++. Its fundamental classes
include vectors, matrices, and multidimensional arrays. The basic
goal is to allow one to express mathematical computation at a 
higher level of abstraction, while still retaining some control over
performance and optimization issues. Doing so requires a careful
analysis to balance these tradeoffs. 

The toolkit provides an integrated collection of generic matrix/vector
classes based on components of the Standard Template Library (STL) and
ANSI C++, together with specialization of generic algorithms for maximal 
efficiency.  

%prep
%setup -q -c 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}

install -m644 *.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc
%{_includedir}/*

%changelog 
* Mon Aug  6 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.126-0vl1
- new upstream release
- s/Copyright/License/
- changed Group to Development/Libraries

* Sat Feb 24 2001 Jun Nishii <jun@vinelinux.org>
- 0.94-0vl1

