Summary:	A modern implementation of a DBM
Summary(ja):Tokeyo Cabinet は DBM の現代的な壱実装です
Name:		tokyocabinet
Version:	1.4.47
Release:	1%{?_dist_release}
License:	LGPL v2.1
Group:		Development/Libraries
URL:		http://1978th.net/tokyocabinet/
Source:		http://1978th.net/tokyocabinet/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig autoconf
BuildRequires:	zlib-devel bzip2-devel
Distribution:	Vine Linux
Vendor:	Project Vine
Packager: owa

%description
Tokyo Cabinet is a library of routines for managing a database.  The database is a
simple data file containing records,   each is a pair of a key and a value.  Every
key and value is serial bytes with variable length. Both binary data and character
string can be used as a key and a value.   There is neither concept of data tables
nor data types. Records are organized in hash table, B+ tree, or fixed-length array.

%description -l ja
Tokyo Cabinet はデータベースを扱うルーチン群のライブラリです。データベースといっても単
純なもので、キーと値のペアからなるレコード群を格納したデータファイルです。キーと値は任
意の長さを持つ一連のバイト列であり、文字列でもバイナリでも扱うことができます。テーブル
やデータ型の概念はありません。レコードはハッシュ表かB+木か固定長配列で編成されます。


%package devel
Summary:	The libraries and header files needed for Tokyo Cabinet development.
Summary(ja):Tokyo Cabinet の利用に必要なライブラリやヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the libraries and header files needed for
developing with Tokyo Cabinet.

%description -l ja devel
このパッケージは Tokyo Cabinet を利用した開発に必要なライブラリやヘッダファイル
を含んでいます。


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}
										
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove unuse files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib%{name}.a

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING ChangeLog README THANKS
%{_bindir}/tc*
%{_libexecdir}/tcawmgr.cgi
%{_libdir}/libtokyocabinet.so.*
%{_mandir}/man1/tc*.gz

%files devel
%defattr(-, root, root, -)
%doc doc/*
%{_includedir}/tc*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/t*.gz


%changelog
* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 1.4.47-1
- updated tokyocabinet to 1.4.47

* Sun Oct 25 2009 Shu KONNO <owa@bg.wakwak.com> 1.4.35-1
- initial build for vine

