%define src_ver 3_40

Summary: Tools for plotting and analyzing data
Name: topaz
Version: 3.40
Release: 1%{?_dist_release}
Group: Applications/Engineering
Source: %{name}-%{src_ver}-src.tar.gz
License: GPL
Requires: readline, ncurses
BuildPreReq: readline-devel, ncurses-devel
URL: http://hp.vector.co.jp/authors/VA007663/topaz/index.html
BuildRoot: %{_tmppath}/%{name}-root

%description
Topaz creates 2-D graph from text number data.

%description -l ja
Topaz はテキスト形式の数値データから科学用2次元グラフを生成するシステムです。
測定や計算で得られた数値データを即座にグラフ化するだけでなく、研究者が論文、
学会発表等に用いるための高品質なグラフ作成をサポートします。
また、ルーチンワーク的処理には、Topaz スクリプトによる自動化も可能です。

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
for I in d g p; do
 sed -e 's|^#! /usr/local/bin/topaz|#! %{_bindir}/topaz|' _topaz/$I > _topaz/$I.out
 mv _topaz/$I.out _topaz/$I
done
sed -e 's|/usr/local/lib|%{_libdir}|g' topaz.sh > topaz.sh.out
mv topaz.sh.out topaz.sh

make -f Makefile.lnx -e INSTALLDIR=%{_libdir}/topaz \
	VIEWLIB="-lm -L/usr/X11R6/%{_lib} -lX11"
  
%install
install -d $RPM_BUILD_ROOT%{_libdir}/topaz
make -f Makefile.lnx -e \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/topaz \
	install

install -d $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_libdir}/topaz/topaz.sh $RPM_BUILD_ROOT%{_bindir}/topaz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README.* LICENSE INSTALL.* 
%{_bindir}/topaz
%{_libdir}/topaz

%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 3.40-1vl5
- applied new versioning policy, spec in utf-8

* Wed Jan 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.40-0vl2
- added option VIEWLIB to make

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.40-0vl1
- updated to 3.40
- rebuild with new toolchains

* Mon May 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.38-0vl1
- updated to 3.38
- rebuild with new toolchains
- added Japanese description

* Sun Dec 02 2001 Yoichi Imai <yoichi@silver-forest.com>
- updated to 3.31

* Tue Jun 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- create rpm
