# build browser plugins
%define build_plugin	%{!?_without_mozilla:1}%{?_without_mozilla:0}

# define versions
%define _glib_ver		2.32.0
%define _gtk_ver		3.4.0
%define _gnomeicon_ver		3.4.0
%define _gnome_doc_utils_ver	0.20.0
%define _dbus_ver		1.4.0
%define _gst_ver		0.10.30
%define _gstpb_ver		0.10.30
%define _gstpg_ver		0.10.24
%define _xulrunner_ver		1.9
%define _nautilus_ver		3.4.0
%define _shared_mime_info_ver	0.17
%define _unique_ver		1.0
%define _totem_pl_parser_ver	2.32.0

%define nautilus_extdir %{_libdir}/nautilus/extensions-3.0
%define mozplug_dir %{_libdir}/mozilla/plugins

Summary:	Movie player for GNOME 3
Summary(ja):	GNOME3 用動画プレイヤー
Name:		totem
Version:	3.4.3
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Multimedia
URL:		http://www.gnome.org/projects/totem/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem/3.4/totem-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

BuildRequires:	gtk3-devel >= %{_gtk_ver}, glib2-devel >= %{_glib_ver}
BuildRequires:	gnome-icon-theme >= %{_gnomeicon_ver}
BuildRequires:	gnome-doc-utils >= %{_gnome_doc_utils_ver}
BuildRequires:	dbus-devel >= %{_dbus_ver}
BuildRequires:	nautilus-devel >= %{_nautilus_ver}
BuildRequires:	gettext, scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	iso-codes
BuildRequires:	totem-pl-parser-devel >= %{_totem_pl_parser_ver}
BuildRequires:  bluez-libs-devel >= 4.15
BuildRequires:  lirc
BuildRequires:  unique-devel >= %{_unique_ver}
BuildRequires:	python-devel
BuildRequires:	pylint
BuildRequires:	pygobject3-devel
BuildRequires:  libpeas-devel
BuildRequires:  libXtst-devel

BuildRequires:	gstreamer-devel >= %{_gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{_gstpb_ver}
BuildRequires:	gstreamer-plugins-good >= %{_gstpg_ver}

BuildRequires:	clutter-gtk-devel
BuildRequires:	clutter-gst-devel
BuildRequires:	libmx-devel

%if %{build_plugin}
BuildRequires:	xulrunner-devel >= %{_xulrunner_ver}
BuildRequires:	nautilus-devel >= %{_nautilus_ver}
BuildRequires:	shared-mime-info >= %{_shared_mime_info_ver}
%endif

Requires:	gstreamer >= %{_gst_ver}
Requires:	gstreamer-plugins-base >= %{_gstpb_ver}
Requires:	gstreamer-plugins-good >= %{_gstpg_ver}
Requires:	iso-codes

Obsoletes:	nautilus-media
Obsoletes:	%{name}-gstreamer < 2.30.1-2
Obsoletes:	%{name}-xine < 2.30.1-2
Obsoletes:	%{name}-common < 2.30.1-3

Provides:	nautilus-media
Provides:	%{name}-common = %{version}-%{release}

Requires(post):     ldconfig, scrollkeeper, desktop-file-utils, GConf2
Requires(postun):   ldconfig, scrollkeeper, desktop-file-utils
Requires(preun):    GConf2

%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%if %{build_plugin}
%package mozilla
Summary:	Totem movie plugin for Mozilla
Summary(ja):	Mozilla 用 Totem 動画プラグイン
Group:		Applications/Internet
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-mozilla-common
Obsoletes:	%{name}-mozilla-gstreamer
Obsoletes:	%{name}-mozilla-xine

%description mozilla
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

This package contains a Totem video plugin for Mozilla. It allows Totem
movie player to be embedded into a web browser.

%endif

%package devel
Summary:	Plugin writer's documentation for totem
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains API documentation for
developing developing plugins for %{name}.

%prep
%setup -q

%build
DBUS_FATAL_WARNINGS=0 /usr/bin/gst-inspect-0.10 --print-all > /dev/null
export MOZILLA_PLUGINDIR=%{mozplug_dir}

%configure \
	--disable-scrollkeeper \
	--enable-python \
	--disable-vala \
	--enable-nautilus \
	--enable-gmp-plugin \
	--enable-narrowspace-plugin \
	--enable-mully-plugin \
	--disable-vegas-plugin \
%if %{build_plugin}
	--enable-browser-plugins
%else
	--disable-browser-plugins 
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install DESTDIR=$RPM_BUILD_ROOT 

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/totem/plugins/*/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/*.{a,la}
%__rm -f %{buildroot}%{_datadir}/pixmaps/vanity.png
%__rm -f %{buildroot}%{nautilus_extdir}/*.{a,la}
%__rm -f %{buildroot}%{mozplug_dir}/*.{a,la}
%__rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
%__rm -rf %{buildroot}%{_libdir}/totem/plugins/bemused/

# remove unused file
%__rm -f %{buildroot}%{_datadir}/GConf/gsettings/pythonconsole.convert
 
%find_lang %{name} --with-gnome

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done


%clean
%__rm -rf %{buildroot}

%post
%{_bindir}/scrollkeeper-update -q
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
%{_bindir}/scrollkeeper-update -q
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/totem
%{_bindir}/totem-audio-preview
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/opensubtitles.convert
#%{_datadir}/GConf/gsettings/pythonconsole.convert
%{_datadir}/GConf/gsettings/totem.convert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/*/*/*/*
%{_datadir}/thumbnailers/totem.thumbnailer
%{_datadir}/%{name}
%{_datadir}/gtk-doc/html/totem
%{_libdir}/libtotem.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/brasero-disc-recorder
%{_libdir}/totem/plugins/chapters
%{_libdir}/totem/plugins/dbus
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/iplayer
%{_libdir}/totem/plugins/lirc
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/opensubtitles
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/pythonconsole
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/screenshot
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/im-status/libtotem-im-status.so
%{_libdir}/totem/plugins/im-status/totem-im-status.plugin
%{_libdir}/totem/plugins/save-file/libsave-file.so
%{_libdir}/totem/plugins/save-file/save-file.plugin
%if %{build_plugin}
%{_libdir}/nautilus/extensions-3.0/*.so*
%endif
%{_libexecdir}/%{name}/totem-bugreport.py
%{_mandir}/man1/*

%if %{build_plugin}
%files mozilla
%defattr(-,root,root,-)
%{mozplug_dir}/*
%{_libexecdir}/totem-plugin-viewer
%endif

%files devel
%defattr(-, root, root,-)
%{_includedir}/totem
%{_libdir}/libtotem.so
%{_libdir}/pkgconfig/totem.pc
%{_datadir}/gir-1.0/Totem-1.0.gir
%{_datadir}/gtk-doc/html/totem


%changelog
* Wed May 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-2
- new upstream release

* Wed May 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-2
- add configure option (--disable-vegas-plugin)

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- add BuildRequires: pylint
- remove BuildRequires: libgdata-devel

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release
- change BuildRequires: pygobject3-devel instead of pygobject-devel

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- add BuildRequires: libpeas-devel, libXtst-devel, pygobject-devel, clutter-gtk-devel,
                     clutter-gst-devel, libmx-devel
- change configure option (--disable-vala)

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- fix %files

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Mon May 10 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.1-3
- clean up spec file
- remove totem-common and merged to totem main package.
  - add Obsoletes: totem-common
- remove unneeded BR: and R:
  - gnome-vfs2, libgnomeui, libgnome, gnome-desktop-libs
  - libmusicbrainz, alternatives
- remove explicit dependency
  - gtk2, glib2, dbus
- add R: pygtk2, pyxdg, python-Coherence for python plugins
- add R: gstreamer-plugins-good

* Sun May 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with libgdata (add youtube plugin)
- add BuildRequires: libgdata-devel, python-devel, pygtk2-devel
- add Obsolete: totem-gstreamer, totem-xine)

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release
- chagnge _gst_ver from 0.10.19 to 0.10.29

* Wed Apr 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- drop totem-tracker package
- add BuildRequires: unique-devel
- remove BuildRequires: hal-devel
- remove unrecognized options (--disable-lirc, --disable-vanity, --disable-nvtv, --enable-xine, --disable-xine, --enable-gstreamer, --disable-gstreamer, --enable-mozilla, --with-mozilla, --disable-mozilla, --enable-basic-plugin, --enable-complex-plugin)

* Mon Jul 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-2
- remove unneeded autoreconf
- add BR: lirc

* Thu Jul 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-2
- remove bemused plugin

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Thu Apr 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.1-2
- added tracker video search sub-package

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Fri Mar 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.3-2
- remove libxine dependency from totem-common
- build xine backend with minimum dependency

* Thu Oct 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.2-3
- add BR: bluez-libs-devel >= 4.15
- fix typo in %%postun xine

* Thu Oct 23 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.24.2-2
- rebuild with bluez-libs-devel-4.15

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.2-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon Jul 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.2-1
- new upstream release
- add patch1 to build with xulrunner-1.9

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Mon Apr  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- disabled devel package (replaced by totem-pl-parser-devel)

* Sat Aug 11 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 2.18.2-0vl1
- new upstream release
- update version macros
- enable browser plugins on x86_64

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sun Mar 25 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.6-0vl1
- upstream release
- drop obsolete ja.po.patch (patch0)
- revert change of 1.4.4-0vl2

* Wed Jan 31 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.5-0vl1
- upstream release
- enable browser plugins (exclude x86_64 arch)

* Fri Dec 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.4-0vl1
- upstream release

* Mon Nov 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl3
- update configure options
- add -mozilla-{gstreamer,xine,common} sub-packages (disabled by default)

* Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl2
- fix mistranslation (patch0)
- add icon symlink
- add BuildRequires: gstreamer-plugins-good

* Fri Nov 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.16.3-0vl1
- upstream release
- update %%_glib_ver, %%_xine_ver
- add BuildRequires: hal
- update %%configure options
- update %%files

* Wed Sep 13 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.5-0vl1
- upstream release

* Fri Sep 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.4-0vl2
- fix macro name (%%gnome_desktop_ver -> %%gnomedesktop_ver)

* Mon Aug 07 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.4-0vl1
- upstream release
- drop obsolete patch0

* Sun Jul 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.3-0vl1
- upstream release
- add patch0 to build with intltool-0.35

* Sun Jun 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.2-0vl1
- upstream release

* Thu May 18 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.1-0vl1
- upstream release
- update alternatives entry

* Tue Mar 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.0-0vl1
- upstream release
- drop fix-sort-function.patch (was merged to upstream, #331426)

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.91-0vl2
- rebuild with gnome-2.14rc

* Tue Feb 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.91-0vl1
- upstream release
- add macros
  - _gtk_ver, _glib_ver
  - _gnomevfs_ver, _gnomeui_ver, _gnomeicon_ver, _gnome_desktop_ver
  - _dbus_ver
  - _gst_ver, gstpb_ver, _xine_ver
- add fix-sort-function.patch to build with glib < 2.9.1

* Sat Jan 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl1
- upstream release
- add BuildRequires:
  - gtk2-devel >= 2.5.6, glib2-devel >= 2.6.3
  - gnome-vfs2-devel >= 2.9.92
  - dbus-devel >= 0.35
- use gstreamer-0.10 as backend for totem-gstreamer

* Sat Jan 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl2
- use gstreamer08 instead of gstreamer

* Sat Dec 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl1
- upstream release

* Sun Oct 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl2
- fix missing links
  - update file list
  - update update-alternatives scripts
- fix totem-gstreamer's %%postun script

* Wed Sep 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl1
- upstream release
- add BuildRequires: iso-codes, libmusicbrainz-devel
- add Requires: iso-codes, libmusicbrains to -common package
- remove BuildRequires: nautilus-cd-burner
- remove Requires: nautilus-cd-burner from -common package

* Wed Aug 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.4-0vl2
- totem-gstreamer obsoletes nautilus-media

* Thu Jun 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.4-0vl1
- upstream release
- add Requires(post,postun): alternatives for gstreamer,xine
- add Requires(postun,triggers): alternatives for common

* Mon May 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.3-0vl1
- upstream release

* Sun May 08 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl2
- build xine backend
  - move common files to common package
  - move GStreamer related files to gstreamer package
  - install xine related files to xine package
- fix scripts

* Sun May 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.2-0vl1
- upstream release
- update URL
- move *.{a,la} to devel package

* Mon Apr 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-1vl1
- fix %%{post,preun} script (video-thumbnail.schemas)
- sync with Fedora Core's 1.0.1-1

  * Tue Feb 29 2005 John (J5) Palmieri <johnp@redhat.com> - 1.0.1-1
  - Update to upstream version 1.0.1
  - Break out devel package

* Thu Mar 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.101-4uvl2
- add %%{post,pre}un script

* Wed Mar 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.101-4uvl1
- initial build for Vine Linux

* Mon Feb 21 2005 Bill Nottingham <notting@redhat.com> - 0.101-4
- fix %%post

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-3
- Obsolete nautilus-media
- Install property page and thumbnailer

* Wed Feb  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.101-2
- Update to 0.101
 
* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-2
- Grab patch totem-0.100-desktopfile.patch from CVS to fix
  missing menu entry (144088)
- Remove workaround for desktop file being misinstalled, fixed
  by above patch

* Mon Jan 03 2005 Colin Walters <walters@redhat.com> - 0.100-1
- New upstream version 0.100

* Sun Dec  5 2004 Bill Nottingham <notting@redhat.com> - 0.99.22-1
- update to 0.99.22

* Thu Oct 28 2004 Colin Walters <walters@redhat.com> - 0.99.19-2
- Add patch to remove removed items from package from help

* Thu Oct 14 2004 Colin Walters <walters@redhat.com> - 0.99.19-1
- New upstream 0.99.19
  - Fixes crasher with CD playback (see NEWS)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-2
- Call update-desktop-database in post

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 0.99.18-1
- update to 0.99.18

* Wed Oct  6 2004 Alexander Larsson <alexl@redhat.com> - 
- Initial version, based on specfile by Matthias Saou <http://freshrpms.net/>

