%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: A cross-platform tool for optimizing PNG and JPG files
Summary(ja): クロスプラットホームの PNG と JPG ファイルの最適化のためのツール
Name: trimage
Version: 1.0.5
Release: 3%{?_dist_release}
License: MIT
Group: Applications/Graphics
URL: http://trimage.org
Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-setuptools

Requires: PyQt4 >= 4.4
Requires: advancecomp >= 1.15
Requires: jpegoptim >= 1.2.2
Requires: optipng >= 0.6.2.1
Requires: pngcrush >= 1.6.7
Requires: python >= 2.6

%description
Trimage is a cross-platform GUI and command-line interface to optimize image
files via optipng, advpng, pngcrush and jpegoptim, depending on the filetype
(currently, PNG and JPG files are supported). All image files are losslessly
compressed on the highest available compression levels. Trimage gives you
various input functions to fit your own workflow: A regular file dialog,
dragging and dropping and various command line options.


%prep
%setup -qn %{name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/
%{python_sitelib}/*

%changelog
* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-3
- rebuild with python-2.7.2

* Thu Jul 21 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.5-2
- changed BuildRequires: python to python-devel
- added BuildRequires: python-setuptools

* Tue Dec 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.0.5-1
- initial build for VineSeed
