%define pkgversion %(echo %version | %__sed s/\\\\\./_/)

Summary: Cross-platform command line tools for working with MPEG data (TS, PS and ES)
Name: tstools
Version: 1.11
Release: 1%{?_dist_release}
License: MPLv1.1
Group: Applications/Multimedia
URL: http://code.google.com/p/tstools/
Source0: http://tstools.googlecode.com/files/%{name}-%{pkgversion}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Distribution:	Vine
Vendor:		Project Vine
Packager:	munepi

%description
tstools is a set of cross-platform command line tools for working with MPEG 
data.

The emphasis is on relatively simple tools which concentrate on MPEG 
(H.264 and H.262) data packaged according to H.222 (i.e., TS or PS), 
with a particular interest in checking for conformance.

Transport Stream (TS) is typically used for distribution of cable and 
satellite data. Program Stream (PS) is typically used to store data on DVDs.

The tools are focussed on:
* Quick reporting of useful data (tsinfo, stream_type)
* Giving a quick overview of the entities in the stream (esdots, psdots)
* Reporting on TS packets (tsreport) or ES units/frames/fields (esreport)
* Simple manipulation of stream data (es2ts, esfilter, esreverse, esmerge, 
  ts2es)
* Streaming of data, possibly with introduced errors (tsplay)

%prep
%setup -q

%build
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p ${RPM_BUILD_ROOT}/%{_bindir}
%__install -m0755 bin/* ${RPM_BUILD_ROOT}/%{_bindir}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/*
%{_bindir}/es2ts
%{_bindir}/esdots
%{_bindir}/esfilter
%{_bindir}/esmerge
%{_bindir}/esreport
%{_bindir}/esreverse
%{_bindir}/m2ts2ts
%{_bindir}/pcapreport
%{_bindir}/ps2ts
%{_bindir}/psdots
%{_bindir}/psreport
%{_bindir}/stream_type
%{_bindir}/ts2es
%{_bindir}/ts_packet_insert
%{_bindir}/tsinfo
%{_bindir}/tsplay
%{_bindir}/tsreport
%{_bindir}/tsserve

%changelog
* Sun Dec 19 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.11-1
- Initial build.
