%define ver 0.69
%define rel 3

Summary: GTK+ application for Twitter.com
Summary(ja): Twitter.comのためのGTK+アプリケーション
Name: twitux
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
Source1: twitux-ja.po
Patch0: twitux-0.69-help.patch
Patch1: twitux-0.69-r372.patch
License: GPLv2+
Group: Applications/Internet
URL: https://sourceforge.net/projects/twitux

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

BuildRequires: gtk2-devel >= 2.14.0, glib2-devel >= 2.15.5
BuildRequires: libsexy-devel, libsoup-devel, libnotify-devel
BuildRequires: libcanberra-devel >= 0.4
BuildRequires: dbus-devel >= 0.61, dbus-glib-devel
BuildRequires(install,check): desktop-file-utils
PreReq: desktop-file-utils, rarian-compat


%description
Twitux it's a free and open source GTK+ application for Twitter.com. 
you can: Send status, View friend status and see what they are doing , 
Send direct messages to your Twitter friends, GUI notificactions 
when a friend update their status.. and more :)

%description -l ja
Twitux フリーで、オープンソースで開発されている GTK+ ベースの
Twitter クライアントです。
このクライアントを使うと、ステータスの送信から、友達のステータス
や彼らが何をしているのかの確認、友達宛のダイレクトメッセージの送信、
友達がステータスを更新した時の GUI による通知等々が利用できます。 

%prep
%setup -q
%patch0 -p 1
%{__cp} -f %{SOURCE1} po/ja.po
%{__rm} -f po/ja.gmo
%patch1 -p 1

%build
%configure --disable-schemas-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{makeinstall}
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/icon-theme.cache
%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
make check
%{_bindir}/desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/twitux.desktop


%post
%{_bindir}/update-desktop-database %{_datadir}/applications
%{_bindir}/scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="twitux.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/$S > /dev/null
done


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="twitux.schemas"
  for S in $SCHEMAS; do
    %{_bindir}/gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/$S > /dev/null
  done
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="twitux.schemas"
  for S in $SCHEMAS; do
    %{_bindir}/gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/$S > /dev/null
  done
fi

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:
%{_bindir}/scrollkeeper-update > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc
%{_bindir}/twitux
%{_sysconfdir}/gconf/schemas/twitux.schemas
%{_datadir}/applications/twitux.desktop
%{_datadir}/gnome/help/twitux
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/twitux
%{_datadir}/omf/twitux

%changelog
* Sun Aug 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.69-3
- add japanese description

* Thu Apr 16 2009 IWAI, Masaharu <iwai@alib.jp> 0.69-2
- fix avatar size and memory leak (Patch2): patch from upstream SVN)

* Sun Mar 29 2009 IWAI, Masaharu <iwai@alib.jp> 0.69-1
- initial release

