Summary: X.Org X11 twm window manager
Summary(ja): X.Org X11 twm ウィンドウマネージャ
Name: twm
Version: 1.0.7
Release: 2%{?_dist_release}
License: MIT/X11
Group: User Interface/X
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: ftp://ftp.x.org/pub/individual/app/%{name}-%{version}.tar.bz2
Source1: twm.desktop

BuildRequires: pkgconfig
# checking TWM_LIBS... -lXmu -lXt -lSM -lICE -lXext -lX11 -ldl
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libXmu-devel
BuildRequires: libSM-devel
BuildRequires: libICE-devel
BuildRequires: libXext-devel
BuildRequires: libXau-devel
BuildRequires: bison
BuildRequires: flex

Obsoletes: XOrg-twm

Vendor: Project Vine
Distribution: Vine Linux

%description
X.Org X11 twm window manager

%prep
%setup -q -n %{name}-%{version}

%build
# FIXME: Work around pointer aliasing warnings from compiler for now
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Upstream sources do not create the system wide twm config dir, nor
# install the default config file currently.  We'll work around it here for now.
{
   echo "FIXME: Upstream doesn't install systemwide config by default"
   mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/twm
   install -m 0644 src/system.twmrc $RPM_BUILD_ROOT%{_sysconfdir}/X11/twm/
   rm $RPM_BUILD_ROOT%{_datadir}/X11/twm/system.twmrc
}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/xsessions
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/twm
%{_datadir}/xsessions/twm.desktop
#%dir %{_mandir}/man1x
%{_mandir}/man1/twm.1*
%dir %{_sysconfdir}/X11/twm
%config %{_sysconfdir}/X11/twm/system.twmrc

%changelog
* Sat Jan 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-2
- add Source1: twm.desktop

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.7-1
- new upstream release

* Sat Jan 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream release

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.5-1
- new upstream release
- add BuildRequires: bison, flex

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1..0.4-1
- new upstream release

* Mon May 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-1
- initial build for Vine Linux

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:1.0.3-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Dave Airlie <airlied@redhat.com> - 1.0.3-1
- Upgrade to 1.0.3 - fix URI for source
- no sure about the system.twmrc, rm the spare copy for now

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1:1.0.1-4
- Rebuild for build id

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 1:1.0.1-4
- Don't install INSTALL

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:1.0.1-3.1
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1:1.0.1-3
- Bump and rebuild with minor specfile cleanups.
- Add documentation to doc list, even though half of it is 0 bytes. Ah well.

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1:1.0.1-2
- Added "BuildRequires: pkgconfig" for (#194186)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1:1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1:1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1:1.0.1-1
- Updated to twm 1.0.1 from X11R7.0

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1:1.0.0-1
- Updated to twm 1.0.0 from X11R7 RC4.
- Change manpage dir from man1x to man1 to match RC4 default.

* Tue Nov 15 2005 Mike A. Harris <mharris@redhat.com> 1:0.99.1-4
- Added "BuildRequires: libXau-devel", as twm fails without it, but does not
  check for it with ./configure.  Bug (fdo#5065)

* Wed Nov 02 2005 Mike A. Harris <mharris@redhat.com> 1:0.99.1-3
- Actually spell RPM_OPT_FLAGS correctly this time.

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 1:0.99.1-2
- Build with -fno-strict-aliasing to work around possible pointer aliasing
  issues

* Mon Oct 31 2005 Mike A. Harris <mharris@redhat.com> 1:0.99.1-1
- Updated to twm 0.99.1 from X11R7 RC1.
- Added Epoch 1 to package, to be able to change the version number from the
  X11R7 release number to the actual twm version.
- Change manpage location to 'man1x' in file manifest

* Wed Oct 05 2005 Mike A. Harris <mharris@redhat.com> 6.99.99.0-2
- Update BuildRequires to match new library naming scheme
- Use Fedora Extras style BuildRoot declaration

* Wed Aug 24 2005 Mike A. Harris <mharris@redhat.com> 6.99.99.0-1
- Initial build.
