Summary:          Image and video capture application using unicap toolkit
Summary(ja):      unicap ツールキットを使用したイメージ/ビデオキャプチャアプリケーション
Name:             ucview
Version:          0.21
Release:          1%{?_dist_release}
License:          GPLv2+
Group:            Applications/Multimedia
URL:              http://www.unicap-imaging.org/
Source0:          http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Source1:          %{name}.desktop
BuildRequires:    intltool, /usr/bin/perl, perl(XML::Parser), gettext
BuildRequires:    unicap-devel >= 0.2.2, gtk2-devel >= 2.8.0, libglade2-devel
BuildRequires:    glib2-devel, GConf2-devel, libXv-devel, desktop-file-utils
BuildRequires:    libtheora-devel, libvorbis-devel, dbus-glib-devel >= 0.73
Requires:         hicolor-icon-theme
Requires(pre):    GConf2
Requires(post):   GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
UCView is a video image capture application using the unicap toolkit.
It provides a simple way to parametrise the video device, can capture
still images from the video stream or record the stream as mpeg file.
By using unicap, it can access many different video capture devices
like webcams, video grabber boards, IEEE-1394 (FireWire) cameras and
others.

%prep
%setup -q

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Install a working ucview.desktop file
desktop-file-install --vendor "" --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

# Don't install header files for ucview
rm -rf $RPM_BUILD_ROOT%{_includedir}

rm -rf $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.{a,la}


%find_lang %{name}

%pre
if [ $1 -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :
fi

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ $1 -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null 2>&1 || :
fi

%postun
scrollkeeper-update -q || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/libhistogram.so
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Sun Jul 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.21-1
- initial build for Vine Linux

* Mon May 19 2008 Robert Scheck <robert@fedoraproject.org> 0.20.1-1
- Upgrade to 0.20.1

* Sun May 18 2008 Robert Scheck <robert@fedoraproject.org> 0.17-1
- Upgrade to 0.17
- Initial spec file for Fedora and Red Hat Enterprise Linux
