Summary: An uncompressor for .arj format archive files.
Summary(ja): .arj フォーマットのアーカイブファイルの展開プログラム
Name: unarj
Version: 2.65
Release: 2%{?_dist_release}
Group: Applications/Archiving
License: distributable
Source: ftp://metalab.unc.edu/pub/Linux/utils/compress/unarj-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The UNARJ program is used to uncompress .arj format archives.  The
.arj format archive was mostly used on DOS machines.

Install the unarj package if you need to uncompress .arj format
archives.

%description -l ja
unarj プログラムは .arj フォーマットのアーカイブ展開に使われます．
.arj フォーマットアーカイブは主に DOS 機で使われるものです．

.arj フォーマットのアーカイブを展開する必要がある場合は
unarj パッケージをインストールして下さい．


%prep
%setup -q -n unarj-%{version}

%build
make clean
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 755 unarj $RPM_BUILD_ROOT%{_bindir}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/unarj


%changelog
* Fri Jun 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.65-2
- rebuilt with current environment

* Sun Jun 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.65-1
- new upstream release
- spec in UTF-8

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.63a-3
- applied new versioning policy
- added some files to %%doc

* Sat Jan 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.63a-2vl3
- fixed spec file encoding
- s/Copyright/License/

* Sun Dec  1 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 2.63a-2vl2
- fixed changelog

* Sun Dec  1 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 2.63a-2vl1
- based on 2.63a-2 from Rawhide

 - Tue Nov 13 2002 Lon Hohberger <lhh@redhat.com>
 - Version 2.63a ships without docs.

 - Fri Jun 21 2002 Tim Powers <timp@redhat.com>
 - automated rebuild

 - Thu May 23 2002 Tim Powers <timp@redhat.com>
 - automated rebuild

 - Wed Feb 27 2002 Trond Eivind Glomsrøä <teg@redhat.com> 2.43-10
 - Rebuild

 - Wed Jan 09 2002 Tim Powers <timp@redhat.com>
 - automated rebuild

 - Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
 - Bump release + rebuild.

* Tue Dec 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.43-6vl1
- based on 2.43-6 from Rawhide
- added Japanese summary and description
- use better macros

* Tue Aug 8  2000 Philipp Knirsch <pknirsch@redhat.com>
- Bugfix for missing subdirectory creation during extract (#13297)
- Compile warnings fixed

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Wow. We've been shipping i386 binaries on alpha for a while...

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 2.43

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
