Summary:	Library to access different kinds of (video) capture devices
Summary(ja):    さまざまなビデオキャプチャデバイスにアクセスするためのライブラリ
Name:		unicap
Version:	0.2.24
Release:        2%{?_dist_release}
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://www.unicap-imaging.org/
Source:		http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch100:	unicap-0.2.24_fix-headers.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	intltool, /usr/bin/perl, perl(XML::Parser), gettext
BuildRequires:	glib2-devel, gtk2-devel, pango-devel, libtheora-devel, libXv-devel
BuildRequires:	libpng-devel, libX11-devel, libICE-devel, libraw1394-devel >= 1.1.0
BuildRequires:	libogg-devel, libvorbis-devel, libXext-devel, alsa-lib-devel


%description
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The included ucil library provides easy to use functions to render text
and graphic overlays onto video images.

%package devel
Summary:	Development files for the unicap library
Summary(ja):	unicap ライブラリの開発ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description devel
The unicap-devel package includes header files and libraries necessary for
for developing programs which use the unicap, unicapgtk and ucil library. It
contains the API documentation of the library, too.

%prep
%setup -q

%patch100 -p1

%build
%configure --disable-rpath --enable-gtk-doc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Don't install any static .a and libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/{,unicap2/cpi/}*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_libdir}/unicap2

%files devel
%defattr(-,root,root)
%doc examples
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_datadir}/gtk-doc/html/*

%changelog
* Thu Aug 21 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.2.24-2
- add temporal patch to build against kernel 2.6.26

* Sun Jul 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.2.24-1
- initial build for Vine Linux

* Mon May 19 2008 Robert Scheck <robert@fedoraproject.org> 0.2.23-1
- Upgrade to 0.2.23
- Corrected packaging of cpi/*.so files (thanks to Arne Caspari)

* Sat May 17 2008 Robert Scheck <robert@fedoraproject.org> 0.2.22-1
- Upgrade to 0.2.22 (#446021)

* Sat Feb 16 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-3
- Added patch to correct libdir paths (thanks to Ralf Corsepius)

* Mon Feb 04 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-2
- Changes to match with Fedora Packaging Guidelines (#431381)

* Mon Feb 04 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-1
- Upgrade to 0.2.19
- Initial spec file for Fedora and Red Hat Enterprise Linux
