Summary: A graphical utility for controlling network interfaces.
Summary(ja): グラフィカルなネットワークインタフェース設定ツール
Name: usernet
Version: 1.0.9
Release: 3%{?_dist_release}
License: GPL
Group: Applications/System
Source: usernet-%{PACKAGE_VERSION}.tar.gz
Patch: usernet-1.0.9-noroot.vine.patch
Requires: initscripts >= 3.20
Buildroot: %{_tmppath}/%{name}-root

%description
The usernet utility provides a graphical interface for manipulating
network interfaces (bringing them up or down and viewing their status).
Users can only manipulate interfaces that are user-controllable.  The
superuser can control all interfaces.

Install the usernet package if you'd like to provide a graphical utility
for manipulating network interfaces.

%description -l ja
usernet ユーティリティはネットワークインタフェースを設定する
グラフィカルインタフェースを提供します (インタフェースを起動/停止
したり，状況を監視したりできます)．一般ユーザは，そのユーザが
制御可能なインタフェースについてのみ設定できます．スーパーユーザは
全インタフェースを設定することができます．

ネットワークインタフェースを設定するグラフィカルなツールが必要なら
usernet パッケージをインストールして下さい．


%prep
%setup
%patch -p1

%build
make VERSION=%{PACKAGE_VERSION}

%install
rm -rf $RPM_BUILD_ROOT
make install BR=$RPM_BUILD_ROOT VERSION=%{PACKAGE_VERSION} MAN=%{buildroot}%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/usernet
%{_datadir}/usernet/%{PACKAGE_VERSION}
%{_mandir}/man1/usernet.1*
%{_sysconfdir}/X11/wmconfig/usernet

%changelog
* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 1.0.9-3
- applied new versioning policy, spec in utf-8

* Mon Aug 27 2007 Shu KONNO <owa@bg.wakwak.com> 1.0.9-2vl5
- s/Copyright/License/

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.9-2vl4
- rebuild to remove rpmlib dependancy

* Thu May 31 2001 <sagami@vinelinux.org>
- 1.0.9-2vl3: install manpage into %%{_mandir}

* Sun Sep 10 2000 Jun Nishii <jun@vinelinux.org>
- added usernet-1.0.9-noroot.vine.patch to build by non-root user 

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0.9-2vl1
- modified %files section to handle compressed man page(s)
- added Japanese summary and description

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- fix it so that it reverts to 'bad' color if ifup fails

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries on install
- use the "proper" build root dir
- defattr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- updated to use gtk-config
- Makefile gets version number from .spec file

* Tue Dec 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- usernet hanging on PPP devices fixed

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- no paths in wmconfig files

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change in Gtk behaviour for closing windows.
- wmconfig

* Tue Oct 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Change to a fork-fork-exec for running if{up,down} so that the
  status button responds instantly, and init cleans up after our
  poor orphaned processes.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Resize window to fit up to three interface buttons without a scrollbar.
- When changing versions, need to update version in usernetrc as well.
  Do that automatically now.
- Everything takes the version from the spec file.

* Fri Oct 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Call if{up,down} directly and let them call usernetctl if necessary,
  so that root can also use the tool.

