Summary: Transmits and receives binary files over electronic lines.
Summary(ja): バイナリファイルの転送/受信用エンコーダ/デコーダ
Name: uudeview
Version: 0.5.20
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://www.fpx.de/fp/Software/UUDeview/
Source0: http://www.fpx.de/fp/Software/UUDeview/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
BuildRequires: tcl tk

%description
The uudeview package contains an encoder and a decoder, for
transmitting and receiving binary files over electronic lines.
UUDeview can handle uuencoding, xxencoding, and MIME Base64 encoding.
The decoder automatically detects the type of encoding used, can
handle any of the aforementioned encoding types, and was designed
specifically to handle articles saved using news readers.  The
uudeview package is a must for anyone who does serious encoding and
decoding. Note that this version is for glibc only.

%description -l ja
uudeview パッケージはバイナリファイルの転送/受信を行う際のエンコー
ダ/デコーダを含んでいます。UUdeview では uuencoding, xxencoding, 
MIME Base64 encoding を扱えます。デコーダは使用されているエンコード
の種類を自動判別して処理でき、ニュースリーダで保存した記事を扱える
ように設計されています。uudeview パッケージはエンコードやデコードを
操作するのに必須のものです。

%prep
%setup -q

%build
%ifarch x86_64
%configure \
	--enable-tcl=%{_libdir} \
	--enable-tk=%{_libdir} \
	--x-includes=%{_prefix}/X11R6/include \
	--x-libraries=%{_prefix}/X11R6/%{_lib}
%else
%configure
%endif

make

%install
rm -rf %{buildroot}

make prefix=%{buildroot}%{_prefix} \
     BINDIR=%{buildroot}%{_bindir} \
     MANDIR=%{buildroot}%{_mandir} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING HISTORY IAFA-PACKAGE README doc uudeview.lsm
%{_bindir}/uudeview
%{_bindir}/uuenview
%{_bindir}/uuwish
%{_bindir}/xdeview
%{_bindir}/minews
%{_mandir}/man1/*

%changelog
* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.20-1vl5
- applied new versioning policy, spec in utf-8

* Fri Dec 21 2007 Shu KONNO <owa@bg.wakwak.com> 0.5.20-0vl4
- updated %%configure

* Thu Jul 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.20-0vl3
- rebuilt for VineSeed (4.0)
- added BuildRequires instead of Requires

* Thu Dec 30 2004 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> 0.5.20-0vl2
- updated to new release 0.5.20
- update %doc
- add Requires:

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 0.5.15-0vl1
- updated to new release 0.5.15

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 0.5.13-5vl2
- install man pages into %%{_mandir}
- fixed description.ja

* Sat Jan 22 2000 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0
- added Japanese Summary and description

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- built pacakge
