Summary:	Add or remove desktop application
Summary(ja): 	デスクトップ向けアプリケーションの追加・削除
Name:		vine-app-install
Version:	1.9.0
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Applications/Administration
#URL:		

Requires: 	gambas2-runtime >= 1.9.48
Requires:	gambas2-gb-gui >= 1.9.48
Requires:	gambas2-gb-form >= 1.9.48
Requires:	gambas2-gb-gtk >= 1.9.48
Requires:	vine-app-install-data, gksu
BuildRequires:	gambas2-ide >= 1.9.48
Requires:	apt, synaptic, gnome-icon-theme
#BuildArch:	noarch
AutoReqProv:	no

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
vine-app-install is a tool to install and/or uninstall the
desktop applications with GUI.

This program is developed with Gambas.

If you are using KDE, install gambas2-gb-qt sub package and then
this program switch to use Qt toolkit.

%description -l ja
vine-app-install は、デスクトップ向けの一般的なアプリケーションを
GUI からインストール、アンインストールできるツールです。 

このプログラムは Gambas で開発されています。

KDE を使っている場合は、gambas2-gb-qt サブパッケージをインストール
すると、ツールキットに Qt が使用されるようになります。

%prep

%setup -q

%build
pushd src/%{name}
%{_bindir}/gbc2 -a -t -p 
%{_bindir}/gba2
popd


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_bindir}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/applications
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 755 src/%{name}/%{name}.gambas ${RPM_BUILD_ROOT}/%{_bindir}/%{name}
%{__install} -m 755 src/%{name}/%{name}.png ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
%{__install} -m 644 %{name}.desktop ${RPM_BUILD_ROOT}/%{_datadir}/applications


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog help
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Jun 08 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.9.0-1
- source udpate

* Sun Oct 10 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.2.0-1
- source update
- add Fonts category

* Thu Apr 22 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.1.1-1
- source update
- do not show unavailable packages (<BTS:wishes:236)>
- update help document 

* Sat Feb 06 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.1.0-1
- source update
- add Requires: gksu (for switching to synaptic)

* Mon Jan 18 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.0.2-2
- remove BuildArch: noarch (<BTS:VineLinux:883>)

* Sun Aug 16 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.2-1
- source update (fix for <BTS:VineLinux:0750>)

* Mon Jul 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.1-1
- source update

* Sun Jul 26 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.0.0-1
- source update
- change source archive structure
- add documents

* Wed Jun 24 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.3-1
- source update

* Mon Jun 15 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.2-1
- source update

* Thu Jun 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.1-1
- source update

* Thu May 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.0-1
- source update

* Tue May 12 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.0-1
- source update

* Mon May 11 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.1-1
- source update
- update application icon (thanks to TANAKA-san)

* Mon May 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.0-1
- source update

* Mon May 04 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.1-1
- source update
- add application icon

* Sun May 03 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-1
- source update

* Fri May 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.1-1
- source update
- add Requires: vine-app-install-data

* Wed Apr 29 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.0-1
- initial build for Vine Linux

