%define pixdir %{_datadir}/pixmaps/backgrounds
%define defaultjpg cherryblossom-blue-1920x1200.jpg

Summary: Background pictures for Vine Linux
Summary(ja): Vine Linux 用の背景画像集
Name: vine-backgrounds
Version: 4.0
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
Group: User Interface/Desktops
License: GPLv2
Buildarch: noarch
Buildroot: %{_tmppath}/%{name}-root
Conflicts: gnome-session < 2.14.3-0vl1

Vendor: Project Vine
Distribution: Vine Linux

%description
Background pictures for Vine Linux

%description -l ja
Vine Linux 用の背景画像集です。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{pixdir}/Vine
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

install -m 644 Vine/*.jpg $RPM_BUILD_ROOT%{pixdir}/Vine/
install -m 644 gnome-background-properties/*.xml $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

# prepare docs
mkdir -p docs/Vine
cp Vine/README docs/Vine

# make symlink
ln -sf %{defaultjpg} $RPM_BUILD_ROOT%{pixdir}/Vine/default.jpg

%clean

%files
%defattr(-,root,root)
%doc docs/*
%{pixdir}/Vine/
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/*

%changelog
* Thu Apr 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- remove splash screen
- remove non-free wallpapers
- remove 16:9 wallpapers (use 1920x1200 instead)
- add new wallpapers
- use cherryblossom-blue-1920x1200.jpg as new default background.

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 3.9-1vl5
- applied new versioning policy, spec in utf-8

* Fri May 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.9-0vl1
- add viora-*.jpg
- update wallpaperlist

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8-0vl1
- add gnome-splash.png for Vine Linux custom splash screen.

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.7-0vl1
- smaller file size(Vine-nature background images)

* Fri Aug 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-0vl1
- use sky-1600x1200,jpg as new default background.

* Mon Jul 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-0vl1
- add {sky,ocean,sunset}-*.jpg
- update wallpaperlist

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.4-0vl1
- add {iris,hydrangea,stoneongreen}-*.jpg
- update wallpaperlist

* Thu Jun 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3-0vl2
- remove png file to shrink package size

* Mon Apr 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3-0vl1
- remove TextureLand pictures
- add {sakura,nature}-1600.{jpg,png}
- add wallpaperlist for gnome-background-properties

* Tue Aug 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-0vl1
- add vine32-aluminum-*-1600.jpg for new default background.

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1-0vl1
- add vineseed-aluminum?-1600.{png,jpg}
- change default to vineseed-aluminum4-1600.jpg for VineSeed

* Wed Oct 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-0vl1
- add vineblue31-1600.jpg

* Wed Mar 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl1
- add vineblue3-1600.jpg
- add symlink "default.jpg"

* Sat Jul 19 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-0vl3
- rebuilt and docdir was moved to /usr/share/doc

* Wed Sep  6 2000 Jun Nishii <jun@vinelinux.org>
- 1.0-0vl2
- added blue_vine and Aqua_vine by Mr.lain.

* Thu Aug 31 2000 Jun Nishii <jun@vinelinux.org>
- first release

