%define vnc_version 4_1_2

Summary:   A remote display system
Summary(ja): 仮想ネットワークコンピューティング
Name:      vnc
Version:   4.1.2
Release:   5%{?dist}
URL:       http://www.realvnc.com
License:   GPLv2
Group:     User Interface/Desktops

Source0:   http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source1:   Makefile.am
Source2:   vncserver.init
Source3:   vnc-16x16.png
Source4:   vnc-24x24.png
Source5:   vnc-48x48.png
Patch0:    vnc-cookie.patch
Patch1:    vnc-gcc4.patch
Patch2:    vnc-use-fb.patch
Patch3:    vnc-xclients.patch
Patch4:    vnc-idle.patch
Patch5:    vnc-via.patch
Patch8:    vnc-restart.patch
Patch9:    vnc-vncpasswd.patch
Patch11:   vnc-modular-xorg.patch
Patch12:   vnc-nohttpd.patch
Patch15:   vnc-viewer-reparent.patch
Patch16:   vnc-64bit.patch
Patch17:   vnc-select.patch
Patch21:   vnc-newfbsize.patch
Patch24:   vnc-102434.patch
Patch25:   vnc-config.patch
Patch28:   vnc-render.patch
Patch31:   vnc-autotools.patch
Patch32:   vnc-autotools-compile.patch
Patch33:   vnc-always_use_fb.patch
Patch34:   vnc-vsnprintf.patch
Patch36:   vnc-24bit.patch
Patch38:   vnc-gcc43.patch
Patch40:   vnc-xorg.patch
Patch41:   vnc-privates.patch
Patch42:   vnc-mieq.patch
Patch43:   vnc-allocate.patch
Patch45:   vnc-paint.patch
Patch46:   vnc-selections.patch
Patch48:   vnc-manminor.patch
Patch49:   vnc-clipboard.patch
Patch50:   vnc-scrollbars.patch
Patch51:   vnc-bounds.patch
Patch52:   vnc-includes.patch
Patch53:   vnc-viewerIPv6.patch
Patch54:   vnc-rh212985.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl, openssl-devel, libpciaccess-devel
BuildRequires: zlib-devel, libjpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: autoconf,  automake, libtool, flex, pkgconfig, patchutils
BuildRequires: expat-devel, freetype-devel
BuildRequires: libX11-devel, xorg-x11-xtrans-devel
BuildRequires: libxkbfile-devel, libXfont-devel
BuildRequires: tcp_wrappers
BuildRequires: libXtst-devel, xorg-x11-util-macros
BuildRequires: libXt-devel, libXv-devel, pixman-devel
BuildRequires: xorg-x11-server-source >= 1.4.99.905-3
BuildRequires: mesa-libGL-devel >= 7.1, libdrm-devel >= 2.4.0

Requires: gtk2 >= 2.6
Requires: coreutils
Obsoletes: vnc-doc <= 4.1.2-0vl3

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures.  This package contains a
client which will allow you to connect to other desktops running a VNC
server.

%package server
Summary: A VNC server
Summary(ja): VNC サーバ
Requires: bash >= 2.0, util-linux, xorg-x11-xauth, chkconfig
Group: User Interface/X

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%package libs
Summary: VNC Remote framebuffer libraries
Summary(ja): VNC リモートフレームバッファライブラリ
Group: User Interface/X

%description libs
Remote framebuffer library which is used by vncviewer and vncserver

%prep
%setup -q -n vnc-%{vnc_version}-unixsrc
cp -r %{_datadir}/xorg-x11-server-source unix
mkdir -p unix/xorg-x11-server-source/hw/vnc
cp %{SOURCE1} unix/xorg-x11-server-source/hw/vnc/

%patch0 -p1 -b .cookie
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .use-fb
%patch3 -p1 -b .xclients
%patch4 -p1 -b .idle
%patch5 -p1 -b .via
%patch8 -p1 -b .restart
%patch9 -p1 -b .vncpasswd
%patch11 -p1 -b .modular-xorg
%patch40 -p1 -b .vnc
%patch12 -p1 -b .nohttpd
%patch15 -p1 -b .viewer-reparent
%patch16 -p1 -b .64bit
%patch17 -p1 -b .select
%patch21 -p1 -b .newfbsize
%patch24 -p1 -b .102434
%patch25 -p1 -b .config
%patch28 -p1 -b .render
%patch31 -p1 -b .autotools
%patch32 -p1 -b .autotools-compile
%patch33 -p1 -b .always_use_fb
%patch34 -p1 -b .vsnprintf
%patch36 -p1 -b .24bit
%patch38 -p1 -b .gcc43

cp -a unix/xc/programs/Xserver/vnc/Xvnc/xvnc.cc \
	unix/xc/programs/Xserver/Xvnc.man \
	unix/xc/programs/Xserver/vnc/*.{h,cc} \
	unix/xorg-x11-server-source/hw/vnc/

pushd unix/xorg-x11-server-source/hw/vnc
%patch41 -p5 -b .privates
popd
%patch42 -p1 -b .mieq
%patch43 -p1 -b .alloc
%patch45 -p1 -b .paint
%patch46 -p1 -b .selections
%patch48 -p1 -b .minor
%patch49 -p1 -b .clipboard
%patch50 -p1 -b .scrollbars
%patch51 -p1 -b .bounds
%patch52 -p1 -b .includes
%patch53 -p1 -b .ipv6
%patch54 -p1 -b .rh212985

%build
export CFLAGS="$CFLAGS $RPM_OPT_FLAGS -O0"
export CXXFLAGS="$CFLAGS"

pushd common
autoreconf -fiv
%configure
make %{?_smp_mflags}
popd

pushd unix
autoreconf -fiv
%configure
make %{?_smp_mflags}
popd

pushd unix/xorg-x11-server-source
autoreconf -fiv
%configure --disable-xorg \
	--disable-xnest --disable-xvfb \
	--disable-dmx --disable-xwin --disable-xephyr --disable-kdrive \
	--with-pic \
        --disable-xorgcfg \
        --disable-xprint \
        --disable-static \
        --disable-composite \
	--enable-xtrap \
	--enable-xcsecurity \
	--with-default-font-path="catalogue:/etc/X11/fontpath.d,built-ins" \
	--with-fontdir=%{_datadir}/X11/fonts \
        --with-os-name="Vine Linux 5" \
        --with-os-vendor="Project Vine" \
        --with-xkb-output=%{_localstatedir}/lib/xkb \
        --with-rgb-path=%{_datadir}/X11/rgb \
	--enable-install-libxf86config \
	--disable-xevie \
	--disable-dri2 \
        --enable-glx \
	--disable-config-dbus \
	--disable-config-hal

make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

cd common;
make install DESTDIR=$RPM_BUILD_ROOT

cd ../unix

mandst=$RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $mandst
for f in xorg-x11-server-source/hw/vnc/Xvnc vncviewer/vncviewer vncpasswd/vncpasswd \
         vncconfig/vncconfig vncserver x0vncserver/x0vncserver; do

    cp -pf $f.man $mandst/`basename $f.1`
    chmod 0444 $mandst/`basename $f.1`
done
make install DESTDIR=$RPM_BUILD_ROOT
cp vncserver $RPM_BUILD_ROOT/usr/bin

cd xorg-x11-server-source/hw/vnc
make install DESTDIR=$RPM_BUILD_ROOT
cd ../../../

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/vncserver

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cat > $RPM_BUILD_ROOT/etc/sysconfig/vncservers << "EOF"
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the lines below to start a VNC server on display :2
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.  
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/archive/vnc/sshvnc.html>.

# Use "-nolisten tcp" to prevent X connections to your VNC server via TCP.

# Use "-nohttpd" to prevent web-based VNC clients connecting.

# Use "-localhost" to prevent remote VNC clients connecting except when
# doing so through a secure tunnel.  See the "-via" option in the
# `man vncviewer' manual page.

# VNCSERVERS="2:myusername"
# VNCSERVERARGS[2]="-geometry 800x600 -nolisten tcp -nohttpd -localhost"
EOF
chmod 644 $RPM_BUILD_ROOT/etc/sysconfig/vncservers

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,24x24,48x48}/apps
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/vnc.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/vnc.png
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/vnc.png
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
cat > vncviewer.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=VNC Viewer
Comment=Connect to VNC server and display remote desktop
Exec=/usr/bin/vncviewer
Icon=vnc.png
Terminal=false
Type=Application
StartupWMClass=VNC Viewer: Connection Details
EOF
# Desktop file installation.
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor ""   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category Network                               \
  --add-category Application                           \
  vncviewer.desktop

# remove unwanted files
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.a
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.la
rm -f $RPM_BUILD_ROOT%{_libdir}/librfb.so
rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libvnc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ] && [ -f %{_datadir}/icons/hicolor/index.theme ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post server
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" = 0 ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENCE.txt README 
%{_bindir}/vncviewer
%{_datadir}/applications/*
%{_mandir}/man1/vncviewer.1*
%{_datadir}/icons/hicolor/*/*/*

%files server
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
%{_bindir}/Xvnc
%{_bindir}/vncpasswd
%{_bindir}/vncconfig
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*
%{_libdir}/xorg/modules/extensions/libvnc.so

%files libs
%defattr(-,root,root)
%{_libdir}/librfb.so.*

%changelog
* Mon Nov 10 2008 NAKAMURA Kenta <kenta@vinelinux.org> 4.1.2-5
- updated configure option to build with libdrm-2.4

* Thu Jul 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.2-4
- resync with F9 package to build with xorg-x11-7.3
- new versioning policy
- drop vnc-doc package, add vnc-libs package.
- historical changelogs are below:
  * Sat Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.1.2-0vl3
  - add icon symlink
  - fix dependency
    - add BuildRequires: expat-devel, freetype2-devel, bison, flex
  * Sat Sep 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.1.2-0vl2
  - update to XOrg-6.9.0-0vl20
  * Tue Sep 19 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 4.1.2-0vl1
  - [SECURITY] new upstream release
  - update to XOrg-6.9.0-0vl18
  - not apply patch13
  * Mon Apr 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.1-0vl1
  - new upstream release
  - import patches from FC package.
  - update to XOrg-6.8.2-0vl4
  * Sun May 09 2004 Satoshi MACHINO <machino@vinelinux.org> 4.0-0.0.beta4.11
  - new upstream version
  - merged spec file to FedoraCore1
  - obsoleted vnc-doc
  * Fri Mar 15 2002 Satoshi MACHINO <machino@vinelinux.org> 3.3.3r2-26vl5
  - added patch8
	-- changed to use system-provided zlib
  * Fri Mar 15 2002 Satoshi MACHINO <machino@vinelinux.org> 3.3.3r2-26vl4
  - rebuild on zlib-1.1.4(security fix.)
  * Mon Feb 18 2002 Yoshihiro Ota <ota@j.email.ne.jp> 3.3.3r2-26vl3
  - moved config file in /etc/sysconfig from in /etc/vnc
  * Sun Feb 17 2002 Yoshihiro Ota <ota@j.email.ne.jp> 3.3.3r2-26vl2
  - corrected misplaced PreReq
  * Sat Feb 16 2002 Yoshihiro Ota <ota@j.email.ne.jp> 3.3.3r2-26vl1
  - catch up to rawhide
  * Mon Jul 16 2000 Yoshihiro Ota <uyota@mcs.drexel.edu>
  - modified SPEC file for ppc patch
  * Mon Jul 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - modified SPEC file for sparc patch
  * Mon Jun 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - added PPC and sparc patch

* Thu Jul 17 2008 Adam Tkac <atkac redhat com> 4.1.2-34
- vncserver script returns error when Xvnc fails to start

* Wed Jul 16 2008 Adam Tkac <atkac redhat com> 4.1.2-33.1
- update patches due rpm 4.6

* Thu Jul 03 2008 Adam Tkac <atkac redhat com> 4.1.2-33
- build with -rdynamic to make swrast_dri driver happy

* Tue Jul 01 2008 Adam Tkac <atkac redhat com> 4.1.2-32
- enabled XKEYBOARD extension (#450033)
- icons have correct permissions (#453495)

* Mon Jun 02 2008 Adam Tkac <atkac redhat com> 4.1.2-31.1
- minor cleanup in IPv6 patch

* Wed May 29 2008 Adam Tkac <atkac redhat com> 4.1.2-31
- substituted vnc-210617.patch with improved version - vnc-viewerIPv6.patch
  (#438422)

* Fri Apr 25 2008 Adam Tkac <atkac redhat com> 4.1.2-30
- rebuild against new mesa to fix GLX under anaconda (#443635)

* Wed Apr 09 2008 Adam Tkac <atkac redhat com> 4.1.2-29
- rebuild with -O2

* Wed Mar 19 2008 Adam Tkac <atkac redhat com> 4.1.2-28
- validate framebuffer bounds before GetImage call (#430468, improved fix)

* Fri Mar 14 2008 Adam Tkac <atkac redhat com> 4.1.2-27.1
- fixed assertion failed when only one scrollbar should be used (#428117)

* Thu Mar 13 2008 Adam Tkac <atkac redhat com> 4.1.2-27
- removed obsolete vnc-ppc64.patch
- minor vncviewer manpage fixes (#427672, #427701)
- fixed overflow on heap (#430468)
- start vncconfig earlier in vncserver (#430965)
- next BuildRequires cleanup

* Tue Mar 11 2008 Adam Tkac <atkac redhat com> 4.1.2-26
- BuildRequires and Requires cleanup
- don't build java viewer (problems due new gcj)
- use xorg codebase from xorg-x11-server-source package again
  - vnc-selection.patch - new xserver selection API/ABI
  - vnc-xkb.patch - disable XKEYBOARD extension
  - vnc-paint.patch - PaintWindow{Background,Border} hooks have been removed
  - vnc-privates.patch - update devPrivates handling
  - vnc-mieq.patch - use event queue to handle input events

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.1.2-25
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Adam Tkac <atkac redhat com> 4.1.2-24
- start use F8 xserver codebase
- compat patches and gcc 4.3 patches
- use catalogue:/etc/X11/fontpath.d,built-ins as default fontpath
  (#390971)

* Tue Oct 23 2007 Adam Tkac <atkac redhat com> 4.1.2-23
- disabled Composite extension (#242280, #339811)

* Mon Sep 24 2007 Adam Tkac <atkac redhat com> 4.1.2-22
- obsoleted vnc-s390.patch
- build with --disable-xorg

* Wed Aug 22 2007 Adam Tkac <atkac redhat com> 4.1.2-21
- rebuild (BuildID feature)
- GPLv2 license

* Mon Aug 06 2007 Adam Tkac <atkac redhat com> 4.1.2-20.2
- updated vnc-s390 patch to latest xorg

* Wed Aug 01 2007 Adam Tkac <atkac redhat com> 4.1.2-20.1
- rebuild

* Tue Jul 31 2007 Adam Tkac <atkac redhat com> 4.1.2-20
- vnc service is now disabled in all runlevels by default (#250157)

* Tue Jul 17 2007 Adam Tkac <atkac redhat com> 4.1.2-19
- initscript is ready for parallel booting (#247092)

* Thu Jun 08 2007 Adam Tkac <atkac redhat com> 4.1.2-18
- added 24bit support to Xvnc
- handle RENDER extension better
  (+ moved module_crash patch into render patch)
 
* Mon Apr 23 2007 Adam Tkac <atkac redhat com> 4.1.2-17
- removed patch to #188169 because patching this bug could do
  more things bad than good
- removed int10 module from vnc (with-int10 option)

* Tue Mar 27 2007 Adam Tkac <atkac redhat com> 4.1.2-16.fc7
- fixed vnc module crashing (#234124)
- vncviewer has been moved from Utility group to Network group (#231765)

* Mon Mar 05 2007 Adam Tkac <atkac redhat com> 4.1.2-15.fc7
- improved vnc-always_use_fb patch (some screen defects on 64bits)
- removed xserver tarball from source list

* Fri Mar 02 2007 Adam Tkac <atkac redhat com> 4.1.2-14.fc7
- enabled RENDER, Composite and GLX extensions by default on all architectures
- new relation between Xvnc and xorg's source. Xvnc now uses latest xorg's sources
  from xorg-x11-server-source package
- fired away obsolete patches
    - vnc-mesa-6.5.2.patch
    - vnc-mesa.patch
    - vnc-selinux.patch
    - vnc-render-sigfault.patch
    - vnc-fontpath.patch
    - vnc-null-interface.patch

* Mon Feb 26 2007 Adam Tkac <atkac redhat com> 4.1.2-13.fc7
- remove wild implementation of vsnprintf (this caused sigfaults on 64bits) (#229702)
- added post & postun sections to vnc-libs
- menu tooltip is HIG compliant (#229941)
- specfile has been standardized (checked by rpmlint)

* Fri Feb 23 2007 Adam Tkac <atkac redhat com> 4.1.2-12.fc7
- new colormap policy in Xvnc
- Xvnc now always use framebuffer (like Xvfb)
- obsolete patches have been removed

* Wed Feb 16 2007 Adam Tkac <atkac redhat com> 4.1.2-11.fc7
- major build-process changes in vnc
    - vnc is now completely built by autotools
- new package (vnc-libs) contains remote framebuffer library
  and vncviewer and server is linked against this
- specfile cleanup

* Mon Jan 15 2007 Adam Tkac <atkac redhat com> 4.1.2-10.fc7
- fixed render crashing when run in 8bpp

* Mon Jan 08 2007 Adam Tkac <atkac redhat com> 4.1.2-9.fc7
- enable render extensions by default on s390 & s390x

* Wed Dec 13 2006 Adam Tkac <atkac redhat com> 4.1.2-8.1.fc7
- changed __ppc64__ to __ppc__ in vnc-render.patch
  all powerpc has render enabled by default, other archs no

* Mon Dec 11 2006 Adam Tkac <atkac redhat com> 4.1.2-8.fc7
- fixed building against mesa-6.5.2

* Tue Dec 05 2006 Adam Tkac <atkac redhat com> 4.1.2-7.2.fc7
- fixed vnc-102434.patch - potential buffer overflow error
- only ppc64 architecture has enabled render extensions
  default (conflict between glx&render)

* Mon Dec  4 2006 Thomas Woerner <twoerner@redhat.com> 4.1.2-7.1.fc7
- tcp_wrappers has a new devel and libs sub package, therefore changing build
  requirement for tcp_wrappers to tcp_wrappers-devel

* Thu Nov 23 2006 Adam Tkac <atkac@redhat.com> 4.1.2-7.fc7
- Xvnc now starts with render extensions. We need test it. Disable with -render option
- vncserver requires xorg-x11-xauth

* Tue Nov 14 2006 Adam Tkac <atkac@redhat.com> 4.1.2-6.fc7
- update to xorg-x11-server to version 1.1.1
- fixed OpenGL extensions (#213215)
- fixed vnc-188169.patch (#213609)
- fixed RENDER problems (#162304)
- build requires libstdc++-devel and gcc-c++, autoconf213 and libselinux-devel

* Wed Oct 25 2006 Adam Tkac <atkac@redhat.com> 4.1.2-5
- added xorg-x11-fonts-base dependency
- fixed vncconfig crash on x64 (#179635)

* Tue Oct 17 2006 Adam Tkac <atkac@redhat.com> 4.1.2-4
- IPv6 support to vncviewer has been added (#210617)
- fixed conflict between "locate pointer" option in control-center
  and vncviewer (#188169)
- fixed software group of vnc (#209229)
- added support to get password from stdin (#102434)

* Mon Jul 18 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-3
- vncviewer now supports NewFBSize pseudoencoding (#180939)
- do not BuildRequire libdrm-devel on s390, s390x, ppc64 it is not available there

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> 4.1.2-2
- update xorg-x11-server to 1.1.0 to fix crashes in anaconda

* Fri May 26 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-1
- enable OpenGL support

* Thu May 25 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-0.1
- fixed building on ppc64

* Thu May 18 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.2-0
- update to version 4.1.2

* Wed May 10 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-38
- fixed crash of Xnvc caused by a NULL pointer in interfaces (bug #187607)
- This also fixes crash of Xvnc when vpnc is running (bug #187069)
- don't build on ppc64 due to intermittent build problems

* Fri Apr 21 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-37
- removed liblbxutil-devel from BuildRequires

* Tue Feb 28 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-36
- with default cofiguration, /etc/init.d/vncserver start will say 
  "no displays configured" (bug #182161)
  
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-35.1
- bump again for double-long bug on ppc(64)

* Wed Feb 08 2006 Jitka Kudrnacova <jkudrnac@redhat.com> 4.1.1-35
- Add a test for existence of index.theme before calling
  gtk-update-icon-cache in post-(un)installation script,
  bug #179704

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.1.1-34.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-34
- Updated xorg-x11-server to 1.0.1-1.

* Tue Jan  3 2006 Tim Waugh <twaugh@redhat.com> 4.1.1-33
- Use VNC-provided Xregion (bug #176435).
- Prevent restorecon error message when not present (bug #176654).

* Fri Dec 23 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-32
- Use system libtool to fix libvnc.so build (bug #176435).

* Wed Dec 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-31
- Rebase on xorg-x11-server-1.0.0-2.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-30
- Enable Xdmcp (bug #175298).

* Thu Dec  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-29
- Fix x0vncserver (bug #172410).

* Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-28
- Enable all the extensions, which were accidentally disabled.

* Tue Dec  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-27
- Fix 64-bit server (bug #174702).
- Build requires freetype-devel.
- Build requires libXext-devel, libXtst-devel, automake, libtool, pkgconfig,
  libfontenc-devel, xorg-x11-util-macros.

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-26
- Apply patch to allow vncviewer window reparenting (bug #174640).
- Build again on s390/s390x (bug #174569).

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-25
- Actually initialise the vnc extension in Xvnc.
- Disable lbx.

* Thu Dec  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-24
- Build X extension module again.
- Install X extension module into modules/ directory.
- Remove xscreensaver patch, since it causes badness.

* Fri Nov 25 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-23
- ExcludeArch s390 s390x (see bug #174569).
- Re-base on modular xorg-x11 (bug #173323).
- Build requires modular X things.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-22
- Extension module is not available on all architectures.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-21
- Install extension module into the correct directory.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-20
- Fix font path correctly (bug #173160).

* Wed Nov 16 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-19
- Remove xorg-x11-devel build requirement to see what breaks.
- Hack font paths (bug #173160).

* Tue Nov 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-18
- Build requires xorg-x11-devel not XFree86-devel.

* Tue Sep  6 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-17
- Make vncviewer prevent xscreensaver from blanking screen (bug #106552).

* Thu Aug 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-16
- Added -nohttpd option to vncserver, based on patch from bug #161288.
- Included -nohttpd, -nolisten tcp, and -localhost options in example
  sysconfig file (bug #165334).

* Mon Aug  8 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-15
- Fixed xorg-x11 build (__SSP__ gets set by -fstack-protector).
- Fixed desktop file again (bug #63689).

* Wed Jul 14 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-14
- Pulled RENDER support altogether.  It can cause Xvnc to get into a busy
  loop somehow.

* Wed Jul 13 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-13
- RENDER clipping fix from Mark McLoughlin.

* Mon Jun 27 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-12
- Fixed vncpasswd crash (bug #160471).

* Wed Jun 22 2005 Tim Waugh <twaugh@redhat.com>
- Updated URL in vncservers file (bug #161334).

* Tue Jun 21 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-11
- Don't ship vncconfig.py any more.
- Enable render by default for further testing.

* Mon Jun 20 2005 Tim Waugh <twaugh@redhat.com>
- Build requires expat-devel (bug #160982).

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.1.1-10
- silence %%post

* Fri Apr 15 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-9
- Disable render by default.  There are still screen artifacts from it.

* Fri Apr  1 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-8
- Further render patch fix for Peter Åstrand.

* Thu Mar 31 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-7
- Render patch fix from Peter Åstrand.  Enabled render by default again.

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-6
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 4.1.1-5
- Update the GTK+ theme icon cache on (un)install

* Thu Mar 24 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-4
- Upgraded base package to xorg-x11-6.8.2-13.

* Thu Mar 17 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-3
- Disable render by default (+render turns it back on).

* Fri Mar 11 2005 Tim Waugh <twaugh@redhat.com> 4.1.1-2
- 4.1.1 (with 4.1 Java viewer).
- No longer need module patch.

* Thu Mar 10 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.2
- Improved render patch from Peter Åstrand.

* Thu Mar  3 2005 Tim Waugh <twaugh@redhat.com> 4.1-0.1
- 4.1 (but still 4.0 Java viewer for the moment).
- Removed sparc patch.
- Fixed VNC module link line (from upstream).

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 4.0-15
- Upgraded base package to xorg-x11-6.8.2-6.
- Rebuild for new GCC.

* Wed Feb 23 2005 Tim Waugh <twaugh@redhat.com> 4.0-14
- Render support from Peter Åstrand.

* Thu Feb  3 2005 Tim Waugh <twaugh@redhat.com>
- Don't restart the vncserver service on upgrade.

* Tue Feb  1 2005 Tim Waugh <twaugh@redhat.com> 4.0-13
- Upgraded base package to xorg-x11-6.8.1.903-2.

* Fri Jan  7 2005 Tim Waugh <twaugh@redhat.com>
- Build requires patchutils (bug #144450).

* Wed Jan  5 2005 Tim Waugh <twaugh@redhat.com> 4.0-12
- Don't use initlog in the initscript.

* Fri Dec 31 2004 Tim Waugh <twaugh@redhat.com>
- Cookie generation improvement from Jon Peatfield.

* Mon Dec 13 2004 Tim Waugh <twaugh@redhat.com> 4.0-11
- Create /tmp/.X11-unix if it doesn't already exist.

* Wed Nov 24 2004 Tim Waugh <twaugh@redhat.com> 4.0-10
- Use fastjar, not jar, so that the package rebuilds (bug #140671).

* Wed Nov 17 2004 Tim Waugh <twaugh@redhat.com> 4.0-9
- Don't build hw/xfree86/etc.
- Prevent xorg-x11 build failure in rman.
- Build requires autoconf, flex, bison.
- Use correct PATH setting when started from initscript (bug #84167).

* Wed Oct  6 2004 Tim Waugh <twaugh@redhat.com> 4.0-8
- Use runuser not su in initscript (bug #134594).

* Wed Sep 29 2004 Tim Waugh <twaugh@redhat.com> 4.0-7
- Upgraded base package to xorg-x11-6.8.1-4.

* Tue Aug 31 2004 Tim Waugh <twaugh@redhat.com> 4.0-6
- Upgraded base package to xorg-x11-6.7.99.903-1.

* Fri Aug 27 2004 Tim Waugh <twaugh@redhat.com> 4.0-5
- Built for Fedora Core 2.

* Wed Aug 25 2004 Tim Waugh <twaugh@redhat.com> 4.0-4
- Apply and enable Kristian Høgsberg's --use-fb patch.

* Mon Aug  2 2004 Tim Waugh <twaugh@redhat.com>
- Fixed vnc-via patch (bug #128940).

* Thu Jun 24 2004 Tim Waugh <twaugh@redhat.com> 4.0-3
- 4.0.
- No longer need hotspot patch.
- Add sparc patch from bug #126382.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  1 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.6
- Turn ppc64 builds on again.

* Tue Jun  1 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.5
- Exclude ppc64 until the build machine is fixed.
- Undo last vnc.def change to get vnc.so back.

* Fri May 28 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.4
- Further vnc.def fix.
- Fix cursor handling for hotspots outside the bounding rectangle.

* Thu May 27 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.3
- Fix ppc64 build.
- Fix debuginfo package.
- Another fix for REGION_INIT usage.

* Wed May 26 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.2
- Switch to xorg-x11 (bug #119530).

* Thu May 20 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta5.1
- 4.0beta5.
- Removed compat, f8 and crash patches.
- Fixed via patch now that NULL is not a valid parameter default.
- Updated gcc34 patch.

* Wed Apr 14 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.11
- Allow parameters to be specified in the init script (bug #60176).

* Wed Mar 31 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.10
- Back down to XFree86 again, since the Xvnc binary in 4.0-1.beta4.9 doesn't
  work at all.

* Tue Mar 23 2004 Tim Waugh <twaugh@redhat.com> 4.0-1.beta4.9
- Build against xorg-x11.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb  1 2004 Tim Waugh <twaugh@redhat.com>
- Build fixes for GCC 3.4.

* Fri Jan 23 2004 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.8
- Fix last fix (bug #114063).

* Thu Jan 22 2004 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.7
- Restart connect() if a signal interrupts it (bug #114063).

* Thu Nov 27 2003 Tim Waugh <twaugh@redhat.com>
- Fixed -via parsing bug in vncviewer (bug #110919).

* Fri Nov 14 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.6
- F8 fix (bug #109377).

* Mon Nov 10 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.5
- Better fix for bug #107455.

* Sat Nov  8 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.4
- Fixed zero-sized cursor problem (bug #107455).

* Thu Oct  2 2003 Tim Waugh <twaugh@redhat.com>
- Added icons (bug #105820).

* Fri Sep 19 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.3
- Avoid a potential Xvnc crash (bug #104702).

* Fri Sep  5 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta4.2
- 4.0beta4.
- No longer need compile, dotvnc, norender patches.
- Don't be so picky about which architectures to build on any more.
- Build requires XFree86-devel.

* Thu Aug 28 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.10
- Fixed SSH tunnelling support (bug #102213).

* Fri Aug 22 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.9
- Add SSH tunnelling support (bug #102213).

* Wed Aug 20 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.8
- Disable IdleTimeout by default.

* Mon Aug 18 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.7
- Ship vncconfig(1) front-end.
- In default xstartup, exec /etc/vnc/xstartup if it exists.
- Track XFree86 package.
- Fix compilation (bug #102547).
- Fix vncpasswd (bug #102435).

* Tue Aug 12 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.6
- Use patched tarball from XFree86 package.
- Build Java VNC viewer.

* Wed Aug  6 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.5.1
- Rebuilt.

* Wed Aug  6 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.5
- Make default xclients file include instructions for 'normal' desktop.
- Server subpackage doesn't require XFree86.
- desktop file: add StartupWMClass tag
- init script: set USER (bug #101674).
- init script: pause when restarting to give the server a chance to stop
  (bug #84817).
- vncpasswd: create ~/.vnc if it doesn't already exist.

* Tue Aug  5 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.4
- Allow old -dontdisconnect option, and behave a bit more like Xvnc used to
  if it is given (default to no password, use RFB3.3 protocol).
- Fixed DisconnectClients bug.

* Mon Aug  4 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.3
- Disable RENDER altogether for Xvnc.

* Mon Aug  4 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.2
- Reinstated init script.
- Add work-around for Xcursor bug.

* Thu Jul 31 2003 Tim Waugh <twaugh@redhat.com> 4.0-0.beta3.1
- Initial package.
