Summary:	Add comments to Ogg Vorbis files to correct the volume
Summary(ja):	Ogg Vorbis ファイルに音量を一定に揃えるための情報を付加
Name:		vorbisgain
Version:	0.36
Release:	1%{?_dist_release}
Group:		Applications/Multimedia
License:	LGPL
URL:		http://sjeng.sourceforge.net/vorbisgain.html
Source:		http://sjeng.org/ftp/vorbis/vorbisgain-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libvorbis-devel, unzip, perl
Requires:	libvorbis

%description
VorbisGain is a utility that uses a psychoacoustic method to correct the
volume of an Ogg Vorbis file to a predefined standardized loudness.

It is meant as a replacement for the normalization that is commonly used
before encoding. Although normalization will ensure that each song has
the same peak volume, this unfortunately does not say anything about the
apparent loudness of the music, with the end result being that many
normalized files still don't sound equally loud. VorbisGain uses
psychoacoustics to address this deficiency. Moreover, unlike normalization,
it's a lossless procedure which works by adding tags to the file.
Additionally, it will add hints that can be used to prevent clipping on
playback. It is based upon the ReplayGain technology.
For more details, see http://replaygain.hydrogenaudio.org/.

%prep
%setup -q

%build
%__perl -p -i -e "s/-O2//" configure
%configure --enable-recursive
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean 
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 0.36-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep 04 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 0.36-0vl2
- rebuild with new environment

* Sun Mar 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.36-0vl1
- initial build
