Summary: An terminal emulator.
Summary(ja): ターミナルエミュレータ
Name: vte
Version: 0.28.2
Release: 2%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/vte/0.28/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel
BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: ncurses-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
VTE is an experimental terminal emulator widget for use with GTK+ 2.0.

%description -l ja
VTE は GTK+2.0 用のターミナルエミュレータウィジェットです。

%package devel
Summary: Files needed for developing applications which use vte.
Summary(ja): VTE を使用したアプリケーションの開発に必要なファイル群
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel

%description devel
VTE is an experimental terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.

%prep
%setup -q

%build
##if [ -x %{_bindir}/python2.4 ]; then
##	PYTHON=%{_bindir}/python2.4; export PYTHON
##fi
%configure --enable-shared --enable-static --without-glX
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}-0.0

rm -f $RPM_BUILD_ROOT/%{_bindir}/%{name}
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/gtk-2.0/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/gtk-2.0/*.a

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-0.0.lang
%defattr(-,root,root)
%doc ChangeLog COPYING HACKING NEWS README
%doc doc/utmpwtmp.txt doc/boxes.txt src/iso2022.txt doc/openi18n/UTF-8.txt doc/openi18n/wrap.txt
%{_libdir}/*.so.*
%{_datadir}/%{name}/termcap-0.0/xterm
%attr(2711,root,utmp) %{_libexecdir}/gnome-pty-helper
%{python_sitearch}/gtk-2.0/*

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{name}-0.0
%{_includedir}/vte-0.0/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/pygtk/2.0/defs/vte.defs

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28.2-2
- rebuild with python-2.7.2

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28.2-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28.1-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.26.2-1
- new upstream release

* Sun Oct 17 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.26.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.26.0-1
- new upstream release
- fix %install, %files

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 0.25.1-2
- build with rpm-4.8.1-1 for pkg-config file

* Fri Aug 13 2010 Shu KONNO <owa@bg.wakwak.com> 0.25.1-1
- new upstream release
- dropt dependency with python2.4 in %%build section
- rebuilt with python-2.6.5

* Sun Jul 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.3-1
- new upstream release

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.24.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.5-1
- new upstream release
- add BuildRequires: ncurses-devel

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.22.4-3
- rebuilt with gcc-4.4.3-3 on ppc

* Fri Feb 05 2010 Shu KONNO <owa@bg.wakwak.com> 0.22.4-2
- rebuilt with python-2.6.4-3

* Tue Nov 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.4-1
- new upstream release

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22.2-1
- new upstream release
- moved %{_datadir}/pygtk/2.0/defs/vte.defs to devel package

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.20.5-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.20.2-1
- new upstream release

* Thu Apr 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.20.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.20.0-1
- new upstream release
- remove static libs

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.17.4-1
- new upstream release

* Sat Sep 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.17.3-1
- new upstream release
- drop patch1 (merged in now upstream)

* Mon Aug 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16.14-3
- add Patch1 to fix cjk ambiguous width

* Sun Jul 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.14-2
- rebuilt with python-2.5.2

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.14-1
- new upstream release
- spec in UTF-8

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.13-1vl5
- new upstream release

* Sat Jan 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.12-0vl1
- new upstream release

* Sat Sep 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.9-0vl1
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.8-0vl1
- new upstream release
- changed Group to System Environment/Libraries
- dropped Patch0 merged into upstream

* Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16.3-0vl2
- add Patch0 to fix preedit crash
  http://bugzilla.gnome.org/show_bug.cgi?id=433776

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.3-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.16.1-0vl1
- new upstream release

* Wed Aug 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.12.2-0vl2
- add BuildRequires: pygtk2-devel

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12.2-0vl1
- new upstream release

* Thu Apr 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12.0-0vl1
- new upstream release

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.21-0vl1
- drop Patch10 which are merged in upstream

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.20-0vl2
- add Patch10 to update screen more frequently. 
  (revert changes introduced in 0.11.19)

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.20-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.15-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.12-0vl1
- new upstream version

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.11-0vl2
- import some patches from fedora package.

* Fri May 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.11-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.10-0vl3
- rebuild with glib2-2.4.0

* Sun Sep 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.10-0vl2
- import Patch0,1 from rawhide
  - don't reset conversion states at end-of-line (GNOME #122156)
  - draw the preedit string the way GTK+ wants us to draw it (#104039)

* Thu Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.10-0vl1
- new upstream release

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.9-0vl1
- new upstream release

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.6-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.28-0vl1
- new upstream release

* Fri Mar  7 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.26-0vl1
- new upstream release

* Wed Feb 26 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.25-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.22-0vl1
- new upstream release

* Fri Feb 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.19-0vl1
- new upstream release

* Sat Feb  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.16-0vl1
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.15-0vl3
- fixed permission

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.15-0vl2
- add missing /usr/libexec/gnome-pty-helper to %%files

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.15-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.14-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.12-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.10-0vl1
- new upstream release

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.8-0vl1
- new upstream release

* Sat Dec 14 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.7-0vl1
- build for Vine Linux
- new upstream release (gnome-2.1.4)

* Thu Sep  5 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.19-1
- possible fix for focusing bugs

* Thu Sep  5 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.18-1
- fix for worst-case when stripping termcap entries from Brian Cameron
- add docs

* Tue Sep  3 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.17-1
- track Xft color deallocation to prevent freeing of colors we don't own

* Tue Sep  3 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.16-1
- handle color allocation failures better

* Mon Sep  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.15-1
- cleanups

* Fri Aug 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.14-1
- get smarter about adjusting our adjustments (#73091)

* Fri Aug 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.13-1
- restore the IM status window by restoring our own focus-in/focus-out
  handlers (#72946)

* Fri Aug 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.12-1
- cleanups

* Thu Aug 29 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.11-1
- clean up autoscroll (#70481)
- add Korean text examples to docs

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.10-1
- autoscroll (#70481)
- only perform cr-lf substitutions when pasting (#72639)
- bind GDK_ISO_Left_Tab to "kB" (part of #70340)

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.9-1
- handle forward scrolling again (#73409)

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.8-1
- fix crashes on resize

* Mon Aug 26 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix missing spaces on full lines

* Mon Aug 26 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.7-1
- fix deadlock when substitutions fail

* Mon Aug 26 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.6-1
- one-liner segfault bug fix

* Sun Aug 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.5-1
- fix reverse video mode, which broke during the rendering rewrite

* Fri Aug 23 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.4-1
- prevent up/UP/DO from scrolling
- bind shift+insert to "paste PRIMARY", per xterm/kterm/hanterm

* Thu Aug 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.3-1
- track changes to the style's font
- always open fonts right away so that the metric information is correct
- make audible and visual bell independent options

* Wed Aug 21 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.2-1
- don't perform text substitution on text that is part of a control sequence

* Tue Aug 20 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.1-1
- dispose of the updated iso2022 context properly when processing incoming text

* Tue Aug 20 2002 Nalin Dahyabhai <nalin@redhat.com> 0.8.0-1
- rework font handling to use just-in-time loading
- handle iso-2022 escape sequences, perhaps as much as they might make sense
  in a Unicode environment

* Wed Aug 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.7.4-1
- handle massive amounts of invalid data better (the /dev/urandom case)
- munged up patch from Owen to fix language matching
- fix initialization of new rows when deleting lines

* Mon Aug 12 2002 Nalin Dahyabhai <nalin@redhat.com> 0.7.3-1
- more fixes for behavior when not realized
- require bitmap-fonts
- escape a control sequence properly

* Thu Aug  8 2002 Nalin Dahyabhai <nalin@redhat.com> 0.7.2-1
- fix cursor over reversed text
- fix character positioning in Xft1
- add border padding
- fix lack of shift-in when resetting

* Tue Aug  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.7.1-1
- rework rendering with Pango
- special-case monospaced Xft1 rendering, hopefully making it faster
- modify pasting to use carriage returns instead of linefeeds

* Thu Aug  1 2002 Nalin Dahyabhai <nalin@redhat.com> 0.7.0-1
- rework drawing to minimize round trips to the server

* Tue Jul 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.6.0-1
- rework parsing to use tables instead of tries
- implement more xterm-specific behaviors

* Thu Jul 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.5.4-1
- fix default PTY size bug

* Wed Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 0.5.3-1
- open PTYs with the proper size (#69606)

* Tue Jul 23 2002 Nalin Dahyabhai <nalin@redhat.com> 0.5.2-1
- fix imbalanced realize/unrealize routines causing crashes (#69605)

* Thu Jul 18 2002 Nalin Dahyabhai <nalin@redhat.com> 0.5.1-1
- fix a couple of scrolling artifacts

* Thu Jul 18 2002 Nalin Dahyabhai <nalin@redhat.com> 0.5.0-1
- use gunichars internally
- scroll regions more effectively
- implement part of set-mode/reset-mode (maybe fixes #69143)
- fix corner case in dingus hiliting (#67930, really this time)

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 0.4.9-3
- free trip through the build system

* Tue Jul 16 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.9-2
- build in different environment

* Tue Jul 16 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.9-1
- check for iconv failures properly and report them more aggressively
- guess at a proper default bold color (#68965)

* Mon Jul 15 2002 Nalin Dahyabhai <nalin@redhat.com>
- cosmetic fixes

* Sat Jul 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix segfaulting during dingus highlighting when the buffer contains non-ASCII
  characters (#67930)

* Fri Jul 12 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.8-1
- implement BCE (#68414)
- bind F13-F35 per termcap

* Thu Jul 11 2002 Nalin Dahyabhai <nalin@redhat.com>
- rework default color selection
- provide a means for apps to just set the foreground/background text colors
- don't scroll-on-keystroke when it's just alt, hyper, meta, or super (#68986)

* Tue Jul  2 2002 Nalin Dahyabhai <nalin@redhat.com>
- allow shift+click to extend the selection (re: gnome 86246)

* Mon Jul  1 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.7-1
- recover from encoding errors more gracefully

* Mon Jul  1 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.6-1
- draw unicode line-drawing characters natively

* Tue Jun 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.5-1
- don't append spaces to multicolumn characters when reading the screen's
  contents (part of #67379)
- fix overexpose of neighboring cells (part of #67379)
- prevent backscroll on the alternate screen for consistency with xterm
- bind F10 to "k;", not "k0" (#67133)

* Tue Jun 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.4-1
- clear alternate buffer when switching screens (#67094)
- fix setting of titles, but crept in when cleaning up GIConv usage (#67236)

* Tue Jun 18 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.3-1
- correct referencing/dereferencing of I/O channels (#66248)
- correct package description to not mention the sample app which is no longer
  included

* Tue Jun 18 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.2-1
- fix "cursor mistakenly hidden when app exits" by making cursor visibility
  a widget-wide (as opposed to per-screen) setting

* Tue Jun 18 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.1-1
- fix use of alternate buffer in xterm emulation mode

* Fri Jun 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-1
- add a means for apps to add environment variables

* Fri Jun 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.30-1
- package up the python module

* Mon Jun 10 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.29-1
- compute padding correctly

* Mon Jun 10 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.28-1
- finish merging otaylor's Xft2 patch

* Mon Jun 10 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.27-1
- rework accessibility

* Thu Jun  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.26-1
- don't package up the test program
- emit "child-exited" signals properly
- try to allow building with either pangoxft-with-Xft1 or pangoxft-with-Xft2

* Wed Jun  5 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.25-1
- compute font widths better

* Mon Jun  3 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.24-1
- tweak handling of invalid sequences again

* Fri May 31 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.23-1
- switch to g_convert (again?)
- fix use of core fonts

* Tue May 28 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.22-1
- plug some memory leaks

* Tue May 28 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.21-1
- fix matching, fix async background updates

* Fri May 24 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.20-1
- fixes from notting and otaylor

* Tue May 21 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.19-1
- fixes from andersca and Hidetoshi Tajima

* Thu May 16 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.18-1
- finish implementing matching

* Thu May 16 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.17-1
- tweak finding of selected text

* Wed May 15 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.16-1
- hook up Insert->kI
- convert scroll events to button 4/5 if an app wants mouse events
- don't send drag events when apps only want click events
- fix selection crashbug

* Tue May 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.15-1
- fix ce, implement save/restore mode

* Tue May 14 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.14-1
- don't draw nul chars

* Mon May 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.13-1
- fix insert mode, implement visual bells

* Thu May  9 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.12-1
- iconv and remapping from otaylor
- implement custom tabstopping

* Wed May  8 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.11-1
- add mouse drag event handling

* Mon May  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.10-1
- do mouse autohide and cursor switching

* Mon May  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.9-1
- start handling mouse events

* Mon May  6 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.8-1
- handle window manipulation sequences

* Fri May  3 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.7-1
- discard invalid control sequences
- recognize designate-??-character-set correctly

* Thu May  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.6-1
- add a couple of sequence handlers, fix a couple of accessibility crashbugs

* Thu May  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.5-1
- fix cap parsing error and "handle" long invalid multibyte sequences better

* Thu May  2 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.4-1
- try to speed up sequence recognition a bit
- disable some window_scroll speedups that appear to cause flickering

* Wed May  1 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-1
- include a small default termcap for systems without termcap files

* Tue Apr 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3.1-1
- disconnect from the configure_toplevel signal at finalize-time

* Tue Apr 30 2002 Nalin Dahyabhai <nalin@redhat.com> 0.3-1
- add an accessiblity object

* Mon Apr 29 2002 Nalin Dahyabhai <nalin@redhat.com> 0.2.3-1
- fix color resetting
- fix idle handlers not being disconnected

* Mon Apr 29 2002 Nalin Dahyabhai <nalin@redhat.com> 0.2.2-1
- bug fixes

* Thu Apr 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.1-1
- finish initial packaging, start the changelog
