# Note that this is NOT a relocatable package
%define ver	5.4.0
%define rel	1%{?_dist_release}
%define	name	w3c-libwww

Name:		%name
Version:	%ver
Release:	%rel
License:        W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html), (L)GPL compatible
Group:		System Environment/Libraries
Source:		http://www.w3.org/Library/Distribution/%{name}-%{ver}.tgz
URL:		http://www.w3.org/Library
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root

Summary: General-purpose Web API written in C

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments. Libwww
also supports HTTPS, thru OpenSSL. Because of the US export restrictions, we
can't distribute the libwwwssl pre-compiled library. You'll have to compile 
libwww yourself to use it.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Libraries
Requires: %{name} = %{ver}

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library: e.g. Robot, command line tool, etc.
Group: Applications/Internet
Requires: %{name} = %{ver}

%description apps
Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
%setup -q

%build
%configure --with-regex --with-zlib
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
./config/mkinstalldirs $RPM_BUILD_ROOT/%{_datadir}/w3c-libwww
mv $RPM_BUILD_ROOT/%{_datadir}/*.xbm $RPM_BUILD_ROOT/%{_datadir}/w3c-libwww/
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_datadir}/w3c-libwww

%doc *.html Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_bindir}/w3c
%{_bindir}/webbot
%{_bindir}/www

%files devel
%defattr(-,root,root)
%{_bindir}/libwww-config
%{_libdir}/*.a
#%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 5.4.0-1vl5
- applied new versioning policy
- removed *.la

* Sun Aug 23 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.4.0-0vl1
- Rebuild with new toolchains
- updated to 5.4.0
- s/Copyright/License/

* Thu Dec 28 2000 Akira Tagoh <tagoh@gnome.gr.jp>
- 5.3.1-3vl1
- Rebuild for Vine

* Fri Aug 04 2000 Jose Kahan <jose@w3.org)
- Added blurb about the OpenSSL support, some esthetical changes

* Mon Apr 12 1999 Jim Gettys <jg@w3.org)
- down covert for older RPM currently widespread

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.



