Name:		wmctrl
Version:	1.07
Release:	1%{?dist}
Summary:	A command line tool to interact with an X Window Manager
Summary(ja):	ウィンドウマネージャを外部から制御するコマンドラインツール

Group:		User Interface/X
License:	GPLv2+
URL:		http://sweb.cz/tripie/utils/wmctrl
Source0:	http://sweb.cz/tripie/utils/wmctrl/dist/%{name}-%{version}.tar.gz
Patch0:		http://ftp.de.debian.org/debian/pool/main/w/wmctrl/wmctrl_1.07-6.diff.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libXmu-devel
BuildRequires:	glib2-devel
BuildRequires:	nkf

%description
The wmctrl program is a UNIX/Linux command line tool to interact with an 
EWMH/NetWM compatible X Window Manager. The tool provides command line access 
to almost all the features defined in the EWMH specification. It can be used, 
for example, to obtain information about the window manager, to get a detailed 
list of desktops and managed windows, to switch and resize desktops, to make 
windows full-screen, always-above or sticky, and to activate, close, move, 
resize, maximize and minimize them. The command line access to these window 
management functions makes it easy to automate and execute them from any 
application that is able to run a command in response to an event. 

%description -l ja
wmctrl プログラムは EWMH/NetWM 互換のウィンドウマネージャを外部から制御
するコマンドラインツールです。

このツールを使えば、EWMH が定義するほぼ全ての機能にコマンドラインから
アクセスできます。
例えばウィンドウマネージャの情報を取得したり、デスクトップやウィンドウの
一覧を取得したり、デスクトップの切り替えやリサイズ、フルスクリーン表示の
切り替え、最前面表示や全てのワークスペースへの配置、ウィンドウのフォーカ
スの切り替えや閉じる、リサイズ、移動、最大化、最小化、といった操作が可能
です。

このツールを使うと、全てのアプリケーションにおいて、特定のイベントに連動
したウィンドウ操作の自動化などが簡単に実現できます。

%prep
%setup -q 
%patch0 -p1
nkf -w --overwrite ChangeLog


%build
%configure 
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Oct 07 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.07-1
- initial build for Vine Linux based on fedora development

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 28 2008 Patrice Dumas <pertusus@free.fr> - 1.07-5
- apply debian patcheset, to fix #426383

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.07-4
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.07-3
- Autorebuild for GCC 4.3

* Wed Oct 04 2006 Michael Rice <errr[AT]errr-online.com> - 1.07-2
- Fix Summary per rpmlint warning
- Fix description per rpmlint warning
- Remove unneeded line from setup
- Remove NEWS from docs since it was empty
- Reformat Changlelog entrys in spec file due to bad formatting
- Changed Group to User Interface/X

* Wed Sep 27 2006 Michael Rice <errr[AT]errr-online.com> - 1.07-1
- Initial RPM release
