;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux wnn7egg 設定
;;    Munehiro Yamamoto <munepi@cg8.so-net.ne.jp>
;;	$Id: vine-default-wnn7egg.el,v 1.1 2009/04/22 16:02:01 munepi Exp $	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Wnn7Egg (Wnn7 フロントエンド) の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(if (or (equal emacs-ime "wnn7egg")
	(equal emacs-ime "wnn7")
        (equal emacs-ime "Wnn7"))
    (progn
      ;; (setq load-path (append '("/usr/share/wnn7/elisp/emacs20") load-path))
      (global-set-key "\C-\\" 'toggle-input-method)
      ;; Shift-Space または 半角/全角 でも起動
      (global-set-key [?\S-\ ] 'toggle-input-method)
      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
      ;; canna like toggle keybind
      ;;(global-set-key "\C-o" 'toggle-input-method)
      (load "wnn7egg-leim")
      (set-input-method "japanese-egg-wnn7")
      (set-language-info "Japanese" 'input-method "japanese-egg-wnn7")

      ;; "nn" で「ん」を入力
      (setq enable-double-n-syntax t)
      ;; 候補選択モード
      ;(egg-use-input-predict)
      (setq egg-predict-realtime nil)
      ;; インライン候補選択モード
      (setq egg-predict-mode "inline")
      ;; ウインドウ候補選択モード
      (setq egg-predict-mode "window")

      ;; ;; 候補リスト表示
      ;; (define-key wnn7-henkan-mode-map " " 'wnn7-henkan-select-kouho-dai)

      ;; ;; 1234567890%#%"'/\| を「半角」で入力
      ;; (let ((its:*defrule-verbose* nil))
      ;;   (its-define-mode "roma-kana")
      ;;   (dolist (symbol '("1" "2" "3" "4" "5" 
      ;;                     "6" "7" "8" "9" "0"
      ;;                     "#" "%" "\"" "'" "/" "\\" "|"))
      ;;           (its-defrule symbol symbol)))

      ;; ;; 「、」を使う時は、次行を「;」でコメントする
      ;; (its-defrule "," "，" nil nil "roma-kana")
      ;; ;; 「。」を使う時は、次行を「;」でコメントする
      ;; (its-defrule "." "．" nil nil "roma-kana")
      ;; ;; 「／」を使うときは、次行を「;」でコメントする
      ;; (its-defrule "/" "・" nil nil "roma-kana")

      ;; ;; デフォルトの句読点「、。」を「，．」に変更する
      ;; (setq use-touten-for-comma nil)
      ;; (setq use-kuten-for-period nil)

      ;; 部首・画数変換を可能にする wnn7egg には busyu.el はない
      (load "busyu")
    )
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(provide 'vine-default-wnn7egg)

;; Local Variables:
;; mode: emacs-lisp
;; End:
