Name:         wordnet
Version:      3.0
Release:      1%{?_dist_release}
Summary:      WordNet English lexical reference system
License:      Distributable
Group:        Applications/Text
Url:          http://wordnet.princeton.edu/
Vendor:       Project Vine
Distribution: Vine Linux
Packager:     Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Source0:      ftp://ftp.cogsci.princeton.edu/pub/wordnet/3.0/WordNet-%{version}.tar.bz2
BuildPreReq:  tcl tk

%description
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package tk
Summary: Tcl/tk frontend WordNet English lexical reference system
Group: Applications/Text
Requires: %{name}

%description tk
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.


%package -n lib%{name}
Summary: Library for WordNet English lexical reference system
Group: System Environment/Libraries
Requires: %{name}

%description -n lib%{name}
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package -n lib%{name}-devel
Summary: Includes for WordNet English lexical reference system
Group: Development/Libraries
Requires: lib%{name}

%description -n lib%{name}-devel
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.


%prep
%setup -q -n WordNet-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall \
	dictdir=%{buildroot}%{_datadir}/%{name} \
	htmldir=%{buildroot}%{_datadir}/%{name}/html \
	pdfdir=%{buildroot}%{_datadir}/%{name}/pdf \
	psdir=%{buildroot}%{_datadir}/%{name}/ps \

%post

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%{_bindir}/wn
%{_prefix}/lib/wnres
%{_datadir}/%{name}/*
%{_mandir}/man?/*

%files tk
%defattr(-,root,root)
%{_bindir}/wnb
%{_bindir}/wishwn*

%files -n lib%name
%defattr(-,root,root)
%{_libdir}/*

%files -n lib%name-devel
%defattr(-,root,root)
%{_includedir}/*

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 3.0-1vl5
- updated wordnet to 3.0
- applied new versioning policy, spec in utf-8

* Tue Aug  15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-0vl2
- Rebuilt for VineSeed (4.0)

* Mon Aug  7 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 2.1
- Updated to URL
- Fixed groups
- PS and PDF documents were excluded.
- Added configure and deleted the related sentences for old version.
- Left the destination of dictionary files as old version (the default in this version is /usr/dict).

* Wed Sep 29 2004  <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0 with substantial modification

* Thu Jun 10 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt1
- first build for Sisyphus (Thanks Ark Linux)

* Fri Mar 21 2003 Sergio Visinoni <piffio@arklinux.org> 1.7.1-3ark
- Really rebuild binaries when building
- Fix dictionary path

* Mon Nov 05 2002 Natasha Sainty <natasha@arklinux.org> 1.7.1-1ark
- First pkg
