Summary: A dictionary of English words for the %{_datadir}/dict directory.
Summary(ja): %{_datadir}/dict に格納される英単語辞書
Name: words
Version: 3.0
Release: 11%{?_dist_release}
License: public domain
Group: System Environment/Libraries
Source: http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z
URL: http://www.dcs.shef.ac.uk/research/ilash/Moby/

BuildArch: noarch
BuildRoot: %{_tmppath}/words-%{version}-root
BuildRequires: ncompress nkf coreutils grep

%description
The words file is a dictionary of English words for the %{_datadir}/dict
directory.  Programs like ispell use this database of words to check
spelling - and password checkers use it to look for bad passwords.

%description -l ja
words ファイルは %{_datadir}/dict ディレクトリに格納される
英単語辞書です．ispell といったプログラムがスペルチェックを行ったり，
パスワードチェックプログラムが好ましくないパスワードを検出したりするのに
使われます．


%prep
%setup -q -c

%build
cd mwords
#dos2unix -o *
for f in *
do
  mv $f $f.orig
  nkf --unix $f.orig > $f
  rm -f $f.orig
done

chmod a+r *
cat [1-9]*.??? | fgrep -v \'s | egrep  "^[[:alnum:]'&!,./-]+$" | sort --ignore-case --dictionary-order | uniq > moby

cat <<EOF >license.txt
On June 1, 1996 Grady Ward announced that the fruits of
the Moby project were being placed in the public domain:

The Moby lexicon project is complete and has
been place into the public domain. Use, sell,
rework, excerpt and use in any way on any platform.
    
Placing this material on internal or public servers is
also encouraged. The compiler is not aware of any
export restrictions so freely distribute world-wide.
    
You can verify the public domain status by contacting
   
Grady Ward
3449 Martha Ct.
Arcata, CA  95521-4884
    
daedal@myrealbox.com
EOF

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/dict
install -m644 mwords/moby $RPM_BUILD_ROOT%{_datadir}/dict/linux.words
ln -sf linux.words $RPM_BUILD_ROOT%{_datadir}/dict/words

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc mwords/readme.txt mwords/license.txt
%{_datadir}/dict/linux.words
%{_datadir}/dict/words


%changelog
* Thu Apr 14 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-11
- rebuild for Vine 6

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-10
- spec in utf-8

* Tue May 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0-9
- applied new versioning policy

* Wed Feb 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0-8vl1
- source updated based on Fedora (but using nkf instead of dos2unix)
  * Mon May  2 2005  Karel Zak <kzak@redhat.com> 3-7
  - sort with --dictionary-order
  * Tue Mar 29 2005 Karel Zak <kzak@redhat.com> 3-5
  - replace word list with much better Moby Project words list (#61395)
- added BuildRequires: ncompress, nkf, coreutils and grep

* Fri Jul 04 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2-17vl1
- rebuild with rpm-4.0.4 (now %{_docdir} is /usr/share/doc)

* Tue Apr 02 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- 2-17vl0
- patch{2,3} are taken from rawhide

* Tue Dec 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2-16vl2
- Oops, the spec file was in S-JIS. fixed

- 2-16vl1
- based on 2-16 from Rawhide
- added Japanese summary and description
- use better macros

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%{_tmppath}

* Thu Apr 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- add some words: some food additives, dinosaurs, atmospheric terms

* Fri Apr 07 2000 Trond Eivind Glomsr <teg@redhat.com>
- update description
- moved it to /usr/share/dict
- updated URL

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Sep 30 1998 Bill Nottingham <notting@redhat.com>
- take out extra.words (they're all in linux.words)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- correct desiccate (problem #794)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
