%define name wxGTK
%define wxconfig gtk2-unicode-release-2.8
%define wx_ver 2.8

Summary: The GTK+ 2 port of the wxWidgets library
Summary(ja): wxWidgets ライブラリーの GTK+ 2 ポート
Name: %{name}
Version: %{wx_ver}.12
Release: 3%{?_dist_release}

License: wxWindows License
Group: System Environment/Libraries
URL: http://www.wxwidgets.org/
Source0: wxGTK-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: cppunit-devel
#BuildRequires: gstreamer-devel >= 0.10
#BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: gtk2-devel
BuildRequires: expat-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkgconfig
BuildRequires: SDL-devel
BuildRequires: zlib-devel

Obsoletes: wx-gtk2 < %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: toshi_kd

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source code.

%package devel
Summary: The GTK+ 2 port of the wxWidgets library
Summary(ja): wxWidgets ライブラリーの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: wxBase = %{version}-%{release}
Requires: gtk2-devel
Requires: mesa-libGL-devel, mesa-libGLU-devel
Obsoletes: wx-gtk2-devel < %{version}-%{release}

%description devel
The GTK+ 2 port of the wxWidgets library, header files.

%package -n wxBase
Summary: Non-GUI support classes from the wxWidgets library
Group: System Environment/Libraries

%description -n wxBase
Every wxWidgets application must link against this library. It contains
mandatory classes that any wxWidgets code depends on (like wxString) and
portability classes that abstract differences between platforms. wxBase can
be used to develop console mode applications -- it does not require any GUI
libraries or the X Window System.


%prep
%setup -qn wxGTK-%{version}

sed -i -e 's|/usr/lib\b|%{_libdir}|' wx-config.in configure

# fix plugin dir for 64-bit
sed -i -e 's|/lib|/%{_lib}|' src/unix/stdpaths.cpp

# fix permissions for sources
chmod a-x include/wx/{msgout.h,dcgraph.h,graphics.h}
chmod a-x src/common/msgout.cpp

%build
%configure --enable-shared \
           --enable-unicode \
	   --enable-sound \
	   --enable-intl \
	   --enable-display \
	   --enable-geometry \
	   --enable-graphics_ctx \
	   --disable-rpath \
	   --with-expat \
	   --with-gtk \
	   --with-libpng \
	   --with-libjpeg \
	   --with-libtiff \
	   --with-libxpm \
	   --with-opengl \
	   --with-regex \
	   --with-sdl \
	   --with-zlib

%{__make} %{?_smp_mflags}

%install
%__rm -rf %{buildroot}

%makeinstall
ln -sf %{_libdir}/wx/config/%{wxconfig} %{buildroot}%{_bindir}/wx-config

%makeinstall -C contrib

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n wxBase -p /sbin/ldconfig
%postun -n wxBase -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc docs/changes.txt docs/gpl.txt docs/lgpl.txt docs/licence.txt
%doc docs/licendoc.txt docs/preamble.txt docs/readme.txt
%{_libdir}/libwx_gtk2u_adv-*.so.*
%{_libdir}/libwx_gtk2u_aui-*.so.*
%{_libdir}/libwx_gtk2u_core-*.so.*
%{_libdir}/libwx_gtk2u_fl-*.so.*
%{_libdir}/libwx_gtk2u_gizmos-*.so.*
%{_libdir}/libwx_gtk2u_gizmos_xrc*.so.*
%{_libdir}/libwx_gtk2u_gl-*.so.*
%{_libdir}/libwx_gtk2u_html-*.so.*
%{_libdir}/libwx_gtk2u_ogl-*.so.*
%{_libdir}/libwx_gtk2u_plot-*.so.*
%{_libdir}/libwx_gtk2u_qa-*.so.*
%{_libdir}/libwx_gtk2u_richtext-*.so.*
%{_libdir}/libwx_gtk2u_stc-*.so.*
%{_libdir}/libwx_gtk2u_svg-*.so.*
%{_libdir}/libwx_gtk2u_xrc-*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/wx-config
%{_bindir}/wxrc*
%{_includedir}/wx-2.8
%{_libdir}/libwx_*.so
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include
%{_libdir}/wx/include/gtk2*
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2*
%{_datadir}/aclocal/*
%{_datadir}/bakefile/presets/*

%files -n wxBase
%defattr(-,root,root,-)
%doc docs/changes.txt docs/gpl.txt docs/lgpl.txt docs/licence.txt
%doc docs/licendoc.txt docs/preamble.txt docs/readme.txt
%{_libdir}/libwx_baseu-*.so.*
%{_libdir}/libwx_baseu_net-*.so.*
%{_libdir}/libwx_baseu_xml-*.so.*

%changelog
* Thu Aug 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.12-3
- increment release number (+2)
- add version-release to Obsoletes tag
  - O: wx-gtk2 < %{version}-%{release}
  - O: wx-gtk2-devel < %{version}-%{release}
- remove wx-gtk2* package from repository

* Sun Jul 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.12-1
- redefined name, package structure and configure

* Wed May 4 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.12-1
- new upstream version

* Thu Sep 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.11-2
- built with rpm-4.8.1-1 for pkg-config file
- changed libjpeg-devel to libjpeg-turbo-devel
- added BuildRequires: libSM-devel, cppunit-devel, libgnomeprintui-devel

* Tue Jun 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.11-1
- new upstream version
- dropt all patches

* Tue Feb 23 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.10-4
- added Patch10: wxGTK-2.8.10-gsockgtk.patch
- added conrib libraries
- rebuilt with new toolchain

* Tue Jul 28 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.8.10-3
- add patch100 for fix CVE-2009-2369 (Interger OF) from fc10

* Mon Jun 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.10-2vl5
- spec in UTF-8

* Thu Mar 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.10-1vl5
- new upstream version
- built with gtk2-2.16.0

* Wed Jan 21 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.8.9-1vl5
- new upstream version
- modified BuildPreReq: mesa-libGL-devel mesa-libGLU-devel (instead of XOrg-gl-devel)

* Tue Feb 26 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.8.7-0vl5
- rebuild with expat-2.0.1
- add BuildPreReq: expat-devel pkgconfig

* Sun Jan 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.7-0vl4
- rebuilt with gtk2-2.12.5

* Sun Dec 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8.7-0vl3
- rebuilt for VineSeed

* Sun Dec 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8.7-0vl2
- add --enable-unicode configure option

* Sat Dec 29 2007 Shu KONNO  <owa@bg.wakwak.com> - 2.8.7-0vl1
- new upstream version

* Fri Jun  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.6.3-0vl2
- rebuilt with new toolchain

* Thu May 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.6.3-0vl1
- new upstream version
- fixed Obsoletes tag

* Fri Oct 21 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.6.2-0vl1
- new upstream version
- added Obsoletes: %{name}-gl %{name}-samples

* Sun Jul 10 2005 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.6.1-0vl1
- new upstream version
- remove private symbol patch 
- remove wx-gtk2-gl, wx-gtk2-samples subpackage

* Tue May 25 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 2.4.2-0vl1
- Initial build.
