# if you want to make xanim_plus version, 
# uncomment below line, or rpm --with plus
# % define plus 1
%define plus 0
%{?_with_plus:%define plus 	1}

%if %{plus}
%define name xanim_plus
%else
%define name xanim
%endif

Summary: An X based viewer for many animation/video/audio file formats.
Summary(ja): アニメーション/ビデオ/オーディオ・ビューア
Name: %{name}
Version: 2.80.1
Release: 4%{?_dist_release}
#Serial: 2
License: MIT
Group: Applications/Multimedia
Url: http://xanim.va.pubnix.com/
Source: ftp://xanim.va.pubnix.com/xanim2801.tar.gz
%if %{plus}
Source1: ftp://xanim.va.pubnix.com/modules/xa2.0_cvid_linuxELFg21.o.gz
Source2: ftp://xanim.va.pubnix.com/modules/xa2.1_iv32_linuxELFg21.o.gz
Source3: ftp://xanim.va.pubnix.com/modules/xa1.0_cyuv_linuxELFg21.o.gz
%endif
Patch0: xanim-libpath.patch
Patch1: http://radar.sci.hokudai.ac.jp/~kato/computer/Util/xanim/xanim_wheelmouse.diff
Patch2: xanim.Imakefile.mod.patch

#BuildRequires: XOrg-devel zlib-devel
BuildRequires: xorg-x11-devel zlib-devel

Vendor: Project Vine
Distribution: Vine Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%if %{plus}
Provides: xanim
Obsoletes: xanim
%endif

%description
The XAnim program is an animation/video/audio viewer for the X Window
System.  XAnim can display a large variety of animation, audio and
video formats.

Install the xanim package if you need a viewer for an animation, video
or audio file.

%description -l ja
XAnim は，Xウィンドウシステム上で動作する，アニメーション/ビデオ/オーデ
ィオ・ビューアです．XAnim はさまざまなアニメーション/ビデオ/オーディオの
フォーマットに対応しています．

一部著作権の問題で配布ソースに含まれていないデコーダ(Radius Cinepak, 
Intel Indeo 3.2,Creative Technology's CYUV)があります．これも，xanim 
の web ページから取得し，make し直すこと によって対応することができま
す．(specファイルを参照してください．)

#'
%prep
%setup -q -n xanim2801
%patch0 -p1 -b .orig
%patch1 -p0 -b .wheel
#mv *.readme docs || :

%if %{plus}
mkdir -p mods
cp %SOURCE1 %SOURCE2 %SOURCE3 mods
gunzip mods/*
%patch2 -p0
%endif

%build
xmkmf
#make xanim INCDIR=/usr/X11R6/include/X11
make xanim INCDIR=/usr/include/X11

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
cp -pr docs/xanim.man .
#make DESTDIR=$RPM_BUILD_ROOT install.man
make DESTDIR=$RPM_BUILD_ROOT MANPATH=%{_mandir} install.man
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xanim
%if %{plus}
for codec in *.xa; do
  install -m755 $codec $RPM_BUILD_ROOT%{_libdir}/xanim || :
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
#/usr/X11R6/bin/xanim
#/usr/X11R6/man/man1/xanim.1x*
%{_bindir}/xanim
%{_mandir}/man1/xanim.1x*
%dir %{_libdir}/xanim
%if %{plus}
%{_libdir}/xanim/*
%endif

%changelog
* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 2.80.1-4vl5
- applied new versioning policy, spec in utf-8
- changed path of x11
- added value of MANPATH in make-install

* Fri Jun 17 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.80.1-3vl15
- rebuild with new toolchains
- s/Copyright/License/

* Fri Apr 20 2001 Jun Nishii <jun@vinelinux.org>
- 2.80.1-3vl14
- added macro:plus

* Thu Jul 13 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 2.80.1-3vl13
- modified %patch1 -p1 -> %patch1 -p0
- fix %prep section
- modified %files section to handle compressed man pages
- modified BuildRoot:

* Thu Dec  2 1999 Jun NISHII <jun@flatout.org>
- fix defattr

* Thu Nov 18 1999 Jun NISHII <jun@flatout.org>
- added Japanese summary and description
- added wheel mouse patch

* Tue Jun 22 1999 Matt Wilson <msw@redhat.com>
- removed proprietary codecs

* Fri May 14 1999 Bill Nottingham <notting@redhat.com>
- add alpha codecs.

* Mon May 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.80.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- built new codecs for glibc2.1

* Thu Nov 05 1998 Michael Maher <mike@redhat.com>
- added binary codecs to read other formats.

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- updated package

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
