%define name	xblastTNT
%define version	2.7.38
%define cversion 2.6.1
%define release	1%{?_dist_release}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A multi-player arcade game for X11w
Summary(ja): X 用のマルチプレーヤで楽しむゲームです．
Source: xblast-tnt-unix.tar.gz
Source1: ftp://ftp.x.org/contrib/games/multiplayer/xblast-%{cversion}.sound.tar.gz
Source2: image.tar.gz
Source3: level.tar.gz
Icon: xblast.gif
Group: Applications/Games
License: GPL2
URL: http://www.ndh.net/home/m.vogel/download.html
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: XOrg-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
XBlast is a multi-player arcade game for X11R5/R6. The game can be played
with at least two players and up to four players. It was inspired by
the video/computer game Bomberman(Dynablaster), which was to my
knowledge first programmed for NEC's PC Engine/Turbo Grafx. Other
(commercial) versions of the original game exist for IBM-PC, Atari ST,
Amiga, NES, GameBoy and Super NES.

%description -l ja
XBlast は X 上でみんなで楽しむゲームです．プレーヤ数は2人から4人まで
選べます．もともとはビデオ/コンピュータゲームのボンバーマンに刺激され
て作られたものです．

XBlast-TNTは、XBlast の開発中のバージョンです。まだ動作が不安定な可能
性もあります。 

%prep
%setup -q -a 1 -n XBlast-TNT
mv XBlast-2.6-sound/image .
mv XBlast-2.6-sound/level .
mv XBlast-2.6-sound/xblast.man .

tar xzvf %{SOURCE2}
tar xzvf %{SOURCE3}

%build
xmkmf -a
make Makefiles
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

(cd $RPM_BUILD_ROOT/usr/X11R6/bin/
mv xblast xblastTNT
)

# add applnk
%define applnkdir /etc/X11/applnk/Games
mkdir -p $RPM_BUILD_ROOT/%{applnkdir}
cat > $RPM_BUILD_ROOT/%{applnkdir}/%{name}.desktop <<EOF

[Desktop Entry]
Name=xblastTNT
Type=Application
Comment=A multi-player arcade game for X11
Comment[ja]=X 用のマルチプレーヤで楽しむゲームです．
Exec=xblastTNT
Terminal=false
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/*
%config(missingok) %{applnkdir}/%{name}.desktop

%changelog
* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> TNT-2.7.38-1vl5
- applied new versioning policy, spec in utf-8
- modified directory about X11

* Sun Oct  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> TNT-2.7.38-0vl3
- rebuilt for Vine Linux 4.0
- changed Group to Applications/Games

* Mon Mar 25 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> TNT-2.7.38-0vl2
- fixed build problem

* Sat Feb  2 2002 Jun Nishii <jun@vinelinux.org>
- TNT-2.7.38-0vl1

* Tue Sep 26 2000 Jun Nishii <jun@vinelinux.org>
- TNT-0.20000926-0vl1

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 2.6.1-1vl1
- tiny modification of spec file
- added applnk
- fix group

* Thu Nov 18 1999 Jun NISHII <jun@vinelinux.org>
- 2.6.1-1
- build for Vine Linux 2.0

