Summary: A tool for viewing and managing X11 bitmap and Xpm pixmap files.
Name: xbmbrowser
Version: 5.1
Release: 13%{?_dist_release}
License: distributible 
Group: User Interface/X
Source0: ftp://ftp.x.org/contrib/utilities/xbmbrowser5.1.tar.gz
Source1: xbmbrowser.wmconfig
Patch0: xbmbrowser-5.1-vine.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libXpm-devel libXaw-devel libXmu-devel libXext-devel
BuildRequires: libSM-devel libICE-devel libXt-devel libX11-devel
BuildRequires: imake

%description
XbmBrowser provides a graphical interface for viewing and managing
bitmap and pixmap files. Xbmbrowser will display all of the bitmaps or
pixmaps found in a specified directory.  It will also perform various
operations on the files, including renaming, copying, deleting,
editing, or setting one as the background pattern on your display.

%prep
%setup -q -n xbmbrowser5.1
%patch0 -p1 -b .orig

%build
xmkmf -a 
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT MANPATH=%{_mandir} XAPPLOADDIR=%{_datadir}/X11/app-defaults

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/xbmbrowser.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xbmbrowser
install -m 0755 xbm-cmd xbm-resize $RPM_BUILD_ROOT%{_bindir}

%files
%defattr(-,root,root)
%doc README Changes OtherUses
%dir /etc/X11/xbmbrowser
%config /etc/X11/xbmbrowser/xbmbrowser.menu
%config /etc/X11/wmconfig/xbmbrowser
/etc/X11/xbmbrowser/xbmbrowser.menu.tut
%{_bindir}/*
%{_datadir}/X11/app-defaults/*
%{_mandir}/man1/xbmbrowser.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-13
- rebuilt with libXaw 1.0.6

* Sat Oct 18 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-12vl5
- updated Patch0
- added X11 build dependencies

* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 5.1.11-1vl5
- applied new versioning policy
- added MANPATH, XAPPLOADDIR at make-install
- modified directories about X11

* Mon Sep 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt with new toolchains
- changed Group to User Interface/X

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %%{_tmppath}

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix docdir location

* Fri May 19 2000 Ngo Than <than@redhat.de>
- gzip manpage
- rebuild or powertools 7.0

* Mon Jul 26 1999 Tim powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 09 1999 Michael Maher <mike@redhat.com>
- made package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2 powertools

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- bulit for glibc
