# Nobody likely uses this so we disable it
%define with_tclplugin 0

%define name xchat
%define version 2.8.8
%define release 1%{?_dist_release}

Summary:   GTK2 based graphical IRC client
Summary(ja):   GTK2 ベースのグラフィカル IRC クライアント
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     Applications/Internet
License:   GPL
URL:       http://www.xchat.org/

Source0: http://www.xchat.org/files/source/2.8/xchat-%{version}.tar.xz

#Patch10: http://xchat.org/files/source/2.8/patches/xc286-smallfixes.diff

# Patches 0-9 reserved for official xchat.org patches

Patch12: xchat-1.8.7-use-sysconf-to-detect-cpus.patch
# see #241923
Patch35: xchat-2.8.4-disable-tray-icon-by-default.patch
# Upstream XChat 2.8.6 defaults to Latin1 (what upstream calls the "IRC"
# encoding). Default to UTF-8 instead (as previous versions did, at least when
# running under a UTF-8 locale).
# Both the "IRC" and "UTF-8" settings will try to accept both Latin1 and UTF-8
# when it comes in, however "IRC" sends Latin1, "UTF-8" sends UTF-8.
Patch41: xchat-2.8.6-default-utf8.patch
# patch to add ability to change to tab with most recent activity
# See http://sourceforge.net/tracker/?func=detail&aid=2022871&group_id=239&atid=350239
Patch50: xchat-2.8.6-change-page-activity.patch
# add port numbers for Freenode (Debarshi Ray)
Patch51: xchat-2.8.6-freenode-ports.patch
# work with libnotify 0.7
# https://sourceforge.net/tracker/?func=detail&aid=3109838&group_id=239&atid=100239
Patch52: xchat-2.8.8-libnotify07.patch

# Vine
#Source100: xchat-2.4.5-ja.po
Patch100: http://takuo.jp/junk/xchat/99_plus.dpatch
Patch110: http://takuo.jp/junk/xchat/99_x_dialog.dpatch
Patch200: xchat-2.8.6_defaultserver-vine.patch
#Patch201: xchat-2.8.6-x86_64.patch

# xchat MUST have the version of perl installed which was used to compile
# it, or else the embeded perl interpreter will break.
Requires: %(perl -le 'use Config; print $Config{archlibexp}')

BuildRequires: glib2-devel >= 2.2.0
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: bison >= 1.35
BuildRequires: gettext, sed
BuildRequires: perl, python-devel, openssl-devel, pkgconfig
BuildRequires: autoconf 
BuildRequires: GConf2-devel
BuildRequires: dbus-devel >= 1.0
BuildRequires: tcl

Requires(post): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14

Buildroot: %{_tmppath}/%{name}-%{version}-root


%description
X-Chat is an easy to use graphical IRC chat client for the X Window
System. 

%description -l ja
X-ChatはGTK2ベースのXウィンドウシステム用のIRCクライアントです。


%prep
%setup -q

##%patch10 -p1

%patch12 -p0 -b .use-sysconf-to-detect-cpus
%patch35 -p1 -b .tray-icon
%patch41 -p1 -b .default-utf8
%patch50 -p1 -b .active-channel-switch
%patch51 -p1 -b .freenode-ports
%patch52 -p1 -b .libnotify07

%patch100 -p1 -b .plus
%patch110 -p1 -b .dialog

%patch200 -p1 -b .servlist
#%patch201 -p1 -b .x86_64

sed -i -e 's/#define GTK_DISABLE_DEPRECATED//g' src/fe-gtk/*.c
sed -i -e 's/GETTEXT_MACRO_VERSION = 0\.17/GETTEXT_MACRO_VERSION = 0.18/g' po/Makefile.in.in


%build
touch NEWS ABOUT-NLS
libtoolize --copy --force
aclocal
automake
autoconf
# Remove CVS files from source dirs so they're not installed into doc dirs.
find . -name CVS -type d | xargs rm -rf

export CFLAGS="$RPM_OPT_FLAGS $(perl -MExtUtils::Embed -e ccopts)"
export LDFLAGS=$(perl -MExtUtils::Embed -e ldopts)

if pkg-config openssl ; then
	export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
	export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure --disable-textfe \
           --enable-openssl \
           --enable-python \
           --disable-spell \
%if %{with_tclplugin}
	   --enable-tcl \
%endif	   
           --enable-ipv6

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove unwanted stuff
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/*.la
#rm -f $RPM_BUILD_ROOT%{_datadir}/applications/xchat.desktop
#rm -f $RPM_BUILD_ROOT/etc/X11/applnk/Internet/xchat.desktop

%find_lang %name


%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/xchat
%{_libdir}/xchat/plugins/*.so
%{_datadir}/applications/xchat.desktop
%{_datadir}/dbus-1/services/*
%{_datadir}/pixmaps/*


%clean
rm -rf $RPM_BUILD_ROOT


%post
# Install schema
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/apps_xchat_url_handler.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 -a -f "/etc/gconf/schemas/apps_xchat_url_handler.schemas" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/apps_xchat_url_handler.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/apps_xchat_url_handler.schemas > /dev/null || :
fi


%changelog
* Sun Mar 27 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.8.8-1
- new upstream release.
- shipped some patches from Fedora development.

* Sat Jan 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.8.6-5
- rebuild with openssl-1.0.0c
- add BuildRequires: tcl
- add Patch201 (xchat-2.8.6-x86_64.patch)

* Fri Feb 05 2010 Shu KONNO <owa@bg.wakwak.com> 2.8.6-4
- rebuilt with python-2.6.4-3

* Tue Nov 03 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.8.6-3
- updated Patch200 (Vine channel's default encoding to UTF-8)

* Wed Apr 08 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.8.6-2
- rebuilt with gtk2-2.16.0
- don't #define GTK_DISABLE_DEPRECATED (fixes build against current GTK+)
- add Patch200 (set default server connection for Vine people)
- TODO: update ja.po

* Mon Sep 01 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.8.6-1
- updated to 2.8.6
- drop/add patches

* Sun May 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8.4-1
- new versioning policy
- rebuilt with perl-5.10.0
- spec in UTF-8

* Tue Jan 29 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8.4-0vl1
- updated to 2.8.4 with updated plus patch and upstream patches (14-16)

* Tue Jun 19 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8.2-0vl1
- updated to 2.8.2 with plus patch

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.8-0vl4
- rebuild with dbus-1.0

* Wed Nov 29 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.6.8-0vl3
- build without libsexy.

* Thu Nov 23 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.6.8-0vl2
- added Patch10 and Patch20 for possible crashes under certain environments

* Thu Oct 26 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.6.8-0vl1
- updated to 2.6.8 with plus patch

* Sun Sep 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.5-0vl1
- new upstream release
- updated ja.po
- added Patch1 from http://www.xchat.org/files/source/2.4/patches/
- added Patches from Fedora
  * Sun May 15 2005 Warren Togami <wtogami@redhat.com> 1:2.4.3-3
  - Prevent interception of down arrow during Input Method (#144588 tagoh)
  * Thu Apr 14 2005 Warren Togami <wtogami@redhat.com> 1:2.4.3-2
  - fix plugins on lib64 (#113188 Ville Skytta)
  * Tue Jan  4 2005 Christopher Aillon <caillon@redhat.com> 1:2.4.1-2
  - Add Dan Reed's CTCP patch to support multiline messages (#136545)
  * Tue Aug 17 2004 Daniel Reed <djr@redhat.com> 1:2.4.0-2
  - #125846 Change xchat.desktop names to "IRC"

* Sun Jan 09 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.9-0vl4
- rebuild with perl-5.8.6-0vl2

* Tue Jul  6 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-0vl3
- rebuild with perl-5.8.2-0vl2
- updated ja.po

* Mon Jun 21 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.9-0vl2
- resume othersview patch (Patch21)

* Sun Jun 20 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-0vl1
- new upstream release
- updated Patch10
- dropped unneeded patches
- updated ja.po

* Fri Nov  7 2003 IWAI, Masaharu <iwai@alib.jp> 2.0.2-0vl5
- build with perl-5.8.2

* Fri Sep 26 2003 IWAI, Masaharu <iwai@alib.jp> 2.0.2-0vl4
- build with perl-5.8.1
- change spec file's encoding: shift_jis -> euc-jp

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl3
- add ja.po

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl2
- add patch21 from debian to support othersview.

* Thu Jun 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-0vl1
- build for Vine Linux based on rawhide
- some parts is merged with Vine Linux 1.8.10-0vl2
  * Wed Jan 15 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.10-0vl2
  - rebuilt against gnome-libs-1.4.2-0vl2 (for db1/db4 matters)
  - add BuildRequires: automake14, autoconf213
  - modified source10 (openprojects has been renamed to freenode)
  * Tue Aug 13 2002 IWAI Masaharu <iwai@alib.jp> 1.8.10-0vl1
  - upstream update
  - updated plus patch
  - moved xchat.desktop to %%{_sysconfdir}/X11/applnk/Internet by upstream
  * Thu Jul 25 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.8-0vl3
  - use source10 instead of patch10 for server list
  - default server for #VineUsers changed to OpenProjects Network's
  * Wed Mar 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.8-0vl2
  - now with 1.8.8 plus patch
  * Sat Mar 16 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.8.8-0vl1
  - upstream release
  - updated vine-serverlist.patch
  - stop to apply plus patch
    ( xchat-1.8.4 has the security hole... )
  * Tue Oct  2 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.8.4-0vl3
  - removed backup files for %%patch0 in Document Directory
  * Sun Sep 30 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.8.4-0vl2
  - updated to 1.8.4 release with plus patch :-)
  * Sun Sep 30 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.8.4-0vl1
  - upstream release
  * Mon Sep  3 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
  - 1.8.3-0vl1
  - upstream release
  - add xchat-text
  - add docs: COPYING FAQ plugins/* scripts-perl/* scripts-python/*
  * Fri Aug  3 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
  - 1.8.2-0vl1
  - upstream release
  * Sat Jul 21 2001 <iwaim@cc.mbn.or.jp>
  - 1.8.1-0vl1
  - upstream release
  - modified server.vine patch
  * Sun Jul 15 2001 <sagami@vinelinux.org>
  - 1.6.4.1-0vl3: prefix -> _prefix
  - OLD_PO_FILE_INPUT=yes to build with new gettext
  - use %%{find_lang}
  * Wed Apr 11 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
  - 1.6.4.1-0vl2
  - fix CFLAGS for e-paned
  * Tue Feb  6 2001 Takuo KITAME <kitame@northeye.org>
  - 1.6.3.1-0vl1
  - New upstream release
  * Tue Oct 31 2000 Jun Nishii <jun@vinelinux.org>
  - 1.5.9.4-0vl1
  - This is the first release of xchat-plus.
  * Mon Jul  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - added w3m patch
  * Wed Apr  12 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.4.2
  * Thu Mar  14 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.4.1
  - separated ja_nls patch to more_ja_nls and libjcode patches.
  * Sat Mar  04 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - modified mb_fix patch for cut & paste.
  * Fri Feb  11 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.4.0
  * Wed Feb  2 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.3.13
  * Mon Jan 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - modified mb_fix patch
  * Wed Jan  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.3.10
  * Wed Dec  8 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 1.3.8
  - added mb_fix patch
  * Tue Nov  9 1999 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - update to 1.3.6
  * Sun Oct 17 1999 Jun NISHII <jun@flatout.org>
  - merge ja-patch

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-7
- Added back BuildRequires autoconf, and call autoconf prior to ./configure
  as it seems to make xchat build successfully.  Have not bothered to figure
  out why calling autoconf is needed.  Something for a rainy day.

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-6
- Removed gnome-libs BuildRequires as it is bogus now
- Removed autoconf BuildRequires and usage, as it should be unneeded
- Added new BuildRequires on gettext, bison >= 1.35, glib2-devel >= 2.0.3,
  gtk2-devel >= 2.0.3, /bin/sed  (#91676 - Warren Togami)
- Removed dead patches: xchat-1.8.9-perlcrypt.patch, xchat-1.8.9-korean-fontset.patch

* Wed May 21 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-5
- Removed xchat.desktop file, as it was earlier replacedwith a patch
- Converted xchat-2.0.2-redhat-desktop-file.patch to be UTF-8 clean now,
  instead of the various random legacy mix of encodings it was, updating
  the following: es, ko, uk, zh_TW

* Tue May 20 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-4
- Replace explicit perl package name-epoch-version Requires added in 2.0.2-3
  with a more robust and generic solution of querying perl for the archlibexp
  dir during building, and requiring it instead

* Tue May 20 2003 Bill Nottingham <notting@redhat.com> 2.0.2-3
- rebuild against new (old?) perl, add epoch to dependency

* Sat May 17 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-1
- Updated to new xchat 2.0.2 based on GTK2
- Dropped unneeded patches xchat-1.8.1-konqueror.patch,
  xchat-1.8.4-fix-USE_GNOME.patch
- Updated xchat-2.0.2-freenode.patch to refer to Openprojects.net
- Removed doc/xchat.sgml doc/*.html scripts-python scripts-perl from %%doc
- Added xchat-2.0.2-redhat-desktop-file.patch to patch the supplied xchat
  desktop file, instead of replacing it and trying to stay in sync
- Added xchat-2.0.2-lib64-cleanup-for-python.patch which fixes build problems
  on lib64 archs, and replaces xchat-multilib.patch
- Added with_tclplugin macro and default it to disabled

* Mon Mar 17 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-8
- Added xchat-1.8.11-nickall.patch which was written by Fabio Olive Leite,
  sent to me by Rik van Riel

* Wed Feb 19 2003 Bill Nottingham <notting@redhat.com> 1.8.11-7
- ship single desktop in %{_datadir}/applications, not /etc/X11/applnk

* Fri Jan 31 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-6
- Added xchat-1.8.11-freenode.patch to rename all openprojects.net entries
  to freenode.net in the default server list.  Patch courtesy of Dan Burcaw
  from bug (#81704)

* Wed Jan 22 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-5
- Removed double .desktop file (#81874,82315)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 1.8.11-4
- rebuilt

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-3
- Add bugfix from xchat.org xc1811fixststint.diff

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-2
- Remove CVS files from source dirs so they're not installed into doc dirs.

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-1
- Update to xchat 1.8.11 bugfix release, fixes various runtime crashes
- Remove now included patches: xchat-1.8.10-urlhandler-open-in-new-tab.patch,
  xchat-1.8.10-beep-beep-beep.patch

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.8.10-13
- Pick up OpenSSL configuration from pkgconfig, if available
- Add openssl-devel and pkgconfig as buildreqs

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 1.8.10-12
- Fix broken libpython path on multilibbed systems (patch13)
- _smp_mflags

* Tue Nov 26 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-11
- Added xchat-1.8.10-urlhandler-open-in-new-tab.patch to offer the option of
  opening a URL in a new tab of an existing browser window rather than a new
  window

* Sat Nov 23 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-10
- Added BuildRequires: python-devel to hopefully pick up a missing dep
  causing package build failure in timp's nightly builds.
- Removed dead patches
- Updated package summary and description to be more user friendly by
  rewording, and removing scary words like GNOME, GTK and other irrelevance

* Wed Nov 13 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-9
- Made sure {_sysconfdir}/X11/applnk/Internet/xchat.desktop gets packaged
- Removed some conditional weirdness in %%files list.  This may break xchat
  erratum releases on Red Hat Linux 7.x.  May need to be fixed in future.

* Fri Aug 23 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-7
- Added Requires line so that xchat requires the exact version of perl
  be installed, that was used to compile it, since the embedded perl
  interpreter will break, if you upgrade perl

* Thu Aug 15 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-6
- Fix Bill's beep beep beep bug (#71651)

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com> 1.8.10-5
- actually install the desktop file.

* Fri Aug  9 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-3
- Added http://xchat.org/files/source/1.8/patches/xc1810fixme.diff to fix
  bug with using /ME in a /QUERY window.  (#71179)

* Wed Aug  7 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-2
- Updated to xchat 1.8.10 to fix a few bugs where a remote ircd could cause
  the xchat client to crash.  This is a bugfix only release.

* Tue Aug  6 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-10
- Added Korean fontset support to fix bug (#69771)

* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-9
- Enabled python scripting which was somehow disabled somewhere along the
  line by default in upstream sources, and we missed catching it. (#70816)

* Sun Aug  4 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-8
- Created new-style net-xchat.desktop file (#69541)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.8.9-7
- automated rebuild

* Tue Jun 18 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-6
- updated the package description
- Added CFLAGS and LDFLAGS export vars before configure to fix rpath problem

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-2
- Updated to xchat 1.8.9

* Mon Apr  8 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-5
- Re-enabled GNOME support due to user complaints of pixmaps missing, key
  bindings, and other fairly important features no longer working.

* Tue Mar 27 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-4
- Disabled GNOME support since it doesn't seem too useful anyways, and forces
  all xchat users to install GNOME libs even if they use KDE. (#59626)
- Updated URL and source lines in spec.

* Wed Mar  6 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-1
- Updated to xchat 1.8.8

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-6
- Built in new buildroot

* Tue Feb  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-5
- Added xchat-1.8.7-use-sysconf-to-detect-cpus.patch to use glibc's sysconf()
  to detect the number of processors available.

* Mon Feb  4 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-4
- Enabled IPv6 support as per the request for enhancement (#52124)

* Thu Jan 24 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-3
- Rebuilt in new build environment

* Thu Jan 10 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-2
- Updated to xchat 1.8.7
- New release fixes security vulnerability in CTCP reply
- Built erratum for all supported releases (1.8.7-1.62.0, 1.8.7-1.70.0,
  1.8.7-1.71.0, 1.8.7-1.72.0)
- Removed konqueror patch as it is integrated now.

* Sat Jan  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.6-2
- Enabled ssl support with --enable-openssl
- Also built releases 1.72.0, 1.71.0, 1.70.0, 1.62.0 for erratum release

* Mon Dec 10 2001 Mike A. Harris <mharris@redhat.com> 1.8.6-1
- Updated to xchat 1.8.6

* Tue Nov 13 2001 Mike A. Harris <mharris@redhat.com> 1.8.5-1
- Updated to xchat 1.8.5
- Added f to rm -r in install and clean sections

* Sun Oct  7 2001 Mike A. Harris <mharris@redhat.com> 1.8.4-1
- Updated to 1.8.4, now using tar.bz2
- Removed kanjiconv-fix patch as it is integrated now
- Added xchat-1.8.4-fix-USE_GNOME.patch to fix simple ifdef USE_GNOME typo

* Fri Jul 13 2001 Akira TAGOH <tagoh@redhat.com> 1.8.1-2
- fixed check locale.
- don't save kanji_conv.
  always check locale. however anyone can change the option from
  the settings menu.

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 1.8.1
- remove autoconnect patch since it's upstream
- remove japanese patch, upstream seems to have applied
  parts of it and changelog says there's upstream support.
  (this patch was pretty huge to maintain in an SRPM anyway...)
- put scripts-python scripts-perl in docs bug #28521
- remove patch to include locale.h, gone upstream
- upgrade konqueror patch

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- nevermind, BuildRequires gnome-libs, that should 
  close #48923

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- fix file list to not include absolute path "/usr/share/..."
  no idea how that ever worked at all. closes #48923

* Mon Jun 25 2001 Karsten Hopp <karsten@redhat.de>
- use konqueror, not kfmclient on URLs

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- langify
- use %%{_tmppath}
- make it compile

* Tue Feb 13 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Tue Feb 13 2001 Havoc Pennington <hp@redhat.com>
- patch that may fix autoconnections (bug 27093)

* Mon Jan 22 2001 Havoc Pennington <hp@redhat.com>
- 1.6.3
- remove patch to desktop file (Internet->Application), seems to 
  have gone upstream

* Sat Dec 9 2000 Havoc Pennington <hp@redhat.com>
- Remove security fix which has been merged upstream
- upgrade to 1.6.1

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Don't use /bin/sh to interpret URLs from the net

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Updated Epoch

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Install HTML docs

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- fix desktop entry

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- rebuild for the Winston tree, update to 1.4.2
