Summary: A clock for the X Window System.
Summary(ja): X ウィンドウシステム向けの時計
Name: xdaliclock
Version: 2.25
Release: 1%{?_dist_release}
Group: User Interface/X
License: MIT
Source: http://www.jwz.org/xdaliclock/xdaliclock-%{version}.tar.gz
Patch: xdaliclock-shape-cycle.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libSM-devel
BuildRequires: libICE-devel
BuildRequires: libXt-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
The xdaliclock program displays a digital clock, with digits that
merge into the new digits as the time changes.  Xdaliclock can display
the time in 12 or 24 hour modes and can will display the date if you
hold your mouse button down over it.  Xdaliclock has two large fonts
built in, but is capable of animating other fonts.

Install the xdaliclock package if you want a fairly large clock, with
a melting special effect, for your system.

%prep
%setup -q
%patch -p1

%build
cd X11
CFLAGS="%{optflags} -D_GNU_SOURCE" %configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
cd X11
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xdaliclock
%{_mandir}/man1/xdaliclock.1*

%changelog
* Wed Jun 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.25-1
- new upstream release
- applied new versioning policy, spec in UTF-8
- fixed location to install

* Mon Jul 31 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- rebuilt with new toolchains
- changed Group to User Interface/X
- s/Copyright/License/

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- add '-D_GNU_SOURCE' (needed for ia64)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binary

* Tue Nov 30 1999 Bill Nottingham <notting@redhat.com>
- 2.18

* Mon Nov 15 1999 Bill Nottingham <notting@redhat.com>
- update to 2.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig goes away...

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.14

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.13

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
