Summary:	Gnome integration of special directories
Summary(ja):	ユーザー用の特別なディレクトリの Gnome への統合
Name:		xdg-user-dirs-gtk
Version:	0.9
Release:	1%{?_dist_release}
Source0:	http://download.gnome.org/sources/xdg-user-dirs-gtk/%{version}/%{name}-%{version}.tar.xz
License:	GPL+
Group:		User Interface/Desktops
URL:		http://freedesktop.org/wiki/Software/xdg-user-dirs

Requires:	xdg-user-dirs
BuildRequires:	gettext, gtk3-devel, pkgconfig, perl-XML-Parser, xdg-user-dirs
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, kazutaka

%description
Contains some integration of xdg-user-dirs with the gnome
desktop, including creating default bookmarks and detecting
locale changes.

%description -l ja
このパッケージをインストールすると、xdg-user-dirs を Gnome
デスクトップ環境に統合します。またデフォルトのブックマーク
の作成や言語の設定変更の検出も行なわれるようになります。


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS README ChangeLog COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop

%changelog
* Wed Jun 27 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9-1
- new upstream release
- changed BuildRequires: gtk2-devel to gtk3-devel

* Mon Apr 18 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.8-2
- rebuild for Vine 6

* Fri Nov 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8-1
- initial build for Vine Linux based on fedora package

* Mon Sep  8 2008 Tomas Bzatek <tbzatek@redhat.com> - 0.8-2
- Require intltool

* Fri Sep  5 2008 Matthias Clasen  <mclasen@redhat.com> - 0.8-1
- Update to 0.8
 
* Tue Aug 12 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7-2
- Fix license tag.

* Tue Feb 12 2008 Alexander Larsson <alexl@redhat.com> - 0.7-1
- Update to 0.7
- Uncomment missing patches

* Sun Nov  4 2007 Matthias Clasen <mclasen@redhat.com> - 0.6-4
- Correct the URL

* Mon Oct  1 2007 Matthias Clasen <mclasen@redhat.com> - 0.6-2
- Fix the special case for en_US  (#307881)

* Tue Aug 21 2007 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Update to 0.6 (new translations)

* Fri Jul  6 2007  Matthias Clasen  <mclasen@redhat.com> - 0.5-2
- Make the autostart file work in KDE (#247304)

* Wed Apr 25 2007  <alexl@redhat.com> - 0.5-1
- Update to 0.5
- Fixes silly dialog when no translations (#237384)

* Wed Apr 11 2007 Alexander Larsson <alexl@redhat.com> - 0.4-1
- update to 0.4 (#234512)

* Tue Mar  6 2007 Alexander Larsson <alexl@redhat.com> - 0.3-1
- update to 0.3
- Add xdg-user-dirs buildreq

* Fri Mar  2 2007 Alexander Larsson <alexl@redhat.com> - 0.2-1
- Update to 0.2

* Fri Mar  2 2007 Alexander Larsson <alexl@redhat.com> - 0.1-2
- Add buildrequires
- Mark autostart file as config

* Wed Feb 28 2007 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial version

