%define _noVersionedDependencies        1
%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")

%define jpver		1.41
%define texmf		%{_datadir}/texmf
%define vutildir	%{_datadir}/vine
%define build_texmf	%{buildroot}%{texmf}
%define mapdir          %{texmf}/fonts/map/dvipdfm

%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define exec_updmap     [ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys --nostop 2> /dev/null

%define alt_xdvi        %{_bindir}/xdvi.bin

Summary: Dvi viewer
Summary(ja): DVI ファイルのプレビューアー
Name: xdvik
Version: 22.84.14
Release: 6%{?_dist_release}
Source0: http://keihanna.dl.sourceforge.net/sourceforge/xdvi/xdvik-%{version}.tar.gz
Source10: xdvi.desktop

Source100: %{name}-install.sh
Source101: %{name}-remove.sh
Source102: %{name}-init.el

# http://xdvi.sourceforge.jp/
#Patch0: xdvik-%{version}-j%{jpver}.patch.gz
# j1.41 from ptetex-20080616
Patch0: xdvik-%{version}-j%{jpver}.patch
# vine patch
Patch10: xdvik-%{version}-vine.patch
Patch11: xdvik-22.84.14-correct-LFD-XDvi-vine.patch
Patch12: xdvik-22.84.14-no-use-helvetica-XDvi-vine.patch
Patch13: xdvik-22.84.14-force-LANG-C-wrapper-vine.patch

License: GPL
Group: Applications/Publishing
PreReq: tetex >= 3.0
PreReq: dvipdfmx >= 20080607-1
Requires: dvipdfmx >= 20080607-1
Requires: freetype2 >= 2.1.10
Requires: tetex >= 3.0-2
Requires: Xaw3d
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: Xaw3d-devel, freetype2-devel >= 2.1.10
BuildRequires: libXp-devel
BuildRequires: libXaw-devel
BuildRequires: tetex >= 3.0

Provides: tetex-xdvik
Buildroot: %{_tmppath}/%{name}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
This software is used to preview TeX dvi files on X. 
You can use various fonts that can be used with FreeType.
If you install Ghostscript, you can also view encapsulated
postscript (eps) files included in the dvi file.  The paths necessary
for this program are set with TeX's kpathsearch software.

# '

%description -l ja
X 上で TeX の DVI ファイルをプレビューするためのソフトウェアxdvikの
日本語対応版です。(日本語化パッチ xdvik-%{version}-%{jpver} 使用)
FreeType を利用することで, JG フォント形式, TrueType 形式の日本語
ベクタフォントを表示することができます。
Ghostscript を利用して EPS 形式の図を含む DVI ファイルを表示する
こともできます。各種のパス設定には TeX kpathsearch を利用します。


%package motif
Summary: Dvi viewer (openMotif)
Summary(ja): DVI ファイルのプレビューアー(openMotif)
Group: Applications/Publishing
BuildRequires: openMotif-devel
Requires: %{name}
Requires: openMotif

%description motif
This software is used to preview TeX dvi files on X. 

This uses openMotif as X tool kit. 

%description -l ja motif
X 上で TeX の DVI ファイルをプレビューするためのソフトウェアxdvikの
日本語対応版です。

これは X ツールキットとして openMotif を使います。


%package search
Summary: TeX src-special files for emacsen
Summary(ja): TeX src-special を Emacsen上で使用するための elisp
Group: Applications/Editors/Emacs
Requires: %{name}
PreReq: emacsen-common
%prereq_ge emacsen-common


%description search
TeX src-special files for emacsen
[See]
http://xdvi.sourceforge.net/xdvi-search.el

%description -l ja search
TeX src-special を Emacsen上で使用するための elisp です。
[参照]
http://xdvi.sourceforge.net/xdvi-search.el
http://www.nn.iij4u.or.jp/~tutimura/tex/src-special.html


%define xdvik_configure \
CFLAGS="$RPM_OPT_FLAGS" ./configure \\\
	--prefix=\\${DESTDIR}%{_prefix} \\\
	--bindir=\\${DESTDIR}%{_bindir} \\\
	--datadir=%{_datadir} \\\
	--mandir=\\${DESTDIR}%{_mandir} \\\
	--enable-shared --with-dvifilter=dvips \\\
	--with-system-www

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
cat <<EOF >> texk/xdvik/texmf/XDvi || exit 1


!!! ------- added by ptetex -------

!*.shrinkFactor: 5
!*.geometry: 950x700+0+0
!*.expert: true
!*.smallPanel: false

*.editor: emacsclient --no-wait +%l %f
!*.editor: gnuclient -q +%l %f
!*.editor: gvim --servername xdvi --remote +%l %f
!*.editor: nc -noask +%l %f

*.wwwBrowser: firefox %s
!*.wwwBrowser: mozilla -remote "openURL(%s,new-window)"
!*.wwwBrowser: htmlview %s
!*.wwwBrowser: kterm -e w3m %s
!*.wwwBrowser: xterm -e lynx %s
!*.wwwBrowser: xterm -e wget %s
EOF

%build

%ifarch sparc
EXT_LIB="-lXext"
%endif

%{xdvik_configure} --with-xdvi-x-toolkit=motif
%__make
%__make DESTDIR=${RPM_BUILD_DIR}/%{name}-%{version}/motif \
    texmf=DESTDIR=${RPM_BUILD_DIR}/%{name}-%{version}/motif/%{texmf} \
    install
%__make clean

# CFLAGS="$RPM_OPT_FLAGS" ./configure \
# 	--prefix=\${DESTDIR}%{_prefix} \
# 	--bindir=\${DESTDIR}%{_bindir} \
# 	--datadir=%{_datadir} \
# 	--mandir=\${DESTDIR}%{_mandir} \
# 	--enable-shared --with-dvifilter=dvips \
# 	--with-xdvi-x-toolkit=xaw3d --with-system-www
%{xdvik_configure} --with-xdvi-x-toolkit=xaw3d

make

%install
rm -rf %{buildroot}

make DESTDIR=${RPM_BUILD_ROOT} texmf=%{build_texmf} install

# install xdvi-motif
%__install -m0755 motif/%{_bindir}/xdvi-motif %{buildroot}%{_bindir}/

# These wapper call xdvi.bin of alternatives
for I in xdvi oxdvi ; do
    sed -i -e "s/xdvi-xaw3d/xdvi.bin/" %{buildroot}%{_bindir}/${I}
done

install -d %{build_texmf}/fonts/map/xdvi
cp -a texk/xdvik/texmf-alt/*.map %{build_texmf}/fonts/map/xdvi

#install -d ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/
##install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/XDvi
#install -m 644 texk/xdvik/texmf/XDvi ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/app-defaults/XDvi
# for 'texconfig init'
#ln -sf /usr/X11R6/lib/X11/app-defaults/XDvi %{build_texmf}/xdvi/XDvi

install -m 644 texk/xdvik/texmf/XDvi %{build_texmf}/xdvi/XDvi

#desktop things
mkdir -p %{buildroot}%{_datadir}/applications
install -c %{SOURCE10} %{buildroot}%{_datadir}/applications/xdvi.desktop

# Add by H.Irokawa(2004.10.21)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/remove

install -m 644 texk/xdvik/xdvi-search.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}/
install -m 644 %{SOURCE102} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name}/

# 
rm -f $RPM_BUILD_ROOT%{texmf}/release-tetex-src.txt

# install  script( bytecompile el and install elc , remove )

%_installemacsenscript %{name} %{SOURCE100}

%_removeemacsenscript  %{name} %{SOURCE101}


# for src-special with emacs
#mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/xdvi
#cp -p texk/xdvik/xdvi-search.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/xdvi/

%post
# update desktop database
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

# Create our own cid-x.map
if [ -x %{vutildir}/vinefont.sh ]; then
	%{vutildir}/vinefont.sh %{texmf}/fonts/truetype > %{mapdir}/vine.map 2> /dev/null ||:
fi

%{exec_texhash}
if [ -x %{_bindir}/updmap-sys ]; then 
	%{_bindir}/updmap-sys --enable KanjiMap vine.map 2> /dev/null ||:
fi

/sbin/update-alternatives --install %{alt_xdvi} xdvi \
    %{_bindir}/xdvi-xaw3d 30


%post motif
/sbin/update-alternatives --install %{alt_xdvi} xdvi \
    %{_bindir}/xdvi-motif 50


%post search
if [ "$1" = 2 ]; then

  %_emacsenPackageRemove %{name}

fi

%_addemacsenlist %{name}

%_emacsenPackageInstall %{name}
       


%postun
if [ "$1" = 0 ]; then
    %{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:
    for i in %{texmf}/fonts/truetype/*
    do
    if [ -L "$i" ]; then
    	rm -f "$i"
    fi
    done
    %{exec_texhash}
    %{exec_updmap}

    /sbin/update-alternatives --remove-all xdvi
fi
exit 0


%postun motif
if [ "$1" = 0 ]; then

    /sbin/update-alternatives --auto xdvi

fi

%preun search
if [ "$1" = 0 ]; then

  %_emacsenPackageRemove %{name}

  %_removeemacsenlist %{name}

fi



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES INSTALL README*
%doc texk/xdvik/{BUGS,CHANGES*,FAQ,README*}
%doc texk/xdvik/READMEs/
%dir %{texmf}/xdvi
%config %{_datadir}/applications/xdvi.desktop
%config(noreplace) %{texmf}/xdvi/XDvi
%config(noreplace) %{texmf}/xdvi/*.cfg
#%{_bindir}/xdvi*
%{_bindir}/xdvi
%{_bindir}/xdvi-xaw3d
%{_bindir}/oxdvi*
%{_mandir}/man1/xdvi*
%{_mandir}/man1/oxdvi*
%{texmf}/xdvi/xdvi-ptex.*
%{texmf}/xdvi/pixmaps
%{texmf}/fonts/map/xdvi/*

%files motif
%{_bindir}/xdvi-motif

%files search
%{_datadir}/emacs/site-lisp/%{name}
%{_prefix}/lib/emacsen-common/packages/install/%{name}
%{_prefix}/lib/emacsen-common/packages/remove/%{name}

%changelog
* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 22.84.14-6
- applied xdvik-22.84.14-correct-LFD-XDvi-vine.patch
- applied xdvik-22.84.14-no-use-helvetica-XDvi-vine.patch
  - avoid Warning: Cannot convert string "-*-helvetica-medium-r-*-*-12-*-*-*-*-*-*" to type FontStruct
- xdvik-22.84.14-force-LANG-C-wrapper-vine.patch
  - avoid Warning: Missing charsets in String to FontSet conversion
- added BuildRequires: 
  - libXp-devel
  - libXaw-devel
- added (noreplace) for %%config in %%files

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 22.84.14-5
- use alternative xdvi in %%post, %%postun

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 22.84.14-4
- added xdvik-motif subpackage

* Sat Jan 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 22.84.14-3
- add vine patch (use dvipdfmx map file)

* Fri Jan 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 22.84.14-2
- update jpatch from ptetex-20080616

* Wed Oct 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 22.84.14-1
- new upstream release
- update jpatch

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 22.84.10-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 07 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl18
- build for VineSeed

* Mon Oct 07 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl17
- resync with ptetex3-20070210 [VineSeed:14453]

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 22.84.10-0vl16
- rebuild with Xaw3d-1.5E

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 22.84.10-0vl15
- changed xdvik-search Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Fri Sep 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 22.84.10-0vl14
- remove X11R6 prefix from xdvi.desktop (source10)
- exec update-desktop-database at %%post,%%postun
- add Requires(post,postun): desktop-file-utils

* Thu Aug 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 22.84.10-0vl13
- add BuildRequires: emacsen
- use %%{_prefix}/lib instead of %%{_libdir} for elisp directory

* Sun Jul 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 22.84.10-0vl12
- rebuild with Xaw3d-1.5-17vl3 (libXaw3d.so.8)

* Fri Jul 07 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl11
- added XDvi resource configuration setup [VineSeed:10965]

* Wed Jun 28 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl10
- update patch0 as of 20060609 (by Tsuchimura-san)

* Mon May 29 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl8
- added Requires: dvipdfmx >= 20050831-0vl4
- move the install dirs from X11R6 to %{_prefix}

* Sat May 27 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl7
- modified xdvi.desktop (Thanks Shimura-san)
- modiried configure option: --with-xdvi-x-toolkit=xaw3d

* Thu May 25 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl6
- use XDvi resource from jp-patch
- drop xdvil and xdvis
- fixed PreReq section: dvipdfmx >= 20050831-0vl4

* Wed May 10 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl5
- resync with ptetex3-20060506

* Thu Nov 17 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl4
- modified post section: added font setting

* Thu Nov 10 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl3
- added PreReq dvipdfmx >= 20050831

* Sun Nov 06 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl2
- fixed truetype fonts search name

* Sun Nov 06 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl1
- resync with ptetex3-20051102

* Wed Aug 31 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl0.2
- resync with ptetex3-20050830

* Sat Jun 18 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 22.84.10-0vl0.1
- source update
- modified for teTeX3

* Sun Jan 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 22.40y1_jp-0vl3
- update vfontmap.vine.add4 to use Ricoh LX font with freetype2

* Thu Oct 21 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 22.40y1_jp-0vl2
- split elisp-related files into the xdvik-search subpackage
- Copyright -> License

* Thu Oct 23 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40y1_jp-0vl1
- updated to xdvik-22.40y1-j1.21.
- added --with-vflib=vf2ft for configure (using FreeType2).
- removed Buildrequires: VFlib-devel, Requires: VFlib >= 2.24.
- updated vfontmap.vine.add3.
- added oxdvi. (obsoleted teTeX-src-beta-20020530.oxdvi.patch)
- added /usr/X11R6/man/man1/t1mapper*.

* Mon Jun  9 2003 Jun NISHII <jun@vinelinux.org> 22.40x_jp-0vl3
- remove redundant defs in XDVIINPUTS
- added Buildrequires: freetype-devel

* Tue Jun  3 2003 Jun Nishii <jun@vinelinux.org> 22.40x_jp-0vl2
- updated xdvik.xdvi.vine.diff
 (added dvips/config for XDVIINPUTS to access Type 1 font)
- added Buildrequires: VFlib-devel

* Thu May  1 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40x_jp-0vl1
- updated to xdvik-22.40x-j1.17.
- updated xdvik.xdvi.vine.diff.
- added /usr/X11R6/bin/t1mapper.

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40w_jp-0vl1
- updated to xdvik-22.40w-j1.17.

* Sat Feb 22 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40v_jp-0t3
- removed needless TX/PXfonts support.

* Tue Jan 28 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40u_jp-0t1
- updated to xdvik-22.40u-j1.12.
- added xdvizilla.

* Mon Dec  2 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40s_jp-0t1
- updated to xdvik-22.40s-j1.12.
- removed start-xdvi.

* Sat Sep 14 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40l_jp-0t2
- updated to xdvik-22.40l-j1.09.
- make only one binary. (-smallpanel option is enabled at executing time.)

* Thu Sep  5 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40l_jp-0t1
- updated to xdvik-22.40l-j1.08.

* Fri Aug 30 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40k_jp-0t6
- updated to xdvik-22.40k-j1.08.
- removed useless xdviprint.diff, dot.patch and xaw3d.patch.
  (already done in original.)

* Mon Aug 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40k_jp-0t4
- updated to xdvik-22.40k-j1.06.
- added TX/PXfonts support.

* Fri Aug  2 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.40k_jp-0t3
- updated to xdvik-22.40k.
- added startxdvi, xdvi-search.el.

* Tue Apr 16 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 22.15_jp-16
- update vfontmap to use MORISAWA basic 5 fonts

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 22.15_jp-15
- update vfontmap to use df* and lx*

* Sat Nov 17 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 22.15_jp-14
- add /usr/share/texmf/xdvi/XDvi for 'texconfig init' command
- add BuildRequires Xaw3d-devel

* Wed Aug  1 2001 Jun Nishii <jun@vinelinux.org> 22.15_jp-13
- build for tetex
- added xaw3d patch and dot patch
- added oxdvi
- obsoletes wmconfig/xdvi
- provides tetex-xdvik
- remove render.ps which is in tetex

* Sat Nov 18 2000 Jun Nishii <jun@vinelinux.org>
- bug fix for Tategaki mode

* Wed Jul 26 2000 Daisuke SUZUKI <daisuke@linux.or.jp>
- libtoolize for alpha

* Wed Jul 19 2000 Jun Nishii <jun@vinelinux.org>
- 22.15_jp-9
- update japanese patch: xdvik-22.15-j1.04
- auto gzip man and strip bins

* Wed Mar  8 2000 Jun Nishii <jun@vinelinux.org>
- fix Exec path

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- rel.7
- enable automatic detection of tategaki format
- small bug fix in spec
- added entries for true type fonts, pop, lei, gyo,... in vfontmap
- config vfontmap

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- patch for special.c (xdvi-jp-ML) is merged.

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- fix vfontmap to use jis fontmetric

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group.

* Fri Oct 15 1999 Norihito Ohmori <ohmori@flatout.org>
- add support for wmconfig in for the xdvi package

* Thu Oct 14 1999 Norihito Ohmori <ohmori@flatout.org>
- update to xdvik-22.15-j1.03
- fix font generation waring [VineSeed-devel:00128]

* Sat Sep 18 1999 Jun Nishii <jun@flatout.org>
- add xdvil
- change menu size by XFONTSIZE

* Fri Jun 25 1999 Jun Nishii <jun@flatout.org>
- bug fix in gsftopk

* Mon Jun 21 1999 Jun Nishii <jun@flatout.org>
- added gsftopk

* Wed Apr 21 1999 Jun Nishii <jun@flatout.org>
- updated to 22.02

* Wed Feb 24 1999 Jun Nishii <jun@flatout.org>
- added Japanese Summary for Vine Linux

* Thu Dec 3 1998 Jun Nishii <jun@flatout.org>
- rename as xdvik-20c_jp from xdvik-20cj1.0p0d-4
- added resource
- enable smaller font for xdvis by fixing xdvi and resource setting
- move some files under /usr/X11R6 from /usr/

* Wed Nov 11 1998 Jun Nishii <jun@flatout.org>
- use VFlib-2.24

* Sun Nov 8 1998 Jun Nishii <jun@flatout.org>
- use libwww
- move to dvips as a default dvi converter

* Sun Oct 18 1998 Jun Nishii <jun@flatout.org>
- bug fix of search path of vfontmap

* Mon Oct 12 1998 Jun Nishii <jun@flatout.org>
- update to xdvik-j1.0p0d patch
- make menu box smaller for xdvis and modify the settings
  (xdvik.sxdvi.pje.diff)
- add dviselect from SeeTeX

* Wed Sep 23 1998 Jun Nishii <jun@flatout.org>
- release 4
- move to /usr from /usr/local

* Thu Jun  4 1998 Jun Nishii <jun@flatout.org>
- add xdvis

* Sat May 30 1998 Jun Nishii <jun@flatout.org>
- first release for PJE
