Name:           xfburn
Summary:        An easy to use CD/DVD burning program
Summary(ja):    簡単に使える CD/DVD 焼き込みプログラム
Version:        0.4.3
Release:        1%{?_dist_release}

License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://goodies.xfce.org/projects/applications/%{name}

Source0:        http://archive.xfce.org/src/apps/%{name}/0.4/%{name}-%{version}.tar.bz2
Source1:	xfburn-autogen.sh
Source2:	xfburn-icons.tar.xz

Patch0:		xfburn-0.4.3-git20120604.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	desktop-file-utils
BuildRequires:	libburn-devel >= 0.4.2
BuildRequires:	libisofs-devel >= 0.6.2
BuildRequires:	libxfcegui4-devel >= 4.4.0
BuildRequires:	gtk2-devel >= 2.10.0
BuildRequires:	libexo-devel >= 0.3.4
BuildRequires:	thunar-vfs-devel >= 0.3.0
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	xfce4-dev-tools

Requires(post,postun):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This application allows you to capture the entire screen, the active window or a selected region. You can set the delay that elapses before the screenshot is taken and the action that will be done with the screenshot: save it to a PNG file, copy it to the clipboard, open it using another application, or host it on ZimageZ, a free online image hosting service.

A plugin for the Xfce panel is also available.



%prep
%setup -q
%patch0 -p1 -b .git

%build
cp %{SOURCE1} autogen.sh
tar xJf %{SOURCE2}
mv configure.in configure.in.in
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS TODO COPYING
%{_bindir}/%{name}
%{_datadir}/Thunar/sendto/thunar-sendto-xfburn.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_mandir}/man1/xfburn.1.gz

%changelog
* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.3-1
- initial build for Vine Linux

