Name:           xfce4-dict
Summary:        Dictionary services for Xfce
Summary(ja):    Xfce の辞書サービス
Version:        0.6.0
Release:        1%{?_dist_release}

License:        GPLv2+
Group:          User Interface/Desktops
URL:            http://goodies.xfce.org/projects/applications/%{name}

Source0:        http://archive.xfce.org/src/apps/%{name}/0.6/%{name}-%{version}.tar.bz2
Source1:	xfce4-dict-autogen.sh

Patch0:		xfce4-dict-0.6.0-git20120605.patch
Patch1:		xfce4-dict-0.6.0-ui.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel >= 2.20.0
BuildRequires: libxfce4ui-devel >= 4.10.0
BuildRequires: libxfce4util-devel >= 4.10.0
BuildRequires: xfce4-panel-devel >= 4.10.0
BuildRequires: libX11-devel
BuildRequires: xfce4-dev-tools

Requires(post,postun):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
This program allows you to search different kinds of dictionary services
for words or phrases and shows you the result.
Currently you can query a "Dict" server(RFC 2229), any online dictionary
service by opening a web browser or search for words using a spell check
program like aspell, ispell or enchant.



%prep
%setup -q
%patch0 -p1 -b .git
%patch1 -p1 -b .ui

%build
cp %{SOURCE1} autogen.sh
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

desktop-file-install \
	--add-category="X-XFCE" \
	--delete-original \
	--dir=%{buildroot}%{_datadir}/applications \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-dict.desktop

%find_lang %{name}-plugin

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}-plugin.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS COPYING
%{_bindir}/xfce4-dict
%{_libdir}/xfce4/panel/plugins/libxfce4dict.so
%{_datadir}/applications/xfce4-dict.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/panel/plugins/xfce4-dict-plugin.desktop
%{_mandir}/man1/xfce4-dict.1.gz

%changelog
* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.6.0-1
- initial build for Vine Linux

