Summary: An X Window System graphic display of an animated aquarium.
Summary(ja): X ルートウィンドウ上の水族館
Name: xfishtank
Version: 2.1tp
Release: 1%{?_dist_release}
License: MIT
Group: Applications/Other
Source: http://metalab.unc.edu/pub/Linux/X11/demos/xfishtank-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Jun Nishii <jun@vinlinux.org>

%description
The xfishtank program displays an animated aquarium background on your
screen.  Xfishtank works with the X Window System.

%description -l ja 
あなたのスクリーン背景が水族館になって，いろいろな熱帯魚が泳ぎ回ります.

%prep
%setup -q -n xfishtank-%{version}

%build
xmkmf
make xfishtank

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# prepare applnk

%define applnkdir /etc/X11/applnk/Games/
mkdir -p $RPM_BUILD_ROOT/%{applnkdir}
cat > $RPM_BUILD_ROOT/%{applnkdir}/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Type=Application
Comment=Fish on Your Monitor
Comment[ja]=モニタ上の水族館
Exec=xfishtank
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FishList README*
%{_bindir}/xfishtank
%config(missingok) %{applnkdir}/%{name}.desktop

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.1tp-1vl5
- applied new versioning policy, spec in utf-8

* Fri Sep 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1tp-0vl4
- rebuilt with new toolchains
- changed Group to Applications/Other

* Tue Sep 26 2000 Jun Nishii <jun@vinelinux.org>
- 2.1tp-0vl3
- use applnk instead of wmconfig
- added docs

* Fri Jun 09 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.1tp-0vl2
- modified spec file from SJIS to EUC

* Fri Mar 10 2000 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1tp (whork with 16 and 24 display).

* Thu May  6 1999 Bernhard Rosenkr舅zer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- wmconfig entry removed.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
