Name: 		xfprint
Summary: 	Print dialog and printer manager for XFce 4
Version: 	4.6.1
Release: 	4%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://www.xfce.org/

Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cups-devel
BuildRequires: 	glib2-devel >= 2.10.0
BuildRequires: 	libxfce4util-devel >= 4.6.0
BuildRequires: 	libxfcegui4-devel >= 4.6.0
BuildRequires: 	xfconf-devel >= 4.6.0
Requires:	glib2 >= 2.10.0
Requires:	libxfce4util >= 4.6.0
Requires:	libxfcegui4 >= 4.6.0
Requires:	cups

%description
xfprint contains a print dialog and a printer manager for the XFce 4 Desktop Environment

%prep
%setup -q

%build
%configure
make LIBS="-lX11"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/xfce4/xfprint-plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS TODO
%{_bindir}/*
%{_includedir}/xfce4/libxfprint
%{_libdir}/libxfprint*
%{_libdir}/xfce4
%{_libdir}/pkgconfig/*.pc
%{_datadir}/applications/*.desktop
%{_datadir}/gtk-doc/html/libxfprint
%{_datadir}/icons/hicolor/*/devices/*
%{_datadir}/xfce4/doc


%changelog
* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.6.1-4
- rebuild with xfce4-4.10.0

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-3
- rebuild with krb5-libs-1.8.2

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.6.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy
- removed *.la

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Mon Aug  6 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl4
- rebuild for VineSeed

* Mon Aug  6 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl3
- add cups to Requires
- add cups-devel to BuildRequires

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Wed Jan 07 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release

