Summary: xgraph - 2D data plotting program
Summary(ja): ２次元データプロッタ−
Name: xgraph
Version: 12.1
Release: 3%{?_dist_release}
#Source: ftp:://shambhala.Berkeley.EDU/pub/xgraph-11.3.2.tar.gz
URL: http://www.isi.edu/nsnam/xgraph/index.html
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-color1.patch
Patch1: %{name}-man.patch
Patch2: %{name}-%{version}-h9a.diff
License: distributable
Group: Applications/Engineering
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

Vendor: Project Vine
Distribution: Vine Linux

%description
Xgraph is a two-dimensional plotting program that accepts data in a
form similar to the Unix program "graph" and displays line graphs,
scatter plots, or bar charts on an X11 display.  These graphs are
fully annotated with a title, axis numbering and labels, and a legend.
Zooming in on regions of a graph is supported.  The program can
generate hardcopy output to Postscript printers and HPGL plotters.
This package contains PSCOLOR patches.

Install xgraph if you need a simple 2D scientific data 
viewer package.

%description -l ja
xgraph は科学技術分野に於いて伝統的に使われて来た２次元データ
プロッターです。このパッケージでは機能拡張 (color PostScript) 
がなされています。

２次元のデータを手軽に視覚化したい場合は xgraph をインストールして下さい。

%prep
%setup
%patch0 -p1 -b .colorPS
mv %{name}.man %{name}.1
%patch1 -p0 -b .man
%patch2 -p1 -b .h9a
aclocal
automake -a
autoconf

%build
%configure
make DEFS="$DEFS -DPS_COLOR"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%doc examples/*.xg
%{_bindir}/xgraph
%{_mandir}/man1/xgraph.1*

%changelog
* Tue Oct 07 2008 KOBAYASHI Taizo <tkoba@vinelinux.org> 12.1-3
- applied new versioning policy

* Fri Jul 21 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 12.1-2vl5
- fix h9 patch

* Thu Oct 28 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 12.1-2vl4
- modified hack9 patch for 12.1

* Wed Mar 10 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 12.1-2vl3
- rebuild

* Wed Aug 13 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 12.1-2vl2
- fixed ColorPS patch

* Mon Jun 24 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 12.1-2vl1
- update original sources
- modified ColorPS patch and fixed color series

* Wed Feb 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- fixed colorPS patch 
- fixed Group: section (by sagami@mwc.biglobe.ne.jp [VineSeed:05647])
- rebuild on XF86-4

* Mon Jan 15 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- fixed mark5 ps output.

* Sat Dec 08 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- applied 
    hack9 : http://www.goice.co.jp/member/mo/hack-progs/xgraph.html
    color PS : http://zeus.c.oka-pu.ac.jp/~watanabe/Solaris/xgraph.html
    geometry fix : http://www.imc.im.hiroshima-cu.ac.jp/~sakapon/prog/
    svga, colorPS option
- first release
