Summary: An X Window System based image viewer.
Summary(ja): X ウィンドウシステムベースのイメージビューア
Name: xloadimage
Version: 4.1
Release: 21%{?_dist_release}
License: MIT
Group: User Interface/X
Source: ftp.x.org:/R5contrib/xloadimage.4.1.tar.gz
Patch0: xloadimage.4.1-linux.patch
Patch1: xloadimage.4.1-nobr.patch
Patch2: xloadimage-unaligned.patch
Patch3: xloadimage-4.1-buffer.patch
Patch4: xloadimage-4.1-errno.patch
Patch5: xloadimage.4.1-gcc3.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libX11-devel
BuildRequires: libtiff-devel
BuildRequires: imake

%description
The xloadimage utility displays images in an X Window System window,
loads images into the root window, or writes images into a file.
Xloadimage supports many images types (GIF, TIFF, JPEG, XPM, XBM,
etc.).

Install the xloadimage package if you need a utility for displaying
images or loading images into the root window.

%description -l ja
xloadimage は X Window System ウィンドウ内や root ウィンドウに
画像を表示したり，画像をファイルに書き出したりするユーティリティです．
xloadimage は GIF, TIFF, JPEG, XPM, XBM といった多くの画像タイプを
サポートしています．

%prep
%setup -q -n xloadimage.4.1
%patch0 -p1
%patch1 -p1 -b .nobr
%patch2 -p1 -b .unaligned
%patch3 -p1 -b .buffer
%patch4 -p1 -b .errno
%patch5 -p1 -b .gcc3

cd jpeg
mv Makefile Makefile.orig
ln -s makefile.ansi Makefile

%build
xmkmf
cd jpeg
make libjpeg.a
cd ..
make XAPPLOADDIR=%{_datadir}/X11/app-defaults


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults

make DESTDIR=$RPM_BUILD_ROOT \
     MANPATH=%{_mandir} \
     SYSPATHFILE=$RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/Xloadimage \
     install install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/X11/app-defaults/Xloadimage
%{_bindir}/uufilter
%{_bindir}/xloadimage
%{_bindir}/xsetbg
%{_bindir}/xview
%{_mandir}/man1/xloadimage.*
%{_mandir}/man1/uufilter.*

%changelog
* Wed May  6 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1-21
- spec in UTF-8

* Sun Jun 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1-20
- rebuilt with xorg-x11-7.3

* Sat Jul 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1-19vl4
- added uufilter
- added BuildRequires: XOrg-devel
- changed Group to User Interface/X

* Fri Jan 16 2004 HAYASHI Kentarou <linjian@gigo-ice.org> 4.1-19vl3
- added errno patch
- added gcc3 patch

* Sat Jun 14 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.1-19vl2
- rebuild with new toolchains
- to use License instead of Copyright

* Wed Jul 18 2001 <sagami@vinelinux.org>
- 4.1-19vl1: in sync with redhat 6.2 update 4.1-19.6
  * fix buffer overflow in the faces reader (bugzilla #46186)

* Tue Dec 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 4.1-16vl1
- based on 4.1-16 from Rawhide
- added Japanese summary and description

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- add unaligned access & bugfix patch from
  Michal Jaegermann <michal@harddata.com>

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
