Summary: An implementation of the xmlrpc protocol in C
Summary(ja): xmlrpc プロトコルの C による実装
Name:    xmlrpc-epi
Version: 0.51
Release: 1%{?_dist_release}
Group:     Development/Libraries
License:   BSD
URL:       http://xmlrpc-epi.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://dl.sf.net/sourceforge/xmlrpc-epi/xmlrpc-epi-%{version}.tar.gz

Patch0: xmlrpc-epi-0.51-gcc4.1.patch
Patch1: xmlrpc-epi-0.51-use-system-expat.patch
Patch2: xmlrpc-epi-0.51-rename.patch

BuildRequires: expat-devel
BuildRequires: libtool

%description
An implementation of the xmlrpc protocol in C.

%package  devel
Summary:  Development files for xmlrpc-epi
Group:    Development/Libraries
Requires: xmlrpc-epi = %{version}-%{release}

%description devel
The xmlrpc-epi-devel package contains libraries and header files for
developing applications that use xmlrpc-epi.

%package  examples
Summary:  Example xmlrpc-epi applications
Group:    Development/Libraries
Requires: xmlrpc-epi = %{version}-%{release}

%description examples
Example xmlrpc-epi applications.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Previous two patches require we regenerate all autotools
# As an extra bonus this also fixes the usual x86_64 libtool rpath problems
libtoolize -c -f
aclocal
automake -c -a -f
autoconf

%build
%configure --disable-static --includedir=%{_includedir}/xmlrpc-epi
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot}%{_libdir} -name '*.la' -exec rm -f {} ';'

# compat links
ln -sf libxmlrpc-epi.so %{buildroot}%{_libdir}/libxmlrpc.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libxmlrpc-epi.so.*

%files devel
%defattr(-,root,root,-)
%doc NEWS
%{_includedir}/xmlrpc-epi
%{_libdir}/libxmlrpc-epi.so
%{_libdir}/libxmlrpc.so

%files examples
%defattr(-,root,root,-)
%doc
%{_bindir}/client
%{_bindir}/hello_client
%{_bindir}/hello_server
%{_bindir}/memtest
%{_bindir}/sample
%{_bindir}/server
%{_bindir}/server_compliance_test

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.51-1vl5
- applied new versioning policy, spec in utf-8

* Thu Feb 28 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.51-0vl2
- rebuild with expat-2.0.1

* Fri Jun 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.51-0vl1
- initial build for Vine Linux

* Sat May 26 2007 Callum Lerwick <seg@haxxed.com> 0.51-3
- Rename the library so we don't conflict with xmlrpc-c.

* Tue Mar 13 2007 Callum Lerwick <seg@haxxed.com> 0.51-2
- Ooops, the use-system-expat patch was completely broken. Fixed.

* Sun Feb 04 2007 Callum Lerwick <seg@haxxed.com> 0.51-1
- Initial packaging.
