##define __libtoolize /bin/true

# 3dnow feature can be enabled by '--define _3dnow 1' from command line
# underscore _ is just set to avoid numeric beginning

# if you want to make vorbis input plugin,
# uncomment below line, or rpm --define with_vorbis:1
%define with_vorbis 1

# if you want to make alsa output plugin,
# uncomment below line, or rpm --define with_alsa:1
%define with_alsa 1

Summary: An MP3 player for X which resembles Winamp.
Summary(ja): WinAMPに似たX11 MP3プレーヤー
Name: xmms
Version: 1.2.11
Release: 2%{?_3dnow:.3dnow}%{?_dist_release}
License: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source0: ftp://ftp.xmms.org/%{name}/1.2.x/%{name}-%{version}.tar.gz
Source1: xmms.desktop
Source2: mp3license
Source3: README.ESD
Source6: xmms.xpm
Patch1: xmms-1.2.10-audio.patch
#Patch2: xmms-workaround.patch
# source/patch for Vine
#Patch100: http://www3.big.or.jp/~sian/linux/products/xmms/files/patches/xmms-1.2.7j_20020305.diff.bz2
#Patch100: xmms-1.2.10j_20040415.diff.bz2
Patch100: xmms-1.2.11j_20071118.diff.bz2
Patch101: xmms-1.2.11-vine-fontset.patch
Patch103: http://www.scn-net.ne.jp/~garakuta/file/xmms-1.2.10j_20040415-shadefont-20040617.patch
Patch200: xmms-1.2.10-except-flac.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: esound-devel, audiofile-devel, gtk+-devel, bison
%{?with_vorbis:BuildRequires: libogg-devel, libvorbis-devel}
%{?with_alsa:BuildRequires: alsa-lib-devel >= 0.9.0}
Requires: gtk+ >= 1.2.2, esound, audiofile
Requires: xmms-libs = %{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: x11amp0.7-1-1 x11amp

Vendor: Project Vine
Distribution: Vine Linux

%description
Xmms is a multimedia (MP3s, CDs) player for the X Window System with
an interface similar to Winamp's.  Xmms supports playlists and
streaming content and has a configurable interface.

%description -l ja
X MultiMedia System は、スクラッチから作成されたサウンド再生ツールです。
WinAmpのGUIを参考にして作られているので、WinAmpのスキンをそのまま使う
ことができます。mp3, mod, s3m 等他の形式も再生することが可能です。
入力、出力、一般、およびビジュアルプラグインもサポートしています。

%package libs
Summary: XMMS engine and core plugins
Group: System Environment/Libraries

%description libs
The X MultiMedia System player engine and core plugins.

%package devel
Summary: Static libraries and header files for Xmms plug-in development.
Summary(ja): XMMS - 静的ライブラリおよびヘッダファイル.
Group: Development/Libraries
Requires: xmms-libs = %{version}-%{release}
Obsoletes: x11amp-devel

%description devel
The static libraries and header files needed for building plug-ins for
the Xmms multimedia player.

%description devel -l ja
XMMS プラグインのコンパイルに必要な, 静的ライブラリおよびヘッダファイルです。

%{?with_vorbis:%package vorbis}
%{?with_vorbis:Summary: XMMS - Input plugin to play OGGs}
%{?with_vorbis:Summary(ja): XMMS - OGG を再生するための入力プラグイン}
%{?with_vorbis:Group: System Environment/Libraries}
%{?with_vorbis:Requires: xmms-libs = %{version}-%{release}, libogg, libvorbis}

%{?with_vorbis:%description vorbis}
%{?with_vorbis:Input plugin for XMMS to play Ogg Vorbis files (.ogg).}

%{?with_vorbis:%description vorbis -l ja}
%{?with_vorbis:XMMS で Ogg Vorbis のファイル (.ogg) を再生するための入力プラグインです。}

%{?with_alsa:%package alsa}
%{?with_alsa:Summary: XMMS - ALSA output plugin}
%{?with_alsa:Summary(ja): XMMS - ALSA 出力プラグイン}
%{?with_alsa:Group: System Environment/Libraries}
%{?with_alsa:Requires: xmms-libs = %{version}-%{release}, alsa-lib >= 0.9.0}

%{?with_alsa:%description vorbis}
%{?with_alsa:Output plugin for XMMS to use with the Advanced Linux Sound Architecture}
%{?with_alsa:(ALSA).}

%{?with_alsa:%description alsa -l ja}
%{?with_alsa:XMMS で Advanced Linux Sound Architecture (ALSA) を用いて出力するための}
%{?with_alsa:入力プラグインです。}

%prep
%setup -q
%patch1 -p1 -b .audio
#%patch2 -p1 -b .blarg
# patch added by Vine
%patch100 -p1 -b .ja
#%patch103 -p1 -b .shade
%patch101 -p1 -b .fontset

%patch200 -p1 -b .ex-flac

%build
autoconf

#  --enable-simd build with x86 SIMD (MMX/3DNow!) instructions support
%configure \
  --disable-dependency-tracking \
  --enable-kanji \
  --disable-static \
  --disable-mikmod --disable-opengl --disable-oggtest \
%{!?with_alsa:  --disable-alsa --disable-alsatest} \
%{!?with_vorbis: --disable-vorbis} \
%{?_3dnow: --enable-simd}

find . -name Makefile | xargs sed -i -e s/-lpthread//g # old libtool, x86_64

# Now, make target!
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} \
	sysconfdir=%{buildroot}%{_sysconfdir} \
	gnulocaledir=%{buildroot}%{_localedir} \
	GNOME_SYSCONFDIR=%{_sysconfdir} \
	GNOME_DATADIR=%{_datadir} \
	mandir=%{_mandir} \
	install

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_datadir}/pixmaps/mini
install -p -m 644 xmms/xmms_logo.xpm %{buildroot}%{_datadir}/pixmaps
install -p -m 644 xmms/xmms_mini.xpm %{buildroot}%{_datadir}/pixmaps/mini
install -p -m 644 %{SOURCE6} %{buildroot}%{_datadir}/pixmaps

find %{buildroot} -name "*.la" | xargs rm -f

%find_lang %{name}

%post
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS TODO README README.jp
%doc $RPM_SOURCE_DIR/README.ESD
%{_bindir}/xmms
%{_bindir}/wmxmms
%config (missingok) %{_datadir}/applications/xmms.desktop
%{_datadir}/pixmaps/xmms_logo.xpm
%{_datadir}/pixmaps/mini/xmms_mini.xpm
%{_datadir}/pixmaps/xmms.xpm
%{_datadir}/xmms/wmxmms.xpm
%{_mandir}/man1/xmms.1*
%{_mandir}/man1/wmxmms.1*

%files libs
%defattr(-,root,root)
%{_libdir}/libxmms.so.*
%dir %{_libdir}/xmms
%{_libdir}/xmms/Effect
%{_libdir}/xmms/General
%dir %{_libdir}/xmms/Input
%{_libdir}/xmms/Input/libcdaudio.*
#%{_libdir}/xmms/Input/libidcin.*
%{_libdir}/xmms/Input/libmpg123.*
%{_libdir}/xmms/Input/libtonegen.*
%{_libdir}/xmms/Input/libwav.*
%{_libdir}/xmms/Output
%{_libdir}/xmms/Visualization

%files devel
%defattr(-,root,root)
%{_includedir}/xmms
%{_bindir}/xmms-config
%{_datadir}/aclocal/xmms.m4
#{_libdir}/lib*.a
%{_libdir}/lib*.so

%{?with_vorbis:%files vorbis}
%{?with_vorbis:%defattr(-,root,root)}
%{?with_vorbis:%{_libdir}/xmms/Input/libvorbis.*}

%{?with_alsa:%files alsa}
%{?with_alsa:%defattr(-,root,root)}
%{?with_alsa:%{_libdir}/xmms/Output/libALSA.*}


%changelog 
* Fri Jun 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.11-2
- split libs sub-package
- added --disbale-static, --disable-dependency-tracking option

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.11-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 30 2007 Satoshi MACHINO <machino@vinelinux.org> 1.2.11-0vl1
- new upstream release
- updated patch100 and patch101
- dropped patch103

* Mon Aug 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl8
- use %%configure

* Sun Aug 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl7
- use --enable-simd instead of --enable-3dnow
  - thanks, K. Moriyama [VinePlus:02628]
- build with alsa-lib

* Sun May 29 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl6
- update desktop file
  - merge xmms.desktop.patch (patch102)
  - add application/ogg to MimeType
  - add Encoding=UTF-8
  - add Categories=Application;AudioVideo;Player;
  - dtop deprecated keys
- install xmms.desktop to %%{_datadir}/applications
- run update-desktop-database at %%post, %%postun
- add PreReq: desktop-file-utils
- add PreReq: ldconfig instead of /sbin/ldconfig
- not strip at %%install, it should be done by %%__install_spec_post

* Thu Feb 10 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl5
- add except-flac.patch (patch200)
      to prevent mpg123 plugin's hijacking FLAC stream
  (ref. http://bugs.xmms.org/show_bug.cgi?id=2038)
- add BuildPrereq: automake17

* Fri Oct 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.10-0vl4
- add shade-font.patch (patch103)
  - update vine-fontset.patch (patch101)
- add BuildPrereq: gtk+-devel, bison
- run configure with --disable-alsatest

* Fri Sep 10 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.10-0vl3
- rebuilt without alsa-lib (sorry, ppc.rpm had dependencies with alsa-lib)

* Tue May 04 2004 Tomoya TAKA <taka@vinelinux.org> 1.2.10-0vl2
- fix typo in spec file

* Fri Apr 30 2004 Tomoya TAKA <taka@vinelinux.org> 1.2.10-0vl1
- new upstream release
- drop obsoleted patch2
- update patch1 and patch101
- update patch100, it was made from xmms-1.2.10j_20040415.tar.bz2
  by Hiroshi Takekawa <sian@big.or.jp>
  cf. http://www3.big.or.jp/~sian/linux/products/xmms/
- delete xmms-gnome subpackage
- add macro to enable alsa plugin (disabled by default)

* Sat Mar 22 2003 IWAI Masaharu <iwai@alib.jp> 1.2.7-0vl6
- rebuild with new toolchain
- add BuildRequires: gnome-core-devel

* Fri Jul 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.7-0vl5
- %define with_vorbis 1 (rebuild with libvorbis-1.0-0vl1)

* Wed May 08 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.7-0vl4
- fixed changelog
        -- don't expand macros in changelog ;P
	        
* Wed May 01 2002 Satoshi MACHINO <machino@vinelinux.org> 1.2.7-0vl3
- changed to use configure in build section
        (can't build on sparc)

* Thu Apr  4 2002 Hironobu MORIGUCHI <moriguti@luna.email.ne.jp> 1.2.7-0vl2
- removed %%F from desktop menu (xmms.desktop.patch)

* Fri Mar 08 2002 Toru Sagami <sagami@vinelinux.org> 1.2.7-0vl1
- updated to current stable release 1.2.7

* Wed Jan 31 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.2.6-0vl2
- add xmms-vorbis subpackage

* Fri Jan 11 2002 Toru Sagami <sagami@vinelinux.org> 1.2.6-0vl1
- updated to current stable release 1.2.6 and regenerate patches
- Requires: %%{name} = %%{version} for subpackages
- just run autoheader at libxmms/ and ./
- disable mikmod vorbis opengl oggtest

* Wed Aug 22 2001 Jun Nishii <jun@vinelinux.org> 1.2.5-0vl2
- set default fontset (xmms-1.2.5-vine-fontset.patch)
- libtoolize libxmms/ and ./, in which make process failed because of libtool version dependency...

* Tue Jul 10 2001 <sagami@vinelinux.org>
- 1.2.5-0vl1: was partially based upon RH's 1.2.5-2
- added macro to enable 3dnow option by '--define _3dnow 1' from command line
- added man pages
- added Prereq: /sbin/ldconfig line

* Fri Sep 15 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.2-0v3
- without gl again...

* Mon Sep 11 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.2-0v2
- requires esound, audiofile
- without gl

* Tue Jul 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated 1.2.2
- added bmp32depth patch and lha patch.
- fixed SPEC to install locale, gnome data.

* Thu Jul  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified i18n patch to support 8bpp and clean up.

* Thu Jun 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified i18n patch to fix the textbackground transparent.

* Wed Jun 28 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified i18n patch to make the textbackground transparent.

* Mon Jun 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- Vine's first release for 1.2.1
- added xmms.xpm
- remake spec from rawhide.
- added my poor i18n_mb and libjcode patches.
- modified ja.po for i18n_mb patch.

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 1.2.0
- use rpm macros
- fix gnomexmms buildroot breakage

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment
- work around some toolchain madness

* Mon Mar 27 2000 Bill Nottingham <notting@redhat.com>
- include /usr/share/xmmms/wmxmms.xpm

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- use /usr prefix to be consistent with xmms.org (why not?)
- find something more appropriate than the disk writer to use
  as output plugin if configured one doesn't exist

* Wed Feb 16 2000 Matt Wilson <msw@redhat.com>
- include /usr/X11R6/bin/wmxmms

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- some cleanups

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.0

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.1

* Wed Sep 23 1999 Preston Brown <pbrown@redhat.com>
- latest stable release (0.9.5)

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- open in non-blocking mode, then reset
- make esd the default

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- fix binaries

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- fix gtk+ requirements

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- fix a /0 in the disk writer

* Tue Jul 20 1999 Bill Nottingham <notting@redhat.com>
- 0.9.1

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- use other fallback patch
- obsolete x11amp-devel

* Fri Jun 11 1999 Matt Wilson <msw@redhat.com>
- updated to xmms 0.9 final

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
