%define pkgname util-macros

Summary: X.Org X11 Autotools macros
Summary(ja): X.Org X11 Autotool 用マクロ
Name: xorg-x11-util-macros
Version: 1.17
Release: 1%{?_dist_release}
License: MIT
Group: Development/Libraries
URL: http://www.x.org
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source0: ftp://ftp.x.org/pub/individual/util/util-macros-%{version}.tar.bz2

Vendor: Project Vine
Distribution: Vine Linux

%description
X.Org X11 autotools macros required for building the various packages that
comprise the X Window System.

%description -l ja
xorg-x11-util-macros には X ウィンドウシステムのさまざまなパッケージを
ビルドするために必要な autotool マクロが含まれています。

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT

%__make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/util-macros/INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_datadir}/aclocal/xorg-macros.m4
%{_datadir}/pkgconfig/*.pc

%changelog
* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.17-1
- new upstream release

* Fri Mar 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.2-1
- new upstream release

* Sun Jan 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.16.1-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.15.0-1
- new upstream release

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.0-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.11.0-1
- new upstream release

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 1.10.0-2
- build with rpm-4.8.1-1 for pkg-config file

* Fri Jul 30 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10.0-1
- new upstream release

* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7.0-1
- new upstream release

* Thu Mar 11 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-1
- new upstream release

* Thu Nov 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-1
- new upstream release

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-2
- changed Group to Development/Libraries

* Sun Dec 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-1
- new upstream release
- build as noarch

* Sat Jul 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.6-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.5-1
- new versioning policy

* Sat Jan 12 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.5-0vl1
- initial build for Vine Linux

* Fri Jan 05 2007 Adam Jackson <ajax@redhat.com> 1.1.5-1
- Update to 1.1.5

* Fri Dec 1 2006 Adam Jackson <ajax@redhat.com> 1.1.3-1
- Update to 1.1.3

* Thu Oct 12 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1.fc6
- Update to upstream 1.1.1.

* Sat Jul 15 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-4.fc6
- Make dist tag usage a conditional (#198988)

* Thu Jul 13 2006 Kristian H淡gsberg <krh@redhat.com> 1.0.2-3
- Bump for rawhide build.

* Thu Jul 13 2006 Kristian H淡gsberg <krh@redhat.com> 1.0.2-2.fc5.aiglx
- Tag as 1.0.2-2.fc5.aiglx

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.2-1.1
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 1.0.2-1
- Update to util-macros-1.0.2 from X11R7.1
- Added COPYING, ChangeLog to file manifest.
- Use "make install" instead of makeinstall macro.
- Use setup -n instead of setup -c

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 23 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Update to util-macros-1.0.1 from X11R7.

* Thu Dec 15 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update to util-macros-1.0.0 from the X11R7 RC4 release.

* Tue Dec 06 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Update to util-macros-0.99.2 from the X11R7 RC3 release.

* Wed Oct 19 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Update to util-macros-0.99.1 from the X11R7 RC1 release.
- Disable debuginfo package creation, as there are no ELF objects present.
- Add xorg-macros.m4 to file list.

* Wed Jul 13 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-1
- Initial build
