Summary: An X Window System image editing or paint program.
Summary(ja): Xウィンドウシステム用の画像編集・描写プログラム.
Name: xpaint
Version: 2.7.8.1
Release: 2%{?_dist_release}
License: MIT
Group: Applications/Graphics
URL: http://sf-xpaint.sourceforge.net/
Source: http://prdownloads.sourceforge.net/sf-xpaint/%{name}-%{version}.tar.bz2

## for 2.5.7
Source1: xpaint-2.5.7-Help_ja
Patch0: xpaint-2.5.7-config.patch
Patch1: xpaint-2.5.7-I18N-mb-1.2.patch
Patch2: xpaint-2.5.7-Imakefile.patch
#Patch3: xpaint-2.5.7-readPNG.patch
#Patch4: xpaint-2.5.7-writePNG.patch

## for 2.7.8.1
Source2: xpaint-2.7.8.1-XPaint_ja.ad.in
Patch10: xpaint-2.7.8.1-config.patch
Patch11: xpaint-2.7.8.1-Imakefile.patch
Patch12: xpaint-2.7.8.1-xpaint.patch
Patch13: xpaint-2.7.8.1-main.patch
Patch14: xpaint-2.7.8.1-color.patch
Patch15: xpaint-2.7.8.1-Paint.patch
Patch16: xpaint-2.7.8.1-PaintP.patch
Patch17: xpaint-2.7.8.1-fontSelect.patch
Patch18: xpaint-2.7.8.1-fontOp.patch

Patch100: xpaint-2.7.8.1-xpmpath.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: xorg-x11-devel libtiff-devel zlib-devel
BuildPrereq: libpng-devel >= 1.2.5
BuildPrereq: libjpeg-devel Xaw3d-devel
Obsoletes: xpaint <= 2.5.7-1vl7

%description
XPaint is an X Window System color image editing program which supports
most standard paint program options.  XPaint also supports advanced
features like image processing algorithms.  XPaint allows you to edit
multiple images simultaneously and supports a variety of image formats,
including PPM, XBM, TIFF, JPEG, etc.
And this xpaint has features extended to deal with Japanese in one's 
own right.

Install the xpaint package if you need a paint program for X.

%description -l ja
XPaintはXウィンドウシステム用のカラー画像編集プログラムです. 標準的な
描写操作はほとんどサポートしています。さらにXPaint は画像処理プログラ
ムといったような発展的な機能も備えています。
XPaintを使って、同時に複数の画像を編集することができ、また、さまざ
まな画像フォーマット(PPM, XBM, TIFF, JPEG等)がサポートされています。
%if 0
そして、このXPaintでは独自に日本語を扱うための機能が拡張されています。
%endif
X用の描写プログラムが必要なら、XPaintパッケージをインストールしま
しょう。

%prep
%setup -q

%if 0
## for 2.5.7
%patch0 -p1 -b .config
%patch1 -p1 -b .i18n
#%patch2 -p1 -b .Imakefile
#%patch3 -p1 -b .readPNG
#%patch4 -p1 -b .writePNG
%endif


%if 0
## for 2.7.8.1
cp %SOURCE2 app-defaults/XPaint.ad.in
%patch10 -p1 -b .config
%patch11 -p1 -b .Imakefile
%patch12 -p1 -b .xpaint
%patch13 -p1 -b .main
%patch14 -p1 -b .color
%patch15 -p1 -b .Paint
%patch16 -p1 -b .PaintP
%patch17 -p1 -b .fontSelect
%patch18 -p1 -b .fontOp
%endif

%patch100 -p1 -b .xpmpath

%build
xmkmf
make Makefiles
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man1 install install.man

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/wmconfig
  cat > ./etc/X11/wmconfig/xpaint <<EOF
xpaint name "xpaint"
xpaint description "Paint Program"
xpaint group Graphics
xpaint exec "xpaint &"
EOF
)

# remove unuse files
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README README.PNG TODO Doc
%config %{_sysconfdir}/X11/wmconfig/%{name}
%{_sysconfdir}/X11/app-defaults/XPaint*
%{_bindir}/%{name}
%{_datadir}/%{name}/XPaintIcon.xpm
%{_datadir}/%{name}/c_scripts
%{_datadir}/%{name}/include
%{_datadir}/%{name}/help
%{_datadir}/%{name}/messages
%{_mandir}/man1/xpaint.1x*

%changelog
* Wed Jan 21 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.7.8.1-2
- add Patch100 to fix include path to the xpm header/library

* Tue Nov 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.7.8.1-1vl5
- new upstream release
- built with libXaw.so.7 (libXaw-1.0.5)
- applied new versioning policy
- spec in utf-8
- dropt xpaint-2.5.7-config.patch
- dropt xpaint-2.5.7-I18N-mb-1.2.patch
- dropt xpaint-2.5.7-Imakefile.patch
- dropt xpaint-2.5.7-readPNG.patch (fixed)
- dropt xpaint-2.5.7-writePNG.patch (fixed)

* Mon Jul 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.7-1vl9
- changed Group to Applications/Graphics

* Thu Jun 14 2007 Shu Konno <owa@bg.wakwak.com> 2.5.7-1vl8
- updated Patch0: xpaint-*-config.patch
- added Patch2: xpaint-2.5.7-Imakefile.patch
- added Patch3: xpaint-2.5.7-readPNG.patch
- added Patch4: xpaint-2.5.7-writePNG.patch
- added BuildPrereq: libjpeg-devel Xaw3d-devel
- dropped Epoc:2
- rebuilt with new toolchain

* Thu Feb  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5.7-1vl7
- s/Copyright/License/
- s/Serial/Epoch/
- added BuildPrereq: XOrg-devel libtiff-devel zlib-devel
- added URL
- updated Source location

* Thu Apr 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.5.7-1vl6
- add BuildPrereq: libpng-devel >= 1.2.5

* Thu Jul 13 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.5.7-1vl5
- modified %files section to handle compressed man page

* Thu May 09 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- rebuild for libpng 1.0.5

* Thu Jan 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- change ja resource from ja_JP.ujis/app-defaults to ja/app-defaults

* Thu Dec 16 1999 Yasuyuki Furukawa<furukawa@vinelinux.org>
- updated I18N patch to add XGuessFontSetName to the font-selection dialog.
- corrected font settings.

* Fri Oct 15 1999 Yasuyuki Furukawa<furukawa@vinelinux.org>
- updated to 2.5.7 from 2.4.7
- add I18N patch and delete glibc patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location
