%define name xsoldier
%define version 1.8
%define release 1%{?_dist_release}

Summary: X11 shoot-em up game
Summary(ja): X11上で動くシューティングゲーム
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
SOURCE10: %{name}.desktop
SOURCE11: %{name}.png
License: GPLv2+
Group: Applications/Games
URL: http://www.interq.or.jp/libra/oohara/xsoldier/

Requires:       SDL SDL_image libX11 libXpm
BuildRequires:  SDL_image-devel libX11-devel libXpm-devel
BuildRequires:  desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
xsoldier is a X11 shoot-em up game for Linux. 


%prep
%__rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
%configure --with-sdl
%__make

%install
%__make DESTDIR=${RPM_BUILD_ROOT} mandir=%{_mandir} install
%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/applications
%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE10}
%__cp -a %{SOURCE11} %{buildroot}%{_datadir}/pixmaps/

%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README LICENSE INSTALL GPL ChangeLog COPYING
%{_bindir}/xsoldier
%{_datadir}/games/xsoldier
%attr(666,root,root) %{_localstatedir}/games/xsoldier/xsoldier.scores
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man*/xsoldier.*.gz


%changelog
* Mon Aug 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.8-1
- new upstream release
- stored xsoldier.scores to /var/games/xsoldier
- added xsoldier.desktop
- added BuildRequires: libX11-devel libXpm-devel desktop-file-utils

* Sat Sep 06 2008 Shu KONNO <owa@bg.wakwak.com> 1.4-1vl5
- applied new versioning policy, spec in utf-8
- updated man-path to %%{_mandir}

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4-0vl2
- rebuild for VineSeed

* Wed Mar 21 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4-0vl1
- initial build for Vine Linux

# end of file
