Summary: XWelltris - a tetris like popular game for X Window
Summary(ja): テトリスに似たゲーム
Name: xwelltris
Version: 1.0.1
Release: 3%{?_dist_release}
License: GPL
Group: Applications/Games
URL: http://xnc.dubna.su/xwelltris/
Source0: %{name}-%{version}.src.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png
Source3: %{name}.6
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: SDL-devel SDL_image-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
This is a small tetris like game for X Window.
Imaging that you are looking into the glass from the top. 
You see four walls and the bottom. The flat 2d figures falling
down from the walls one by one. You can move these figures from one wall to
another or rotate them...

%description -l ja
軽いテトリス-ライク-ゲーム。
四角いコップを上から覗いたような視点で、
4面の壁を二次元のブロックが底に向かって次々と滑り落ちます。
壁から壁に動かしたり、回転させたりして...頑張ってください。

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{_prefix} --with-sdl
make       

%install
rm -rf $RPM_BUILD_ROOT

install -d "$RPM_BUILD_ROOT"/%{_prefix}/{bin,share/xwelltris}

install xwelltris "$RPM_BUILD_ROOT"/%{_prefix}/bin

install -p -m 644  data/polyomino.dat \
                   data/board2.gif \
                   data/font2.gif \
                   data/topnine.gif \
                   data/wellcuts.gif \
                   data/wellintro.gif \
                   "$RPM_BUILD_ROOT"/%{_prefix}/share/xwelltris

# add desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

# add man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
install -p -D -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}/%{_mandir}/man6/%{name}.6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}*
%defattr(644,root,root,755)
%doc README README.keys AUTHORS LICENSE Changelog
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_mandir}/man6/%{name}*

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.1-3vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.1-2vl3
- rebuilt with new toolchain

* Tue Oct  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0.1-2vl2
- rebuilt for Vine Linux 4.0
- changed Group to Applocations/Games
- added URL

* Thu Feb 17 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.0.1-2vl1
- initial spec for vine
- add desktop and icon
- add man from deb
- add ja summary and description
