Summary:	YASM Modular Assembler
Summary(ja):	YASM モジュール化アセンブラ
Name:		yasm
Version:	1.2.0
Release:	1%{?_dist_release}
# See COPYING for the detail, there is quite a lot!
License:	BSD and (GPLv2+ or Artistic or LGPLv2+) and LGPLv2
Group:		Development/Languages
URL:		http://www.tortall.net/projects/yasm/
Source:		http://www.tortall.net/projects/yasm/releases/yasm-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison, byacc, xmlto, gettext-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License
(some portions are under other licenses, see COPYING for details). It is
designed from the ground up to allow for multiple assembler syntaxes to be
supported (eg, NASM, TASM, GAS, etc.) in addition to multiple output object
formats and even multiple instruction sets. Another primary module of the
overall design is an optimizer module.

%description -l ja
Yasm は新しい BSD ライセンスの元で書き直された NASM アセンブラです
（一部のファイルは他のライセンスによります。詳しくは COPYING を参照）。
NASM, TASM, GAS など複数のアセンブラ構文に対応するべく設計されており、
複数の出力フォーマット、複数の命令セットにも対応しています。
また、新たに再設計されたことにより、最適化モジュールも備えています。

%package devel
Summary: Header files and static libraries for yasm
Summary(ja): yasm の ヘッダーファイルと 静的ライブラリー
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and static libraries for yasm.

%description  -l ja devel
Yasmのヘッダーファイルと 静的ライブラリーです。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall 

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Artistic.txt AUTHORS BSD.txt COPYING GNU*
%{_bindir}/vsyasm
%{_bindir}/yasm
%{_bindir}/ytasm
%{_mandir}/man1/*

%files devel
%defattr(-, root, root, -)
%{_includedir}/libyasm/
%{_includedir}/libyasm-stdint.h
%{_includedir}/libyasm.h
%{_libdir}/libyasm.a
%{_mandir}/man7/*

%changelog
* Thu Mar 22 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.0-1
- new upstream release; description fix

* Sun Feb 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp>  1.0.1-2
- rebuild with Vine6 environment

* Tue May 18 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  1.0.1-1
- new upstream release
- built with new toolchain

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- new upstream release

* Fri Aug  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  0.7.1-1
- new upstream release
- applied new versioning policy

* Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com>  0.6.1-0vl1
- initial package for Vine <wishes:0120>

