Summary:     NIS (or YP) client programs.
Summary(ja): NIS (又は YP) クライアントプログラム集
Name: yp-tools
Version: 2.10
Release: 3%{?_dist_release}
License: GPLv2
Group: System Environment/Base
Source: ftp://ftp.kernel.org/pub/linux/utils/net/NIS/yp-tools-%{version}.tar.bz2
Patch3: yp-tools-2.7-md5.patch
#Patch4: yp-tools-2.7-terminate.patch
URL: http://www.linux-nis.org/

Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: ypbind
Obsoletes: yppasswd, yp-clients


%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later.  This
package only provides the NIS client programs.  In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for machines
on your network.  You will also need to install the ypbind package on
every machine running NIS client programs.  If you need an NIS server,
you'll need to install the ypserv package on one machine on the network.


%description -l ja
Network Information Service (NIS) とは各種ネットワーク情報
(ログイン名，パスワード，ホームディレクトリ，グループ情報等) を
ネットワーク上の全マシンに提供する為のシステムです．
NIS を使うと，そのユーザのパスワードが NIS データベースに登録されて
さえいれば，NIS クライアントが動作しているどのマシンからでも
ログインすることが出来ます．NIS はかつて Sun Yellow Pages (YP) と
して広く知られていました．

このパッケージの NIS 実装は FreeBSD の YP を元にしており，
glibc 2.x あるいは libc 5.4.21 以降向けに port されたものです．
このパッケージには NIS クライアントプログラムのみを収録しています．
NIS クライアントプログラムを使うには，ネットワーク上に既に NIS サーバが
動作している必要があります．NIS サーバは ypserv パッケージが
提供しています．

ネットワーク上のマシンにNIS クライアントプログラムが必要なら
この yp-tools パッケージをインストールして下さい．
NIS クライアントプログラムを動作させるマシンには同時に
ypbind パッケージもインストールする必要があります．
またネットワーク上のマシンの1台には ypserv パッケージを
インストールする必要があります．


%prep
%setup -q
%patch3 -p1 -b .md5
#%patch4 -p1 -b .terminate


%build
%configure --disable-domainname
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

chmod u+w %{buildroot}%{_bindir}/*
chmod u+w %{buildroot}%{_sbindir}/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%doc etc/nsswitch.conf
%attr(0555, root, root) %{_bindir}/*
%attr(0555, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_localedir}/*/*/*
%dir /var/yp
/var/yp/nicknames


%changelog
* Sun Apr 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10-3
- rebuilt with new toolchain

* Mon May 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10-2
- spec in UTF-8

* Wed Apr 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10-1
- new versioning policy

* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10-0vl1
- new upstream release

* Tue Sep  6 2005 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.8-3vl3
- rebuild with new toolchain.

* Fri Apr  9 2004 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.8-3vl2
- rebuild with new toolchain.
- change permission for stripping.

* Fri Feb  7 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.8-3vl1
- updated yp-tools-2.8
- remove some patch.

* Tue Oct 22 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.7-3vl2
- updated yp-tools-2.7
- merge patches from RedHat-8.0.

* Tue Jun 06 2002 Satoshi MACHINO <machino@vinelinux.org> 2.6-0vl1
- updated yp-tools-2.6
- fixed passwd patch for yp-tools-2.6
- dropped some patches

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.4-6vl1
- based on 2.4-6 from Rawhide
- use better macros (%%{_bindir}, %%{_sbindir}, %%{_localedir})
- added Japanese summary and description

* Wed Sep 27 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add another security patch

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow passwords up to 128 characters

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- change License from GNU to GPL
- fix handling of defaults in ypchfn (#13830)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- version 2.4

* Tue Oct 26 1999 Bill Nottingham <notting@redhat.com>
- get rid of bogus messages.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- patched /var/yp/nicknames so that hosts resolves to hosts.byname,
- not hosts.byaddr (bug # 2389)

* Sun May 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2
- make it obsolete older yp-clients package

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2/1
- version 2.1
- require ypbind

* Fri Jun 12 1998 Aron Griffis <agriffis@coat.com>
- upgraded to 2.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.1

* Thu Dec 04 1997 Cristian Gafton <gafton@redhat.com>
- put yppasswd again in the package, 'cause it is the right thing to do
  (sorry djb!)
- obsoletes old, unmaintained yppasswd package

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- removed yppasswd from this package.

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- pulled from contrib into distribution (got fresh sources).  Thanks
  to Thorsten Kukuk <kukuk@vt.uni-paderborn.de> for the original.
- used fresh sources
