Summary: Unicode Text Editor
Summary(ja): ユニコード対応テキストエディタ
Name: yudit
Version: 2.9.2
Release: 1%{?_dist_release}
Group: Applications/Editors
License: GPL
Source: http://yudit.org/download/%{name}-%{version}.tar.bz2
Source1: %{name}.desktop
Patch10: yudit-2.7.2-vine-20030522.patch
URL: http://www.yudit.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel

%description
Yudit is a unicode text editor for  the X Window
System.  She  can  do True  Type font rendering, 
printing,   transliterated  keyboard  input  and 
handwriting recognition with no dependencies  on
on external  engines. Her  conversion  utilities
can  convert  text  between  various  encodings.
Keyboard  input   maps  can  also  act like text 
converters. There is no need for a pre-installed
multi-lingual environment. Menus are  translated
into many languages.

GNU (C) 1997-2006 Gaspar Sinai <gaspar@yudit.org> 

%prep
%setup -q
%patch10 -p1 -b .vine

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 gnome-yudit.png $RPM_BUILD_ROOT/usr/share/pixmaps/yudit.png
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG.TXT COPYING.TXT FAQ.TXT README.TXT TODO.TXT
%doc doc/*.utf8 doc/notinstalled doc/problems doc/HOWTO-*.txt 
%{_bindir}/mytool
%{_bindir}/uniconv
%{_bindir}/uniprint
%{_bindir}/yudit
%{_mandir}/man1/mytool.1.gz
%{_mandir}/man1/uniconv.1.gz
%{_mandir}/man1/uniprint.1.gz
%dir %{_datadir}/yudit
%{_datadir}/yudit/data
%{_datadir}/yudit/fonts
%{_datadir}/yudit/src
%{_datadir}/yudit/syntax
%{_datadir}/yudit/doc
%dir %{_datadir}/yudit/locale
%{_datadir}/yudit/locale/*
%dir %{_datadir}/yudit/config
%config %{_datadir}/yudit/config/*
%config /etc/X11/applnk/Applications/yudit.desktop
%{_datadir}/pixmaps/yudit.png

%changelog
* Mon Jul 26 2010 Shu KONNO <owa@bg.wakwak.com> 2.9.2-1
- new upstream release

* Mon May  4 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.0-2
- spec in UTF-8

* Fri Jul 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.9.0-1vl5
- new upstream release
- applied new versioning policy

* Sat Jun  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-0vl1
- new upstream release
- rebuilt with new toolchain

* Wed Nov  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.7.8-0vl2
- rebuild for VineSeed

* Wed Nov  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.7.8-0vl1
- new upstream release
- update %%files

* Sat Sep 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.6-1vl1
- source upgrade
- added .desktop files

* Thu May 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.2-4vl1
- source upgrade and add some patches from upstream
- changed vine patch for this version
- rebuild with new toolchains

* Wed Aug 21 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 2.6.2-0vl1
- source upgrade (added some locales)

* Thu May  2 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.6-0vl2
- rebuild for VineSeed

* Thu May  2 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.6-0vl1
- build for Vine Linux 2.5
- add patch0 (set default.language=ja, default.font=Misc)

* Wed Apr 25 2002 Gaspar Sinai <gsinai@yudit.org>
- Unicode 3.2 changes
- X Locale and Input Method Support 
- Added direct rendering for iso10646 encoded .bdf font files 
  and unifont .hex files. It is useful on platforms that do not have X11.
- Locale name for Chinese has been corrected to be zh (ISO639)
- True Type cmap 12 (needed for plane1,2..) and X11 (iso10646p2-\d+) added
- True Type cmap 2 with external converter added
- True Type uses now nonzero winding rule now by default.
- UTF-16 UTF-16-LE UTF-16-BE support.
- New converters for utf-16 utf-16-le utf-16-be, gb-18030, 
  Shift_JISX0213 (shift-jis-3), EUC-JISX0213 (euc-jp-3), 
  ISO-2022-JP-3 (iso-2022-jp-3) 
- Old Italic software glyph mirroring added
- Updated ksx-1001 (replacement for ksc-5601-old), ksc-5601-r ksc-5601-l
- Updated HOWTO-Japanese.txt
- JIS X 0213 X11 (jisx0213.2000-1,jisx0213.2000-2) font support
- Shift_JISX0213 encoded True Type font support with shift-jis-3 converter

* Sat Feb 28 2002 Gaspar Sinai <gsinai@yudit.org>
- Malayalam support (Miikka)
- Kannada support (Miikka)
- Telugu support (Miikka)
- koi8-c support (Miikka)
- koi8-u support (Gaspar)
- ncr converter (Miikka)
- rovas converter (Gaspar)
- iso-8859-15 converter (Gaspar)
- iso-8859-16 converter (Gaspar)
- Mirrored characters (Miikka-Gaspar)
- Old Hungarian support with ligatures in Private Use Area (Gaspar)
- Ukrainian kmap and translations (Solotskyy)

* Wed Jan 26 2002 Gaspar Sinai <gsinai@yudit.org>
- Pango X11 Ligature support
- Devanagari support (Miikka)
- Bengali support (Miikka)
- Gujarati support (Miikka)
- Gurmukhi support (Miikka)
- Oriya support (Miikka)
- Hindi menu (Sanjay)

* Wed Jan 02 2002 Gaspar Sinai <gsinai@yudit.org>
- Tamil support (Vasee)
- Added Hangul Jamos (Miikka-Markus)
- OpenType Ligature substitution support
- Testing other Indic scripts.
- Fixed bumap.

* Tue Nov 27 2001 Gaspar Sinai <gsinai@yudit.org>
- Prepearing for 2.5 with shaping (Arabic) support.
- Changed (removed -e, added auto-tmpfile): yudit.default.preview.command=gv

* Fri Nov 09 2001 Gaspar Sinai <gsinai@yudit.org>
- Fixed shift-jis converter
- Optimized speed
- Fixed layout manager bugs, made it nicer.
- Optimized memory usage (vut it by a factor of 2)
- Added freehand (handwriting) input method.
- Added hiragana and katakana handwriting data (hwd 2.0)
  generated by Yuko Inui <yuko@yudit.org>

* Thu Oct 25 2001 Gaspar Sinai <gsinai@yudit.org> patch 1,2,3,4,5,7,8
- renamed yudit-2.4-destdir.patch to //yudit.org/download/yudit-2.4.patch5.txt
- added 7,8
- renamed bz2 to gz in Source:
- removed doc from being doc because yudit uses it.

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.3-4
- Fix build as non-root
- Add patches from yudit.org
- Set prefix correctly
- Use %%configure
- Add docs
- Add desktop file
- Fix up specfile

