%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
Summary: The zlib compression and decompression library.
Summary(ja): zlib 圧縮/展開ライブラリ
Name: zlib
Version: 1.2.5
Release: 2%{?_dist_release}
Group: System Environment/Libraries
Source: http://www.zlib.net/zlib-%{version}.tar.bz2
Patch0: zlib-1.2.5-lfs-decls.patch

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

URL: http://www.zlib.net/
License: zlib and Boost
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.

%description -l ja
zlib圧縮ライブラリーは、メモリ内で圧縮と解凍を行う関数や、解凍後
のデータの整合性チェックを行う関数を提供します。今バージョンのラ
イブラリは「デフレーション（deflation）」という圧縮方法のみをサポ
ートしていますが、今後同じストリームインターフェースを持つ他の圧
縮方法も追加する予定です。zlibライブラリーは多種のプログラムで使
用されています。

%package devel
Summary: Header files and libraries for developing apps which will use zlib.
Summary(ja): zlib を使ったプログラム開発に必要なヘッダファイル/ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

%package static
Summary: Static libraries for  %{name}
Summary(ja): %{name} のスタティックライブラリ
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
The zlib-static package contains the static library for %{name}

## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: The zlib compression and decompression library.
Summary(ja): zlib 圧縮/展開ライブラリ
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n compat32-%{name}
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation), but other algorithms may be added
later, which will have the same stream interface.  The zlib library is
used by many different system programs.

%description -n compat32-%{name} -l ja
zlib圧縮ライブラリーは、メモリ内で圧縮と解凍を行う関数や、解凍後
のデータの整合性チェックを行う関数を提供します。今バージョンのラ
イブラリは「デフレーション（deflation）」という圧縮方法のみをサポ
ートしていますが、今後同じストリームインターフェースを持つ他の圧
縮方法も追加する予定です。zlibライブラリーは多種のプログラムで使
用されています。

%package -n compat32-%{name}-devel
Summary: Header files and libraries for developing apps which will use zlib.
Summary(ja): zlib を使ったプログラム開発に必要なヘッダファイル/ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.


%prep
%setup -q
%patch0 -p1

%build
mkdir static shared

# build shared lib
CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure --shared --prefix=%{_prefix}

make
mv -f Makefile zconf.h *.o *.so* shared/

# build static lib
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make
mv -f Makefile zconf.h *.o *.a static/


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

mv -f shared/* .
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

mv -f Makefile zconf.h *.o *.so* shared/
mv -f static/* .
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

install -m644 zutil.h ${RPM_BUILD_ROOT}%{_includedir}/zutil.h
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man3
install -m644 zlib.3 ${RPM_BUILD_ROOT}%{_mandir}/man3

if [ "%{_prefix}/lib" != "%{_libdir}" ]; then
    mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
    mv ${RPM_BUILD_ROOT}%{_prefix}/lib/* ${RPM_BUILD_ROOT}%{_libdir}
    rmdir ${RPM_BUILD_ROOT}%{_prefix}/lib
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_libdir}/libz.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog doc/algorithm.txt minigzip.c example.c
%{_libdir}/*.so
%{_libdir}/pkgconfig/zlib.pc
%{_includedir}/*
%{_mandir}/man3/zlib.3*

%files static
%defattr(-,root,root)
%{_libdir}/*.a

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libz.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/zlib.pc
%endif

%changelog
* Fri Oct 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.5-2
- added patch0 from gentoo to fix zlib.h errors on i686 compiling some applications

* Wed Sep 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.5-1
- new upstream release (built with rpm-4.8.1-1 for pkg-config file)
- changed License: BSD to zlib and Boost
- added %%{_libdir}/pkgconfig/zlib.pc in -devel package
- fixed %%doc files in -devel package

* Fri Mar 05 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.3-7
- add Requires(post,pre): /sbin/ldconfig

* Fri Feb 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.3-6
- rebuilt with gcc-4.4.3-3 on ppc

* Mon Feb  8 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.2.3-5
- rebuilt with new toolchain

* Fri Mar 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-4
- split static library to zlib-static
  - needed by tuxonice-userui

* Wed Dec 17 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.2.3-3
- change spec into UTF-8

* Sun May 18 2008 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.3-2
- removed %%if !%%{build_compat32} case condition

* Sat May 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.3-1
- applied new versioning policy
- rebuilt with new toolchains

* Mon Feb 06 2006 Shu KONNO <owa@bg.wakwak.com> 1.2.3-0vl5
- moved macros _lib to /usr/lib/rpm/rpmrc or macros files

* Fri Feb 03 2006 Shu KONNO <owa@bg.wakwak.com> 1.2.3-0vl4
- added compat32-* packages for x86_64 architecture support

* Tue Oct 25 2005 NAKAMURA Kenta <kenta@c.csce.kyushu-u.ac.jp> 1.2.3-0vl3
- added compat32- packages for x86_64 architecture support

* Tue Oct 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl2
- clean up specfile (do not build twice..)

* Tue Jul 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl1
- new upstream release

* Sun Jul 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2.2-0vl1
- new upstream release
- add Patch1 for CAN-2005-2096

* Fri Mar 25 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl1
- new upstream version
- add translated descriptions (thanks to spec file translation project)

* Sun Apr 06 2003 Satoshi MACHINO <machino@vinelinux.org> 1.1.4-0vl3
- fixed buffer overrun on gzprintf
	-- added zlib-1.1.4-vsnprintf.patch from http://archives.neohapsis.com/archives/bugtraq/2003-02/0290.html

* Fri Sep 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.4-0vl2
- changed URL to more preferable site

* Tue Mar 12 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.1.4-0vl1
- upstream release

* Tue Dec 26 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.1.3-14vl1
- based on 1.1.3-14 from Rawhide
- added Japanese summary

* Fri Sep 15 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add -fPIC for shared libs (patch by Fritz Elfert)

* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
- on 64bit systems, make sure libraries are located correctly.

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 02 2000 Trond Eivind Glomsr <teg@redhat.com>
- rebuild

* Tue Jun 13 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging to build on solaris2.5.1.

* Wed Jun 07 2000 Trond Eivind Glomsr <teg@redhat.com>
- use %%{_mandir} and %%{_tmppath}

* Fri May 12 2000 Trond Eivind Glomsr <teg@redhat.com>
- updated URL and source location
- moved README to main package

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man page.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
