%define oootag OOH680
%define ooomilestone 17
%define vl_rpm_release 5

# undef to get english and japanese only and no-langpacks for a faster smoketest build
%define langpacks 0
# undef to revert to the traditional print dialog
%define gtkprintui 1
# whether to use stlport or gcc's stl, we're basically locked to stlport
# for i386 to enable third party built against "vanilla OOo" uno components 
# and add-ons to work with our OOo. We assume there aren't any such for the
# other archs
%ifarch %{ix86} ppc x86_64
%define stlport_abi_lockin 1
%else
%define stlport_abi_lockin 0
%endif
# undef to build with java
%define without_java 1
# undef to build with openjdk
%define jdk_is_gcj 0

%if %{stlport_abi_lockin}
%define stlflags --with-stlport
%else
%define stlflags --without-stlport
%endif

%if %{jdk_is_gcj}
%define java_devel java-1.5.0-devel
%else
%define java_devel java-1.6.0-devel
%endif

%if %{langpacks}
%define langpack_langs af ar bg bn ca cs cy da de dz el en-US es et eu fi fr ga gl gu-IN pa-IN he hi-IN hu hr it ko lt ms nb nl nn nr pl pt pt-BR ru sk sl sr ss st sv ta-IN th tr ve xh zh-CN zh-TW zu ns tn ts as-IN mr-IN ml-IN or-IN te-IN ur-IN kn
%else
%define langpack_langs en-US ja
%endif

%define python_py_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%define ooo_base_name %{oootag}_m%{ooomilestone}

Summary:	OpenOffice.org comprehensive office suite.
Summary(ja):	OpenOffice.org オフィススイート
Name:		openoffice.org
Version:	2.4.1
Release:	%{vl_rpm_release}%{?_dist_release}
License:	LGPLv2 and LGPLv2+ and MPLv1.1 and BSD
Group:		Applications/Productivity
URL:		http://www.openoffice.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:	%{ooo_base_name}.tar.bz2
Source1:	http://svn.gnome.org/viewcvs/*checkout*/ooo-build/trunk/src/evolocal.odb
Source2:	http://people.redhat.com/caolanm/templates/Tigert-templates.tar.gz
Source3:	documentation.openoffice.org-templates.tar.gz
Source4:	http://people.redhat.com/caolanm/templates/redhat-templates.tar.gz
Source5:        http://www.openoffice.org/nonav/issues/showattachment.cgi/50963/bengali.sdf
Source6:        http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll

BuildRequires:	libboost-devel, zlib-devel
BuildRequires:	python-devel, expat-devel, libxml2-devel, libxslt-devel, bc
BuildRequires:	neon-devel, curl-devel, libidn-devel, pam-devel, cups-devel
BuildRequires:	libXt-devel, libICE-devel, libjpeg-devel, db4-devel
BuildRequires:	xulrunner-devel, libwpd-devel, unixODBC-devel
BuildRequires:	sane-devel, libicu-devel, perl-Archive-Zip
BuildRequires:	freetype2-devel, gtk2-devel, gnome-vfs2-devel, desktop-file-utils
BuildRequires:	evolution-data-server-devel, nss-devel
BuildRequires:	gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires:	openssl-devel, vigra-devel, hyphen-devel, libtextcat-devel
BuildRequires:	icu

# ooo meta package requires writer,calc,impress,draw,base,math
Requires: openoffice.org-writer
Requires: openoffice.org-calc
Requires: openoffice.org-impress
Requires: openoffice.org-draw
Requires: openoffice.org-base
Requires: openoffice.org-math

Patch0:  openoffice.org-simple-crash_report.sh
Patch1:  openoffice.org-multiliblauncher.sh
Patch2:  AutoSaveRecovery.xcu
Patch3:  RegisterAndLicence.xcu
Patch4:  AutoSaveCommon.xcu
Patch5:  libtextcat.xcu
Patch6:  openoffice.org.langpack-cjk.template
Patch7:  openoffice.org.langpack-help.template
Patch8:  openoffice.org.langpack-common.template
Patch9:  openoffice.org.langpack-acor.template
Patch10: openoffice.org.langpack-ctl.template
Patch11: openoffice.org-1.9.114.rh161886.rpath.desktop.patch
Patch12: openoffice.org-1.9.87.rh151357.setlangtolocale.patch
%if %{gtkprintui}
Patch13: openoffice.org-2.0.3.rh127576.gtkunixprintdialog.patch
%endif
Patch14: openoffice.org-2.0.0.rh171692.jvmfwk.retryjvm.patch
Patch15: openoffice.org-2.0.1.rhXXXXXX.extensions.defaulttoevo2.patch
Patch16: openoffice.org-1.9.115.ooo69368.fixxmlsec.patch
Patch17: openoffice.org-1.9.123.ooo53397.prelinkoptimize.desktop.patch
Patch18: openoffice.org-2.0.1.ooo58606.sw.pre-edit.patch
Patch19: openoffice.org-2.0.2.rh188467.printingdefaults.patch
Patch20: openoffice.org-2.0.2.ooo64508.vcl.honourfontconfighinting.patch
Patch21: openoffice.org-2.0.4.ooo69051.vcl.singlekeypress.patch
Patch22: pseudoworkspace.valgrind1.patch
Patch23: openoffice.org-2.0.4.rhXXXXXX.padmin.nospadmin.patch
Patch24: openoffice.org-2.0.4.rh217065.syncbackspace.patch
Patch25: openoffice.org.2.0.4.ooo80412.i18npool.extendgrapheme.patch
Patch26: openoffice.org-2.1.0.ooo65491.psprint.enablenups.patch
Patch27: openoffice.org-2.0.3.rh127576.gtkunixprintdialog.localize
Patch28: openoffice.org-2.1.0.oooXXXXX.lingucomponent.systemdicts.patch
Patch29: openoffice.org-2.1.0.rh217269.officecfg.nosequencecheck.patch
Patch30: workspace.tl37.patch
Patch31: openoffice.org-2.1.0.ooo73201.sw.a11yloadcrash.patch
Patch32: openoffice.org-2.1.0.oooXXXXX.vcl.dontsortglyphs.patch
Patch33: openoffice.org-2.2.0.ooo73863.vcl.imcommit.patch
Patch34: openoffice.org-2.2.0.ooo74188.sw.cursorinsideglyph.patch
Patch35: openoffice.org-2.2.0.ooo68717.gstreamer.video.patch
Patch36: openoffice.org-2.2.0.ooo63159.sal.dtype.patch
Patch37: openoffice.org-2.2.0.rh232389.tango.patch
Patch38: openoffice.org-2.2.0.ooo76393.sal.dynamicsection.patch
Patch39: openoffice.org-2.2.0.ooo76424.nonatnum.bn_IN.18npool.patch
Patch40: openoffice.org-2.0.3.ooo80816.selinux.bridges.patch
Patch41: openoffice.org-2.2.1.ooo78971.xmloff.outofrange.patch
Patch42: openoffice.org-2.2.1.oooXXXXX.sw.titlepagedialog.patch
Patch43: openoffice.org-2.2.1.ooo79481.sw.rowordcount.patch
Patch44: openoffice.org-2.3.0.ooo80257.sd.textonlystyle.patch
Patch45: openoffice.org-2.3.0.ooo80257.sd.textonlystyle.tar.gz
Patch46: workspace.unifysound01.patch
Patch47: openoffice.org-2.2.0.gccXXXXX.solenv.javaregistration.patch
Patch48: openoffice.org-2.3.0.ooo81321.cppu.silencewarnings.patch
Patch49: openoffice.org-2.3.0.ooo76649.httpencoding.patch
Patch50: openoffice.org-2.3.0.ooo82966.svx.missing3d.patch
Patch51: openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch
Patch52: workspace.notes2.patch
Patch53: openoffice.org-2.3.1.ooo84676.ucb.davprotocol.patch
Patch54: openoffice.org-2.3.1.ooo84621.sw.insertexcel.patch
Patch55: openoffice.org-2.3.1.ooo84770.svx.eventsmismatch.patch
Patch56: openoffice.org-2.4.0.ooo85054.stlport.noorigs.patch
Patch57: openoffice.org-2.4.0.ooo86670.config_office.xpcomasxul.patch
Patch58: openoffice.org-2.4.0.ooo85097.desktop.pagein.patch
Patch59: openoffice.org-2.4.0.oooXXXXX.solenv.paths.patch
Patch60: openoffice.org-2.4.0.rh133741.alwaysgtk.vcl.patch
Patch61: openoffice.org-2.4.0.ooo85385.svtools.a11ycrash.patch
Patch62: openoffice.org-2.4.0.ooo85429.sw.a11ycrash.patch
Patch63: openoffice.org-2.4.0.ooo85448.emptyrpath.patch
Patch64: workspace.cairotext01.patch
Patch65: workspace.gcc430two.patch
Patch66: openoffice.org-2.4.0.ooo85854.sw.graphicsaveas.patch
Patch67: openoffice.org-2.4.0.ooo85921.sd.editmasterundermouse.patch
Patch68: openoffice.org-2.4.0.ooo85931.svx.getentrypos.patch
Patch69: openoffice.org-2.4.0.ooo86123.ucb.newneon.patch
Patch70: openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch
Patch71: openoffice.org-2.4.0.oooXXXXX.psprint.debugcups.patch
Patch72: openoffice.org-2.3.0.ooo86866.embeddedobj.plusequalsoperator.patch
Patch73: openoffice.org-2.3.0.ooo86882.vcl.unsigned_int_to_long.patch
Patch74: openoffice.org-2.4.0.ooo86924.sfx2.iconchanges.patch
Patch75: openoffice.org-2.4.0.ooo87204.toolkit.64bitevent.patch
Patch76: openoffice.org-2.4.0.ooo87490.sfx2.allprotocols.urlopen.patch
Patch77: openoffice.org-3.0.0.ooo85691.vcl.tooltipcolor.patch
Patch78: openoffice.org-3.0.0.ooo87991.fpickersafe.patch
Patch79: openoffice.org-3.0.0.ooo88033.svx.a11ycrash.patch
Patch80: openoffice.org-2.4.0.ooo87071.sd.backgroundfix.patch
Patch81: openoffice.org-3.0.0.ooo90071.chart2.negativecount.patch
Patch82: openoffice.org-3.0.0.ooo89002.vcl.symbolfonts.patch
Patch83: workspace.impress138.patch
Patch84: openoffice.org-2.4.0.gcc36187.noaliasingbusted.patch
Patch85: openoffice.org-3.0.0.ooo87970.vcl.samenamesubs.patch
Patch86: openoffice.org-3.0.0.ooo90037.vcl.cairotransforms.patch
Patch87: openoffice.org-3.0.0.ooo82545.np_sdk.x86_64.patch
Patch88: openoffice.org-3.0.0.ooo90306.sw.wrongprotection.patch
Patch89: openoffice.org-3.0.0.ooo48400.svx.fixspelling.patch
Patch90: openoffice.org-3.0.0.ooo90697.sd.a11ycrash.patch

%define instdir %{_libdir}/openoffice.org

%description
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  It includes the key desktop applications,
such as a word processor, spreadsheet, presentation manager, formula
editor and drawing program, with a user interface and feature set
similar to other office suites.  Sophisticated and flexible,
OpenOffice.org also works transparently with a variety of file
formats, including Microsoft Office.

Usage: Simply type "ooffice" to run OpenOffice.org or select the
requested component (Writer, Calc, Impress, etc.) from your
desktop menu. On first start a few files will be installed in the 
user's home, if necessary.

%description -l ja
OpenOffice.org はオープンソースでコミュニティにより開発されているマルチ
プラットフォーム対応のオフィススイートです。他の多くのオフィススイートと
同様なユーザーインタフェースや機能を備え、ワードプロセッサや表計算、プ
レゼンテーションツール、数式エディタ、図形描画ツールなどといった主要な
デスクトップアプリケーションが収録されています。また、OpenOffice.org
は Microsoft(R) Office を含め、多くのファイルフォーマットと互換性があり
ます。

利用方法: "ooffice" とタイプして OpenOffice.org を起動するか、特定の
コンポーネント (Writer, Calc, Draw, Impress など) をデスクトップメニ
ューから選択して起動してください。ooffice ラッパースクリプトは必要に
応じていくつかのファイルをユーザのホームディレクトリにインストールし
ます。

%package core
Summary: Core modules for %{name}
Group: Applications/Productivity
PreReq: gtk2 >= 2.9.4
Requires(post): shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): shared-mime-info
Requires(postun): desktop-file-utils
#Obsoletes: openoffice.org
Obsoletes: openoffice.org-libs
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-kde
Obsoletes: openoffice.org-langpack-eo
Obsoletes: openoffice.org-langpack-ja_JP
Obsoletes: openoffice.org2-core

%description core
The shared core libraries and support files for %{name}.

%package pyuno
Summary: Python bindings for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}
Requires: python
Obsoletes: openoffice.org2-pyuno

%description pyuno
Python bindings for the %{name} UNO component model. Allows scripts both
external to %{name} and within the internal %{name} scripting module to be
written in python.

%package base
Summary: Database frontend for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-base

%description base
GUI database frontend for %{name}. Allows creation and management of 
databases through a GUI.

%package writer
Summary: Word Processor module for %{name}
Group: Applications/Productivity
#Obsoletes: openoffice.org
Obsoletes: openoffice.org2-writer
Requires: %{name}-core = %{version}-%{release}
Requires: libwpd >= 0.8.0

%description writer
The wordprocessor application of %{name}.

%package emailmerge
Summary: Email mail merge component for %{name}
Group: Applications/Productivity
Obsoletes: openoffice.org2-emailmerge
Requires: %{name}-writer = %{version}-%{release}
Requires: %{name}-pyuno = %{version}-%{release}

%description emailmerge
Enables the %{name} writer module to mail merge to email.

%package calc
Summary: Spreadsheet module for %{name}
#Obsoletes: openoffice.org
Obsoletes: openoffice.org2-calc
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description calc
The spreadsheet application of %{name}.

%package draw
Summary: Drawing module for %{name}
Group: Applications/Productivity
#Obsoletes: openoffice.org
Obsoletes: openoffice.org2-draw
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-graphicfilter = %{version}-%{release}

%description draw
The drawing application of %{name}.

%package impress
Summary: Presentation module for %{name}
Group: Applications/Productivity
#Obsoletes: openoffice.org
Obsoletes: openoffice.org2-impress
Requires: %{name}-core = %{version}-%{release}

%description impress
The presentation application of %{name}.

%package math
Summary: Equation editor module for %{name}
Group: Applications/Productivity
#Obsoletes: openoffice.org
Obsoletes: openoffice.org2-math
Requires: %{name}-core = %{version}-%{release}

%description math 
The math editor of %{name}.

%package graphicfilter
Summary: Extra graphic filters for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-graphicfilter

%description graphicfilter
The graphicfilter module for %{name}, provides additional svg and flash export filters.

%package xsltfilter
Summary: Extra xsltfilter module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-xsltfilter

%description xsltfilter
The xsltfilter module for %{name}, provides additional docbook and xhtml export transforms. 
Install this to enable docbook export.

%package javafilter
Summary: Extra javafilter module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-javafilter

%description javafilter
The javafilter module for %{name}, provides additional aportisdoc, pocket excel and pocket word import filters.

%package testtools
Summary: Testtools for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-testtools

%description testtools
QA tools for %{name}, enables automated testing.

%package sdk
Summary: Software Development Kit for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}
Requires: unzip, java-devel

%description sdk
The %{name} SDK is an add-on for the %{name} office suite. It provides the necessary tools for programming using the %{name} APIs and for creating extensions (UNO components) for %{name}.

%package sdk-doc
Summary: Software Development Kit documentation for %{name}
Group: Applications/Documentation
Requires: %{name}-sdk = %{version}-%{release}

%description sdk-doc
This provides the documentation for programming using the %{name} APIs and examples of creating extensions (UNO components) for %{name}.

%package devel
Summary: Development Libraries for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-sdk = %{version}-%{release}
AutoReqProv: no

%description devel
The %{name} devel package provides necessary headers for development against %{name}.

%package headless
Summary: Headless plugin for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}

%description headless
A plugin for %{name} that enables it to function without an X server. 
It implements the -headless command line option and allows %{name} to be
used as a backend server for e.g. document conversion.

%package langpack-af_ZA
Summary: Afrikaans language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-af, hyphen-af
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-af
Obsoletes: openoffice.org2-langpack-af_ZA

%description langpack-af_ZA
Provides additional afrikaans translations and resources for %{name}.

%package langpack-ar
Summary: Arabic language pack for %{name}
Group: Applications/Productivity
Requires: hunspell-ar
Requires: fonts-arabic
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ar

%description langpack-ar
Provides additional arabic translations and resources for %{name}.

%package langpack-bg_BG
Summary: Bulgarian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-bg
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-bg
Obsoletes: openoffice.org2-langpack-bg_BG

%description langpack-bg_BG
Provides additional bulgarian translations and resources for %{name}.

%package langpack-bn
Summary: Bengali language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-bengali
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-bn_IN
Obsoletes: openoffice.org2-langpack-bn

%description langpack-bn
Provides additional bengali translations and resources for %{name}.

%package langpack-ca_ES
Summary: Catalan language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-ca
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-ca
Obsoletes: openoffice.org2-langpack-ca_ES

%description langpack-ca_ES
Provides additional catalan translations and resources for %{name}.

%package langpack-cs_CZ
Summary: Czech language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-cs, hyphen-cs, mythes-cs
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-cs
Obsoletes: openoffice.org2-langpack-cs_CZ

%description langpack-cs_CZ
Provides additional czech translations and resources for %{name}.

%package langpack-cy_GB
Summary: Welsh language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-cy
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-cy
Obsoletes: openoffice.org2-langpack-cy_GB


%description langpack-cy_GB
Provides additional welsh translations and resources for %{name}.

%package langpack-da_DK
Summary: Danish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-da, hyphen-da
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-da
Obsoletes: openoffice.org2-langpack-da_DK


%description langpack-da_DK
Provides additional danish translations and resources for %{name}.

%package langpack-de
Summary: German language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-de, hyphen-de, mythes-de
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-de


%description langpack-de
Provides additional german translations and resources for %{name}.

%package langpack-el_GR
Summary: Greek language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-el
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-el
Obsoletes: openoffice.org2-langpack-el_GR


%description langpack-el_GR
Provides additional greek translations and resources for %{name}.

%package langpack-en
Summary: English language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: mythes-en

%description langpack-en
English thesaurus for %{name}.

%package langpack-es
Summary: Spanish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-es
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-es

%description langpack-es
Provides additional spanish translations and resources for %{name}.

%package langpack-et_EE
Summary: Estonian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-ee, hyphen-et
Obsoletes: openoffice.org-langpack-et
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-et_EE

%description langpack-et_EE
Provides additional estonian translations and resources for %{name}.

%package langpack-eu_ES
Summary: Basque language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-eu
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-eu_ES

%description langpack-eu_ES
Provides additional basque translations and resources for %{name}.

%package langpack-fi_FI
Summary: Finish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-fi
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-fi_FI

%description langpack-fi_FI
Provides additional finish translations and resources for %{name}.

%package langpack-fr
Summary: French language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-fr
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-fr

%description langpack-fr
Provides additional french translations and resources for %{name}.

%package langpack-ga_IE
Summary: Irish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-ga
Obsoletes: openoffice.org2-langpack-ga_IE

%description langpack-ga_IE
Provides additional irish translations and resources for %{name}.

%package langpack-gl_ES
Summary: Galician language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-gl
Obsoletes: openoffice.org-langpack-gl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-gl_ES

%description langpack-gl_ES
Provides additional galician translations and resources for %{name}.

%package langpack-gu_IN
Summary: Gujarati language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-gujarati
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-gu_IN

%description langpack-gu_IN
Provides additional gujarati translations and resources for %{name}.

%package langpack-pa_IN
Summary: Punjabi language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-punjabi, hunspell-pa
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-pa_IN

%description langpack-pa_IN
Provides additional punjabi translations and resources for %{name}.

%package langpack-he_IL
Summary: Hebrew language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-he
Requires: fonts-hebrew
Obsoletes: openoffice.org-langpack-he
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-he_IL

%description langpack-he_IL
Provides additional hebrew translations and resources for %{name}.

%package langpack-hi_IN
Summary: Hindi language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-hindi, hunspell-hi
Obsoletes: openoffice.org-langpack-hi-IN
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-hi_IN

%description langpack-hi_IN
Provides additional hindi translations and resources for %{name}.

%package langpack-hu_HU
Summary: Hungarian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-hu, hyphen-hu
Obsoletes: openoffice.org-langpack-hu
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-hu_HU

%description langpack-hu_HU
Provides additional hungarian translations and resources for %{name}.

%package langpack-hr_HR
Summary: Croatian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-hr, hyphen-hr
Obsoletes: openoffice.org-langpack-hr
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-hr_HR

%description langpack-hr_HR
Provides additional croatian translations and resources for %{name}.

%package langpack-it
Summary: Italian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-it, hyphen-it
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-it

%description langpack-it
Provides additional italian translations and resources for %{name}.

%package langpack-ja_JP
Summary: Japanese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-japanese
Obsoletes: openoffice.org-langpack-ja
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ja_JP

%description langpack-ja_JP
Provides additional japanese translations and resources for %{name}.

%package langpack-ko_KR
Summary: Korean language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-korean
Obsoletes: openoffice.org-langpack-ko
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ko_KR

%description langpack-ko_KR
Provides additional korean translations and resources for %{name}.

%package langpack-lt_LT
Summary: Lithuanian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-lt, hyphen-lt
Obsoletes: openoffice.org-langpack-lt
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-lt_LT

%description langpack-lt_LT
Provides additional lithuanian translations and resources for %{name}.

%package langpack-ms_MY
Summary: Malay language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-ms
Obsoletes: openoffice.org-langpack-ms
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ms_MY

%description langpack-ms_MY
Provides additional malay translations and resources for %{name}.

%package langpack-nb_NO
Summary: Bokmal language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-nb
Obsoletes: openoffice.org-langpack-nb
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-nb_NO

%description langpack-nb_NO
Provides additional bokmal translations and resources for %{name}.

%package langpack-nl
Summary: Dutch language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-nl, hyphen-nl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-nl

%description langpack-nl
Provides additional dutch translations and resources for %{name}.

%package langpack-nn_NO
Summary: Nynorsk language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-nn
Obsoletes: openoffice.org-langpack-nn
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-nn_NO

%description langpack-nn_NO
Provides additional nynorsk translations and resources for %{name}.

%package langpack-nr_ZA
Summary: Southern Ndebele language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-nr_ZA
Provides additional Southern Ndebele translations and resources for %{name}.

%package langpack-pl_PL
Summary: Polish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-pl, hyphen-pl, mythes-pl
Obsoletes: openoffice.org-langpack-pl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-pl_PL

%description langpack-pl_PL
Provides additional polish translations and resources for %{name}.

%package langpack-pt_PT
Summary: Portuguese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-pt
Obsoletes: openoffice.org-langpack-pt
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-pt_PT

%description langpack-pt_PT
Provides additional portuguese translations and resources for %{name}.

%package langpack-pt_BR
Summary: Brazilian Portuguese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-pt
Obsoletes: openoffice.org-langpack-pt-BR
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-pt_BR

%description langpack-pt_BR
Provides additional brazilian portuguese translations and resources for %{name}.

%package langpack-ru
Summary: Russian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-ru, hyphen-ru
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ru

%description langpack-ru
Provides additional russian translations and resources for %{name}.

%package langpack-sk_SK
Summary: Slovak language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-sk, mythes-sk
Obsoletes: openoffice.org-langpack-sk
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-sk_SK

%description langpack-sk_SK
Provides additional slovak translations and resources for %{name}.

%package langpack-sl_SI
Summary: Slovenian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-sl, hyphen-sl
Obsoletes: openoffice.org-langpack-sl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-sl_SI

%description langpack-sl_SI
Provides additional slovenian translations and resources for %{name}.

%package langpack-sr
Summary: Serbian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-sr_CS
Obsoletes: openoffice.org-langpack-sr_CS

%description langpack-sr
Provides additional serbian translations and resources for %{name}.

%package langpack-ss_ZA
Summary: Swati language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-ss_ZA
Provides additional swati translations and resources for %{name}.

%package langpack-st_ZA
Summary: Southern Sotho language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-st_ZA
Provides additional Southern Sotho translations and resources for %{name}.

%package langpack-sv
Summary: Swedish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-sv
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-sv

%description langpack-sv
Provides additional swedish translations and resources for %{name}.

%package langpack-ta_IN
Summary: Tamil language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires:  fonts-tamil, hunspell-ta
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-ta_IN

%description langpack-ta_IN
Provides additional tamil translations and resources for %{name}.

%package langpack-th_TH
Summary: Thai language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-th
Obsoletes: openoffice.org-langpack-th
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-th_TH

%description langpack-th_TH
Provides additional thai translations and resources for %{name}.

%package langpack-nso_ZA
Summary: Northern Sotho language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-nso_ZA

%description langpack-nso_ZA
Provides additional Northern Sotho translations and resources for %{name}.

%package langpack-tn_ZA
Summary: Tswana language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-tn_ZA
Obsoletes: openoffice.org-langpack-tn

%description langpack-tn_ZA
Provides additional tswana translations and resources for %{name}.

%package langpack-ts_ZA
Summary: Tsonga language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-ts_ZA
Obsoletes: openoffice.org-langpack-ts

%description langpack-ts_ZA
Provides additional tsonga translations and resources for %{name}.

%package langpack-tr_TR
Summary: Turkish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-tr
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-tr

%description langpack-tr_TR
Provides additional turkish translations and resources for %{name}.

%package langpack-ve_ZA
Summary: Venda language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-ve_ZA
Provides additional venda translations and resources for %{name}.

%package langpack-xh_ZA
Summary: Xhosa language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-xh_ZA
Provides additional xhosa translations and resources for %{name}.

%package langpack-zh_CN
Summary: Simplified Chinese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-chinese
Obsoletes: openoffice.org-langpack-zh-CN
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-zh_CN

%description langpack-zh_CN
Provides additional simplified chinese translations and resources for %{name}.

%package langpack-zh_TW
Summary: Traditional Chinese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-chinese
Obsoletes: openoffice.org-langpack-zh-TW
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-zh_TW

%description langpack-zh_TW
Provides additional traditional chinese translations and resources for %{name}.

%package langpack-zu_ZA
Summary: Zulu language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: hunspell-zu, hyphen-zu
Obsoletes: openoffice.org-langpack-zu
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org2-langpack-zu_ZA

%description langpack-zu_ZA
Provides additional zulu translations and resources for %{name}.

%package langpack-as_IN
Summary: Assamese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-bengali
Obsoletes: openoffice.org2-langpack-as_IN

%description langpack-as_IN
Provides additional assamese translations and resources for %{name}.

%package langpack-mr_IN
Summary: Marathi language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-hindi, hunspell-mr
Obsoletes: openoffice.org2-langpack-mr_IN

%description langpack-mr_IN
Provides additional marathi translations and resources for %{name}.

%package langpack-ml_IN
Summary: Malayalam language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-malayalam
Obsoletes: openoffice.org2-langpack-ml_IN

%description langpack-ml_IN
Provides additional malayalam translations and resources for %{name}.

%package langpack-or_IN
Summary: Oriya language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: fonts-oriya, hunspell-or
Obsoletes: openoffice.org2-langpack-or_IN

%description langpack-or_IN
Provides additional oriya translations and resources for %{name}.

%package langpack-te_IN
Summary: Telugu language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-te_IN

%description langpack-te_IN
Provides additional telugu translations and resources for %{name}.

%package langpack-ur
Summary: Urdu language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-ur

%description langpack-ur
Provides additional urdu translations and resources for %{name}.

%package langpack-kn_IN
Summary: Kannada language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org2-langpack-kn_IN

%description langpack-kn_IN
Provides additional kannada translations and resources for %{name}.

%package langpack-dz
Summary: Dzongkha language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-dz
Provides additional dzongkha translations and resources for %{name}.

%prep
%setup -q -n %{ooo_base_name}
cp -p %{SOURCE1} extras/source/database/evolocal.odb
(sed -e '/Sun/d' extras/source/palettes/standard.soc | head -n -1 && \
 echo -e ' <draw:color draw:name="Vine 1" draw:color="#cc0000"/>
 <draw:color draw:name="Vine 2" draw:color="#0093d9"/> 
 <draw:color draw:name="Vine 3" draw:color="#ff8d00"/>
 <draw:color draw:name="Vine 4" draw:color="#abb400"/>
 <draw:color draw:name="Vine 5" draw:color="#4e376b"/>' && \
 tail -n 1 extras/source/palettes/standard.soc) > vine.soc
mv -f vine.soc extras/source/palettes/standard.soc
cp -p %{SOURCE6} external/unowinreg/unowinreg.dll
%patch11 -p1 -b .rh161886.rpath.desktop.patch
%patch12 -p1 -b .rh151357.setlangtolocale.patch
%if %{gtkprintui}
%patch13 -p1 -b .rh127576.gtkunixprintdialog.patch
%endif
%patch14 -p1 -b .rh171692.jvmfwk.retryjvm.patch
%patch15 -p1 -b .rhXXXXXX.extensions.defaulttoevo2.patch
%patch16 -p1 -b .ooo69368.fixxmlsec.patch
%patch17 -p1 -b .ooo53397.prelinkoptimize.desktop.patch
%patch18 -p1 -b .ooo58606.sw.pre-edit.patch
%patch19 -p1
%patch20 -p1 -b .ooo64508.vcl.honourfontconfighinting.patch
%patch21 -p1 -b .ooo69051.vcl.singlekeypress.patch
%patch22 -p1 -b .pseudoworkspace.valgrind1.patch
%patch23 -p1 -b .rhXXXXXX.padmin.nospadmin.patch
%patch24 -p1 -b .rh217065.syncbackspace.patch
%patch25 -p1 -b .ooo80412.i18npool.extendgrapheme.patch
%patch26 -p1 -b .ooo65491.psprint.enablenups.patch
cat %{PATCH27} >> svtools/source/dialogs/localize.sdf
%patch28 -p1 -b .oooXXXXX.lingucomponent.systemdicts.patch
%patch29 -p1 -b .rh217269.officecfg.nosequencecheck.patch
%patch30 -p1 -b .tl37.patch
%patch31 -p1 -b .ooo73201.sw.a11yloadcrash.patch
%patch32 -p1 -b .oooXXXXX.vcl.dontsortglyphs.patch
%patch33 -p1 -b .ooo73863.vcl.imcommit.patch
%patch34 -p1 -b .ooo74188.sw.cursorinsideglyph.patch
%patch35 -p0 -b .ooo68717.gstreamer.video.patch
%patch36 -p1 -b .ooo63159.sal.dtype.patch
%patch37 -p1 -b .rh232389.tango.patch
%patch38 -p1 -b .ooo76393.sal.dynamicsection.patch
%patch39 -p1 -b .ooo76424.nonatnum.bn_IN.18npool.patch
%patch40 -p1 -b .ooo80816.selinux.bridges.patch
%patch41 -p1 -b .ooo78971.xmloff.outofrange.patch
%patch42 -p1 -b .oooXXXXX.sw.titlepagedialog.patch
%patch43 -p1 -b .ooo79481.sw.rowordcount.patch
%patch44 -p1 -b .ooo80257.sd.textonlystyle.patch
tar xzf %{PATCH45}
%patch46 -p1 -b .workspace.unifysound01.patch
%patch47 -p1 -b .gccXXXXX.solenv.javaregistration.patch
%patch48 -p1 -b .ooo81321.cppu.silencewarnings.patch
%patch49 -p1 -b .ooo76649.httpencoding.patc
%patch50 -p1 -b .ooo82966.svx.missing3d.patch
%patch51 -p1 -b .ooo83878.unopkg.enablelinking.patch
%patch52 -p1 -b .workspace.notes2.patch
%patch53 -p1 -b .ooo84676.ucb.davprotocol.patch
%patch54 -p1 -b .ooo84621.sw.insertexcel.patch
%patch55 -p1 -b .ooo84770.svx.eventsmismatch.patch
%patch56 -p1 -b .ooo85054.stlport.noorigs.patch
%patch57 -p1 -b .ooo86670.config_office.xpcomasxul.patch
%patch58 -p1 -b .ooo85097.desktop.pagein.patch
%patch59 -p1
%patch60 -p1 -b .rh133741.alwaysgtk.vcl.patch
%patch61 -p1 -b .ooo85385.svtools.a11ycrash.patch
%patch62 -p1 -b .ooo85429.sw.a11ycrash.patch
%patch63 -p1 -b .ooo85448.emptyrpath.patch
%patch64 -p1 -b .workspace.cairotext01.patch
%patch65 -p1 -b .workspace.gcc430two.patch
%patch66 -p1 -b .ooo85854.sw.graphicsaveas.patch
%patch67 -p1 -b .ooo85921.sd.editmasterundermouse.patch
%patch68 -p1 -b .ooo85931.svx.getentrypos.patch
%patch69 -p1 -b .ooo86123.ucb.newneon.patch
%patch70 -p1 -b .ooo86080.unopkg.bodge.patch
%patch71 -p1 -b .oooXXXXX.psprint.debugcups.patch
%patch72 -p1 -b .ooo86866.embeddedobj.plusequalsoperator.patch
%patch73 -p1 -b .ooo86882.vcl.unsigned_int_to_long.patch
%patch74 -p1 -b .ooo86924.sfx2.iconchanges.patch
%patch75 -p1 -b .ooo87204.toolkit.64bitevent.patch
%patch76 -p1 -b .ooo87490.sfx2.allprotocols.urlopen.patch
%patch77 -p1 -b .ooo85691.vcl.tooltipcolor.patch
%patch78 -p1 -b .ooo87991.fpickersafe.patch
%patch79 -p1 -b .ooo88033.svx.a11ycrash.patch
%patch80 -p1 -b .ooo87071.sd.backgroundfix.patch
%patch81 -p1 -b .ooo90071.chart2.negativecount.patch
%patch82 -p1 -b .ooo89002.vcl.symbolfonts.patch
%patch83 -p1 -b .workspace.impress138.patch
%patch84 -p1 -b .gcc36187.noaliasingbusted.patch
%patch85 -p1 -b .ooo87970.vcl.samenamesubs.patch
%patch86 -p1 -b .ooo90037.vcl.cairotransforms.patch
%patch87 -p1 -b .ooo82545.np_sdk.x86_64.patch
%patch88 -p1 -b .ooo90306.sw.wrongprotection.patch
%patch89 -p1 -b .ooo48400.svx.fixspelling.patch
%patch90 -p1 -b .ooo90697.sd.a11ycrash.patch

%build
echo build start time is `date`, diskspace: `df -h . | tail -n 1`
#don't build localized helps which are poorly translated
POORHELPS=`grep "Working With %PRODUCTNAME" helpcontent2/source/text/swriter/localize.sdf | cut -f 10 | xargs`
cd config_office
autoconf
export PATH=$PATH:/usr/sbin
%configure \
           --with-build-version=%{name}-%{version}-%{release} \
%if %{without_java}
           --without-java \
%else
           --with-java \
%endif
	   --with-unix-wrapper=%{name} \
	   --with-use-shell=bash \
	   --disable-ldap \
	   --disable-crashdump \
	   --disable-epm \
	   --disable-qadevooo \
	   --disable-fontooo \
	   --disable-mathmldtd \
	   --disable-pasf \
	   --disable-Xaw \
	   --enable-symbols \
	   --enable-lockdown \
	   --enable-evolution2 \
	   --enable-cairo \
	   --enable-vba \
	   --with-vba-package-format="builtin" \
	   --enable-dbus \
	   --with-system-libs \
	   --with-system-python \
	   --with-system-mozilla=libxul \
	   --with-system-boost \
	   --with-system-altlinuxhyph \
	   --with-system-odbc-headers \
	   --with-system-sane-header \
	   --with-system-xrender-headers \
	   --with-system-libtextcat \
	   --without-myspell-dicts \
	   --without-system-mspack \
	   --without-hsqldb \
	   --without-system-hsqldb \
           --without-system-beanshell \
	   --without-system-xml-apis \
           --without-system-xerces \
	   --without-system-xalan \
	   --without-fonts \
	   --without-nas \
	   --without-gpc \
	   --without-agg \
	   --without-ppds \
	   --without-afms \
	   --without-writer2latex %{stlflags} \
	   --with-lang="%{langpack_langs}" \
	   --with-poor-help-localizations="$POORHELPS"

cd ..
./bootstrap
source Linux*Env.Set.sh
#unneccessary to build for both hash types
unset HAVE_LD_HASH_STYLE
%if ! %{jdk_is_gcj}
#set target to 5 so that gcj can still be used as the jvm when built with icedtea
export JAVACOMPILER="$JAVACOMPILER -target 5"
%endif
#faster build
export nodep=true
export NO_HIDS=true
#Set the "This product has been created by..." in Help->About
export OOO_VENDOR="Project Vine"
#force linker
export LINK=$CXX
#use the RPM_OPT_FLAGS but remove the OOo overridden ones
for i in $RPM_OPT_FLAGS; do
        case "$i" in
                -O?|-pipe|-Wall|-g|-fexceptions|-fasynchronous-unwind-tables) continue;;
        esac
        ARCH_FLAGS="$ARCH_FLAGS $i"
done
export ARCH_FLAGS

##very not happy with gcc at the moment wrt launching the bibliography, 
##let's go conservative for a bit
##something odd with <= limit of 125 in framework/source/loadenv/loadenv.cxx and
##the frame from tools->bibliography not closable wrt the mutex in
##LoadEnvListener so use >= 128, but want 64
#export ARCH_FLAGS="$ARCH_FLAGS -finline-limit=128"
##add -fno-threadsafe-statics (our statics are already double-locked) to C++ only
#export CXX="$CXX -fno-threadsafe-statics"

#convert _smp_mflags to dmake equivalent
SMP_MFLAGS=%{?_smp_mflags}
SMP_MFLAGS=$[${SMP_MFLAGS/-j/}]
if [ $SMP_MFLAGS -lt 2 ]; then SMP_MFLAGS=2; fi
DMAKE_SMP_MFLAGS=`dc -e "$SMP_MFLAGS v p"`
BUILD_SMP_MFLAGS=`dc -e "$SMP_MFLAGS $DMAKE_SMP_MFLAGS / p"`
DMAKE_SMP_MFLAGS=-P$DMAKE_SMP_MFLAGS
BUILD_SMP_MFLAGS=-P$BUILD_SMP_MFLAGS
#just in case you have a >16 proc box
export MAXPROCESSLIMIT=65535
#get core dumps
ulimit -c unlimited
#build translation tools and apply extra translations, so
#this can be removed when these translations are upstreamed
cd transex3/prj
if ! build --dlv_switch -link --all $BUILD_SMP_MFLAGS -- $DMAKE_SMP_MFLAGS -s; then
    echo bt > gdbcmds
    find ../.. -name "core.*" -exec gdb --batch -nx -x gdbcmds --core {} \;
    build --dlv_switch -link --all
fi
deliver -link
localize -m -x -l bn -f %{SOURCE5}
cd ../..

#build OOo, on failure make a stab at debugging the crash if any, and
#rebuild un-parallel
cd instsetoo_native/util
if ! build --dlv_switch -link --all $BUILD_SMP_MFLAGS -- $DMAKE_SMP_MFLAGS -s; then
    echo bt > gdbcmds
    find ../.. -name "core.*" -exec gdb --batch -nx -x gdbcmds --core {} \;
    build --dlv_switch -link --all
fi

#generate the icons and mime type stuff
cd ../../sysui/unxlng*/misc/openoffice.org
export DESTDIR=../../../output
export KDEMAINDIR=/usr
export GNOMEDIR=/usr
export GNOME_MIME_THEME=hicolor
./create_tree.sh

#start of jakub based suggestion on prelink optimization 
cd ../../../../desktop/source/app
sed -i -e "s/OBJ/SLO/" makefile.mk
dmake
cd ../../util
%if %{stlport_abi_lockin}
`(cat ../$OUTPATH.pro/misc/soffice.soffice_5.cmd | sed -e "s/obj/slo/g" | sed -e "s/bin\/soffice/lib\/libsoffice.so -shared/" && grep ^lib ../$OUTPATH.pro/misc/pagein-common | cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | xargs | xargs`
%else
`(cat ../$OUTPATH.pro/misc/soffice.soffice_5.cmd | sed -e "s/obj/slo/g" | sed -e "s/bin\/soffice/lib\/libsoffice.so -shared/" && grep ^lib ../$OUTPATH.pro/misc/pagein-common | cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | grep -v stlport | xargs | xargs`
%endif
$LINK -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -Wl,-export-dynamic -Wl,--noinhibit-exec $SOLARLIB -L../$OUTPATH.pro/lib -lsoffice -o ../$OUTPATH.pro/bin/soffice
`( (echo $LINK -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -Wl,-export-dynamic -Wl,--noinhibit-exec $SOLARLIB -L../$OUTPATH.pro/lib -lsoffice -o ../$OUTPATH.pro/bin/swriter) && (grep -h ^lib ../$OUTPATH.pro/misc/pagein-writer | cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | xargs ) | xargs`
`( (echo $LINK -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -Wl,-export-dynamic -Wl,--noinhibit-exec $SOLARLIB -L../$OUTPATH.pro/lib -lsoffice -o ../$OUTPATH.pro/bin/scalc) && (grep -h ^lib ../$OUTPATH.pro/misc/pagein-calc| cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | xargs ) | xargs`
`( (echo $LINK -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -Wl,-export-dynamic -Wl,--noinhibit-exec $SOLARLIB -L../$OUTPATH.pro/lib -lsoffice -o ../$OUTPATH.pro/bin/simpress) && (grep -h ^lib ../$OUTPATH.pro/misc/pagein-impress| cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | xargs ) | xargs`
`( (echo $LINK -Wl,-z,combreloc -Wl,-z,defs -Wl,-rpath,'$ORIGIN' -Wl,-export-dynamic -Wl,--noinhibit-exec $SOLARLIB -L../$OUTPATH.pro/lib -lsoffice -o ../$OUTPATH.pro/bin/sdraw) && (grep -h ^lib ../$OUTPATH.pro/misc/pagein-draw| cut -c 4- | cut -d "." -f 1 | awk '{ print "-l"$0 }') | xargs ) | xargs`
#end of jakub based suggestion on prelink optimization
echo build end time is `date`, diskspace: `df -h . | tail -n 1`

%install
rm -rf $RPM_BUILD_ROOT
source Linux*Env.Set.sh
#figure out the icon version
export LONGICON`grep "PRODUCTVERSION[ ]*=[ ]*" sysui/desktop/productversion.mk | sed -e "s/ //g"`
export ICONPRODUCTVERSION=${LONGICONPRODUCTVERSION/./}
unset HAVE_LD_HASH_STYLE
#don't duplicate english helpcontent about the place
unset DEFAULT_TO_ENGLISH_FOR_PACKING
cd instsetoo_native/util
#get an unpackaged raw install
export PKGFORMATSWITCH="-format rpm -simple $RPM_BUILD_ROOT/%{instdir}"
for attempt in 1 2 3 4 5 6 7 8 9 10; do
    echo Attempt $attempt
    if ! dmake openoffice_en-US; then
        echo installation failure time is `date`, diskspace: `df -h . | tail -n 1`
        echo - ---dump log start---
        cat ../unx*.pro/OpenOffice/rpm/logging/en-US/log_*_en-US.log
        echo - ---dump log end---
        if [ -e /usr/sbin/sestatus ]; then
            /usr/sbin/sestatus
        fi
        export _MALLOC_CHECK=0
    else
        break
    fi
done
cp -f ../../desktop/$OUTPATH.pro/lib/libsoffice.so $RPM_BUILD_ROOT/%{instdir}/program
cp -f ../../desktop/$OUTPATH.pro/bin/soffice $RPM_BUILD_ROOT/%{instdir}/program/soffice.bin
cp -f ../../desktop/$OUTPATH.pro/bin/swriter $RPM_BUILD_ROOT/%{instdir}/program/swriter.bin
cp -f ../../desktop/$OUTPATH.pro/bin/scalc $RPM_BUILD_ROOT/%{instdir}/program/scalc.bin
cp -f ../../desktop/$OUTPATH.pro/bin/simpress $RPM_BUILD_ROOT/%{instdir}/program/simpress.bin
cp -f ../../desktop/$OUTPATH.pro/bin/sdraw $RPM_BUILD_ROOT/%{instdir}/program/sdraw.bin
chmod -R +w $RPM_BUILD_ROOT/%{instdir}
%if %{langpacks}
dmake ooolanguagepack
%else
dmake ooolanguagepack_ja
%endif
export PKGFORMATSWITCH="-format rpm -simple $RPM_BUILD_ROOT/%{instdir}/sdk"
export WITH_LANG="en-US"
dmake sdkoo
cd ../../

#add enough to the sdk to build the kde vcl plug out of tree
cp -r solenv/ $RPM_BUILD_ROOT/%{instdir}/sdk
cp solver/680/unxlng*/bin/checkdll $RPM_BUILD_ROOT/%{instdir}/sdk/linux/bin
cp -r solver/680/unxlng*/inc/comphelper/ $RPM_BUILD_ROOT/%{instdir}/sdk/include
cp -r solver/680/unxlng*/inc/i18npool/ $RPM_BUILD_ROOT/%{instdir}/sdk/include
cp -r solver/680/unxlng*/inc/psprint $RPM_BUILD_ROOT/%{instdir}/sdk/include
cp -r solver/680/unxlng*/inc/svtools $RPM_BUILD_ROOT/%{instdir}/sdk/include
cp -r solver/680/unxlng*/inc/tools/ $RPM_BUILD_ROOT/%{instdir}/sdk/include
cp -r solver/680/unxlng*/inc/vos $RPM_BUILD_ROOT/%{instdir}/sdk/include

#configure sdk
pushd $RPM_BUILD_ROOT/%{instdir}/sdk
    for file in setsdkenv_unix.csh setsdkenv_unix.sh ; do
        sed -e "s,@OO_SDK_NAME@,sdk," \
            -e "s,@OO_SDK_HOME@,%{instdir}/sdk," \
            -e "s,@OFFICE_HOME@,%{instdir}," \
            -e "s,@OO_SDK_URE_HOME@,," \
            -e "s,@OO_SDK_MAKE_HOME@,/usr/bin," \
            -e "s,@OO_SDK_ZIP_HOME@,/usr/bin," \
            -e "s,@OO_SDK_CPP_HOME@,/usr/bin," \
            -e "s,@OO_SDK_CC_55_OR_HIGHER@,," \
            -e "s,@OO_SDK_JAVA_HOME@,$JAVA_HOME," \
            -e "s,@OO_SDK_OUTPUT_DIR@,\$HOME," \
            -e "s,@SDK_AUTO_DEPLOYMENT@,NO," \
            $file.in > $file
        chmod 755 $file
    done
#relocate dmake
    mv solenv/unxlng*/bin/dmake solenv/bin
    rm -rf solenv/unx*
#fix up checkdll
    sed -i -e "s#^checkdll=.*#checkdll=\"%{instdir}/sdk/linux/bin/checkdll\"#g" solenv/bin/checkdll.sh
#make env
    echo export PATH=\$PATH:%{instdir}/sdk/solenv/bin > setdevelenv_unix.sh
    echo export DMAKEROOT=%{instdir}/sdk/solenv/inc/startup >> setdevelenv_unix.sh
    echo export OS="LINUX" >> setdevelenv_unix.sh
    echo export SOLARENV=%{instdir}/sdk/solenv >> setdevelenv_unix.sh
    echo export SOLARVER="\`pwd\`/solver/680" >> setdevelenv_unix.sh
    echo export SOLARVERSION="\$SOLARVER" >> setdevelenv_unix.sh
    echo export INPATH="$INPATH" >> setdevelenv_unix.sh
    echo export OUTPATH="$OUTPATH" >> setdevelenv_unix.sh
    echo export UPD="$UPD" >> setdevelenv_unix.sh 
    echo export UPDATER="YES" >> setdevelenv_unix.sh
    echo export WORK_STAMP="$WORK_STAMP" >> setdevelenv_unix.sh
    echo export GUI="UNX" >> setdevelenv_unix.sh
    echo export GUIBASE="unx" >> setdevelenv_unix.sh
    echo export PATH_SEPERATOR=":" >> setdevelenv_unix.sh
    echo export COM="GCC" >> setdevelenv_unix.sh
    echo export GLIBC="2VINE60" >> setdevelenv_unix.sh
    echo export OS="LINUX" >> setdevelenv_unix.sh
    echo export SHELL="/bin/bash" >> setdevelenv_unix.sh
    echo export USE_SHELL="bash" >> setdevelenv_unix.sh
    echo export CVER="$CVER" >> setdevelenv_unix.sh
    echo export CPU="$CPU" >> setdevelenv_unix.sh
    echo export MAKEDEPEND=makedepend >> setdevelenv_unix.sh
    echo export MKOUT="mkout.pl" >> setdevelenv_unix.sh
    echo export SOLARINC=\"-I%{instdir}/sdk/include/stl -I%{instdir}/sdk/include\" >> setdevelenv_unix.sh
    echo export SOLARLIB=\"-L%{instdir}/program\" >> setdevelenv_unix.sh
    echo export GXX_INCLUDE_PATH="$GXX_INCLUDE_PATH" >> setdevelenv_unix.sh
    echo export EXTERNAL_WARNINGS_NOT_ERRORS="TRUE" >> setdevelenv_unix.sh
    echo export GVER="VCL" >> setdevelenv_unix.sh
    echo export PRODUCT="full" >> setdevelenv_unix.sh
    echo export ISOLANG_MAJOR=1 >> setdevelenv_unix.sh
    echo export COMPHLP_MAJOR=4 >> setdevelenv_unix.sh
    echo export UCBHELPER_MAJOR=4 >> setdevelenv_unix.sh
    echo export VOS_MAJOR=3 >> setdevelenv_unix.sh
popd

#add our custom configuration options
#default GTK fpicker
$RPM_BUILD_ROOT/%{instdir}/program/configimport -e file://$RPM_BUILD_ROOT/%{instdir}/share/registry %{PATCH2}
#don't prompt user to agree to license
$RPM_BUILD_ROOT/%{instdir}/program/configimport -e file://$RPM_BUILD_ROOT/%{instdir}/share/registry %{PATCH3}
#don't prompt user to register
sed -i -e "s#>Patch.*# xsi:nil=\"true\"/>#g" $RPM_BUILD_ROOT/%{instdir}/share/registry/data/org/openoffice/Office/Common.xcu
#default autosave settings
$RPM_BUILD_ROOT/%{instdir}/program/configimport -e file://$RPM_BUILD_ROOT/%{instdir}/share/registry %{PATCH4}
#libtextcat fingerprint location
$RPM_BUILD_ROOT/%{instdir}/program/configimport -e file://$RPM_BUILD_ROOT/%{instdir}/share/registry %{PATCH5}
#rhbz#151356 set a consistent bootstrap value, unfortunately upstream finally picked a different one
sed -i -e s/org2/org2.0/ $RPM_BUILD_ROOT/%{instdir}/program/bootstraprc
#give a consistent javasettingsunopkginstall.xml
$RPM_BUILD_ROOT/%{instdir}/program/unopkg list --shared || :
rm -rf $RPM_BUILD_ROOT/%{instdir}/share/uno_packages/cache/* || :

#lets just remove it regardless of the java used to build OOo
rm -rf $RPM_BUILD_ROOT/%{instdir}/program/classes/sandbox.jar

#add the debugging libsalalloc_malloc.so.3 library
cp -f solver/680/unxlng*.pro/lib/libsalalloc_malloc.so.3 $RPM_BUILD_ROOT/%{instdir}/program

#We don't need to carry around all the letter templates for all the languages 
#in each langpack! In addition, all the bitmaps are the same!
pushd $RPM_BUILD_ROOT/%{instdir}/share/template
mkdir -p wizard
for I in %{langpack_langs}; do
	cp -afl $I/wizard/bitmap wizard/
	rm -rf $I/wizard/bitmap
	ln -sf ../../wizard/bitmap $I/wizard/bitmap

	if [ -d $I/wizard/letter/$I ]; then
		mv -f $I/wizard/letter/$I ${I}_wizard_letter_${I}
		rm -rf $I/wizard/letter/*
		mv -f ${I}_wizard_letter_${I} $I/wizard/letter/$I
	else
		rm -rf $I/wizard/letter/*
	fi
done
popd

#Set some aliases to canonical autocorrect language files for locales with matching languages
pushd $RPM_BUILD_ROOT/%{instdir}/share/autocorr
en_GB_aliases="en-AU en-BS en-BZ en-CA en-GH en-IE en-IN en-JM en-NA en-NZ en-TT en-ZA en-ZW"
for lang in $en_GB_aliases; do
        ln -sf acor_en-GB.dat acor_$lang.dat
done
en_US_aliases="en-PH"
for lang in $en_US_aliases; do
        ln -sf acor_en-US.dat acor_$lang.dat
done
af_ZA_aliases="af-NA"
for lang in $af_ZA_aliases; do
        ln -sf acor_af-ZA.dat acor_$lang.dat
done
de_DE_aliases="de-AT de-BE de-CH de-LI de-LU"
for lang in $de_DE_aliases; do
        ln -sf acor_de-DE.dat acor_$lang.dat
done
es_ES_aliases="es-AR es-BO es-CL es-CO es-CR es-DO es-EC es-GT es-HN es-MX es-NI es-PA es-PE es-PR es-PY es-SV es-UY es-VE"
for lang in $es_ES_aliases; do
        ln -sf acor_es-ES.dat acor_$lang.dat
done
fr_FR_aliases="fr-BE fr-CA fr-CH fr-LU fr-MC"
for lang in $fr_FR_aliases; do
        ln -sf acor_fr-FR.dat acor_$lang.dat
done
it_IT_aliases="it-CH"
for lang in $it_IT_aliases; do
        ln -sf acor_it-IT.dat acor_$lang.dat
done
nl_NL_aliases="nl-BE"
for lang in $nl_NL_aliases; do
        ln -s acor_nl-NL.dat acor_$lang.dat
done
sv_SE_aliases="sv-FI"
for lang in $sv_SE_aliases; do
        ln -s acor_sv-SE.dat acor_$lang.dat
done
popd

#auto generate the langpack file lists, format is...
#langpack id, has help or not, autocorrection glob, script classification
langpackdetails=\
(\
af	help	acor_af-*.dat	western		ar	nohelp	noacor		ctl	\
bg	help	acor_bg-BG.dat	western 	bn	help	noacor		western	\
ca	help	noacor		western 	cs	help	acor_cs-CZ.dat	western	\
cy	nohelp	noacor		western 	da	help	acor_da-DK.dat	western	\
de	help	acor_de-*.dat	western 	el	help 	noacor		western	\
es	help	acor_es-*.dat	western 	et	help	noacor		western	\
eu	nohelp	noacor		western 	fi	nohelp	acor_fi-*.dat	western	\
fr	help	acor_fr-*.dat	western 	ga	nohelp	noacor		western	\
gl	help	noacor		western 	gu-IN	nohelp	noacor		ctl	\
pa-IN	help	noacor		ctl 		he	nohelp	noacor		ctl	\
hi-IN	help	noacor		ctl 		hu	help	acor_hu-HU.dat	western	\
hr	nohelp	noacor		western 	it	help	acor_it-*.dat	western	\
#ja	help	acor_ja-JP.dat	cjk 		ko	help	acor_ko-KR.dat	cjk	\
ko	help	acor_ko-KR.dat	cjk	\
lt	help	noacor		western 	ms	nohelp	noacor		western	\
nb	help	noacor		western 	nl	help	acor_nl-*.dat	western	\
nn	help	noacor		western 	pl	help	acor_pl-PL.dat	western	\
pt	help	acor_pt-PT.dat	western 	pt-BR	help	acor_pt-BR.dat	western	\
ru	help	acor_ru-RU.dat	western 	sk	help	acor_sk-SK.dat	western	\
sl	help	acor_sl-SI.dat	western 	sr	nohelp	noacor		western	\
sv	help	acor_sv-*.dat	western 	ta-IN	nohelp	noacor		ctl	\
th	help	noacor		ctl 		tr	help	acor_tr-TR.dat	western	\
zh-CN	help	acor_zh-CN.dat	cjk 		zh-TW	help	acor_zh-TW.dat	cjk	\
zu	help	noacor		western 	tn	help	noacor		western	\
ts	help	noacor		western 	as-IN	nohelp	noacor		western	\
mr-IN	nohelp	noacor		western		ml-IN	nohelp	noacor		western	\
or-IN	nohelp	noacor		western		te-IN	nohelp	noacor		western	\
ur-IN	nohelp	noacor		western		kn	nohelp	noacor		western	\
xh	help	noacor		western		ve	nohelp	noacor		western \
st	help	noacor		western		ss	nohelp	noacor		western \
nr	help	noacor		western		ns	help	noacor		western	\
dz      help    noacor  	ctl
)

i=0
while [ $i -lt ${#langpackdetails[@]} ]; do
   lang=${langpackdetails[$i]}
   sed -e "s/LANG/$lang/g" %{PATCH8} > $lang.filelist
   i=$[i+1]
   help=${langpackdetails[$i]}
   if [ "$help" = "help" ]; then
     sed -e "s/LANG/$lang/g" %{PATCH7} >> $lang.filelist
   fi
   i=$[i+1]
   lingu=${langpackdetails[$i]}
   if [ ! "$lingu" = "noacor" ]; then
     sed -e "s/LINGUPATTERN/$lingu/g" %{PATCH9} >> $lang.filelist
   fi
   i=$[i+1]
   type=${langpackdetails[$i]}
   if [ "$type" = "ctl" ]; then
     sed -e "s/LANG/$lang/g" %{PATCH10} >> $lang.filelist
   fi
   if [ "$type" = "cjk" ]; then
     sed -e "s/LANG/$lang/g"  %{PATCH6} >> $lang.filelist
   fi
   i=$[i+1]
done

#add in some templates
tar xzf %{SOURCE2} -C $RPM_BUILD_ROOT/%{instdir}/share
tar xzf %{SOURCE3} -C $RPM_BUILD_ROOT/%{instdir}/share
tar xzf %{SOURCE4} -C $RPM_BUILD_ROOT/%{instdir}/share

#enable gtk file dialog as the default
rm -rf $RPM_BUILD_ROOT/%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-UseOOoFileDialogs.xcu

#remove dictooo stuff which we disabled in configure
rm -rf $RPM_BUILD_ROOT/%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-dicooo.xcu

#remove script to munge OOo2 mime info into system, we'll do that
rm -f $RPM_BUILD_ROOT/%{instdir}/program/update-mime-data

#remove evolution 1 address book driver
rm -f $RPM_BUILD_ROOT/%{instdir}/program/libevoab1.so

#remove pagein stuff
rm -f $RPM_BUILD_ROOT/%{instdir}/program/pagein*

#remove dummy .dat files
rm -f $RPM_BUILD_ROOT/%{instdir}/program/root?.dat

#remove ancient icons in favour of tango
pushd $RPM_BUILD_ROOT/%{instdir}/share/config/
ln -sf images_tango.zip images.zip
popd

#set standard permissions for rpmlint
find $RPM_BUILD_ROOT/%{instdir} -exec chmod +w {} \;

# move python bits into site-packages
mkdir -p $RPM_BUILD_ROOT/%{python_py_sitearch}
pushd $RPM_BUILD_ROOT/%{python_py_sitearch}
echo "import sys" > uno.py
echo "sys.path.append('%{instdir}/program')" >> uno.py
cat $RPM_BUILD_ROOT/%{instdir}/program/uno.py >> uno.py
rm -f $RPM_BUILD_ROOT/%{instdir}/program/uno.py*
mv -f $RPM_BUILD_ROOT/%{instdir}/program/unohelper.py* .
popd

#ensure that no sneaky un-prelinkable, un-fpic or non executable shared libs 
#have snuck through
pic=0
origin=0
executable=0
for foo in `find $RPM_BUILD_ROOT/%{instdir}/program -name "*" -exec file {} \;| grep ": ELF" | cut -d: -f 1` ; do
	chmod +wx $foo
	ls -asl $foo
	result=`readelf -d $foo | grep RPATH | grep \\\\[\\$ORIGIN` || true
        if [ "$result" == "" ]; then
                echo "RPATH Warning: $foo is b0rked (-rpath missing)"
                origin=1
        fi
        result=`readelf -d $foo | grep TEXTREL` || true
        if [ "$result" != "" ]; then
                echo "TEXTREL Warning: $foo is b0rked (-fpic missing)"
                pic=1
        fi
        result=`readelf -l $foo | grep GNU_STACK | grep RWE` || true
        if [ "$result" != "" ]; then
                echo "GNU_STACK Warning: $foo is b0rked (-noexecstack missing)"
                executable=1
        fi

done
if [ $origin == 1 ]; then false; fi
if [ $pic == 1 ]; then false; fi
if [ $executable == 1 ]; then false; fi

#add in a simple crash reporter replacement
cp -f %{PATCH0} $RPM_BUILD_ROOT/%{instdir}/program/crash_report
chmod a+x $RPM_BUILD_ROOT/%{instdir}/program/crash_report

#make up some /usr/bin scripts
mkdir -p $RPM_BUILD_ROOT/%{_bindir}

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/ooffice
echo exec openoffice.org \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/ooffice
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/ooffice

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/ooviewdoc
echo exec openoffice.org -view \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/ooviewdoc
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/ooviewdoc

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/oowriter
echo exec openoffice.org -writer \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/oowriter
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/oowriter

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/oocalc
echo exec openoffice.org -calc \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/oocalc
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/oocalc

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/ooimpress
echo exec openoffice.org -impress \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/ooimpress
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/ooimpress

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/oodraw
echo exec openoffice.org -draw \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/oodraw
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/oodraw

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/oomath
echo exec openoffice.org -math \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/oomath
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/oomath

echo \#\!/bin/sh > $RPM_BUILD_ROOT/%{_bindir}/oobase
echo exec openoffice.org -base \"\$@\" >> $RPM_BUILD_ROOT/%{_bindir}/oobase
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/oobase

cp -f %{PATCH1} $RPM_BUILD_ROOT/%{_bindir}/unopkg
sed -i -e "s/LAUNCHER/unopkg/g" $RPM_BUILD_ROOT/%{_bindir}/unopkg
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/unopkg

cp -f %{PATCH1} $RPM_BUILD_ROOT/%{_bindir}/openoffice.org
sed -i -e "s/LAUNCHER/soffice/g" $RPM_BUILD_ROOT/%{_bindir}/openoffice.org
chmod a+x $RPM_BUILD_ROOT/%{_bindir}/openoffice.org

#cp $RPM_BUILD_ROOT/%{_bindir}/openoffice.org $RPM_BUILD_ROOT/%{_bindir}/openoffice.org-2.0
#cp $RPM_BUILD_ROOT/%{_bindir}/openoffice.org $RPM_BUILD_ROOT/%{_bindir}/openoffice.org-1.9

#provide an owner of this dir
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/openoffice.org/extensions
mkdir -p $RPM_BUILD_ROOT/%{instdir}/extensions

pushd $RPM_BUILD_ROOT/%{instdir}/share/xdg/
chmod u+w *.desktop
for file in *.desktop; do
    # rhbz#156067 don't version the icons
    sed -i -e "s/$ICONPRODUCTVERSION//g" $file
    # rhbz#156677 remove the version from Name=
    sed -i -e "s/$LONGICONPRODUCTVERSION //g" $file
done
echo "StartupNotify=true" >> base.desktop
echo "TryExec=oobase" >> base.desktop
echo "StartupNotify=true" >> calc.desktop
echo "TryExec=oocalc" >> calc.desktop
echo "StartupNotify=true" >> impress.desktop
echo "TryExec=ooimpress" >> impress.desktop
echo "StartupNotify=true" >> writer.desktop
echo "TryExec=oowriter" >> writer.desktop
echo "StartupNotify=true" >> math.desktop
echo "TryExec=oomath" >> math.desktop
echo "StartupNotify=true" >> draw.desktop
echo "TryExec=oodraw" >> draw.desktop
# rh#156677# / rh#186515#
echo "NoDisplay=true" >> math.desktop
chmod u-w *.desktop
# relocate the .desktop and icon files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cp -p base.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-base.desktop
cp -p calc.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-calc.desktop
cp -p impress.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-impress.desktop
cp -p writer.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-writer.desktop
cp -p math.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-math.desktop
cp -p draw.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-2.4-draw.desktop
cp -p extension.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/openoffice.org-extension.desktop
popd
pushd sysui/output/usr/share/
#get rid of the gnome icons and other unneeded files
rm -rf icons/gnome applications mime application-registry
# rhbz#156067 don't version the icons
find . -name "*.desktop" -exec sed -i -e s/$ICONPRODUCTVERSION//g {} \;
find . -name "openofficeorg$ICONPRODUCTVERSION*" -exec bash -c \
  "mv \$1 \`echo \$1 | sed s/officeorg$ICONPRODUCTVERSION/officeorg/\`" -- {} \;
find . -name "openoffice.org$LONGICONPRODUCTVERSION*" -exec bash -c \
  "mv \$1 \`echo \$1 | sed s/.org$LONGICONPRODUCTVERSION/.org/\`" -- {} \;
find . -type l -print -exec ls -lag '{}' \; | gawk '{q="'\''" ; file=$0 ; \
    getline; \
    split($0, ls, " -> "); \
    link=ls[2]; \
    gsub(ENVIRON["ICONPRODUCTVERSION"], "", link) ; \
    if ( link != ls[2] ) system("rm " q file q"; ln -s "q link q" "q file q); \
 }'
sed -i -e s/openofficeorg$ICONPRODUCTVERSION/openofficeorg/g \
  ./mime-info/openoffice.org.keys
sed -i -e s/openoffice.org$LONGICONPRODUCTVERSION/openoffice.org/g \
  ./mime-info/openoffice.org.keys
#relocate the rest of them
cp -r icons $RPM_BUILD_ROOT/%{_datadir}
cp -r mime-info $RPM_BUILD_ROOT/%{_datadir}
cp -r mimelnk $RPM_BUILD_ROOT/%{_datadir}
#add our mime-types, e.g. for .oxt extensions
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mime/packages
cp -p ../../../unxlng*.pro/misc/openoffice.org/openoffice.org.xml $RPM_BUILD_ROOT/%{_datadir}/mime/packages
popd

rm -rf $RPM_BUILD_ROOT/%{instdir}/readmes
rm -rf $RPM_BUILD_ROOT/%{instdir}/licenses

%if %{gtkprintui}
mkdir -p $RPM_BUILD_ROOT/%{instdir}/share/psprint/driver
cp -r psprint_config/configuration/ppds/SGENPRT.PS $RPM_BUILD_ROOT/%{instdir}/share/psprint/driver/SGENPRT.PS
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files

%if %{langpacks}
%files langpack-af_ZA 	-f af.filelist
%files langpack-ar  	-f ar.filelist
%files langpack-bg_BG 	-f bg.filelist
%files langpack-bn  	-f bn.filelist
%files langpack-ca_ES 	-f ca.filelist
%files langpack-cs_CZ 	-f cs.filelist
%files langpack-cy_GB 	-f cy.filelist
%files langpack-da_DK 	-f da.filelist
%files langpack-de 	-f de.filelist
%files langpack-el_GR 	-f el.filelist
%files langpack-en
%files langpack-es	-f es.filelist
%files langpack-et_EE 	-f et.filelist
%files langpack-eu_ES 	-f eu.filelist
%files langpack-fi_FI 	-f fi.filelist
%files langpack-fr 	-f fr.filelist
%files langpack-ga_IE 	-f ga.filelist
%files langpack-gl_ES	-f gl.filelist
%files langpack-gu_IN	-f gu-IN.filelist
%files langpack-pa_IN	-f pa-IN.filelist
%files langpack-he_IL	-f he.filelist
%files langpack-hi_IN	-f hi-IN.filelist
%files langpack-hu_HU	-f hu.filelist
%files langpack-hr_HR	-f hr.filelist
%files langpack-it	-f it.filelist
%files langpack-ja_JP
%files langpack-ko_KR	-f ko.filelist
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-korea.xcu
%files langpack-lt_LT	-f lt.filelist
%files langpack-ms_MY	-f ms.filelist
%files langpack-nb_NO	-f nb.filelist
%files langpack-nl	-f nl.filelist
%files langpack-nn_NO	-f nn.filelist
%files langpack-pl_PL	-f pl.filelist
%files langpack-pt_PT	-f pt.filelist
%files langpack-pt_BR	-f pt-BR.filelist
%files langpack-ru	-f ru.filelist
%files langpack-sk_SK	-f sk.filelist
%files langpack-sl_SI	-f sl.filelist
%files langpack-sr	-f sr.filelist
%files langpack-sv	-f sv.filelist
%files langpack-ta_IN	-f ta-IN.filelist
%files langpack-th_TH	-f th.filelist
%files langpack-tr_TR	-f tr.filelist
%files langpack-zh_CN	-f zh-CN.filelist
%files langpack-zh_TW	-f zh-TW.filelist
%files langpack-zu_ZA	-f zu.filelist
%files langpack-tn_ZA	-f tn.filelist
%files langpack-ts_ZA	-f ts.filelist
%files langpack-nso_ZA	-f ns.filelist
%files langpack-nr_ZA	-f nr.filelist
%files langpack-ss_ZA	-f ss.filelist
%files langpack-st_ZA	-f st.filelist
%files langpack-ve_ZA	-f ve.filelist
%files langpack-xh_ZA	-f xh.filelist
%files langpack-as_IN	-f as-IN.filelist
%files langpack-mr_IN	-f mr-IN.filelist
%files langpack-ml_IN	-f ml-IN.filelist
%files langpack-or_IN	-f or-IN.filelist
%files langpack-te_IN	-f te-IN.filelist
%files langpack-ur	-f ur-IN.filelist
%files langpack-kn_IN	-f kn.filelist
%files langpack-dz	-f dz.filelist
%endif

%files core
%defattr(-,root,root,-)
%{_datadir}/openoffice.org/extensions
%dir %{instdir}
%{instdir}/extensions
%{instdir}/LICENSE
%{instdir}/LICENSE.html
%{instdir}/README
%{instdir}/README.html
%{instdir}/THIRDPARTYLICENSEREADME.html
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/default.css
%{instdir}/help/en/err.html
%{instdir}/help/en/highcontrast1.css
%{instdir}/help/en/highcontrast2.css
%{instdir}/help/en/highcontrastblack.css
%{instdir}/help/en/highcontrastwhite.css
%{instdir}/help/en/sbasic.*
%{instdir}/help/en/schart.*
%{instdir}/help/en/shared.*
%{instdir}/help/ja/default.css
%{instdir}/help/ja/err.html
%{instdir}/help/ja/highcontrast1.css
%{instdir}/help/ja/highcontrast2.css
%{instdir}/help/ja/highcontrastblack.css
%{instdir}/help/ja/highcontrastwhite.css
%{instdir}/help/ja/sbasic.*
%{instdir}/help/ja/schart.*
%{instdir}/help/ja/shared.*
%{instdir}/help/main_transform.xsl
%{instdir}/presets
%dir %{instdir}/program
%{instdir}/program/about.bmp
%{instdir}/program/acceptor.uno.so
%{instdir}/program/addin
%{instdir}/program/basprov680*.uno.so
%{instdir}/program/bootstraprc
%{instdir}/program/bridgefac.uno.so
%{instdir}/program/canvasfactory.uno.so
%{instdir}/program/cde-open-url
%if ! %{without_java}
%{instdir}/program/JREProperties.class
%dir %{instdir}/program/classes
%{instdir}/program/classes/agenda.jar                
%{instdir}/program/classes/classes.jar                
%{instdir}/program/classes/commonwizards.jar
%{instdir}/program/classes/fax.jar
%{instdir}/program/classes/form.jar
%{instdir}/program/classes/java_uno.jar
%{instdir}/program/classes/js.jar
%{instdir}/program/classes/juh.jar          
%{instdir}/program/classes/jurt.jar         
%{instdir}/program/classes/jut.jar          
%{instdir}/program/classes/query.jar          
%{instdir}/program/classes/letter.jar          
%{instdir}/program/classes/officebean.jar
%{instdir}/program/classes/report.jar
%{instdir}/program/classes/ridl.jar
%{instdir}/program/classes/sdbc_hsqldb.jar
%{instdir}/program/classes/ScriptFramework.jar
%{instdir}/program/classes/ScriptProviderForBeanShell.jar
%{instdir}/program/classes/ScriptProviderForJava.jar
%{instdir}/program/classes/ScriptProviderForJavaScript.jar
%{instdir}/program/classes/table.jar
%{instdir}/program/classes/unoil.jar
%{instdir}/program/classes/unoloader.jar
%{instdir}/program/classes/web.jar
%{instdir}/program/classes/XMergeBridge.jar
%{instdir}/program/classes/xmerge.jar
%{instdir}/program/classes/XSLTFilter.jar
%{instdir}/program/classes/XSLTValidate.jar
%endif
%{instdir}/program/cmdmail.uno.so
%{instdir}/program/configimport
%{instdir}/program/configimport.bin
%{instdir}/program/configmgrrc
%{instdir}/program/connector.uno.so
%{instdir}/program/crash_report
%{instdir}/program/deployment680*.uno.so
%{instdir}/program/deploymentgui680*.uno.so
%{instdir}/program/dlgprov680*.uno.so
%{instdir}/program/fpicker.uno.so
%{instdir}/program/fps_gnome.uno.so
%{instdir}/program/fps_office.uno.so
%{instdir}/program/gengal*
%{instdir}/program/gnome-open-url
%{instdir}/program/gnome-open-url.bin
%{instdir}/program/hatchwindowfactory.uno.so
%{instdir}/program/i18nsearch.uno.so
%{instdir}/program/intro.bmp
%{instdir}/program/introspection.uno.so
%{instdir}/program/invocadapt.uno.so
%{instdir}/program/invocation.uno.so
%if ! %{without_java}
%{instdir}/program/javaldx
%{instdir}/program/javaloader.uno.so
%{instdir}/program/javavm.uno.so
%endif
%{instdir}/program/jvmfwk3rc
%{instdir}/program/kde-open-url
%{instdir}/program/legacy_binfilters.rdb
%{instdir}/program/libabp680*.so
%{instdir}/program/libacc680*.so
%{instdir}/program/libadabas2.so
%{instdir}/program/libaffine_uno_uno.so
%{instdir}/program/libavmedia*.so
%{instdir}/program/libbasctl680*.so
%{instdir}/program/libbf_sb680*.so
%{instdir}/program/libbf_frm680*.so
%{instdir}/program/libbf_go680*.so
%{instdir}/program/libbf_migratefilter680*.so
%{instdir}/program/libbf_ofa680*.so
%{instdir}/program/libbf_sch680*.so
%{instdir}/program/libbf_sd680*.so
%{instdir}/program/libbf_sm680*.so
%{instdir}/program/libbf_so680*.so
%{instdir}/program/libbf_svx680*.so
%{instdir}/program/libbf_sw680*.so
%{instdir}/program/libbf_wrapper680*.so
%{instdir}/program/libbf_xo680*.so
%{instdir}/program/libbib680*.so
%{instdir}/program/libbindet680*.so
%{instdir}/program/libcached1.so
%{instdir}/program/libcanvastools680*.so
%{instdir}/program/libchart*680*.so
%{instdir}/program/libcollator_data.so
%{instdir}/program/libcppcanvas680*.so
%{instdir}/program/libcppu.so
%{instdir}/program/libcppu.so.3
%{instdir}/program/libcppuhelper3gcc3.so
%{instdir}/program/libcppuhelpergcc3.so
%{instdir}/program/libcppuhelpergcc3.so.3
%{instdir}/program/libctl680*.so
%{instdir}/program/libcui680*.so
%{instdir}/program/libdba680*.so
%{instdir}/program/libdbacfg680*.so
%{instdir}/program/libdbase680*.so
%{instdir}/program/libdbaxml680*.so
%{instdir}/program/libdbp680*.so
%{instdir}/program/libdbpool2.so
%{instdir}/program/libdbtools680*.so
%{instdir}/program/libdbu680*.so
%{instdir}/program/libdeploymentmisc680*.so
%{instdir}/program/libdict_ja.so
%{instdir}/program/libdict_zh.so
%{instdir}/program/libeggtray680*.so
%{instdir}/program/libembobj.so
%{instdir}/program/libemboleobj.so
%{instdir}/program/libevoab*.so
%{instdir}/program/libevtatt.so
%{instdir}/program/libegi680*.so    
%{instdir}/program/libeme680*.so
%{instdir}/program/libemp680*.so    
%{instdir}/program/libepb680*.so
%{instdir}/program/libepg680*.so    
%{instdir}/program/libepp680*.so
%{instdir}/program/libeps680*.so    
%{instdir}/program/libept680*.so
%{instdir}/program/libera680*.so    
%{instdir}/program/libeti680*.so
%{instdir}/program/libexp680*.so    
%{instdir}/program/libhunspell.so
%{instdir}/program/libicd680*.so
%{instdir}/program/libicg680*.so
%{instdir}/program/libidx680*.so
%{instdir}/program/libime680*.so
%{instdir}/program/libindex_data.so
%{instdir}/program/libipb680*.so
%{instdir}/program/libipd680*.so
%{instdir}/program/libips680*.so
%{instdir}/program/libipt680*.so
%{instdir}/program/libipx680*.so
%{instdir}/program/libira680*.so
%{instdir}/program/libitg680*.so
%{instdir}/program/libiti680*.so
%if ! %{without_java}
%{instdir}/program/libofficebean.so
%endif
%{instdir}/program/libfile680*.so
%{instdir}/program/libfilterconfig1.so
%{instdir}/program/libflat680*.so
%{instdir}/program/libfrm680*.so
%{instdir}/program/libgcc3_uno.so
%{instdir}/program/libguesslang680*.so
%{instdir}/program/libhelplinker680*.so
%if 0
%{instdir}/program/libhsqldb2.so
%endif
%{instdir}/program/libhyphen680*.so
%{instdir}/program/libi18nregexpgcc3.so
%if ! %{without_java}
%{instdir}/program/libjava_uno.so
%{instdir}/program/libjdbc2.so
%{instdir}/program/libjpipe.so
%{instdir}/program/libjuh.so
%{instdir}/program/libjuhx.so
%{instdir}/program/libjvmaccessgcc3.so
%{instdir}/program/libjvmfwk.so
%endif
%{instdir}/program/libjvmaccessgcc3.so.3
%{instdir}/program/libjvmfwk.so.3
%{instdir}/program/liblegacy_binfilters680*.so
%{instdir}/program/liblng680*.so
%{instdir}/program/liblog680*.so
%{instdir}/program/liblocaledata_en.so
%{instdir}/program/liblocaledata_es.so
%{instdir}/program/liblocaledata_euro.so
%{instdir}/program/liblocaledata_others.so
%{instdir}/program/libmcnttype.so
%{instdir}/program/libmysql2.so
%{instdir}/program/libnpsoplugin.so
%{instdir}/program/libodbc2.so
%{instdir}/program/libodbcbase2.so
%{instdir}/program/liboffacc680*.so
%{instdir}/program/libpcr680*.so
%{instdir}/program/libpdffilter680*.so
%{instdir}/program/libpl680*.so
%{instdir}/program/libpreload680*.so
%{instdir}/program/libprotocolhandler680*.so
%{instdir}/program/libqstart_gtk680*.so
%{instdir}/program/librecentfile.so
%{instdir}/program/libreg.so
%{instdir}/program/libreg.so.3
%{instdir}/program/libres680*.so
%{instdir}/program/librmcxt.so
%{instdir}/program/librmcxt.so.3
%{instdir}/program/libsal.so
%{instdir}/program/libsal.so.3
%{instdir}/program/libsalhelper3gcc3.so
%{instdir}/program/libsalhelpergcc3.so
%{instdir}/program/libsalhelpergcc3.so.3
%{instdir}/program/libscn680*.so
%{instdir}/program/libscriptframe.so
%{instdir}/program/libsd680*.so
%{instdir}/program/libsdbc2.so
%{instdir}/program/libsdbt680*so
%{instdir}/program/libsdd680*.so
%{instdir}/program/libsdui680*.so
%{instdir}/program/libspa680*.so
%{instdir}/program/libspell680*.so
%{instdir}/program/libsrtrs1.so
%{instdir}/program/libstore.so
%{instdir}/program/libstore.so.3
%{instdir}/program/libsts680*.so
%{instdir}/program/libsvx680*.so
%{instdir}/program/libsw680*.so
%{instdir}/program/libtextconv_dict.so
%{instdir}/program/libtextconversiondlgs680*.so
%{instdir}/program/libtfu680*.so
%{instdir}/program/libtvhlp1.so
%{instdir}/program/libucbhelper4gcc3.so
%{instdir}/program/libucpchelp1.so
%{instdir}/program/libucpdav1.so
%{instdir}/program/libucpftp1.so
%{instdir}/program/libucphier1.so
%{instdir}/program/libucppkg1.so
%{instdir}/program/libuno_cppu.so
%{instdir}/program/libuno_cppu.so.3
%{instdir}/program/libuno_cppuhelpergcc3.so
%{instdir}/program/libuno_cppuhelpergcc3.so.3
%{instdir}/program/libuno_purpenvhelpergcc3.so.3
%{instdir}/program/libuno_sal.so
%{instdir}/program/libuno_sal.so.3
%{instdir}/program/libuno_salhelpergcc3.so
%{instdir}/program/libuno_salhelpergcc3.so.3
%{instdir}/program/libunoxml680*.so
%{instdir}/program/libunsafe_uno_uno.so
%{instdir}/program/libupdchk680*.so
%{instdir}/program/liburp_uno.so
%{instdir}/program/libuui680*.so
%{instdir}/program/libvclplug_gen680*.so
%{instdir}/program/libvclplug_gtk680*.so
%{instdir}/program/libxmlfa680*.so
%{instdir}/program/libxmlfd680*.so
%{instdir}/program/libxmx680*.so
%{instdir}/program/libxof680*.so
%{instdir}/program/libxsec_fw.so
%{instdir}/program/libxsec_xmlsec.so
%{instdir}/program/libxsltdlg680*.so
%{instdir}/program/libxsltfilter680*.so
%{instdir}/program/libxstor.so
%{instdir}/program/migrationoo2.uno.so
%{instdir}/program/namingservice.uno.so
%{instdir}/program/nsplugin
%{instdir}/program/open-url
%{instdir}/program/passwordcontainer.uno.so
%{instdir}/program/pkgchk
%{instdir}/program/pkgchk.bin
%{instdir}/program/plugin
%{instdir}/program/pluginapp.bin
%{instdir}/program/productregistration.uno.so
%{instdir}/program/proxyfac.uno.so
%{instdir}/program/reflection.uno.so
%{instdir}/program/remotebridge.uno.so
%dir %{instdir}/program/resource
# en_US
%{instdir}/program/resource/avmedia680en-US.res
%{instdir}/program/resource/abp680en-US.res
%{instdir}/program/resource/acc680en-US.res
%{instdir}/program/resource/basctl680en-US.res
%{instdir}/program/resource/bf_frm680en-US.res
%{instdir}/program/resource/bf_ofa680en-US.res
%{instdir}/program/resource/bf_sch680en-US.res
%{instdir}/program/resource/bf_sd680en-US.res
%{instdir}/program/resource/bf_svx680en-US.res
%{instdir}/program/resource/bf_sw680en-US.res
%{instdir}/program/resource/bib680en-US.res
%{instdir}/program/resource/cal680en-US.res
%{instdir}/program/resource/chartcontroller680en-US.res
%{instdir}/program/resource/dba680en-US.res
%{instdir}/program/resource/dbp680en-US.res
%{instdir}/program/resource/dbu680en-US.res
%{instdir}/program/resource/dbw680en-US.res
%{instdir}/program/resource/deployment680en-US.res
%{instdir}/program/resource/deploymentgui680en-US.res
%{instdir}/program/resource/dkt680en-US.res
%{instdir}/program/resource/egi680en-US.res
%{instdir}/program/resource/eme680en-US.res
%{instdir}/program/resource/epb680en-US.res
%{instdir}/program/resource/epg680en-US.res
%{instdir}/program/resource/epp680en-US.res
%{instdir}/program/resource/eps680en-US.res
%{instdir}/program/resource/ept680en-US.res
%{instdir}/program/resource/eur680en-US.res
%{instdir}/program/resource/fps_office680en-US.res
%{instdir}/program/resource/frm680en-US.res
%{instdir}/program/resource/fwe680en-US.res
%{instdir}/program/resource/gal680en-US.res
%{instdir}/program/resource/imp680en-US.res
%{instdir}/program/resource/ofa680en-US.res
%{instdir}/program/resource/ooo680en-US.res
%{instdir}/program/resource/pcr680en-US.res
%{instdir}/program/resource/pdffilter680en-US.res
%{instdir}/program/resource/preload680en-US.res
%{instdir}/program/resource/productregistration680en-US.res
%{instdir}/program/resource/san680en-US.res
%{instdir}/program/resource/sb680en-US.res
%{instdir}/program/resource/sd680en-US.res
%{instdir}/program/resource/sdbcl680en-US.res
%{instdir}/program/resource/sfx680en-US.res
%{instdir}/program/resource/spa680en-US.res
%{instdir}/program/resource/sdbt680en-US.res
%{instdir}/program/resource/svs680en-US.res
%{instdir}/program/resource/svt680en-US.res
%{instdir}/program/resource/svx680en-US.res
%{instdir}/program/resource/sw680en-US.res
%{instdir}/program/resource/textconversiondlgs680en-US.res
%{instdir}/program/resource/tfu680en-US.res
%{instdir}/program/resource/tk680en-US.res
%{instdir}/program/resource/tpl680en-US.res
%{instdir}/program/resource/uui680en-US.res
%{instdir}/program/resource/updchk680en-US.res
%{instdir}/program/resource/vcl680en-US.res
%{instdir}/program/resource/wzi680en-US.res
%{instdir}/program/resource/xmlsec680en-US.res
%{instdir}/program/resource/xsltdlg680en-US.res
# ja_JP
%{instdir}/program/resource/avmedia680ja.res
%{instdir}/program/resource/abp680ja.res
%{instdir}/program/resource/acc680ja.res
%{instdir}/program/resource/basctl680ja.res
%{instdir}/program/resource/bf_frm680ja.res
%{instdir}/program/resource/bf_ofa680ja.res
%{instdir}/program/resource/bf_sch680ja.res
%{instdir}/program/resource/bf_sd680ja.res
%{instdir}/program/resource/bf_svx680ja.res
%{instdir}/program/resource/bf_sw680ja.res
%{instdir}/program/resource/bib680ja.res
%{instdir}/program/resource/cal680ja.res
%{instdir}/program/resource/chartcontroller680ja.res
%{instdir}/program/resource/dba680ja.res
%{instdir}/program/resource/dbp680ja.res
%{instdir}/program/resource/dbu680ja.res
%{instdir}/program/resource/dbw680ja.res
%{instdir}/program/resource/deployment680ja.res
%{instdir}/program/resource/deploymentgui680ja.res
%{instdir}/program/resource/dkt680ja.res
%{instdir}/program/resource/egi680ja.res
%{instdir}/program/resource/eme680ja.res
%{instdir}/program/resource/epb680ja.res
%{instdir}/program/resource/epg680ja.res
%{instdir}/program/resource/epp680ja.res
%{instdir}/program/resource/eps680ja.res
%{instdir}/program/resource/ept680ja.res
%{instdir}/program/resource/eur680ja.res
%{instdir}/program/resource/fps_office680ja.res
%{instdir}/program/resource/frm680ja.res
%{instdir}/program/resource/fwe680ja.res
%{instdir}/program/resource/gal680ja.res
%{instdir}/program/resource/imp680ja.res
%{instdir}/program/resource/ofa680ja.res
%{instdir}/program/resource/ooo680ja.res
%{instdir}/program/resource/pcr680ja.res
%{instdir}/program/resource/pdffilter680ja.res
%{instdir}/program/resource/preload680ja.res
%{instdir}/program/resource/productregistration680ja.res
%{instdir}/program/resource/san680ja.res
%{instdir}/program/resource/sb680ja.res
%{instdir}/program/resource/sd680ja.res
%{instdir}/program/resource/sdbcl680ja.res
%{instdir}/program/resource/sfx680ja.res
%{instdir}/program/resource/spa680ja.res
%{instdir}/program/resource/sdbt680ja.res
%{instdir}/program/resource/svs680ja.res
%{instdir}/program/resource/svt680ja.res
%{instdir}/program/resource/svx680ja.res
%{instdir}/program/resource/sw680ja.res
%{instdir}/program/resource/textconversiondlgs680ja.res
%{instdir}/program/resource/tfu680ja.res
%{instdir}/program/resource/tk680ja.res
%{instdir}/program/resource/tpl680ja.res
%{instdir}/program/resource/uui680ja.res
%{instdir}/program/resource/updchk680ja.res
%{instdir}/program/resource/vcl680ja.res
%{instdir}/program/resource/wzi680ja.res
%{instdir}/program/resource/xmlsec680ja.res
%{instdir}/program/resource/xsltdlg680ja.res
%{instdir}/program/sax.uno.so
%{instdir}/program/senddoc
%{instdir}/program/services.rdb
%{instdir}/program/setuprc
%{instdir}/program/simplecanvas.uno.so
%{instdir}/program/slideshow.uno.so
%{instdir}/program/setofficelang*
%{instdir}/program/soffice
%{instdir}/program/soffice.bin
%{instdir}/program/libsoffice.so
%{instdir}/program/sofficerc
%{instdir}/program/spadmin
%{instdir}/program/spadmin.bin
%{instdir}/program/streams.uno.so
%{instdir}/program/stringresource680*.uno.so
%if ! %{without_java}
%{instdir}/program/sunjavaplugin.so
%endif
%{instdir}/program/svtmisc.uno.so
%{instdir}/program/syssh.uno.so
%{instdir}/program/textinstream.uno.so
%{instdir}/program/textoutstream.uno.so
%{instdir}/program/types.rdb
%{instdir}/program/ucpexpand1.uno.so
%{instdir}/program/ucptdoc1.uno.so
%{instdir}/program/uno
%{instdir}/program/uno.bin
%{instdir}/program/unopkg
%{instdir}/program/unopkg.bin
%{instdir}/program/unorc
%{instdir}/program/updatefeed.uno.so
%{instdir}/program/uri-encode
%{instdir}/program/uuresolver.uno.so
%{instdir}/program/vclcanvas.uno.so
%{instdir}/program/cairocanvas.uno.so
%{instdir}/program/versionrc
%{instdir}/program/viewdoc
%dir %{instdir}/share
%{instdir}/share/Scripts
%dir %{instdir}/share/autocorr
%if %{langpacks}
%{instdir}/share/autocorr/acor_en-*.dat
%{instdir}/share/autocorr/acor_ja-*.dat
%else
%{instdir}/share/autocorr/*
%endif
%{instdir}/share/autotext
%{instdir}/share/basic
%dir %{instdir}/share/config
%{instdir}/share/config/images.zip
%{instdir}/share/config/images_crystal.zip
%{instdir}/share/config/images_hicontrast.zip
%{instdir}/share/config/images_tango.zip
%if ! %{without_java}
%{instdir}/share/config/javavendors.xml
%endif
%{instdir}/share/config/javasettingsunopkginstall.xml
%{instdir}/share/config/psetup.xpm
%{instdir}/share/config/psetupl.xpm
%dir %{instdir}/share/config/soffice.cfg
%{instdir}/share/config/soffice.cfg/global
%{instdir}/share/config/soffice.cfg/modules
%{instdir}/share/config/symbol
%{instdir}/share/config/webcast
%{instdir}/share/config/wizard
%dir %{instdir}/share/dict
%dir %{instdir}/share/dict/ooo
%dir %{instdir}/share/dtd
%{instdir}/share/dtd/officedocument
%{instdir}/share/fonts
%{instdir}/share/gallery
%{instdir}/share/psprint
%dir %{instdir}/share/readme
%{instdir}/share/readme/LICENSE_en-US
%{instdir}/share/readme/LICENSE_en-US.html
%{instdir}/share/readme/README_en-US
%{instdir}/share/readme/README_en-US.html
%{instdir}/share/readme/LICENSE_ja
%{instdir}/share/readme/LICENSE_ja.html
%{instdir}/share/readme/README_ja
%{instdir}/share/readme/README_ja.html
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%{instdir}/share/registry/data/org/openoffice/FirstStartWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Inet.xcu
%{instdir}/share/registry/data/org/openoffice/LDAP.xcu.sample
%dir %{instdir}/share/registry/data/org/openoffice/Office
%{instdir}/share/registry/data/org/openoffice/Office/Calc.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Canvas.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Common.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Compatibility.xcu
%{instdir}/share/registry/data/org/openoffice/Office/DataAccess.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Embedding.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ExtendedColorScheme.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ExtensionManager.xcu
%{instdir}/share/registry/data/org/openoffice/Office/FormWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Impress.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Jobs.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Labels.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Logging.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Math.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Paths.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ProtocolHandler.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Recovery.xcu
%{instdir}/share/registry/data/org/openoffice/Office/SFX.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Scripting.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Security.xcu
%{instdir}/share/registry/data/org/openoffice/Office/TableWizard.xcu
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BaseWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BasicIDECommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BasicIDEWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BibliographyCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ChartCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ChartWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/Controller.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbBrowserWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbQueryWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbRelationWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbTableWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbuCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DrawImpressCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/Factories.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/GenericCategories.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/StartModuleCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/StartModuleWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Views.xcu
%{instdir}/share/registry/data/org/openoffice/Office/WebWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Writer.xcu
%{instdir}/share/registry/data/org/openoffice/Setup.xcu
%{instdir}/share/registry/data/org/openoffice/TypeDetection
%{instdir}/share/registry/data/org/openoffice/UserProfile.xcu
%{instdir}/share/registry/data/org/openoffice/VCL.xcu
%dir %{instdir}/share/registry/data/org/openoffice/ucb
%{instdir}/share/registry/data/org/openoffice/ucb/Configuration.xcu
%dir %{instdir}/share/registry/ldap
%{instdir}/share/registry/ldap/oo-ad-ldap-attr.map
%{instdir}/share/registry/ldap/oo-ldap-attr.map
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%{instdir}/share/registry/modules/org/openoffice/Office/Embedding
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-unx.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-cjk_ja.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-en-US.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ja.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_base_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_chart_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/GraphicFilter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/GraphicFilter/fcfg_internalgraphics_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_base_others.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_chart_others.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_base_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_chart_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_internalgraphics_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/UISort
%dir %{instdir}/share/registry/res
%{instdir}/share/registry/res/en-US
%{instdir}/share/registry/res/ja
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%{instdir}/share/registry/schema/org/openoffice/FirstStartWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Inet.xcs
%{instdir}/share/registry/schema/org/openoffice/LDAP.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%{instdir}/share/registry/schema/org/openoffice/Office/Addons.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/CalcAddIns.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Calc.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Canvas.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Chart.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Commands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Common.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Compatibility.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/DataAccess.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Draw.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Embedding.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ExtendedColorScheme.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ExtensionManager.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Events.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/FormWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Impress.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Java.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Jobs.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Labels.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Linguistic.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Logging.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Math.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/OptionsDialog.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Paths.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ProtocolHandler.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Recovery.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/SFX.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Scripting.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Security.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Substitution.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TabBrowse.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TableWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TypeDetection.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BaseWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BasicIDECommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BasicIDEWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BibliographyCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BibliographyWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Category.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ChartCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ChartWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Commands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Controller.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbBrowserWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbQueryWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbRelationWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbTableWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbuCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DrawImpressCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Factories.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GenericCategories.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GenericCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GlobalSettings.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/MathWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/StartModuleCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/StartModuleWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/XFormsWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Views.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/WebWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Writer.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/WriterWeb.xcs
%{instdir}/share/registry/schema/org/openoffice/Setup.xcs
%{instdir}/share/registry/schema/org/openoffice/System.xcs
%{instdir}/share/registry/schema/org/openoffice/TypeDetection
%{instdir}/share/registry/schema/org/openoffice/UserProfile.xcs
%{instdir}/share/registry/schema/org/openoffice/VCL.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/ucb
%{instdir}/share/registry/schema/org/openoffice/ucb/Configuration.xcs
%{instdir}/share/registry/schema/org/openoffice/ucb/Hierarchy.xcs
%{instdir}/share/registry/schema/org/openoffice/ucb/Store.xcs
%dir %{instdir}/share/samples
%dir %{instdir}/share/samples/en-US
%dir %{instdir}/share/template
%{instdir}/share/template/en-US
%{instdir}/share/template/ja
%{instdir}/share/template/wizard
%{instdir}/share/uno_packages
%{instdir}/share/wordbook
%{instdir}/share/xdg/
%dir %{instdir}/share/xslt
%{instdir}/share/xslt/common
%dir %{instdir}/share/xslt/export
%{instdir}/share/xslt/export/common
%{instdir}/share/xslt/export/spreadsheetml
%{instdir}/share/xslt/export/wordml
%dir %{instdir}/share/xslt/import
%{instdir}/share/xslt/import/common
%{instdir}/share/xslt/import/spreadsheetml
%{instdir}/share/xslt/import/wordml
#spellchecking lib
%{instdir}/program/liblnth680*.so
#launchers
#%{_bindir}/openoffice.org-1.9
#%{_bindir}/openoffice.org-2.0
%{_bindir}/openoffice.org
%{_bindir}/ooffice
%{_bindir}/ooviewdoc
%{_bindir}/unopkg
#gnome integration
%{instdir}/program/gnome-set-default-application
#icons and mime
%{_datadir}/icons/*
%{_datadir}/mime-info/*
%{_datadir}/openoffice.org
%{instdir}/program/libxmlsecurity.so
%{instdir}/program/liboldxmlsec*
%if %{stlport_abi_lockin}
%{instdir}/program/libstlport*.so
%endif
%{_datadir}/applications/openoffice.org-extension.desktop
%{_datadir}/mime/packages/openoffice.org.xml
%{_datadir}/mimelnk/application/*extension*
%{instdir}/program/behelper.uno.so
%{instdir}/program/configmgr2.uno.so
%{instdir}/program/desktopbe1.uno.so
%{instdir}/program/fsstorage.uno.so
%{instdir}/program/gconfbe1.uno.so
%{instdir}/program/i18npool.uno.so
%{instdir}/program/libbasegfx680*.so
%{instdir}/program/libcomphelp4gcc3.so
%{instdir}/program/libdtransX11680*.so
%{instdir}/program/libfileacc.so
%{instdir}/program/libfwe680*.so
%{instdir}/program/libfwi680*.so
%{instdir}/program/libfwk680*.so
%{instdir}/program/libfwl680*.so
%{instdir}/program/libfwm680*.so
%{instdir}/program/libgo680*.so
%{instdir}/program/libi18nisolang*.so
%{instdir}/program/libi18nutilgcc3.so
%{instdir}/program/libj680*_g.so
%{instdir}/program/libpackage2.so
%{instdir}/program/libpsp680*.so
%{instdir}/program/libsb680*.so
%{instdir}/program/libsfx680*.so
%{instdir}/program/libsot680*.so
%{instdir}/program/libspl680*.so
%{instdir}/program/libsvl680*.so
%{instdir}/program/libsvt680*.so
%{instdir}/program/libtk680*.so
%{instdir}/program/libtl680*.so
%{instdir}/program/libucb1.so
%{instdir}/program/libucpfile1.so
%{instdir}/program/libutl680*.so
%{instdir}/program/libvcl680*.so
%{instdir}/program/libvos3gcc3.so
%{instdir}/program/libxcr680*.so
%{instdir}/program/libxo680*.so
%{instdir}/program/localebe1.uno.so
%{instdir}/program/sysmgr1.uno.so
%{instdir}/program/ucpgvfs1.uno.so
#stocmerge ones
%{instdir}/program/bootstrap.uno.so
%{instdir}/program/stocservices.uno.so
#vba
%{instdir}/program/oovbaapi.rdb

%post core
update-desktop-database -q %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
for theme in hicolor locolor; do
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  fi
done

%postun core
update-desktop-database -q %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
for theme in hicolor locolor; do
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  fi
done

%preun core
if [ $1 -eq 0 ]; then
    # not upgrading => remove component cache
    rm -rf %{instdir}/share/uno_packages/cache/* || :
fi

%files base
%defattr(-,root,root,-)
%{instdir}/help/en/sdatabase.*
%{instdir}/help/ja/sdatabase.*
%{instdir}/program/sbase
%if ! %{without_java}
%{instdir}/program/librpt*680*.so
%endif
%dir %{instdir}/program/resource
%{instdir}/program/resource/cnr680en-US.res
%{instdir}/program/resource/cnr680ja.res
%if ! %{without_java}
%{instdir}/program/resource/rpt680en-US.res
%{instdir}/program/resource/rptui680en-US.res
%{instdir}/program/resource/rpt680ja.res
%{instdir}/program/resource/rptui680ja.res
%endif
%{instdir}/program/resource/sdberr680en-US.res
%{instdir}/program/resource/sdberr680ja.res
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-base.xcu
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbReportWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ReportCommands.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-base.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-report.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_database_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_database_others.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_database_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%{instdir}/share/registry/schema/org/openoffice/Office/ReportDesign.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbReportWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ReportCommands.xcs
%{_bindir}/oobase
%{_datadir}/applications/openoffice.org-*-base.desktop
%{_datadir}/mimelnk/application/*database*

%post base
update-desktop-database -q %{_datadir}/applications

%postun base
update-desktop-database -q %{_datadir}/applications

%files calc
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/scalc.*
%{instdir}/help/ja/scalc.*
%dir %{instdir}/program
%{instdir}/program/libanalysis680*.so
%{instdir}/program/libbf_sc680*.so
%{instdir}/program/libcalc680*.so
%{instdir}/program/libdate680*.so
%{instdir}/program/libsc680*.so
%{instdir}/program/libscd680*.so
%{instdir}/program/libscui680*.so
%dir %{instdir}/program/resource
%{instdir}/program/resource/analysis680en-US.res
%{instdir}/program/resource/bf_sc680en-US.res
%{instdir}/program/resource/date680en-US.res
%{instdir}/program/resource/sc680en-US.res
%{instdir}/program/resource/analysis680ja.res
%{instdir}/program/resource/bf_sc680ja.res
%{instdir}/program/resource/date680ja.res
%{instdir}/program/resource/sc680ja.res
%{instdir}/program/scalc
%{instdir}/program/scalc.bin
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%dir %{instdir}/share/registry/data/org/openoffice/Office
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/CalcCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-calc.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-calc.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_calc_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_calc_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/CalcCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/CalcWindowState.xcs
%{_datadir}/applications/openoffice.org-*-calc.desktop
%{_datadir}/mimelnk/application/*spreadsheet*
%{_bindir}/oocalc
#vba
%{instdir}/program/libvbaobj680*.uno.so

%post calc
update-desktop-database -q %{_datadir}/applications

%postun calc
update-desktop-database -q %{_datadir}/applications

%files draw
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/sdraw.*
%{instdir}/help/ja/sdraw.*
%dir %{instdir}/program
%{instdir}/program/sdraw
%{instdir}/program/sdraw.bin
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%dir %{instdir}/share/registry/data/org/openoffice/Office
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/DrawWindowState.xcu
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-draw.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-draw.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_draw_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_draw_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DrawWindowState.xcs
%{_datadir}/applications/openoffice.org-*-draw.desktop
%{_datadir}/mimelnk/application/*drawing*
%{_bindir}/oodraw

%post draw
update-desktop-database -q %{_datadir}/applications

%postun draw
update-desktop-database -q %{_datadir}/applications

%files emailmerge
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%{instdir}/program/mailmerge.py*
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Writer
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-javamail.xcu

%files writer
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/swriter.*
%{instdir}/help/ja/swriter.*
%dir %{instdir}/program
%{instdir}/program/libhwp.so
%{instdir}/program/libswd680*.so
%{instdir}/program/libswui680*.so
%{instdir}/program/libwpft680*.so
%{instdir}/program/swriter
%{instdir}/program/swriter.bin
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%dir %{instdir}/share/registry/data/org/openoffice/Office
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterReportWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-writer.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Writer
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-cjk_ja.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-writer.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_global_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_web_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_writer_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_global_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_web_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_writer_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterFormWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterGlobalWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterReportWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterWebWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterWindowState.xcs
%{_datadir}/applications/openoffice.org-*-writer.desktop
%{_datadir}/mimelnk/application/*master*
%{_datadir}/mimelnk/application/*text*
%{_datadir}/mimelnk/application/*web*
%{_bindir}/oowriter

%post writer
update-desktop-database -q %{_datadir}/applications

%postun writer
update-desktop-database -q %{_datadir}/applications

%files impress
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/simpress.*
%{instdir}/help/ja/simpress.*
%dir %{instdir}/program
%{instdir}/program/libanimcore.so
%{instdir}/program/libplaceware*.so
%{instdir}/program/simpress
%{instdir}/program/simpress.bin
%dir %{instdir}/share
%dir %{instdir}/share/config
%{instdir}/share/config/soffice.cfg
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%dir %{instdir}/share/registry/data/org/openoffice/Office
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/Effects.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-impress.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-impress.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_impress_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_impress_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Effects.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ImpressWindowState.xcs
%{_datadir}/applications/openoffice.org-*-impress.desktop
%{_datadir}/mimelnk/application/*presentation*
%{_bindir}/ooimpress

%post impress
update-desktop-database -q %{_datadir}/applications

%postun impress
update-desktop-database -q %{_datadir}/applications

%files math
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/help
%dir %{instdir}/help/en
%dir %{instdir}/help/ja
%{instdir}/help/en/smath.*
%{instdir}/help/ja/smath.*
%dir %{instdir}/program
%{instdir}/program/libsm680*.so
%{instdir}/program/libsmd680*.so
%dir %{instdir}/program/resource
%{instdir}/program/resource/bf_sm680en-US.res
%{instdir}/program/resource/sm680en-US.res
%{instdir}/program/resource/bf_sm680ja.res
%{instdir}/program/resource/sm680ja.res
%{instdir}/program/smath
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%dir %{instdir}/share/registry/data/org/openoffice/Office
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI/MathCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/MathWindowState.xcu
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-math.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-math.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_math_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_math_types.xcu
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI/MathCommands.xcs
%{_datadir}/applications/openoffice.org-*-math.desktop
%{_datadir}/mimelnk/application/*formula*
%{_bindir}/oomath

%post math
update-desktop-database -q %{_datadir}/applications

%postun math
update-desktop-database -q %{_datadir}/applications

%files graphicfilter
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%{instdir}/program/libflash680*.so
%{instdir}/program/libsvgfilter680*.so
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_drawgraphics_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_impressgraphics_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_drawgraphics_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_impressgraphics_types.xcu

%files xsltfilter
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_xslt_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_xslt_types.xcu
%dir %{instdir}/share/xslt
%{instdir}/share/xslt/docbook
%dir %{instdir}/share/xslt/export
%{instdir}/share/xslt/export/xhtml
%{instdir}/share/xslt/wiki/

%if ! %{without_java}
%files javafilter
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%dir %{instdir}/program/classes
%{instdir}/program/classes/aportisdoc.jar
%{instdir}/program/classes/pexcel.jar
%{instdir}/program/classes/pocketword.jar
%dir %{instdir}/share
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_palm_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_pocketexcel_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_pocketword_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_palm_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_pocketexcel_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_pocketword_types.xcu
%endif

%files testtools
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%{instdir}/program/hid.lst
%{instdir}/program/libcommuni680*.so
%{instdir}/program/libsalalloc_malloc.so.3
%{instdir}/program/libsimplecm680*.so
%{instdir}/program/testtoolrc
%{instdir}/program/testtool.bin
%dir %{instdir}/program/resource
%{instdir}/program/resource/stt680en-US.res
%{instdir}/program/resource/stt680ja.res

%files sdk
%defattr(-,root,root,-)
%{instdir}/sdk/
%exclude %{instdir}/sdk/setdevelenv_unix.sh
%exclude %{instdir}/sdk/docs/
%exclude %{instdir}/sdk/examples/
%exclude %{instdir}/sdk/include/tools
%exclude %{instdir}/sdk/include/comphelper
%exclude %{instdir}/sdk/include/i18npool
%exclude %{instdir}/sdk/include/vos
%exclude %{instdir}/sdk/include/psprint
%exclude %{instdir}/sdk/solenv
%exclude %{instdir}/sdk/linux/bin/checkdll

%files sdk-doc
%defattr(-,root,root,-)
%{instdir}/sdk/docs/
%{instdir}/sdk/examples/

%files devel
%defattr(-,root,root,-)
%{instdir}/sdk/setdevelenv_unix.sh
%{instdir}/sdk/include/tools
%{instdir}/sdk/include/comphelper
%{instdir}/sdk/include/i18npool
%{instdir}/sdk/include/vos
%{instdir}/sdk/include/psprint
%{instdir}/sdk/solenv
%{instdir}/sdk/linux/bin/checkdll

%files headless
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%{instdir}/program/libbasebmp680*.so
%{instdir}/program/libvclplug_svp680*.so

%files pyuno
%defattr(-,root,root,-)
%dir %{instdir}
%dir %{instdir}/program
%{instdir}/program/libpyuno.so
%{instdir}/program/officehelper.py*
%{instdir}/program/pythonloader.py*
%{instdir}/program/pythonloader.uno.so
%{instdir}/program/pythonloader.unorc
%{instdir}/program/pythonscript.py*
%{instdir}/program/pyuno.so
%dir %{instdir}/share
%dir %{instdir}/share/Scripts
%{instdir}/share/Scripts/python
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Scripting
%{instdir}/share/registry/modules/org/openoffice/Office/Scripting/Scripting-python.xcu
%{python_py_sitearch}/uno.py*
%{python_py_sitearch}/unohelper.py*


%changelog
* Tue Apr 14 2009 Shu KONNO <owa@bg.wakwak.com> - 2.4.1-5
- rebuilt (x86_64 with libicu-4.0.1 too)

* Mon Mar 23 2009 Ryoichi INAGAKI <ryo1@@bc.wakwak.com> - 2.4.1-4
- rebuilt with libicu-4.0.1
- added BuildRequires: icu

* Wed Jul 30 2008 Shu KONNO <owa@bg.wakwak.com> - 2.4.1-3
- set stlport_abi_lockin to 1 on x86_64

* Tue Jul 29 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.4.1-2
- set stlport_abi_lockin to 1 on ppc with gcc-4.1.x without rh-branch patches
  (-finline-visibility-hidden related)

* Mon Jul 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-1
- update to 2.4.1
- build only English and Japanese langpacks
- build without java
- TODO
  - build with java
  - fix spec to build on Vine4
- older changelogs are below:
  * Sun Nov 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 2.0.4-0vl4
  - appended x86_64 to ExclusiveArch
  * Sun Nov 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl3
  - Add Patch95 to fix CVE-2007-2834
  * Sat Sep  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.4-0vl2
  - rebuilt with libicu-3.6
  * Thu Aug 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl0.2
  - add Patch94 to fix CVE-2007-0245
  * Wed Aug 22 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl0.1
  - build for Vine Linux 4.x
  - build with internal libraries(xmlsec1, libagg)
  - use external libwpd (CVE-2007-0002)
    - internal libwpd has vulnerability
  - disable gtkprintui support
  * Fri May 18 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-0vl1
  - new upstream version 2.0.4(OOD680_m5)
  - import patches from RHEL package
  - build with new environment/toolchains
  - enable gtkprintui
  - build with external neon, xmlsec1, libwpd
  - build without agg
  * Thu Oct 05 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.3-0vl8
  - fix %%files section (libagg680li.so -> libagg680*.so)
  * Sat Sep 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl7
  - fix BuildRequires
  - remove fc themed templates
  - remove "%%U" from desktop files (<BTS:223>)
  * Fri Sep 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl6
  - enable %%buildwithfirefox
    - build with firefox-devel, instead of mozilla-devel
  * Fri Sep 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl5
  - remove unneeded libgcj34-devel dependancy
  * Thu Sep 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl4
  - add OOo's official package to Obsoletes:
  * Thu Sep 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl3
  - merge core,writer,calc,impress,draw,math,base
    and langpack-ja_JP to main package.
  * Thu Sep 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl2
  - fix printing
  - fix font substitution configs
  - modifiy desktop files for Vine Linux
  * Sun Sep 26 2006 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.0.3-0vl1
  - modify and build for Vine Linux 4.0.

* Fri Jun 13 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.1-17.4
- fix vertical glyphs
- Resolves: rhbz#450661 openoffice.org-3.0.0.ooo90306.sw.wrongprotection.patch
- Resolves: rhbz#448464 openoffice.org-3.0.0.ooo48400.svx.fixspelling.patch
- Resolves: rhbz#450930 openoffice.org-3.0.0.ooo90697.sd.a11ycrash.patch

* Fri Jun 06 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.1-17.3
- remove pointless "register" dialog request
- Resolves: rhbz#450212 openoffice.org-3.0.0.ooo82545.np_sdk.x86_64.patch

* Tue Jun 03 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.1-17.2
- filter out -fasynchronous-unwind-tables because it doesn't work with -Os
  on i386
- Resolves: rhbz#448553 openoffice.org-3.0.0.ooo90037.vcl.cairotransforms.patch

* Sun Jun 01 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.1-17.1
- Resolves: rhbz#445588 add openoffice.org-3.0.0.ooo87970.vcl.samenamesubs.patch
- drop integrated openoffice.org-2.3.1.ooo81307.sw.word2.patch
- drop integrated workspace.os114.patch

* Thu May 22 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.10
- rebuild
- Resolves: rhbz#447199 add workspace.impress138.patch
- Resolves: rhbz#447212 nostrict-aliasing is broken gcc#36187

* Mon May 12 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.9
- Resolves: rhbz#444571 add openoffice.org-3.0.0.ooo88090.chart2.negativecount.patch
- Resolves: rhbz#445318 fix notes related crash
- Resolves: rhbz#445953 backport 2.4.1 ww8 bidi digit fixes
- Resolves: rhbz#446005 there's something very wrong here, but every
  attempt to isolate it makes it go away
- add openoffice.org-3.0.0.ooo89002.vcl.symbolfonts.patch

* Sat Apr 26 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.8
- add openoffice.org-2.4.0.ooo87071.sd.backgroundfix.patch

* Wed Apr 23 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.7
- Resolves: rhbz#443356 fontconfig gives different results for "canonical"
  font name vs localized font name
- Resolves: rhbz#443735 weird ass rendering for Sazanami fonts

* Fri Apr 18 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.6
- Resolves: rhbz#439727 find another crasher
- Resolves: rhbz#441112 openoffice.org-3.0.0.ooo85691.vcl.tooltipcolor.patch
- Resolves: rhbz#441108 openoffice.org-3.0.0.ooo87991.fpickersafe.patch
- Resolves: rhbz#441128 openoffice.org-3.0.0.ooo88033.svx.a11ycrash.patch
- add openoffice.org-2.4.0.gccXXXXX.wizards.patch to try and build

* Wed Apr 02 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.5
- Resolves: rhbz#439727 find crasher
- Resolves: rhbz#436518 try and workaround bizarro bug

* Tue Apr 01 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.4
- Resolves: rhbz#439727 add workspace.notes3.patch4

* Fri Mar 28 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.3
- add openoffice.org-2.4.0.ooo87204.toolkit.64bitevent.patch
- add openoffice.org-2.4.0.ooo87490.sfx2.allprotocols.urlopen.patch

* Sun Mar 16 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-12.1
- yet another release candidate

* Thu Mar 13 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-11.1
- next release candidate
- Resolves: rhbz#429632 add openoffice.org-2.3.0.ooo86882.vcl.unsigned_int_to_long.patch
- Resolves: rhbz#435590 add openoffice.org-2.4.0.ooo86924.sfx2.iconchanges.patch

* Sun Mar 09 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-10.1
- next release candidate
- rhbz#293791 Restore draw back to the menus and revert to upstream app names
- drop integrated openoffice.org-2.4.0.ooo86268.desktop.visibilitycockup.patch
- Resolves: rhbz#436518 add openoffice.org-2.3.0.ooo86866.embeddedobj.plusequalsoperator.patch

* Thu Mar 06 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-9.1
- next release candidate

* Thu Feb 28 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-8.1
- next release candidate
- add openoffice.org-2.4.0.ooo86268.desktop.visibilitycockup.patch
- add openoffice.org-2.4.0.oooXXXXX.psprint.debugcups.patch to debug
  rhbz#434803

* Sun Feb 17 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-7.3
- accidentally included scratch uno_packages cache, i.e. trashed your
  shared extensions

* Thu Feb 14 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-7.2
- some multilib helping
- Resolves: rhbz#432654 add openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch

* Wed Feb 13 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-7.1
- Resolves: rhbz#432368 parallel build is err... "a little" aggressive
- next milestone
- drop integrated openoffice.org-2.4.0.ooo85624.sw.headerfooters.patch

* Tue Feb 12 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-6.3
- Resolves: rhbz#431805 openoffice.org-2.4.0.ooo85931.svx.getentrypos.patch
- Resolves: rhbz#431620 presentation problems
- add openoffice.org-2.4.0.ooo85624.sw.headerfooters.patch from fridrich
- add openoffice.org-2.4.0.oooXXXXX.ucb.newneon.patch for new neon

* Tue Feb 05 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-6.2
- fix problem with mixed fontsizes with same font face
- resync workspace.notes2.patch
- Resolves: ooo#84209 make letter wizard work with gstreamer changes
- Resolves: rhbz#431606 require jre not java
- Resolves: rhbz#431620/ooo#85909 depth mismatch for text
- ooo#85914 work around trouble with deleting multiple notes
- add openoffice.org-2.4.0.ooo85921.sd.editmasterundermouse.patch for jrb

* Mon Feb 04 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-6.1
- next milestone
- Resolves: rhbz#422661 support n-up printing of rotated landscape
  slides in a human-expectation direction
- drop integrated openoffice.org-2.4.0.ooo84684.vcl.fixfontconfig.patch
- drop openoffice.org.2.0.3-ooo66018.cppuhelper.dangerousvisibility.patch
  now that we have gcc 4.3.0
- drop integrated openoffice.org-2.4.0.ooo85321.vcl.pixmapleak.patch
- add workspace.gcc430two.patch for some newly needed includes
- add openoffice.org-2.4.0.ooo85854.sw.graphicsaveas.patch for riel

* Mon Jan 28 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-5.1
- next milestone
- replace cairotext with workspace.cairotext01.patch, not use
  SAL_DISABLE_CAIROTEXT=1 to disable as cairo text rendering is now
  default
- add openoffice.org-2.4.0.ooo85643.psprint.helppreviewers.patch to 
  help gv/evince rotate landscape pages when previewing
- drop integrated workspace.sw24bf02.patch
- drop integrated openoffice.org-2.4.0.ooo85055.psprint.linetoolong.patch
- drop integrated openoffice.org-2.4.0.ooo85487.evoconnectivity.patch

* Thu Jan 23 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-4.1
- next milestone
- drop integrated openoffice.org-2.4.0.ooo83410.solenv.renameserbian.patch
- drop integrated openoffice.org-2.3.1.ooo83877.sal.allowsoftlinkdelete.patch
- drop integrated workspace.sw8u10bf04.patch
- drop integrated workspace.impress132.patch
- add openoffice.org-2.4.0.ooo85487.evoconnectivity.patch to make evoab2 build
- new finnish autocorrect file
- Resolves: rhbz#429897 one click print with lpr-only backend fix
- Resolves: rhbz#426295 openoffice.org-2.4.0.ooo85470.vcl.cairotext.patch
  use export SAL_ENABLE_CAIROTEXT=1 to enable

* Mon Jan 21 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-3.3
- fix openoffice.org-2.4.0.ooo85321.vcl.pixmapleak.patch for warren
- fix openoffice.org-2.4.0.ooo85429.sw.a11ycrash.patch
- Resolves: rhbz#428574 add workspace.sw24bf02.patch
- Resolves: problem in rhbz#429550 openoffice.org-2.4.0.ooo85448.emptyrpath.patch

* Sat Jan 19 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-3.2
- Resolves: rhbz#429258 openoffice.org-2.4.0.ooo85385.svtools.a11ycrash.patch

* Wed Jan 16 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-3.1
- Resolves: rhbz#428655 workspace.sw8u10bf04.patch
- Resolves: rhbz#428655 workspace.impress132.patch
- fix word2 import
- Lithuanian help content

* Tue Jan 15 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-2.2
- fix hyphenation

* Tue Jan 15 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-2.1
- drop integrated openoffice.org-2.3.0.ooo74751.bean.mawt.patch
- drop integrated openoffice.org-1.9.88.rhXXXXXX.noxfonts.desktop.patch
- next candidate

* Mon Jan 14 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-1.3
- fix broken requires

* Fri Jan 11 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-1.2
- add openoffice.org-2.4.0.oooXXXXX.solenv.paths.patch to fix up -devel Requires
- add openoffice.org-2.4.0.rh133741.alwaysgtk.vcl.patch
- Resolves: rhbz#425701/ooo#83410 try and fix serbian translations

* Sat Jan 06 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.4.0-1.1
- first OOH680_m1
- remove redundant entries from configure
- drop integrated openoffice.org-2.3.0.ooo77885.stoc.stocmerge.patch
- drop integrated openoffice.org-1.9.129.ooo54603.fontconfig.patch
- drop integrated workspace.as6.patch
- drop integrated openoffice.org-2.0.3.ooo68048.vcl.imsurroundtext.patch
- drop integrated openoffice.org-2.1.0.ooo72129.vcl.fontglyphindex.patch
- drop integrated workspace.configrefactor01.patch
- drop integrated openoffice.org-2.2.1.ooo80424.vcl.honourwidthtype.patch
- drop integrated workspace.npower7.patch
- drop integrated openoffice.org-2.3.0.ooo80721.reportdesign.stlportism.patch
- drop integrated openoffice.org-2.3.0.ooo80735.cppu.map.patch
- drop integrated openoffice.org-2.3.0.ooo80967.ucb.neon27.patch
- drop integrated openoffice.org-2.3.0.ooo81112.reportdesign.parallel.patch
- drop integrated openoffice.org-2.3.0.ooo81936.sc.maketypesagree.patch
- drop integrated workspace.fpicker7.patch
- drop integrated openoffice.org-2.3.0.ooo83591.vcl.checkboxes.patch
- drop integrated openoffice.org-2.3.1.ooo82911.sd.insertbackground.patch
- drop integrated workspace.sw8u10bf02.patch
- drop integrated openoffice.org-2.3.1.ooo83930.sw.flushanchors.patch
- drop integrated workspace.cmcfixes39.patch
- drop integrated workspace.gcc430.patch
- drop integrated workspace.locales24.patch
- drop integrated openoffice.org-2.3.0.ooo81314.i18npool.crash.patch
- drop openoffice.org-2.3.1.ooo84001.slideshow.gccisaprick.patch
- drop openoffice.org-2.2.0.ooo53397.linkopt.patch
- replace openoffice.org-2.1.0.ooo78148.lingucomponent.systemhunspell.patch with
  openoffice.org-2.1.0.oooXXXXX.lingucomponent.systemdicts.patch
- add openoffice.org-2.4.0.ooo84684.vcl.fixfontconfig.patch
- add Requires for indic hunspell dictionaries
- Resolves: rhbz#427757 add openoffice.org-2.4.0.ooo85054.stlport.noorigs.patch
- Resolves: rhbz#426876 add openoffice.org-2.4.0.ooo85055.psprint.linetoolong.patch
- add openoffice.org-2.4.0.oooXXXXX.config_office.xpcomasxul.patch to build
- add openoffice.org-2.4.0.ooo85097.desktop.pagein.patch

* Wed Jan 03 2008 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.11
- Resolves: rhbz#427071 openoffice.org-2.3.0.ooo81314.i18npool.crash.patch

* Thu Dec 20 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.10
- Resolves: rhbz#425701 add workspace.locales24.patch
- Resolves: rhbz#423371 openoffice.org-2.3.1.ooo84621.sw.insertexcel.patch
- add workspace.gcc430.patch for gcc 4.3.0
- add openoffice.org-2.3.1.ooo84770.svx.eventsmismatch.patch

* Sun Dec 09 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.9
- oops

* Sat Dec 08 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.8
- Resolves: rhbz#384401 attempt to allow davs:// to work

* Mon Dec 03 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.7
- Resolves: rhbz#206400 add long awaited workspace.notes2.patch
    + drop openoffice.org-2.3.0.ooo53885.raiseannotationpriority.sw.patch
    integrated
- add openoffice.org-2.3.1.oooXXXXX.ucb.davprotocol.patch for dav:// and davs://

* Sat Dec 01 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.6
- add workspace.cmcfixes39.patch for ooo#83751 and use system writer2latex

* Thu Nov 29 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.5
- split out thesauri
- move autocorrect files into langpacks and make appropiate aliases
- allow "import uno" to just work out of the box

* Sat Nov 24 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.4
- Resolves: rhbz#384391 add openoffice.org-2.3.1.ooo83930.sw.flushanchors.patch
- split out libhyphen and hyphenators
- add openoffice.org-2.3.1.ooo84001.slideshow.gccisaprick.patch coz gcc hates us
- drop openoffice.org-2.3.1.83876.unopkg.avoida11y.patch coz upstream won't do it

* Thu Nov 22 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.3
- Resolves: rhbz#247634 add openoffice.org-2.3.1.ooo82911.sd.insertbackground.patch (jnavrati)
- Resolves: rhbz#386371 add workspace.sw8u10bf02.patch (caolanm)
- add openoffice.org-2.3.1.83876.unopkg.avoida11y.patch to avoid unopkg
  crapping out on first run with a11y enabled and no X (caolanm)
- add openoffice.org-2.3.1.ooo83877.sal.allowsoftlinkdelete.patch to allow
  sal to delete softlinks (caolanm)
- add openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch to enable
  linking to unpacked extensions already on the fs when registering (caolanm)
==> makes extension rpm packaging non-wasteful and safe

* Thu Nov 15 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.2
- move from firefox to xulrunner

* Wed Nov 14 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.1-9.1
- 2.3.1 pre-release candidate m9
- tweak mime information and desktop files to support .oxt extensions
- add openoffice.org-2.3.1.ooo81307.sw.word2.patch
- add openoffice.org-2.3.0.ooo83591.vcl.checkboxes.patch
- drop integrated openoffice.org-2.3.0.ooo77672.boost.use.end_p.patch
- drop integrated openoffice.org-2.3.0.ooo81323.svtools.sixtyfour.patch
- drop integrated openoffice.org.ooo82608.vcl.gtkbadfree.patch
- drop integrated openoffice.org-2.3.0.ooo83169.colordialog.crash.patch

* Fri Nov 09 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.7
- rebuild for hunspell

* Wed Oct 24 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.6
- Resolves: rhbz#338701 fix openoffice.org.ooo82608.vcl.gtkbadfree.patch
- Resolves: rhbz#213213 openoffice.org-2.3.0.ooo76649.httpencoding.patch
- add openoffice.org-2.3.0.ooo82966.svx.missing3d.patch
- Resolves: rhbz#360461 fix openoffice.org-2.3.0.ooo83169.colordialog.crash.patch

* Thu Oct 19 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.5
- Resolves: rhbz#338701 fix openoffice.org.ooo82608.vcl.gtkbadfree.patch

* Tue Oct 16 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.4
- Resolves: rhbz#333201 dangling symlinks
- Resolves: rhbz#334841 fix "all files" glob in in mail merge picker
- Resolves: ooo#82671 print crash

* Fri Oct 12 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.3
- reenable prelink-optimized launchers
- rhbz#326161 make code compiled with icedtea compatible with 1.5.0 so libgcj
  can still be selected as a jvm
- add openoffice.org-2.3.0.ooo53885.raiseannotationpriority.sw.patch

* Sun Oct 07 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.2
- reenable visibility again now that guard visibility is sane again

* Thu Oct 04 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-6.1
- Resolves: rhbz#299391 Serbian langpack name update
- Resolves: rhbz#286221 allow custom printing commands
- Resolves: rhbz#303431 some printing problems
- add openoffice.org-2.3.0.ooo81936.sc.maketypesagree.patch

* Mon Sep 17 2007 Jan Navratil <jnavrati@redhat.com> - 1:2.3.0-5.1
- release candidate

* Thu Sep 06 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-4.1
- next version
- ooo#77672 fix ::boost::spirit::parse to use ::boost::spirit::end_p to
  make drawing shapes work properly again with new boost 1.34
- add openoffice.org-2.3.0.ooo81321.cppu.silencewarnings.patch
- add openoffice.org-2.3.0.ooo81323.svtools.sixtyfour.patch
- disable custom launchers, it breaks icedtea for some reason I haven't time to
  figure out
- disable visibility for now, seems screwed up.

* Tue Sep 04 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-3.2
- rebuild against icu
- rebuild against icedtea
- add openoffice.org-2.3.0.ooo74751.bean.mawt.patch to allow build against icedtea
- don't prefer gcj over icedtea when both installed
- add ooo#81253 connectivity uninit fix
- add ooo#81258 sw uninit fix
- package sandbox.jar where available

* Sat Sep 01 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-3.1
- release candidate
- drop integrated openoffice.org-1.9.130.ooo67740.doublefree.xmlhelp.patch
- drop integrated openoffice.org-2.2.0.ooo75790.sc.pa-IN.translate.patch
- drop integrated openoffice.org-2.3.0.ooo80944.sd.sixtyfour.patch
- drop integrated workspace.dba23e.patch
- drop integrated openoffice.org-2.3.0.ooo80931.sysui.genericname.patch

* Wed Aug 29 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-2.4
- add openoffice.org-2.3.0.ooo81112.reportdesign.parallel.patch

* Mon Aug 27 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-2.3
- drop integrated openoffice.org-2.1.0.ooo61812.svx.a11ycrash.patch
- drop openoffice.org-1.9.85.rh151356.usetwodotzeropath.patch and do
  it differently
- allow -fasynchronous-unwind-tables to be passed to ARCH_FLAGS
- oovbaapi.rdb needs be in core package

* Wed Aug 22 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-2.2
- move vba stuff into calc package
- add workspace.dba23e.patch
- no longer need openoffice.org-2.0.4.oooXXXXX.vcl.x86_64.impressatk.patch
- add openoffice.org-2.3.0.ooo80967.ucb.neon27.patch and reenable neon
- drop openoffice.org-1.9.97.rh156067.noversionedsysui.patch and do it
  differently
- add openoffice.org-2.3.0.ooo80931.sysui.genericname.patch

* Wed Aug 22 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.3.0-2.1
- Resolves: rhbz#251896 count from start of ctl sequence, not start of
  string when doing range test
- first 2.3.0 prerelease candidate
  + disable neon until 0.26 series is in fedora
  + unset HAVE_LD_HASH_STYLE because both is enabled despite constantly
    saying that was a stupid idea to hardcode
  + large file support upstreamed
  + add libtextcat.xcu -> reuse libtextcat fingerprints
  + add workspace.npower7.patch for build failure
  + add openoffice.org-2.3.0.oooXXXXX.reportdesign.stlportism.patch for build failure
  + add openoffice.org-2.3.0.ooo80735.cppu.map.patch for ppc64
  + add openoffice.org-2.3.0.ooo80944.sd.sixtyfour.patch
  + add openoffice.org-2.2.0.gccXXXXX.solenv.javaregistration.patch for pesky ppc64 
    install failure
  + replace openoffice.org-1.9.121.rh156677.cripplemenus.sysui.patch
    with integrated GenericName support
  + drop integrated workspace.libxslt02.patch
  + drop integrated workspace.ppc64one.patch
  + drop integrated openoffice.org-2.0.3.rh187919.gtkunderkde.patch
  + drop integrated ooobuild.VBAObjects.patch and use --enable-vba
  + drop integrated openoffice.org-2.0.4.ooo70155.fasterhelplinking.patch
  + drop integrated workspace.thbpp6.patch
  + drop integrated openoffice.org-2.1.0.ooo72014.officecfg.malayammenu.patch
  + drop integrated openoffice.org-2.1.0.ooo73481.svx.longnotint32.patch
  + drop integrated openoffice.org-2.2.0.ooo73866.javaunohelper.parallel.patch
  + drop integrated openoffice.org-2.2.0.ooo73974.bridges.doublereturn.patch
  + drop integrated openoffice.org-2.2.0.ooo74451.sw.typemismatch.patch
  + drop integrated workspace.sixtyfour11.patch
  + drop integrated openoffice.org-2.2.0.ooo75167.framework.workspacerestore.patch
  + drop integrated openoffice.org-2.2.0.ooo75190.shell.newrecentlyused.patch
  + drop integrated openoffice.org-2.2.0.ooo75329.xdguserdir.patch
  + drop integrated openoffice.org-2.2.0.oooXXXXX.shell.reduceglobals.patch
  + drop integrated workspace.cmcfixes34.patch
  + drop integrated openoffice.org-2.2.0.ooo77470.docexport.liberation.to.ms.patch
  + drop integrated openoffice.org-2.2.1.ooo73728.desktop.mapped_type.patch
  + drop integrated openoffice.org-2.2.1.ooo78392.sixtyfour.tools.patch
  + drop integrated openoffice.org-2.2.1.ooo78383.vcl.printxerror.patch
  + drop integrated openoffice.org-2.2.1.ooo78392.sixtyfour.tools.patch
  + drop integrated workspace.glyphadv.patch
  + drop integrated openoffice.org-2.2.1.ooo78921.sw.embedded.patch
  + drop integrated openoffice.org.ooo79953.dbusinhibitscreensaver.patch
  + drop integrated openoffice.org-2.2.0.ooo74401.basctl.boost.patch

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.8
- clarify licenses is use in OOo
- rebuild for new icu
- add workspace.unifysound01,
  + unify all our sound under gstreamer
  + add play button to sound selection fpicker
  + fix type detection for .wavs so they don't open as text files(!)
  + drop openoffice.org-2.0.3.rhXXXXXX.vcl.annoyingbeeps.patch
- add --with-ant-home=/usr/share/ant because something changed and I
  need it now

* Tue Jul 24 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.7
- Resolves: ooo#79953 inhibit screensaver during presentations
- Resolves: rhbz#249196 propogate font width types up from the font ooo#79878
- Resolves: rhbz#249568 empty line in autocorrect options
- Resolves: rhbz#247632 new text only impress layout

* Thu Jul 19 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.6
- FC-8 Test 1 Candidate
- Resolves: rhbz#247781 openoffice.org-2.2.1.ooo79481.sw.rowordcount.patch
- better page counting for titlepage dialog

* Mon Jul 10 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.5
- Resolves: rhbz#245729 openoffice.org-2.2.1.ooo78921.sw.embedded.patch
- update setlangtolocale for prettier fonts when appropiate langpack is missing
- add openoffice.org-2.2.1.oooXXXXX.sw.titlepagedialog.patch

* Tue Jun 26 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.4
- require new hunspell-ar for arabic langpack
- Resolves: rhbz#244656 overlapping glyphs in pdf export

* Mon Jun 18 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.3
- add ppc64 uno bridge (workspace.ppc64one.patch)
- Resolves: rhbz#241875 get script detection right for range vs point
  in drawing objects ooo#72349
- Resolves: rhbz#242692 openoffice.org-2.2.1.oooXXXXX.xmloff.outofrange.patch
- Resolves: rhbz#243305 missing xdg file for quickstart restart
- Resolves: rhbz#243904 add openoffice.org-2.2.1.ooo78383.vcl.printxerror.patch
- update stocmerge patch
- add openoffice.org-2.2.1.ooo78392.sixtyfour.tools.patch
- extend selinux patch for ppc64 and sparc

* Sat Jun 15 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.2
- ppc64 test

* Thu May 31 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-18.1
- next 2.2.1 release candidate
- add Jan's stocmerge.all.patch

* Wed May 23 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-17.2
- remove LD_LIBRARY_PATH again, the third party extension requiring it 
  links against the wrong libraries
- try and re-disable stlport for selected platforms
- add openoffice.org-2.2.1.ooo73728.desktop.mapped_type.patch fix

* Tue May 22 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-17.1
- next 2.2.1 release candidate
- add workspace.cmcfixes34.patch for int(0) not being promoted to long
  NULL in ellipsed methods
- ooo#77470 Because Liberation fonts will be included in >= FC-7 we need
  to set the ms font equivalents as their fallbacks in exported to 
  msoffice format documents so things work out right for ms users

* Fri May 18 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.1-16.1
- 2.2.1 release candidate
- Resolves: rhbz#216332 use cups for all duplex and printer features
- Resolves: rhbz#237110 Dzongkha langpack
- drop integrated workspace.cmcfixes32.patch
- drop integrated openoffice.org-2.2.0.ooo74255.vcl.depth.mismatch.patch
- require Liberation fonts
- enable link optimizations

* Thu May 17 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.9
- ooo#77470 Because Liberation fonts will be included in FC-7 we need
  to set the ms font equivalents as their fallbacks in exported to 
  msoffice format documents.
 
* Fri May 04 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.8
- Resolves: rhbz#203495 add some magic to allow native and OOo dialogs to
  interleave and keep parent child transient logic correct

* Tue Apr 24 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.7
- remove gnome icons seeing as they are redundant
- Resolves: rhbz#231924 Add the hunspell dictionaries requires
- Resolves: rhbz#231924 add remove NatNum1 from bn_IN.xml

* Tue Apr 17 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.6
- merge openoffice.org-2.0.2.ooo59127.vcl.honourcairofont.patch
- Resolves: rhbz#235834 update font subpixel logic
- add dynamicsection patch for better offline debugging
- Resolves: rhbz#236671 backup ldmerge

* Wed Apr 11 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.5
- Resolves: rhbz#235828 INIFILE optimization breaks addins
- Resolves: rhbz#235325 crash on launch of x86_64 soffice.bin
- finish ld reordering -> apparent 0.4 warm launch improvement
  http://people.redhat.com/caolanm/speed/ldreorder.ods

* Fri Apr 06 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.4
- Resolves: rhbz#235341 pdf overlapping characters
- Resolves: rhbz#223190 make a final fallback to a font with a known
  working notdef glyph
- remove openoffice.org-2.2.0.gccXXXXX.solenv.javaregistration.patch
  because gcc 4.1.2-8 should allow our java components to work again.
- add a handful of valgrind fixes

* Tue Mar 27 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.3
- Resolves: rhbz#233944 openoffice.org-2.2.0.ooo75790.sc.pa-IN.translate.patch
- add aliases for the english autocorrect files
- drop old themes to save space and need for translations of their names
- combine more DSOs, the speed improvement is not immediately compelling but
  is at least startup time neutral and saves a meg in size for just 
  core + writer
  + http://people.redhat.com/caolanm/speed/CombinedDSO.ods

* Sun Mar 25 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-14.1
- RC4
- follow up on drepper's suggestion of combining startup DSOs into libsoffice
  + http://people.redhat.com/caolanm/speed/CombinedDSO.ods

* Tue Mar 20 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-13.1
- add tango to the themes UI
- yet another rc

* Thu Mar 15 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-12.1
- Resolves: rhbz#232389 enable tango theme
- support xdguserdir translated user dirs
- add alloc debugging library to testtools
- next release candidate

* Mon Mar 12 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-11.2
- Resolves: rhbz#231788 openoffice.org-2.2.0.ooo75301.svtools.eventmismatch.patch

* Wed Mar 07 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-11.1
- yet another release candidate

* Wed Mar 07 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-10.2
- rhbz#206268/ooo#75167 session restore back to the right workspace
- -fno-threadsafe-statics seeing as we're already double locked
  http://people.redhat.com/caolanm/speed/threadsafe-statics.ods
- drop openoffice.org-2.2.0.oooXXXXX.atkthreads.atexit.patch, atk fixed
- add openoffice.org-2.2.0.ooo75190.shell.newrecentlyused.patch, the
  ~/.recently-used location and format changed

* Sun Mar 04 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-10.1
- next release candidate
- drop d_type patch, no perceptable difference in performance 
  http://people.redhat.com/caolanm/speed/d_type.ods

* Wed Mar 02 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-9.2
- jumped the run on requiring extras from a core package, back out for now
- -finline-limit=64 http://blogs.linux.ie/caolan/2007/03/02/finline-limit-and-ooo

* Mon Feb 26 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-9.1
- next release candidate
- add openoffice.org-2.2.0.gccXXXXX.solenv.javaregistration.patch to workaround strange
  gcj component registration problem
- a better fix for the persistant visibility markup problem

* Wed Feb 21 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-8.3
- add workspace.configrefactor01.patch and knock .1 sec off warm start
  http://people.redhat.com/caolanm/speed/configmgr.refactor.ods

* Tue Feb 20 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-8.2
- ooo#74692 64bit form controls

* Mon Feb 19 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-8.1
- next version

* Wed Feb 14 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-7.2
- Resolves: rhbz#228629 mistranslation for properties in or-IN
- drop dictionaries, they're in hunspell-?? now

* Tue Feb 13 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-7.1
- Resolves: rhbz#228254 crash on print to pdf after print to ps
- Resolves: rhbz#227897 long/sal_Int32 mismatch
- need openoffice.org-2.2.0.ooo74401.basctl.boost.patch to build

* Fri Feb 09 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-6.3
- spec cleanups

* Wed Feb 06 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-6.2
- Resolves: rhbz#221214 openoffice.org-2.2.0.ooo74255.vcl.depth.mismatch.patch
- Resolves: rhbz#227224 package the sdk

* Tue Feb 06 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-6.1
- next candidate
- drop integrated openoffice.org-2.2.0.ooo73295.basctl.extraqual.patch
- extra gl and pa-IN help translations

* Mon Feb 05 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-5.2
- Resolves: rhbz#227245 add openoffice.org-2.2.0.oooXXXXX.atkthreads.atexit.patch
- Resolves: rhbz#226737 add openoffice.org-2.2.0.ooo74188.sw.cursorinsideglyph.patch

* Thu Feb 01 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-5.1
- next candidate
- workspace.npower5 integrated
- some valgrind fixes integrated
- Resolves: rhbz#158538 page breaks in calc problem
- pair of build fixes

* Mon Jan 29 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-4.3
- Resolves: rhbz#225061 openoffice.org-2.2.0.ooo73974.bridges.doublereturn.patch
- Resolves: rhbz#225097 library path problems for extensions
- Resolves: rhbz#225143 detect newly added printers

* Sun Jan 28 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-4.2
- fix CUPSManager::initialize

* Sat Jan 27 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-4.1
- next candidate

* Fri Jan 26 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.2.0-3.1
- Resolves: rhbz#224230 mark sofficerc as config file
- Resolves: rhbz#223190 openoffice.org-2.1.0.oooXXXXX.vcl.makenotdefglyph.patch
- Resolves: rhbz#222779 openoffice.org-2.2.0.ooo73863.vcl.imcommit.patch
- start of release candidate
- drop integrated workspace.icuupgrade.patch
- drop integrated workspace.cmcfixes29.patch
- drop integrated workspace.sixtyfour09.patch
- drop integrated workspace.sixtyfour10.patch
- drop integrated workspace.vcl69.patch
- drop integrated workspace.vcl70.patch
- drop integrated workspace.vcl71.patch
- drop integrated workspace.os89.patch
- drop integrated workspace.dr51.patch
- drop integrated workspace.fwk59.patch
- drop integrated workspace.aw024.patch
- drop integrated workspace.dba22b.patch
- drop integrated workspace.impress115.patch
- drop integrated workspace.inplaceobjects.patch
- drop integrated openoffice.org-2.0.4.rh213710.vba.patch
- drop integrated openoffice.org-2.0.4.ooo70779.vcl.setprgname.patch
- drop integrated openoffice.org-2.1.0.ooo73485.vcl.filterzwatrender.patch
- add openoffice.org-2.2.0.ooo73866.javaunohelper.parallel.patch
- add openoffice.org-2.2.0.oooXXXXX.extensions.noxaw.patch
- xt.jar no longer distributed
- some new .sos

* Wed Jan 17 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.14
- Resolves: rhbz#222817 openoffice.org-2.1.0.oooXXXXX.vcl.dontsortglyphs.patch

* Mon Jan 15 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.13
- Resolves: rhbz#222426 add openoffice.org-2.1.0.ooo73481.svx.longnotint32.patch
- Resolves: rhbz#222423 openoffice.org-2.1.0.ooo73485.vcl.filterzwatrender.patch
- Resolves: rhbz#222420 DejaVu font has two plausible english names

* Thu Jan 11 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.12
- Resolves: rhbz#216089 if there is no font at all to handle something

* Sat Jan 06 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.11
- Resolves: rhbz#221491 openoffice.org-2.1.0.ooo73201.sw.a11yloadcrash.patch

* Wed Jan 03 2007 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.10
- Resolves: rhbz#216094 add workspace.impress115.patch

* Wed Dec 20 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.9
- still need openoffice.org-2.1.0.gccXXXXX.basegfx.crash.patch for rh#199870#
- experiment and drop -fno-threadsafe-statics

* Mon Dec 18 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.8
- rename and appropiately merge commited patches as their respective workspaces
- drop rh200118.filter.xalanbroken.patch
- try and drop
	+ openoffice.org-2.0.3.gccXXXXX.basegfx.crash.patch
	+ openoffice.org-2.0.4.gccXXXXX.svtools.fsstorage.patch

* Wed Dec 13 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.7
- split out english dictionaries into hunspell-en

* Tue Dec 12 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.6
- Resolves: rhbz#219161 openoffice.org-2.1.0.ooo72505.vcl.wrongrole.patch

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 1:2.1.0-6.5
- rebuild for python2.5

* Tue Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.4
- Resolves: rhbz#216094 openoffice.org-2.1.0.ooo72349.svx.scriptrange.patch
- Resolves: rhbz#216094 openoffice.org-2.1.0.ooo72350.svx.showsizes.patch

* Tue Dec 05 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.3
- Resolves: rhbz#218412 crash on cancel from search view of file chooser

* Sun Dec 03 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.2
- hazard some educated guesses as to dictionaries might be acceptable to
  speakers of the same language in neighbouring countries
- Resolves: rhbz#218253 openoffice.org-2.1.0.oooXXXXX.vcl.filterzwatrender.patch

* Fri Dec 01 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-6.1
- next version
- Resolves: rhbz#217813 openoffice.org-2.1.0.ooo72129.vcl.fontglyphindex.patch
- relocate dictionaries

* Wed Nov 29 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-5.5
- Resolves: rhbz#217269/rhbz#190515/rhbz#212134 disable sequence by default

* Tue Nov 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-5.4
- drop unneeded openoffice.org-2.0.4.oooXXXXX.solenv.warnnoterror.patch
- Resolves: rhbz#217521 extend grapheme cluster on ranges \u0c01-\u0c03 \u0c41-\u0c44
- use system hunspell

* Tue Nov 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-5.3
- rhbz#217361 wrong libjvm on ppc32/ppc64 multiarch installed libgcj's
- rhbz#217490/ooo#72058 don't add underline to preedit if not necessary
- visibility.warning.patch

* Mon Nov 27 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-5.2
- Resolves: rhbz#217321 openoffice.org-2.1.0.ooo72014.officecfg.malayammenu.patch
- Resolves: rhbz#217234 visibility and inline local static data

* Thu Nov 23 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-5.1
- next one
- Resolves: rhbz#217047 i.e.
  replace openoffice.org-2.0.4.ooo.vcl.im_yield.patch with 
  openoffice.org-2.0.4.ooo69992.sw.syncbackspace.patch

* Tue Nov 21 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-4.2
- Resolves: rhbz#216347 openoffice.org-2.1.0.ooo71815.bridges.x86_64.patch
- Resolves: rhbz#216662 stick to a single .desktop launcher name

* Thu Nov 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-4.1
- Resolves: rhbz#215511 can't print brochure on landscape mode
- Resolves: rhbz#216089 zoom affecting cjk substitution
- add openoffice.org-2.1.0.ooo71662.dbaccess.noasync.patch

* Wed Nov 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-3.1
- next version
- Resolves: rhbz#215694 add openoffice.org-2.0.4.ooo71562.svx.64bitcrash.patch
- Resolves: rhbz#215582 add openoffice.org-2.0.4.ooo71570.psprint.noonecopy.patch
- pt help translated
- ta-IN help translated

* Fri Nov 10 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-2.4
- Resolves: rhbz#214889
- drop using agg
- rebuild for new db4

* Fri Nov 10 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-2.3
- Resolves: rhbz#214896 pt/pt_BR translations
- Resolves: rhbz#214887 pt/pt_BR translations
- Resolves: rhbz#214973 collate print setting

* Tue Nov 07 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-2.2
- Resolves: rhbz#213996 openoffice.org-2.1.0.ooo65491.psprint.enablenups.patch
- Resolves: rhbz#213996 distinguish properly between ppd and cups option
- Resolves: rhbz#213996 openoffice.org-2.1.0.ooo71379.psprint.endfeatureonnewline.patch
- Resolves: rhbz#214773 openoffice.org-2.1.0.ooo61812.svx.a11ycrash.patch

* Tue Nov 07 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-2.1
- next upstream
- drop upstreamed openoffice.org-2.0.3.ooo67976.svx.macroscrash.patch
- drop upstreamed openoffice.org-2.0.3.ooo68018.svx.classpathdialog.patch
- drop upstreamed openoffice.org-2.0.4.ooo70601.sd.sal_uInt32_aslong.patch
- drop upstreamed openoffice.org-2.1.0.ooo71111.sfx2.x86_64.patch
- drop upstreamed workspace.gtkquickstart2.patch

* Mon Nov 06 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-1.2
- Resolves: rhbz#213710 additional application.version vba support
- Resolves: rhbz#214187 openoffice.org-2.0.4.ooo71285.tools.ulongmax.patch

* Thu Nov 02 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.1.0-1.1
- start of 2.1.0
- setlang patch partially upstreamed
- drop upstreamed workspace.vcl66 upstreamed
- drop upstreamed openoffice.org-2.0.4.ooo69325.cairocanvas.slowfills.patch
- drop upstreamed workspace.sixtyfour08.patch
- drop upstreamed openoffice.org-2.0.3.ooo67781.sc.reloadhiddenrows.patch
- drop upstreamed openoffice.org-2.0.3.ooo68047.vcl.zwj.patch
- drop upstreamed workspace.cmcfixes26.patch
- drop upstreamed workspace.vcl65.patch
- drop upstreamed openoffice.org-2.0.4.ooo68851.framework.disablemenuifempty.patch
- drop upstreamed openoffice.org-2.0.4.ooo68919.sc.atk.patch
- drop upstreamed openoffice.org-2.0.4.ooo69068.parallelxslt.patch
- drop upstreamed workspace.cairofixes02.patch
- drop upstreamed openoffice.org-2.0.4.ooo69530.sd.crash.patch
- drop upstreamed workspace.cmcfixes28.patch
- drop upstreamed openoffice.org-2.0.4.ooo69236.slideshow.esccrash.patch
- drop upstreamed workspace.calc39.patch
- drop upstreamed openoffice.org-2.0.4.ooo70361.vcl.atkfilechooser.patch
- drop upstreamed openoffice.org-2.0.4.ooo69620.vcl.atkcombo.patch
- drop upstreamed workspace.fwk53.patch
- drop upstreamed workspace.opensymbol01.patch
- add openoffice.org-2.1.0.ooo71111.sfx2.x86_64.patch
- add workspace.gtkquickstart2.patch
- add workspace.gtkquickstart2.patch
- add openoffice.org-1.9.129.ooo54603.fontconfig.part4.patch for localized
  fontnames
- Estonian dictionaries added

* Wed Nov 01 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.7
- Resolves: rhbz#213203 openoffice.org.2.0.4.oooXXXXX.i18npool.extendgrapheme.patch
- Resolves: rhbz#212988 try /tmp if /home fails, and abort with a message instead of segv
- Resolves: rhbz#213329 "." from numeric keypad not converted to "," in appropiate locales
- Resolves: (partial) rhbz#213371 openoffice.org.2.0.4.oooXXXXX.i18npool.extendgrapheme.patch
- Resolves: rhbz#212814 openoffice.org-2.0.4.ooo71076.dtrans.64bitdragdrop.patch
- add openoffice.org-2.0.4.ooo71039.svx.purevirtual.patch for bad pure virtual
- add openoffice.org-2.0.4.ooo71077.sc.purevirtual.patch for bad pure virtual
- rebuild for curl

* Mon Oct 23 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.6
- add openoffice.org-2.0.4.ooo70601.sd.sal_uInt32_aslong.patch
- Resolves: rhbz#211741 add additional de .desktop translations
- Resolves: rhbz#210435 openoffice.org-2.0.4.ooo69620.vcl.atkcombo.patch
- Resolves: rhbz#211949 replace openoffice.org-2.0.4.ooo70388.vcl.setprgname.patch with 
  openoffice.org-2.0.4.ooo70779.vcl.setprgname.patch
- Resolves: rhbz#211969 add openoffice.org-2.0.4.ooo70782.secondaryfpicker.atk.patch
- Resolves: rhbz#212009 add workspace.fwk53.patch
- Resolves: rhbz#212141 add openoffice.org-2.0.4.ooo70835.vcl.minimizealerts.patch
- add my experimental openoffice.org-2.0.4.ooo70155.fasterhelplinking.patch to knock 
  a few hours of the build, might result in wrong help indexing

* Thu Oct 12 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.4
- add openoffice.org-2.0.4.ooo70361.vcl.atkfilechooser.patch for rh#210440#
- add openoffice.org-2.0.4.ooo70388.vcl.setprgname.patch for rh#210441#

* Fri Oct 06 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.3
- add openoffice.org-2.0.4.ooo69992.vcl.im_yield.patch for rh#208537#
- add workspace.cmcfixes28.patch for rh#208966#
- add openoffice.org-2.0.4.ooo70064.sc.crashonalignment.patch for rh#208888#

* Thu Sep 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-5.1
- add openoffice.org-2.0.4.ooo69780.goodies.hugetile.patch for rh#207226#
- add openoffice.org-2.0.4.ooo69530.sd.crash.patch for stupid crash in
  impress wizard
- rh#206615# supporting trailing ZWJ in fallback blocks
- rh#207856# .ppt import line spacing fix ooo#69841#
- rh#206177# cancelling slideshow transistion crash ooo#69236#
- add openoffice.org-2.0.4.ooo69905.sd.casting.patch

* Tue Sep 19 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-4.2
- add openoffice.org-2.0.4.gccXXXXX.svtools.fsstorage.patch to work
  around fsstorage crash apparently triggered by gcc -Os change

* Fri Sep 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-4.1
- ooo#69585# x86_64 svtools database crasher
- fix rh#206264# 16bit .ppt load crash
- ooo#69653# 64bitscaling chart2 display fix

* Tue Sep 04 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-3.1
- add workspace.cairofixes02.patch for some cairocanvas fixing
- add openoffice.org-2.0.4.ooo69325.cairocanvas.slowfills.patch to
  fix the real real slow cairo canvas on my laptop
- rh#203872# -> openoffice.org-2.0.4.ooo69051.vcl.singlekeypress.patch
- add pseudoworkspace.valgrind1.patch with various valgrinded leaks

* Mon Aug 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-2.2
- rh#203063# Glyph replacement work when single run has multiple fonts
- rh#204173# Crash on Glyph replacement when single run has single glyph
  for multiple character positions

* Fri Aug 25 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-2.1
- fix openoffice.org-2.0.4.ooo68369.dtrans.crash.patch
- fix openoffice.org-2.0.4.ooo68805.sw.ww8size.patch
- fix openoffice.org-2.0.4.ooo68822.sw.recursiveim.patch
- fix potential out of bounds in xmlhelp
- drop openoffice.org-2.0.3.oooXXXXX.atkbroken.vcl.patch, fixed in gnome now
- rh#203497# -> openoffice.org-2.0.4.ooo68851.framework.disablemenuifempty.patch
- rh#203439# -> openoffice.org-2.0.4.oooXXXXX.vcl.x86_64.impressatk.patch
- rh#203063# -> openoffice.org-1.9.129.ooo54603.fontconfig.part3.patch

* Thu Aug 10 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.4-1.1
- rh#201447# -> openoffice.org-2.0.3.ooo68339.vcl.maskingtoomanybytes.patch
- rh#201305# -> openoffice.org-1.9.115.ooo51931.fixxmlsec.patch
- add openoffice.org-2.0.3.ooo68383.evo28support.patch for new evo
- clear font customization as fontconfig now has it's defaults the way we need
- clear gengal rdb removal, ooo#65361# fixed
- drop integrated workspace.targetedaot
- drop integrated workspace.bfsixtyfour
- drop integrated workspace.thbpp4
- drop integrated workspace.vcl59
- drop integrated workspace.vcl60
- drop integrated workspace.fwk40
- drop integrated workspace.sixtyfour06
- drop integrated workspace.kendy10
- drop integrated workspace.impress96
- drop integrated workspace.gcjsix
- drop integrated workspace.vcl63
- drop integrated workspace.os84
- drop integrated workspace.configure18
- drop integrated ooo65327.builddep.writerperfect.patch
- drop integrated ooo67337.sfx2.dontshowbuttons.patch
- add openoffice.org-2.0.4.ooo68665.x86_64gcj.jvm.patch

* Tue Aug 08 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.9
- icu settext ownership of string data changed silently

* Mon Jul 31 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.8
- add openoffice.org-1.9.129.ooo54603.fontconfig.part2.patch
- rh#200703# -> openoffice.org-2.0.3.ooo67976.svx.macroscrash.patch
- rh#200874# -> openoffice.org-2.0.3.ooo68018.svx.classpathdialog.patch
- rh#200728# ->
	+ openoffice.org-2.0.3.ooo68047.vcl.zwj, don't drop zero width joiner
	+ openoffice.org-2.0.3.ooo68048.vcl.imsurroundtext, a bizarre, but
	perfectly functional input method surrounding text implementation
	based on the ATK bridge
- rh#200805# replace ooo58663 missing glyph patch -> workspace.icuupgrade
- rh#201143# more Indian langpacks
- rh#201305# digital signature compile flags mismatch
- 2.0.4+ accepted
	+ ooo#66510# recentlyused fix -> workspace.kendy10
	+ ooo#66067# embeddedobj crash -> workspace.fwk40
	+ ooo#65519# samba printing ->> workspace.fwk40
	+ ooo#59997# defaultbullets -> workspace.opensymbol01
	+ ooo#65081# switch layout -> workspace.os84
	+ ooo#65308# notes paste -> workspace.impress96
	+ ooo#19976# nofocussteal -> workspace.inplaceobjects
	+ ooo#65318# agg24 -> workspace.thbpp4.patch
	+ ooo#65767# menu key -> workspace.vcl60.patch
	+ ooo#66851# x86_64 i18npool ->> workspace.sixtyfour06
	+ ooo#67656# tabdialogs minimize -> workspace.vcl63
	+ ooo#67750# dont expand title -> workspace.pb17
	+ ooo#67750# dont expand title ->> workspace.pb17

* Wed Jul 26 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.7
- rh#200207# -> openoffice.org-2.0.3.ooo67779.svx.toolbarcrash.patch
- rh#200194# -> openoffice.org-2.0.3.ooo67793.sw.stickymenu.patch
- rh#199056# -> openoffice.org-2.0.3.ooo67829.dtrans.64bitpaste.patch
- rh#200042# -> openoffice.org-2.0.3.ooo65081.sw.layout.patch
- rh#200193# -> openoffice.org-2.0.3.ooo67781.sc.reloadhiddenrows.patch
- rh#200369# help build glitch
- drop openoffice.org-2.0.3.oooXXXXX.all.ODR.anonymousmembers.patch
- drop openoffice.org-2.0.3.oooXXXXX.sal.importvisibilityasexported.patch
- require dejavu-lgc-fonts, Greek coverage problems begone
- rh#200512# South African translations
- move to firefox-devel instead of mozilla-devel, --with-firefox
	+ add workspace.configure18.patch

* Thu Jul 20 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.6
- rh#199535# presentation templates duplicated in zh-CN
- rh#199664# -> openoffice.org-2.0.3.ooo67644.sw.spacing.patch, dialog spacing
- rh#199659# -> openoffice.org-2.0.3.ooo67656.vcl.tabdialogsminimize.patch
- rh#199665# -> openoffice.org-2.0.3.ooo67658.sfx2.reloadcrash.patch
- rh#199894# -> openoffice.org-2.0.3.ooo67716.svx.overflow.patch
- rh#199870# ->openoffice.org-2.0.3.gccXXXXX.basegfx.crash.patch
- rh#199907# -> openoffice.org-2.0.3.ooo67740.xmlhelp.doublefree.patch
- rh#200059# -> openoffice.org-2.0.3.ooo67337.sfx2.dontshowbuttons.patch
- rh#200055# -> openoffice.org-2.0.3.ooo67750.sfx2.dontexpandtitle.patch
- drop openoffice.org.2.0.3-gcc28409.anonymousexternc.patch
- drop openoffice.org-2.0.3.gccXXXXX.svtools.R_X86_64_PC32.patch
- add openoffice.org-2.0.3.oooXXXXX.jvmfwk.futureproof.patch to preempt new libjvm for gcj
- see if we can drop openoffice.org-2.0.3.gccXXXXX.svtools.R_X86_64_PC32.patch
- reenable visibility support
- add openoffice.org-2.0.3.rh200118.filter.xalanbroken.patch to work around the new
  xalan problem

* Wed Jul 17 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.5
- add openoffice.org.2.0.3.ooo66510.shell.recentlyused.patch
- add openoffice.org-2.0.3.rh187919.gtkunderkde.patch
- add openoffice.org-2.0.3.ooo67186.sw.eventisULONG.patch
- add ooobuild.VBAObjects.patch for VBA macro support
- fix use of freetype headers for new freetype
- rebuild for new tasty linker hash/new compiler
    + add openoffice.org.2.0.3.gcc28370.statics.patch to workaround gcc28370
	-> drop with 4.1.1-8
    + add openoffice.org.2.0.3.gccXXXXX.anonymousexternc.patch for namespace { extern "C" ... }
    + add openoffice.org-2.0.3.oooXXXXX.all.ODR.anonymousmembers.patch to 
        workaround strict gcc ODR anon namespace handling
    + what gcc "visibility" means has changed significantly, futile to update OOo to work with 
      it anymore, most unfortunate :-(
    + add openoffice.org-2.0.3.oooXXXXX.sal.importvisibilityasexported.patch to import
    visibility the same as exported anyway

* Thu Jun 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.4
- final 2.0.3 version
- rh#196123# add openoffice.org-2.0.3.ooo66851.i18npool.x86_64.patch
- add openoffice.org.2.0.3-ooo66018.cppuhelper.dangerousvisibility.patch as visibility(?)
  workaround
- add openoffice.org-2.0.3.rhXXXXXXvcl.annoyingbeeps.patch to *SHUT UP* the
  damn needy msgboxes before I loose control and go kill something cute and fluffy
- from the gtk print dialog, when printing to pdf, pick some defaults and just do
  it, don't use the pdf options dialog.

* Tue Jun 27 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-7.1
- next milestone
- track down vor and sdw crashes to some gcc problem with static initializers, 
	failed to be able to find a standalone testcase though :-( => workaround
- add workspace.sixtyfour06.patch for x86_64 stability

* Thu Jun 22 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-6.1
- next milestone
- drop hack and use new gtk_print_unix_dialog_set_manual_capabilities api instead
- readjust printing stuff for new "print to file" mechanism

* Wed Jun 07 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-5.3
- rh#185806# update croatian dictionaries, and add spanish, norwegian thesaruses
(thesari?) etc
- rh#193918# add openoffice.org.2.0.3.ooo66067.embeddedobj.crash.patch
- rh#193776# add openoffice.org.2.0.3.ooo66018.linguistic.vorcrash.patch

* Fri Jun 02 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-5.2
- fontcache problem

* Mon May 29 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-5.1
- 2.0.3 RC5

* Mon May 29 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-4.1
- 2.0.3 RC4
- add openoffice.org-2.0.3.ooo65852.vcl.a11ywizard.patch for rh#193246#

* Wed May 24 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-3.2
- enable lockdown functionality, fix crash on ESC on right click submenus
- re-enable "Reverse" on print dialog, it's a cups option

* Tue May 23 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-3.1
- 2.0.3 RC3
- rh#191650# add openoffice.org-2.0.2.oooXXXXX.vcl.honourcairofont.patch
- rh#192588# don't use the cairo canvas by default

* Fri May 19 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-2.1
- 2.0.3 RC2
- drop rvpapi module
- experimental new gtk print dialog

* Thu May 18 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-1.2
- 2.0.3 RC1
- rh#191689# well fine so!, anonymous EXEC mapping is verboten altogether,
  reimplement three UNO bridges arch with the double file mmap pattern
- add openoffice.org-2.0.3.oooXXXXX.vcl.removemenukey.patch for rh#192172#

* Mon May 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-0.169.5
- rh#191689# re-add openoffice.org-2.0.3.oooXXXXX.selinux.bridges.patch 
  the upstreamed replacement alloc/mprotect pattern still leaves writable 
  executable mem

* Mon May 15 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-0.169.4
- ooo#65361# remove gengal.rdb
- ooo#61767# remove oo_product.bmp
- add workspace.vcl59.patch
    + openoffice.org-2.0.3.ooo65304.sn.vcl.patch merged into vcl59
- add openoffice.org-2.0.3.oooXXXXX.atkbroken.vcl.patch for rh#191621#
    + upstream atk version check doesn't seen to work

* Fri May 12 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-0.169.2
- ta_IN translations integrated
- add openoffice.org-2.0.3.ooo65327.builddep.writerperfect.patch
- add openoffice.org-2.0.3.ooo65330.samba.fpicker.patch

* Fri May 12 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-0.169.1
- add openoffice.org-2.0.3.ooo65304.sn.vcl.patch for rh#191155#
- add openoffice.org-2.0.3.ooo65308.notespaste.sd.patch for rh#191333#
- drop integrated openoffice.org-2.0.3.ooo65052.bridges.makeasmpic.patch

* Fri Apr 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.3-0.168.1
- 2.0.3 preview builds
- enable cairo canvas
- disable useless ldap backend
- drop integrated workspace.jaxpapi.patch
- drop integrated workspace.evo2fixes.patch
- drop integrated workspace.dmake43p01.patch
- drop integrated workspace.systemjava
- drop integrated workspace.atkbridge.patch
- drop integrated openoffice.org-2.0.1-ooo59675.sysui.rtfmimetype.patch
- drop integrated openoffice.org-2.0.2.ooo34909.dbaccess.patch
- drop integrated openoffice.org-2.0.2.ooo61875.sd.compile.patch
- drop integrated openoffice.org-2.0.2-ooo61841.vcl.honourfontconfigoverrides.patch
- drop integrated openoffice.org-2.0.2.ooo62030.solenv._version.patch
- drop integrated openoffice.org-2.0.2.oooXXXXX.config_office.noppds.patch
- drop integrated openoffice.org-2.0.2.ooo63155.sfx2.badscript.patch
- drop integrated openoffice.org-1.9.120.ooo52428.execshield.bridges.patch
- drop integrated openoffice.org-1.9.130.ooo54959.negativeindent.sw.patch
- drop integrated openoffice.org-2.0.2.ooo64743.vcl.adjustonlevel1.patch
- drop some integrated dictionary components
- add workspace.bfsixtyfour.patch
- add openoffice.org-2.0.3.gccXXXXX.svtools.R_X86_64_PC32.patch workaround
- add openoffice.org-2.0.3.ooo65052.bridges.makeasmpic.patch

* Thu Apr 27 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.13
- rh#189630# lfs trouble

* Tue Apr 25 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.12
- ooo#64743# continuing my epic battle with CJK and Indic glyph
  fallback (rh#189760#)
- ooo#64726# "untranslate" bengali keyboard shortcuts (rh#189760#)

* Mon Apr 24 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.11
- ooo#64063# Finally 2.0.X Tamil translation updates

* Tue Apr 18 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.10
- ooo#64463# don't require Xaw for the use mozilla plugins (e.g flash)
  in OOo feature
- ooo#64508#/rh#189061# honour fontconfig hinting settings

* Wed Apr 12 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.9
- rh#187939# not detecting changes to CUPS printers during execution
- rh#188467# set printer font-handling defaults
- ooo#59997# opensymbol font metrics changed
- rh#161530# new South African locales exist in glibc now

* Mon Apr 10 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.8
- rh#188053# more a11y fixes
- ooo#63583# committed to workspace.atkbridge

* Wed Mar 29 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.7
- rh#186747# TTF conts converted to Type 1 in print to file ps

* Tue Mar 28 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.6
- more rh#186215#/ooo#63583# accessibility fixes
- better fallback to english if help is missing

* Fri Mar 24 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.5
- rh#186515# Keep draw and math launchers for mimetypes
- rh#186215#/ooo#63583# accessibility crasher in impress

* Mon Mar 13 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.4
- ooo#59997# replacement opens___.ttf updated
- drop integrated openoffice.org-2.0.0.ooo56651.sw.rtfcrash.patch
- drop integrated openoffice.org-1.9.114.ooo51718.rpath.patch
- add openoffice.org-2.0.2.ooo63155.sfx2.badscript.patch for rh#185390#
- rh#181900# rename Bengali langpack
- drop pagein swappiness foo
- drop nearly 9 megs of afms and ppds

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com> - 1:2.0.2-5.2
- rebuild for PPC TLS issue (#184446)

* Sat Feb 25 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.2-5.1
- hunspell replaces myspell
- Catalan help documentation available
- add sestatus details to crash_reporter
- nl_NL dictionaries upstreamed
- hu_HU dictionaries upstreamed
- workspace.epspreview.patch integrated
- workspace.dbwizardpp1.patch integrated
- workspace.cmcfixes20.patch integrated
- workspace.cmcfixes21.patch integrated
- workspace.cmcfixes22.patch integrated
- workspace.cmcfixes23.patch integrated
- workspace.gcc41.patch integrated
- workspace.sb41.patch integrated
- workspace.systemagg.patch integrated
- workspace.hro02.patch integrated
- openoffice.org-1.9.96.ooo35641.noxfonts.vcl.patch integrated
- openoffice.org-2.0.1.ooo58618.sfx2.interactionhandler.patch integrated
- openoffice.org-2.0.1.ooo58798.parallel.patch integrated
- openoffice.org-2.0.1.ooo59537.config_office.nss.patch integrated
- openoffice.org-2.0.1.ooo59666.vcl.animatedtheme.patch integrated
- openoffice.org-1.9.125.ooo54040.savecrash.svtools.patch integrated
- openoffice.org-2.0.1.ooo61098.vcl.readonlyentry.patch integrated
- openoffice.org-2.0.2.ooo61178.ucb.neon25.patch integrated
- drop openoffice.org-1.9.125.ooo54586.nfslock.sal.patch
- drop openoffice.org-1.9.112.ooo50857.gtkslowunderkde.vcl.patch
- drop openoffice.org-1.9.88.NONE.gcc3gcj4.patch
- drop empty sandbox.jar
- deliver link flag syntax changed
- new workspace.jaxpapi.patch
- replace fasterhelpcontent2.patch with workspace.targetedaot.patch
- replace ooo52974.systemhsqldbbeanshell.patch and oooXXXXX.systemxalan.patch 
  with workspace.systemjava.patch
- rh#178670# drop PROT_EXEC
- add openoffice.org-2.0.2-ooo61841.vcl.honourfontconfigoverrides.patch for rh#179692#
- add openoffice.org-2.0.2.ooo62030.solenv._version.patch
- rh#181876# update workspace.atkbridge.patch
- update and split evo patches to match upstream segmentation
- ooo#62318# mozab not available with system mozilla

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.0.1.1-11.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.0.1.1-11.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-11
- rh#180125# unnecessary gnome mime files

* Thu Feb 02 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-10
- reshuffle bridge patch
- reimplement lang from locale patch

* Fri Jan 27 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-9
- add openoffice.org-2.0.2.ooo61178.ucb.neon25.patch for neon 0.25.X
- missing %defattr(-,root,root)
- rh#179256# if java fails (i.e. was configured to use libgcj.so.6) reconfigure
  to pick up libgcj.so.7
- rh#177205# add some templates, including a fedora themed presentation

* Thu Jan 26 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-8
- rh#178971# defer exec mem until bridge code

* Tue Jan 17 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-7
- rh#177933# add Serbian sr_CS language pack
- rh#178002# af_ZA dictionary in wrong encoding

* Fri Jan 13 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-6
- rh#177669# icons s/test -f/test -d/ :-)

* Wed Jan 04 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-5
- spinbutton factory needs to be uneditable as well as combobox
- add openoffice.org-2.0.1-ooo19976.framework.nofocussteal.patch for jrb

* Thu Dec 22 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-4
- add openoffice.org-2.0.1-ooo59997.sw.defaultbullets.patch for rh#176779#

* Thu Dec 22 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-3
- gcc#25426# fixed
    + reenabled workspace.jaxpapi.patch
    + reenabled fasterhelpcontent2.patch
- add openoffice.org-2.0.1-ooo59675.sysui.rtfmimetype.patch for rh#176259#
- gcc#19870# still busted, accesser hack returns

* Wed Dec 21 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-2
- add openoffice.org-2.0.1.oooXXXXX.vcl.animatedtheme.patch for animated
  theme problem

* Thu Dec 15 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1.1-1
- gcc#25199# fixed, drop bitfield patch
- gcc#25389# fixed, drop jurt.nullpointer.patch
- gcc#25426# identified, crash with jaxpapi patch
- addressbooks
	a) evo1 addressbook removed, as only evo2 required
	b) mozilla addressbook removed, utterly useless
	c) evo2 ldap addressbook added to give some sort of ldap access
	d) patch wizard UI to show available addressbook backends
- add openoffice.org-2.0.1.oooXXXXX.config_office.nss.patch
- upstream cocks up their numbering

* Tue Dec 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-145.3
- system agg

* Fri Dec 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-145.2
- gcc 4.1 rebuild
- disable workspace.jaxpapi.patch for now
- disable fasterhelpcontent2.patch for now
- rh#175272# openoffice.org-2.0.1.ooo59129.vcl.readonlyentry.patch
- gcc#25389# File(new URI("file:./")) regression

* Thu Dec 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-145.1
- next version

* Thu Dec 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-144.1
- openoffice.org-2.0.1.rh175242.connectivity.mozab.patch, provide mozilla
  address backend despite http://bugzilla.mozilla.org/show_bug.cgi?id=135137

* Mon Dec 05 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-143.3
- default to evo2 as address book
- add workspace.sb41.patch for gcc 4.1 support
- add libgcj.so.7 to jvm providing jvmfwk lib list (workspace.cmcfixes23)

* Fri Dec 02 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-143.2
- subtle build breakage

* Fri Dec 02 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-143.1
- 2.0.1 RC2

* Thu Dec 01 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.142.4
- rh#174664# right click spellcheck came unstuck

* Tue Nov 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.142.3
- workaround for illadvised last minute "interaction handler" workspace merge

* Tue Nov 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.142.2
- rh#174147# openoffice.org-2.0.1.oooXXXXX.vcl.missingglyph.patch
- rh#174148# openoffice.org-2.0.1.ooo58606.sw.pre-edit.patch
- openoffice.org-1.9.87.warnnoterroronmissing.patch not going to be upstreamed

* Thu Nov 17 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.142.1
- next version
- rh#173775# crash on help under some circumstances

* Thu Nov 17 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.141.1
- next version
- hi-IN translations upstreamed
- loads of translated help

* Tue Nov 15 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.140.1
- drop integrated workspace.oooemailmerge.patch
- drop integrated workspace.javapatch.patch
- drop integrated workspace.systemlibxmlfix.patch

* Wed Nov 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.139.1
- drop integrated openoffice.org-1.9.108.ooo47323.binfilter.stupiddetect.patch
- openoffice.org-1.9.97.ooo48600.rtfparseerror.svx.patch -> javapatch
- drop integrated openoffice.org-1.9.112.ooo53025.exception.package.patch
- gcc#22132# fixed
	+ drop openoffice.org-1.9.84.ooo44843.sdcasting.patch
	+ drop openoffice.org-1.9.84.ooo44846.svxcasting.patch
	+ drop openoffice.org-1.9.84.ooo45162.svxcasting2.patch
- workaround deprecated openldap api usage
- add industrial set of icons

* Wed Nov 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.138.3
- fix problem with icu rule searching with null locale

* Fri Nov 04 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.1-0.138.1
- drop integrated openoffice.org-1.9.74.ooo41875.mktemp.patch
- drop integrated openoffice.org-1.9.89.ooo35627.parallel.cppumaker.patch
- drop integrated openoffice.org-1.9.97.ooo48610.searchalltemplates.wizards.patch
- drop integrated openoffice.org-1.9.106.ooo50172.icu.tamilvowelslikepango.patch
- drop integrated workspace.vcl39.patch
	- CACHE_MAGIC of rh2 changed back to default 2. No broken caches of "2" 
        should exist to cause ambiguity
- drop integrated openoffice.org-1.9.108.ooo48814.solenv.nostripwithsimpleinstall.patch
- drop integrated openoffice.org-1.9.122.ooo52626.workspacerestore.vcl.patch
- drop integrated workspace.impress57.patch
- drop integrated workspace.gslpatches6.patch
- drop integrated workspace.emblock1.patch
- drop integrated workspace.cmcfixes18.patch
- drop integrated workspace.cmcfixes19.patch
- add workspace.systemlibxmlfix.patch
- additional hungarian help

* Fri Oct 28 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-3.8
- ooo#53397# SEGV signal installation needs to be extended to include 
  custom application launcher names
- reenable faster helpcontent2 building

* Fri Oct 28 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-3.7
- rh#171918# wrong LDAP stuff gets launched from wizard
- upstream patches as cmcfixes20
- rh#171844# make another stab at the klipper problem
- ooo#57107# updated hindi translation
- rh#171692# be less of a gcj bigot
- rh#172149# need more stuff in the classpath for macro creating

* Fri Oct 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-3.6
- rh#171425#/ooo#56536# weird SwTxtNode is not a SwTxtNode problem

* Fri Oct 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-3.5
- get RPM_OPT_FLAGS in operation minus -fasynchronous-unwind-tables

* Fri Oct 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-3.1
- release candidate 3
- alias en_US thesasurus for other en varients
- can crash on empty thesasurus rh#170091#/ooo#55603#
- drop thesaruses not in new format

* Thu Oct 06 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-2.1
- release candidate 2
- workspace.cmcfixes17 integrated

* Thu Sep 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-1.2
- add mmeeks workspace.atkbridge for rh#169323# acessibility

* Mon Sep 26 2005 Caolan McNamara <caolanm@redhat.com> - 1:2.0.0-1.1
- release candidate 1

* Thu Sep 22 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.130-2
- add openoffice.org-1.9.130.ooo54959.negativeindent.sw.patch
- add openoffice.org-1.9.130.ooo54708.sc.patch
- workaround for gcc#22132# for rh#168537#
- alternative parallel cppumaker problem fix
- build against system db4 
      -> java api is different, fix that
- build against system xalan
      -> that's as small as OOo gets until gcc#19664# get fixed
      or someone figures out how to use system rhino
- add workspace.cmcfixes19.patch
- remove dictooo wizards menus which aren't actually available

* Thu Sep 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.130-1
- next version
- drop integrated .ooo53699.unzipunused.postprocess.patch
- add openoffice.org-1.9.130.ooo54692.fasterhelpcontent2.patch

* Wed Sep 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.129-3
- track nfs bug id change
- ooo#54514# save as .doc self-inflicted failure

* Tue Sep 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.129-2
- fix icu usage

* Tue Sep 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.129-1
- next version
- build against external icu

* Thu Sep 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.128-2
- busted translation
- force gcj as java solution, that's the only JVM I want to support
- openoffice.org-1.9.112.ooo51724.gcc21020.testtools.patch fixed in gcc
- make a different stab at fixing klipper related embedded object hang 
  for rh#166950#

* Wed Sep 07 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.128-1
- next version
- SISSL is retired, now LGPL only
- swap workspace.cmcfixes17.patch for .rhXXXXXX.noexpandfpicker.desktop.patch
  as upstream agrees on rh default for fpicker
- drop integrated openoffice.org-1.9.114.oooXXXXX.nostlport.patch
- more translated help documentation
- new langpack
- add mutexhang patch for rh#166950#

* Wed Aug 31 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.127-1
- bump to next version
- ooo#53956# thai dictionary
- remove unslightly warning from gnomeprint
- replace sablot with libxslt i.e. help application
- add workspace.impress57.patch for rh#167130#
- add plausible .ooo54040.savecrash.svtools.patch fix for rh#167178#
- drop integrated workspace.cmcfixes15.patch
- drop integrated workspace.cmcfixes16.patch
- split and upstream font additions
- add openoffice.org-1.9.127.gcc23691.slideshow.patch boost workaround

* Sat Aug 27 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.126-1
- next version
- drop integrated workspace.gslpatches4.patch
- build with FORTIFY_SOURCE

* Fri Aug 26 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.125-5
- parallel langpack installing

* Thu Aug 25 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.125-4
- add workspace.cmcfixes16.patch for export dialog problem
- rh#166812# crash on keyboard customization save

* Tue Aug 23 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.125-3
- use only underlying toolkit startup notification
- use proper nfslock fix
- workspace.cmcfixes15.patch, no MathMLDTD or msfontextract foo
- openoffice.org-1.9.125.oooXXXXX.bulletexport.vcl.patch

* Mon Aug 22 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.125-2
- rh#166432# add README to he_IL dictionary
- rh#166290# print range not properly available in gnomeprintui
- flr moves inhalt patch into javafilter workspace

* Wed Aug 17 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.125-1
- beta2
- drop integrated workspace.cmcfixes14.patch
- drop integrated ooo46585.sunmiscisnotstandard.filter.patch
- drop integrated ooo30133.lingucomponent.ukrainean.patch
- drop integrated ooo53026.selinux-pipegiveup.desktop.patch

* Wed Aug 17 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.124-3
- rh#166102# pspfontcache format problem hang on start
- rebuild for new cairo

* Mon Aug 15 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.124-2
- experiment with jakub's suggestion for prelink based optimization
  intermediate library and binaries

* Mon Aug 15 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.124-1
- drop integrated workspace.fpicandrpath.patch

* Wed Aug 10 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.123-3
- recombine into workspace.cmcfixes14.patch
- use configimport rather than patches for customization

* Mon Aug 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.123-1
- use system beanshell
- drop integrated workspace.cmcfixes12
- drop integrated ooo51736.xsltproc.evenwithjava.patch
- drop integrated ooo51745.cpputools.patch
- drop integrated ooo51755.scp2.parallel.patch
- drop integrated ooo51774.rsc.parallel.patch

* Fri Aug 05 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.122-4
- session management and workspace restore corrections
- add openoffice.org-1.9.112.oooXXXXX.exception.package.patch for rh#165197#

* Wed Aug 03 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.122-3
- ooo#52626# sessionmanagement and vclplug problem
- ooo#52786# czech 8bit msword doc import problem
- disable internal hsqldb 1.80.1 and use the rawhide system one now
  that it has been bumped to that version

* Tue Aug 02 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.122-1
- next version

* Tue Aug 02 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.121-4
- return of ppc

* Wed Jul 27 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.121-3
- add rh#164310# pipe giveup
- add openoffice.org-1.9.121.ooo52542.emptyrtfframes.sw.patch for rh#161313#

* Tue Jul 26 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.121-2
- rh#127576# add libgnomeprintui 
- make database front end into pseudo subpackage
- replace patches with combined workspace.gslpatches4
- add rh#156677# menu changes

* Mon Jul 25 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.121-1
- next version

* Sat Jul 23 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.120-3
- add openoffice.org-1.9.120.rh158977.execshield.bridges.patch
- workaround gcj accessor problem on a global basis

* Sat Jul 23 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.120-2
- try and reenable ppc building

* Thu Jul 20 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.120-1
- drop redundant workspace.dummywebwizard.patch

* Thu Jul 20 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.119-2
- re-experiment with execshield GNU_STACK non X

* Wed Jul 20 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.119-1
- experiment with security flags
- drop integrated cmcfixes11.workspace
- drop integrated openoffice.org-1.9.113.ooo51385.bridges.stack.patch
- drop integrated openoffice.org-1.9.118.ooo52061.recursive.animations.patch

* Sat Jul 16 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.118-1
- add experiemental rh150643.fontconfigalwayssystemfont.vcl.patch
- drop integrated workspace.impress63.patch
- drop integrated workspace.mh19104.patch
- rh#163554# due to #i41296# missing FormWizard stuff

* Fri Jul 15 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.117-2
- add openoffice.org-1.9.117.ooo52023.evoadb2.nognuconst.patch to
  fix evoab2
- add openoffice.org-1.9.117.ooo52048.inhalt.sw.patch as minor .doc
  export regression fix for rh#158252#
- split email mailmerge stuff into a subpackage to avoid python
  dependancy on writer

* Wed Jul 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.117-1
- bump to next version and drop the integrated (finally) fpicker patch
- back to using stlport for now because I'm dubious
- rh#162984# fallbacks from en_AU to en_GB for wizards
- rh#160783# set a targetname for font when it's found
- add openoffice.org-1.9.117.rh163147.thorndale.fontconfig.patch
- add openoffice.org-1.9.117.ooo51912.nullpointer.wizards.patch for
  rh#161173#

* Mon Jul 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.116-3
- enable evo addressbook in addressbook wizard
- rh#162875# extra leading / from file picker
- update fpicker stuff
- add workspace.impress63.patch for rh#162158#
- add openoffice.org-1.9.116.rh162935.gccXXXXX.weirdcrash.patch as a temporary
  workaround until I figure out just what the hell is wrong

* Mon Jul 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.116-2
- add openoffice.org-1.9.116.ooo51774.rsc.parallel.patch

* Sat Jul 09 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.116-1
- bump to new version, Hamburg burning the midnight oil apparently
- add openoffice.org-1.9.115.ooo51755.scp2.parallel.patch
- drop integrated openoffice.org-1.9.111.ooo51091.exportgcjsymbolname.jvmaccess.patch

* Fri Jul 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.115-3
- in rawhide we should be able to use system-xmlsec1 now with 
  system-xmlsec patch

* Thu Jul 07 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.115-2
- add openoffice.org-1.9.115.oooXXXXX.audio.withoutnas.patch
  and disable worthless nas/portaudio/sndfile stuff
- add openoffice.org-1.9.115.oooXXXXX.xsltproc.evenwithjava.patch
  and see if we can build faster with xsltproc

* Thu Jul 07 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.115-1
- bump to next version
- add openoffice.org-1.9.115.ooo51673.printing.checkerror.patch
- rpath of ORIGIN complete, enable failure on regression
- drop integrated openoffice.org-1.9.114.ooo50745.cruxcrash.vcl.patch

* Mon Jul 04 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.114-2
- further split langpacks
- modify test for $ORIGIN rpaths
- rh#161886# 
    + openoffice.org-1.9.114.oooXXXXX.rpath.patch
    + openoffice.org-1.9.114.rh161886.rpath.desktop.patch
- add openoffice.org-1.9.114.ooo50745.cruxcrash.vcl.patch for rh#160293#
- add openoffice.org-1.9.114.ooo51637.solenv.pyuno.patch to workaround
  multiple pyuno registering failures
- add openoffice.org-1.9.114.ooo51638.mailmerge.patch to provide email
  support for maill merge
- add openoffice.org-1.9.114.oooXXXXX.nostlport.patch and not build
  stlport

* Mon Jul 04 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.114-1
- bump to next version

* Thu Jun 30 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.113-1
- bump to new version
- translations merged, drop translation sources
- hsqldb bumped to version with working build.xml, drop sources
- add patch to work around notorious gcc19870 for hsqldb
- indic font fallbacks now in upstream
- openoffice.org-1.9.92.oooXXXXX.addindic.patch integrated

* Wed Jun 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.112-2
- wrong userdir
- allow fallbacks for translations with partial support file coverage
- rh#160301# tweak fontconfig patch to ignore opensymbol/starsymbol

* Mon Jun 27 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.112-1
- bump to next version
- add openoffice.org-1.9.112.ooo50875.gtkslowunderkde.vcl.patch for rh#157158#

* Tue Jun 21 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.111-1
- bump to next version
- drop integrated openoffice.org-1.9.87.ooo50575.fragments.patch
- add openoffice.org-1.9.111.ooo51091.exportgcjsymbolname.jvmaccess.patch
  to export differently named symbols under gcj
- try to workaround hsqldb problems with itself and with gcj

* Thu Jun 16 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.110-1
- bump to next version
- drop integrated workspace.gcc4fwdecl.patch
- need a openoffice.org-1.9.110.oooXXXXX.psprintfriend.patch

* Wed Jun 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-6
- drop unnecessary Require
- rh#160302# skip fontconfig for symbol font processing

* Tue Jun 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-5
- drop unnecessary openoffice.org-1.9.103.oooXXXXX.installation.disable-epm.fix.patch
- add simple crash report output, not that there are any crashs you understand

* Tue Jun 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-4
- add Bengali langpack
- make a stable /usr/lib/openoffice.org2.0 dir
- make openoffice.org-1.9.108.ooo9290.goodies.epstoepdf.patch paranoid
- enable failure on rpmbuild test for executable stack
- drop integrated openoffice.org-1.9.89.ooo46912.setjmpoutsidenamespace.binfilter.patch

* Tue Jun 14 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-3
- add openoffice.org-1.9.108.oooXXXXX.pyuno.pushrpath.patch
- rejig build to use current splashscreen
- readd openoffice.org-1.9.88.NONE.gcc3gcj4.patch
- add openoffice.org-1.9.108.ooo9290.goodies.epstoepdf.patch for rh#142535#

* Mon Jun 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-2
- rh#159169# crash due to dodgy casting when save to legacy impress format
- ooo#50571#/rh#157813# add workspace.gslpatches2.patch to fix bizarre 
  lohit combining characters rendering bug

* Fri Jun 10 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.109-1
- rh#158943# Require some fonts
- bump to next version
- drop integrated ooo46528.stillnotpic.icu.patch
- drop integrated ooo48816.instsetoo_native.systempython.patch

* Fri Jun 10 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.108-4
- ooo#50556# Filetype-label doesn't support special char

* Thu Jun 09 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.108-3
- rh#159930# use us english thesaurus for australia as well
- add openoffice.org-1.9.108.ooo47323.binfilter.stupiddetect.patch for
  rh#159851#/ooo#47323#

* Thu Jun 09 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.108-2
- add openoffice.org-1.9.108.ooo30133.lingucomponent.ukrainean.patch
- rh#158923# korean not identified as CJK font by userinstall module
- add openoffice.org-1.9.108.oooXXXXX.solenv.nostipwithsimpleinstall.patch
  to fix rh#157254# useless debuginfo rpm
- shrink buildtime space requirements

* Wed Jun 08 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.108-1
- bump to latest version
- add workspace.vcl39.patch for rh#156176#
- drop integrated openoffice.org-1.9.106.ooo50107.briges.noexecstack.patch
- drop integrated openoffice.org-1.9.106.ooo45298.psprint.pspfontcache.patch
- drop integrated workspace.gcj5.patch

* Fri Jun 03 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.106-2
- add openoffice.org-1.9.106.ooo50172.icu.tamilvowelslikepango.patch to fix (?) 
  rh#157815#

* Tue May 31 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.106-1
- bump to latest version
- drop gcc#20629# workaround
- add openoffice.org-1.9.106.ooo50107.briges.noexecstack.patch
- add workspace.gcc4fwdecl.patch to workaround new gcc pickiness
- add openoffice.org-1.9.106.ooo45298.psprint.pspfontcache.patch
- upstream openoffice.org-1.9.104-gcjawt.patch as part of gcj5
- add GSI_ru.sdf for rh#158539#
- add workspace-fpicker4.patch
- add openoffice.org-1.9.106.ooo44627.sal.brokencondition.patch to
  fix rh#158489#

* Wed May 24 2005 Dan Williams <dcbw@redhat.com> - 1:1.9.104-3
- Remove openoffice.org-1.9.104.oooXXXXX.indic-font-fallbacks.patch
- Add openoffice.org-1.9.104-use-fontconfig-everywhere.patch, which
    uses Fontconfig for all font substituion and glyph fallback

* Tue May 24 2005 Dan Williams <dcbw@redhat.com> - 1:1.9.104-2
- Add -IN glyph fallbacks for Hindi, Gujarati, Bengali, Punjabi, and Tamil
    (penoffice.org-1.9.104.oooXXXXX.indic-font-fallbacks.patch)
- Add Croatian 'hr' langpack
- Package libportaudio and libsndfile libraries in -core package
- drop workspace-db4.patch and workspace-db4-2.patch since it appears we can use
    db4 with gcc again
- add openoffice.org-1.9.104-gcjawt.patch to deal with gcj AWT library change
    to libgcjawt.so
- add openoffice.org-1.9.104-berkeleydb-jni-casting-misuse.patch to fix grievous
    misuse of C casting in berkeleydb's JNI glue

* Thu May 19 2005 Dan Williams <dcbw@redhat.com> - 1:1.9.104-1
- update to m104
- drop integrated openoffice.org-1.9.88.rh150650.gcjneedstoresolveallrequirements.patch
    (#rh150650)

* Tue May 17 2005 Dan Williams <dcbw@redhat.com> - 1:1.9.103-1
- m103 now builds 'hr' language
- add openoffice.org-1.9.101.ooo48816.instsetoo_native.systempython.patch
- add openoffice.org-1.9.103.oooXXXXX.installation.disable-epm.fix.patch
- drop integrated openoffice.org-1.9.97.ooo48362.checkzipresult.sc.patch
- updated to m103
- updated Gujarati translation

* Wed May 04 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.100-1
- bump to next version
- drop finally integrated openoffice.org-1.9.75.ooo41904.singleton.patch

* Tue May 03 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.99-2
- add openoffice.org-1.9.99.gcc19870.gcjaccessproblem.filter.patch for gcj bug workaround
- add openoffice.org-1.9.97.ooo48610.searchalltemplates.wizards.patch
- help documentation for cs and et has landed
- add openoffice.org-1.9.99.gcc19870.gcjaccessproblem.wizards.patch
   -> wizards work!

* Tue May 03 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.99-1
- add openoffice.org-1.9.97.ooo48600.rtfparseerror.svx.patch
- drop openoffice.org-1.9.95.gcc21233.noquotesonjavaver.patch as of
  gcc 4.0.0-2

* Fri Apr 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.98-1
- bump to next version
- drop integrated workspace.mhu06.patch
- a better idea for the rh#156039# provides problem along the valgrind.spec
  pattern
- add openoffice.org-1.9.97.rh156067.noversionedicons.patch

* Fri Apr 29 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.97-3
- respin and try out an alternative hack

* Wed Apr 27 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.97-1
- bump to next version
- rh#156039# problems with the autoprovides apparently
- drop integrated openoffice.org-1.9.89.ooo46228.parallel.solenv.patch
- drop integrated openoffice.org-1.9.89.ooo46316.parallel.vcl.patch
- rh#156064# namespace .desktop files
- rh#156066# shorten menu entry name with
  openoffice.org-1.9.97.ooo48256.nolongname.sysui.patch
- drop integrated openoffice.org-1.9.89.ooo46389.parallel.framework.patch
- drop integrated openoffice.org-1.9.89.ooo46481.parallel.svx.patch
- rh#156065# use alternative gnome icons
- add export SAL_ENABLE_FILE_LOCKING=1 for concurrent cppumakers collision
experimentation
- add openoffice.org-1.9.97.ooo48362.checkzipresult.sc.patch

* Tue Apr 26 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.96-2
- just for havoc add openoffice.org-1.9.96.ooo35641.noxfonts.vcl.patch

* Tue Apr 26 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.96-1
- bump to next version
- drop unnecessary openoffice.org-1.9.74.ArchiveZip.patch
- drop integrated openoffice.org-1.9.82.ooo45628.noznow.patch
- drop integrated openoffice.org-1.9.92.ooo47641.pptmimetype.patch
- package new files

* Thu Apr 21 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.95-1
- bump to next version
- drop integrated openoffice.org-1.9.89.oooXXXXX.systemjpeg.tools.patch
- drop integrated openoffice.org-1.9.89.ooo46998.changeppclinkflags.solenv.patch
- drop integrated openoffice.org-1.9.91.ooo46539.sleep.vcl.patch
- drop integrated openoffice.org-1.9.91.ooo46388.unsigned.sot.patch
- pointless to ship partial translated kn_IN without fonts which can
  even display them
- backport workspace.mhu06 to bring back the gnome filedialog that got whacked
- add openoffice.org-1.9.95.dbXXXXX.configureerror.berkleydb.patch to
  try and move to db4 with latest gcc4, but gcc 4.0.0-1 is still broken wrt to db4
  so back to db3 again

* Thu Apr 21 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.93-1
- bump to next version
- drop integrated openoffice.org-1.9.85.ooo45146.mandrakelicence.patch
- try doing without reverting the db4 change
- add openoffice.org-1.9.92.ooo47641.pptmimetype.patch
- Fix GTK combo box button sizes (dcbw)

* Wed Apr 13 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.92-3
- rh#153229# add multiple Obsoletes

* Mon Apr 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.92-2
- add some indic translations, but leave disabled for now
- push ooo#46388# sot fix
- drop perl-Archive-Zip buildtime copy

* Mon Apr 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.92-1
- bump to next version
- drop integrated workspace-gcj4.patch
- drop openoffice.org-1.9.80.ooo43466.wmclass.patch 
  g_set_application() name called multiple times
- drop integrated openoffice.org-1.9.91.ooo46603.boost.sd.patch

* Mon Apr 11 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.91-2
- scripting framework builds with gcj now

* Fri Apr 8 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.91-1
- bump to latest version
- have to reverse move to db4 because of rh#153231#
- drop integrated workspace-systemmozilla
- drop integrated workspace-gccfour
- add backport of spurious sleep prototype removal
- add our font fallbacks
- stl stuff integrated now
- happy birthday to me
- add openoffice.org-1.9.90.ooo46585.sunmiscisnotstandard.filter.patch

* Wed Apr 5 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.89-5
- ooo#46850# libscui680* apparently in the wrong subpackage
- upstream patches to hsqldb b0rk gcj

* Tue Apr 5 2005 Caolan McNamara <caolanm@redhat.com> - 1:1.9.89-4
- rh#153129# Requires won't work for x86_64
- rh#152269# Reported problems with nfs file locking
- add openoffice.org-1.9.89.oooXXXXX.upstreamhatesthefp.officecfg.patch
- drop redundant patches

* Mon Apr 4 2005 Elliot Lee <sopwith@redhat.com> - 1:1.9.89-3
- Slim down the langpacks

* Sat Apr 2 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.89-2
- package the wizard jars (doh!)
- fix the fpic icudata issue properly
- enthused by parallized build success try parallized build.pl as well as dmake
- some problems during langpack creation -> maxprocess issues ?
- damn ppc gives illegal instruction on sysui mandrake menus which it didn't
  in the last build. I couldn't be bothered wasting my time figuring out why

* Thu Mar 31 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.89-1
- bump to 1.9.89
- drop integrated openoffice.org-1.9.83.ooo43995.wptypedetect.patch
- drop hsqldb backport from 1.9.89 now
- add more parallel build patches as we go along

* Tue Mar 29 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.88-5
- new wzi.res
- ooo#46217# allow fallback to en_US from other english, i.e. en_IE, en_GB etc
- replace openoffice.org-1.9.87.NONE.wizards.broken.patch with
  openoffice.org-1.9.88.rh150650.gcjneedstoresolveallrequirements.patch
  as a workaround to get the wizards registered
- give parallel building a go with 
        openoffice.org-1.9.89.ooo46228.parallel.solenv.patch
        openoffice.org-1.9.89.ooo46316.parallel.vcl.patch
        openoffice.org-1.9.89.ooo46389.parallel.framework.patch
	openoffice.org-1.9.89.ooo35627.parallel.cppumaker.patch
	openoffice.org-1.9.89.oooXXXXX.parallel.sysui.patch

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 1:1.9.88-2
- Update the GTK+ theme icon cache on (un)install

* Tue Mar 22 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.88-1
- bump to 1.9.88
- submit openoffice.org-1.9.84.ooo45725.lingucomponent.contribdict.patch upstream
- drop integrated openoffice.org-1.9.87.ooo43538.sfx2.patch
- openoffice.org-1.9.87.oooXXXXX.fragments.patch build problem of some kind
- add a check for non -fpic libs
- allow switching spec to build with gcc3 and gcj4, kudos Fridrich Strba
- jump to hsqldb 1.8.0RC9 in advance of 1.9.89 to fix our hsqldb issues

* Tue Mar 22 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.87-2
- unpackaged libraries
- try out more lenient LOCALE acceptence for rh#151357#

* Sat Mar 19 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.87-1
- bump to latest version
- rh#151356# stick to 2.0 pathname to keep user settings during pre-release cycle
- drop integrated workspace-gcj3.patch
- drop integrated openoffice.org-1.9.83.ooo44377.icunotusingfpic.patch
- add openoffice.org-1.9.87.gccXXXXX.bean.patch to temporariy work around spurious gcj symbol
- drop unnecessary openoffice.org-1.9.82.NONE.qadevOOogcj.patch
- merge patches that skip boring modules
- scboost issue now part of gccfour workspace
- openoffice.org-1.9.87.NONE.wizards.broken.patch wizards build with gcj, but don't register
- reshuffle direct install to a simple warn not error on missing files, and hijack PKGFORMAT to
  transport direct install flags
- libxmlsec name changed
- java-filter subpackage like upstream now that they build with gcj
- backport openoffice.org-1.9.87.ooo43538.sfx2.patch for rh#151594#
- add requires on appropiate fonts for some langpacks

* Tue Mar 15 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.85-1
- bump to latest version
- add the contrib non-core dictionaries, and allow them to be split up 
  between the languagepacks
- use gcj-dbtool during build

* Wed Mar 09 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.84-1
- bump to 1.9.84
- describe what language is in which langpack, drop some unsupported ones
- ppc should build hsqldb now
- disable qadevOOo for now until gcj3 workspace is fully integrated
- gcc20465 breaks ooo build

* Fri Mar 04 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.83-1
- bump to 1.9.83
- drop integrated workspace.gcj2
- add Requires for libwpd which is now pulled in from the system
- add openoffice.org-1.9.83.ooo43995.wptypedetect.patch
- add openoffice.org-1.9.83.ooo44377.icunotusingfpic.patch because icudata isn't being compiled with -fpic

* Fri Mar 04 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.82-1
- bump to 1.9.82
- drop integrated openoffice.org-1.9.75.ooo42251.copyright.patch
- drop integrated workspace-systempython2.patch
- drop integrated openoffice.org-1.9.77.ooo41026.unxlngi6.patch
- drop integrated openoffice.org-1.9.77.ooo42457.ppclink.patch
- add openoffice.org-1.9.82.NONE.noznow.patch no -z now under ppc

* Wed Mar 02 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.81-1
- bump to 1.9.81
- drop integrated openoffice.org-1.9.77.ooo42152.gnomevfs.patch
- with --with-system-stdlibs
	rm -f $RPM_BUILD_ROOT/%{instdir}/program/libgcc_s.so.*
	rm -f $RPM_BUILD_ROOT/%{instdir}/program/libstdc++.so.*
  becomes redundant
- --with-system-icu & --with-system-db3 no longer in --with-system-libs
- sc needs another file in exceptions because of system-boost
- drop integrated ooo#43297#

* Wed Mar 02 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.80-1
- move to openoffice.org
- gcc4 patch

* Tue Mar 01 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.80-4
- new ms-langpack
- bump from libgcj4 to libgcj >= 4.0.0
- so drop fc4uselibgcj_fc4 patch

* Mon Feb 28 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.80-3
- reenable langpacks
- ignore missing localized files, rather than copying the english version

* Mon Feb 28 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.80-2
- disable langpacks
- hsqldb is apparently buildable with gcj4 now (except under ppc!)

* Thu Feb 25 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.80-1
- bump to latest release
- drop integrated rpath workspace
- slideshow gcc internal error worked around elsewhere
- drop integrated ppc visibility patch
- drop integrated pyunofixes1 workspace
- add ooo#43297# chart2 build fix

* Mon Feb 21 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.77-3
- add extra langpacks

* Fri Feb 11 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.77-2
- add new installed but unpackaged files
- haul in the .desktops and icons

* Tue Feb 8 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.77-1
- drop integrated ooo#40937# doublefree patch
- drop redundant gcj awt without display patch
- drop redundant missingapp patch
- seperate pyuno package with all the goodies from pyunofixes1 and systempython2

* Thu Feb 3 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.75-2
- gcc ppc visibility and inlines are not working correctly

* Wed Feb 2 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.75-1
- bump to next version
- drop integrated gcj1 workspace
- drop integrated systempython workspace

* Wed Feb 2 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.73-2
- crash on exit, correct options for oofoo2 scripts

* Wed Jan 26 2005 Caolan McNamara <caolanm@redhat.com> 1:1.9.73-1
- initial import of the levithan

